/*
** This file has been pre-processed with DynASM.
** https://luajit.org/dynasm.html
** DynASM version 1.5.0, DynASM arm version 1.5.0
** DO NOT EDIT! The original file is in "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc".
*/

#line 1 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
/*
 *  +----------------------------------------------------------------------+
 *  | Zend JIT                                                             |
 *  +----------------------------------------------------------------------+
 *  | Copyright (c) The PHP Group                                          |
 *  +----------------------------------------------------------------------+
 *  | This source file is subject to version 3.01 of the PHP license,      |
 *  | that is bundled with this package in the file LICENSE, and is        |
 *  | available through the world-wide-web at the following url:           |
 *  | https://www.php.net/license/3_01.txt                                 |
 *  | If you did not receive a copy of the PHP license and are unable to   |
 *  | obtain it through the world-wide-web, please send a note to          |
 *  | license@php.net so we can mail you a copy immediately.               |
 *  +----------------------------------------------------------------------+
 *  | Authors: Dmitry Stogov <dmitry@php.net>                              |
 *  |          Xinchen Hui <laruence@php.net>                              |
 *  |          Hao Sun <hao.sun@arm.com>                                   |
 *  +----------------------------------------------------------------------+
 */

//|.arch arm64
#if DASM_VERSION != 10500
#error "Version mismatch between DynASM and included encoding engine"
#endif
#line 22 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

//|.define FP,      x27
//|.define IP,      x28
//|.define IPl,     w28
//|.define RX,      x28         // the same as VM IP reused as a general purpose reg
//|.define LR,      x30
//|.define CARG1,   x0
//|.define CARG2,   x1
//|.define CARG3,   x2
//|.define CARG4,   x3
//|.define CARG5,   x4
//|.define CARG6,   x5
//|.define CARG1w,  w0
//|.define CARG2w,  w1
//|.define CARG3w,  w2
//|.define CARG4w,  w3
//|.define CARG5w,  w4
//|.define CARG6w,  w5
//|.define RETVALx, x0
//|.define RETVALw, w0
//|.define FCARG1x, x0
//|.define FCARG1w, w0
//|.define FCARG2x, x1
//|.define FCARG2w, w1
//|.define SPAD,    0x20        // padding for CPU stack alignment
//|.define NR_SPAD, 0x30        // padding for CPU stack alignment
//|.define T3,      [sp, #0x28] // Used to store old value of IP (CALL VM only)
//|.define T2,      [sp, #0x20] // Used to store old value of FP (CALL VM only)
//|.define T1,      [sp, #0x10]

// We use REG0/1/2 and FPR0/1 to replace r0/1/2 and xmm0/1 in the x86 implementation.
// Scratch registers
//|.define REG0,    x8
//|.define REG0w,   w8
//|.define REG1,    x9
//|.define REG1w,   w9
//|.define REG2,    x10
//|.define REG2w,   w10
//|.define FPR0,    d0
//|.define FPR1,    d1

//|.define ZREG_REG0,   ZREG_X8
//|.define ZREG_REG1,   ZREG_X9
//|.define ZREG_REG2,   ZREG_X10
//|.define ZREG_FPR0,   ZREG_V0
//|.define ZREG_FPR1,   ZREG_V1

// Temporaries, not preserved across calls
//|.define TMP1,    x15
//|.define TMP1w,   w15
//|.define TMP2,    x16
//|.define TMP2w,   w16
//|.define TMP3,    x17 // TODO: remember about hard-coded: mrs TMP3, tpidr_el0
//|.define TMP3w,   w17
//|.define FPTMP,   d16

//|.define ZREG_TMP1,   ZREG_X15
//|.define ZREG_TMP2,   ZREG_X16
//|.define ZREG_TMP3,   ZREG_X17
//|.define ZREG_FPTMP,  ZREG_V16

//|.define HYBRID_SPAD, 32     // padding for stack alignment

#define TMP_ZVAL_OFFSET 16
#define DASM_ALIGNMENT  16

const char* zend_reg_name[] = {
	"x0", "x1", "x2", "x3", "x4", "x5", "x6", "x7",
	"x8", "x9", "x10", "x11", "x12", "x13", "x14", "x15",
	"x16", "x17", "x18", "x19", "x20", "x21", "x22", "x23",
	"x24", "x25", "x26", "x27", "x28", "x29", "x30", "sp",
	"d0", "d1", "d2", "d3", "d4", "d5", "d6", "d7",
	"d8", "d9", "d10", "d11", "d12", "d13", "d14", "d15",
	"d16", "d17", "d18", "d19", "d20", "d21", "d22", "d23",
	"d24", "d25", "d26", "d27", "d28", "d29", "d30", "d31"
};

#define ZREG_FCARG1 ZREG_X0
#define ZREG_FCARG2 ZREG_X1

//|.type EX, zend_execute_data, FP
#define Dt1(_V) (int)(ptrdiff_t)&(((zend_execute_data *)0)_V)
#line 103 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
//|.type OP, zend_op
#define Dt2(_V) (int)(ptrdiff_t)&(((zend_op *)0)_V)
#line 104 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
//|.type ZVAL, zval
#define Dt3(_V) (int)(ptrdiff_t)&(((zval *)0)_V)
#line 105 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
//|.actionlist dasm_actions
static const unsigned int dasm_actions[133724] = {
0xf840037c,
0x000f0003,
0x00000000,
0x00060014,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x1000000f,
0x00092000,
0x390001ff,
0x00000000,
0x9000000f,
0x00093000,
0x380001ff,
0x000f0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0x390001ff,
0x00000000,
0x1000000f,
0x00092000,
0x394001ef,
0x00000000,
0x9000000f,
0x00093000,
0x384001ef,
0x000f0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0x394001ef,
0x00000000,
0x3400000f,
0x00050801,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x0006000b,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e8,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e8,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e8,
0x00000000,
0xb4000008,
0x00050801,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x0006000b,
0x00000000,
0x1000000f,
0x00092000,
0xf94001fb,
0x00000000,
0x9000000f,
0x00093000,
0xf84001fb,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001fb,
0x00000000,
0xf840037c,
0x000f0003,
0x00000000,
0x910083ff,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa8c27bfd,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa94273fb,
0xa8c37bfd,
0x52800020,
0xd65f03c0,
0x00000000,
0x00060015,
0x00000000,
0x910083ff,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa8c27bfd,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xa94273fb,
0xa8c37bfd,
0x37f80000,
0x00051001,
0x52800020,
0x0006000b,
0xd65f03c0,
0x00000000,
0x00060016,
0x00000000,
0x10000008,
0x00092000,
0xf9400108,
0x00000000,
0x90000008,
0x00093000,
0xf8400108,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf9400108,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00050801,
0xb8400108,
0x000f0002,
0x8b1b0108,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800010f,
0x000f0002,
0x0006000b,
0x14000000,
0x00050015,
0x00000000,
0x00060017,
0x3840038f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00050801,
0xb8400388,
0x000f0002,
0x8b080368,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800010f,
0x000f0002,
0x0006000b,
0x3840038f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00050809,
0xb8400388,
0x000f0002,
0x8b1b0108,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x00060013,
0x3840038f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00050809,
0xb8400388,
0x000f0002,
0x8b1b0108,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x00060013,
0x14000000,
0x00050015,
0x00000000,
0x00060018,
0x00000000,
0x10000008,
0x00092000,
0xf940011c,
0x00000000,
0x90000008,
0x00093000,
0xf840011c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940011c,
0x00000000,
0x3840038f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00050801,
0xb8400388,
0x000f0002,
0x8b080368,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800010f,
0x000f0002,
0x0006000b,
0x3840038f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00050809,
0xb8400388,
0x000f0002,
0x8b1b0108,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x00060013,
0x14000000,
0x00050015,
0x00000000,
0x00060019,
0x00000000,
0x6a1f001f,
0x00000000,
0x7200001f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f001f,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x910083ff,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x910083ff,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa8c27bfd,
0x00000000,
0xaa1b03e1,
0xa94273fb,
0xa8c37bfd,
0x00000000,
0x6a1f001f,
0x00000000,
0x7200001f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f001f,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0x0006000b,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0x0006001a,
0x00000000,
0x3840038f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050805,
0x00000000,
0x10000010,
0x00092000,
0xf900021c,
0x00000000,
0x90000010,
0x00093000,
0xf800021c,
0x000f0003,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x10000010,
0x00092000,
0x00000000,
0x90000010,
0x00093000,
0x00000000,
0x91000210,
0x000c0000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf900021c,
0x00000000,
0x0006000f,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xf800037c,
0x000f0003,
0x14000000,
0x00050015,
0x00000000,
0xaa1c03ef,
0x00000000,
0xf840036f,
0x000f0003,
0x00000000,
0x384001f0,
0x000f0000,
0x7100021f,
0x000c0000,
0x54000000,
0x00050805,
0x00000000,
0x10000010,
0x00092000,
0xf900020f,
0x00000000,
0x90000010,
0x00093000,
0xf800020f,
0x000f0003,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x10000010,
0x00092000,
0x00000000,
0x90000010,
0x00093000,
0x00000000,
0x91000210,
0x000c0000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf900020f,
0x00000000,
0x0006000f,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xa94273fb,
0xa8c37bfd,
0x52800040,
0xd65f03c0,
0x00000000,
0x0006001b,
0xf840037c,
0x000f0003,
0x3840038f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x10000010,
0x00092000,
0xf900021c,
0x00000000,
0x90000010,
0x00093000,
0xf800021c,
0x000f0003,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x10000010,
0x00092000,
0x00000000,
0x90000010,
0x00093000,
0x00000000,
0x91000210,
0x000c0000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf900021c,
0x00000000,
0x0006000b,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x14000000,
0x00050015,
0x00000000,
0x0006001c,
0xf8400368,
0x000f0003,
0xb8400109,
0x000f0002,
0x8b1c0129,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800012f,
0x000f0002,
0xf840036f,
0x000f0003,
0xeb0f039f,
0x54000000,
0x00050801,
0xf8400369,
0x000f0003,
0xf8000389,
0x000f0003,
0xf800037c,
0x000f0003,
0x0006000b,
0xaa0803fc,
0xb8400100,
0x000f0002,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x3840038f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050809,
0xb8400388,
0x000f0002,
0x8b1b0108,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x00060013,
0x14000000,
0x00050015,
0x00000000,
0x0006001d,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x14000000,
0x0005001e,
0x00000000,
0x0006001e,
0x00000000,
0xaa1b03e0,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0x0006001f,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x14000000,
0x00050020,
0x00000000,
0x00060020,
0x00000000,
0xaa1b03e0,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0x00060021,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x14000000,
0x00050022,
0x00000000,
0x00060022,
0xf8400368,
0x000f0003,
0x3840010f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050801,
0xb8400108,
0x000f0002,
0x8b1b0108,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800010f,
0x000f0002,
0x0006000b,
0xaa1f03e0,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0x00060023,
0xf8400368,
0x000f0003,
0xaa1f03e0,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xb8800102,
0x000f0002,
0xf8626902,
0x91000042,
0x000c0000,
0x00000000,
0xf81f0fe2,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x910043ff,
0x00000000,
0x14000000,
0x00050015,
0x00000000,
0x00060024,
0xf840037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050017,
0x00000000,
0x00060025,
0xf840037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050017,
0x00000000,
0x00060026,
0xf8400368,
0x000f0003,
0xb8400108,
0x000f0002,
0x8b080368,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800010f,
0x000f0002,
0xaa1f03e0,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050015,
0x00000000,
0x00060027,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0x00060028,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940010f,
0x910005ef,
0xf900010f,
0xf8400368,
0x000f0003,
0xf840036a,
0x000f0003,
0xf8400108,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6950,
0x91000610,
0xf82f6950,
0x00000000,
0xf8400150,
0x000f0003,
0x91000610,
0xf8000150,
0x000f0003,
0x00000000,
0xf840010f,
0x000f0003,
0xd61f01e0,
0x00000000,
0x00060029,
0x00000000,
0x5280000f,
0x000a0205,
0x7900014f,
0xaa1b03e0,
0x00000000,
0xaa1c03e1,
0x00000000,
0xf8400361,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xf8400368,
0x000f0003,
0xf8400109,
0x000f0003,
0xf840012a,
0x000f0003,
0x79400150,
0x00000000,
0x6b1f0210,
0x00000000,
0x71000210,
0x000c0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6b0f0210,
0x00000000,
0x79000150,
0x5400000d,
0x00050829,
0x00000000,
0xaa1c03ea,
0x00000000,
0xf840036a,
0x000f0003,
0x00000000,
0xf840010f,
0x000f0003,
0xcb0f014a,
0x00000000,
0x8b8a092f,
0xf84001ef,
0x000f0003,
0xd61f01e0,
0x00000000,
0x0006002a,
0x00000000,
0x0006002b,
0x00000000,
0x0006002c,
0x5280000f,
0x000a0205,
0x7900014f,
0xaa1b03e0,
0x00000000,
0xaa1c03e1,
0x00000000,
0xf8400361,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x37f80000,
0x00051001,
0x00000000,
0x10000008,
0x00092000,
0xf940011b,
0x00000000,
0x90000008,
0x00093000,
0xf840011b,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940011b,
0x00000000,
0xf840037c,
0x000f0003,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0x0006000b,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0xf8400368,
0x000f0003,
0xf8400109,
0x000f0003,
0xf8400129,
0x000f0003,
0x8b1c012f,
0xf84001ea,
0x000f0003,
0x79400150,
0x00000000,
0x6b1f0210,
0x00000000,
0x71000210,
0x000c0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6b0f0210,
0x00000000,
0x79000150,
0x5400000d,
0x0005082c,
0x00000000,
0x8b1c012f,
0xf84001f0,
0x000f0003,
0xd61f0200,
0x00000000,
0x0006002d,
0x00000000,
0x0006002e,
0x00000000,
0x0006002f,
0x00000000,
0x00060030,
0x00000000,
0x910083ff,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0xa8c27bfd,
0xaa1f03fc,
0xd65f03c0,
0x00000000,
0xa94273fb,
0xa8c37bfd,
0x92800000,
0xd65f03c0,
0x00000000,
0x00060031,
0x6dbf7ffe,
0x6dbf77fc,
0x6dbf6ffa,
0x6dbf67f8,
0x6dbf5ff6,
0x6dbf57f4,
0x6dbf4ff2,
0x6dbf47f0,
0x6dbb1fe6,
0x6dbf17e4,
0x6dbf0fe2,
0x6dbf07e0,
0xa9be77fc,
0xa9b93fee,
0xa9bf37ec,
0xa9bf2fea,
0xa9bf27e8,
0xa9bf1fe6,
0xa9bf17e4,
0xa9bf0fe2,
0xa9bf07e0,
0x2a0f03e0,
0x910003e1,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x910803ff,
0x00000000,
0x6a00001f,
0x54000001,
0x00050801,
0x00000000,
0x10000008,
0x00092000,
0xf940011b,
0x00000000,
0x90000008,
0x00093000,
0xf840011b,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940011b,
0x00000000,
0xf840037c,
0x000f0003,
0x00000000,
0x910083ff,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa8c27bfd,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa94273fb,
0xa8c37bfd,
0x52800020,
0xd65f03c0,
0x00000000,
0x0006000b,
0x5400000b,
0x00050830,
0x00000000,
0x10000008,
0x00092000,
0xf940011b,
0x00000000,
0x90000008,
0x00093000,
0xf840011b,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940011b,
0x00000000,
0xf840037c,
0x000f0003,
0x00000000,
0x1000000f,
0x00092000,
0x394001ef,
0x00000000,
0x9000000f,
0x00093000,
0x384001ef,
0x000f0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0x394001ef,
0x00000000,
0x3500000f,
0x00050814,
0x00000000,
0x910083ff,
0x00000000,
0xf8400368,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8686b88,
0xd61f0100,
0x00000000,
0xa8c27bfd,
0xf8400368,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8686b88,
0xd61f0100,
0x00000000,
0xf840037c,
0x000f0003,
0xaa1b03e0,
0xf8400368,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8686b88,
0xd63f0100,
0x6a00001f,
0x5400000b,
0x00050830,
0xa94273fb,
0xa8c37bfd,
0x52800020,
0xd65f03c0,
0x00000000,
0x00060032,
0x00000000,
0x910083ff,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa8c27bfd,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa94273fb,
0xa8c37bfd,
0x52800020,
0xd65f03c0,
0x00000000,
0x94000000,
0x00050002,
0x0006000b,
0x00000000,
0x94000000,
0x00050002,
0x00000000,
0x0006000c,
0x1000000f,
0x0005200b,
0xcb0f03cf,
0xd342fdef,
0x00000000,
0x0b1f01ef,
0x00000000,
0x110001ef,
0x000c0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x0b1001ef,
0x00000000,
0x14000000,
0x00050031,
0x00000000,
0x00060033,
0x00000000,
0xd4200000,
0x00000000,
0x00060034,
0xa9be7bfd,
0x910003fd,
0x00000000,
0xa8c27bfd,
0xd65f03c0,
0x00000000,
0x00060035,
0xa9be7bfd,
0x910003fd,
0x00000000,
0xa8c27bfd,
0xd65f03c0,
0x00000000,
0x00060036,
0xa9be7bfd,
0x910003fd,
0x00000000,
0xa8c27bfd,
0xd65f03c0,
0x00000000,
0x00060037,
0xa9be7bfd,
0x910003fd,
0x00000000,
0xa8c27bfd,
0xd65f03c0,
0x00000000,
0x00060038,
0xa9be7bfd,
0x910003fd,
0x00000000,
0xa8c27bfd,
0xd65f03c0,
0x00000000,
0xd4200000,
0x00000000,
0x0004000f,
0x00000000,
0xd10083ff,
0x00000000,
0xa9be7bfd,
0x00000000,
0xa9bd7bfd,
0xa90273fb,
0xaa0003fb,
0x00000000,
0x00080000,
0x00000000,
0xf800039f,
0x000f0003,
0x00000000,
0xf8400368,
0x000f0003,
0xf8000388,
0x000f0003,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x8b0f039c,
0x00000000,
0xf8400370,
0x000f0003,
0x8b0f0210,
0xf8000370,
0x000f0003,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x1000000f,
0x00092000,
0x394001ef,
0x00000000,
0x9000000f,
0x00093000,
0x384001ef,
0x000f0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0x394001ef,
0x00000000,
0x3500000f,
0x00090800,
0x00000000,
0x3500000f,
0x00050814,
0x00000000,
0x3500000f,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x14000000,
0x00050014,
0x00010000,
0x1000000f,
0x00092000,
0x394001ef,
0x00000000,
0x9000000f,
0x00093000,
0x384001ef,
0x000f0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0x394001ef,
0x00000000,
0x3400000f,
0x00070800,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x1000000f,
0x00092000,
0xf94001f0,
0x00000000,
0x9000000f,
0x00093000,
0xf84001f0,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001f0,
0x00000000,
0xb5000010,
0x00050815,
0x00000000,
0x1000000f,
0x00092000,
0xf94001f0,
0x00000000,
0x9000000f,
0x00093000,
0xf84001f0,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001f0,
0x00000000,
0xb5000010,
0x00050816,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x10000010,
0x00092000,
0xb900020f,
0x00000000,
0x90000010,
0x00093000,
0xb800020f,
0x000f0002,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x10000010,
0x00092000,
0x00000000,
0x90000010,
0x00093000,
0x00000000,
0x91000210,
0x000c0000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xb900020f,
0x00000000,
0x00010001,
0x14000000,
0x00090000,
0x00000000,
0x00080000,
0x00010000,
0x1000000f,
0x00092000,
0x394001ef,
0x00000000,
0x9000000f,
0x00093000,
0x384001ef,
0x000f0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0x394001ef,
0x00000000,
0x3400000f,
0x00090800,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x910083ff,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xf8400368,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8686b88,
0xd61f0100,
0x00000000,
0xa8c27bfd,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xf8400368,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8686b88,
0xd61f0100,
0x00000000,
0xaa1b03e0,
0xf8400368,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8400108,
0x000f0003,
0xf8686b88,
0xd63f0100,
0x00000000,
0xa94273fb,
0xa8c37bfd,
0x00000000,
0x52800040,
0x00000000,
0xd65f03c0,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6b6f,
0x00000000,
0x3840036f,
0x000f0000,
0x00000000,
0x710001ff,
0x000c0000,
0x54000002,
0x00090800,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xb840000f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0xb840000f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e8,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e8,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e8,
0x00000000,
0xb5000008,
0x00050815,
0x00000000,
0x1000000f,
0x00092000,
0xf94001fb,
0x00000000,
0x9000000f,
0x00093000,
0xf84001fb,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001fb,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xeb0f039f,
0x54000000,
0x00050830,
0x00000000,
0xb400001c,
0x00050830,
0x00000000,
0x6a00001f,
0x5400000b,
0x00050830,
0x00000000,
0x14000000,
0x00050030,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xeb0f039f,
0x00000000,
0xf8400370,
0x000f0003,
0xeb0f021f,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x910083ff,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x910083ff,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa8c27bfd,
0x00000000,
0xaa1b03e0,
0xa94273fb,
0xa8c37bfd,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd61f0100,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xeb0f039f,
0x00000000,
0xf8400370,
0x000f0003,
0xeb0f021f,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xeb0f039f,
0x00000000,
0xf8400370,
0x000f0003,
0xeb0f021f,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0xd4200000,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050802,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf870680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xb94001f0,
0x11000610,
0xb90001f0,
0x0006000c,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x14000000,
0x00050032,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xaa0f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830680f,
0x00110005,
0x00000000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xaa0f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830680f,
0x00110005,
0x00000000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xaa0f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830680f,
0x00110005,
0x00000000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xaa0f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830680f,
0x00110005,
0x00000000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf870680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xb94001f0,
0x11000610,
0xb90001f0,
0x0006000b,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f013f,
0x00000000,
0x7200013f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f013f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x0006000b,
0x00000000,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00050801,
0xaa0803e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050802,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf870680f,
0x00110005,
0xb10001ef,
0x000c0000,
0xf830680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0xb10001ef,
0x000c0000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0xb1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf870680f,
0x00110005,
0xf10001ef,
0x000c0000,
0xf830680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0xf10001ef,
0x000c0000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0xf1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0x54000006,
0x00090800,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x9e6701e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x92800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2e00010,
0x000a0205,
0x00000000,
0xaa1003e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6810,
0x00110005,
0x00000000,
0xf8000010,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x9e6701e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x92800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2e00010,
0x000a0205,
0x00000000,
0xaa1003e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6810,
0x00110005,
0x00000000,
0xf8000010,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050003,
0x00010000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x00010001,
0x0006000c,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050802,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x0006000c,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050802,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0xf9400000,
0xf840000f,
0x000f0003,
0xb400000f,
0x00050801,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050003,
0x0006000b,
0x91000000,
0x000c0000,
0x0006000c,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x0006000b,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x9e6701f0,
0x1e702800,
0x00110000,
0x00110005,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x9e6701f0,
0x1e703800,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940012f,
0x110005ef,
0xb900012f,
0x0006000b,
0x00000000,
0x14000000,
0x00050003,
0x00010000,
0x0006000d,
0x00000000,
0xab000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xab000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x5280000f,
0x000a0205,
0x9acf2000,
0x00110000,
0x00110005,
0x00000000,
0xab000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xab000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x5280000f,
0x000a0205,
0x9acf2000,
0x00110000,
0x00110005,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x9340fc00,
0x00110000,
0x00110005,
0x000a00d0,
0x00000000,
0xd4200000,
0x00000000,
0xd4200000,
0x00000000,
0xd4200000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf8706800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x9b107de0,
0x00110000,
0x00000000,
0x9b507def,
0xeb80fdff,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xab000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xeb000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x8a000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xca000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xab1f0000,
0x00110000,
0x00110005,
0x00000000,
0xb1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xab0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xab0f0000,
0x00110000,
0x00110005,
0x00000000,
0xab000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xeb1f0000,
0x00110000,
0x00110005,
0x00000000,
0xf1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xeb0f0000,
0x00110000,
0x00110005,
0x00000000,
0xeb000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f0000,
0x00110000,
0x00110005,
0x00000000,
0xb2000000,
0x00110000,
0x00110005,
0x000e0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xaa0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xaa0f0000,
0x00110000,
0x00110005,
0x00000000,
0xaa000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x8a1f0000,
0x00110000,
0x00110005,
0x00000000,
0x92000000,
0x00110000,
0x00110005,
0x000e0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x8a0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0x8a0f0000,
0x00110000,
0x00110005,
0x00000000,
0x8a000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xca1f0000,
0x00110000,
0x00110005,
0x00000000,
0xd2000000,
0x00110000,
0x00110005,
0x000e0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xca0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xca0f0000,
0x00110000,
0x00110005,
0x00000000,
0xca000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x54000006,
0x00090800,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x54000007,
0x00090800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0x54000007,
0x00050801,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x9e6701e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x92800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2e00010,
0x000a0205,
0x00000000,
0xaa1003e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6810,
0x00110005,
0x00000000,
0xf8000010,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x9e6701e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x92800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2e00010,
0x000a0205,
0x00000000,
0xaa1003e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6810,
0x00110005,
0x00000000,
0xf8000010,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e602800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e603800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e600800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e601800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050002,
0x00010000,
0x0006000c,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e602800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e603800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e600800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e601800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e602800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e603800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e600800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e601800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e602800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e603800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e600800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e601800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e602800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e603800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e600800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e601800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e602800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e603800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e600800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e601800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0x14000000,
0x00050005,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0x00010001,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0x14000000,
0x00050005,
0x00000000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0x14000000,
0x00050005,
0x00000000,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0x14000000,
0x00050005,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0x14000000,
0x00050005,
0x00010000,
0x0006000f,
0x00000000,
0x00010001,
0x00060010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x1000000f,
0x00092000,
0xf94001f0,
0x00000000,
0x9000000f,
0x00093000,
0xf84001f0,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001f0,
0x00000000,
0xb5000010,
0x00050818,
0x00000000,
0x14000000,
0x0005000f,
0x00010000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0803e1,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6800,
0x00110005,
0x00000000,
0xf8000000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x14000000,
0x00050024,
0x00000000,
0x8b000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x00110000,
0xd3400000,
0x00110000,
0x00110005,
0x000a00d0,
0x000a00ca,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf8706800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xf100001f,
0x00110005,
0x000c0000,
0x54000002,
0x00050801,
0x00010001,
0x0006000b,
0xaa1f03e0,
0x00110000,
0xeb1f001f,
0x00110005,
0x5400000c,
0x00050801,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x14000000,
0x00050024,
0x00010000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x9ac02000,
0x00110000,
0x00110005,
0x00110010,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x9340fc00,
0x00110000,
0x00110005,
0x000a00d0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x14000000,
0x00050024,
0x00000000,
0x9340fc00,
0x00110000,
0x00110005,
0x000a00d0,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf8706800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xf100001f,
0x00110005,
0x000c0000,
0x54000002,
0x00050801,
0x00010001,
0x0006000b,
0xeb1f001f,
0x00110005,
0x52800000,
0x00110000,
0x000a0205,
0x5400000c,
0x00050801,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x14000000,
0x00050024,
0x00010000,
0x0006000b,
0x9ac02800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x14000000,
0x00050025,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xab1f0000,
0x00110000,
0x00110005,
0x00000000,
0xb1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xab0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xab0f0000,
0x00110000,
0x00110005,
0x00000000,
0xab000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xeb1f0000,
0x00110000,
0x00110005,
0x00000000,
0xf1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xeb0f0000,
0x00110000,
0x00110005,
0x00000000,
0xeb000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f0000,
0x00110000,
0x00110005,
0x00000000,
0xb2000000,
0x00110000,
0x00110005,
0x000e0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xaa0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xaa0f0000,
0x00110000,
0x00110005,
0x00000000,
0xaa000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x8a1f0000,
0x00110000,
0x00110005,
0x00000000,
0x92000000,
0x00110000,
0x00110005,
0x000e0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x8a0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0x8a0f0000,
0x00110000,
0x00110005,
0x00000000,
0x8a000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xca1f0000,
0x00110000,
0x00110005,
0x00000000,
0xd2000000,
0x00110000,
0x00110005,
0x000e0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xca0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xca0f0000,
0x00110000,
0x00110005,
0x00000000,
0xca000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf8706800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x9ad00de0,
0x00110000,
0x9b10bc00,
0x00110000,
0x00110005,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf8706810,
0x00110005,
0x00000000,
0xf8400010,
0x00110005,
0x000f0003,
0x00000000,
0xb4000000,
0x00110000,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x14000000,
0x00050025,
0x00010000,
0xb100041f,
0x00110005,
0x54000000,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050005,
0x00010000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x9ac00de0,
0x00110000,
0x00110010,
0x9b00bc00,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xab000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xeb000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x8a000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xca000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xab1f0000,
0x00110000,
0x00110005,
0x00000000,
0xb1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xab0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xab0f0000,
0x00110000,
0x00110005,
0x00000000,
0xab000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xeb1f0000,
0x00110000,
0x00110005,
0x00000000,
0xf1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xeb0f0000,
0x00110000,
0x00110005,
0x00000000,
0xeb000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa1f0000,
0x00110000,
0x00110005,
0x00000000,
0xb2000000,
0x00110000,
0x00110005,
0x000e0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xaa0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xaa0f0000,
0x00110000,
0x00110005,
0x00000000,
0xaa000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x8a1f0000,
0x00110000,
0x00110005,
0x00000000,
0x92000000,
0x00110000,
0x00110005,
0x000e0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x8a0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0x8a0f0000,
0x00110000,
0x00110005,
0x00000000,
0x8a000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xca1f0000,
0x00110000,
0x00110005,
0x00000000,
0xd2000000,
0x00110000,
0x00110005,
0x000e0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xca0f0000,
0x00110000,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xca0f0000,
0x00110000,
0x00110005,
0x00000000,
0xca000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x00010001,
0x00060010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x1000000f,
0x00092000,
0xf94001f0,
0x00000000,
0x9000000f,
0x00093000,
0xf84001f0,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001f0,
0x00000000,
0xb5000010,
0x00050818,
0x00000000,
0x14000000,
0x00050005,
0x00010000,
0x0006000f,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x0006000f,
0x00000000,
0x00010001,
0x00060010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x0005000f,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xb840000f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0xb840000f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xb840000f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xb8400008,
0x000f0002,
0x00000000,
0xeb1f011f,
0x00000000,
0xeb1f011f,
0x00000000,
0xf100011f,
0x000c0000,
0x00000000,
0xb100011f,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f011f,
0x00000000,
0xeb01011f,
0x00000000,
0x54000009,
0x00090800,
0x00000000,
0x54000009,
0x00050809,
0x00000000,
0x54000009,
0x00090800,
0x00000000,
0x54000009,
0x00090800,
0x00000000,
0x54000009,
0x00090800,
0x00000000,
0x54000009,
0x00050807,
0x00000000,
0x54000009,
0x00050802,
0x00000000,
0xf8400008,
0x000f0003,
0x00000000,
0x8b1f0108,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x8b0f0108,
0x00000000,
0xf840000f,
0x000f0003,
0x8b0111e8,
0x00000000,
0x14000000,
0x00050005,
0x00000000,
0x0006000e,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xb4000008,
0x00090800,
0x00000000,
0xb4000008,
0x00050809,
0x00000000,
0x14000000,
0x00050005,
0x00000000,
0x14000000,
0x00050005,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050808,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050808,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3400000f,
0x00090800,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00090800,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3400000f,
0x00090800,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00090800,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3400000f,
0x00050807,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050807,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3400000f,
0x00050802,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050802,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0x14000000,
0x00050002,
0x00000000,
0x0006000e,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xb4000008,
0x00090800,
0x00000000,
0xb4000008,
0x00090800,
0x00000000,
0xb4000008,
0x00050807,
0x00000000,
0xb4000008,
0x00050802,
0x00000000,
0x00010001,
0x0006000c,
0x00000000,
0x94000000,
0x0005001d,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x0005001e,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050808,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050808,
0x00000000,
0x00010001,
0x0006000c,
0x0006000e,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xb5000008,
0x00050808,
0x14000000,
0x00090000,
0x00010000,
0xb4000008,
0x00090800,
0x00000000,
0xb4000008,
0x00050809,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050808,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050808,
0x00000000,
0x0006000c,
0x0006000e,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x14000000,
0x00050008,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x3840002f,
0x000f0000,
0x710001ff,
0x000c0000,
0x5400000d,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xb4000008,
0x00090800,
0x00000000,
0xb4000008,
0x00050809,
0x00000000,
0x3840002f,
0x000f0000,
0x710001ff,
0x000c0000,
0x5400000d,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xb4000008,
0x00090800,
0x00000000,
0xb4000008,
0x00090800,
0x00000000,
0xb4000008,
0x00050807,
0x00000000,
0xb4000008,
0x00050802,
0x00010001,
0x0006000c,
0x00000000,
0x94000000,
0x0005001f,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00050020,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xb4000008,
0x00090800,
0x00000000,
0xb4000008,
0x00050809,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x0006000f,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400108,
0x91000108,
0x000c0000,
0x0006000b,
0x00000000,
0x3840010f,
0x000f0000,
0x710001ff,
0x000c0000,
0x00000000,
0x5400000d,
0x00090800,
0x00000000,
0x5400000c,
0x00090800,
0x00000000,
0x5400000d,
0x00050809,
0x00000000,
0x00010001,
0x0006000d,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x14000000,
0x00050009,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xb4000008,
0x00090800,
0x00000000,
0x14000000,
0x00050008,
0x00000000,
0xb5000008,
0x00090800,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0xb5000008,
0x00050808,
0x14000000,
0x00050009,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x14000000,
0x00050009,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0xb5000008,
0x00050808,
0x14000000,
0x00050009,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0xb5000008,
0x00050808,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001f0,
0x91000610,
0xf90001f0,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001f0,
0x91000a10,
0xf90001f0,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050802,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf9000be0,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xb4000000,
0x00050816,
0x00000000,
0xf9400be0,
0x00000000,
0x14000000,
0x00050003,
0x00000000,
0x0006000c,
0x00000000,
0x00010000,
0xaa1f03ea,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0x1000000a,
0x00092000,
0x00000000,
0x9000000a,
0x00093000,
0x00000000,
0x9100014a,
0x000c0000,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0xf2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2c0000a,
0x000a0205,
0x00000000,
0x8b1f000a,
0x00110005,
0x00000000,
0x9100000a,
0x00110005,
0x000c0000,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0xf2a0000a,
0x000a0205,
0x00000000,
0xd2a0000a,
0x000a0205,
0x00000000,
0x8b0a000a,
0x00110005,
0x00000000,
0x910003ea,
0x00000000,
0xaa0003ea,
0x00110010,
0x00000000,
0x3840014f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf940014a,
0x9100014a,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf9000bea,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680a,
0x00110005,
0x00000000,
0xf840000a,
0x00110005,
0x000f0003,
0x00000000,
0xb940014f,
0x710005ef,
0xb900014f,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x54000000,
0x00050802,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050803,
0x00000000,
0xb940000f,
0x00110005,
0x110005ef,
0xb900000f,
0x00110005,
0x00000000,
0xb940000f,
0x00110005,
0x110009ef,
0xb900000f,
0x00110005,
0x00000000,
0x14000000,
0x00050003,
0x0006000c,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050802,
0xb940000f,
0x00110005,
0x110005ef,
0xb900000f,
0x00110005,
0x0006000c,
0x00000000,
0xf9400bea,
0x00000000,
0xf9000be0,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x2a1f03e2,
0xaa1f03e3,
0xaa1f03e4,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf9400be0,
0x00000000,
0x14000000,
0x00050003,
0x00000000,
0x0006000b,
0x00000000,
0x00010000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940000f,
0x00110005,
0x110005ef,
0xb900000f,
0x00110005,
0x0006000b,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940000f,
0x00110005,
0x110009ef,
0xb900000f,
0x00110005,
0x0006000b,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940000f,
0x00110005,
0x110005ef,
0xb900000f,
0x00110005,
0x0006000b,
0x00000000,
0x0006000d,
0x00000000,
0xf840000f,
0x000f0003,
0xb500000f,
0x00050802,
0x00010001,
0x0006000c,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f013f,
0x00000000,
0x7200013f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f013f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x0006000b,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e8,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e8,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e8,
0x00000000,
0xb4000008,
0x00050808,
0x14000000,
0x00050015,
0x00000000,
0x14000000,
0x00050008,
0x00000000,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf9000be0,
0x00110000,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf9400be0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00050034,
0x14000000,
0x00050009,
0x00010000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00050035,
0x00000000,
0x94000000,
0x00050034,
0x00000000,
0x94000000,
0x00050035,
0x00000000,
0x94000000,
0x00050035,
0x00000000,
0x94000000,
0x00050036,
0x00000000,
0x94000000,
0x00050037,
0x00000000,
0x94000000,
0x00050038,
0x00000000,
0x00060013,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110000,
0x00110005,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x910003e0,
0x00110000,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x3840000f,
0x00110005,
0x000f0000,
0x00000000,
0x3500000f,
0x00050803,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xf9400000,
0x00110005,
0x00000000,
0x91000000,
0x00110000,
0x000c0000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xf9000be0,
0x00110000,
0x00000000,
0xf9400be0,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb940000f,
0x710005ef,
0xb900000f,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x54000001,
0x00050808,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e8,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e8,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e8,
0x00000000,
0xb4000008,
0x00050808,
0x14000000,
0x00050015,
0x00000000,
0x14000000,
0x00050008,
0x00000000,
0x0006000e,
0xb940040f,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050808,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050008,
0x00000000,
0x00060012,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e8,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e8,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e8,
0x00000000,
0xb4000008,
0x00050808,
0x14000000,
0x00050015,
0x00000000,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050805,
0x00000000,
0xf9000be0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb940000f,
0x710005ef,
0xb900000f,
0xb940040f,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050805,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf9400be0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xb940000f,
0x00110005,
0x710005ef,
0xb900000f,
0x00110005,
0x00000000,
0x0006000f,
0x00000000,
0x00060012,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00090800,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400001,
0x3840002f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050802,
0x91000020,
0x000c0000,
0x14000000,
0x00050003,
0x00010001,
0x0006000c,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e0,
0xb5000000,
0x00050801,
0x14000000,
0x00050016,
0x00010000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050807,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050807,
0x00000000,
0x0006000d,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xb9400100,
0x00110000,
0x7100041f,
0x00110005,
0x54000009,
0x00050802,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x0006000c,
0xaa0803e0,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xb9400000,
0x00110000,
0x7100041f,
0x00110005,
0x00000000,
0x54000008,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x54000009,
0x00050802,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050801,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206808,
0x00110005,
0x00110010,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa0803e0,
0x00000000,
0x14000000,
0x00050002,
0x00010000,
0x0006000c,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x5400000c,
0x00050807,
0x00000000,
0xf9000be0,
0x00110000,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xf9400be0,
0x00110000,
0x00000000,
0xaa0803e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa0803e0,
0x00000000,
0x00060010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0xb4000008,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x94000000,
0x00050021,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00050022,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060012,
0x00000000,
0x00010001,
0x00060011,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x5400000c,
0x00050802,
0x00000000,
0xf9000be0,
0x00110000,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xf9400be0,
0x00110000,
0x00000000,
0xaa0803e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa0803e0,
0x14000000,
0x00050010,
0x0006000c,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e3,
0x00000000,
0xaa1f03e3,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0x10000003,
0x00092000,
0x00000000,
0x90000003,
0x00093000,
0x00000000,
0x91000063,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2c00003,
0x000a0205,
0x00000000,
0x8b1f0003,
0x00110005,
0x00000000,
0x91000003,
0x00110005,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0x8b030003,
0x00110005,
0x00000000,
0x910003e3,
0x00000000,
0xaa0003e3,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x00060013,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400001,
0x3840002f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050802,
0x91000020,
0x000c0000,
0x14000000,
0x00050003,
0x00010001,
0x0006000c,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e0,
0xb5000000,
0x00050801,
0x14000000,
0x00050016,
0x00010000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050807,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050807,
0x00000000,
0x0006000d,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xb9400100,
0x00110000,
0x7100041f,
0x00110005,
0x54000009,
0x00050802,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x0006000c,
0xaa0803e0,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xb9400000,
0x00110000,
0x7100041f,
0x00110005,
0x00000000,
0x54000008,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x54000009,
0x00050802,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050801,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206808,
0x00110005,
0x00110010,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa0803e0,
0x00000000,
0x14000000,
0x00050002,
0x00010000,
0x0006000c,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x00010001,
0x00060011,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x5400000c,
0x00050807,
0x00000000,
0xf9000be0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xf9400be0,
0x00110000,
0x00000000,
0xaa0803e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa0803e0,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x0006000b,
0x00000000,
0x00060010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0xb4000008,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x94000000,
0x00050021,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00050022,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060012,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00090800,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400100,
0xf840000f,
0x000f0003,
0xb500000f,
0x00050802,
0x91000008,
0x000c0000,
0x00010001,
0x0006000c,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x00010001,
0x00060011,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0xaa1f03e3,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0x10000003,
0x00092000,
0x00000000,
0x90000003,
0x00093000,
0x00000000,
0x91000063,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2c00003,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x00060013,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060013,
0x00000000,
0x00010001,
0x00060013,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060013,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0xf840000f,
0x000f0003,
0xb500000f,
0x00050802,
0x91000000,
0x000c0000,
0x00010001,
0x0006000c,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x0006000b,
0x00000000,
0x00060013,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0xeb1f001f,
0x00110005,
0x00000000,
0xeb1f001f,
0x00110005,
0x00000000,
0xf100001f,
0x00110005,
0x000c0000,
0x00000000,
0xb100001f,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f001f,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xeb0f001f,
0x00110005,
0x00000000,
0xeb00001f,
0x00110005,
0x00110010,
0x00000000,
0xeb1f001f,
0x00110005,
0x00000000,
0xeb1f001f,
0x00110005,
0x00000000,
0xf100001f,
0x00110005,
0x000c0000,
0x00000000,
0xb100001f,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f001f,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xeb0f001f,
0x00110005,
0x00000000,
0xeb00001f,
0x00110005,
0x00110010,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf870680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xeb1f01ff,
0x00000000,
0xf10001ff,
0x000c0000,
0x00000000,
0xb10001ff,
0x000c0000,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x92800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2e00010,
0x000a0205,
0x00000000,
0xeb1001ff,
0x00000000,
0xeb1f001f,
0x00110005,
0x00000000,
0xf100001f,
0x00110005,
0x000c0000,
0x00000000,
0xb100001f,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f001f,
0x00110005,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf870680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xeb1f01ff,
0x00000000,
0xf10001ff,
0x000c0000,
0x00000000,
0xb10001ff,
0x000c0000,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x92800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2e00010,
0x000a0205,
0x00000000,
0xeb1001ff,
0x00000000,
0xeb1f001f,
0x00110005,
0x00000000,
0xf100001f,
0x00110005,
0x000c0000,
0x00000000,
0xb100001f,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f001f,
0x00110005,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xeb1f001f,
0x00110005,
0x00000000,
0xeb1f001f,
0x00110005,
0x00000000,
0xf100001f,
0x00110005,
0x000c0000,
0x00000000,
0xb100001f,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f001f,
0x00110005,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xeb0f001f,
0x00110005,
0x00000000,
0xeb00001f,
0x00110005,
0x00110010,
0x00000000,
0x1a9f17e8,
0x00000000,
0x1a9f07e8,
0x00000000,
0x1a9fd7e8,
0x00000000,
0x1a9fa7e8,
0x00000000,
0x1a9fb7e8,
0x00000000,
0x1a9fc7e8,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x5400000d,
0x00090800,
0x00000000,
0x5400000d,
0x00070800,
0x00000000,
0x5400000a,
0x00090800,
0x00000000,
0x5400000a,
0x00070800,
0x00000000,
0x5400000b,
0x00090800,
0x00000000,
0x5400000b,
0x00070800,
0x00000000,
0x5400000c,
0x00090800,
0x00000000,
0x5400000c,
0x00070800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x5400000c,
0x00090800,
0x00000000,
0x5400000c,
0x00070800,
0x00000000,
0x5400000b,
0x00090800,
0x00000000,
0x5400000b,
0x00070800,
0x00000000,
0x5400000a,
0x00090800,
0x00000000,
0x5400000a,
0x00070800,
0x00000000,
0x5400000d,
0x00090800,
0x00000000,
0x5400000d,
0x00070800,
0x00000000,
0x1a9f17e8,
0x00000000,
0x1a9f07e8,
0x00000000,
0x1a9fd7e8,
0x00000000,
0x1a9fa7e8,
0x00000000,
0x1a9fb7e8,
0x00000000,
0x1a9fc7e8,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x0006000b,
0x00000000,
0x54000006,
0x00090800,
0x54000001,
0x00090800,
0x00000000,
0x54000006,
0x00050801,
0x54000000,
0x00070800,
0x0006000b,
0x00000000,
0x54000006,
0x00090800,
0x54000009,
0x00090800,
0x00000000,
0x54000006,
0x00070800,
0x54000009,
0x00070800,
0x00000000,
0x54000002,
0x00090800,
0x00000000,
0x54000002,
0x00070800,
0x00000000,
0x54000006,
0x00090800,
0x54000003,
0x00090800,
0x00000000,
0x54000006,
0x00070800,
0x54000003,
0x00070800,
0x00000000,
0x54000008,
0x00090800,
0x00000000,
0x54000008,
0x00070800,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x0006000b,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000006,
0x00050801,
0x54000000,
0x00090800,
0x0006000b,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x54000008,
0x00090800,
0x00000000,
0x54000008,
0x00070800,
0x00000000,
0x0006000b,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x54000003,
0x00090800,
0x00000000,
0x54000003,
0x00070800,
0x00000000,
0x0006000b,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x54000002,
0x00090800,
0x00000000,
0x54000002,
0x00070800,
0x00000000,
0x0006000b,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x54000009,
0x00090800,
0x00000000,
0x54000009,
0x00070800,
0x00000000,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000000,
0x00070800,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00070800,
0x54000009,
0x00070800,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000002,
0x00070800,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00070800,
0x54000003,
0x00070800,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000008,
0x00070800,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000000,
0x00070800,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00070800,
0x54000001,
0x00070800,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x1a9f97e8,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00050801,
0x54000008,
0x00070800,
0x0006000b,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000003,
0x00070800,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x1a9f37e8,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00050801,
0x54000002,
0x00070800,
0x0006000b,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000009,
0x00070800,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00050801,
0x52800008,
0x000a0205,
0x54000000,
0x00050802,
0x0006000b,
0x52800008,
0x000a0205,
0x0006000c,
0x00000000,
0x54000006,
0x00050801,
0x52800008,
0x000a0205,
0x54000000,
0x00050802,
0x0006000b,
0x52800008,
0x000a0205,
0x0006000c,
0x00000000,
0x54000006,
0x00050801,
0x52800008,
0x000a0205,
0x00000000,
0x54000008,
0x00050802,
0x00000000,
0x54000003,
0x00050802,
0x00000000,
0x0006000b,
0x52800008,
0x000a0205,
0x0006000c,
0x00000000,
0x54000006,
0x00050801,
0x52800008,
0x000a0205,
0x00000000,
0x54000002,
0x00050802,
0x00000000,
0x54000009,
0x00050802,
0x00000000,
0x0006000b,
0x52800008,
0x000a0205,
0x0006000c,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x6a00001f,
0x00000000,
0x1a9f17e8,
0x00000000,
0x1a9f07e8,
0x00000000,
0x1a9fa7e8,
0x00000000,
0x1a9fc7e8,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x5400000a,
0x00090800,
0x00000000,
0x5400000a,
0x00070800,
0x00000000,
0x5400000c,
0x00090800,
0x00000000,
0x5400000c,
0x00070800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x5400000b,
0x00090800,
0x00000000,
0x5400000b,
0x00070800,
0x00000000,
0x5400000d,
0x00090800,
0x00000000,
0x5400000d,
0x00070800,
0x00000000,
0x1a9f17e8,
0x00000000,
0x1a9f07e8,
0x00000000,
0x1a9fa7e8,
0x00000000,
0x1a9fc7e8,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050804,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0x00010001,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0x14000000,
0x00050006,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0x00010001,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050805,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050805,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0x14000000,
0x00050006,
0x00000000,
0x0006000f,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0x14000000,
0x00050006,
0x00000000,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0x00010001,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0x14000000,
0x00050006,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0x00010001,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050809,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0x14000000,
0x00050006,
0x00010000,
0x00010001,
0x00060013,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9000be0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf9400be0,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x14000000,
0x00050002,
0x0006000b,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x0006000c,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xb90013e0,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xb94013e0,
0x00000000,
0x14000000,
0x00050006,
0x00010000,
0x00060010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3400000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x0006000b,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x3840002f,
0x000f0000,
0x00000000,
0x3400000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xf9000be0,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf9400be0,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3400000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x0006000b,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x3840002f,
0x000f0000,
0x00000000,
0x3400000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0x3840002f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400021,
0x91000021,
0x000c0000,
0x0006000b,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x3840002f,
0x000f0000,
0x710001ff,
0x000c0000,
0x00000000,
0x54000001,
0x00050808,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00060012,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x54000000,
0x00050809,
0x00000000,
0x1a9f17e8,
0x00000000,
0x1a9f07e8,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x3840000f,
0x000f0000,
0x710001ff,
0x000c0000,
0x00000000,
0x54000001,
0x00050808,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00060012,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x54000000,
0x00050809,
0x00000000,
0x1a9f17e8,
0x00000000,
0x1a9f07e8,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xb90013e0,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xb94013e0,
0x00000000,
0x35000000,
0x00090800,
0x00000000,
0x34000000,
0x00090800,
0x00000000,
0x34000000,
0x00070800,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x35000000,
0x00070800,
0x00000000,
0x11000800,
0x00000000,
0x4b0003e0,
0x11000c00,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6800,
0x00110005,
0x00000000,
0xb8000000,
0x00110005,
0x000f0002,
0x00000000,
0x00060013,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x00000000,
0x5400000b,
0x00050809,
0x00000000,
0x5400000b,
0x00090800,
0x00000000,
0x5400000b,
0x00070800,
0x00000000,
0x5400000b,
0x00050809,
0x00000000,
0x5400000c,
0x00050802,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000000,
0x00050809,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000000,
0x00050809,
0x00000000,
0x1a9f17e8,
0x00000000,
0x4b0803e8,
0x11000d08,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x14000000,
0x00050009,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x0006000c,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050802,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0xea00001f,
0x00110005,
0x00110010,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf870680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0x00000000,
0xeb1f01ff,
0x00000000,
0xf10001ff,
0x000c0000,
0x00000000,
0xb10001ff,
0x000c0000,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x92800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2e00010,
0x000a0205,
0x00000000,
0xeb1001ff,
0x00000000,
0xeb1f001f,
0x00110005,
0x00000000,
0xf100001f,
0x00110005,
0x000c0000,
0x00000000,
0xb100001f,
0x00110005,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xeb0f001f,
0x00110005,
0x00000000,
0x1a9f07e8,
0x00000000,
0x4b0803e8,
0x11000d08,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x00010001,
0x0006000c,
0x9e6703e0,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x1e602000,
0x00110005,
0x00110010,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00090800,
0x54000001,
0x00090800,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000000,
0x00090800,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000000,
0x00070800,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x54000006,
0x00070800,
0x54000001,
0x00070800,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x52800008,
0x000a0205,
0x54000006,
0x00050801,
0x54000001,
0x00050801,
0x52800008,
0x000a0205,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x52800008,
0x000a0205,
0x54000006,
0x00050801,
0x54000001,
0x00050801,
0x52800008,
0x000a0205,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x54000006,
0x00090800,
0x54000001,
0x00090800,
0x0006000b,
0x00000000,
0x54000006,
0x00050801,
0x54000000,
0x00090800,
0x0006000b,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x54000006,
0x00050801,
0x54000000,
0x00070800,
0x0006000b,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x54000006,
0x00070800,
0x54000001,
0x00070800,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x00010001,
0x0006000c,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050803,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb940000f,
0x710005ef,
0xb900000f,
0x54000001,
0x00050803,
0x00000000,
0xf9000be8,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf9400be8,
0x0006000d,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e9,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e9,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e9,
0x00000000,
0xb5000009,
0x00050816,
0x00000000,
0x4b0803e8,
0x11000d08,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x35000008,
0x00090800,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x34000008,
0x00090800,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x35000008,
0x00070800,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x34000008,
0x00070800,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x00060013,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e9,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e9,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e9,
0x00000000,
0x10000010,
0x00092000,
0xf940020f,
0x00000000,
0x90000010,
0x00093000,
0xf840020f,
0x000f0003,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x10000010,
0x00092000,
0x00000000,
0x90000010,
0x00093000,
0x00000000,
0x91000210,
0x000c0000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf940020f,
0x00000000,
0xcb0f0129,
0x00000000,
0xeb1f013f,
0x00000000,
0xf100013f,
0x000c0000,
0x00000000,
0xb100013f,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xeb0f013f,
0x00000000,
0x54000003,
0x00090800,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x5280000a,
0x000a0205,
0x00000000,
0x5280000a,
0x000a0205,
0x00000000,
0x72a0000a,
0x000a0205,
0x00000000,
0x52a0000a,
0x000a0205,
0x00000000,
0xb840010f,
0x000f0002,
0x6b0f015f,
0x1a8fd14a,
0xb840010f,
0x000f0002,
0x4b0f014a,
0xb840010f,
0x000f0002,
0x4b0f014a,
0x00000000,
0xb840010f,
0x000f0002,
0x6b0f015f,
0x1a8fd14a,
0xb840010f,
0x000f0002,
0x4b0f014a,
0xb840010f,
0x000f0002,
0x4b0f014a,
0x00000000,
0x93407d4a,
0xcb0a1000,
0x0006000b,
0x00000000,
0x1000000f,
0x00092000,
0xf94001fc,
0x00000000,
0x9000000f,
0x00093000,
0xf84001fc,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001fc,
0x00000000,
0x1000000f,
0x00092000,
0xf94001ea,
0x00000000,
0x9000000f,
0x00093000,
0xf84001ea,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001ea,
0x00000000,
0xcb1c014a,
0x00000000,
0xeb1f015f,
0x00000000,
0xf100015f,
0x000c0000,
0x00000000,
0xb100015f,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xeb0f015f,
0x00000000,
0xeb00015f,
0x00000000,
0x54000003,
0x00090800,
0x00000000,
0x54000003,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0803e1,
0x00000000,
0x91000101,
0x000c0000,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003fc,
0x14000000,
0x00050001,
0x00010000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001ea,
0x9100014a,
0x000c0000,
0xf90001ea,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x10000010,
0x00092000,
0x00000000,
0x90000010,
0x00093000,
0x00000000,
0x91000210,
0x000c0000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf940020a,
0x8b0f014a,
0xf900020a,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001ea,
0x8b00014a,
0xf90001ea,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800038f,
0x000f0002,
0x00000000,
0x0006000b,
0x00000000,
0xaa1f03e9,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0x10000009,
0x00092000,
0x00000000,
0x90000009,
0x00093000,
0x00000000,
0x91000129,
0x000c0000,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0xf2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2c00009,
0x000a0205,
0x00000000,
0xf8000389,
0x000f0003,
0x00000000,
0xf8000388,
0x000f0003,
0x00000000,
0x91000109,
0x000c0000,
0xf8000389,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xf9400be9,
0xf8000389,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800038f,
0x000f0002,
0x00000000,
0xb840038f,
0x000f0002,
0x00000000,
0x2a1f01ef,
0x00000000,
0x320001ef,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x2a1001ef,
0x00000000,
0xb800038f,
0x000f0002,
0x00000000,
0xb940012f,
0x110005ef,
0xb900012f,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800038f,
0x000f0002,
0x00000000,
0xb840038f,
0x000f0002,
0x00000000,
0x2a1f01ef,
0x00000000,
0x320001ef,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x2a1001ef,
0x00000000,
0xb800038f,
0x000f0002,
0x00000000,
0xf800039f,
0x000f0003,
0x00000000,
0xb940010f,
0x110005ef,
0xb900010f,
0x00000000,
0xf8400109,
0x000f0003,
0xf8000389,
0x000f0003,
0xb840010a,
0x000f0002,
0x00000000,
0x0a1f014a,
0x00000000,
0x1200014a,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x0a0f014a,
0x00000000,
0x2a1f014a,
0x00000000,
0x3200014a,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x2a0f014a,
0x00000000,
0x3840010f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x2a1f014a,
0x00000000,
0x3200014a,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x2a0f014a,
0x00000000,
0xf8400109,
0x000f0003,
0x0006000b,
0xb840038f,
0x000f0002,
0x2a0a01ef,
0xb800038f,
0x000f0002,
0xf8000389,
0x000f0003,
0xf840010f,
0x000f0003,
0xb500000f,
0x00050801,
0x91000100,
0x000c0000,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800038f,
0x000f0002,
0x00000000,
0xf8400369,
0x000f0003,
0x00000000,
0xf8400129,
0x000f0003,
0x00000000,
0xf8400129,
0x000f0003,
0x00000000,
0xaa1f03ea,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0x1000000a,
0x00092000,
0x00000000,
0x9000000a,
0x00093000,
0x00000000,
0x9100014a,
0x000c0000,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0xf2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2c0000a,
0x000a0205,
0x00000000,
0xf840012f,
0x000f0003,
0xeb0a01ff,
0x54000001,
0x00090800,
0x00000000,
0xaa1f03ea,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0x1000000a,
0x00092000,
0x00000000,
0x9000000a,
0x00093000,
0x00000000,
0x9100014a,
0x000c0000,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0xf2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2c0000a,
0x000a0205,
0x00000000,
0xf840012f,
0x000f0003,
0xeb0a01ff,
0x54000001,
0x00090800,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xf840036a,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6948,
0x00000000,
0xf8400148,
0x000f0003,
0x00000000,
0xaa1f03e9,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0x10000009,
0x00092000,
0x00000000,
0x90000009,
0x00093000,
0x00000000,
0x91000129,
0x000c0000,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0xf2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2c00009,
0x000a0205,
0x00000000,
0xeb09011f,
0x54000001,
0x00050801,
0x00000000,
0xb4000008,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6940,
0x00000000,
0xf8000140,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x14000000,
0x00050003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0141,
0x00000000,
0x91000141,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x8b0f0141,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0141,
0x00000000,
0x91000141,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x8b0f0141,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0141,
0x00000000,
0x91000141,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x8b0f0141,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xb5000008,
0x00050803,
0x00000000,
0xaa1f03e9,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0x10000009,
0x00092000,
0x00000000,
0x90000009,
0x00093000,
0x00000000,
0x91000129,
0x000c0000,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0xf2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2c00009,
0x000a0205,
0x00000000,
0xf840010f,
0x000f0003,
0xeb0901ff,
0x54000000,
0x00050803,
0x00000000,
0xaa1f03e9,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0x10000009,
0x00092000,
0x00000000,
0x90000009,
0x00093000,
0x00000000,
0x91000129,
0x000c0000,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0xf2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2c00009,
0x000a0205,
0x00000000,
0xeb09011f,
0x54000000,
0x00050803,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xb5000008,
0x00050803,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x14000000,
0x00050023,
0x00000000,
0x00010000,
0x0006000d,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050015,
0x00010000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xf9000be0,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6908,
0x00000000,
0xf8400108,
0x000f0003,
0x00000000,
0xb4000008,
0x00050801,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f690a,
0x00000000,
0xf840010a,
0x000f0003,
0x00000000,
0xf840000f,
0x000f0003,
0xeb0f015f,
0x54000001,
0x00050801,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6908,
0x00000000,
0xf8400108,
0x000f0003,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x910003e2,
0x00000000,
0x910003e2,
0x000c0000,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0xb5000008,
0x00050802,
0x14000000,
0x00050015,
0x00010000,
0x0006000c,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf8400110,
0x000f0003,
0xeb0f021f,
0x54000001,
0x00090800,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xeb0f011f,
0x54000001,
0x00090800,
0x00000000,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xf9400be0,
0xaa0803e1,
0x00000000,
0x52800002,
0x000a0205,
0x00000000,
0x52800002,
0x000a0205,
0x00000000,
0x72a00002,
0x000a0205,
0x00000000,
0x52a00002,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xb4000000,
0x00050815,
0x00000000,
0xaa0003fc,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060013,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6808,
0x00110005,
0x00000000,
0xf8400008,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xf840010f,
0x000f0003,
0xeb0001ff,
0x54000001,
0x00090800,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xf840010f,
0x000f0003,
0xeb0001ff,
0x54000001,
0x00090800,
0x00000000,
0xf840037c,
0x000f0003,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xf8400388,
0x000f0003,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0xf800037f,
0x000f0003,
0x00000000,
0xf8400388,
0x000f0003,
0xf8000368,
0x000f0003,
0x00000000,
0xf800039b,
0x000f0003,
0x00000000,
0xf8400388,
0x000f0003,
0x00000000,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xaa1c03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x12001c00,
0xf8400388,
0x000f0003,
0x35000000,
0x00050801,
0x14000000,
0x00050015,
0x00010000,
0x0006000b,
0x00000000,
0xaa1c03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x34000000,
0x00050815,
0x00000000,
0x3840010f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050808,
0x00000000,
0xf800039f,
0x000f0003,
0x00000000,
0xaa1f03ea,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0x1000000a,
0x00092000,
0x00000000,
0x9000000a,
0x00093000,
0x00000000,
0x9100014a,
0x000c0000,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0xf2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2c0000a,
0x000a0205,
0x00000000,
0x8b1f000a,
0x00110005,
0x00000000,
0x9100000a,
0x00110005,
0x000c0000,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0xf2a0000a,
0x000a0205,
0x00000000,
0xd2a0000a,
0x000a0205,
0x00000000,
0x8b0a000a,
0x00110005,
0x00000000,
0x910003ea,
0x00000000,
0xaa0003ea,
0x00110010,
0x00000000,
0xf800038a,
0x000f0003,
0x00000000,
0xf800039f,
0x000f0003,
0x00000000,
0xf840036a,
0x000f0003,
0xf800038a,
0x000f0003,
0x00000000,
0x1000000f,
0x00092000,
0xf94001ea,
0x00000000,
0x9000000f,
0x00093000,
0xf84001ea,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001ea,
0x00000000,
0x8b1f014a,
0x00000000,
0x9100014a,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x8b0f014a,
0x00000000,
0xf940014a,
0x00000000,
0xf8400388,
0x000f0003,
0xf840010a,
0x000f0003,
0x00000000,
0xf8400388,
0x000f0003,
0x00000000,
0xf840010a,
0x000f0003,
0xf240015f,
0x54000000,
0x00050801,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e9,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e9,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e9,
0x00000000,
0x8b09014a,
0xf940014a,
0x0006000b,
0x00000000,
0xf800038a,
0x000f0003,
0x00000000,
0x10000009,
0x00092000,
0xf900013c,
0x00000000,
0x90000009,
0x00093000,
0xf800013c,
0x000f0003,
0x00000000,
0xaa1f03e9,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0x10000009,
0x00092000,
0x00000000,
0x90000009,
0x00093000,
0x00000000,
0x91000129,
0x000c0000,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0xf2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2c00009,
0x000a0205,
0x00000000,
0xf900013c,
0x00000000,
0xaa1c03fb,
0x00000000,
0x8b1f038f,
0x00000000,
0x9100038f,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x8b0f038f,
0x00000000,
0xb80105ff,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xf840011c,
0x000f0003,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xf8400100,
0x000f0003,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xf8000360,
0x000f0003,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd4200000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xf840011c,
0x000f0003,
0x00000000,
0xf8400100,
0x000f0003,
0xf8000360,
0x000f0003,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xf840011c,
0x000f0003,
0x00000000,
0xf8400100,
0x000f0003,
0xf8000360,
0x000f0003,
0x00000000,
0xb8400369,
0x000f0002,
0x00000000,
0x6b1f013f,
0x00000000,
0x7100013f,
0x000c0000,
0x00000000,
0x3100013f,
0x000c0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6b0f013f,
0x00000000,
0xb840010a,
0x000f0002,
0xb8400369,
0x000f0002,
0x6b0a013f,
0x00000000,
0x5400000c,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xb8400369,
0x000f0002,
0x14000000,
0x00050001,
0x00010000,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0x2a0903ea,
0x00000000,
0x8b0a179c,
0x00000000,
0xf840036f,
0x000f0003,
0x8b0a15ef,
0xf800036f,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0x5280000a,
0x000a0205,
0x00000000,
0x5280000a,
0x000a0205,
0x00000000,
0x72a0000a,
0x000a0205,
0x00000000,
0x52a0000a,
0x000a0205,
0x00000000,
0xb840010a,
0x000f0002,
0x00000000,
0x6b09014a,
0x5400000d,
0x00050803,
0x8b091369,
0x00000000,
0x91000129,
0x000c0000,
0x0006000c,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800012f,
0x000f0002,
0x91004129,
0x7100054a,
0x54000001,
0x0005080c,
0x0006000d,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0xd4200000,
0x00000000,
0x910083ff,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa8c27bfd,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa94273fb,
0xa8c37bfd,
0x52800020,
0xd65f03c0,
0x00000000,
0x00060012,
0x00000000,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xaa1c03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x12001c00,
0xf8400388,
0x000f0003,
0x35000000,
0x00050801,
0x14000000,
0x00050015,
0x00010000,
0x0006000b,
0x00000000,
0xaa1c03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x34000000,
0x00050815,
0xf8400388,
0x000f0003,
0x00000000,
0x10000009,
0x00092000,
0xf900013c,
0x00000000,
0x90000009,
0x00093000,
0xf800013c,
0x000f0003,
0x00000000,
0xaa1f03e9,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0x10000009,
0x00092000,
0x00000000,
0x90000009,
0x00093000,
0x00000000,
0x91000129,
0x000c0000,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0xf2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2c00009,
0x000a0205,
0x00000000,
0xf900013c,
0x00000000,
0xaa1c03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf8400388,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xb800002f,
0x000f0002,
0x00000000,
0xaa1c03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf840010f,
0x000f0003,
0xd63f01e0,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1c03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x10000008,
0x00092000,
0xf900011b,
0x00000000,
0x90000008,
0x00093000,
0xf800011b,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf900011b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xaa1c03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x3840038f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0xf8400380,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050002,
0x00010000,
0x0006000c,
0x00000000,
0x00060012,
0x00000000,
0x3840038f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x9100038f,
0x000c0000,
0xf94001e0,
0xb9400000,
0x00110000,
0x00110005,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00110005,
0x54000001,
0x00050801,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050002,
0x0006000b,
0xb9400400,
0x00110000,
0x00110005,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x0006000b,
0x14000000,
0x00050002,
0x00010000,
0x0006000c,
0x00000000,
0x3840038f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0xaa1c03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x10000008,
0x00092000,
0xf900011c,
0x00000000,
0x90000008,
0x00093000,
0xf800011c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf900011c,
0x00000000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e8,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e8,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e8,
0x00000000,
0xb5000008,
0x0005081b,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x00060013,
0x00000000,
0xf8400388,
0x000f0003,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0xf8400388,
0x000f0003,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x14000000,
0x0005001c,
0x00010000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940010f,
0x910005ef,
0xf900010f,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xf8400360,
0x000f0003,
0x3840000f,
0x000f0000,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x34000000,
0x00050802,
0x14000000,
0x00050015,
0x00010000,
0x0006000c,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0x8b1f0008,
0x00110005,
0x00000000,
0x91000008,
0x00110005,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0x8b080008,
0x00110005,
0x00000000,
0x910003e8,
0x00000000,
0xaa0003e8,
0x00110010,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400108,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050002,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050802,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6809,
0x00110005,
0x00000000,
0xf8400009,
0x00110005,
0x000f0003,
0x00000000,
0xb940012f,
0x110005ef,
0xb900012f,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6809,
0x00110005,
0x00000000,
0xf8000009,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050006,
0x00000000,
0x0006000c,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0x8b1f0008,
0x00110005,
0x00000000,
0x91000008,
0x00110005,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0x8b080008,
0x00110005,
0x00000000,
0x910003e8,
0x00000000,
0xaa0003e8,
0x00110010,
0x00000000,
0xf9000be8,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x52800002,
0x000a0205,
0x00000000,
0x52800002,
0x000a0205,
0x00000000,
0x72a00002,
0x000a0205,
0x00000000,
0x52a00002,
0x000a0205,
0x00000000,
0xaa1f03e3,
0xaa1f03e4,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x5280004f,
0xb900010f,
0x00000000,
0x5280000f,
0x000a0205,
0xb800010f,
0x000f0002,
0xf800011f,
0x000f0003,
0x00000000,
0xf9400be9,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x00060010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x00060011,
0x00000000,
0xf8400388,
0x000f0003,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x14000000,
0x00050007,
0x00010000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x12001d2f,
0x710001ff,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xf8400388,
0x000f0003,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x12001d2f,
0x710001ff,
0x000c0000,
0x54000000,
0x00050807,
0x00000000,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050807,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0x00010000,
0xb840038f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x14000000,
0x00050007,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xb4000000,
0x00050815,
0x00000000,
0x14000000,
0x00050007,
0x00010000,
0x00060011,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x12001d2f,
0x710001ff,
0x000c0000,
0x54000000,
0x00050807,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xb940000f,
0x710005ef,
0xb900000f,
0x54000000,
0x00050801,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050802,
0xb940014f,
0x110005ef,
0xb900014f,
0x14000000,
0x00050002,
0x0006000b,
0x00000000,
0xaa1f03e1,
0x2a1f03e2,
0xaa1f03e3,
0xaa1f03e4,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050002,
0x00010000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x0006000c,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x0006000b,
0x00000000,
0x00060011,
0x00000000,
0xb840038f,
0x000f0002,
0x00000000,
0x2a1f01ef,
0x00000000,
0x320001ef,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x2a1001ef,
0x00000000,
0xb800038f,
0x000f0002,
0x00000000,
0xf8400368,
0x000f0003,
0xb840010f,
0x000f0002,
0x00000000,
0x2a1f01ef,
0x00000000,
0x320001ef,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x2a1001ef,
0x00000000,
0xb800010f,
0x000f0002,
0x00000000,
0xb840038f,
0x000f0002,
0x00000000,
0x0a1f01ef,
0x00000000,
0x120001ef,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x0a1001ef,
0x00000000,
0xb800038f,
0x000f0002,
0x00000000,
0xf8400368,
0x000f0003,
0xb840010f,
0x000f0002,
0x00000000,
0x0a1f01ef,
0x00000000,
0x120001ef,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x0a1001ef,
0x00000000,
0xb800010f,
0x000f0002,
0x00000000,
0xf8400388,
0x000f0003,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0xb840038f,
0x000f0002,
0x00000000,
0x2a1f01ef,
0x00000000,
0x320001ef,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x2a1001ef,
0x00000000,
0xb800038f,
0x000f0002,
0x14000000,
0x00050001,
0x00010000,
0xb840038f,
0x000f0002,
0x00000000,
0x0a1f01ef,
0x00000000,
0x120001ef,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x0a1001ef,
0x00000000,
0xb800038f,
0x000f0002,
0x0006000b,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6908,
0x00000000,
0xf8400108,
0x000f0003,
0x00000000,
0xb4000008,
0x00050801,
0xf240011f,
0x54000001,
0x00050804,
0x00010001,
0x0006000e,
0x00000000,
0x10000000,
0x00092000,
0xf9400000,
0x00000000,
0x90000000,
0x00093000,
0xf8400000,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xf9400000,
0x00000000,
0xb840000f,
0x000f0002,
0xeb4805ff,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00050803,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x54000000,
0x00050803,
0x00000000,
0x54000000,
0x00050802,
0x00000000,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xb4000000,
0x00050803,
0x00000000,
0xb5000000,
0x00050803,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xb4000000,
0x00070800,
0x00000000,
0xb4000000,
0x00050803,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050003,
0x00000000,
0xb5000000,
0x00050801,
0x0006000c,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050003,
0x00000000,
0x00010000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0x8b1f0008,
0x00110005,
0x00000000,
0x91000008,
0x00110005,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0x8b080008,
0x00110005,
0x00000000,
0x910003e8,
0x00000000,
0xaa0003e8,
0x00110010,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400108,
0x91000108,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb940000f,
0x710005ef,
0xb900000f,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x38400108,
0x000f0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6b68,
0x00000000,
0x38400368,
0x000f0000,
0x00000000,
0xb90013e8,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xb94013e9,
0x14000000,
0x00050002,
0x00000000,
0x14000000,
0x00050003,
0x00000000,
0x00010000,
0x0006000d,
0x00000000,
0x38400109,
0x000f0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6b69,
0x00000000,
0x38400369,
0x000f0000,
0x00000000,
0x0006000c,
0x00000000,
0x38400109,
0x000f0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6b69,
0x00000000,
0x38400369,
0x000f0000,
0x00000000,
0x52800028,
0x1ac92108,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x1a9f07e8,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb940000f,
0x710005ef,
0xb900000f,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x38400108,
0x000f0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6b68,
0x00000000,
0x38400368,
0x000f0000,
0x00000000,
0xb90013e8,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xb94013e9,
0x14000000,
0x00050002,
0x00000000,
0x14000000,
0x00050003,
0x00000000,
0x00010000,
0x0006000d,
0x00000000,
0x38400109,
0x000f0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6b69,
0x00000000,
0x38400369,
0x000f0000,
0x00000000,
0x0006000c,
0x00000000,
0x7100013f,
0x000c0000,
0x00000000,
0x3840010f,
0x000f0000,
0x710001ff,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6b6f,
0x00000000,
0x3840036f,
0x000f0000,
0x00000000,
0x710001ff,
0x000c0000,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x1a9f07e8,
0x00000000,
0x1a9f17e8,
0x00000000,
0x11000908,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x00060011,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0x1000000a,
0x00092000,
0xf9000148,
0x00000000,
0x9000000a,
0x00093000,
0xf8000148,
0x000f0003,
0x00000000,
0xaa1f03ea,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0x1000000a,
0x00092000,
0x00000000,
0x9000000a,
0x00093000,
0x00000000,
0x9100014a,
0x000c0000,
0x00000000,
0xd280000a,
0x000a0205,
0x00000000,
0xf2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2a0000a,
0x000a0205,
0x00000000,
0xf2c0000a,
0x000a0205,
0x00000000,
0xd2c0000a,
0x000a0205,
0x00000000,
0xf9000148,
0x00000000,
0xf8400360,
0x000f0003,
0x00000000,
0x10000008,
0x00092000,
0xf9000100,
0x00000000,
0x90000008,
0x00093000,
0xf8000100,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf9000100,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xb8400360,
0x000f0002,
0x00000000,
0x6a1f001f,
0x00000000,
0x7200001f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f001f,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xeb0f039f,
0x54000000,
0x00050830,
0x00000000,
0xb400001c,
0x00050830,
0x00000000,
0x6a00001f,
0x5400000b,
0x00050830,
0x00000000,
0x1000000f,
0x00092000,
0xf94001fb,
0x00000000,
0x9000000f,
0x00093000,
0xf84001fb,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001fb,
0x00000000,
0x14000000,
0x00050008,
0x00010000,
0x54000001,
0x00050819,
0x00000000,
0xf8400360,
0x000f0003,
0xd1000000,
0x000c0000,
0xb9400000,
0x00110000,
0x00110005,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00110005,
0x54000001,
0x00050801,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x0006000b,
0xb9400400,
0x00110000,
0x00110005,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x0006000b,
0x0006000e,
0x00000000,
0x6a1f001f,
0x00000000,
0x7200001f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f001f,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xf8400360,
0x000f0003,
0xb9400000,
0x00110000,
0x00110005,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00110005,
0x54000001,
0x00050801,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x0006000b,
0xb9400400,
0x00110000,
0x00110005,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x0006000b,
0x0006000e,
0x00000000,
0x10000008,
0x00092000,
0xf900011b,
0x00000000,
0x90000008,
0x00093000,
0xf800011b,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf900011b,
0x00000000,
0xf840037b,
0x000f0003,
0x00000000,
0x10000008,
0x00092000,
0xf900011b,
0x00000000,
0x90000008,
0x00093000,
0xf800011b,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf900011b,
0x00000000,
0x00060013,
0x00000000,
0xf840037c,
0x000f0003,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xf840036f,
0x000f0003,
0x910001ef,
0x000c0000,
0xf800036f,
0x000f0003,
0x00000000,
0x00060012,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e8,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e8,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e8,
0x00000000,
0xb5000008,
0x0005081a,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xeb0f039f,
0x00000000,
0xf8400370,
0x000f0003,
0xeb0f021f,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0x14000000,
0x00050032,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xeb0f039f,
0x00000000,
0xf8400370,
0x000f0003,
0xeb0f021f,
0x00000000,
0x54000001,
0x00050832,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e8,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e8,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e8,
0x00000000,
0xb5000008,
0x0005081a,
0x00000000,
0x1000000f,
0x00092000,
0xf94001e8,
0x00000000,
0x9000000f,
0x00093000,
0xf84001e8,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf94001e8,
0x00000000,
0xf840037c,
0x000f0003,
0x00000000,
0xb5000008,
0x0005081a,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xf840036f,
0x000f0003,
0x910001ef,
0x000c0000,
0xf800036f,
0x000f0003,
0x00000000,
0x910083ff,
0x00000000,
0xd4200000,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xa8c27bfd,
0x00000000,
0xd4200000,
0x00000000,
0xf940038f,
0xd61f01e0,
0x00000000,
0xf840000f,
0x000f0003,
0xd61f01e0,
0x00000000,
0xd4200000,
0x00000000,
0xa94273fb,
0xa8c37bfd,
0x52800040,
0xd65f03c0,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1b03e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf840036a,
0x000f0003,
0x00000000,
0xf8400369,
0x000f0003,
0x00000000,
0xb4000000,
0x00110000,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050809,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb940000f,
0x710005ef,
0xb900000f,
0x00000000,
0x54000001,
0x00070800,
0x00000000,
0x54000001,
0x00050809,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0xb4000000,
0x00110000,
0x00070800,
0x00000000,
0xb4000000,
0x00110000,
0x00050809,
0x00000000,
0x00060013,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940010f,
0x910005ef,
0xf900010f,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0x8b1f0008,
0x00110005,
0x00000000,
0x91000008,
0x00110005,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0x8b080008,
0x00110005,
0x00000000,
0x910003e8,
0x00000000,
0xaa0003e8,
0x00110010,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400108,
0x91000108,
0x000c0000,
0x0006000b,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x0006000b,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6808,
0x00110005,
0x00000000,
0xf8400008,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xb940010f,
0x710005ef,
0xb900010f,
0x54000000,
0x00050802,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00070800,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050809,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680a,
0x00110005,
0x00000000,
0xf840000a,
0x00110005,
0x000f0003,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x0006000c,
0xaa0803e0,
0x00000000,
0xaa1f03e1,
0x2a1f03e2,
0xaa1f03e3,
0xaa1f03e4,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x00060013,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6809,
0x00110005,
0x00000000,
0xf8400009,
0x00110005,
0x000f0003,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050802,
0x12001d50,
0x00000000,
0x35000010,
0x00050801,
0x00000000,
0x7100021f,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x91000129,
0x000c0000,
0xb840012a,
0x000f0002,
0xf9400129,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050802,
0x0006000b,
0xb9400130,
0x11000610,
0xb9000130,
0x0006000c,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6809,
0x00110005,
0x00000000,
0xf8000009,
0x00110005,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f680a,
0x00110005,
0x00000000,
0xb800000a,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050807,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050807,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x00010001,
0x00060011,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6800,
0x00110005,
0x00000000,
0xf8000000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00060010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00060010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x00060012,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xf9400108,
0x91000108,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x14000000,
0x00090000,
0x00010000,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00110005,
0x00000000,
0xb840000a,
0x00110005,
0x000f0002,
0x00000000,
0x12001d4f,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0x3500000f,
0x00090800,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xf9400108,
0x91000108,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00110005,
0x00000000,
0xb840000a,
0x00110005,
0x000f0002,
0x00000000,
0x12001d4f,
0x00000000,
0x3400000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x14000000,
0x00090000,
0x00010000,
0x0006000b,
0x00000000,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400108,
0x91000108,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00110005,
0x00000000,
0xb840000a,
0x00110005,
0x000f0002,
0x00000000,
0x12001d4f,
0x00000000,
0x3500000f,
0x00090800,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0x00060011,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f680a,
0x00110005,
0x00000000,
0xb800000a,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940012f,
0x110005ef,
0xb900012f,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f6800,
0x00110000,
0x00110005,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f013f,
0x00000000,
0x7200013f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f013f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x0006000b,
0x00000000,
0x00060013,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400001,
0x3840002f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050802,
0x91000020,
0x000c0000,
0x14000000,
0x00050003,
0x00010001,
0x0006000c,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e0,
0xb5000000,
0x00050801,
0x14000000,
0x00050016,
0x00010000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050807,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050807,
0x00000000,
0x0006000d,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xb9400100,
0x00110000,
0x7100041f,
0x00110005,
0x54000009,
0x00050802,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x0006000c,
0xaa0803e0,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xb9400000,
0x00110000,
0x7100041f,
0x00110005,
0x00000000,
0x54000008,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x54000009,
0x00050802,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050801,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206808,
0x00110005,
0x00110010,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa0803e0,
0x00000000,
0x14000000,
0x00050002,
0x00010000,
0x0006000c,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x00010001,
0x00060011,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x5400000c,
0x00050807,
0x00000000,
0xf9000be0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0xf9400be0,
0x00110000,
0x00000000,
0xaa0803e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa0803e0,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x0006000b,
0x00000000,
0x00060010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xb4000000,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0x94000000,
0x00050021,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00050022,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050008,
0x00010000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6800,
0x00110005,
0x00000000,
0xf8000000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x00060012,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x00010001,
0x00060013,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050008,
0x00010000,
0x00010001,
0x00060011,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050008,
0x00010000,
0x00060012,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050807,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050807,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x00060013,
0x00000000,
0x00060012,
0x00000000,
0x00010001,
0x00060011,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x34000000,
0x00050809,
0x00000000,
0x14000000,
0x00050008,
0x00010000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060012,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00050008,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050008,
0x00000000,
0xd4200000,
0x00000000,
0x00060013,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd4200000,
0x00000000,
0x00060012,
0x00000000,
0xf8400361,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6828,
0x00000000,
0xf8400028,
0x000f0003,
0x00000000,
0xd1000508,
0x00000000,
0x10000009,
0x00092000,
0xb9400129,
0x00000000,
0x90000009,
0x00093000,
0xb8400129,
0x000f0002,
0x00000000,
0xaa1f03e9,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0x10000009,
0x00092000,
0x00000000,
0x90000009,
0x00093000,
0x00000000,
0x91000129,
0x000c0000,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0xf2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2c00009,
0x000a0205,
0x00000000,
0xb9400129,
0x00000000,
0xeb09151f,
0x54000002,
0x00050809,
0x00000000,
0x10000009,
0x00092000,
0xf940012f,
0x00000000,
0x90000009,
0x00093000,
0xf840012f,
0x000f0003,
0x00000000,
0xaa1f03e9,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0x10000009,
0x00092000,
0x00000000,
0x90000009,
0x00093000,
0x00000000,
0x91000129,
0x000c0000,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0xf2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2c00009,
0x000a0205,
0x00000000,
0xf940012f,
0x00000000,
0x8b0f0108,
0x3840010f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050809,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050809,
0x00000000,
0xf840010f,
0x000f0003,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x10000010,
0x00092000,
0x00000000,
0x90000010,
0x00093000,
0x00000000,
0x91000210,
0x000c0000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xeb1001ff,
0x54000001,
0x00050809,
0xf9400108,
0xb940010f,
0x110005ef,
0xb900010f,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050802,
0x00010001,
0x0006000c,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xb940000f,
0x710005ef,
0xb900000f,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050805,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf800036f,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0x14000000,
0x00050005,
0x00000000,
0x0006000d,
0xb940040f,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050805,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050005,
0x00000000,
0x00010000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x0006000f,
0x00000000,
0x00010001,
0x00060013,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0021,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x8b0f0021,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x14000000,
0x0005000b,
0x00010000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110000,
0x00110005,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x910003e0,
0x00110000,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x3840000f,
0x00110005,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x00110000,
0x00110005,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x5280002a,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6809,
0x00110005,
0x00000000,
0x38400009,
0x00110005,
0x000f0000,
0x00000000,
0x1ac9214a,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x12001c08,
0x00000000,
0x35000008,
0x00050801,
0x14000000,
0x00050015,
0x00010000,
0x0006000b,
0x00000000,
0x34000008,
0x00050815,
0x00000000,
0x14000000,
0x00050001,
0x00010000,
0x0006000b,
0x00000000,
0xb840036f,
0x000f0002,
0x00000000,
0x6b1f01ff,
0x00000000,
0x710001ff,
0x000c0000,
0x00000000,
0x310001ff,
0x000c0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6b1001ff,
0x00000000,
0x54000003,
0x00090800,
0x00000000,
0xb840036f,
0x000f0002,
0x00000000,
0x6b1f01ff,
0x00000000,
0x710001ff,
0x000c0000,
0x00000000,
0x310001ff,
0x000c0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6b1001ff,
0x00000000,
0x54000003,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1b03e0,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050015,
0x00010000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940010f,
0x910005ef,
0xf900010f,
0x00000000,
0xb840036f,
0x000f0002,
0x00000000,
0x6b1f01ff,
0x00000000,
0x710001ff,
0x000c0000,
0x00000000,
0x310001ff,
0x000c0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6b1001ff,
0x00000000,
0x54000002,
0x00050805,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940010f,
0x910005ef,
0xf900010f,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xf8400368,
0x000f0003,
0xf8400101,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x35000000,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050015,
0x00010000,
0x0006000f,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xaa1f03fc,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0x1000001c,
0x00092000,
0x00000000,
0x9000001c,
0x00093000,
0x00000000,
0x9100039c,
0x000c0000,
0x00000000,
0xd280001c,
0x000a0205,
0x00000000,
0xf2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2a0001c,
0x000a0205,
0x00000000,
0xf2c0001c,
0x000a0205,
0x00000000,
0xd2c0001c,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf8400010,
0x000f0003,
0xeb0f021f,
0x54000001,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050807,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050807,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f690a,
0x00000000,
0xf840010a,
0x000f0003,
0x00000000,
0xf840000f,
0x000f0003,
0xeb0f015f,
0x54000001,
0x00050805,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6908,
0x00000000,
0xf8400108,
0x000f0003,
0x00000000,
0xea08011f,
0x00000000,
0x5400000b,
0x00050805,
0x00000000,
0x5400000b,
0x00050808,
0x00000000,
0x8b08000f,
0xb84001ea,
0x000f0002,
0x3400000a,
0x00050805,
0xaa0f03e0,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6901,
0x00000000,
0xf8400101,
0x000f0003,
0x00000000,
0xb5000001,
0x00050801,
0x00010001,
0x0006000b,
0xb840002f,
0x000f0002,
0x720001ff,
0x000d0000,
0x00000000,
0x54000000,
0x00050803,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0x3500000a,
0x00050802,
0x00000000,
0x7100015f,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0xf940000a,
0xb940014f,
0x110005ef,
0xb900014f,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f680a,
0x00110005,
0x00000000,
0xf800000a,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x0006000c,
0xaa0103e0,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x0006000d,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x0006000e,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00000000,
0xb840000a,
0x000f0002,
0x00000000,
0x3400000a,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00000000,
0xb840000a,
0x000f0002,
0x00000000,
0x3400000a,
0x00050805,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00000000,
0xb840000a,
0x000f0002,
0x00000000,
0x3500000a,
0x00050804,
0x00000000,
0x7100015f,
0x000c0000,
0x54000001,
0x00050804,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f680a,
0x00110005,
0x00000000,
0xf840000a,
0x00110005,
0x000f0003,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f680a,
0x00110005,
0x00000000,
0xf800000a,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x00010001,
0x0006000e,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00000000,
0xb840000a,
0x000f0002,
0x00000000,
0x7100015f,
0x000c0000,
0x5400000d,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00000000,
0xb840000a,
0x000f0002,
0x00000000,
0x12001d4f,
0x00000000,
0x3400000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xf8400008,
0x000f0003,
0xf8400108,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6901,
0x00000000,
0xf8400101,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6800,
0x00110005,
0x00000000,
0xf8000000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0x8b1f0008,
0x00110005,
0x00000000,
0x91000008,
0x00110005,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0x8b080008,
0x00110005,
0x00000000,
0x910003e8,
0x00000000,
0xaa0003e8,
0x00110010,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00000000,
0xb840000a,
0x000f0002,
0x00000000,
0x12001d4f,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400108,
0x91000108,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00110005,
0x00000000,
0xb840000a,
0x00110005,
0x000f0002,
0x00000000,
0x0006000b,
0x00000000,
0x3500000a,
0x00090800,
0x00000000,
0x7100015f,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00110005,
0x00000000,
0xb840000a,
0x00110005,
0x000f0002,
0x00000000,
0x0006000b,
0x12001d4f,
0x00000000,
0x3500000f,
0x00090800,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f680a,
0x00110005,
0x00000000,
0xb800000a,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940012f,
0x110005ef,
0xb900012f,
0x0006000b,
0x00000000,
0x00010001,
0x0006000f,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00060011,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00060012,
0xaa0803e1,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0x00060013,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb940000f,
0x710005ef,
0xb900000f,
0x54000001,
0x00050801,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050015,
0x00010000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f690a,
0x00000000,
0xf840010a,
0x000f0003,
0x00000000,
0xf840000f,
0x000f0003,
0xeb0f015f,
0x54000001,
0x00050807,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f690f,
0x00000000,
0xf840010f,
0x000f0003,
0x00000000,
0xb500000f,
0x00050807,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6908,
0x00000000,
0xf8400108,
0x000f0003,
0x00000000,
0xea08011f,
0x5400000b,
0x00050807,
0x8b08000f,
0x00000000,
0x384001f0,
0x000f0000,
0x00000000,
0x34000010,
0x00050807,
0x00000000,
0x7100021f,
0x000c0000,
0x54000000,
0x00050807,
0x00000000,
0xaa0f03e0,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6810,
0x00000000,
0x38400010,
0x000f0000,
0x00000000,
0x34000010,
0x00090800,
0x00000000,
0x7100021f,
0x000c0000,
0x54000000,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6810,
0x00000000,
0x38400010,
0x000f0000,
0x00000000,
0x34000010,
0x00050807,
0x00000000,
0x7100021f,
0x000c0000,
0x54000000,
0x00050807,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xf8400008,
0x000f0003,
0xf8400108,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6901,
0x00000000,
0xf8400101,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050802,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xf840000f,
0x000f0003,
0xb500000f,
0x00050801,
0x91000000,
0x000c0000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x0006000c,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050802,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf870680f,
0x00110005,
0xb10001ef,
0x000c0000,
0xf830680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0xb10001ef,
0x000c0000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0xb1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf870680f,
0x00110005,
0xf10001ef,
0x000c0000,
0xf830680f,
0x00110005,
0x00000000,
0xf840000f,
0x00110005,
0x000f0003,
0xf10001ef,
0x000c0000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0xf1000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0x54000006,
0x00050803,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x00010001,
0x0006000c,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940014f,
0x110005ef,
0xb900014f,
0x0006000b,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x92800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2e00010,
0x000a0205,
0x00000000,
0xaa1003e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6810,
0x00110005,
0x00000000,
0xf8000010,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa1003e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6810,
0x00110005,
0x00000000,
0xf8000010,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03f0,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0x92800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2c00010,
0x000a0205,
0x00000000,
0xf2e00010,
0x000a0205,
0x00000000,
0xd2e00010,
0x000a0205,
0x00000000,
0xaa1003e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6810,
0x00110005,
0x00000000,
0xf8000010,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xaa1003e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6810,
0x00110005,
0x00000000,
0xf8000010,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00090000,
0x00010000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x00010001,
0x00060011,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xf8400362,
0x000f0003,
0x00000000,
0x8b1f0042,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x8b0f0042,
0x00000000,
0xaa1f03e3,
0x00000000,
0xaa1f03e3,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0x10000003,
0x00092000,
0x00000000,
0x90000003,
0x00093000,
0x00000000,
0x91000063,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2c00003,
0x000a0205,
0x00000000,
0x8b1f0003,
0x00110005,
0x00000000,
0x91000003,
0x00110005,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0x8b030003,
0x00110005,
0x00000000,
0x910003e3,
0x00000000,
0xaa0003e3,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060013,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050008,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f690a,
0x00000000,
0xf840010a,
0x000f0003,
0x00000000,
0xf8400010,
0x000f0003,
0xeb10015f,
0x54000001,
0x00050807,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f690f,
0x00000000,
0xf840010f,
0x000f0003,
0x00000000,
0xb500000f,
0x00050807,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6908,
0x00000000,
0xf8400108,
0x000f0003,
0x00000000,
0xea08011f,
0x5400000b,
0x00050807,
0x8b08000f,
0x00000000,
0x384001f0,
0x000f0000,
0x00000000,
0x34000010,
0x00050807,
0x00000000,
0x7100021f,
0x000c0000,
0x54000000,
0x00050807,
0x00000000,
0xaa0f03e0,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6810,
0x00000000,
0x38400010,
0x000f0000,
0x00000000,
0x34000010,
0x00090800,
0x00000000,
0x7100021f,
0x000c0000,
0x54000000,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6810,
0x00000000,
0x38400010,
0x000f0000,
0x00000000,
0x34000010,
0x00050807,
0x00000000,
0x7100021f,
0x000c0000,
0x54000000,
0x00050807,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xf8400008,
0x000f0003,
0xf8400108,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6901,
0x00000000,
0xf8400101,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0xaa1f03e3,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0x10000003,
0x00092000,
0x00000000,
0x90000003,
0x00093000,
0x00000000,
0x91000063,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2c00003,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0x8b1f0008,
0x00110005,
0x00000000,
0x91000008,
0x00110005,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0x8b080008,
0x00110005,
0x00000000,
0x910003e8,
0x00000000,
0xaa0003e8,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050802,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050802,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xf840000f,
0x000f0003,
0xb500000f,
0x00050801,
0x91000008,
0x000c0000,
0x00010001,
0x0006000b,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x0006000c,
0x00000000,
0x00010001,
0x00060011,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0xf8400363,
0x000f0003,
0x00000000,
0x8b1f0063,
0x00000000,
0x91000063,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x8b0f0063,
0x00000000,
0xaa1f03e4,
0x00000000,
0xd2800004,
0x000a0205,
0x00000000,
0x10000004,
0x00092000,
0x00000000,
0x90000004,
0x00093000,
0x00000000,
0x91000084,
0x000c0000,
0x00000000,
0xd2800004,
0x000a0205,
0x00000000,
0xf2a00004,
0x000a0205,
0x00000000,
0xf2c00004,
0x000a0205,
0x00000000,
0xd2a00004,
0x000a0205,
0x00000000,
0xf2c00004,
0x000a0205,
0x00000000,
0xd2c00004,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x00060012,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060013,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f690a,
0x00000000,
0xf840010a,
0x000f0003,
0x00000000,
0xf840000f,
0x000f0003,
0xeb0f015f,
0x54000001,
0x00050805,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6901,
0x00000000,
0xf8400101,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6908,
0x00000000,
0xf8400108,
0x000f0003,
0x00000000,
0xea08011f,
0x5400000b,
0x00050805,
0x8b080010,
0x3840020f,
0x000f0000,
0x00000000,
0x3400000f,
0x00050805,
0x00000000,
0x710001ff,
0x000c0000,
0x54000000,
0x00050805,
0x00000000,
0xaa1003e0,
0x00000000,
0xb5000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0xaa1f03e3,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0x10000003,
0x00092000,
0x00000000,
0x90000003,
0x00093000,
0x00000000,
0x91000063,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2c00003,
0x000a0205,
0x00000000,
0x8b1f0003,
0x00110005,
0x00000000,
0x91000003,
0x00110005,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0x8b030003,
0x00110005,
0x00000000,
0x910003e3,
0x00000000,
0xaa0003e3,
0x00110010,
0x00000000,
0xaa1f03e3,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050007,
0x00000000,
0x14000000,
0x00050009,
0x00000000,
0x00010000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6810,
0x00000000,
0x38400010,
0x000f0000,
0x00000000,
0x34000010,
0x00090800,
0x00000000,
0x7100021f,
0x000c0000,
0x54000000,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6810,
0x00000000,
0x38400010,
0x000f0000,
0x00000000,
0x34000010,
0x00050805,
0x00000000,
0x7100021f,
0x000c0000,
0x54000000,
0x00050805,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xf8400008,
0x000f0003,
0xf8400108,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6901,
0x00000000,
0xf8400101,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0xaa1f03e3,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0x10000003,
0x00092000,
0x00000000,
0x90000003,
0x00093000,
0x00000000,
0x91000063,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0xf2c00003,
0x000a0205,
0x00000000,
0xd2c00003,
0x000a0205,
0x00000000,
0x8b1f0003,
0x00110005,
0x00000000,
0x91000003,
0x00110005,
0x000c0000,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xd2800003,
0x000a0205,
0x00000000,
0xf2a00003,
0x000a0205,
0x00000000,
0xd2a00003,
0x000a0205,
0x00000000,
0x8b030003,
0x00110005,
0x00000000,
0x910003e3,
0x00000000,
0xaa0003e3,
0x00110010,
0x00000000,
0xaa1f03e3,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x00010001,
0x0006000f,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0x8b1f0002,
0x00110005,
0x00000000,
0x91000002,
0x00110005,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0x8b020002,
0x00110005,
0x00000000,
0x910003e2,
0x00000000,
0xaa0003e2,
0x00110010,
0x00000000,
0xf8400363,
0x000f0003,
0x00000000,
0x8b1f0063,
0x00000000,
0x91000063,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x8b0f0063,
0x00000000,
0xaa1f03e4,
0x00000000,
0xd2800004,
0x000a0205,
0x00000000,
0x10000004,
0x00092000,
0x00000000,
0x90000004,
0x00093000,
0x00000000,
0x91000084,
0x000c0000,
0x00000000,
0xd2800004,
0x000a0205,
0x00000000,
0xf2a00004,
0x000a0205,
0x00000000,
0xf2c00004,
0x000a0205,
0x00000000,
0xd2a00004,
0x000a0205,
0x00000000,
0xf2c00004,
0x000a0205,
0x00000000,
0xd2c00004,
0x000a0205,
0x00000000,
0x8b1f0004,
0x00110005,
0x00000000,
0x91000004,
0x00110005,
0x000c0000,
0x00000000,
0xd2800004,
0x000a0205,
0x00000000,
0xd2800004,
0x000a0205,
0x00000000,
0xf2a00004,
0x000a0205,
0x00000000,
0xd2a00004,
0x000a0205,
0x00000000,
0x8b040004,
0x00110005,
0x00000000,
0x910003e4,
0x00000000,
0xaa0003e4,
0x00110010,
0x00000000,
0xaa1f03e4,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x00060011,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00010001,
0x00060011,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060013,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00050807,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00050807,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f6b60,
0x00000000,
0xb8400360,
0x000f0002,
0x00000000,
0x2a3f03ef,
0x6b0f001f,
0x54000000,
0x00050807,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x00060011,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x92800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xf2e00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xf2e00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0xf2e00001,
0x000a0205,
0x00000000,
0xd2e00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6808,
0x00110005,
0x00000000,
0xf8400008,
0x00110005,
0x000f0003,
0x00000000,
0x91000100,
0x000c0000,
0xf8400101,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xaa0f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830680f,
0x00110005,
0x00000000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6808,
0x00110005,
0x00000000,
0xf8400008,
0x00110005,
0x000f0003,
0x00000000,
0xf8400108,
0x000f0003,
0x00000000,
0xaa0803e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830681f,
0x00110005,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0xaa0f03e0,
0x00110000,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xf830680f,
0x00110005,
0x00000000,
0xf800000f,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6808,
0x00110005,
0x00000000,
0xf8400008,
0x00110005,
0x000f0003,
0x00000000,
0xb8400108,
0x000f0002,
0x00000000,
0xaa0803e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb9400000,
0x00110000,
0x71000400,
0x00110000,
0x00110005,
0xb9000000,
0x00110000,
0x00000000,
0x54000001,
0x00050803,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8000360,
0x00110000,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000000,
0x00050804,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0x0006000b,
0x00000000,
0xb9400400,
0x00110000,
0x00000000,
0x6a1f001f,
0x00110005,
0x00000000,
0x7200001f,
0x00110005,
0x000d0000,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0x6a00001f,
0x00110005,
0x00110010,
0x00000000,
0x54000001,
0x00050804,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd63f0000,
0x00110005,
0x00000000,
0x14000000,
0x00050004,
0x00010000,
0x0006000e,
0x00000000,
0xf8400360,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6800,
0x00110005,
0x00000000,
0xf8000000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xb940000f,
0x110005ef,
0xb900000f,
0x00000000,
0x3840036f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0x3840036f,
0x000f0000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00010001,
0x0006000b,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x14000000,
0x00050026,
0x00010000,
0xb4000008,
0x00090800,
0x00000000,
0xb4000008,
0x00050803,
0x00000000,
0xb4000008,
0x00070800,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xf840000f,
0x000f0003,
0xcb0f0108,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x9ac00d08,
0x10000000,
0x00052004,
0xf868680f,
0xd61f01e0,
0x00000000,
0x00010002,
0x00040007,
0x0006000e,
0x00000000,
0x00100000,
0x00100000,
0x00000000,
0x00058003,
0x00000000,
0x00078000,
0x00000000,
0x00078000,
0x00000000,
0x00058003,
0x00000000,
0x00100000,
0x00100000,
0x00000000,
0x00010000,
0x14000000,
0x00070000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6801,
0x00110005,
0x00000000,
0xf8400001,
0x00110005,
0x000f0003,
0x00000000,
0x9100002f,
0x000c0000,
0x384001f0,
0x000f0000,
0x00000000,
0x35000010,
0x00090800,
0x00000000,
0x7100021f,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0x9100002f,
0x000c0000,
0x384001f0,
0x000f0000,
0x00000000,
0x35000010,
0x00050803,
0x00000000,
0x7100021f,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xf8400021,
0x000f0003,
0x14000000,
0x00050002,
0x00010000,
0x0006000c,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xeb1f003f,
0x00000000,
0xf100003f,
0x000c0000,
0x00000000,
0xb100003f,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xeb0f003f,
0x00000000,
0x54000002,
0x00090800,
0x00000000,
0x54000002,
0x00050803,
0x00000000,
0x54000002,
0x00070800,
0x00000000,
0x10000008,
0x00052004,
0xf861790f,
0xd61f01e0,
0x00000000,
0x00010002,
0x00040007,
0x0006000e,
0x00000000,
0x00100000,
0x00100000,
0x00000000,
0x00058003,
0x00000000,
0x00078000,
0x00000000,
0x00078000,
0x00000000,
0x00058003,
0x00000000,
0x00100000,
0x00100000,
0x00000000,
0x00010000,
0x0006000d,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050801,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6801,
0x00110005,
0x00000000,
0xf8400001,
0x00110005,
0x000f0003,
0x00000000,
0x00010001,
0x0006000b,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6801,
0x00110005,
0x00000000,
0xf8400001,
0x00110005,
0x000f0003,
0x00000000,
0x9100002f,
0x000c0000,
0x384001f0,
0x000f0000,
0x00000000,
0x35000010,
0x00090800,
0x00000000,
0x7100021f,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0x9100002f,
0x000c0000,
0x384001f0,
0x000f0000,
0x00000000,
0x35000010,
0x00050803,
0x00000000,
0x7100021f,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xf8400021,
0x000f0003,
0x14000000,
0x00050002,
0x00010000,
0x0006000c,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6801,
0x00110005,
0x00000000,
0xf8400001,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x0006000d,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x8b1f0001,
0x00110005,
0x00000000,
0x91000001,
0x00110005,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0x8b010001,
0x00110005,
0x00000000,
0x910003e1,
0x00000000,
0xaa0003e1,
0x00110010,
0x00000000,
0x3840002f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400021,
0x91000021,
0x000c0000,
0x0006000b,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050805,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050805,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00070800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00070800,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110000,
0x00110005,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x14000000,
0x00050002,
0x00000000,
0x0006000f,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00070800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00070800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6801,
0x00110005,
0x00000000,
0xf8400001,
0x00110005,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0x00000000,
0x0006000c,
0x00000000,
0x00060010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050803,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00070800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00070800,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x52800000,
0x000a0205,
0x00000000,
0x72a00000,
0x000a0205,
0x00000000,
0x52a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00050003,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x0006000d,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050806,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050806,
0x00000000,
0x5280002a,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f6809,
0x00110005,
0x00000000,
0x38400009,
0x00110005,
0x000f0000,
0x00000000,
0x1ac9214a,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050806,
0x00000000,
0x00010001,
0x00060010,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e9,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0x10000009,
0x00092000,
0x00000000,
0x90000009,
0x00093000,
0x00000000,
0x91000129,
0x000c0000,
0x00000000,
0xd2800009,
0x000a0205,
0x00000000,
0xf2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2a00009,
0x000a0205,
0x00000000,
0xf2c00009,
0x000a0205,
0x00000000,
0xd2c00009,
0x000a0205,
0x00000000,
0xf8000369,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00050807,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00050807,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xb4000000,
0x00050815,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x14000000,
0x00050008,
0x00000000,
0x00060011,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x00060012,
0xf8400361,
0x000f0003,
0x00000000,
0xaa1f03e2,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0x10000002,
0x00092000,
0x00000000,
0x90000002,
0x00093000,
0x00000000,
0x91000042,
0x000c0000,
0x00000000,
0xd2800002,
0x000a0205,
0x00000000,
0xf2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2a00002,
0x000a0205,
0x00000000,
0xf2c00002,
0x000a0205,
0x00000000,
0xd2c00002,
0x000a0205,
0x00000000,
0xf8400368,
0x000f0003,
0x00000000,
0x8b1f0103,
0x00000000,
0x91000103,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x8b0f0103,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0x14000000,
0x00050009,
0x00010000,
0x00060013,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050801,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050801,
0x00000000,
0xf9400000,
0x91000000,
0x000c0000,
0x0006000b,
0x00000000,
0x0006000b,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0x386f680f,
0x00110005,
0x00000000,
0x3840000f,
0x00110005,
0x000f0000,
0x00000000,
0x710001ff,
0x000c0000,
0x00000000,
0x5400000c,
0x00090800,
0x00000000,
0x5400000d,
0x00090800,
0x00000000,
0x5400000d,
0x00070800,
0x00000000,
0x5400000c,
0x00070800,
0x00000000,
0x1a9fd7e8,
0x11000108,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x9e6703e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0x9e620000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf820681f,
0x00110005,
0x00110010,
0x00000000,
0xf800001f,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf940010f,
0x910005ef,
0xf900010f,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940000f,
0x110005ef,
0xb900000f,
0x0006000b,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6b7f,
0x00000000,
0xb800037f,
0x000f0002,
0x00000000,
0x14000000,
0x00090000,
0x00000000,
0x14000000,
0x00070000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xb840000f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00090800,
0x00000000,
0xb840000f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f6b68,
0x00000000,
0xb8400368,
0x000f0002,
0x00000000,
0xb840000f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000001,
0x00050802,
0x00000000,
0x2a0803e1,
0xf840000f,
0x000f0003,
0x8b0115e1,
0x0006000b,
0xb840000f,
0x000f0002,
0x6b0801ff,
0x00000000,
0x54000009,
0x00090800,
0x00000000,
0x54000009,
0x00050803,
0x00000000,
0x54000009,
0x00070800,
0x00000000,
0x11000508,
0x00000000,
0x3840002f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050803,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050803,
0x00000000,
0x3840002f,
0x000f0000,
0x00000000,
0x3500000f,
0x00090800,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0x91000021,
0x000c0000,
0x14000000,
0x0005000b,
0x00000000,
0x0006000c,
0x00000000,
0x2a0803e1,
0xf840000f,
0x000f0003,
0x8b0111e1,
0x0006000b,
0xb840000f,
0x000f0002,
0x6b0801ff,
0x00000000,
0x54000009,
0x00090800,
0x00000000,
0x54000009,
0x00050804,
0x00000000,
0x54000009,
0x00070800,
0x00000000,
0x11000508,
0x00000000,
0x3840002f,
0x000f0000,
0x00000000,
0x3500000f,
0x00050804,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00050804,
0x00000000,
0x3840002f,
0x000f0000,
0x00000000,
0x3500000f,
0x00090800,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0x91000021,
0x000c0000,
0x14000000,
0x0005000b,
0x00000000,
0x0006000d,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6b68,
0x00000000,
0xb8000368,
0x000f0002,
0x00000000,
0xf8400028,
0x000f0003,
0xb4000008,
0x00050802,
0x00000000,
0xf8400028,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0xb840010f,
0x000f0002,
0x00000000,
0x6a1f01ff,
0x00000000,
0x720001ff,
0x000d0000,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x52800010,
0x000a0205,
0x00000000,
0x72a00010,
0x000a0205,
0x00000000,
0x52a00010,
0x000a0205,
0x00000000,
0x6a1001ff,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050003,
0x0006000b,
0xb940010f,
0x110005ef,
0xb900010f,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050003,
0x0006000c,
0x00000000,
0xf8400028,
0x000f0003,
0x00000000,
0xaa0803e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x14000000,
0x00050003,
0x00000000,
0x0006000e,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6b68,
0x00000000,
0xb8000368,
0x000f0002,
0x00000000,
0x51000508,
0x00000000,
0xaa0803e0,
0x00110000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6808,
0x00110005,
0x00000000,
0xf8000008,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0x0006000d,
0x00000000,
0x0006000d,
0x0006000e,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6b68,
0x00000000,
0xb8000368,
0x000f0002,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940000f,
0x110005ef,
0xb900000f,
0x0006000b,
0x00000000,
0x0006000d,
0x0006000e,
0x00000000,
0xf8400360,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6808,
0x00000000,
0xf8400008,
0x000f0003,
0x00000000,
0xb4000008,
0x00050809,
0x00000000,
0xf240011f,
0x54000001,
0x00050809,
0x00000000,
0x00060012,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f680a,
0x00110005,
0x00000000,
0xb840000a,
0x00110005,
0x000f0002,
0x00000000,
0x3500000a,
0x00090800,
0x00000000,
0x7100015f,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f680a,
0x00110005,
0x00000000,
0xb800000a,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f015f,
0x00000000,
0x7200015f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f015f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940012f,
0x110005ef,
0xb900012f,
0x0006000b,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x92800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2e00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xaa0003e0,
0x00110000,
0x00110010,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00110000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0x10000000,
0x00110000,
0x00092000,
0x00000000,
0x90000000,
0x00110000,
0x00093000,
0x00000000,
0x91000000,
0x00110000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2c00000,
0x00110000,
0x000a0205,
0x00000000,
0xfd400000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0x1e604000,
0x00110000,
0x00110005,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xfc206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xfc000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8400000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xf8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xf8000000,
0x00110000,
0x00110005,
0x000f0003,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x52800000,
0x00110000,
0x000a0205,
0x00000000,
0x72a00000,
0x00110000,
0x000a0205,
0x00000000,
0x52a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8400000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xb8206800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0xb8000000,
0x00110000,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940012f,
0x110005ef,
0xb900012f,
0x0006000b,
0x00000000,
0x00010001,
0x00060013,
0x00000000,
0xf800037c,
0x000f0003,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x52800001,
0x000a0205,
0x00000000,
0x52800001,
0x000a0205,
0x00000000,
0x72a00001,
0x000a0205,
0x00000000,
0x52a00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa0003e8,
0xb5000008,
0x00050812,
0x14000000,
0x00050015,
0x00010000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6801,
0x00110005,
0x00000000,
0xf8400001,
0x00110005,
0x000f0003,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xaa1f03e1,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0x10000001,
0x00092000,
0x00000000,
0x90000001,
0x00093000,
0x00000000,
0x91000021,
0x000c0000,
0x00000000,
0xd2800001,
0x000a0205,
0x00000000,
0xf2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2a00001,
0x000a0205,
0x00000000,
0xf2c00001,
0x000a0205,
0x00000000,
0xd2c00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xb4000000,
0x00090800,
0x00000000,
0xb5000000,
0x00090800,
0x00000000,
0xb4000000,
0x00070800,
0x00000000,
0xb5000000,
0x00070800,
0x00000000,
0xea00001f,
0x1a9f07e8,
0x11000108,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb82f6808,
0x00110005,
0x00000000,
0xb8000008,
0x00110005,
0x000f0002,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6b68,
0x00000000,
0xf8000368,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6809,
0x00110005,
0x00000000,
0xf8400009,
0x00110005,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6b69,
0x00000000,
0xf8000369,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xb86f6808,
0x00110005,
0x00000000,
0xb8400008,
0x00110005,
0x000f0002,
0x00000000,
0x6a1f011f,
0x00000000,
0x7200011f,
0x000d0000,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0x6a0f011f,
0x00000000,
0x54000000,
0x00050801,
0x00000000,
0xb940012f,
0x110005ef,
0xb900012f,
0x0006000b,
0x00000000,
0x8b1f0360,
0x00000000,
0x91000360,
0x000c0000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x9280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xf2e0000f,
0x000a0205,
0x00000000,
0xd2e0000f,
0x000a0205,
0x00000000,
0x8b0f0360,
0x00000000,
0x52800001,
0x000a0205,
0x00000000,
0x52800001,
0x000a0205,
0x00000000,
0x72a00001,
0x000a0205,
0x00000000,
0x52a00001,
0x000a0205,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03ef,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0x1000000f,
0x00092000,
0x00000000,
0x9000000f,
0x00093000,
0x00000000,
0x910001ef,
0x000c0000,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf2c0000f,
0x000a0205,
0x00000000,
0xd2c0000f,
0x000a0205,
0x00000000,
0xd63f01e0,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf82f6800,
0x00110005,
0x00000000,
0xf8000000,
0x00110005,
0x000f0003,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x5280000f,
0x000a0205,
0x00000000,
0x72a0000f,
0x000a0205,
0x00000000,
0x52a0000f,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xd2800010,
0x000a0205,
0x00000000,
0xf2a00010,
0x000a0205,
0x00000000,
0xd2a00010,
0x000a0205,
0x00000000,
0xb830680f,
0x00110005,
0x00000000,
0xb800000f,
0x00110005,
0x000f0002,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x34000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000000,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xaa1f03e0,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0x10000000,
0x00092000,
0x00000000,
0x90000000,
0x00093000,
0x00000000,
0x91000000,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0xf2c00000,
0x000a0205,
0x00000000,
0xd2c00000,
0x000a0205,
0x00000000,
0x8b1f0000,
0x00110005,
0x00000000,
0x91000000,
0x00110005,
0x000c0000,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xd2800000,
0x000a0205,
0x00000000,
0xf2a00000,
0x000a0205,
0x00000000,
0xd2a00000,
0x000a0205,
0x00000000,
0x8b000000,
0x00110005,
0x00000000,
0x910003e0,
0x00000000,
0xaa0003e0,
0x00110010,
0x00000000,
0x94000000,
0x00090000,
0x00000000,
0xaa1f03e8,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0x10000008,
0x00092000,
0x00000000,
0x90000008,
0x00093000,
0x00000000,
0x91000108,
0x000c0000,
0x00000000,
0xd2800008,
0x000a0205,
0x00000000,
0xf2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2a00008,
0x000a0205,
0x00000000,
0xf2c00008,
0x000a0205,
0x00000000,
0xd2c00008,
0x000a0205,
0x00000000,
0xd63f0100,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xd2800000,
0x00110000,
0x000a0205,
0x00000000,
0xf2a00000,
0x00110000,
0x000a0205,
0x00000000,
0xd2a00000,
0x00110000,
0x000a0205,
0x00000000,
0x38606800,
0x00110000,
0x00110005,
0x00110010,
0x00000000,
0x38400000,
0x00110000,
0x00110005,
0x000f0000,
0x00000000,
0x35000000,
0x00110000,
0x00090800,
0x00000000,
0x7100001f,
0x00110005,
0x000c0000,
0x54000001,
0x00090800,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xd280000f,
0x000a0205,
0x00000000,
0xf2a0000f,
0x000a0205,
0x00000000,
0xd2a0000f,
0x000a0205,
0x00000000,
0xf86f6800,
0x00110005,
0x00000000,
0xf8400000,
0x00110005,
0x000f0003,
0x00000000,
0xaa0803e0,
0x00000000,
0x3840000f,
0x000f0000,
0x00000000,
0x3500000f,
0x00090800,
0x00000000,
0x710001ff,
0x000c0000,
0x54000001,
0x00090800,
0x00000000
};

#line 106 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
//|.globals zend_lb
enum {
  zend_lbinterrupt_handler,
  zend_lbexception_handler,
  zend_lbexception_handler_undef,
  zend_lbexception_handler_free_op1_op2,
  zend_lbexception_handler_free_op2,
  zend_lbleave_function_handler,
  zend_lbleave_throw_handler,
  zend_lbicall_throw_handler,
  zend_lbthrow_cannot_pass_by_ref,
  zend_lbundefined_offset_ex,
  zend_lbundefined_offset,
  zend_lbundefined_index_ex,
  zend_lbundefined_index,
  zend_lbcannot_add_element_ex,
  zend_lbcannot_add_element,
  zend_lbundefined_function,
  zend_lbnegative_shift,
  zend_lbmod_by_zero,
  zend_lbinvalid_this,
  zend_lbhybrid_runtime_jit,
  zend_lbhybrid_profile_jit,
  zend_lbhybrid_hot_code,
  zend_lbhybrid_func_hot_counter,
  zend_lbhybrid_loop_hot_counter,
  zend_lbhybrid_hot_trace,
  zend_lbhybrid_func_trace_counter,
  zend_lbhybrid_ret_trace_counter,
  zend_lbhybrid_loop_trace_counter,
  zend_lbtrace_halt,
  zend_lbtrace_exit,
  zend_lbtrace_escape,
  zend_lbcontext_threaded_call,
  zend_lbassign_const,
  zend_lbassign_tmp,
  zend_lbassign_var,
  zend_lbassign_cv_noref,
  zend_lbassign_cv,
  zend_lb_MAX
};
#line 107 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
//|.section code, cold_code, jmp_table
#define DASM_SECTION_CODE	0
#define DASM_SECTION_COLD_CODE	1
#define DASM_SECTION_JMP_TABLE	2
#define DASM_MAXSECTION		3
#line 108 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

static void* dasm_labels[zend_lb_MAX];

#if ZTS
static size_t tsrm_ls_cache_tcb_offset = 0;
static size_t tsrm_tls_index = 0;
static size_t tsrm_tls_offset = 0;
# ifdef __APPLE__
struct TLVDescriptor {
	void*       (*thunk)(struct TLVDescriptor*);
	uint64_t    key;
	uint64_t    offset;
};
typedef struct TLVDescriptor TLVDescriptor;
# elif defined(__FreeBSD__)
/* https://github.com/freebsd/freebsd-src/blob/c52ca7dd09066648b1cc40f758289404d68ab886/libexec/rtld-elf/aarch64/reloc.c#L180-L184 */
typedef struct TLSDescriptor {
	void*   thunk;
	int     index;
	size_t  offset;
} TLSDescriptor;
# endif
#endif

#define IS_SIGNED_32BIT(val) ((((intptr_t)(val)) <= 0x7fffffff) && (((intptr_t)(val)) >= (-2147483647 - 1)))

/* Encoding of immediate. */
#define MAX_IMM12       0xfff          // maximum value for imm12
#define MAX_IMM16       0xffff         // maximum value for imm16
#define MOVZ_IMM        MAX_IMM16      // movz insn
#define LDR_STR_PIMM64  (MAX_IMM12*8)  // ldr/str insn for 64-bit register: pimm is imm12 * 8
#define LDR_STR_PIMM32  (MAX_IMM12*4)  // ldr/str insn for 32-bit register: pimm is imm12 * 4
#define LDRB_STRB_PIMM  MAX_IMM12      // ldrb/strb insn

#define B_IMM           (1<<27)        // signed imm26 * 4
#define ADR_IMM         (1<<20)        // signed imm21
#define ADRP_IMM        (1LL<<32)      // signed imm21 * 4096

static bool arm64_may_use_b(const void *addr)
{
	if (addr >= dasm_buf && addr < dasm_end) {
		return (((char*)dasm_end - (char*)dasm_buf) < B_IMM);
	} else if (addr >= dasm_end) {
		return (((char*)addr - (char*)dasm_buf) < B_IMM);
	} else if (addr < dasm_buf) {
		return (((char*)dasm_end - (char*)addr) < B_IMM);
	}
	return 0;
}

static bool arm64_may_use_adr(const void *addr)
{
	if (addr >= dasm_buf && addr < dasm_end) {
		return (((char*)dasm_end - (char*)dasm_buf) < ADR_IMM);
	} else if (addr >= dasm_end) {
		return (((char*)addr - (char*)dasm_buf) < ADR_IMM);
	} else if (addr < dasm_buf) {
		return (((char*)dasm_end - (char*)addr) < ADR_IMM);
	}
	return 0;
}

static bool arm64_may_use_adrp(const void *addr)
{
	if (addr >= dasm_buf && addr < dasm_end) {
		return (((char*)dasm_end - (char*)dasm_buf) < ADRP_IMM);
	} else if (addr >= dasm_end) {
		return (((char*)addr - (char*)dasm_buf) < ADRP_IMM);
	} else if (addr < dasm_buf) {
		return (((char*)dasm_end - (char*)addr) < ADRP_IMM);
	}
	return 0;
}

/* Determine whether "val" falls into two allowed ranges:
 *   Range 1: [0, 0xfff]
 *   Range 2: LSL #12 to Range 1
 * Used to guard the immediate encoding for add/adds/sub/subs/cmp/cmn instructions. */
static bool arm64_may_encode_imm12(const int64_t val)
{
	return (val >= 0 && (val <= MAX_IMM12 || !(val & 0xffffffffff000fff)));
}

/* Determine whether an immediate value can be encoded as the immediate operand of logical instructions. */
static bool logical_immediate_p(uint64_t value, uint32_t reg_size)
{
	/* fast path: power of two */
	if (value > 0 && !(value & (value - 1))) {
		return true;
	}

	if (reg_size == 32) {
		if (dasm_imm13((uint32_t)value, (uint32_t)value) != -1) {
			return true;
		}
	} else if (reg_size == 64) {
		if (dasm_imm13((uint32_t)value, (uint32_t)(value >> 32)) != -1) {
			return true;
		}
	} else {
		ZEND_UNREACHABLE();
	}

	return false;
}

/* Not Implemented Yet */
//|.macro NIY
//||	//ZEND_ASSERT(0);
//|	brk #0
//|.endmacro

//|.macro NIY_STUB
//||	//ZEND_ASSERT(0);
//|	brk #0
//|.endmacro

//|.macro ADD_HYBRID_SPAD
//||#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
//|	add sp, sp, # HYBRID_SPAD
//||#endif
//|.endmacro

//|.macro SUB_HYBRID_SPAD
//||#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
//|	sub sp, sp, # HYBRID_SPAD
//||#endif
//|.endmacro

/* Move address into register. TODO: Support 52-bit address */
//|.macro LOAD_ADDR, reg, addr
//|	// 48-bit virtual address
//||	if (((uintptr_t)(addr)) == 0) {
//|		mov reg, xzr
//||	} else if (((uintptr_t)(addr)) <= MOVZ_IMM) {
//|		movz reg, #((uint64_t)(addr))
//||	} else if (arm64_may_use_adr((void*)(addr))) {
//|		adr reg, &addr
//||	} else if (arm64_may_use_adrp((void*)(addr))) {
//|		adrp reg, &(((uintptr_t)(addr)))
//||		if (((uintptr_t)(addr)) & 0xfff) {
//|			add reg, reg, #(((uintptr_t)(addr)) & 0xfff)
//||		}
//||	} else if ((uintptr_t)(addr) & 0xffff) {
//|		movz reg, #((uintptr_t)(addr) & 0xffff)
//||		if (((uintptr_t)(addr) >> 16) & 0xffff) {
//|			movk reg, #(((uintptr_t)(addr) >> 16) & 0xffff), lsl #16
//||		}
//||		if (((uintptr_t)(addr) >> 32) & 0xffff) {
//|			movk reg, #(((uintptr_t)(addr) >> 32) & 0xffff), lsl #32
//||		}
//||	} else if (((uintptr_t)(addr) >> 16) & 0xffff) {
//|		movz reg, #(((uintptr_t)(addr) >> 16) & 0xffff), lsl #16
//||		if (((uintptr_t)(addr) >> 32) & 0xffff) {
//|			movk reg, #(((uintptr_t)(addr) >> 32) & 0xffff), lsl #32
//||		}
//||	} else {
//|		movz reg, #(((uintptr_t)(addr) >> 32) & 0xffff), lsl #32
//||	}
//|.endmacro

/* Move 32-bit immediate value into register. */
//|.macro LOAD_32BIT_VAL, reg, val
//||	if (((uint32_t)(val)) <= MOVZ_IMM) {
//|		movz reg, #((uint32_t)(val))
//||	} else if (((uint32_t)(val) & 0xffff)) {
//|		movz reg, #((uint32_t)(val) & 0xffff)
//||		if ((((uint32_t)(val) >> 16) & 0xffff)) {
//|			movk reg, #(((uint32_t)(val) >> 16) & 0xffff), lsl #16
//||		}
//||	} else {
//|		movz reg, #(((uint32_t)(val) >> 16) & 0xffff), lsl #16
//||	}
//|.endmacro

/* Move 64-bit immediate value into register. */
//|.macro LOAD_64BIT_VAL, reg, val
//||	if (((uint64_t)(val)) == 0) {
//|		mov reg, xzr
//||	} else if (((uint64_t)(val)) <= MOVZ_IMM) {
//|		movz reg, #((uint64_t)(val))
//||	} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
//|		movn reg, #(~((uint64_t)(val)))
//||	} else if ((uint64_t)(val) & 0xffff) {
//|		movz reg, #((uint64_t)(val) & 0xffff)
//||		if (((uint64_t)(val) >> 16) & 0xffff) {
//|			movk reg, #(((uint64_t)(val) >> 16) & 0xffff), lsl #16
//||		}
//||		if (((uint64_t)(val) >> 32) & 0xffff) {
//|			movk reg, #(((uint64_t)(val) >> 32) & 0xffff), lsl #32
//||		}
//||		if ((((uint64_t)(val) >> 48) & 0xffff)) {
//|			movk reg, #(((uint64_t)(val) >> 48) & 0xffff), lsl #48
//||		}
//||	} else if (((uint64_t)(val) >> 16) & 0xffff) {
//|		movz reg, #(((uint64_t)(val) >> 16) & 0xffff), lsl #16
//||		if (((uint64_t)(val) >> 32) & 0xffff) {
//|			movk reg, #(((uint64_t)(val) >> 32) & 0xffff), lsl #32
//||		}
//||		if ((((uint64_t)(val) >> 48) & 0xffff)) {
//|			movk reg, #(((uint64_t)(val) >> 48) & 0xffff), lsl #48
//||		}
//||	} else if (((uint64_t)(val) >> 32) & 0xffff) {
//|		movz reg, #(((uint64_t)(val) >> 32) & 0xffff), lsl #32
//||		if ((((uint64_t)(val) >> 48) & 0xffff)) {
//|			movk reg, #(((uint64_t)(val) >> 48) & 0xffff), lsl #48
//||		}
//||	} else {
//|		movz reg, #(((uint64_t)(val) >> 48) & 0xffff), lsl #48
//||	}
//|.endmacro

/* Extract the low 8 bits from 'src_reg' into 'dst_reg'.
 * Note: 0xff can be encoded as imm for 'and' instruction. */
//|.macro GET_LOW_8BITS, dst_reg, src_reg
//|	and dst_reg, src_reg, #0xff
//|.endmacro

/* Bitwise operation with immediate. 'bw_ins' can be and/orr/eor/ands.
 * 32-bit and 64-bit registers are distinguished. */
//|.macro BW_OP_32_WITH_CONST, bw_ins, dst_reg, src_reg1, val, tmp_reg
//||	if (val == 0) {
//|		bw_ins dst_reg, src_reg1, wzr
//||	} else if (logical_immediate_p((uint32_t)val, 32)) {
//|		bw_ins dst_reg, src_reg1, #val
//||	} else {
//|		LOAD_32BIT_VAL tmp_reg, val
//|		bw_ins dst_reg, src_reg1, tmp_reg
//||	}
//|.endmacro

//|.macro BW_OP_64_WITH_CONST, bw_ins, dst_reg, src_reg1, val, tmp_reg
//||	if (val == 0) {
//|		bw_ins dst_reg, src_reg1, xzr
//||	} else if (logical_immediate_p(val, 64)) {
//|		bw_ins dst_reg, src_reg1, #val
//||	} else {
//|		LOAD_64BIT_VAL tmp_reg, val
//|		bw_ins dst_reg, src_reg1, tmp_reg
//||	}
//|.endmacro

/* Test bits 'tst' with immediate. 32-bit and 64-bit registers are distinguished. */
//|.macro TST_32_WITH_CONST, reg, val, tmp_reg
//||	if (val == 0) {
//|		tst reg, wzr
//||	} else if (logical_immediate_p((uint32_t)val, 32)) {
//|		tst reg, #val
//||	} else {
//|		LOAD_32BIT_VAL tmp_reg, val
//|		tst reg, tmp_reg
//||	}
//|.endmacro

//|.macro TST_64_WITH_CONST, reg, val, tmp_reg
//||	if (val == 0) {
//|		tst reg, xzr
//||	} else if (logical_immediate_p(val, 64)) {
//|		tst reg, #val
//||	} else {
//|		LOAD_64BIT_VAL tmp_reg, val
//|		tst reg, tmp_reg
//||	}
//|.endmacro

/* Test bits between 64-bit register with constant 1. */
//|.macro TST_64_WITH_ONE, reg
//|	tst reg, #1
//|.endmacro

/* Compare a register value with immediate. 32-bit and 64-bit registers are distinguished.
 * Note: Comparing 64-bit register with 32-bit immediate is handled in CMP_64_WITH_CONST_32. */
//|.macro CMP_32_WITH_CONST, reg, val, tmp_reg
//||	if (val == 0) {
//|		cmp reg, wzr
//||	} else if (arm64_may_encode_imm12((int64_t)(val))) {
//|		cmp reg, #val
//||	} else if (arm64_may_encode_imm12((int64_t)(-val))) {
//|		cmn reg, #-val
//||	} else {
//|		LOAD_32BIT_VAL tmp_reg, val
//|		cmp reg, tmp_reg
//||	}
//|.endmacro

//|.macro CMP_64_WITH_CONST_32, reg, val, tmp_reg
//||	if (val == 0) {
//|		cmp reg, xzr
//||	} else if (arm64_may_encode_imm12((int64_t)(val))) {
//|		cmp reg, #val
//||	} else if (arm64_may_encode_imm12((int64_t)(-val))) {
//|		cmn reg, #-val
//||	} else {
//|		LOAD_32BIT_VAL tmp_reg, val
//|		cmp reg, tmp_reg
//||	}
//|.endmacro

//|.macro CMP_64_WITH_CONST, reg, val, tmp_reg
//||	if (val == 0) {
//|		cmp reg, xzr
//||	} else if (arm64_may_encode_imm12((int64_t)(val))) {
//|		cmp reg, #val
//||	} else if (arm64_may_encode_imm12((int64_t)(-val))) {
//|		cmn reg, #-val
//||	} else {
//|		LOAD_64BIT_VAL tmp_reg, val
//|		cmp reg, tmp_reg
//||	}
//|.endmacro

/* Add/sub a register value with immediate. 'add_sub_ins' can be add/sub/adds/subs.
 * 32-bit and 64-bit registers are distinguished.
 * Note: Case of 64-bit register with 32-bit immediate is handled in ADD_SUB_64_WITH_CONST_32. */
//|.macro ADD_SUB_32_WITH_CONST, add_sub_ins, dst_reg, src_reg1, val, tmp_reg
//||	if (val == 0) {
//|		add_sub_ins dst_reg, src_reg1, wzr
//||	} else if (arm64_may_encode_imm12((int64_t)(val))) {
//|		add_sub_ins dst_reg, src_reg1, #val
//||	} else {
//|		LOAD_32BIT_VAL tmp_reg, val
//|		add_sub_ins dst_reg, src_reg1, tmp_reg
//||	}
//|.endmacro

//|.macro ADD_SUB_64_WITH_CONST_32, add_sub_ins, dst_reg, src_reg1, val, tmp_reg
//||	if (val == 0) {
//|		add_sub_ins dst_reg, src_reg1, xzr
//||	} else if (arm64_may_encode_imm12((int64_t)(val))) {
//|		add_sub_ins dst_reg, src_reg1, #val
//||	} else {
//|		LOAD_32BIT_VAL tmp_reg, val
//|		add_sub_ins dst_reg, src_reg1, tmp_reg
//||	}
//|.endmacro

//|.macro ADD_SUB_64_WITH_CONST, add_sub_ins, dst_reg, src_reg1, val, tmp_reg
//||	if (val == 0) {
//|		add_sub_ins dst_reg, src_reg1, xzr
//||	} else if (arm64_may_encode_imm12((int64_t)(val))) {
//|		add_sub_ins dst_reg, src_reg1, #val
//||	} else {
//|		LOAD_64BIT_VAL tmp_reg, val
//|		add_sub_ins dst_reg, src_reg1, tmp_reg
//||	}
//|.endmacro

/* Memory access(load/store) with 32-bit 'offset'.
 * Use "unsigned offset" variant if 'offset' can be encoded, otherwise move 'offset' into temp register.
 * 8-bit, 32-bit and 64-bit registers to be transferred are distinguished.
 * Note: 'reg' can be used as 'tmp_reg' if 1) 'reg' is one GPR, AND 2) 'reg' != 'base_reg', AND 3) ins is 'ldr'. */
//|.macro MEM_ACCESS_64_WITH_UOFFSET, ldr_str_ins, reg, base_reg, offset, tmp_reg
//||	if (((uintptr_t)(offset)) > LDR_STR_PIMM64) {
//|		LOAD_32BIT_VAL tmp_reg, offset
//|		ldr_str_ins reg, [base_reg, tmp_reg]
//||	} else {
//|		ldr_str_ins reg, [base_reg, #(offset)]
//||	}
//|.endmacro

//|.macro MEM_ACCESS_32_WITH_UOFFSET, ldr_str_ins, reg, base_reg, offset, tmp_reg
//||	if (((uintptr_t)(offset)) > LDR_STR_PIMM32) {
//|		LOAD_32BIT_VAL tmp_reg, offset
//|		ldr_str_ins reg, [base_reg, tmp_reg]
//||	} else {
//|		ldr_str_ins reg, [base_reg, #(offset)]
//||	}
//|.endmacro

//|.macro MEM_ACCESS_8_WITH_UOFFSET, ldrb_strb_ins, reg, base_reg, offset, tmp_reg
//||	if (((uintptr_t)(offset)) > LDRB_STRB_PIMM) {
//|		LOAD_32BIT_VAL tmp_reg, offset
//|		ldrb_strb_ins reg, [base_reg, tmp_reg]
//||	} else {
//|		ldrb_strb_ins reg, [base_reg, #(offset)]
//||	}
//|.endmacro

/* Memory access(load/store) with 64-bit 'offset'.
 * Use "unsigned offset" variant if 'offset' can be encoded, otherwise move 'offset' into temp register. */
//|.macro MEM_ACCESS_64_WITH_UOFFSET_64, ldr_str_ins, reg, base_reg, offset, tmp_reg
//||	if (((uintptr_t)(offset)) > LDR_STR_PIMM64) {
//|		LOAD_64BIT_VAL tmp_reg, offset
//|		ldr_str_ins reg, [base_reg, tmp_reg]
//||	} else {
//|		ldr_str_ins reg, [base_reg, #(offset)]
//||	}
//|.endmacro

/* ZTS: get thread local variable "_tsrm_ls_cache" */
//|.macro LOAD_TSRM_CACHE, reg
//||#ifdef __APPLE__
//|	.long 0xd53bd071 // TODO: hard-coded: mrs TMP3, tpidrro_el0
//|	and TMP3, TMP3, #0xfffffffffffffff8
//|	MEM_ACCESS_64_WITH_UOFFSET_64 ldr, TMP3, TMP3, (((TLVDescriptor*)tsrm_ls_cache_tcb_offset)->key << 3), TMP1
//|	MEM_ACCESS_64_WITH_UOFFSET_64 ldr, reg, TMP3, (((TLVDescriptor*)tsrm_ls_cache_tcb_offset)->offset), TMP1
//||#else
//|	.long 0xd53bd051 // TODO: hard-coded: mrs TMP3, tpidr_el0
//||	if (tsrm_ls_cache_tcb_offset == 0) {
//|		ldr TMP3, [TMP3, #0]
//|		MEM_ACCESS_64_WITH_UOFFSET_64 ldr, TMP3, TMP3, tsrm_tls_index, TMP1
//|		MEM_ACCESS_64_WITH_UOFFSET_64 ldr, reg, TMP3, tsrm_tls_offset, TMP1
//||	} else {
//||		ZEND_ASSERT(tsrm_ls_cache_tcb_offset <= LDR_STR_PIMM64);
//|		ldr reg, [TMP3, #tsrm_ls_cache_tcb_offset]
//||	}
//||#endif
//|.endmacro

//|.macro LOAD_ADDR_ZTS, reg, struct, field
//|	.if ZTS
//|		LOAD_TSRM_CACHE TMP3
//|		ADD_SUB_64_WITH_CONST_32 add, reg, TMP3, (struct.._offset + offsetof(zend_..struct, field)), reg
//|	.else
//|		LOAD_ADDR reg, &struct.field
//|	.endif
//|.endmacro

/* Store address 'addr' into memory 'mem'. */
//|.macro ADDR_STORE, mem, addr, tmp_reg
//|	LOAD_ADDR tmp_reg, addr
//|	str tmp_reg, mem
//|.endmacro

/* Store a register value 'reg' into memory 'addr'.
 * For ZTS mode, base register with unsigned offset variant is used,
 * and 8-bit/32-bit/64-bit registers to be transferred are distinguished. */
//|.macro MEM_STORE, str_ins, reg, addr, tmp_reg
//||	if (((uintptr_t)(addr)) > MOVZ_IMM && arm64_may_use_adr((void*)(addr))) {
//|		adr tmp_reg, &addr
//|		str_ins reg, [tmp_reg]
//||	} else if (((uintptr_t)(addr)) > MOVZ_IMM && arm64_may_use_adrp((void*)(addr))) {
//|		adrp tmp_reg, &(((uintptr_t)(addr)))
//|		str_ins reg, [tmp_reg, #(((uintptr_t)(addr)) & 0xfff)]
//||	} else {
//|		LOAD_ADDR tmp_reg, addr
//|		str_ins reg, [tmp_reg]
//||	}
//|.endmacro

//|.macro MEM_STORE_64_ZTS, str_ins, reg, struct, field, tmp_reg
//|	.if ZTS
//|		LOAD_TSRM_CACHE TMP3
//|		MEM_ACCESS_64_WITH_UOFFSET str_ins, reg, TMP3, (struct.._offset+offsetof(zend_..struct, field)), tmp_reg
//|	.else
//|		MEM_STORE str_ins, reg, &struct.field, tmp_reg
//|	.endif
//|.endmacro

//|.macro MEM_STORE_32_ZTS, str_ins, reg, struct, field, tmp_reg
//|	.if ZTS
//|		LOAD_TSRM_CACHE TMP3
//|		MEM_ACCESS_32_WITH_UOFFSET str_ins, reg, TMP3, (struct.._offset+offsetof(zend_..struct, field)), tmp_reg
//|	.else
//|		MEM_STORE str_ins, reg, &struct.field, tmp_reg
//|	.endif
//|.endmacro

//|.macro MEM_STORE_8_ZTS, strb_ins, reg, struct, field, tmp_reg
//|	.if ZTS
//|		LOAD_TSRM_CACHE TMP3
//|		MEM_ACCESS_8_WITH_UOFFSET strb_ins, reg, TMP3, (struct.._offset+offsetof(zend_..struct, field)), tmp_reg
//|	.else
//|		MEM_STORE strb_ins, reg, &struct.field, tmp_reg
//|	.endif
//|.endmacro

/* Load value from memory 'addr' and write it into register 'reg'.
 * For ZTS mode, base register with unsigned offset variant is used,
 * and 8-bit/32-bit/64-bit registers to be transferred are distinguished. */
//|.macro MEM_LOAD, ldr_ins, reg, addr, tmp_reg
//||	if (((uintptr_t)(addr)) > MOVZ_IMM && arm64_may_use_adr((void*)(addr))) {
//|		adr tmp_reg, &addr
//|		ldr_ins reg, [tmp_reg]
//||	} else if (((uintptr_t)(addr)) > MOVZ_IMM && arm64_may_use_adrp((void*)(addr))) {
//|		adrp tmp_reg, &(((uintptr_t)(addr)))
//|		ldr_ins reg, [tmp_reg, #(((uintptr_t)(addr)) & 0xfff)]
//||	} else {
//|		LOAD_ADDR tmp_reg, addr
//|		ldr_ins reg, [tmp_reg]
//||	}
//|.endmacro

//|.macro MEM_LOAD_64_ZTS, ldr_ins, reg, struct, field, tmp_reg
//|	.if ZTS
//|		LOAD_TSRM_CACHE TMP3
//|		MEM_ACCESS_64_WITH_UOFFSET ldr_ins, reg, TMP3, (struct.._offset+offsetof(zend_..struct, field)), tmp_reg
//|	.else
//|		MEM_LOAD ldr_ins, reg, &struct.field, tmp_reg
//|	.endif
//|.endmacro

//|.macro MEM_LOAD_32_ZTS, ldr_ins, reg, struct, field, tmp_reg
//|	.if ZTS
//|		LOAD_TSRM_CACHE TMP3
//|		MEM_ACCESS_32_WITH_UOFFSET ldr_ins, reg, TMP3, (struct.._offset+offsetof(zend_..struct, field)), tmp_reg
//|	.else
//|		MEM_LOAD ldr_ins, reg, &struct.field, tmp_reg
//|	.endif
//|.endmacro

//|.macro MEM_LOAD_8_ZTS, ldrb_ins, reg, struct, field, tmp_reg
//|	.if ZTS
//|		LOAD_TSRM_CACHE TMP3
//|		MEM_ACCESS_8_WITH_UOFFSET ldrb_ins, reg, TMP3, (struct.._offset+offsetof(zend_..struct, field)), tmp_reg
//|	.else
//|		MEM_LOAD ldrb_ins, reg, &struct.field, tmp_reg
//|	.endif
//|.endmacro

/* Conduct arithmetic operation between the value in memory 'addr' and register value in 'reg',
 * and the computation result is stored back in 'reg'. 'op_ins' can be add/sub. */
//|.macro MEM_LOAD_OP, op_ins, ldr_ins, reg, addr, tmp_reg1, tmp_reg2
//|	MEM_LOAD ldr_ins, tmp_reg1, addr, tmp_reg2
//|	op_ins reg, reg, tmp_reg1
//|.endmacro

//|.macro MEM_LOAD_OP_ZTS, op_ins, ldr_ins, reg, struct, field, tmp_reg1, tmp_reg2
//|	.if ZTS
//|		LOAD_TSRM_CACHE TMP3
//|		MEM_ACCESS_64_WITH_UOFFSET ldr_ins, tmp_reg2, TMP3, (struct.._offset+offsetof(zend_..struct, field)), tmp_reg1
//|		op_ins reg, reg, tmp_reg2
//|	.else
//|		MEM_LOAD_OP op_ins, ldr_ins, reg, &struct.field, tmp_reg1, tmp_reg2
//|	.endif
//|.endmacro

/* Conduct arithmetic operation between the value in memory 'addr' and operand 'op', and the computation
 * result is stored back to memory 'addr'. Operand 'op' can be either a register value or an immediate value.
 * Currently, only add instruction is used as 'op_ins'.
 * Note: It should be guaranteed that the immediate value can be encoded for 'op_ins'. */
//|.macro MEM_UPDATE, op_ins, ldr_ins, str_ins, op, addr, tmp_reg1, tmp_reg2
//|	LOAD_ADDR tmp_reg2, addr
//|	ldr_ins, tmp_reg1, [tmp_reg2]
//|	op_ins tmp_reg1, tmp_reg1, op
//|	str_ins tmp_reg1, [tmp_reg2]
//|.endmacro

//|.macro MEM_UPDATE_ZTS, op_ins, ldr_ins, str_ins, op, struct, field, tmp_reg1, tmp_reg2
//|	.if ZTS
//|		LOAD_TSRM_CACHE TMP3
//||		if (((uintptr_t)(struct.._offset+offsetof(zend_..struct, field))) > LDR_STR_PIMM64) {
//|			LOAD_32BIT_VAL tmp_reg1, (struct.._offset+offsetof(zend_..struct, field))
//|			ldr_ins tmp_reg2, [TMP3, tmp_reg1]
//|			op_ins tmp_reg2, tmp_reg2, op
//|			str_ins tmp_reg2, [TMP3, tmp_reg1]
//||		} else {
//|			ldr_ins tmp_reg2, [TMP3, #(struct.._offset+offsetof(zend_..struct, field))]
//|			op_ins tmp_reg2, tmp_reg2, op
//|			str_ins tmp_reg2, [TMP3, #(struct.._offset+offsetof(zend_..struct, field))]
//||		}
//|	.else
//|		MEM_UPDATE op_ins, ldr_ins, str_ins, op, &struct.field, tmp_reg1, tmp_reg2
//|	.endif
//|.endmacro

//|.macro EXT_CALL, func, tmp_reg
//||	if (arm64_may_use_b(func)) {
//|		bl &func
//||	} else {
//|		LOAD_ADDR tmp_reg, func
//|		blr tmp_reg
//||	}
//|.endmacro

//|.macro EXT_JMP, func, tmp_reg
//||	if (arm64_may_use_b(func)) {
//|		b &func
//||	} else {
//|		LOAD_ADDR tmp_reg, func
//|		br tmp_reg
//||	}
//|.endmacro

//|.macro SAVE_IP
//||	if (GCC_GLOBAL_REGS) {
//|		str IP, EX->opline
//||	}
//|.endmacro

//|.macro LOAD_IP
//||	if (GCC_GLOBAL_REGS) {
//|		ldr IP, EX->opline
//||	}
//|.endmacro

//|.macro LOAD_IP_ADDR, addr
//||	if (GCC_GLOBAL_REGS) {
//|		LOAD_ADDR IP, addr
//||	} else {
//|		ADDR_STORE EX->opline, addr, RX
//||	}
//|.endmacro

//|.macro LOAD_IP_ADDR_ZTS, struct, field, tmp_reg
//|	.if ZTS
//||		if (GCC_GLOBAL_REGS) {
//|			LOAD_TSRM_CACHE IP
//|	   		ADD_SUB_64_WITH_CONST_32 add, IP, IP, (struct.._offset+offsetof(zend_..struct, field)), tmp_reg
//||		} else {
//|			LOAD_TSRM_CACHE RX
//|			ADD_SUB_64_WITH_CONST_32 add, RX, RX, (struct.._offset+offsetof(zend_..struct, field)), tmp_reg
//|			str RX, EX->opline
//||		}
//|	.else
//|		LOAD_IP_ADDR &struct.field
//|	.endif
//|.endmacro

//|.macro GET_IP, reg
//||	if (GCC_GLOBAL_REGS) {
//|		mov reg, IP
//||	} else {
//|		ldr reg, EX->opline
//||	}
//|.endmacro

/* Update IP with register 'reg'. Note: shift variant is handled by ADD_IP_SHIFT. */
//|.macro ADD_IP, reg, tmp_reg
//||	if (GCC_GLOBAL_REGS) {
//|		add IP, IP, reg
//||	} else {
//|		ldr tmp_reg, EX->opline
//|		add tmp_reg, tmp_reg, reg
//|		str tmp_reg, EX->opline
//||	}
//|.endmacro

//|.macro ADD_IP_SHIFT, reg, shift, tmp_reg
//||	if (GCC_GLOBAL_REGS) {
//|		add IP, IP, reg, shift
//||	} else {
//|		ldr tmp_reg, EX->opline
//|		add tmp_reg, tmp_reg, reg, shift
//|		str tmp_reg, EX->opline
//||	}
//|.endmacro

/* Update IP with 32-bit immediate 'val'. */
//|.macro ADD_IP_WITH_CONST, val, tmp_reg
//||	ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(val)));
//||	if (GCC_GLOBAL_REGS) {
//|		add IP, IP, #val
//||	} else {
//|		ldr tmp_reg, EX->opline
//|		add tmp_reg, tmp_reg, #val
//|		str tmp_reg, EX->opline
//||	}
//|.endmacro

//|.macro JMP_IP, tmp_reg
//||	if (GCC_GLOBAL_REGS) {
//|		ldr tmp_reg, [IP]
//|		br tmp_reg
//||	} else {
//|		ldr tmp_reg, EX:CARG1->opline
//|		br tmp_reg
//||	}
//|.endmacro

//|.macro CMP_IP, addr, tmp_reg1, tmp_reg2
//|	LOAD_ADDR tmp_reg1, addr
//||	if (GCC_GLOBAL_REGS) {
//|		cmp IP, tmp_reg1
//||	} else {
//|		ldr tmp_reg2, EX->opline
//|		cmp tmp_reg2, tmp_reg1
//||	}
//|.endmacro

//|.macro LOAD_ZVAL_ADDR, reg, addr
//||	if (Z_MODE(addr) == IS_CONST_ZVAL) {
//|		LOAD_ADDR reg, Z_ZV(addr)
//||	} else if (Z_MODE(addr) == IS_MEM_ZVAL) {
//||		if (Z_OFFSET(addr)) {
//|			ADD_SUB_64_WITH_CONST_32 add, reg, Rx(Z_REG(addr)), Z_OFFSET(addr), reg
//||		} else {
//||			if (Z_REG(addr) == ZREG_RSP) {
//|				mov reg, sp
//||			} else {
//|				mov reg, Rx(Z_REG(addr))
//||			}
//||		}
//||	} else {
//||		ZEND_UNREACHABLE();
//||	}
//|.endmacro

//|.macro GET_Z_TYPE_INFO, reg, zv
//|	ldr reg, [zv, #offsetof(zval,u1.type_info)]
//|.endmacro

//|.macro SET_Z_TYPE_INFO, zv, type, tmp_reg
//|	LOAD_32BIT_VAL tmp_reg, type
//|	str tmp_reg, [zv, #offsetof(zval,u1.type_info)]
//|.endmacro

//|.macro GET_ZVAL_TYPE, reg, addr, tmp_reg
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, reg, Rx(Z_REG(addr)), Z_OFFSET(addr)+offsetof(zval,u1.v.type), tmp_reg
//|.endmacro

//|.macro GET_ZVAL_TYPE_INFO, reg, addr, tmp_reg
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_32_WITH_UOFFSET ldr, reg, Rx(Z_REG(addr)), Z_OFFSET(addr)+offsetof(zval,u1.type_info), tmp_reg
//|.endmacro

//|.macro SET_ZVAL_TYPE_INFO, addr, type, tmp_reg1, tmp_reg2
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	LOAD_32BIT_VAL tmp_reg1, type
//|	MEM_ACCESS_32_WITH_UOFFSET str, tmp_reg1, Rx(Z_REG(addr)), Z_OFFSET(addr)+offsetof(zval,u1.type_info), tmp_reg2
//|.endmacro

//|.macro SET_ZVAL_TYPE_INFO_FROM_REG, addr, reg, tmp_reg
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_32_WITH_UOFFSET str, reg, Rx(Z_REG(addr)), Z_OFFSET(addr)+offsetof(zval,u1.type_info), tmp_reg
//|.endmacro

//|.macro GET_Z_PTR, reg, zv
//|	ldr reg, [zv]
//|.endmacro

//|.macro GET_ZVAL_PTR, reg, addr, tmp_reg
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_64_WITH_UOFFSET ldr, reg, Rx(Z_REG(addr)), Z_OFFSET(addr), tmp_reg
//|.endmacro

//|.macro SET_ZVAL_PTR, addr, reg, tmp_reg
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_64_WITH_UOFFSET str, reg, Rx(Z_REG(addr)), Z_OFFSET(addr), tmp_reg
//|.endmacro

//|.macro UNDEF_OPLINE_RESULT, tmp_reg
//|	ldr REG0, EX->opline
//|	ldr REG0w, OP:REG0->result.var
//|	add REG0, FP, REG0
//|	SET_Z_TYPE_INFO REG0, IS_UNDEF, tmp_reg
//|.endmacro

//|.macro UNDEF_OPLINE_RESULT_IF_USED, tmp_reg1, tmp_reg2
//|	ldrb tmp_reg1, OP:RX->result_type
//|	TST_32_WITH_CONST tmp_reg1, (IS_TMP_VAR|IS_VAR), tmp_reg2
//|	beq >1
//|	ldr REG0w, OP:RX->result.var
//|	add REG0, FP, REG0
//|	SET_Z_TYPE_INFO REG0, IS_UNDEF, tmp_reg1
//|1:
//|.endmacro

/* Floating-point comparison between register 'reg' and value from memory 'addr'.
 * Note: the equivalent macros in JIT/x86 are SSE_AVX_OP and SSE_OP. */
//|.macro DOUBLE_CMP, reg, addr, tmp_reg, fp_tmp_reg
//||	if (Z_MODE(addr) == IS_CONST_ZVAL) {
//|		MEM_LOAD ldr, Rd(fp_tmp_reg-ZREG_V0), Z_ZV(addr), Rx(tmp_reg)
//|		fcmp Rd(reg-ZREG_V0), Rd(fp_tmp_reg-ZREG_V0)
//||	} else if (Z_MODE(addr) == IS_MEM_ZVAL) {
//|		MEM_ACCESS_64_WITH_UOFFSET ldr, Rd(fp_tmp_reg-ZREG_V0), Rx(Z_REG(addr)), Z_OFFSET(addr), Rx(tmp_reg)
//|		fcmp Rd(reg-ZREG_V0), Rd(fp_tmp_reg-ZREG_V0)
//||	} else if (Z_MODE(addr) == IS_REG) {
//|		fcmp Rd(reg-ZREG_V0), Rd(Z_REG(addr)-ZREG_V0)
//||	} else {
//||		ZEND_UNREACHABLE();
//||	}
//|.endmacro

/* Convert LONG value 'val' into DOUBLE type, and move it into FP register 'reg'.
 * Note: the equivalent macro in JIT/x86 is SSE_GET_LONG. */
//|.macro DOUBLE_GET_LONG, reg, val, tmp_reg
//||	if (val == 0) {
//|		fmov Rd(reg-ZREG_V0), xzr  // TODO: "movi d0, #0" is not recognized by DynASM/arm64
//||	} else {
//|		LOAD_64BIT_VAL Rx(tmp_reg), val
//|		scvtf Rd(reg-ZREG_V0), Rx(tmp_reg)
//||	}
//|.endmacro

/* Convert LONG value from memory 'addr' into DOUBLE type, and move it into FP register 'reg'.
 * Note: the equivalent macro in JIT/x86 is SSE_GET_ZVAL_LVAL. */
//|.macro DOUBLE_GET_ZVAL_LVAL, reg, addr, tmp_reg1, tmp_reg2
//||	if (Z_MODE(addr) == IS_CONST_ZVAL) {
//|		DOUBLE_GET_LONG reg, Z_LVAL_P(Z_ZV(addr)), tmp_reg1
//||	} else if (Z_MODE(addr) == IS_MEM_ZVAL) {
//|		MEM_ACCESS_64_WITH_UOFFSET ldr, Rx(tmp_reg1), Rx(Z_REG(addr)), Z_OFFSET(addr), Rx(tmp_reg2)
//|		scvtf Rd(reg-ZREG_V0), Rx(tmp_reg1)
//||	} else if (Z_MODE(addr) == IS_REG) {
//|		scvtf Rd(reg-ZREG_V0), Rx(Z_REG(addr))
//||	} else {
//||		ZEND_UNREACHABLE();
//||	}
//|.endmacro

/* Floating-point arithmetic operation between two FP registers.
 * Note: the equivalent macro in JIT/x86 is AVX_MATH_REG. */
//|.macro DOUBLE_MATH_REG, opcode, dst_reg, op1_reg, op2_reg
//||	switch (opcode) {
//||		case ZEND_ADD:
//|			fadd Rd(dst_reg-ZREG_V0), Rd(op1_reg-ZREG_V0), Rd(op2_reg-ZREG_V0)
//||			break;
//||		case ZEND_SUB:
//|			fsub Rd(dst_reg-ZREG_V0), Rd(op1_reg-ZREG_V0), Rd(op2_reg-ZREG_V0)
//||			break;
//||		case ZEND_MUL:
//|			fmul Rd(dst_reg-ZREG_V0), Rd(op1_reg-ZREG_V0), Rd(op2_reg-ZREG_V0)
//||			break;
//||		case ZEND_DIV:
//|			fdiv Rd(dst_reg-ZREG_V0), Rd(op1_reg-ZREG_V0), Rd(op2_reg-ZREG_V0)
//||			break;
//||	}
//|.endmacro

/* Conduct binary operation between register 'reg' and value from memory 'addr',
 * and the computation result is stored in 'reg'.
 * For LONG_ADD_SUB, 'add_sub_ins' can be adds/subs. For LONG_BW_OP, 'bw_ins' can be and/orr/eor.
 * For LONG_CMP, 'cmp' instruction is used by default and only flag registers are affected.
 * Note: the equivalent macro in JIT/x86 is LONG_OP. */
//|.macro LONG_ADD_SUB, add_sub_ins, reg, addr, tmp_reg
//||	if (Z_MODE(addr) == IS_CONST_ZVAL) {
//|		ADD_SUB_64_WITH_CONST add_sub_ins, Rx(reg), Rx(reg), Z_LVAL_P(Z_ZV(addr)), tmp_reg
//||	} else if (Z_MODE(addr) == IS_MEM_ZVAL) {
//|		MEM_ACCESS_64_WITH_UOFFSET ldr, tmp_reg, Rx(Z_REG(addr)), Z_OFFSET(addr), tmp_reg
//|		add_sub_ins Rx(reg), Rx(reg), tmp_reg
//||	} else if (Z_MODE(addr) == IS_REG) {
//|		add_sub_ins Rx(reg), Rx(reg), Rx(Z_REG(addr))
//||	} else {
//||		ZEND_UNREACHABLE();
//||	}
//|.endmacro

//|.macro LONG_BW_OP, bw_ins, reg, addr, tmp_reg
//||	if (Z_MODE(addr) == IS_CONST_ZVAL) {
//|		BW_OP_64_WITH_CONST bw_ins, Rx(reg), Rx(reg), Z_LVAL_P(Z_ZV(addr)), tmp_reg
//||	} else if (Z_MODE(addr) == IS_MEM_ZVAL) {
//|		MEM_ACCESS_64_WITH_UOFFSET ldr, tmp_reg, Rx(Z_REG(addr)), Z_OFFSET(addr), tmp_reg
//|		bw_ins Rx(reg), Rx(reg), tmp_reg
//||	} else if (Z_MODE(addr) == IS_REG) {
//|		bw_ins Rx(reg), Rx(reg), Rx(Z_REG(addr))
//||	} else {
//||		ZEND_UNREACHABLE();
//||	}
//|.endmacro

//|.macro LONG_CMP, reg, addr, tmp_reg
//||	if (Z_MODE(addr) == IS_CONST_ZVAL) {
//|		CMP_64_WITH_CONST Rx(reg), Z_LVAL_P(Z_ZV(addr)), tmp_reg
//||	} else if (Z_MODE(addr) == IS_MEM_ZVAL) {
//|		MEM_ACCESS_64_WITH_UOFFSET ldr, tmp_reg, Rx(Z_REG(addr)), Z_OFFSET(addr), tmp_reg
//|		cmp Rx(reg), tmp_reg
//||	} else if (Z_MODE(addr) == IS_REG) {
//|		cmp Rx(reg), Rx(Z_REG(addr))
//||	} else {
//||		ZEND_UNREACHABLE();
//||	}
//|.endmacro

/* Conduct add/sub between value from memory 'addr' and an immediate value 'val', and
 * the computation result is stored back into 'addr'.
 * Note: it should be guaranteed that 'val' can be encoded into add/sub instruction. */
//|.macro LONG_ADD_SUB_WITH_IMM, add_sub_ins, addr, val, tmp_reg1, tmp_reg2
//||	ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(val)));
//||	if (Z_MODE(addr) == IS_MEM_ZVAL) {
//||		if (((uint32_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
//|			LOAD_32BIT_VAL tmp_reg2, Z_OFFSET(addr)
//|			ldr tmp_reg1, [Rx(Z_REG(addr)), tmp_reg2]
//|			add_sub_ins tmp_reg1, tmp_reg1, #val
//|			str tmp_reg1, [Rx(Z_REG(addr)), tmp_reg2]
//||		} else {
//|			ldr tmp_reg1, [Rx(Z_REG(addr)), #Z_OFFSET(addr)]
//|			add_sub_ins tmp_reg1, tmp_reg1, #val
//|			str tmp_reg1, [Rx(Z_REG(addr)), #Z_OFFSET(addr)]
//||		}
//||	} else if (Z_MODE(addr) == IS_REG) {
//|		add_sub_ins Rx(Z_REG(addr)), Rx(Z_REG(addr)), #val
//||	} else {
//||		ZEND_UNREACHABLE();
//||	}
//|.endmacro

/* Compare value from memory 'addr' with immediate value 'val'.
 * Note: the equivalent macro in JIT/x86 is LONG_OP_WITH_CONST. */
//|.macro LONG_CMP_WITH_CONST, addr, val, tmp_reg1, tmp_reg2
//||	if (Z_MODE(addr) == IS_MEM_ZVAL) {
//|		MEM_ACCESS_64_WITH_UOFFSET ldr, tmp_reg1, Rx(Z_REG(addr)), Z_OFFSET(addr), tmp_reg2
//|		CMP_64_WITH_CONST tmp_reg1, val, tmp_reg2
//||	} else if (Z_MODE(addr) == IS_REG) {
//|		CMP_64_WITH_CONST Rx(Z_REG(addr)), val, tmp_reg1
//||	} else {
//||		ZEND_UNREACHABLE();
//||	}
//|.endmacro

//|.macro GET_ZVAL_LVAL, reg, addr, tmp_reg
//||	if (Z_MODE(addr) == IS_CONST_ZVAL) {
//||		if (Z_LVAL_P(Z_ZV(addr)) == 0) {
//|			mov Rx(reg), xzr
//||		} else {
//|			LOAD_64BIT_VAL Rx(reg), Z_LVAL_P(Z_ZV(addr))
//||		}
//||	} else if (Z_MODE(addr) == IS_MEM_ZVAL) {
//|		MEM_ACCESS_64_WITH_UOFFSET ldr, Rx(reg), Rx(Z_REG(addr)), Z_OFFSET(addr), tmp_reg
//||	} else if (Z_MODE(addr) == IS_REG) {
//||		if (reg != Z_REG(addr)) {
//|			mov Rx(reg), Rx(Z_REG(addr))
//||		}
//||	} else {
//||		ZEND_UNREACHABLE();
//||	}
//|.endmacro

//|.macro LONG_MATH, opcode, reg, addr, tmp_reg1
//||	switch (opcode) {
//||		case ZEND_ADD:
//|			LONG_ADD_SUB adds, reg, addr, tmp_reg1
//||			break;
//||		case ZEND_SUB:
//|			LONG_ADD_SUB subs, reg, addr, tmp_reg1
//||			break;
//||		case ZEND_BW_OR:
//|			LONG_BW_OP orr, reg, addr, tmp_reg1
//||			break;
//||		case ZEND_BW_AND:
//|			LONG_BW_OP and, reg, addr, tmp_reg1
//||			break;
//||		case ZEND_BW_XOR:
//|			LONG_BW_OP eor, reg, addr, tmp_reg1
//||			break;
//||		default:
//||			ZEND_UNREACHABLE();
//||	}
//|.endmacro

//|.macro LONG_MATH_REG, opcode, dst_reg, src_reg1, src_reg2
//||	switch (opcode) {
//||		case ZEND_ADD:
//|			adds dst_reg, src_reg1, src_reg2
//||			break;
//||		case ZEND_SUB:
//|			subs dst_reg, src_reg1, src_reg2
//||			break;
//||		case ZEND_BW_OR:
//|			orr dst_reg, src_reg1, src_reg2
//||			break;
//||		case ZEND_BW_AND:
//|			and dst_reg, src_reg1, src_reg2
//||			break;
//||		case ZEND_BW_XOR:
//|			eor dst_reg, src_reg1, src_reg2
//||			break;
//||		default:
//||			ZEND_UNREACHABLE();
//||	}
//|.endmacro

/* Store LONG value into memory 'addr'.
 * This LONG value can be an immediate value i.e. 'val' in macro SET_ZVAL_LVAL, or
 * a register value i.e. 'reg' in macro SET_ZVAL_LVAL_FROM_REG. */
//|.macro SET_ZVAL_LVAL_FROM_REG, addr, reg, tmp_reg
//||	if (Z_MODE(addr) == IS_REG) {
//|		mov Rx(Z_REG(addr)), reg
//||	} else {
//||		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|		MEM_ACCESS_64_WITH_UOFFSET str, reg, Rx(Z_REG(addr)), Z_OFFSET(addr), tmp_reg
//||	}
//|.endmacro

//|.macro SET_ZVAL_LVAL, addr, val, tmp_reg1, tmp_reg2
//||	if (val == 0) {
//|		SET_ZVAL_LVAL_FROM_REG addr, xzr, tmp_reg2
//||	} else {
//|		LOAD_64BIT_VAL tmp_reg1, val
//|		SET_ZVAL_LVAL_FROM_REG addr, tmp_reg1, tmp_reg2
//||	}
//|.endmacro

/* Store DOUBLE value from FP register 'reg' into memory 'addr'.
 * Note: the equivalent macro in JIT/x86 is SSE_SET_ZVAL_DVAL. */
//|.macro SET_ZVAL_DVAL, addr, reg, tmp_reg
//||	if (Z_MODE(addr) == IS_REG) {
//||		if (reg != Z_REG(addr)) {
//|			fmov Rd(Z_REG(addr)-ZREG_V0), Rd(reg-ZREG_V0)
//||		}
//||	} else {
//||		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|		MEM_ACCESS_64_WITH_UOFFSET str, Rd(reg-ZREG_V0), Rx(Z_REG(addr)), Z_OFFSET(addr), Rx(tmp_reg)
//||	}
//|.endmacro

/* Load DOUBLE value from memory 'addr' into FP register 'reg'.
 * Note: the equivalent macro in JIT/x86 is SSE_GET_ZVAL_DVAL. */
//|.macro GET_ZVAL_DVAL, reg, addr, tmp_reg
//||	if (Z_MODE(addr) != IS_REG || reg != Z_REG(addr)) {
//||		if (Z_MODE(addr) == IS_CONST_ZVAL) {
//|			MEM_LOAD ldr, Rd(reg-ZREG_V0), Z_ZV(addr), Rx(tmp_reg)
//||		} else if (Z_MODE(addr) == IS_MEM_ZVAL) {
//|			MEM_ACCESS_64_WITH_UOFFSET ldr, Rd(reg-ZREG_V0), Rx(Z_REG(addr)), Z_OFFSET(addr), Rx(tmp_reg)
//||		} else if (Z_MODE(addr) == IS_REG) {
//|			fmov Rd(reg-ZREG_V0), Rd(Z_REG(addr)-ZREG_V0)
//||		} else {
//||			ZEND_UNREACHABLE();
//||		}
//||	}
//|.endmacro

//|.macro ZVAL_COPY_CONST, dst_addr, dst_info, dst_def_info, zv, tmp_reg1, tmp_reg2, fp_tmp_reg
//||	if (Z_TYPE_P(zv) > IS_TRUE) {
//||		if (Z_TYPE_P(zv) == IS_DOUBLE) {
//||			zend_reg dst_reg = (Z_MODE(dst_addr) == IS_REG) ? Z_REG(dst_addr) : fp_tmp_reg;
//|			MEM_LOAD ldr, Rd(dst_reg-ZREG_V0), zv, Rx(tmp_reg1)
//|			SET_ZVAL_DVAL dst_addr, dst_reg, tmp_reg2
//||		} else if (Z_TYPE_P(zv) == IS_LONG && dst_def_info == MAY_BE_DOUBLE) {
//||			zend_reg dst_reg = (Z_MODE(dst_addr) == IS_REG) ? Z_REG(dst_addr) : fp_tmp_reg;
//|			DOUBLE_GET_LONG dst_reg, Z_LVAL_P(zv), tmp_reg1
//|			SET_ZVAL_DVAL dst_addr, dst_reg, tmp_reg2
//||		} else {
//|			// In x64, if the range of this LONG value can be represented via INT type, only move the low 32 bits into dst_addr.
//|			// Note that imm32 is signed extended to 64 bits during mov.
//|			// In aarch64, we choose to handle both cases in the same way. Even though 4 mov's are used for 64-bit value and 2 mov's are
//|			// needed for 32-bit value, an extra ext insn is needed for 32-bit value.
//|			SET_ZVAL_LVAL dst_addr, Z_LVAL_P(zv), Rx(tmp_reg1), Rx(tmp_reg2)
//||		}
//||	}
//||	if (Z_MODE(dst_addr) == IS_MEM_ZVAL) {
//||		if (dst_def_info == MAY_BE_DOUBLE) {
//||			if ((dst_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
//|				SET_ZVAL_TYPE_INFO dst_addr, IS_DOUBLE, Rw(tmp_reg1), Rx(tmp_reg2)
//||			}
//||		} else if (((dst_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (1<<Z_TYPE_P(zv))) || (dst_info & (MAY_BE_STRING|MAY_BE_ARRAY)) != 0) {
//|			SET_ZVAL_TYPE_INFO dst_addr, Z_TYPE_INFO_P(zv), Rw(tmp_reg1), Rx(tmp_reg2)
//||		}
//||	}
//|.endmacro

//|.macro ZVAL_COPY_CONST_2, dst_addr, res_addr, dst_info, dst_def_info, zv, tmp_reg1, tmp_reg2, fp_tmp_reg
//||	if (Z_TYPE_P(zv) > IS_TRUE) {
//||		if (Z_TYPE_P(zv) == IS_DOUBLE) {
//||			zend_reg dst_reg = (Z_MODE(dst_addr) == IS_REG) ?
//||				Z_REG(dst_addr) : ((Z_MODE(res_addr) == IS_REG) ? Z_REG(res_addr) : fp_tmp_reg);
//|			MEM_LOAD ldr, Rd(dst_reg-ZREG_V0), zv, Rx(tmp_reg1)
//|			SET_ZVAL_DVAL dst_addr, dst_reg, tmp_reg2
//|			SET_ZVAL_DVAL res_addr, dst_reg, tmp_reg2
//||		} else if (Z_TYPE_P(zv) == IS_LONG && dst_def_info == MAY_BE_DOUBLE) {
//||			if (Z_MODE(dst_addr) == IS_REG) {
//|				DOUBLE_GET_LONG Z_REG(dst_addr), Z_LVAL_P(zv), tmp_reg1
//|				SET_ZVAL_DVAL res_addr, Z_REG(dst_addr), tmp_reg2
//||			} else if (Z_MODE(res_addr) == IS_REG) {
//|				DOUBLE_GET_LONG Z_REG(res_addr), Z_LVAL_P(zv), tmp_reg1
//|				SET_ZVAL_DVAL dst_addr, Z_REG(res_addr), tmp_reg2
//||			} else {
//|				DOUBLE_GET_LONG fp_tmp_reg, Z_LVAL_P(zv), tmp_reg1
//|				SET_ZVAL_DVAL dst_addr, fp_tmp_reg, tmp_reg2
//|				SET_ZVAL_DVAL res_addr, fp_tmp_reg, tmp_reg2
//||			}
//||		} else {
//||			if (Z_MODE(dst_addr) == IS_REG) {
//|				SET_ZVAL_LVAL dst_addr, Z_LVAL_P(zv), Rx(tmp_reg1), Rx(tmp_reg2)
//|				SET_ZVAL_LVAL_FROM_REG res_addr, Rx(Z_REG(dst_addr)), Rx(tmp_reg1)
//||			} else if (Z_MODE(res_addr) == IS_REG) {
//|				SET_ZVAL_LVAL res_addr, Z_LVAL_P(zv), Rx(tmp_reg1), Rx(tmp_reg2)
//|				SET_ZVAL_LVAL_FROM_REG dst_addr, Rx(Z_REG(res_addr)), Rx(tmp_reg1)
//||			} else {
//|				SET_ZVAL_LVAL dst_addr, Z_LVAL_P(zv), Rx(tmp_reg1), Rx(tmp_reg2)
//|				SET_ZVAL_LVAL res_addr, Z_LVAL_P(zv), Rx(tmp_reg1), Rx(tmp_reg2)
//||			}
//||		}
//||	}
//||	if (Z_MODE(dst_addr) == IS_MEM_ZVAL) {
//||		if (dst_def_info == MAY_BE_DOUBLE) {
//||			if ((dst_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
//|				SET_ZVAL_TYPE_INFO dst_addr, IS_DOUBLE, Rw(tmp_reg1), Rx(tmp_reg2)
//||			}
//||		} else if (((dst_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (1<<Z_TYPE_P(zv))) || (dst_info & (MAY_BE_STRING|MAY_BE_ARRAY)) != 0) {
//|			SET_ZVAL_TYPE_INFO dst_addr, Z_TYPE_INFO_P(zv), Rw(tmp_reg1), Rx(tmp_reg2)
//||		}
//||	}
//||	if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
//||		if (dst_def_info == MAY_BE_DOUBLE) {
//|			SET_ZVAL_TYPE_INFO res_addr, IS_DOUBLE, Rw(tmp_reg1), Rx(tmp_reg2)
//||		} else {
//|			SET_ZVAL_TYPE_INFO res_addr, Z_TYPE_INFO_P(zv), Rw(tmp_reg1), Rx(tmp_reg2)
//||		}
//||	}
//|.endmacro

// the same as above, but "src" may overlap with "reg1"
// Useful info would be stored into reg1 and reg2, and they might be used afterward.
//|.macro ZVAL_COPY_VALUE, dst_addr, dst_info, src_addr, src_info, reg1, reg2, tmp_reg1, tmp_reg2, fp_tmp_reg
//|	ZVAL_COPY_VALUE_V dst_addr, dst_info, src_addr, src_info, reg1, reg2, tmp_reg1, fp_tmp_reg
//||	if ((src_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
//||		!(src_info & MAY_BE_GUARD) &&
//||		has_concrete_type(src_info & MAY_BE_ANY)) {
//||		if (Z_MODE(dst_addr) == IS_MEM_ZVAL) {
//||			if ((dst_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (src_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
//||				uint32_t type = concrete_type(src_info);
//|				SET_ZVAL_TYPE_INFO dst_addr, type, Rw(tmp_reg1), Rx(tmp_reg2)
//||			}
//||		}
//||	} else {
//|		GET_ZVAL_TYPE_INFO Rw(reg1), src_addr, Rx(tmp_reg1)
//|		SET_ZVAL_TYPE_INFO_FROM_REG dst_addr, Rw(reg1), Rx(tmp_reg1)
//||	}
//|.endmacro

//|.macro ZVAL_COPY_VALUE_V, dst_addr, dst_info, src_addr, src_info, reg1, reg2, tmp_reg, fp_tmp_reg
//||	if (src_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
//||		if ((src_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
//||			if (Z_MODE(src_addr) == IS_REG) {
//||				if (Z_MODE(dst_addr) != IS_REG || Z_REG(dst_addr) != Z_REG(src_addr)) {
//|					SET_ZVAL_LVAL_FROM_REG dst_addr, Rx(Z_REG(src_addr)), Rx(tmp_reg)
//||				}
//||			} else if (Z_MODE(dst_addr) == IS_REG) {
//|				GET_ZVAL_LVAL Z_REG(dst_addr), src_addr, Rx(tmp_reg)
//||			} else {
//|				GET_ZVAL_LVAL reg2, src_addr, Rx(tmp_reg)
//|				SET_ZVAL_LVAL_FROM_REG dst_addr, Rx(reg2), Rx(tmp_reg)
//||			}
//||		} else if ((src_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
//||			if (Z_MODE(src_addr) == IS_REG) {
//|				SET_ZVAL_DVAL dst_addr, Z_REG(src_addr), tmp_reg
//||			} else if (Z_MODE(dst_addr) == IS_REG) {
//|				GET_ZVAL_DVAL Z_REG(dst_addr), src_addr, tmp_reg
//||			} else {
//|				GET_ZVAL_DVAL fp_tmp_reg, src_addr, tmp_reg
//|				SET_ZVAL_DVAL dst_addr, fp_tmp_reg, tmp_reg
//||			}
//||		// Combine the following two branches.
//||		// } else if (!(src_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
//||		} else {
//|			GET_ZVAL_PTR Rx(reg2), src_addr, Rx(tmp_reg)
//|			SET_ZVAL_PTR dst_addr, Rx(reg2), Rx(tmp_reg)
//||		}
//||	}
//|.endmacro

//|.macro ZVAL_COPY_VALUE_2, dst_addr, dst_info, res_addr, src_addr, src_info, reg1, reg2, tmp_reg, tmp_reg2, fp_tmp_reg
//||	if (src_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
//||		if ((src_info & MAY_BE_ANY) == MAY_BE_LONG) {
//||			if (Z_MODE(src_addr) == IS_REG) {
//||				if (Z_MODE(dst_addr) != IS_REG || Z_REG(dst_addr) != Z_REG(src_addr)) {
//|					SET_ZVAL_LVAL_FROM_REG dst_addr, Rx(Z_REG(src_addr)), Rx(tmp_reg)
//||				}
//||				if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(src_addr)) {
//|					SET_ZVAL_LVAL_FROM_REG res_addr, Rx(Z_REG(src_addr)), Rx(tmp_reg)
//||				}
//||			} else if (Z_MODE(dst_addr) == IS_REG) {
//|				GET_ZVAL_LVAL Z_REG(dst_addr), src_addr, Rx(tmp_reg)
//||				if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(dst_addr)) {
//|					SET_ZVAL_LVAL_FROM_REG res_addr, Rx(Z_REG(dst_addr)), Rx(tmp_reg)
//||				}
//||			} else if (Z_MODE(res_addr) == IS_REG) {
//|				GET_ZVAL_LVAL Z_REG(res_addr), src_addr, Rx(tmp_reg)
//|				SET_ZVAL_LVAL_FROM_REG dst_addr, Rx(Z_REG(res_addr)), Rx(tmp_reg)
//||			} else {
//|				GET_ZVAL_LVAL reg2, src_addr, Rx(tmp_reg)
//|				SET_ZVAL_LVAL_FROM_REG dst_addr, Rx(reg2), Rx(tmp_reg)
//|				SET_ZVAL_LVAL_FROM_REG res_addr, Rx(reg2), Rx(tmp_reg)
//||			}
//||		} else if ((src_info & MAY_BE_ANY) == MAY_BE_DOUBLE) {
//||			if (Z_MODE(src_addr) == IS_REG) {
//|				SET_ZVAL_DVAL dst_addr, Z_REG(src_addr), tmp_reg
//|				SET_ZVAL_DVAL res_addr, Z_REG(src_addr), tmp_reg
//||			} else if (Z_MODE(dst_addr) == IS_REG) {
//|				GET_ZVAL_DVAL Z_REG(dst_addr), src_addr, tmp_reg
//|				SET_ZVAL_DVAL res_addr, Z_REG(dst_addr), tmp_reg
//||			} else if (Z_MODE(res_addr) == IS_REG) {
//|				GET_ZVAL_DVAL Z_REG(res_addr), src_addr, tmp_reg
//|				SET_ZVAL_DVAL dst_addr, Z_REG(res_addr), tmp_reg
//||			} else {
//|				GET_ZVAL_DVAL fp_tmp_reg, src_addr, tmp_reg
//|				SET_ZVAL_DVAL dst_addr, fp_tmp_reg, tmp_reg
//|				SET_ZVAL_DVAL res_addr, fp_tmp_reg, tmp_reg
//||			}
//||		} else {
//|			GET_ZVAL_PTR Rx(reg2), src_addr, Rx(tmp_reg)
//|			SET_ZVAL_PTR dst_addr, Rx(reg2), Rx(tmp_reg)
//|			SET_ZVAL_PTR res_addr, Rx(reg2), Rx(tmp_reg)
//||		}
//||	}
//||	if ((src_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
//||	    has_concrete_type(src_info & MAY_BE_ANY)) {
//||		uint32_t type = concrete_type(src_info);
//||		if (Z_MODE(dst_addr) == IS_MEM_ZVAL) {
//||			if ((dst_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (src_info & (MAY_BE_ANY|MAY_BE_UNDEF))) {
//|				SET_ZVAL_TYPE_INFO dst_addr, type, Rw(tmp_reg), Rx(tmp_reg2)
//||			}
//||		}
//||		if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
//|			SET_ZVAL_TYPE_INFO res_addr, type, Rw(tmp_reg), Rx(tmp_reg2)
//||		}
//||	} else {
//|		GET_ZVAL_TYPE_INFO Rw(reg1), src_addr, Rx(tmp_reg)
//|		SET_ZVAL_TYPE_INFO_FROM_REG dst_addr, Rw(reg1), Rx(tmp_reg)
//|		SET_ZVAL_TYPE_INFO_FROM_REG res_addr, Rw(reg1), Rx(tmp_reg)
//||	}
//|.endmacro

//|.macro IF_UNDEF, type_reg, label
//|	cbz type_reg, label
//|.endmacro

//|.macro IF_TYPE, type, val, label
//||	if (val == 0) {
//|		cbz type, label
//||	} else {
//|		cmp type, #val
//|		beq label
//||	}
//|.endmacro

//|.macro IF_NOT_TYPE, type, val, label
//||	if (val == 0) {
//|		cbnz type, label
//||	} else {
//|		cmp type, #val
//|		bne label
//||	}
//|.endmacro

//|.macro IF_Z_TYPE, zv, val, label, tmp_reg
//|	ldrb tmp_reg, [zv, #offsetof(zval, u1.v.type)]
//|	IF_TYPE tmp_reg, val, label
//|.endmacro

//|.macro IF_NOT_Z_TYPE, zv, val, label, tmp_reg
//|	ldrb tmp_reg, [zv, #offsetof(zval, u1.v.type)]
//|	IF_NOT_TYPE tmp_reg, val, label
//|.endmacro

//|.macro CMP_ZVAL_TYPE, addr, val, tmp_reg
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, Rw(tmp_reg), Rx(Z_REG(addr)), Z_OFFSET(addr)+offsetof(zval, u1.v.type), Rx(tmp_reg)
//|	cmp Rw(tmp_reg), #val
//|.endmacro

//|.macro IF_ZVAL_TYPE, addr, val, label, tmp_reg
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, Rw(tmp_reg), Rx(Z_REG(addr)), Z_OFFSET(addr)+offsetof(zval, u1.v.type), Rx(tmp_reg)
//|	IF_TYPE Rw(tmp_reg), val, label
//|.endmacro

//|.macro IF_NOT_ZVAL_TYPE, addr, val, label, tmp_reg
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, Rw(tmp_reg), Rx(Z_REG(addr)), Z_OFFSET(addr)+offsetof(zval, u1.v.type), Rx(tmp_reg)
//|	IF_NOT_TYPE Rw(tmp_reg), val, label
//|.endmacro

//|.macro IF_FLAGS, type_flags, mask, label, tmp_reg
//|	TST_32_WITH_CONST type_flags, mask, tmp_reg
//|	bne label
//|.endmacro

//|.macro IF_NOT_FLAGS, type_flags, mask, label, tmp_reg
//|	TST_32_WITH_CONST type_flags, mask, tmp_reg
//|	beq label
//|.endmacro

//|.macro IF_REFCOUNTED, type_flags, label, tmp_reg
//|	TST_32_WITH_CONST type_flags, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), tmp_reg
//|	bne label
//|.endmacro

//|.macro IF_NOT_REFCOUNTED, type_flags, label, tmp_reg
//|	TST_32_WITH_CONST type_flags, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), tmp_reg
//|	beq label
//|.endmacro

//|.macro IF_ZVAL_FLAGS, addr, mask, label, tmp_reg1, tmp_reg2
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, Rw(tmp_reg1), Rx(Z_REG(addr)), Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags), Rx(tmp_reg2)
//|	IF_FLAGS Rw(tmp_reg1), mask, label, Rw(tmp_reg2)
//|.endmacro

//|.macro IF_NOT_ZVAL_FLAGS, addr, mask, label, tmp_reg1, tmp_reg2
//||	ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, Rw(tmp_reg1), Rx(Z_REG(addr)), Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags), Rx(tmp_reg2)
//|	IF_NOT_FLAGS Rw(tmp_reg1), mask, label, Rw(tmp_reg2)
//|.endmacro

//|.macro IF_ZVAL_REFCOUNTED, addr, label, tmp_reg1, tmp_reg2
//|	IF_ZVAL_FLAGS addr, IS_TYPE_REFCOUNTED, label, tmp_reg1, tmp_reg2
//|.endmacro

//|.macro IF_NOT_ZVAL_REFCOUNTED, addr, label, tmp_reg1, tmp_reg2
//|	IF_NOT_ZVAL_FLAGS addr, IS_TYPE_REFCOUNTED, label, tmp_reg1, tmp_reg2
//|.endmacro

//|.macro IF_NOT_ZVAL_COLLECTABLE, addr, label, tmp_reg1, tmp_reg2
//|	IF_NOT_ZVAL_FLAGS addr, IS_TYPE_COLLECTABLE, label, tmp_reg1, tmp_reg2
//|.endmacro

//|.macro GC_ADDREF, zv, tmp_reg
//|	ldr tmp_reg, [zv]
//|	add tmp_reg, tmp_reg, #1
//|	str tmp_reg, [zv]
//|.endmacro

//|.macro GC_ADDREF_2, zv, tmp_reg
//|	ldr tmp_reg, [zv]
//|	add tmp_reg, tmp_reg, #2
//|	str tmp_reg, [zv]
//|.endmacro

//|.macro GC_DELREF, zv, tmp_reg
//|	ldr tmp_reg, [zv]
//|	subs tmp_reg, tmp_reg, #1
//|	str tmp_reg, [zv]
//|.endmacro

//|.macro IF_GC_MAY_NOT_LEAK, ptr, label, tmp_reg1, tmp_reg2
//|	ldr tmp_reg1, [ptr, #4]
//|	TST_32_WITH_CONST tmp_reg1, (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), tmp_reg2
//|	bne label
//|.endmacro

//|.macro ADDREF_CONST, zv, tmp_reg1, tmp_reg2
//|	LOAD_ADDR tmp_reg1, Z_PTR_P(zv)
//|	ldr tmp_reg2, [tmp_reg1]
//|	add tmp_reg2, tmp_reg2, #1
//|	str tmp_reg2, [tmp_reg1]
//|.endmacro

//|.macro ADDREF_CONST_2, zv, tmp_reg1, tmp_reg2
//|	LOAD_ADDR tmp_reg1, Z_PTR_P(zv)
//|	ldr tmp_reg2, [tmp_reg1]
//|	add tmp_reg2, tmp_reg2, #2
//|	str tmp_reg2, [tmp_reg1]
//|.endmacro

//|.macro TRY_ADDREF, val_info, type_flags_reg, value_ptr_reg, tmp_reg
//||	if (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
//||		if (val_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
//|			IF_NOT_REFCOUNTED type_flags_reg, >1, tmp_reg
//||		}
//|		GC_ADDREF value_ptr_reg, tmp_reg
//|1:
//||	}
//|.endmacro

//|.macro TRY_ADDREF_2, val_info, type_flags_reg, value_ptr_reg, tmp_reg
//||	if (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
//||		if (val_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
//|			IF_NOT_REFCOUNTED type_flags_reg, >1, tmp_reg
//||		}
//|		ldr tmp_reg, [value_ptr_reg]
//|		add tmp_reg, tmp_reg, #2
//|		str tmp_reg, [value_ptr_reg]
//|1:
//||	}
//|.endmacro

//|.macro ZVAL_DEREF, reg, info, tmp_reg
//||	if (info & MAY_BE_REF) {
//|		IF_NOT_Z_TYPE, reg, IS_REFERENCE, >1, tmp_reg
//|		GET_Z_PTR reg, reg
//|		add reg, reg, #offsetof(zend_reference, val)
//|1:
//||	}
//|.endmacro

//|.macro SET_EX_OPLINE, op, tmp_reg
//||	if (op == last_valid_opline) {
//||		zend_jit_use_last_valid_opline();
//|		SAVE_IP
//||	} else {
//|		ADDR_STORE EX->opline, op, tmp_reg
//||		if (!GCC_GLOBAL_REGS) {
//||			zend_jit_reset_last_valid_opline();
//||		}
//||	}
//|.endmacro

// arg1 "zval" should be in FCARG1x
//|.macro ZVAL_DTOR_FUNC, var_info, opline, tmp_reg
//||	do {
//||		if (!((var_info) & MAY_BE_GUARD)
//||		 && has_concrete_type((var_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
//||			zend_uchar type = concrete_type((var_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
//||			if (type == IS_STRING && !ZEND_DEBUG) {
//|				EXT_CALL _efree, tmp_reg
//||				break;
//||			} else if (type == IS_ARRAY) {
//||				if ((var_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
//||					if (opline && ((var_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
//|						SET_EX_OPLINE opline, tmp_reg
//||					}
//|					EXT_CALL zend_array_destroy, tmp_reg
//||				} else {
//|					EXT_CALL zend_jit_array_free, tmp_reg
//||				}
//||				break;
//||			} else if (type == IS_OBJECT) {
//||				if (opline) {
//|					SET_EX_OPLINE opline, REG0
//||				}
//|				EXT_CALL zend_objects_store_del, tmp_reg
//||				break;
//||			}
//||		}
//||		if (opline) {
//|			SET_EX_OPLINE opline, tmp_reg
//||		}
//|		EXT_CALL rc_dtor_func, tmp_reg
//||	} while(0);
//|.endmacro

//|.macro ZVAL_PTR_DTOR, addr, op_info, gc, cold, opline, tmp_reg1, tmp_reg2
//||	if ((op_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
//||		if ((op_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
//|			// if (Z_REFCOUNTED_P(cv)) {
//||			if (cold) {
//|				IF_ZVAL_REFCOUNTED addr, >1, tmp_reg1, tmp_reg2
//|.cold_code
//|1:
//||			} else {
//|				IF_NOT_ZVAL_REFCOUNTED addr, >4, tmp_reg1, tmp_reg2
//||			}
//||		}
//|		// if (!Z_DELREF_P(cv)) {
//|		GET_ZVAL_PTR FCARG1x, addr, Rx(tmp_reg2)
//|		GC_DELREF FCARG1x, Rw(tmp_reg1)
//||		if (((op_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op_info)) {
//||			if (((op_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op_info)) {
//||				if (gc && (((op_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op_info) && ((op_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
//|					bne >3
//||				} else {
//|					bne >4
//||				}
//||			}
//|			// zval_dtor_func(r);
//|			ZVAL_DTOR_FUNC op_info, opline, Rx(tmp_reg1)
//||			if (gc && (((op_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op_info) && ((op_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
//|				b >4
//||			}
//|3:
//||		}
//||		if (gc && (((op_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op_info) && ((op_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
//||			if ((op_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
//||				zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
//|				IF_NOT_ZVAL_TYPE addr, IS_REFERENCE, >1, tmp_reg1
//|				IF_NOT_ZVAL_COLLECTABLE ref_addr, >4, tmp_reg1, tmp_reg2
//|				GET_ZVAL_PTR FCARG1x, ref_addr, Rx(tmp_reg2)
//|1:
//||			}
//|			IF_GC_MAY_NOT_LEAK FCARG1x, >4, Rw(tmp_reg1), Rw(tmp_reg2)
//|			// gc_possible_root(Z_COUNTED_P(z))
//|			EXT_CALL gc_possible_root, Rx(tmp_reg1)
//||		}
//||		if (cold && ((op_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
//|			b >4
//|.code
//||		}
//|4:
//||	}
//|.endmacro

//|.macro FREE_OP, op_type, op, op_info, cold, opline, tmp_reg1, tmp_reg2
//||	if (op_type & (IS_VAR|IS_TMP_VAR)) {
//||		zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op.var);
//|		ZVAL_PTR_DTOR addr, op_info, 0, cold, opline, tmp_reg1, tmp_reg2
//||	}
//|.endmacro

//|.macro SEPARATE_ARRAY, addr, op_info, cold, tmp_reg1, tmp_reg2
//||	if (RC_MAY_BE_N(op_info)) {
//||		if (Z_REG(addr) != ZREG_FP) {
//|			GET_ZVAL_LVAL ZREG_REG0, addr, Rx(tmp_reg1)
//||			if (RC_MAY_BE_1(op_info)) {
//|				// if (GC_REFCOUNT() > 1)
//|				ldr Rw(tmp_reg1), [REG0]
//|				cmp Rw(tmp_reg1), #1
//|				bls >2
//||			}
//||			if (Z_REG(addr) != ZREG_FCARG1 || Z_OFFSET(addr) != 0) {
//|				LOAD_ZVAL_ADDR FCARG1x, addr
//||			}
//|			EXT_CALL zend_jit_zval_array_dup, REG0
//|			mov REG0, RETVALx
//|2:
//|			mov FCARG1x, REG0
//||		} else {
//|			GET_ZVAL_LVAL ZREG_FCARG1, addr, Rx(tmp_reg1)
//||			if (RC_MAY_BE_1(op_info)) {
//|				// if (GC_REFCOUNT() > 1)
//|				ldr Rw(tmp_reg1), [FCARG1x]
//|				cmp Rw(tmp_reg1), #1
//||				if (cold) {
//|					bhi >1
//|.cold_code
//|1:
//||				} else {
//|					bls >2
//||				}
//||			}
//|			IF_NOT_ZVAL_REFCOUNTED addr, >1, tmp_reg1, tmp_reg2
//|			GC_DELREF FCARG1x, Rw(tmp_reg1)
//|1:
//|			EXT_CALL zend_array_dup, REG0
//|			mov REG0, RETVALx
//|			SET_ZVAL_PTR addr, REG0, Rx(tmp_reg1)
//|			SET_ZVAL_TYPE_INFO addr, IS_ARRAY_EX, Rw(tmp_reg1), Rx(tmp_reg2)
//|			mov FCARG1x, REG0
//||			if (RC_MAY_BE_1(op_info)) {
//||				if (cold) {
//|					b >2
//|.code
//||				}
//||			}
//|2:
//||		}
//||	} else {
//|		GET_ZVAL_LVAL ZREG_FCARG1, addr, Rx(tmp_reg1)
//||	}
//|.endmacro

/* argument is passed in FCARG1x */
//|.macro EFREE_REFERENCE
//||#if ZEND_DEBUG
//|		mov FCARG2x, xzr // filename
//|		mov CARG3w, wzr  // lineno
//|		mov CARG4, xzr
//|		mov CARG5, xzr
//|		EXT_CALL _efree, REG0
//||#else
//||#ifdef HAVE_BUILTIN_CONSTANT_P
//|		EXT_CALL _efree_32, REG0
//||#else
//|		EXT_CALL _efree, REG0
//||#endif
//||#endif
//|.endmacro

//|.macro EMALLOC, size, op_array, opline
//||#if ZEND_DEBUG
//||		const char *filename = op_array->filename ? op_array->filename->val : NULL;
//|		mov FCARG1x, #size
//|		LOAD_ADDR FCARG2x, filename
//|		LOAD_32BIT_VAL CARG3w, opline->lineno
//|		mov CARG4, xzr
//|		mov CARG5, xzr
//|		EXT_CALL _emalloc, REG0
//|		mov REG0, RETVALx
//||#else
//||#ifdef HAVE_BUILTIN_CONSTANT_P
//||	if (size > 24 && size <= 32) {
//|		EXT_CALL _emalloc_32, REG0
//|		mov REG0, RETVALx
//||	} else {
//|		mov FCARG1x, #size
//|		EXT_CALL _emalloc, REG0
//|		mov REG0, RETVALx
//||	}
//||#else
//|		mov FCARG1x, #size
//|		EXT_CALL _emalloc, REG0
//|		mov REG0, RETVALx
//||#endif
//||#endif
//|.endmacro

//|.macro OBJ_RELEASE, reg, exit_label, tmp_reg1, tmp_reg2
//|	GC_DELREF Rx(reg), Rw(tmp_reg1)
//|	bne >1
//|	// zend_objects_store_del(obj);
//||	if (reg != ZREG_FCARG1) {
//|		mov FCARG1x, Rx(reg)
//||	}
//|	EXT_CALL zend_objects_store_del, Rx(tmp_reg1)
//|	b exit_label
//|1:
//|	IF_GC_MAY_NOT_LEAK Rx(reg), >1, Rw(tmp_reg1), Rw(tmp_reg2)
//|	// gc_possible_root(obj)
//||	if (reg != ZREG_FCARG1) {
//|		mov FCARG1x, Rx(reg)
//||	}
//|	EXT_CALL gc_possible_root, Rx(tmp_reg1)
//|1:
//|.endmacro

//|.macro UNDEFINED_OFFSET, opline
//||	if (opline == last_valid_opline) {
//||		zend_jit_use_last_valid_opline();
//|		bl ->undefined_offset_ex
//||	} else {
//|		SET_EX_OPLINE  opline, REG0
//|		bl ->undefined_offset
//||	}
//|.endmacro

//|.macro UNDEFINED_INDEX, opline
//||	if (opline == last_valid_opline) {
//||		zend_jit_use_last_valid_opline();
//|		bl ->undefined_index_ex
//||	} else {
//|		SET_EX_OPLINE opline, REG0
//|		bl ->undefined_index
//||	}
//|.endmacro

//|.macro CANNOT_ADD_ELEMENT, opline
//||	if (opline == last_valid_opline) {
//||		zend_jit_use_last_valid_opline();
//|		bl ->cannot_add_element_ex
//||	} else {
//|		SET_EX_OPLINE opline, REG0
//|		bl ->cannot_add_element
//||	}
//|.endmacro

static bool reuse_ip = 0;
static bool delayed_call_chain = 0;
static uint32_t  delayed_call_level = 0;
static const zend_op *last_valid_opline = NULL;
static bool use_last_vald_opline = 0;
static bool track_last_valid_opline = 0;
static int jit_return_label = -1;
static uint32_t current_trace_num = 0;
static uint32_t allowed_opt_flags = 0;

static void zend_jit_track_last_valid_opline(void)
{
	use_last_vald_opline = 0;
	track_last_valid_opline = 1;
}

static void zend_jit_use_last_valid_opline(void)
{
	if (track_last_valid_opline) {
		use_last_vald_opline = 1;
		track_last_valid_opline = 0;
	}
}

static bool zend_jit_trace_uses_initial_ip(void)
{
	return use_last_vald_opline;
}

static void zend_jit_set_last_valid_opline(const zend_op *target_opline)
{
	if (!reuse_ip) {
		track_last_valid_opline = 0;
		last_valid_opline = target_opline;
	}
}

static void zend_jit_reset_last_valid_opline(void)
{
	track_last_valid_opline = 0;
	last_valid_opline = NULL;
}

static void zend_jit_start_reuse_ip(void)
{
	zend_jit_reset_last_valid_opline();
	reuse_ip = 1;
}

static int zend_jit_reuse_ip(dasm_State **Dst)
{
	if (!reuse_ip) {
		zend_jit_start_reuse_ip();
		//|	// call = EX(call);
		//|	ldr RX, EX->call
		dasm_put(Dst, 0, Dt1(->call));
#line 1769 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static void zend_jit_stop_reuse_ip(void)
{
	reuse_ip = 0;
}

static int zend_jit_interrupt_handler_stub(dasm_State **Dst)
{
	//|->interrupt_handler:
	//|	SAVE_IP
	dasm_put(Dst, 3);
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5, Dt1(->opline));
		}
#line 1782 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	//EG(vm_interrupt) = 0;
	//|	MEM_STORE_8_ZTS strb, wzr, executor_globals, vm_interrupt, TMP1
		if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 8, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
		} else if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 12, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32), (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.vm_interrupt)) == 0) {
	dasm_put(Dst, 17);
		} else if (((uintptr_t)(&executor_globals.vm_interrupt)) <= MOVZ_IMM) {
	dasm_put(Dst, 19, ((uint64_t)(&executor_globals.vm_interrupt)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 22, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 25, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32));
			if (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff) {
	dasm_put(Dst, 28, (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff) {
	dasm_put(Dst, 31, ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
	dasm_put(Dst, 34, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
	dasm_put(Dst, 37, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
	dasm_put(Dst, 40, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
	dasm_put(Dst, 43, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 46, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
		}
	dasm_put(Dst, 49);
		}
#line 1784 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	//if (EG(timed_out)) {
	//|	MEM_LOAD_8_ZTS ldrb, TMP1w, executor_globals, timed_out, TMP1
		if (((uintptr_t)(&executor_globals.timed_out)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.timed_out))) {
	dasm_put(Dst, 51, (unsigned int)((ptrdiff_t)(&executor_globals.timed_out)), (unsigned int)(((ptrdiff_t)(&executor_globals.timed_out))>>32));
		} else if (((uintptr_t)(&executor_globals.timed_out)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.timed_out))) {
	dasm_put(Dst, 55, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.timed_out))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.timed_out)))))>>32), (((uintptr_t)(&executor_globals.timed_out)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.timed_out)) == 0) {
	dasm_put(Dst, 60);
		} else if (((uintptr_t)(&executor_globals.timed_out)) <= MOVZ_IMM) {
	dasm_put(Dst, 62, ((uint64_t)(&executor_globals.timed_out)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.timed_out))) {
	dasm_put(Dst, 65, (unsigned int)((ptrdiff_t)(&executor_globals.timed_out)), (unsigned int)(((ptrdiff_t)(&executor_globals.timed_out))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.timed_out))) {
	dasm_put(Dst, 68, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.timed_out))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.timed_out)))))>>32));
			if (((uintptr_t)(&executor_globals.timed_out)) & 0xfff) {
	dasm_put(Dst, 71, (((uintptr_t)(&executor_globals.timed_out)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.timed_out) & 0xffff) {
	dasm_put(Dst, 74, ((uintptr_t)(&executor_globals.timed_out) & 0xffff));
			if (((uintptr_t)(&executor_globals.timed_out) >> 16) & 0xffff) {
	dasm_put(Dst, 77, (((uintptr_t)(&executor_globals.timed_out) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.timed_out) >> 32) & 0xffff) {
	dasm_put(Dst, 80, (((uintptr_t)(&executor_globals.timed_out) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.timed_out) >> 16) & 0xffff) {
	dasm_put(Dst, 83, (((uintptr_t)(&executor_globals.timed_out) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.timed_out) >> 32) & 0xffff) {
	dasm_put(Dst, 86, (((uintptr_t)(&executor_globals.timed_out) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 89, (((uintptr_t)(&executor_globals.timed_out) >> 32) & 0xffff));
		}
	dasm_put(Dst, 92);
		}
#line 1786 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	cbz TMP1w, >1
	//|	//zend_timeout();
	//|	EXT_CALL zend_timeout, TMP1
	dasm_put(Dst, 94);
		if (arm64_may_use_b(zend_timeout)) {
	dasm_put(Dst, 97, (unsigned int)((ptrdiff_t)(zend_timeout)), (unsigned int)(((ptrdiff_t)(zend_timeout))>>32));
		} else {
		if (((uintptr_t)(zend_timeout)) == 0) {
	dasm_put(Dst, 100);
		} else if (((uintptr_t)(zend_timeout)) <= MOVZ_IMM) {
	dasm_put(Dst, 102, ((uint64_t)(zend_timeout)));
		} else if (arm64_may_use_adr((void*)(zend_timeout))) {
	dasm_put(Dst, 105, (unsigned int)((ptrdiff_t)(zend_timeout)), (unsigned int)(((ptrdiff_t)(zend_timeout))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_timeout))) {
	dasm_put(Dst, 108, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_timeout))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_timeout)))))>>32));
			if (((uintptr_t)(zend_timeout)) & 0xfff) {
	dasm_put(Dst, 111, (((uintptr_t)(zend_timeout)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_timeout) & 0xffff) {
	dasm_put(Dst, 114, ((uintptr_t)(zend_timeout) & 0xffff));
			if (((uintptr_t)(zend_timeout) >> 16) & 0xffff) {
	dasm_put(Dst, 117, (((uintptr_t)(zend_timeout) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_timeout) >> 32) & 0xffff) {
	dasm_put(Dst, 120, (((uintptr_t)(zend_timeout) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_timeout) >> 16) & 0xffff) {
	dasm_put(Dst, 123, (((uintptr_t)(zend_timeout) >> 16) & 0xffff));
			if (((uintptr_t)(zend_timeout) >> 32) & 0xffff) {
	dasm_put(Dst, 126, (((uintptr_t)(zend_timeout) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 129, (((uintptr_t)(zend_timeout) >> 32) & 0xffff));
		}
	dasm_put(Dst, 132);
		}
#line 1789 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|1:
	//|	//} else if (zend_interrupt_function) {
	dasm_put(Dst, 134);
#line 1791 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (zend_interrupt_function) {
		//|	//zend_interrupt_function(execute_data);
		//|	mov CARG1, FP
		//|	EXT_CALL zend_interrupt_function, TMP1
		dasm_put(Dst, 136);
			if (arm64_may_use_b(zend_interrupt_function)) {
		dasm_put(Dst, 138, (unsigned int)((ptrdiff_t)(zend_interrupt_function)), (unsigned int)(((ptrdiff_t)(zend_interrupt_function))>>32));
			} else {
			if (((uintptr_t)(zend_interrupt_function)) == 0) {
		dasm_put(Dst, 141);
			} else if (((uintptr_t)(zend_interrupt_function)) <= MOVZ_IMM) {
		dasm_put(Dst, 143, ((uint64_t)(zend_interrupt_function)));
			} else if (arm64_may_use_adr((void*)(zend_interrupt_function))) {
		dasm_put(Dst, 146, (unsigned int)((ptrdiff_t)(zend_interrupt_function)), (unsigned int)(((ptrdiff_t)(zend_interrupt_function))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_interrupt_function))) {
		dasm_put(Dst, 149, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_interrupt_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_interrupt_function)))))>>32));
				if (((uintptr_t)(zend_interrupt_function)) & 0xfff) {
		dasm_put(Dst, 152, (((uintptr_t)(zend_interrupt_function)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_interrupt_function) & 0xffff) {
		dasm_put(Dst, 155, ((uintptr_t)(zend_interrupt_function) & 0xffff));
				if (((uintptr_t)(zend_interrupt_function) >> 16) & 0xffff) {
		dasm_put(Dst, 158, (((uintptr_t)(zend_interrupt_function) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_interrupt_function) >> 32) & 0xffff) {
		dasm_put(Dst, 161, (((uintptr_t)(zend_interrupt_function) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_interrupt_function) >> 16) & 0xffff) {
		dasm_put(Dst, 164, (((uintptr_t)(zend_interrupt_function) >> 16) & 0xffff));
				if (((uintptr_t)(zend_interrupt_function) >> 32) & 0xffff) {
		dasm_put(Dst, 167, (((uintptr_t)(zend_interrupt_function) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 170, (((uintptr_t)(zend_interrupt_function) >> 32) & 0xffff));
			}
		dasm_put(Dst, 173);
			}
#line 1795 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, exception, TMP1
			if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 175, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 179, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.exception)) == 0) {
		dasm_put(Dst, 184);
			} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
		dasm_put(Dst, 186, ((uint64_t)(&executor_globals.exception)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 189, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 192, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
				if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
		dasm_put(Dst, 195, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
		dasm_put(Dst, 198, ((uintptr_t)(&executor_globals.exception) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 201, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 204, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 207, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 210, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 213, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
			}
		dasm_put(Dst, 216);
			}
#line 1796 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbz REG0, >1
		//|	EXT_CALL zend_jit_exception_in_interrupt_handler_helper, TMP1
		dasm_put(Dst, 218);
			if (arm64_may_use_b(zend_jit_exception_in_interrupt_handler_helper)) {
		dasm_put(Dst, 221, (unsigned int)((ptrdiff_t)(zend_jit_exception_in_interrupt_handler_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_exception_in_interrupt_handler_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper)) == 0) {
		dasm_put(Dst, 224);
			} else if (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 226, ((uint64_t)(zend_jit_exception_in_interrupt_handler_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_exception_in_interrupt_handler_helper))) {
		dasm_put(Dst, 229, (unsigned int)((ptrdiff_t)(zend_jit_exception_in_interrupt_handler_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_exception_in_interrupt_handler_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_exception_in_interrupt_handler_helper))) {
		dasm_put(Dst, 232, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper)))))>>32));
				if (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper)) & 0xfff) {
		dasm_put(Dst, 235, (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) & 0xffff) {
		dasm_put(Dst, 238, ((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 241, (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 244, (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 247, (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 250, (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 253, (((uintptr_t)(zend_jit_exception_in_interrupt_handler_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 256);
			}
#line 1798 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	//ZEND_VM_ENTER();
		//|	//execute_data = EG(current_execute_data);
		//|	MEM_LOAD_64_ZTS ldr, FP, executor_globals, current_execute_data, TMP1
		dasm_put(Dst, 258);
			if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 260, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 264, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
		dasm_put(Dst, 269);
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
		dasm_put(Dst, 271, ((uint64_t)(&executor_globals.current_execute_data)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 274, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 277, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
				if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
		dasm_put(Dst, 280, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
		dasm_put(Dst, 283, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 286, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 289, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 292, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 295, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 298, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		dasm_put(Dst, 301);
			}
#line 1802 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_IP
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 303, Dt1(->opline));
			}
#line 1803 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	//ZEND_VM_CONTINUE()
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 306);
		#endif
#line 1807 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	JMP_IP TMP1
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 308);
			} else {
		dasm_put(Dst, 311, Dt1(->opline));
			}
#line 1808 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (GCC_GLOBAL_REGS) {
		//|	ldp x29, x30, [sp], # SPAD // stack alignment
		//|	JMP_IP TMP1
		dasm_put(Dst, 315);
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 317);
			} else {
		dasm_put(Dst, 320, Dt1(->opline));
			}
#line 1811 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	ldp FP, RX, T2                // restore FP and IP
		//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
		//|	mov RETVALx, #1               // ZEND_VM_ENTER
		//|	ret
		dasm_put(Dst, 324);
#line 1816 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_exception_handler_stub(dasm_State **Dst)
{
	//|->exception_handler:
	dasm_put(Dst, 329);
#line 1824 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		const void *handler = zend_get_opcode_handler_func(EG(exception_op));

		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 331);
		#endif
#line 1828 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL handler, REG0
			if (arm64_may_use_b(handler)) {
		dasm_put(Dst, 333, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
			} else {
			if (((uintptr_t)(handler)) == 0) {
		dasm_put(Dst, 336);
			} else if (((uintptr_t)(handler)) <= MOVZ_IMM) {
		dasm_put(Dst, 338, ((uint64_t)(handler)));
			} else if (arm64_may_use_adr((void*)(handler))) {
		dasm_put(Dst, 341, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
			} else if (arm64_may_use_adrp((void*)(handler))) {
		dasm_put(Dst, 344, (unsigned int)((ptrdiff_t)((((uintptr_t)(handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(handler)))))>>32));
				if (((uintptr_t)(handler)) & 0xfff) {
		dasm_put(Dst, 347, (((uintptr_t)(handler)) & 0xfff));
				}
			} else if ((uintptr_t)(handler) & 0xffff) {
		dasm_put(Dst, 350, ((uintptr_t)(handler) & 0xffff));
				if (((uintptr_t)(handler) >> 16) & 0xffff) {
		dasm_put(Dst, 353, (((uintptr_t)(handler) >> 16) & 0xffff));
				}
				if (((uintptr_t)(handler) >> 32) & 0xffff) {
		dasm_put(Dst, 356, (((uintptr_t)(handler) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(handler) >> 16) & 0xffff) {
		dasm_put(Dst, 359, (((uintptr_t)(handler) >> 16) & 0xffff));
				if (((uintptr_t)(handler) >> 32) & 0xffff) {
		dasm_put(Dst, 362, (((uintptr_t)(handler) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 365, (((uintptr_t)(handler) >> 32) & 0xffff));
			}
		dasm_put(Dst, 368);
			}
#line 1829 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	JMP_IP TMP1
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 370);
			} else {
		dasm_put(Dst, 373, Dt1(->opline));
			}
#line 1830 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		const void *handler = EG(exception_op)->handler;

		if (GCC_GLOBAL_REGS) {
			//|	ldp x29, x30, [sp], # SPAD    // stack alignment
			//|	EXT_JMP handler, REG0
			dasm_put(Dst, 377);
				if (arm64_may_use_b(handler)) {
			dasm_put(Dst, 379, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
				} else {
				if (((uintptr_t)(handler)) == 0) {
			dasm_put(Dst, 382);
				} else if (((uintptr_t)(handler)) <= MOVZ_IMM) {
			dasm_put(Dst, 384, ((uint64_t)(handler)));
				} else if (arm64_may_use_adr((void*)(handler))) {
			dasm_put(Dst, 387, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
				} else if (arm64_may_use_adrp((void*)(handler))) {
			dasm_put(Dst, 390, (unsigned int)((ptrdiff_t)((((uintptr_t)(handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(handler)))))>>32));
					if (((uintptr_t)(handler)) & 0xfff) {
			dasm_put(Dst, 393, (((uintptr_t)(handler)) & 0xfff));
					}
				} else if ((uintptr_t)(handler) & 0xffff) {
			dasm_put(Dst, 396, ((uintptr_t)(handler) & 0xffff));
					if (((uintptr_t)(handler) >> 16) & 0xffff) {
			dasm_put(Dst, 399, (((uintptr_t)(handler) >> 16) & 0xffff));
					}
					if (((uintptr_t)(handler) >> 32) & 0xffff) {
			dasm_put(Dst, 402, (((uintptr_t)(handler) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(handler) >> 16) & 0xffff) {
			dasm_put(Dst, 405, (((uintptr_t)(handler) >> 16) & 0xffff));
					if (((uintptr_t)(handler) >> 32) & 0xffff) {
			dasm_put(Dst, 408, (((uintptr_t)(handler) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 411, (((uintptr_t)(handler) >> 32) & 0xffff));
				}
			dasm_put(Dst, 414);
				}
#line 1836 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	mov FCARG1x, FP
			//|	EXT_CALL handler, REG0
			dasm_put(Dst, 416);
				if (arm64_may_use_b(handler)) {
			dasm_put(Dst, 418, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
				} else {
				if (((uintptr_t)(handler)) == 0) {
			dasm_put(Dst, 421);
				} else if (((uintptr_t)(handler)) <= MOVZ_IMM) {
			dasm_put(Dst, 423, ((uint64_t)(handler)));
				} else if (arm64_may_use_adr((void*)(handler))) {
			dasm_put(Dst, 426, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
				} else if (arm64_may_use_adrp((void*)(handler))) {
			dasm_put(Dst, 429, (unsigned int)((ptrdiff_t)((((uintptr_t)(handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(handler)))))>>32));
					if (((uintptr_t)(handler)) & 0xfff) {
			dasm_put(Dst, 432, (((uintptr_t)(handler)) & 0xfff));
					}
				} else if ((uintptr_t)(handler) & 0xffff) {
			dasm_put(Dst, 435, ((uintptr_t)(handler) & 0xffff));
					if (((uintptr_t)(handler) >> 16) & 0xffff) {
			dasm_put(Dst, 438, (((uintptr_t)(handler) >> 16) & 0xffff));
					}
					if (((uintptr_t)(handler) >> 32) & 0xffff) {
			dasm_put(Dst, 441, (((uintptr_t)(handler) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(handler) >> 16) & 0xffff) {
			dasm_put(Dst, 444, (((uintptr_t)(handler) >> 16) & 0xffff));
					if (((uintptr_t)(handler) >> 32) & 0xffff) {
			dasm_put(Dst, 447, (((uintptr_t)(handler) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 450, (((uintptr_t)(handler) >> 32) & 0xffff));
				}
			dasm_put(Dst, 453);
				}
#line 1839 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldp FP, RX, T2                // restore FP and IP
			//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
			//|	tbnz RETVALw, #31, >1
			//|	mov RETVALw, #1               // ZEND_VM_ENTER
			//|1:
			//|	ret
			dasm_put(Dst, 455);
#line 1845 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	return 1;
}

static int zend_jit_exception_handler_undef_stub(dasm_State **Dst)
{
	//|->exception_handler_undef:
	//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, opline_before_exception, REG0
	dasm_put(Dst, 463);
		if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 465, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
		} else if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 469, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32), (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.opline_before_exception)) == 0) {
	dasm_put(Dst, 474);
		} else if (((uintptr_t)(&executor_globals.opline_before_exception)) <= MOVZ_IMM) {
	dasm_put(Dst, 476, ((uint64_t)(&executor_globals.opline_before_exception)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 479, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 482, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32));
			if (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff) {
	dasm_put(Dst, 485, (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff) {
	dasm_put(Dst, 488, ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff));
			if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
	dasm_put(Dst, 491, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
	dasm_put(Dst, 494, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
	dasm_put(Dst, 497, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
	dasm_put(Dst, 500, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 503, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
		}
	dasm_put(Dst, 506);
		}
#line 1855 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldrb TMP1w, OP:REG0->result_type
	//|	TST_32_WITH_CONST TMP1w, (IS_TMP_VAR|IS_VAR), TMP2w
	dasm_put(Dst, 508, Dt2(->result_type));
		if ((IS_TMP_VAR|IS_VAR) == 0) {
	dasm_put(Dst, 511);
		} else if (logical_immediate_p((uint32_t)(IS_TMP_VAR|IS_VAR), 32)) {
	dasm_put(Dst, 513, (IS_TMP_VAR|IS_VAR));
		} else {
		if (((uint32_t)((IS_TMP_VAR|IS_VAR))) <= MOVZ_IMM) {
	dasm_put(Dst, 516, ((uint32_t)((IS_TMP_VAR|IS_VAR))));
		} else if (((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff)) {
	dasm_put(Dst, 519, ((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff));
			if ((((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff)) {
	dasm_put(Dst, 522, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 525, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 528);
		}
#line 1857 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	beq >1
	//|	ldr REG0w, OP:REG0->result.var
	//|	add REG0, REG0, FP
	//|	SET_Z_TYPE_INFO REG0, IS_UNDEF, TMP1w
	dasm_put(Dst, 530, Dt2(->result.var));
		if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
	dasm_put(Dst, 536, ((uint32_t)(IS_UNDEF)));
		} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
	dasm_put(Dst, 539, ((uint32_t)(IS_UNDEF) & 0xffff));
			if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
	dasm_put(Dst, 542, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 545, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
		}
#line 1861 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|1:
	//|	b ->exception_handler
	dasm_put(Dst, 548, offsetof(zval,u1.type_info));
#line 1863 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_exception_handler_free_op1_op2_stub(dasm_State **Dst)
{
	zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);

	//|->exception_handler_free_op1_op2:
	//|	UNDEF_OPLINE_RESULT_IF_USED TMP1w, TMP2w
	dasm_put(Dst, 554, Dt2(->result_type));
		if ((IS_TMP_VAR|IS_VAR) == 0) {
	dasm_put(Dst, 558);
		} else if (logical_immediate_p((uint32_t)(IS_TMP_VAR|IS_VAR), 32)) {
	dasm_put(Dst, 560, (IS_TMP_VAR|IS_VAR));
		} else {
		if (((uint32_t)((IS_TMP_VAR|IS_VAR))) <= MOVZ_IMM) {
	dasm_put(Dst, 563, ((uint32_t)((IS_TMP_VAR|IS_VAR))));
		} else if (((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff)) {
	dasm_put(Dst, 566, ((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff));
			if ((((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff)) {
	dasm_put(Dst, 569, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 572, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 575);
		}
	dasm_put(Dst, 577, Dt2(->result.var));
		if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
	dasm_put(Dst, 583, ((uint32_t)(IS_UNDEF)));
		} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
	dasm_put(Dst, 586, ((uint32_t)(IS_UNDEF) & 0xffff));
			if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
	dasm_put(Dst, 589, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 592, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
		}
#line 1873 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldrb TMP1w, OP:RX->op1_type
	//|	TST_32_WITH_CONST TMP1w, (IS_TMP_VAR|IS_VAR), TMP2w
	dasm_put(Dst, 595, offsetof(zval,u1.type_info), Dt2(->op1_type));
		if ((IS_TMP_VAR|IS_VAR) == 0) {
	dasm_put(Dst, 601);
		} else if (logical_immediate_p((uint32_t)(IS_TMP_VAR|IS_VAR), 32)) {
	dasm_put(Dst, 603, (IS_TMP_VAR|IS_VAR));
		} else {
		if (((uint32_t)((IS_TMP_VAR|IS_VAR))) <= MOVZ_IMM) {
	dasm_put(Dst, 606, ((uint32_t)((IS_TMP_VAR|IS_VAR))));
		} else if (((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff)) {
	dasm_put(Dst, 609, ((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff));
			if ((((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff)) {
	dasm_put(Dst, 612, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 615, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 618);
		}
#line 1875 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	beq >9
	//|	ldr REG0w, OP:RX->op1.var
	//|	add REG0, REG0, FP
	//|	ZVAL_PTR_DTOR addr, MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF, 0, 0, NULL, ZREG_TMP1, ZREG_TMP2
	dasm_put(Dst, 620, Dt2(->op1.var));
		if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (0) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 626, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 630, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 634, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 638, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 642, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 647, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 652, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 655, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 659, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 663, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 667, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 671, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 675, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 679);
	dasm_put(Dst, 682);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 684, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 688, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 692, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 696, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 700, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 705, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 710, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 713, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 717, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 721, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 725, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 729, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 733, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 737);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 740, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 744, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 748, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 752, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 756, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 760, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 764, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || RC_MAY_BE_1(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF)) {
				if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF)) {
					if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 772);
					} else {
	dasm_put(Dst, 775);
					}
				}
		do {
			if (!((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD)
			 && has_concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 778, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 781, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 784, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 788, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 792, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 796, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 801, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 805, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 809, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 813, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 817, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 821, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 825, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (NULL && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 828, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 831, (ZREG_X15));
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 834, (ZREG_X15), ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 838, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 842, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 846, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 851, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 855, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 859, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 863, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 867, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 871, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 875, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 879, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 882, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 885, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 889, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 893, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 897, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 902, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 906, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 910, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 914, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 918, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 922, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 926, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 929, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 932, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 935, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 939, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 943, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 947, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 952, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 956, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 960, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 964, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 968, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 972, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 976, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (NULL) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 979, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 982);
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 984, ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 987, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 990, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 993, (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 996, ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 999, (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1002, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 1005, (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1008, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1011, (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1014, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 1017, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 1020, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 1023, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 1027, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 1031, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 1035, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 1040, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 1044, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 1048, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 1052, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 1056, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1060, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1064, (ZREG_X15));
		}
					break;
				}
			}
			if (NULL) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 1067, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 1070, (ZREG_X15));
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 1073, (ZREG_X15), ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 1077, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 1081, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 1085, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 1090, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 1094, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1098, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 1102, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1106, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1110, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1114, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 1118, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 1121, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 1124, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 1128, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 1132, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 1136, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 1141, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 1145, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 1149, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 1153, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 1157, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1161, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1165, (ZREG_X15));
		}
		} while(0);
				if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 1168);
				}
	dasm_put(Dst, 1171);
			}
			if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 1173, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 1177, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 1181, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1185, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1189, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 1194, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 1199, (ZREG_X15));
		} else {
	dasm_put(Dst, 1203, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 1209, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 1213, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 1217, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1221, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1225, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 1230, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 1235, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 1238, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 1242, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 1246, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 1250, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1254, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1258, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 1262);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 1265, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 1269, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 1273, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1277, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1281, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 1285, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 1289);
				}
	dasm_put(Dst, 1291, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 1294, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 1297, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 1301, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 1305, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 1309, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1313, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1317, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 1321);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 1324, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 1327, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 1330, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 1334, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 1338, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 1342, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 1347, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 1351, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 1355, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 1359, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 1363, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1367, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1371, (ZREG_X15));
		}
			}
			if (0 && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 1374);
			}
	dasm_put(Dst, 1377);
		}
#line 1879 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|9:
	//|	ldrb TMP1w, OP:RX->op2_type
	//|	TST_32_WITH_CONST TMP1w, (IS_TMP_VAR|IS_VAR), TMP2w
	dasm_put(Dst, 1379, Dt2(->op2_type));
		if ((IS_TMP_VAR|IS_VAR) == 0) {
	dasm_put(Dst, 1383);
		} else if (logical_immediate_p((uint32_t)(IS_TMP_VAR|IS_VAR), 32)) {
	dasm_put(Dst, 1385, (IS_TMP_VAR|IS_VAR));
		} else {
		if (((uint32_t)((IS_TMP_VAR|IS_VAR))) <= MOVZ_IMM) {
	dasm_put(Dst, 1388, ((uint32_t)((IS_TMP_VAR|IS_VAR))));
		} else if (((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff)) {
	dasm_put(Dst, 1391, ((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff));
			if ((((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff)) {
	dasm_put(Dst, 1394, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1397, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1400);
		}
#line 1882 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	beq >9
	//|	ldr REG0w, OP:RX->op2.var
	//|	add REG0, REG0, FP
	//|	ZVAL_PTR_DTOR addr, MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF, 0, 0, NULL, ZREG_TMP1, ZREG_TMP2
	dasm_put(Dst, 1402, Dt2(->op2.var));
		if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (0) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 1408, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 1412, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 1416, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1420, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1424, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 1429, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 1434, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 1437, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 1441, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 1445, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 1449, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1453, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1457, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 1461);
	dasm_put(Dst, 1464);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 1466, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 1470, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 1474, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1478, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1482, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 1487, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 1492, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 1495, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 1499, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 1503, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 1507, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1511, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1515, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 1519);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 1522, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 1526, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 1530, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1534, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1538, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 1542, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 1546, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || RC_MAY_BE_1(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF)) {
				if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF)) {
					if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 1554);
					} else {
	dasm_put(Dst, 1557);
					}
				}
		do {
			if (!((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD)
			 && has_concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 1560, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 1563, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 1566, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 1570, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 1574, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 1578, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 1583, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 1587, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 1591, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 1595, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 1599, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1603, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1607, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (NULL && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 1610, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 1613, (ZREG_X15));
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 1616, (ZREG_X15), ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 1620, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 1624, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 1628, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 1633, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 1637, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1641, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 1645, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1649, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1653, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1657, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 1661, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 1664, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 1667, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 1671, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 1675, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 1679, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 1684, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 1688, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 1692, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 1696, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 1700, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1704, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1708, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 1711, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 1714, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 1717, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 1721, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 1725, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 1729, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 1734, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 1738, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 1742, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 1746, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 1750, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1754, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1758, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (NULL) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 1761, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 1764);
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 1766, ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 1769, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 1772, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 1775, (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 1778, ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 1781, (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1784, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 1787, (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1790, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1793, (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1796, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 1799, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 1802, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 1805, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 1809, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 1813, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 1817, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 1822, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 1826, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 1830, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 1834, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 1838, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1842, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1846, (ZREG_X15));
		}
					break;
				}
			}
			if (NULL) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 1849, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 1852, (ZREG_X15));
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 1855, (ZREG_X15), ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 1859, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 1863, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 1867, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 1872, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 1876, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1880, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 1884, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 1888, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1892, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1896, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 1900, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 1903, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 1906, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 1910, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 1914, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 1918, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 1923, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 1927, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 1931, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 1935, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 1939, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1943, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 1947, (ZREG_X15));
		}
		} while(0);
				if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 1950);
				}
	dasm_put(Dst, 1953);
			}
			if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 1955, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 1959, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 1963, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 1967, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 1971, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 1976, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 1981, (ZREG_X15));
		} else {
	dasm_put(Dst, 1985, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 1991, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 1995, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 1999, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2003, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2007, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 2012, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 2017, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 2020, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 2024, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 2028, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 2032, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2036, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2040, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 2044);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 2047, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 2051, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 2055, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2059, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2063, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 2067, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 2071);
				}
	dasm_put(Dst, 2073, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 2076, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 2079, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 2083, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 2087, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 2091, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2095, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2099, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 2103);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 2106, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 2109, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 2112, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 2116, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 2120, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 2124, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 2129, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 2133, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 2137, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 2141, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 2145, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2149, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2153, (ZREG_X15));
		}
			}
			if (0 && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 2156);
			}
	dasm_put(Dst, 2159);
		}
#line 1886 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|9:
	//|	b ->exception_handler
	dasm_put(Dst, 2161);
#line 1888 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_exception_handler_free_op2_stub(dasm_State **Dst)
{
	zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);

	//|->exception_handler_free_op2:
	//|	MEM_LOAD_64_ZTS ldr, RX, executor_globals, opline_before_exception, REG0
	dasm_put(Dst, 2165);
		if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 2167, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
		} else if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 2171, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32), (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.opline_before_exception)) == 0) {
	dasm_put(Dst, 2176);
		} else if (((uintptr_t)(&executor_globals.opline_before_exception)) <= MOVZ_IMM) {
	dasm_put(Dst, 2178, ((uint64_t)(&executor_globals.opline_before_exception)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 2181, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 2184, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32));
			if (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff) {
	dasm_put(Dst, 2187, (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff) {
	dasm_put(Dst, 2190, ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff));
			if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
	dasm_put(Dst, 2193, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
	dasm_put(Dst, 2196, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
	dasm_put(Dst, 2199, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
	dasm_put(Dst, 2202, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2205, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2208);
		}
#line 1897 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	UNDEF_OPLINE_RESULT_IF_USED TMP1w, TMP2w
	dasm_put(Dst, 2210, Dt2(->result_type));
		if ((IS_TMP_VAR|IS_VAR) == 0) {
	dasm_put(Dst, 2213);
		} else if (logical_immediate_p((uint32_t)(IS_TMP_VAR|IS_VAR), 32)) {
	dasm_put(Dst, 2215, (IS_TMP_VAR|IS_VAR));
		} else {
		if (((uint32_t)((IS_TMP_VAR|IS_VAR))) <= MOVZ_IMM) {
	dasm_put(Dst, 2218, ((uint32_t)((IS_TMP_VAR|IS_VAR))));
		} else if (((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff)) {
	dasm_put(Dst, 2221, ((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff));
			if ((((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff)) {
	dasm_put(Dst, 2224, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2227, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2230);
		}
	dasm_put(Dst, 2232, Dt2(->result.var));
		if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
	dasm_put(Dst, 2238, ((uint32_t)(IS_UNDEF)));
		} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
	dasm_put(Dst, 2241, ((uint32_t)(IS_UNDEF) & 0xffff));
			if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
	dasm_put(Dst, 2244, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2247, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
		}
#line 1898 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldrb TMP1w, OP:RX->op2_type
	//|	TST_32_WITH_CONST TMP1w, (IS_TMP_VAR|IS_VAR), TMP2w
	dasm_put(Dst, 2250, offsetof(zval,u1.type_info), Dt2(->op2_type));
		if ((IS_TMP_VAR|IS_VAR) == 0) {
	dasm_put(Dst, 2256);
		} else if (logical_immediate_p((uint32_t)(IS_TMP_VAR|IS_VAR), 32)) {
	dasm_put(Dst, 2258, (IS_TMP_VAR|IS_VAR));
		} else {
		if (((uint32_t)((IS_TMP_VAR|IS_VAR))) <= MOVZ_IMM) {
	dasm_put(Dst, 2261, ((uint32_t)((IS_TMP_VAR|IS_VAR))));
		} else if (((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff)) {
	dasm_put(Dst, 2264, ((uint32_t)((IS_TMP_VAR|IS_VAR)) & 0xffff));
			if ((((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff)) {
	dasm_put(Dst, 2267, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2270, (((uint32_t)((IS_TMP_VAR|IS_VAR)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2273);
		}
#line 1900 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	beq >9
	//|	ldr REG0w, OP:RX->op2.var
	//|	add REG0, REG0, FP
	//|	ZVAL_PTR_DTOR addr, MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF, 0, 0, NULL, ZREG_TMP1, ZREG_TMP2
	dasm_put(Dst, 2275, Dt2(->op2.var));
		if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (0) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 2281, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 2285, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 2289, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2293, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2297, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 2302, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 2307, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 2310, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 2314, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 2318, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 2322, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2326, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2330, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 2334);
	dasm_put(Dst, 2337);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 2339, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 2343, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 2347, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2351, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2355, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 2360, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 2365, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 2368, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 2372, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 2376, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 2380, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2384, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2388, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 2392);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 2395, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 2399, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 2403, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2407, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2411, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 2415, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 2419, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || RC_MAY_BE_1(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF)) {
				if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF)) {
					if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 2427);
					} else {
	dasm_put(Dst, 2430);
					}
				}
		do {
			if (!((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD)
			 && has_concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 2433, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 2436, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 2439, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 2443, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 2447, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 2451, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 2456, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 2460, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 2464, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 2468, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 2472, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2476, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2480, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (NULL && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 2483, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 2486, (ZREG_X15));
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 2489, (ZREG_X15), ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 2493, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 2497, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 2501, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 2506, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 2510, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 2514, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 2518, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 2522, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2526, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2530, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 2534, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 2537, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 2540, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 2544, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 2548, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 2552, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 2557, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 2561, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 2565, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 2569, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 2573, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2577, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2581, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 2584, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 2587, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 2590, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 2594, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 2598, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 2602, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 2607, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 2611, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 2615, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 2619, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 2623, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2627, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2631, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (NULL) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 2634, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 2637);
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 2639, ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 2642, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 2645, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 2648, (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 2651, ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 2654, (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 2657, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 2660, (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 2663, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2666, (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2669, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 2672, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 2675, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 2678, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 2682, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 2686, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 2690, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 2695, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 2699, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 2703, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 2707, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 2711, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2715, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2719, (ZREG_X15));
		}
					break;
				}
			}
			if (NULL) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 2722, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 2725, (ZREG_X15));
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 2728, (ZREG_X15), ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 2732, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 2736, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 2740, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 2745, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 2749, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 2753, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 2757, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 2761, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2765, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2769, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 2773, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 2776, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 2779, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 2783, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 2787, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 2791, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 2796, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 2800, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 2804, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 2808, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 2812, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2816, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 2820, (ZREG_X15));
		}
		} while(0);
				if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 2823);
				}
	dasm_put(Dst, 2826);
			}
			if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 2828, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 2832, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 2836, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2840, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2844, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 2849, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 2854, (ZREG_X15));
		} else {
	dasm_put(Dst, 2858, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 2864, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 2868, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 2872, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2876, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2880, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 2885, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 2890, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 2893, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 2897, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 2901, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 2905, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2909, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2913, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 2917);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 2920, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 2924, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 2928, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2932, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2936, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 2940, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 2944);
				}
	dasm_put(Dst, 2946, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 2949, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 2952, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 2956, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 2960, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 2964, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 2968, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 2972, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 2976);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 2979, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 2982, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 2985, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 2989, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 2993, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 2997, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 3002, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 3006, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 3010, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 3014, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 3018, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3022, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 3026, (ZREG_X15));
		}
			}
			if (0 && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 3029);
			}
	dasm_put(Dst, 3032);
		}
#line 1904 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|9:
	//|	b ->exception_handler
	dasm_put(Dst, 3034);
#line 1906 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_leave_function_stub(dasm_State **Dst)
{
	//|->leave_function_handler:
	dasm_put(Dst, 3038);
#line 1912 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		//|	TST_32_WITH_CONST FCARG1w, ZEND_CALL_TOP, TMP1w
			if (ZEND_CALL_TOP == 0) {
		dasm_put(Dst, 3040);
			} else if (logical_immediate_p((uint32_t)ZEND_CALL_TOP, 32)) {
		dasm_put(Dst, 3042, ZEND_CALL_TOP);
			} else {
			if (((uint32_t)(ZEND_CALL_TOP)) <= MOVZ_IMM) {
		dasm_put(Dst, 3045, ((uint32_t)(ZEND_CALL_TOP)));
			} else if (((uint32_t)(ZEND_CALL_TOP) & 0xffff)) {
		dasm_put(Dst, 3048, ((uint32_t)(ZEND_CALL_TOP) & 0xffff));
				if ((((uint32_t)(ZEND_CALL_TOP) >> 16) & 0xffff)) {
		dasm_put(Dst, 3051, (((uint32_t)(ZEND_CALL_TOP) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3054, (((uint32_t)(ZEND_CALL_TOP) >> 16) & 0xffff));
			}
		dasm_put(Dst, 3057);
			}
#line 1914 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	bne >1
		//|	EXT_CALL zend_jit_leave_nested_func_helper, REG0
		dasm_put(Dst, 3059);
			if (arm64_may_use_b(zend_jit_leave_nested_func_helper)) {
		dasm_put(Dst, 3062, (unsigned int)((ptrdiff_t)(zend_jit_leave_nested_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_nested_func_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_leave_nested_func_helper)) == 0) {
		dasm_put(Dst, 3065);
			} else if (((uintptr_t)(zend_jit_leave_nested_func_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 3067, ((uint64_t)(zend_jit_leave_nested_func_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_leave_nested_func_helper))) {
		dasm_put(Dst, 3070, (unsigned int)((ptrdiff_t)(zend_jit_leave_nested_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_nested_func_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_leave_nested_func_helper))) {
		dasm_put(Dst, 3073, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_leave_nested_func_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_leave_nested_func_helper)))))>>32));
				if (((uintptr_t)(zend_jit_leave_nested_func_helper)) & 0xfff) {
		dasm_put(Dst, 3076, (((uintptr_t)(zend_jit_leave_nested_func_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_leave_nested_func_helper) & 0xffff) {
		dasm_put(Dst, 3079, ((uintptr_t)(zend_jit_leave_nested_func_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 3082, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 3085, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 3088, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 3091, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3094, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 3097);
			}
#line 1916 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 3099);
		#endif
#line 1917 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	JMP_IP TMP1
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 3101);
			} else {
		dasm_put(Dst, 3104, Dt1(->opline));
			}
#line 1918 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	EXT_CALL zend_jit_leave_top_func_helper, REG0
		dasm_put(Dst, 3108);
			if (arm64_may_use_b(zend_jit_leave_top_func_helper)) {
		dasm_put(Dst, 3110, (unsigned int)((ptrdiff_t)(zend_jit_leave_top_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_top_func_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_leave_top_func_helper)) == 0) {
		dasm_put(Dst, 3113);
			} else if (((uintptr_t)(zend_jit_leave_top_func_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 3115, ((uint64_t)(zend_jit_leave_top_func_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_leave_top_func_helper))) {
		dasm_put(Dst, 3118, (unsigned int)((ptrdiff_t)(zend_jit_leave_top_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_top_func_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_leave_top_func_helper))) {
		dasm_put(Dst, 3121, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_leave_top_func_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_leave_top_func_helper)))))>>32));
				if (((uintptr_t)(zend_jit_leave_top_func_helper)) & 0xfff) {
		dasm_put(Dst, 3124, (((uintptr_t)(zend_jit_leave_top_func_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_leave_top_func_helper) & 0xffff) {
		dasm_put(Dst, 3127, ((uintptr_t)(zend_jit_leave_top_func_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_leave_top_func_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 3130, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 3133, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_leave_top_func_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 3136, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 3139, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3142, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 3145);
			}
#line 1920 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 3147);
		#endif
#line 1921 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	JMP_IP TMP1
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 3149);
			} else {
		dasm_put(Dst, 3152, Dt1(->opline));
			}
#line 1922 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if (GCC_GLOBAL_REGS) {
			//|	ldp x29, x30, [sp], # SPAD    // stack alignment
			dasm_put(Dst, 3156);
#line 1925 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	mov FCARG2x, FP
			//|	ldp FP, RX, T2                // restore FP and IP
			//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
			dasm_put(Dst, 3158);
#line 1929 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	TST_32_WITH_CONST FCARG1w, ZEND_CALL_TOP, TMP1w
			if (ZEND_CALL_TOP == 0) {
		dasm_put(Dst, 3162);
			} else if (logical_immediate_p((uint32_t)ZEND_CALL_TOP, 32)) {
		dasm_put(Dst, 3164, ZEND_CALL_TOP);
			} else {
			if (((uint32_t)(ZEND_CALL_TOP)) <= MOVZ_IMM) {
		dasm_put(Dst, 3167, ((uint32_t)(ZEND_CALL_TOP)));
			} else if (((uint32_t)(ZEND_CALL_TOP) & 0xffff)) {
		dasm_put(Dst, 3170, ((uint32_t)(ZEND_CALL_TOP) & 0xffff));
				if ((((uint32_t)(ZEND_CALL_TOP) >> 16) & 0xffff)) {
		dasm_put(Dst, 3173, (((uint32_t)(ZEND_CALL_TOP) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3176, (((uint32_t)(ZEND_CALL_TOP) >> 16) & 0xffff));
			}
		dasm_put(Dst, 3179);
			}
#line 1931 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	bne >1
		//|	EXT_JMP zend_jit_leave_nested_func_helper, REG0
		dasm_put(Dst, 3181);
			if (arm64_may_use_b(zend_jit_leave_nested_func_helper)) {
		dasm_put(Dst, 3184, (unsigned int)((ptrdiff_t)(zend_jit_leave_nested_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_nested_func_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_leave_nested_func_helper)) == 0) {
		dasm_put(Dst, 3187);
			} else if (((uintptr_t)(zend_jit_leave_nested_func_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 3189, ((uint64_t)(zend_jit_leave_nested_func_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_leave_nested_func_helper))) {
		dasm_put(Dst, 3192, (unsigned int)((ptrdiff_t)(zend_jit_leave_nested_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_nested_func_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_leave_nested_func_helper))) {
		dasm_put(Dst, 3195, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_leave_nested_func_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_leave_nested_func_helper)))))>>32));
				if (((uintptr_t)(zend_jit_leave_nested_func_helper)) & 0xfff) {
		dasm_put(Dst, 3198, (((uintptr_t)(zend_jit_leave_nested_func_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_leave_nested_func_helper) & 0xffff) {
		dasm_put(Dst, 3201, ((uintptr_t)(zend_jit_leave_nested_func_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 3204, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 3207, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 3210, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 3213, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3216, (((uintptr_t)(zend_jit_leave_nested_func_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 3219);
			}
#line 1933 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	EXT_JMP zend_jit_leave_top_func_helper, REG0
		dasm_put(Dst, 3221);
			if (arm64_may_use_b(zend_jit_leave_top_func_helper)) {
		dasm_put(Dst, 3223, (unsigned int)((ptrdiff_t)(zend_jit_leave_top_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_top_func_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_leave_top_func_helper)) == 0) {
		dasm_put(Dst, 3226);
			} else if (((uintptr_t)(zend_jit_leave_top_func_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 3228, ((uint64_t)(zend_jit_leave_top_func_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_leave_top_func_helper))) {
		dasm_put(Dst, 3231, (unsigned int)((ptrdiff_t)(zend_jit_leave_top_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_top_func_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_leave_top_func_helper))) {
		dasm_put(Dst, 3234, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_leave_top_func_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_leave_top_func_helper)))))>>32));
				if (((uintptr_t)(zend_jit_leave_top_func_helper)) & 0xfff) {
		dasm_put(Dst, 3237, (((uintptr_t)(zend_jit_leave_top_func_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_leave_top_func_helper) & 0xffff) {
		dasm_put(Dst, 3240, ((uintptr_t)(zend_jit_leave_top_func_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_leave_top_func_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 3243, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 3246, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_leave_top_func_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 3249, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 3252, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3255, (((uintptr_t)(zend_jit_leave_top_func_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 3258);
			}
#line 1935 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_leave_throw_stub(dasm_State **Dst)
{
	//|->leave_throw_handler:
	//|	// if (opline->opcode != ZEND_HANDLE_EXCEPTION) {
	dasm_put(Dst, 3260);
#line 1944 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (GCC_GLOBAL_REGS) {
		//|	ldrb TMP1w, OP:IP->opcode
		//|	cmp TMP1w, #ZEND_HANDLE_EXCEPTION
		//|	beq >5
		//|	// EG(opline_before_exception) = opline;
		//|	MEM_STORE_64_ZTS str, IP, executor_globals, opline_before_exception, TMP2
		dasm_put(Dst, 3262, Dt2(->opcode), ZEND_HANDLE_EXCEPTION);
			if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
		dasm_put(Dst, 3269, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
			} else if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
		dasm_put(Dst, 3273, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32), (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.opline_before_exception)) == 0) {
		dasm_put(Dst, 3278);
			} else if (((uintptr_t)(&executor_globals.opline_before_exception)) <= MOVZ_IMM) {
		dasm_put(Dst, 3280, ((uint64_t)(&executor_globals.opline_before_exception)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
		dasm_put(Dst, 3283, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
		dasm_put(Dst, 3286, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32));
				if (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff) {
		dasm_put(Dst, 3289, (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff) {
		dasm_put(Dst, 3292, ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff));
				if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
		dasm_put(Dst, 3295, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
		dasm_put(Dst, 3298, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
		dasm_put(Dst, 3301, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
		dasm_put(Dst, 3304, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3307, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
			}
		dasm_put(Dst, 3310);
			}
#line 1950 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|5:
		//|	// opline = EG(exception_op);
		//|	LOAD_IP_ADDR_ZTS executor_globals, exception_op, TMP2
		dasm_put(Dst, 3312);
			if (GCC_GLOBAL_REGS) {
			if (((uintptr_t)(&executor_globals.exception_op)) == 0) {
		dasm_put(Dst, 3314);
			} else if (((uintptr_t)(&executor_globals.exception_op)) <= MOVZ_IMM) {
		dasm_put(Dst, 3316, ((uint64_t)(&executor_globals.exception_op)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception_op))) {
		dasm_put(Dst, 3319, (unsigned int)((ptrdiff_t)(&executor_globals.exception_op)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception_op))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception_op))) {
		dasm_put(Dst, 3322, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op)))))>>32));
				if (((uintptr_t)(&executor_globals.exception_op)) & 0xfff) {
		dasm_put(Dst, 3325, (((uintptr_t)(&executor_globals.exception_op)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception_op) & 0xffff) {
		dasm_put(Dst, 3328, ((uintptr_t)(&executor_globals.exception_op) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
		dasm_put(Dst, 3331, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
		dasm_put(Dst, 3334, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
		dasm_put(Dst, 3337, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
		dasm_put(Dst, 3340, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3343, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
			}
			} else {
			if (((uintptr_t)(&executor_globals.exception_op)) == 0) {
		dasm_put(Dst, 3346);
			} else if (((uintptr_t)(&executor_globals.exception_op)) <= MOVZ_IMM) {
		dasm_put(Dst, 3348, ((uint64_t)(&executor_globals.exception_op)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception_op))) {
		dasm_put(Dst, 3351, (unsigned int)((ptrdiff_t)(&executor_globals.exception_op)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception_op))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception_op))) {
		dasm_put(Dst, 3354, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op)))))>>32));
				if (((uintptr_t)(&executor_globals.exception_op)) & 0xfff) {
		dasm_put(Dst, 3357, (((uintptr_t)(&executor_globals.exception_op)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception_op) & 0xffff) {
		dasm_put(Dst, 3360, ((uintptr_t)(&executor_globals.exception_op) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
		dasm_put(Dst, 3363, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
		dasm_put(Dst, 3366, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
		dasm_put(Dst, 3369, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
		dasm_put(Dst, 3372, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3375, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
			}
		dasm_put(Dst, 3378, Dt1(->opline));
			}
#line 1953 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	str IP, EX->opline
		//|	// HANDLE_EXCEPTION()
		//|	b ->exception_handler
		dasm_put(Dst, 3381, Dt1(->opline));
#line 1956 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	GET_IP TMP1
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 3386);
			} else {
		dasm_put(Dst, 3388, Dt1(->opline));
			}
#line 1958 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldrb TMP2w, OP:TMP1->opcode
		//|	cmp TMP2w, #ZEND_HANDLE_EXCEPTION
		//|	beq >5
		//|	// EG(opline_before_exception) = opline;
		//|	MEM_STORE_64_ZTS str, TMP1, executor_globals, opline_before_exception, TMP2
		dasm_put(Dst, 3391, Dt2(->opcode), ZEND_HANDLE_EXCEPTION);
			if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
		dasm_put(Dst, 3398, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
			} else if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
		dasm_put(Dst, 3402, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32), (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.opline_before_exception)) == 0) {
		dasm_put(Dst, 3407);
			} else if (((uintptr_t)(&executor_globals.opline_before_exception)) <= MOVZ_IMM) {
		dasm_put(Dst, 3409, ((uint64_t)(&executor_globals.opline_before_exception)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
		dasm_put(Dst, 3412, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
		dasm_put(Dst, 3415, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32));
				if (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff) {
		dasm_put(Dst, 3418, (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff) {
		dasm_put(Dst, 3421, ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff));
				if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
		dasm_put(Dst, 3424, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
		dasm_put(Dst, 3427, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
		dasm_put(Dst, 3430, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
		dasm_put(Dst, 3433, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3436, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
			}
		dasm_put(Dst, 3439);
			}
#line 1963 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|5:
		//|	// opline = EG(exception_op);
		//|	LOAD_IP_ADDR_ZTS executor_globals, exception_op, TMP2
		dasm_put(Dst, 3441);
			if (GCC_GLOBAL_REGS) {
			if (((uintptr_t)(&executor_globals.exception_op)) == 0) {
		dasm_put(Dst, 3443);
			} else if (((uintptr_t)(&executor_globals.exception_op)) <= MOVZ_IMM) {
		dasm_put(Dst, 3445, ((uint64_t)(&executor_globals.exception_op)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception_op))) {
		dasm_put(Dst, 3448, (unsigned int)((ptrdiff_t)(&executor_globals.exception_op)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception_op))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception_op))) {
		dasm_put(Dst, 3451, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op)))))>>32));
				if (((uintptr_t)(&executor_globals.exception_op)) & 0xfff) {
		dasm_put(Dst, 3454, (((uintptr_t)(&executor_globals.exception_op)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception_op) & 0xffff) {
		dasm_put(Dst, 3457, ((uintptr_t)(&executor_globals.exception_op) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
		dasm_put(Dst, 3460, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
		dasm_put(Dst, 3463, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
		dasm_put(Dst, 3466, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
		dasm_put(Dst, 3469, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3472, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
			}
			} else {
			if (((uintptr_t)(&executor_globals.exception_op)) == 0) {
		dasm_put(Dst, 3475);
			} else if (((uintptr_t)(&executor_globals.exception_op)) <= MOVZ_IMM) {
		dasm_put(Dst, 3477, ((uint64_t)(&executor_globals.exception_op)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception_op))) {
		dasm_put(Dst, 3480, (unsigned int)((ptrdiff_t)(&executor_globals.exception_op)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception_op))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception_op))) {
		dasm_put(Dst, 3483, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op)))))>>32));
				if (((uintptr_t)(&executor_globals.exception_op)) & 0xfff) {
		dasm_put(Dst, 3486, (((uintptr_t)(&executor_globals.exception_op)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception_op) & 0xffff) {
		dasm_put(Dst, 3489, ((uintptr_t)(&executor_globals.exception_op) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
		dasm_put(Dst, 3492, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
		dasm_put(Dst, 3495, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
		dasm_put(Dst, 3498, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
		dasm_put(Dst, 3501, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 3504, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
			}
		dasm_put(Dst, 3507, Dt1(->opline));
			}
#line 1966 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldp FP, RX, T2                // restore FP and IP
		//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
		//|	mov RETVALx, #2               // ZEND_VM_LEAVE
		//|	ret
		dasm_put(Dst, 3510);
#line 1970 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_icall_throw_stub(dasm_State **Dst)
{
	//|->icall_throw_handler:
	//|	// zend_rethrow_exception(zend_execute_data *execute_data)
	//|	ldr IP, EX->opline
	//|	// if (EX(opline)->opcode != ZEND_HANDLE_EXCEPTION) {
	//|	ldrb TMP1w, OP:IP->opcode
	//|	cmp TMP1w, #ZEND_HANDLE_EXCEPTION
	//|	beq >1
	//|	// EG(opline_before_exception) = opline;
	//|	MEM_STORE_64_ZTS str, IP, executor_globals, opline_before_exception, TMP2
	dasm_put(Dst, 3515, Dt1(->opline), Dt2(->opcode), ZEND_HANDLE_EXCEPTION);
		if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 3525, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
		} else if (((uintptr_t)(&executor_globals.opline_before_exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 3529, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32), (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.opline_before_exception)) == 0) {
	dasm_put(Dst, 3534);
		} else if (((uintptr_t)(&executor_globals.opline_before_exception)) <= MOVZ_IMM) {
	dasm_put(Dst, 3536, ((uint64_t)(&executor_globals.opline_before_exception)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 3539, (unsigned int)((ptrdiff_t)(&executor_globals.opline_before_exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.opline_before_exception))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.opline_before_exception))) {
	dasm_put(Dst, 3542, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.opline_before_exception)))))>>32));
			if (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff) {
	dasm_put(Dst, 3545, (((uintptr_t)(&executor_globals.opline_before_exception)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff) {
	dasm_put(Dst, 3548, ((uintptr_t)(&executor_globals.opline_before_exception) & 0xffff));
			if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
	dasm_put(Dst, 3551, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
	dasm_put(Dst, 3554, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff) {
	dasm_put(Dst, 3557, (((uintptr_t)(&executor_globals.opline_before_exception) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff) {
	dasm_put(Dst, 3560, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3563, (((uintptr_t)(&executor_globals.opline_before_exception) >> 32) & 0xffff));
		}
	dasm_put(Dst, 3566);
		}
#line 1986 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|1:
	//|	// opline = EG(exception_op);
	//|	LOAD_IP_ADDR_ZTS executor_globals, exception_op, TMP2
	dasm_put(Dst, 3568);
		if (GCC_GLOBAL_REGS) {
		if (((uintptr_t)(&executor_globals.exception_op)) == 0) {
	dasm_put(Dst, 3570);
		} else if (((uintptr_t)(&executor_globals.exception_op)) <= MOVZ_IMM) {
	dasm_put(Dst, 3572, ((uint64_t)(&executor_globals.exception_op)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.exception_op))) {
	dasm_put(Dst, 3575, (unsigned int)((ptrdiff_t)(&executor_globals.exception_op)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception_op))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.exception_op))) {
	dasm_put(Dst, 3578, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op)))))>>32));
			if (((uintptr_t)(&executor_globals.exception_op)) & 0xfff) {
	dasm_put(Dst, 3581, (((uintptr_t)(&executor_globals.exception_op)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.exception_op) & 0xffff) {
	dasm_put(Dst, 3584, ((uintptr_t)(&executor_globals.exception_op) & 0xffff));
			if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
	dasm_put(Dst, 3587, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
	dasm_put(Dst, 3590, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
	dasm_put(Dst, 3593, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
	dasm_put(Dst, 3596, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3599, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
		}
		} else {
		if (((uintptr_t)(&executor_globals.exception_op)) == 0) {
	dasm_put(Dst, 3602);
		} else if (((uintptr_t)(&executor_globals.exception_op)) <= MOVZ_IMM) {
	dasm_put(Dst, 3604, ((uint64_t)(&executor_globals.exception_op)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.exception_op))) {
	dasm_put(Dst, 3607, (unsigned int)((ptrdiff_t)(&executor_globals.exception_op)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception_op))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.exception_op))) {
	dasm_put(Dst, 3610, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception_op)))))>>32));
			if (((uintptr_t)(&executor_globals.exception_op)) & 0xfff) {
	dasm_put(Dst, 3613, (((uintptr_t)(&executor_globals.exception_op)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.exception_op) & 0xffff) {
	dasm_put(Dst, 3616, ((uintptr_t)(&executor_globals.exception_op) & 0xffff));
			if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
	dasm_put(Dst, 3619, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
	dasm_put(Dst, 3622, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff) {
	dasm_put(Dst, 3625, (((uintptr_t)(&executor_globals.exception_op) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff) {
	dasm_put(Dst, 3628, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3631, (((uintptr_t)(&executor_globals.exception_op) >> 32) & 0xffff));
		}
	dasm_put(Dst, 3634, Dt1(->opline));
		}
#line 1989 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (GCC_GLOBAL_REGS) {
	//|		str IP, EX->opline
	dasm_put(Dst, 3637, Dt1(->opline));
		}
#line 1992 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// HANDLE_EXCEPTION()
	//|	b ->exception_handler
	dasm_put(Dst, 3640);
#line 1994 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_throw_cannot_pass_by_ref_stub(dasm_State **Dst)
{
	zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);

	//|->throw_cannot_pass_by_ref:
	//|	ldr REG0, EX->opline
	//|	ldr REG1w, OP:REG0->result.var
	//|	add REG1, REG1, RX
	//|	SET_Z_TYPE_INFO REG1, IS_UNDEF, TMP1w
	dasm_put(Dst, 3643, Dt1(->opline), Dt2(->result.var));
		if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
	dasm_put(Dst, 3650, ((uint32_t)(IS_UNDEF)));
		} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
	dasm_put(Dst, 3653, ((uint32_t)(IS_UNDEF) & 0xffff));
			if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
	dasm_put(Dst, 3656, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3659, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
		}
#line 2007 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// last EX(call) frame may be delayed
	//|	ldr TMP1, EX->call
	//|	cmp RX, TMP1
	//|	beq >1
	//|	ldr REG1, EX->call
	//|	str REG1, EX:RX->prev_execute_data
	//|	str RX, EX->call
	//|1:
	//|	mov RX, REG0
	//|	ldr FCARG1w, OP:REG0->op2.num
	//|	EXT_CALL zend_cannot_pass_by_reference, REG0
	dasm_put(Dst, 3662, offsetof(zval,u1.type_info), Dt1(->call), Dt1(->call), Dt1(->prev_execute_data), Dt1(->call), Dt2(->op2.num));
		if (arm64_may_use_b(zend_cannot_pass_by_reference)) {
	dasm_put(Dst, 3680, (unsigned int)((ptrdiff_t)(zend_cannot_pass_by_reference)), (unsigned int)(((ptrdiff_t)(zend_cannot_pass_by_reference))>>32));
		} else {
		if (((uintptr_t)(zend_cannot_pass_by_reference)) == 0) {
	dasm_put(Dst, 3683);
		} else if (((uintptr_t)(zend_cannot_pass_by_reference)) <= MOVZ_IMM) {
	dasm_put(Dst, 3685, ((uint64_t)(zend_cannot_pass_by_reference)));
		} else if (arm64_may_use_adr((void*)(zend_cannot_pass_by_reference))) {
	dasm_put(Dst, 3688, (unsigned int)((ptrdiff_t)(zend_cannot_pass_by_reference)), (unsigned int)(((ptrdiff_t)(zend_cannot_pass_by_reference))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_cannot_pass_by_reference))) {
	dasm_put(Dst, 3691, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_cannot_pass_by_reference))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_cannot_pass_by_reference)))))>>32));
			if (((uintptr_t)(zend_cannot_pass_by_reference)) & 0xfff) {
	dasm_put(Dst, 3694, (((uintptr_t)(zend_cannot_pass_by_reference)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_cannot_pass_by_reference) & 0xffff) {
	dasm_put(Dst, 3697, ((uintptr_t)(zend_cannot_pass_by_reference) & 0xffff));
			if (((uintptr_t)(zend_cannot_pass_by_reference) >> 16) & 0xffff) {
	dasm_put(Dst, 3700, (((uintptr_t)(zend_cannot_pass_by_reference) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_cannot_pass_by_reference) >> 32) & 0xffff) {
	dasm_put(Dst, 3703, (((uintptr_t)(zend_cannot_pass_by_reference) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_cannot_pass_by_reference) >> 16) & 0xffff) {
	dasm_put(Dst, 3706, (((uintptr_t)(zend_cannot_pass_by_reference) >> 16) & 0xffff));
			if (((uintptr_t)(zend_cannot_pass_by_reference) >> 32) & 0xffff) {
	dasm_put(Dst, 3709, (((uintptr_t)(zend_cannot_pass_by_reference) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3712, (((uintptr_t)(zend_cannot_pass_by_reference) >> 32) & 0xffff));
		}
	dasm_put(Dst, 3715);
		}
#line 2018 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldrb TMP1w, OP:RX->op1_type
	//|	cmp TMP1w, #IS_TMP_VAR
	//|	bne >9
	//|	ldr REG0w, OP:RX->op1.var
	//|	add REG0, REG0, FP
	//|	ZVAL_PTR_DTOR addr, MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF, 0, 0, NULL, ZREG_TMP1, ZREG_TMP2
	dasm_put(Dst, 3717, Dt2(->op1_type), IS_TMP_VAR, Dt2(->op1.var));
		if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (0) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 3727, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 3731, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 3735, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3739, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 3743, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 3748, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 3753, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 3756, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 3760, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 3764, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 3768, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3772, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 3776, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 3780);
	dasm_put(Dst, 3783);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 3785, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 3789, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 3793, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3797, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 3801, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 3806, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 3811, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 3814, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 3818, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 3822, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 3826, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3830, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 3834, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 3838);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 3841, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 3845, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 3849, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3853, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 3857, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 3861, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 3865, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || RC_MAY_BE_1(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF)) {
				if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF)) {
					if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 3873);
					} else {
	dasm_put(Dst, 3876);
					}
				}
		do {
			if (!((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD)
			 && has_concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 3879, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 3882, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 3885, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 3889, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 3893, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 3897, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 3902, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 3906, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 3910, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 3914, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 3918, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3922, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 3926, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (NULL && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 3929, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 3932, (ZREG_X15));
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 3935, (ZREG_X15), ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 3939, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 3943, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 3947, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 3952, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 3956, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 3960, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 3964, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 3968, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 3972, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 3976, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 3980, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 3983, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 3986, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 3990, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 3994, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 3998, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 4003, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 4007, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 4011, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 4015, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 4019, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4023, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4027, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 4030, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 4033, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 4036, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 4040, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 4044, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 4048, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 4053, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 4057, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 4061, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 4065, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 4069, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4073, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4077, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (NULL) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 4080, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 4083);
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 4085, ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 4088, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 4091, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 4094, (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 4097, ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 4100, (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 4103, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 4106, (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 4109, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4112, (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4115, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 4118, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 4121, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 4124, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 4128, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 4132, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 4136, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 4141, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 4145, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 4149, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 4153, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 4157, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4161, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4165, (ZREG_X15));
		}
					break;
				}
			}
			if (NULL) {
		if (NULL == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 4168, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(NULL)) == 0) {
	dasm_put(Dst, 4171, (ZREG_X15));
		} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 4174, (ZREG_X15), ((uint64_t)(NULL)));
		} else if (arm64_may_use_adr((void*)(NULL))) {
	dasm_put(Dst, 4178, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
		} else if (arm64_may_use_adrp((void*)(NULL))) {
	dasm_put(Dst, 4182, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
			if (((uintptr_t)(NULL)) & 0xfff) {
	dasm_put(Dst, 4186, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
			}
		} else if ((uintptr_t)(NULL) & 0xffff) {
	dasm_put(Dst, 4191, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
			if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 4195, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 4199, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
	dasm_put(Dst, 4203, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
			if (((uintptr_t)(NULL) >> 32) & 0xffff) {
	dasm_put(Dst, 4207, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4211, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4215, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 4219, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 4222, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 4225, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 4229, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 4233, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 4237, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 4242, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 4246, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 4250, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 4254, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 4258, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4262, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4266, (ZREG_X15));
		}
		} while(0);
				if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 4269);
				}
	dasm_put(Dst, 4272);
			}
			if (0 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 4274, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 4278, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 4282, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4286, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 4290, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 4295, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 4300, (ZREG_X15));
		} else {
	dasm_put(Dst, 4304, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 4310, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 4314, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 4318, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4322, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 4326, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 4331, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 4336, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 4339, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 4343, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 4347, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 4351, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4355, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 4359, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 4363);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 4366, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 4370, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 4374, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4378, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 4382, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 4386, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 4390);
				}
	dasm_put(Dst, 4392, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 4395, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 4398, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 4402, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 4406, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 4410, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4414, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 4418, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 4422);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 4425, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 4428, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 4431, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 4435, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 4439, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 4443, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 4448, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 4452, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 4456, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 4460, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 4464, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4468, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4472, (ZREG_X15));
		}
			}
			if (0 && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 4475);
			}
	dasm_put(Dst, 4478);
		}
#line 2024 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|9:
	//|	b ->exception_handler
	dasm_put(Dst, 4480);
#line 2026 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_undefined_offset_ex_stub(dasm_State **Dst)
{
	//|->undefined_offset_ex:
	//|	SAVE_IP
	dasm_put(Dst, 4484);
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 4486, Dt1(->opline));
		}
#line 2034 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	b ->undefined_offset
	dasm_put(Dst, 4489);
#line 2035 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_undefined_offset_stub(dasm_State **Dst)
{
	//|->undefined_offset:
	dasm_put(Dst, 4492);
		if (!GCC_GLOBAL_REGS) {
#line 2043 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|		mov FCARG1x, FP
	dasm_put(Dst, 4494);
		}
#line 2045 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_JMP zend_jit_undefined_long_key, REG0
		if (arm64_may_use_b(zend_jit_undefined_long_key)) {
	dasm_put(Dst, 4496, (unsigned int)((ptrdiff_t)(zend_jit_undefined_long_key)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_long_key))>>32));
		} else {
		if (((uintptr_t)(zend_jit_undefined_long_key)) == 0) {
	dasm_put(Dst, 4499);
		} else if (((uintptr_t)(zend_jit_undefined_long_key)) <= MOVZ_IMM) {
	dasm_put(Dst, 4501, ((uint64_t)(zend_jit_undefined_long_key)));
		} else if (arm64_may_use_adr((void*)(zend_jit_undefined_long_key))) {
	dasm_put(Dst, 4504, (unsigned int)((ptrdiff_t)(zend_jit_undefined_long_key)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_long_key))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_long_key))) {
	dasm_put(Dst, 4507, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_long_key))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_long_key)))))>>32));
			if (((uintptr_t)(zend_jit_undefined_long_key)) & 0xfff) {
	dasm_put(Dst, 4510, (((uintptr_t)(zend_jit_undefined_long_key)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_undefined_long_key) & 0xffff) {
	dasm_put(Dst, 4513, ((uintptr_t)(zend_jit_undefined_long_key) & 0xffff));
			if (((uintptr_t)(zend_jit_undefined_long_key) >> 16) & 0xffff) {
	dasm_put(Dst, 4516, (((uintptr_t)(zend_jit_undefined_long_key) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_undefined_long_key) >> 32) & 0xffff) {
	dasm_put(Dst, 4519, (((uintptr_t)(zend_jit_undefined_long_key) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_undefined_long_key) >> 16) & 0xffff) {
	dasm_put(Dst, 4522, (((uintptr_t)(zend_jit_undefined_long_key) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_undefined_long_key) >> 32) & 0xffff) {
	dasm_put(Dst, 4525, (((uintptr_t)(zend_jit_undefined_long_key) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4528, (((uintptr_t)(zend_jit_undefined_long_key) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4531);
		}
#line 2046 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_undefined_index_ex_stub(dasm_State **Dst)
{
	//|->undefined_index_ex:
	//|	SAVE_IP
	dasm_put(Dst, 4533);
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 4535, Dt1(->opline));
		}
#line 2054 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	b ->undefined_index
	dasm_put(Dst, 4538);
#line 2055 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_undefined_index_stub(dasm_State **Dst)
{
	//|->undefined_index:
	dasm_put(Dst, 4541);
		if (!GCC_GLOBAL_REGS) {
#line 2063 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|		mov FCARG1x, FP
	dasm_put(Dst, 4543);
		}
#line 2065 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_JMP zend_jit_undefined_string_key, REG0
		if (arm64_may_use_b(zend_jit_undefined_string_key)) {
	dasm_put(Dst, 4545, (unsigned int)((ptrdiff_t)(zend_jit_undefined_string_key)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_string_key))>>32));
		} else {
		if (((uintptr_t)(zend_jit_undefined_string_key)) == 0) {
	dasm_put(Dst, 4548);
		} else if (((uintptr_t)(zend_jit_undefined_string_key)) <= MOVZ_IMM) {
	dasm_put(Dst, 4550, ((uint64_t)(zend_jit_undefined_string_key)));
		} else if (arm64_may_use_adr((void*)(zend_jit_undefined_string_key))) {
	dasm_put(Dst, 4553, (unsigned int)((ptrdiff_t)(zend_jit_undefined_string_key)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_string_key))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_string_key))) {
	dasm_put(Dst, 4556, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_string_key))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_string_key)))))>>32));
			if (((uintptr_t)(zend_jit_undefined_string_key)) & 0xfff) {
	dasm_put(Dst, 4559, (((uintptr_t)(zend_jit_undefined_string_key)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_undefined_string_key) & 0xffff) {
	dasm_put(Dst, 4562, ((uintptr_t)(zend_jit_undefined_string_key) & 0xffff));
			if (((uintptr_t)(zend_jit_undefined_string_key) >> 16) & 0xffff) {
	dasm_put(Dst, 4565, (((uintptr_t)(zend_jit_undefined_string_key) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_undefined_string_key) >> 32) & 0xffff) {
	dasm_put(Dst, 4568, (((uintptr_t)(zend_jit_undefined_string_key) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_undefined_string_key) >> 16) & 0xffff) {
	dasm_put(Dst, 4571, (((uintptr_t)(zend_jit_undefined_string_key) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_undefined_string_key) >> 32) & 0xffff) {
	dasm_put(Dst, 4574, (((uintptr_t)(zend_jit_undefined_string_key) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4577, (((uintptr_t)(zend_jit_undefined_string_key) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4580);
		}
#line 2066 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_cannot_add_element_ex_stub(dasm_State **Dst)
{
	//|->cannot_add_element_ex:
	//|	SAVE_IP
	dasm_put(Dst, 4582);
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 4584, Dt1(->opline));
		}
#line 2074 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	b ->cannot_add_element
	dasm_put(Dst, 4587);
#line 2075 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_cannot_add_element_stub(dasm_State **Dst)
{
	//|->cannot_add_element:
	//|	// sub r4, 8
	//|	ldr REG0, EX->opline
	//|	ldrb TMP1w, OP:REG0->result_type
	//|	cmp TMP1w, #IS_UNUSED
	//|	beq >1
	//|	ldr REG0w, OP:REG0->result.var
	//|	add REG0, REG0, FP
	//|	SET_Z_TYPE_INFO REG0, IS_NULL, TMP1w
	dasm_put(Dst, 4590, Dt1(->opline), Dt2(->result_type), IS_UNUSED, Dt2(->result.var));
		if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
	dasm_put(Dst, 4603, ((uint32_t)(IS_NULL)));
		} else if (((uint32_t)(IS_NULL) & 0xffff)) {
	dasm_put(Dst, 4606, ((uint32_t)(IS_NULL) & 0xffff));
			if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
	dasm_put(Dst, 4609, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4612, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
		}
#line 2090 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|1:
	//|	mov CARG1, xzr
	//|	LOAD_ADDR CARG2, "Cannot add element to the array as the next element is already occupied"
	dasm_put(Dst, 4615, offsetof(zval,u1.type_info));
		if (((uintptr_t)("Cannot add element to the array as the next element is already occupied")) == 0) {
	dasm_put(Dst, 4620);
		} else if (((uintptr_t)("Cannot add element to the array as the next element is already occupied")) <= MOVZ_IMM) {
	dasm_put(Dst, 4622, ((uint64_t)("Cannot add element to the array as the next element is already occupied")));
		} else if (arm64_may_use_adr((void*)("Cannot add element to the array as the next element is already occupied"))) {
	dasm_put(Dst, 4625, (unsigned int)((ptrdiff_t)("Cannot add element to the array as the next element is already occupied")), (unsigned int)(((ptrdiff_t)("Cannot add element to the array as the next element is already occupied"))>>32));
		} else if (arm64_may_use_adrp((void*)("Cannot add element to the array as the next element is already occupied"))) {
	dasm_put(Dst, 4628, (unsigned int)((ptrdiff_t)((((uintptr_t)("Cannot add element to the array as the next element is already occupied"))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)("Cannot add element to the array as the next element is already occupied")))))>>32));
			if (((uintptr_t)("Cannot add element to the array as the next element is already occupied")) & 0xfff) {
	dasm_put(Dst, 4631, (((uintptr_t)("Cannot add element to the array as the next element is already occupied")) & 0xfff));
			}
		} else if ((uintptr_t)("Cannot add element to the array as the next element is already occupied") & 0xffff) {
	dasm_put(Dst, 4634, ((uintptr_t)("Cannot add element to the array as the next element is already occupied") & 0xffff));
			if (((uintptr_t)("Cannot add element to the array as the next element is already occupied") >> 16) & 0xffff) {
	dasm_put(Dst, 4637, (((uintptr_t)("Cannot add element to the array as the next element is already occupied") >> 16) & 0xffff));
			}
			if (((uintptr_t)("Cannot add element to the array as the next element is already occupied") >> 32) & 0xffff) {
	dasm_put(Dst, 4640, (((uintptr_t)("Cannot add element to the array as the next element is already occupied") >> 32) & 0xffff));
			}
		} else if (((uintptr_t)("Cannot add element to the array as the next element is already occupied") >> 16) & 0xffff) {
	dasm_put(Dst, 4643, (((uintptr_t)("Cannot add element to the array as the next element is already occupied") >> 16) & 0xffff));
			if (((uintptr_t)("Cannot add element to the array as the next element is already occupied") >> 32) & 0xffff) {
	dasm_put(Dst, 4646, (((uintptr_t)("Cannot add element to the array as the next element is already occupied") >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4649, (((uintptr_t)("Cannot add element to the array as the next element is already occupied") >> 32) & 0xffff));
		}
#line 2093 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_JMP zend_throw_error, REG0 // tail call
		if (arm64_may_use_b(zend_throw_error)) {
	dasm_put(Dst, 4652, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else {
		if (((uintptr_t)(zend_throw_error)) == 0) {
	dasm_put(Dst, 4655);
		} else if (((uintptr_t)(zend_throw_error)) <= MOVZ_IMM) {
	dasm_put(Dst, 4657, ((uint64_t)(zend_throw_error)));
		} else if (arm64_may_use_adr((void*)(zend_throw_error))) {
	dasm_put(Dst, 4660, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_throw_error))) {
	dasm_put(Dst, 4663, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_throw_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_throw_error)))))>>32));
			if (((uintptr_t)(zend_throw_error)) & 0xfff) {
	dasm_put(Dst, 4666, (((uintptr_t)(zend_throw_error)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_throw_error) & 0xffff) {
	dasm_put(Dst, 4669, ((uintptr_t)(zend_throw_error) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4672, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4675, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4678, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4681, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4684, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4687);
		}
#line 2094 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// add r4, 8
	//|	//ret

	return 1;
}

static int zend_jit_undefined_function_stub(dasm_State **Dst)
{
	//|->undefined_function:
	//|	ldr REG0, EX->opline
	//|	mov CARG1, xzr
	//|	LOAD_ADDR CARG2, "Call to undefined function %s()"
	dasm_put(Dst, 4689, Dt1(->opline));
		if (((uintptr_t)("Call to undefined function %s()")) == 0) {
	dasm_put(Dst, 4694);
		} else if (((uintptr_t)("Call to undefined function %s()")) <= MOVZ_IMM) {
	dasm_put(Dst, 4696, ((uint64_t)("Call to undefined function %s()")));
		} else if (arm64_may_use_adr((void*)("Call to undefined function %s()"))) {
	dasm_put(Dst, 4699, (unsigned int)((ptrdiff_t)("Call to undefined function %s()")), (unsigned int)(((ptrdiff_t)("Call to undefined function %s()"))>>32));
		} else if (arm64_may_use_adrp((void*)("Call to undefined function %s()"))) {
	dasm_put(Dst, 4702, (unsigned int)((ptrdiff_t)((((uintptr_t)("Call to undefined function %s()"))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)("Call to undefined function %s()")))))>>32));
			if (((uintptr_t)("Call to undefined function %s()")) & 0xfff) {
	dasm_put(Dst, 4705, (((uintptr_t)("Call to undefined function %s()")) & 0xfff));
			}
		} else if ((uintptr_t)("Call to undefined function %s()") & 0xffff) {
	dasm_put(Dst, 4708, ((uintptr_t)("Call to undefined function %s()") & 0xffff));
			if (((uintptr_t)("Call to undefined function %s()") >> 16) & 0xffff) {
	dasm_put(Dst, 4711, (((uintptr_t)("Call to undefined function %s()") >> 16) & 0xffff));
			}
			if (((uintptr_t)("Call to undefined function %s()") >> 32) & 0xffff) {
	dasm_put(Dst, 4714, (((uintptr_t)("Call to undefined function %s()") >> 32) & 0xffff));
			}
		} else if (((uintptr_t)("Call to undefined function %s()") >> 16) & 0xffff) {
	dasm_put(Dst, 4717, (((uintptr_t)("Call to undefined function %s()") >> 16) & 0xffff));
			if (((uintptr_t)("Call to undefined function %s()") >> 32) & 0xffff) {
	dasm_put(Dst, 4720, (((uintptr_t)("Call to undefined function %s()") >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4723, (((uintptr_t)("Call to undefined function %s()") >> 32) & 0xffff));
		}
#line 2106 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldrsw CARG3, [REG0, #offsetof(zend_op, op2.constant)]
	//|	ldr CARG3, [REG0, CARG3]
	//|	add CARG3, CARG3, #offsetof(zend_string, val)
	dasm_put(Dst, 4726, offsetof(zend_op, op2.constant), offsetof(zend_string, val));
#line 2109 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#ifdef __APPLE__
	//|	str CARG3, [sp, #-16]!
	dasm_put(Dst, 4732);
#line 2111 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
	//|	EXT_CALL zend_throw_error, REG0
		if (arm64_may_use_b(zend_throw_error)) {
	dasm_put(Dst, 4734, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else {
		if (((uintptr_t)(zend_throw_error)) == 0) {
	dasm_put(Dst, 4737);
		} else if (((uintptr_t)(zend_throw_error)) <= MOVZ_IMM) {
	dasm_put(Dst, 4739, ((uint64_t)(zend_throw_error)));
		} else if (arm64_may_use_adr((void*)(zend_throw_error))) {
	dasm_put(Dst, 4742, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_throw_error))) {
	dasm_put(Dst, 4745, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_throw_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_throw_error)))))>>32));
			if (((uintptr_t)(zend_throw_error)) & 0xfff) {
	dasm_put(Dst, 4748, (((uintptr_t)(zend_throw_error)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_throw_error) & 0xffff) {
	dasm_put(Dst, 4751, ((uintptr_t)(zend_throw_error) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4754, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4757, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4760, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4763, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4766, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4769);
		}
#line 2113 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#ifdef __APPLE__
	//|	add sp, sp, #16
	dasm_put(Dst, 4771);
#line 2115 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
	//|	b ->exception_handler
	dasm_put(Dst, 4773);
#line 2117 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_negative_shift_stub(dasm_State **Dst)
{
	//|->negative_shift:
	//|	ldr RX, EX->opline
	//|	LOAD_ADDR CARG1, zend_ce_arithmetic_error
	dasm_put(Dst, 4776, Dt1(->opline));
		if (((uintptr_t)(zend_ce_arithmetic_error)) == 0) {
	dasm_put(Dst, 4780);
		} else if (((uintptr_t)(zend_ce_arithmetic_error)) <= MOVZ_IMM) {
	dasm_put(Dst, 4782, ((uint64_t)(zend_ce_arithmetic_error)));
		} else if (arm64_may_use_adr((void*)(zend_ce_arithmetic_error))) {
	dasm_put(Dst, 4785, (unsigned int)((ptrdiff_t)(zend_ce_arithmetic_error)), (unsigned int)(((ptrdiff_t)(zend_ce_arithmetic_error))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_ce_arithmetic_error))) {
	dasm_put(Dst, 4788, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_ce_arithmetic_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_ce_arithmetic_error)))))>>32));
			if (((uintptr_t)(zend_ce_arithmetic_error)) & 0xfff) {
	dasm_put(Dst, 4791, (((uintptr_t)(zend_ce_arithmetic_error)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_ce_arithmetic_error) & 0xffff) {
	dasm_put(Dst, 4794, ((uintptr_t)(zend_ce_arithmetic_error) & 0xffff));
			if (((uintptr_t)(zend_ce_arithmetic_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4797, (((uintptr_t)(zend_ce_arithmetic_error) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_ce_arithmetic_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4800, (((uintptr_t)(zend_ce_arithmetic_error) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_ce_arithmetic_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4803, (((uintptr_t)(zend_ce_arithmetic_error) >> 16) & 0xffff));
			if (((uintptr_t)(zend_ce_arithmetic_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4806, (((uintptr_t)(zend_ce_arithmetic_error) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4809, (((uintptr_t)(zend_ce_arithmetic_error) >> 32) & 0xffff));
		}
#line 2125 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	LOAD_ADDR CARG2, "Bit shift by negative number"
		if (((uintptr_t)("Bit shift by negative number")) == 0) {
	dasm_put(Dst, 4812);
		} else if (((uintptr_t)("Bit shift by negative number")) <= MOVZ_IMM) {
	dasm_put(Dst, 4814, ((uint64_t)("Bit shift by negative number")));
		} else if (arm64_may_use_adr((void*)("Bit shift by negative number"))) {
	dasm_put(Dst, 4817, (unsigned int)((ptrdiff_t)("Bit shift by negative number")), (unsigned int)(((ptrdiff_t)("Bit shift by negative number"))>>32));
		} else if (arm64_may_use_adrp((void*)("Bit shift by negative number"))) {
	dasm_put(Dst, 4820, (unsigned int)((ptrdiff_t)((((uintptr_t)("Bit shift by negative number"))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)("Bit shift by negative number")))))>>32));
			if (((uintptr_t)("Bit shift by negative number")) & 0xfff) {
	dasm_put(Dst, 4823, (((uintptr_t)("Bit shift by negative number")) & 0xfff));
			}
		} else if ((uintptr_t)("Bit shift by negative number") & 0xffff) {
	dasm_put(Dst, 4826, ((uintptr_t)("Bit shift by negative number") & 0xffff));
			if (((uintptr_t)("Bit shift by negative number") >> 16) & 0xffff) {
	dasm_put(Dst, 4829, (((uintptr_t)("Bit shift by negative number") >> 16) & 0xffff));
			}
			if (((uintptr_t)("Bit shift by negative number") >> 32) & 0xffff) {
	dasm_put(Dst, 4832, (((uintptr_t)("Bit shift by negative number") >> 32) & 0xffff));
			}
		} else if (((uintptr_t)("Bit shift by negative number") >> 16) & 0xffff) {
	dasm_put(Dst, 4835, (((uintptr_t)("Bit shift by negative number") >> 16) & 0xffff));
			if (((uintptr_t)("Bit shift by negative number") >> 32) & 0xffff) {
	dasm_put(Dst, 4838, (((uintptr_t)("Bit shift by negative number") >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4841, (((uintptr_t)("Bit shift by negative number") >> 32) & 0xffff));
		}
#line 2126 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_CALL zend_throw_error, REG0
		if (arm64_may_use_b(zend_throw_error)) {
	dasm_put(Dst, 4844, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else {
		if (((uintptr_t)(zend_throw_error)) == 0) {
	dasm_put(Dst, 4847);
		} else if (((uintptr_t)(zend_throw_error)) <= MOVZ_IMM) {
	dasm_put(Dst, 4849, ((uint64_t)(zend_throw_error)));
		} else if (arm64_may_use_adr((void*)(zend_throw_error))) {
	dasm_put(Dst, 4852, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_throw_error))) {
	dasm_put(Dst, 4855, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_throw_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_throw_error)))))>>32));
			if (((uintptr_t)(zend_throw_error)) & 0xfff) {
	dasm_put(Dst, 4858, (((uintptr_t)(zend_throw_error)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_throw_error) & 0xffff) {
	dasm_put(Dst, 4861, ((uintptr_t)(zend_throw_error) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4864, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4867, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4870, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4873, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4876, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4879);
		}
#line 2127 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	b ->exception_handler_free_op1_op2
	dasm_put(Dst, 4881);
#line 2128 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_mod_by_zero_stub(dasm_State **Dst)
{
	//|->mod_by_zero:
	//|	ldr RX, EX->opline
	//|	LOAD_ADDR CARG1, zend_ce_division_by_zero_error
	dasm_put(Dst, 4884, Dt1(->opline));
		if (((uintptr_t)(zend_ce_division_by_zero_error)) == 0) {
	dasm_put(Dst, 4888);
		} else if (((uintptr_t)(zend_ce_division_by_zero_error)) <= MOVZ_IMM) {
	dasm_put(Dst, 4890, ((uint64_t)(zend_ce_division_by_zero_error)));
		} else if (arm64_may_use_adr((void*)(zend_ce_division_by_zero_error))) {
	dasm_put(Dst, 4893, (unsigned int)((ptrdiff_t)(zend_ce_division_by_zero_error)), (unsigned int)(((ptrdiff_t)(zend_ce_division_by_zero_error))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_ce_division_by_zero_error))) {
	dasm_put(Dst, 4896, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_ce_division_by_zero_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_ce_division_by_zero_error)))))>>32));
			if (((uintptr_t)(zend_ce_division_by_zero_error)) & 0xfff) {
	dasm_put(Dst, 4899, (((uintptr_t)(zend_ce_division_by_zero_error)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_ce_division_by_zero_error) & 0xffff) {
	dasm_put(Dst, 4902, ((uintptr_t)(zend_ce_division_by_zero_error) & 0xffff));
			if (((uintptr_t)(zend_ce_division_by_zero_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4905, (((uintptr_t)(zend_ce_division_by_zero_error) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_ce_division_by_zero_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4908, (((uintptr_t)(zend_ce_division_by_zero_error) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_ce_division_by_zero_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4911, (((uintptr_t)(zend_ce_division_by_zero_error) >> 16) & 0xffff));
			if (((uintptr_t)(zend_ce_division_by_zero_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4914, (((uintptr_t)(zend_ce_division_by_zero_error) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4917, (((uintptr_t)(zend_ce_division_by_zero_error) >> 32) & 0xffff));
		}
#line 2136 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	LOAD_ADDR CARG2, "Modulo by zero"
		if (((uintptr_t)("Modulo by zero")) == 0) {
	dasm_put(Dst, 4920);
		} else if (((uintptr_t)("Modulo by zero")) <= MOVZ_IMM) {
	dasm_put(Dst, 4922, ((uint64_t)("Modulo by zero")));
		} else if (arm64_may_use_adr((void*)("Modulo by zero"))) {
	dasm_put(Dst, 4925, (unsigned int)((ptrdiff_t)("Modulo by zero")), (unsigned int)(((ptrdiff_t)("Modulo by zero"))>>32));
		} else if (arm64_may_use_adrp((void*)("Modulo by zero"))) {
	dasm_put(Dst, 4928, (unsigned int)((ptrdiff_t)((((uintptr_t)("Modulo by zero"))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)("Modulo by zero")))))>>32));
			if (((uintptr_t)("Modulo by zero")) & 0xfff) {
	dasm_put(Dst, 4931, (((uintptr_t)("Modulo by zero")) & 0xfff));
			}
		} else if ((uintptr_t)("Modulo by zero") & 0xffff) {
	dasm_put(Dst, 4934, ((uintptr_t)("Modulo by zero") & 0xffff));
			if (((uintptr_t)("Modulo by zero") >> 16) & 0xffff) {
	dasm_put(Dst, 4937, (((uintptr_t)("Modulo by zero") >> 16) & 0xffff));
			}
			if (((uintptr_t)("Modulo by zero") >> 32) & 0xffff) {
	dasm_put(Dst, 4940, (((uintptr_t)("Modulo by zero") >> 32) & 0xffff));
			}
		} else if (((uintptr_t)("Modulo by zero") >> 16) & 0xffff) {
	dasm_put(Dst, 4943, (((uintptr_t)("Modulo by zero") >> 16) & 0xffff));
			if (((uintptr_t)("Modulo by zero") >> 32) & 0xffff) {
	dasm_put(Dst, 4946, (((uintptr_t)("Modulo by zero") >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4949, (((uintptr_t)("Modulo by zero") >> 32) & 0xffff));
		}
#line 2137 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_CALL zend_throw_error, REG0
		if (arm64_may_use_b(zend_throw_error)) {
	dasm_put(Dst, 4952, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else {
		if (((uintptr_t)(zend_throw_error)) == 0) {
	dasm_put(Dst, 4955);
		} else if (((uintptr_t)(zend_throw_error)) <= MOVZ_IMM) {
	dasm_put(Dst, 4957, ((uint64_t)(zend_throw_error)));
		} else if (arm64_may_use_adr((void*)(zend_throw_error))) {
	dasm_put(Dst, 4960, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_throw_error))) {
	dasm_put(Dst, 4963, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_throw_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_throw_error)))))>>32));
			if (((uintptr_t)(zend_throw_error)) & 0xfff) {
	dasm_put(Dst, 4966, (((uintptr_t)(zend_throw_error)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_throw_error) & 0xffff) {
	dasm_put(Dst, 4969, ((uintptr_t)(zend_throw_error) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4972, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4975, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 4978, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 4981, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 4984, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
		}
	dasm_put(Dst, 4987);
		}
#line 2138 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	b ->exception_handler_free_op1_op2
	dasm_put(Dst, 4989);
#line 2139 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_invalid_this_stub(dasm_State **Dst)
{
	//|->invalid_this:
	//|	UNDEF_OPLINE_RESULT TMP1w
	dasm_put(Dst, 4992, Dt1(->opline), Dt2(->result.var));
		if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
	dasm_put(Dst, 4999, ((uint32_t)(IS_UNDEF)));
		} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
	dasm_put(Dst, 5002, ((uint32_t)(IS_UNDEF) & 0xffff));
			if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
	dasm_put(Dst, 5005, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5008, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
		}
#line 2146 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	mov CARG1, xzr
	//|	LOAD_ADDR CARG2, "Using $this when not in object context"
	dasm_put(Dst, 5011, offsetof(zval,u1.type_info));
		if (((uintptr_t)("Using $this when not in object context")) == 0) {
	dasm_put(Dst, 5015);
		} else if (((uintptr_t)("Using $this when not in object context")) <= MOVZ_IMM) {
	dasm_put(Dst, 5017, ((uint64_t)("Using $this when not in object context")));
		} else if (arm64_may_use_adr((void*)("Using $this when not in object context"))) {
	dasm_put(Dst, 5020, (unsigned int)((ptrdiff_t)("Using $this when not in object context")), (unsigned int)(((ptrdiff_t)("Using $this when not in object context"))>>32));
		} else if (arm64_may_use_adrp((void*)("Using $this when not in object context"))) {
	dasm_put(Dst, 5023, (unsigned int)((ptrdiff_t)((((uintptr_t)("Using $this when not in object context"))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)("Using $this when not in object context")))))>>32));
			if (((uintptr_t)("Using $this when not in object context")) & 0xfff) {
	dasm_put(Dst, 5026, (((uintptr_t)("Using $this when not in object context")) & 0xfff));
			}
		} else if ((uintptr_t)("Using $this when not in object context") & 0xffff) {
	dasm_put(Dst, 5029, ((uintptr_t)("Using $this when not in object context") & 0xffff));
			if (((uintptr_t)("Using $this when not in object context") >> 16) & 0xffff) {
	dasm_put(Dst, 5032, (((uintptr_t)("Using $this when not in object context") >> 16) & 0xffff));
			}
			if (((uintptr_t)("Using $this when not in object context") >> 32) & 0xffff) {
	dasm_put(Dst, 5035, (((uintptr_t)("Using $this when not in object context") >> 32) & 0xffff));
			}
		} else if (((uintptr_t)("Using $this when not in object context") >> 16) & 0xffff) {
	dasm_put(Dst, 5038, (((uintptr_t)("Using $this when not in object context") >> 16) & 0xffff));
			if (((uintptr_t)("Using $this when not in object context") >> 32) & 0xffff) {
	dasm_put(Dst, 5041, (((uintptr_t)("Using $this when not in object context") >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5044, (((uintptr_t)("Using $this when not in object context") >> 32) & 0xffff));
		}
#line 2148 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_CALL zend_throw_error, REG0
		if (arm64_may_use_b(zend_throw_error)) {
	dasm_put(Dst, 5047, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else {
		if (((uintptr_t)(zend_throw_error)) == 0) {
	dasm_put(Dst, 5050);
		} else if (((uintptr_t)(zend_throw_error)) <= MOVZ_IMM) {
	dasm_put(Dst, 5052, ((uint64_t)(zend_throw_error)));
		} else if (arm64_may_use_adr((void*)(zend_throw_error))) {
	dasm_put(Dst, 5055, (unsigned int)((ptrdiff_t)(zend_throw_error)), (unsigned int)(((ptrdiff_t)(zend_throw_error))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_throw_error))) {
	dasm_put(Dst, 5058, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_throw_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_throw_error)))))>>32));
			if (((uintptr_t)(zend_throw_error)) & 0xfff) {
	dasm_put(Dst, 5061, (((uintptr_t)(zend_throw_error)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_throw_error) & 0xffff) {
	dasm_put(Dst, 5064, ((uintptr_t)(zend_throw_error) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 5067, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 5070, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_throw_error) >> 16) & 0xffff) {
	dasm_put(Dst, 5073, (((uintptr_t)(zend_throw_error) >> 16) & 0xffff));
			if (((uintptr_t)(zend_throw_error) >> 32) & 0xffff) {
	dasm_put(Dst, 5076, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5079, (((uintptr_t)(zend_throw_error) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5082);
		}
#line 2149 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	b ->exception_handler
	dasm_put(Dst, 5084);
#line 2150 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_hybrid_runtime_jit_stub(dasm_State **Dst)
{
	if (zend_jit_vm_kind != ZEND_VM_KIND_HYBRID) {
		return 1;
	}

	//|->hybrid_runtime_jit:
	//|	EXT_CALL zend_runtime_jit, REG0
	dasm_put(Dst, 5087);
		if (arm64_may_use_b(zend_runtime_jit)) {
	dasm_put(Dst, 5089, (unsigned int)((ptrdiff_t)(zend_runtime_jit)), (unsigned int)(((ptrdiff_t)(zend_runtime_jit))>>32));
		} else {
		if (((uintptr_t)(zend_runtime_jit)) == 0) {
	dasm_put(Dst, 5092);
		} else if (((uintptr_t)(zend_runtime_jit)) <= MOVZ_IMM) {
	dasm_put(Dst, 5094, ((uint64_t)(zend_runtime_jit)));
		} else if (arm64_may_use_adr((void*)(zend_runtime_jit))) {
	dasm_put(Dst, 5097, (unsigned int)((ptrdiff_t)(zend_runtime_jit)), (unsigned int)(((ptrdiff_t)(zend_runtime_jit))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_runtime_jit))) {
	dasm_put(Dst, 5100, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_runtime_jit))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_runtime_jit)))))>>32));
			if (((uintptr_t)(zend_runtime_jit)) & 0xfff) {
	dasm_put(Dst, 5103, (((uintptr_t)(zend_runtime_jit)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_runtime_jit) & 0xffff) {
	dasm_put(Dst, 5106, ((uintptr_t)(zend_runtime_jit) & 0xffff));
			if (((uintptr_t)(zend_runtime_jit) >> 16) & 0xffff) {
	dasm_put(Dst, 5109, (((uintptr_t)(zend_runtime_jit) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_runtime_jit) >> 32) & 0xffff) {
	dasm_put(Dst, 5112, (((uintptr_t)(zend_runtime_jit) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_runtime_jit) >> 16) & 0xffff) {
	dasm_put(Dst, 5115, (((uintptr_t)(zend_runtime_jit) >> 16) & 0xffff));
			if (((uintptr_t)(zend_runtime_jit) >> 32) & 0xffff) {
	dasm_put(Dst, 5118, (((uintptr_t)(zend_runtime_jit) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5121, (((uintptr_t)(zend_runtime_jit) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5124);
		}
#line 2162 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	JMP_IP TMP1
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5126);
		} else {
	dasm_put(Dst, 5129, Dt1(->opline));
		}
#line 2163 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_hybrid_profile_jit_stub(dasm_State **Dst)
{
	if (zend_jit_vm_kind != ZEND_VM_KIND_HYBRID) {
		return 1;
	}

	//|->hybrid_profile_jit:
	//|	// ++zend_jit_profile_counter;
	//|	LOAD_ADDR REG0, &zend_jit_profile_counter
	dasm_put(Dst, 5133);
		if (((uintptr_t)(&zend_jit_profile_counter)) == 0) {
	dasm_put(Dst, 5135);
		} else if (((uintptr_t)(&zend_jit_profile_counter)) <= MOVZ_IMM) {
	dasm_put(Dst, 5137, ((uint64_t)(&zend_jit_profile_counter)));
		} else if (arm64_may_use_adr((void*)(&zend_jit_profile_counter))) {
	dasm_put(Dst, 5140, (unsigned int)((ptrdiff_t)(&zend_jit_profile_counter)), (unsigned int)(((ptrdiff_t)(&zend_jit_profile_counter))>>32));
		} else if (arm64_may_use_adrp((void*)(&zend_jit_profile_counter))) {
	dasm_put(Dst, 5143, (unsigned int)((ptrdiff_t)((((uintptr_t)(&zend_jit_profile_counter))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&zend_jit_profile_counter)))))>>32));
			if (((uintptr_t)(&zend_jit_profile_counter)) & 0xfff) {
	dasm_put(Dst, 5146, (((uintptr_t)(&zend_jit_profile_counter)) & 0xfff));
			}
		} else if ((uintptr_t)(&zend_jit_profile_counter) & 0xffff) {
	dasm_put(Dst, 5149, ((uintptr_t)(&zend_jit_profile_counter) & 0xffff));
			if (((uintptr_t)(&zend_jit_profile_counter) >> 16) & 0xffff) {
	dasm_put(Dst, 5152, (((uintptr_t)(&zend_jit_profile_counter) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&zend_jit_profile_counter) >> 32) & 0xffff) {
	dasm_put(Dst, 5155, (((uintptr_t)(&zend_jit_profile_counter) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&zend_jit_profile_counter) >> 16) & 0xffff) {
	dasm_put(Dst, 5158, (((uintptr_t)(&zend_jit_profile_counter) >> 16) & 0xffff));
			if (((uintptr_t)(&zend_jit_profile_counter) >> 32) & 0xffff) {
	dasm_put(Dst, 5161, (((uintptr_t)(&zend_jit_profile_counter) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5164, (((uintptr_t)(&zend_jit_profile_counter) >> 32) & 0xffff));
		}
#line 2175 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldr TMP1, [REG0]
	//|	add TMP1, TMP1, #1
	//|	str TMP1, [REG0]
	//|	// op_array = (zend_op_array*)EX(func);
	//|	ldr REG0, EX->func
	//|	// run_time_cache = EX(run_time_cache);
	//|	ldr REG2, EX->run_time_cache
	//|	// jit_extension = (const void*)ZEND_FUNC_INFO(op_array);
	//|	ldr REG0, [REG0, #offsetof(zend_op_array, reserved[zend_func_info_rid])]
	//|	// ++ZEND_COUNTER_INFO(op_array)
	dasm_put(Dst, 5167, Dt1(->func), Dt1(->run_time_cache), offsetof(zend_op_array, reserved[zend_func_info_rid]));
		if ((zend_jit_profile_counter_rid * sizeof(void*)) > LDR_STR_PIMM64) {
#line 2186 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|		LOAD_32BIT_VAL TMP1, (zend_jit_profile_counter_rid * sizeof(void*))
		if (((uint32_t)((zend_jit_profile_counter_rid * sizeof(void*)))) <= MOVZ_IMM) {
	dasm_put(Dst, 5177, ((uint32_t)((zend_jit_profile_counter_rid * sizeof(void*)))));
		} else if (((uint32_t)((zend_jit_profile_counter_rid * sizeof(void*))) & 0xffff)) {
	dasm_put(Dst, 5180, ((uint32_t)((zend_jit_profile_counter_rid * sizeof(void*))) & 0xffff));
			if ((((uint32_t)((zend_jit_profile_counter_rid * sizeof(void*))) >> 16) & 0xffff)) {
	dasm_put(Dst, 5183, (((uint32_t)((zend_jit_profile_counter_rid * sizeof(void*))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5186, (((uint32_t)((zend_jit_profile_counter_rid * sizeof(void*))) >> 16) & 0xffff));
		}
#line 2187 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|		ldr TMP2, [REG2, TMP1]
	//|		add TMP2, TMP2, #1
	//|		str TMP2, [REG2, TMP1]
	dasm_put(Dst, 5189);
		} else {
#line 2191 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|		ldr TMP2, [REG2, #(zend_jit_profile_counter_rid * sizeof(void*))]
	//|		add TMP2, TMP2, #1
	//|		str TMP2, [REG2, #(zend_jit_profile_counter_rid * sizeof(void*))]
	dasm_put(Dst, 5193, (zend_jit_profile_counter_rid * sizeof(void*)), (zend_jit_profile_counter_rid * sizeof(void*)));
		}
#line 2195 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// return ((zend_vm_opcode_handler_t)jit_extension->orig_handler)()
	//|	ldr TMP1, [REG0, #offsetof(zend_jit_op_array_extension, orig_handler)]
	//|	br TMP1
	dasm_put(Dst, 5199, offsetof(zend_jit_op_array_extension, orig_handler));
#line 2198 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_hybrid_hot_code_stub(dasm_State **Dst)
{
	if (zend_jit_vm_kind != ZEND_VM_KIND_HYBRID) {
		return 1;
	}

	//|->hybrid_hot_code:
	dasm_put(Dst, 5203);
		ZEND_ASSERT(ZEND_JIT_COUNTER_INIT <= MOVZ_IMM);
#line 2209 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	movz TMP1w, #ZEND_JIT_COUNTER_INIT
	//|	strh TMP1w, [REG2]
	//|	mov FCARG1x, FP
	//|	GET_IP FCARG2x
	dasm_put(Dst, 5205, ZEND_JIT_COUNTER_INIT);
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5210);
		} else {
	dasm_put(Dst, 5212, Dt1(->opline));
		}
#line 2213 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_CALL zend_jit_hot_func, REG0
		if (arm64_may_use_b(zend_jit_hot_func)) {
	dasm_put(Dst, 5215, (unsigned int)((ptrdiff_t)(zend_jit_hot_func)), (unsigned int)(((ptrdiff_t)(zend_jit_hot_func))>>32));
		} else {
		if (((uintptr_t)(zend_jit_hot_func)) == 0) {
	dasm_put(Dst, 5218);
		} else if (((uintptr_t)(zend_jit_hot_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 5220, ((uint64_t)(zend_jit_hot_func)));
		} else if (arm64_may_use_adr((void*)(zend_jit_hot_func))) {
	dasm_put(Dst, 5223, (unsigned int)((ptrdiff_t)(zend_jit_hot_func)), (unsigned int)(((ptrdiff_t)(zend_jit_hot_func))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_hot_func))) {
	dasm_put(Dst, 5226, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_hot_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_hot_func)))))>>32));
			if (((uintptr_t)(zend_jit_hot_func)) & 0xfff) {
	dasm_put(Dst, 5229, (((uintptr_t)(zend_jit_hot_func)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_hot_func) & 0xffff) {
	dasm_put(Dst, 5232, ((uintptr_t)(zend_jit_hot_func) & 0xffff));
			if (((uintptr_t)(zend_jit_hot_func) >> 16) & 0xffff) {
	dasm_put(Dst, 5235, (((uintptr_t)(zend_jit_hot_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_hot_func) >> 32) & 0xffff) {
	dasm_put(Dst, 5238, (((uintptr_t)(zend_jit_hot_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_hot_func) >> 16) & 0xffff) {
	dasm_put(Dst, 5241, (((uintptr_t)(zend_jit_hot_func) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_hot_func) >> 32) & 0xffff) {
	dasm_put(Dst, 5244, (((uintptr_t)(zend_jit_hot_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5247, (((uintptr_t)(zend_jit_hot_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5250);
		}
#line 2214 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	JMP_IP TMP1
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5252);
		} else {
	dasm_put(Dst, 5255, Dt1(->opline));
		}
#line 2215 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

/*
 * This code is based Mike Pall's "Hashed profile counters" idea, implemented
 * in LuaJIT. The full description may be found in "LuaJIT 2.0 intellectual
 * property disclosure and research opportunities" email
 * at http://lua-users.org/lists/lua-l/2009-11/msg00089.html
 *
 * In addition we use a variation of Knuth's multiplicative hash function
 * described at https://code.i-harness.com/en/q/a21ce
 *
 * uint64_t hash(uint64_t x) {
 *    x = (x ^ (x >> 30)) * 0xbf58476d1ce4e5b9;
 *    x = (x ^ (x >> 27)) * 0x94d049bb133111eb;
 *    x = x ^ (x >> 31);
 *    return x;
 * }
 *
 * uint_32_t hash(uint32_t x) {
 *    x = ((x >> 16) ^ x) * 0x45d9f3b;
 *    x = ((x >> 16) ^ x) * 0x45d9f3b;
 *    x = (x >> 16) ^ x;
 *    return x;
 * }
 *
 */
static int zend_jit_hybrid_hot_counter_stub(dasm_State **Dst, uint32_t cost)
{
	//|	ldr REG0, EX->func
	//|	ldr REG1, [REG0, #offsetof(zend_op_array, reserved[zend_func_info_rid])]
	//|	ldr REG2, [REG1, #offsetof(zend_jit_op_array_hot_extension, counter)]
	//|	ldrh TMP2w, [REG2]
	//|	ADD_SUB_32_WITH_CONST subs, TMP2w, TMP2w, cost, TMP1w
	dasm_put(Dst, 5259, Dt1(->func), offsetof(zend_op_array, reserved[zend_func_info_rid]), offsetof(zend_jit_op_array_hot_extension, counter));
		if (cost == 0) {
	dasm_put(Dst, 5267);
		} else if (arm64_may_encode_imm12((int64_t)(cost))) {
	dasm_put(Dst, 5269, cost);
		} else {
		if (((uint32_t)(cost)) <= MOVZ_IMM) {
	dasm_put(Dst, 5272, ((uint32_t)(cost)));
		} else if (((uint32_t)(cost) & 0xffff)) {
	dasm_put(Dst, 5275, ((uint32_t)(cost) & 0xffff));
			if ((((uint32_t)(cost) >> 16) & 0xffff)) {
	dasm_put(Dst, 5278, (((uint32_t)(cost) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5281, (((uint32_t)(cost) >> 16) & 0xffff));
		}
	dasm_put(Dst, 5284);
		}
#line 2249 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	strh TMP2w, [REG2]
	//|	ble ->hybrid_hot_code
	//|	GET_IP REG2
	dasm_put(Dst, 5286);
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5290);
		} else {
	dasm_put(Dst, 5292, Dt1(->opline));
		}
#line 2252 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldr TMP1, [REG0, #offsetof(zend_op_array, opcodes)]
	//|	sub REG2, REG2, TMP1
	//|	// divide by sizeof(zend_op)
	dasm_put(Dst, 5295, offsetof(zend_op_array, opcodes));
		ZEND_ASSERT(sizeof(zend_op) == 32);
#line 2256 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	add TMP1, REG1, REG2, asr #2
	//|	ldr TMP1, [TMP1, #offsetof(zend_jit_op_array_hot_extension, orig_handlers)]
	//|	br TMP1
	dasm_put(Dst, 5299, offsetof(zend_jit_op_array_hot_extension, orig_handlers));
#line 2259 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_hybrid_func_hot_counter_stub(dasm_State **Dst)
{
	if (zend_jit_vm_kind != ZEND_VM_KIND_HYBRID || !JIT_G(hot_func)) {
		return 1;
	}

	//|->hybrid_func_hot_counter:
	dasm_put(Dst, 5304);
#line 2269 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return zend_jit_hybrid_hot_counter_stub(Dst,
		((ZEND_JIT_COUNTER_INIT + JIT_G(hot_func) - 1) / JIT_G(hot_func)));
}

static int zend_jit_hybrid_loop_hot_counter_stub(dasm_State **Dst)
{
	if (zend_jit_vm_kind != ZEND_VM_KIND_HYBRID || !JIT_G(hot_loop)) {
		return 1;
	}

	//|->hybrid_loop_hot_counter:
	dasm_put(Dst, 5306);
#line 2281 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return zend_jit_hybrid_hot_counter_stub(Dst,
		((ZEND_JIT_COUNTER_INIT + JIT_G(hot_loop) - 1) / JIT_G(hot_loop)));
}

static int zend_jit_hybrid_hot_trace_stub(dasm_State **Dst)
{
	if (zend_jit_vm_kind != ZEND_VM_KIND_HYBRID) {
		return 1;
	}

	// On entry from counter stub:
	//   REG2 -> zend_op_trace_info.counter

	//|->hybrid_hot_trace:
	//|	mov TMP1w, #ZEND_JIT_COUNTER_INIT
	//|	strh TMP1w, [REG2]
	//|	mov FCARG1x, FP
	//|	GET_IP FCARG2x
	dasm_put(Dst, 5308, ZEND_JIT_COUNTER_INIT);
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5314);
		} else {
	dasm_put(Dst, 5316, Dt1(->opline));
		}
#line 2300 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_CALL zend_jit_trace_hot_root, REG0
		if (arm64_may_use_b(zend_jit_trace_hot_root)) {
	dasm_put(Dst, 5319, (unsigned int)((ptrdiff_t)(zend_jit_trace_hot_root)), (unsigned int)(((ptrdiff_t)(zend_jit_trace_hot_root))>>32));
		} else {
		if (((uintptr_t)(zend_jit_trace_hot_root)) == 0) {
	dasm_put(Dst, 5322);
		} else if (((uintptr_t)(zend_jit_trace_hot_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 5324, ((uint64_t)(zend_jit_trace_hot_root)));
		} else if (arm64_may_use_adr((void*)(zend_jit_trace_hot_root))) {
	dasm_put(Dst, 5327, (unsigned int)((ptrdiff_t)(zend_jit_trace_hot_root)), (unsigned int)(((ptrdiff_t)(zend_jit_trace_hot_root))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_trace_hot_root))) {
	dasm_put(Dst, 5330, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_trace_hot_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_trace_hot_root)))))>>32));
			if (((uintptr_t)(zend_jit_trace_hot_root)) & 0xfff) {
	dasm_put(Dst, 5333, (((uintptr_t)(zend_jit_trace_hot_root)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_trace_hot_root) & 0xffff) {
	dasm_put(Dst, 5336, ((uintptr_t)(zend_jit_trace_hot_root) & 0xffff));
			if (((uintptr_t)(zend_jit_trace_hot_root) >> 16) & 0xffff) {
	dasm_put(Dst, 5339, (((uintptr_t)(zend_jit_trace_hot_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_trace_hot_root) >> 32) & 0xffff) {
	dasm_put(Dst, 5342, (((uintptr_t)(zend_jit_trace_hot_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_trace_hot_root) >> 16) & 0xffff) {
	dasm_put(Dst, 5345, (((uintptr_t)(zend_jit_trace_hot_root) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_trace_hot_root) >> 32) & 0xffff) {
	dasm_put(Dst, 5348, (((uintptr_t)(zend_jit_trace_hot_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5351, (((uintptr_t)(zend_jit_trace_hot_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5354);
		}
#line 2301 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	tbnz RETVALw, #31, >1  // Result is < 0 on failure.
	//|	MEM_LOAD_64_ZTS ldr, FP, executor_globals, current_execute_data, REG0
	dasm_put(Dst, 5356);
		if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5359, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5363, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
	dasm_put(Dst, 5368);
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
	dasm_put(Dst, 5370, ((uint64_t)(&executor_globals.current_execute_data)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5373, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5376, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
			if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
	dasm_put(Dst, 5379, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
	dasm_put(Dst, 5382, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 5385, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 5388, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 5391, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 5394, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5397, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5400);
		}
#line 2303 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	LOAD_IP
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5402, Dt1(->opline));
		}
#line 2304 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	JMP_IP TMP1
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5405);
		} else {
	dasm_put(Dst, 5408, Dt1(->opline));
		}
#line 2305 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|1:
	//|	EXT_JMP zend_jit_halt_op->handler, REG0
	dasm_put(Dst, 5412);
		if (arm64_may_use_b(zend_jit_halt_op->handler)) {
	dasm_put(Dst, 5414, (unsigned int)((ptrdiff_t)(zend_jit_halt_op->handler)), (unsigned int)(((ptrdiff_t)(zend_jit_halt_op->handler))>>32));
		} else {
		if (((uintptr_t)(zend_jit_halt_op->handler)) == 0) {
	dasm_put(Dst, 5417);
		} else if (((uintptr_t)(zend_jit_halt_op->handler)) <= MOVZ_IMM) {
	dasm_put(Dst, 5419, ((uint64_t)(zend_jit_halt_op->handler)));
		} else if (arm64_may_use_adr((void*)(zend_jit_halt_op->handler))) {
	dasm_put(Dst, 5422, (unsigned int)((ptrdiff_t)(zend_jit_halt_op->handler)), (unsigned int)(((ptrdiff_t)(zend_jit_halt_op->handler))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_halt_op->handler))) {
	dasm_put(Dst, 5425, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_halt_op->handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_halt_op->handler)))))>>32));
			if (((uintptr_t)(zend_jit_halt_op->handler)) & 0xfff) {
	dasm_put(Dst, 5428, (((uintptr_t)(zend_jit_halt_op->handler)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_halt_op->handler) & 0xffff) {
	dasm_put(Dst, 5431, ((uintptr_t)(zend_jit_halt_op->handler) & 0xffff));
			if (((uintptr_t)(zend_jit_halt_op->handler) >> 16) & 0xffff) {
	dasm_put(Dst, 5434, (((uintptr_t)(zend_jit_halt_op->handler) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff) {
	dasm_put(Dst, 5437, (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_halt_op->handler) >> 16) & 0xffff) {
	dasm_put(Dst, 5440, (((uintptr_t)(zend_jit_halt_op->handler) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff) {
	dasm_put(Dst, 5443, (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5446, (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5449);
		}
#line 2307 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_hybrid_trace_counter_stub(dasm_State **Dst, uint32_t cost)
{
	//|	ldr REG0, EX->func
	//|	ldr REG1, [REG0, #offsetof(zend_op_array, reserved[zend_func_info_rid])]
	//|	ldr REG1, [REG1, #offsetof(zend_jit_op_array_trace_extension, offset)]
	//|	add TMP1, REG1, IP
	//|	ldr REG2, [TMP1, #offsetof(zend_op_trace_info, counter)]
	//|	ldrh TMP2w, [REG2]
	//|	ADD_SUB_32_WITH_CONST subs, TMP2w, TMP2w, cost, TMP1w
	dasm_put(Dst, 5451, Dt1(->func), offsetof(zend_op_array, reserved[zend_func_info_rid]), offsetof(zend_jit_op_array_trace_extension, offset), offsetof(zend_op_trace_info, counter));
		if (cost == 0) {
	dasm_put(Dst, 5462);
		} else if (arm64_may_encode_imm12((int64_t)(cost))) {
	dasm_put(Dst, 5464, cost);
		} else {
		if (((uint32_t)(cost)) <= MOVZ_IMM) {
	dasm_put(Dst, 5467, ((uint32_t)(cost)));
		} else if (((uint32_t)(cost) & 0xffff)) {
	dasm_put(Dst, 5470, ((uint32_t)(cost) & 0xffff));
			if ((((uint32_t)(cost) >> 16) & 0xffff)) {
	dasm_put(Dst, 5473, (((uint32_t)(cost) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5476, (((uint32_t)(cost) >> 16) & 0xffff));
		}
	dasm_put(Dst, 5479);
		}
#line 2320 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	strh TMP2w, [REG2]
	//|	ble ->hybrid_hot_trace
	dasm_put(Dst, 5481);
#line 2322 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	// Note: "REG1 + IP" is re-calculated as TMP1 is used as temporary register by the prior
	// ADD_SUB_32_WITH_CONST. Will optimize in the future if more temporary registers are available.
	//|	add TMP1, REG1, IP
	//|	ldr TMP2, [TMP1, #offsetof(zend_op_trace_info, orig_handler)]
	//|	br TMP2
	dasm_put(Dst, 5485, offsetof(zend_op_trace_info, orig_handler));
#line 2327 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_hybrid_func_trace_counter_stub(dasm_State **Dst)
{
	if (zend_jit_vm_kind != ZEND_VM_KIND_HYBRID || !JIT_G(hot_func)) {
		return 1;
	}

	//|->hybrid_func_trace_counter:
	dasm_put(Dst, 5490);
#line 2338 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return zend_jit_hybrid_trace_counter_stub(Dst,
		((ZEND_JIT_COUNTER_INIT + JIT_G(hot_func) - 1)  / JIT_G(hot_func)));
}

static int zend_jit_hybrid_ret_trace_counter_stub(dasm_State **Dst)
{
	if (zend_jit_vm_kind != ZEND_VM_KIND_HYBRID || !JIT_G(hot_return)) {
		return 1;
	}

	//|->hybrid_ret_trace_counter:
	dasm_put(Dst, 5492);
#line 2350 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return zend_jit_hybrid_trace_counter_stub(Dst,
		((ZEND_JIT_COUNTER_INIT + JIT_G(hot_return) - 1) / JIT_G(hot_return)));
}

static int zend_jit_hybrid_loop_trace_counter_stub(dasm_State **Dst)
{
	if (zend_jit_vm_kind != ZEND_VM_KIND_HYBRID || !JIT_G(hot_loop)) {
		return 1;
	}

	//|->hybrid_loop_trace_counter:
	dasm_put(Dst, 5494);
#line 2362 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return zend_jit_hybrid_trace_counter_stub(Dst,
		((ZEND_JIT_COUNTER_INIT + JIT_G(hot_loop) - 1) / JIT_G(hot_loop)));
}

static int zend_jit_trace_halt_stub(dasm_State **Dst)
{
	//|->trace_halt:
	dasm_put(Dst, 5496);
#line 2370 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 5498);
		#endif
#line 2372 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_JMP zend_jit_halt_op->handler, REG0
			if (arm64_may_use_b(zend_jit_halt_op->handler)) {
		dasm_put(Dst, 5500, (unsigned int)((ptrdiff_t)(zend_jit_halt_op->handler)), (unsigned int)(((ptrdiff_t)(zend_jit_halt_op->handler))>>32));
			} else {
			if (((uintptr_t)(zend_jit_halt_op->handler)) == 0) {
		dasm_put(Dst, 5503);
			} else if (((uintptr_t)(zend_jit_halt_op->handler)) <= MOVZ_IMM) {
		dasm_put(Dst, 5505, ((uint64_t)(zend_jit_halt_op->handler)));
			} else if (arm64_may_use_adr((void*)(zend_jit_halt_op->handler))) {
		dasm_put(Dst, 5508, (unsigned int)((ptrdiff_t)(zend_jit_halt_op->handler)), (unsigned int)(((ptrdiff_t)(zend_jit_halt_op->handler))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_halt_op->handler))) {
		dasm_put(Dst, 5511, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_halt_op->handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_halt_op->handler)))))>>32));
				if (((uintptr_t)(zend_jit_halt_op->handler)) & 0xfff) {
		dasm_put(Dst, 5514, (((uintptr_t)(zend_jit_halt_op->handler)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_halt_op->handler) & 0xffff) {
		dasm_put(Dst, 5517, ((uintptr_t)(zend_jit_halt_op->handler) & 0xffff));
				if (((uintptr_t)(zend_jit_halt_op->handler) >> 16) & 0xffff) {
		dasm_put(Dst, 5520, (((uintptr_t)(zend_jit_halt_op->handler) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff) {
		dasm_put(Dst, 5523, (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_halt_op->handler) >> 16) & 0xffff) {
		dasm_put(Dst, 5526, (((uintptr_t)(zend_jit_halt_op->handler) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff) {
		dasm_put(Dst, 5529, (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 5532, (((uintptr_t)(zend_jit_halt_op->handler) >> 32) & 0xffff));
			}
		dasm_put(Dst, 5535);
			}
#line 2373 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (GCC_GLOBAL_REGS) {
		//|	ldp x29, x30, [sp], # SPAD    // stack alignment
		//|	mov IP, xzr                   // PC must be zero
		//|	ret
		dasm_put(Dst, 5537);
#line 2377 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	ldp FP, RX, T2                // restore FP and IP
		//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
		//|	movn RETVALx, #0              // ZEND_VM_RETURN (-1)
		//|	ret
		dasm_put(Dst, 5541);
#line 2382 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_trace_exit_stub(dasm_State **Dst)
{
	//|->trace_exit:
	//|
	//|	// Save CPU registers(32 GP regs + 32 FP regs) on stack in the order of d31 to x0
	//|
	//|	stp d30, d31, [sp, #-16]!
	//|	stp d28, d29, [sp, #-16]!
	//|	stp d26, d27, [sp, #-16]!
	//|	stp d24, d25, [sp, #-16]!
	//|	stp d22, d23, [sp, #-16]!
	//|	stp d20, d21, [sp, #-16]!
	//|	stp d18, d19, [sp, #-16]!
	//|	stp d16, d17, [sp, #-16]!
	//|	//stp d14, d15, [sp, #-16]!     // we don't use preserved registers yet
	//|	//stp d12, d13, [sp, #-16]!
	//|	//stp d10, d11, [sp, #-16]!
	//|	//stp d8, d9, [sp, #-16]!
	//|	stp d6, d7, [sp, #(-16*5)]!
	//|	stp d4, d5, [sp, #-16]!
	//|	stp d2, d3, [sp, #-16]!
	//|	stp d0, d1, [sp, #-16]!
	//|
	//|	//str x30, [sp, #-16]!          // we don't use callee-saved registers yet (x31 can be omitted)
	//|	stp x28, x29, [sp, #(-16*2)]!   // we have to store RX (x28)
	//|	//stp x26, x27, [sp, #-16]!     // we don't use callee-saved registers yet
	//|	//stp x24, x25, [sp, #-16]!
	//|	//stp x22, x23, [sp, #-16]!
	//|	//stp x20, x21, [sp, #-16]!
	//|	//stp x18, x19, [sp, #-16]!
	//|	//stp x16, x17, [sp, #-16]!     // we don't need temporary registers
	//|	stp x14, x15, [sp, #-(16*7)]!
	//|	stp x12, x13, [sp, #-16]!
	//|	stp x10, x11, [sp, #-16]!
	//|	stp x8, x9, [sp, #-16]!
	//|	stp x6, x7, [sp, #-16]!
	//|	stp x4, x5, [sp, #-16]!
	//|	stp x2, x3, [sp, #-16]!
	//|	stp x0, x1, [sp, #-16]!
	//|
	//|	mov FCARG1w, TMP1w              // exit_num
	//|	mov FCARG2x, sp
	//|
	//|	// EX(opline) = opline
	//|	SAVE_IP
	dasm_put(Dst, 5546);
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5571, Dt1(->opline));
		}
#line 2431 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// zend_jit_trace_exit(trace_num, exit_num)
	//|	EXT_CALL zend_jit_trace_exit, REG0
		if (arm64_may_use_b(zend_jit_trace_exit)) {
	dasm_put(Dst, 5574, (unsigned int)((ptrdiff_t)(zend_jit_trace_exit)), (unsigned int)(((ptrdiff_t)(zend_jit_trace_exit))>>32));
		} else {
		if (((uintptr_t)(zend_jit_trace_exit)) == 0) {
	dasm_put(Dst, 5577);
		} else if (((uintptr_t)(zend_jit_trace_exit)) <= MOVZ_IMM) {
	dasm_put(Dst, 5579, ((uint64_t)(zend_jit_trace_exit)));
		} else if (arm64_may_use_adr((void*)(zend_jit_trace_exit))) {
	dasm_put(Dst, 5582, (unsigned int)((ptrdiff_t)(zend_jit_trace_exit)), (unsigned int)(((ptrdiff_t)(zend_jit_trace_exit))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_trace_exit))) {
	dasm_put(Dst, 5585, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_trace_exit))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_trace_exit)))))>>32));
			if (((uintptr_t)(zend_jit_trace_exit)) & 0xfff) {
	dasm_put(Dst, 5588, (((uintptr_t)(zend_jit_trace_exit)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_trace_exit) & 0xffff) {
	dasm_put(Dst, 5591, ((uintptr_t)(zend_jit_trace_exit) & 0xffff));
			if (((uintptr_t)(zend_jit_trace_exit) >> 16) & 0xffff) {
	dasm_put(Dst, 5594, (((uintptr_t)(zend_jit_trace_exit) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_trace_exit) >> 32) & 0xffff) {
	dasm_put(Dst, 5597, (((uintptr_t)(zend_jit_trace_exit) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_trace_exit) >> 16) & 0xffff) {
	dasm_put(Dst, 5600, (((uintptr_t)(zend_jit_trace_exit) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_trace_exit) >> 32) & 0xffff) {
	dasm_put(Dst, 5603, (((uintptr_t)(zend_jit_trace_exit) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5606, (((uintptr_t)(zend_jit_trace_exit) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5609);
		}
#line 2433 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|
	//|	add sp, sp, #(32 * 16)          // restore sp
	//|
	dasm_put(Dst, 5611);
#line 2436 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	//|	tst RETVALw, RETVALw
	//|	bne >1  // not zero
	dasm_put(Dst, 5613);
#line 2439 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	//|	// execute_data = EG(current_execute_data)
	//|	MEM_LOAD_64_ZTS ldr, FP, executor_globals, current_execute_data, REG0
		if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5617, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5621, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
	dasm_put(Dst, 5626);
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
	dasm_put(Dst, 5628, ((uint64_t)(&executor_globals.current_execute_data)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5631, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5634, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
			if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
	dasm_put(Dst, 5637, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
	dasm_put(Dst, 5640, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 5643, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 5646, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 5649, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 5652, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5655, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5658);
		}
#line 2442 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// opline = EX(opline)
	//|	LOAD_IP
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5660, Dt1(->opline));
		}
#line 2444 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 5663);
		#endif
#line 2447 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	JMP_IP TMP1
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 5665);
			} else {
		dasm_put(Dst, 5668, Dt1(->opline));
			}
#line 2448 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (GCC_GLOBAL_REGS) {
		//|	ldp x29, x30, [sp], # SPAD    // stack alignment
		//|	JMP_IP TMP1
		dasm_put(Dst, 5672);
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 5674);
			} else {
		dasm_put(Dst, 5677, Dt1(->opline));
			}
#line 2451 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	ldp FP, RX, T2                // restore FP and IP
		//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
		//|	mov RETVALx, #1               // ZEND_VM_ENTER
		//|	ret
		dasm_put(Dst, 5681);
#line 2456 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|1:
	//|	blt ->trace_halt
	dasm_put(Dst, 5686);
#line 2460 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	//|	// execute_data = EG(current_execute_data)
	//|	MEM_LOAD_64_ZTS ldr, FP, executor_globals, current_execute_data, REG0
		if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5690, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5694, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
	dasm_put(Dst, 5699);
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
	dasm_put(Dst, 5701, ((uint64_t)(&executor_globals.current_execute_data)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5704, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 5707, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
			if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
	dasm_put(Dst, 5710, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
	dasm_put(Dst, 5713, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 5716, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 5719, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 5722, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 5725, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5728, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5731);
		}
#line 2463 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// opline = EX(opline)
	//|	LOAD_IP
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 5733, Dt1(->opline));
		}
#line 2465 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	//|	// check for interrupt (try to avoid this ???)
	//|	MEM_LOAD_8_ZTS ldrb, TMP1w, executor_globals, vm_interrupt, TMP1
		if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 5736, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
		} else if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 5740, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32), (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.vm_interrupt)) == 0) {
	dasm_put(Dst, 5745);
		} else if (((uintptr_t)(&executor_globals.vm_interrupt)) <= MOVZ_IMM) {
	dasm_put(Dst, 5747, ((uint64_t)(&executor_globals.vm_interrupt)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 5750, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 5753, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32));
			if (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff) {
	dasm_put(Dst, 5756, (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff) {
	dasm_put(Dst, 5759, ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
	dasm_put(Dst, 5762, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
	dasm_put(Dst, 5765, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
	dasm_put(Dst, 5768, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
	dasm_put(Dst, 5771, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 5774, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
		}
	dasm_put(Dst, 5777);
		}
#line 2468 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	cbnz TMP1w, ->interrupt_handler
	dasm_put(Dst, 5779);
#line 2469 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 5782);
		#endif
#line 2472 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr REG0, EX->func
		//|	ldr REG0, [REG0, #offsetof(zend_op_array, reserved[zend_func_info_rid])]
		//|	ldr REG0, [REG0, #offsetof(zend_jit_op_array_trace_extension, offset)]
		//|	ldr REG0, [IP, REG0]
		//|	br REG0
		dasm_put(Dst, 5784, Dt1(->func), offsetof(zend_op_array, reserved[zend_func_info_rid]), offsetof(zend_jit_op_array_trace_extension, offset));
#line 2477 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (GCC_GLOBAL_REGS) {
		//|	ldp x29, x30, [sp], # SPAD    // stack alignment
		//|	ldr REG0, EX->func
		//|	ldr REG0, [REG0, #offsetof(zend_op_array, reserved[zend_func_info_rid])]
		//|	ldr REG0, [REG0, #offsetof(zend_jit_op_array_trace_extension, offset)]
		//|	ldr REG0, [IP, REG0]
		//|	br REG0
		dasm_put(Dst, 5793, Dt1(->func), offsetof(zend_op_array, reserved[zend_func_info_rid]), offsetof(zend_jit_op_array_trace_extension, offset));
#line 2484 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	ldr IP, EX->opline
		//|	mov FCARG1x, FP
		//|	ldr REG0, EX->func
		//|	ldr REG0, [REG0, #offsetof(zend_op_array, reserved[zend_func_info_rid])]
		//|	ldr REG0, [REG0, #offsetof(zend_jit_op_array_trace_extension, offset)]
		//|	ldr REG0, [IP, REG0]
		//|	blr REG0
		//|
		//|	tst RETVALw, RETVALw
		//|	blt ->trace_halt
		//|
		//|	ldp FP, RX, T2                // restore FP and IP
		//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
		//|	mov RETVALx, #1               // ZEND_VM_ENTER
		//|	ret
		dasm_put(Dst, 5803, Dt1(->opline), Dt1(->func), offsetof(zend_op_array, reserved[zend_func_info_rid]), offsetof(zend_jit_op_array_trace_extension, offset));
#line 2500 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_trace_escape_stub(dasm_State **Dst)
{
	//|->trace_escape:
	//|
	dasm_put(Dst, 5822);
#line 2509 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 5824);
		#endif
#line 2511 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	JMP_IP, TMP1
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 5826);
			} else {
		dasm_put(Dst, 5829, Dt1(->opline));
			}
#line 2512 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (GCC_GLOBAL_REGS) {
		//|	ldp x29, x30, [sp], # SPAD    // stack alignment
		//|	JMP_IP, TMP1
		dasm_put(Dst, 5833);
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 5835);
			} else {
		dasm_put(Dst, 5838, Dt1(->opline));
			}
#line 2515 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	ldp FP, RX, T2                // restore FP and IP
		//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
		//|	mov RETVALx, #1               // ZEND_VM_ENTER
		//|	ret
		dasm_put(Dst, 5842);
#line 2520 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

/* Keep 32 exit points in a single code block */
#define ZEND_JIT_EXIT_POINTS_SPACING    4 // bl = bytes
#define ZEND_JIT_EXIT_POINTS_PER_GROUP 32 // number of continuous exit points

static int zend_jit_trace_exit_group_stub(dasm_State **Dst, uint32_t n)
{
	uint32_t i;

	//|	bl >2
	//|1:
	dasm_put(Dst, 5847);
#line 2535 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	for (i = 1; i < ZEND_JIT_EXIT_POINTS_PER_GROUP; i++) {
		//|	bl >2
		dasm_put(Dst, 5851);
#line 2537 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|2:
	//|	adr TMP1, <1
	//|	sub TMP1, lr, TMP1
	//|	lsr TMP1, TMP1, #2
	dasm_put(Dst, 5854);
#line 2542 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (n) {
		//|	ADD_SUB_32_WITH_CONST add, TMP1w, TMP1w, n, TMP2w
			if (n == 0) {
		dasm_put(Dst, 5860);
			} else if (arm64_may_encode_imm12((int64_t)(n))) {
		dasm_put(Dst, 5862, n);
			} else {
			if (((uint32_t)(n)) <= MOVZ_IMM) {
		dasm_put(Dst, 5865, ((uint32_t)(n)));
			} else if (((uint32_t)(n) & 0xffff)) {
		dasm_put(Dst, 5868, ((uint32_t)(n) & 0xffff));
				if ((((uint32_t)(n) >> 16) & 0xffff)) {
		dasm_put(Dst, 5871, (((uint32_t)(n) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 5874, (((uint32_t)(n) >> 16) & 0xffff));
			}
		dasm_put(Dst, 5877);
			}
#line 2544 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	b ->trace_exit // pass exit_num in TMP1w
	dasm_put(Dst, 5879);
#line 2546 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

#ifdef CONTEXT_THREADED_JIT
static int zend_jit_context_threaded_call_stub(dasm_State **Dst)
{
	//|->context_threaded_call:
	//|	NIY_STUB	// TODO
	dasm_put(Dst, 5882);
		//ZEND_ASSERT(0);
	dasm_put(Dst, 5884);
#line 2555 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}
#endif

static int zend_jit_assign_const_stub(dasm_State **Dst)
{
	zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG2, 0);
	uint32_t val_info = MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN;

	//|->assign_const:
	//|	stp x29, x30, [sp, #-32]!
	//|	mov x29, sp
	dasm_put(Dst, 5886);
#line 2568 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (!zend_jit_assign_to_variable(
			Dst, NULL,
			var_addr, var_addr, -1, -1,
			IS_CONST, val_addr, val_info,
			0, 0)) {
		return 0;
	}
	//|	ldp x29, x30, [sp], #32
	//|	ret
	dasm_put(Dst, 5890);
#line 2577 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_assign_tmp_stub(dasm_State **Dst)
{
	zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG2, 0);
	uint32_t val_info = MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN;

	//|->assign_tmp:
	//|	stp x29, x30, [sp, #-32]!
	//|	mov x29, sp
	dasm_put(Dst, 5893);
#line 2589 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (!zend_jit_assign_to_variable(
			Dst, NULL,
			var_addr, var_addr, -1, -1,
			IS_TMP_VAR, val_addr, val_info,
			0, 0)) {
		return 0;
	}
	//|	ldp x29, x30, [sp], #32
	//|	ret
	dasm_put(Dst, 5897);
#line 2598 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_assign_var_stub(dasm_State **Dst)
{
	zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG2, 0);
	uint32_t val_info = MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF;

	//|->assign_var:
	//|	stp x29, x30, [sp, #-32]!
	//|	mov x29, sp
	dasm_put(Dst, 5900);
#line 2610 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (!zend_jit_assign_to_variable(
			Dst, NULL,
			var_addr, var_addr, -1, -1,
			IS_VAR, val_addr, val_info,
			0, 0)) {
		return 0;
	}
	//|	ldp x29, x30, [sp], #32
	//|	ret
	dasm_put(Dst, 5904);
#line 2619 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_assign_cv_noref_stub(dasm_State **Dst)
{
	zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG2, 0);
	uint32_t val_info = MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN/*|MAY_BE_UNDEF*/;

	//|->assign_cv_noref:
	//|	stp x29, x30, [sp, #-32]!
	//|	mov x29, sp
	dasm_put(Dst, 5907);
#line 2631 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (!zend_jit_assign_to_variable(
			Dst, NULL,
			var_addr, var_addr, -1, -1,
			IS_CV, val_addr, val_info,
			0, 0)) {
		return 0;
	}
	//|	ldp x29, x30, [sp], #32
	//|	ret
	dasm_put(Dst, 5911);
#line 2640 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_assign_cv_stub(dasm_State **Dst)
{
	zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG2, 0);
	uint32_t val_info = MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN|MAY_BE_REF/*|MAY_BE_UNDEF*/;

	//|->assign_cv:
	//|	stp x29, x30, [sp, #-32]!
	//|	mov x29, sp
	dasm_put(Dst, 5914);
#line 2652 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (!zend_jit_assign_to_variable(
			Dst, NULL,
			var_addr, var_addr, -1, -1,
			IS_CV, val_addr, val_info,
			0, 0)) {
		return 0;
	}
	//|	ldp x29, x30, [sp], #32
	//|	ret
	dasm_put(Dst, 5918);
#line 2661 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static const zend_jit_stub zend_jit_stubs[] = {
	JIT_STUB(interrupt_handler,         SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(exception_handler,         SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(exception_handler_undef,   SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(exception_handler_free_op1_op2, SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(exception_handler_free_op2,     SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(leave_function,            SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(leave_throw,               SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(icall_throw,               SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(throw_cannot_pass_by_ref,  SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(undefined_offset,          SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(undefined_index,           SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(cannot_add_element,        SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(undefined_offset_ex,       SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(undefined_index_ex,        SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(cannot_add_element_ex,     SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(undefined_function,        SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(negative_shift,            SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(mod_by_zero,               SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(invalid_this,              SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(trace_halt,                SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(trace_exit,                SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(trace_escape,              SP_ADJ_JIT,  SP_ADJ_VM),
	JIT_STUB(hybrid_runtime_jit,        SP_ADJ_VM,   SP_ADJ_NONE),
	JIT_STUB(hybrid_profile_jit,        SP_ADJ_VM,   SP_ADJ_NONE),
	JIT_STUB(hybrid_hot_code,           SP_ADJ_VM,   SP_ADJ_NONE),
	JIT_STUB(hybrid_func_hot_counter,   SP_ADJ_VM,   SP_ADJ_NONE),
	JIT_STUB(hybrid_loop_hot_counter,   SP_ADJ_VM,   SP_ADJ_NONE),
	JIT_STUB(hybrid_hot_trace,          SP_ADJ_VM,   SP_ADJ_NONE),
	JIT_STUB(hybrid_func_trace_counter, SP_ADJ_VM,   SP_ADJ_NONE),
	JIT_STUB(hybrid_ret_trace_counter,  SP_ADJ_VM,   SP_ADJ_NONE),
	JIT_STUB(hybrid_loop_trace_counter, SP_ADJ_VM,   SP_ADJ_NONE),
	JIT_STUB(assign_const,              SP_ADJ_RET,  SP_ADJ_ASSIGN),
	JIT_STUB(assign_tmp,                SP_ADJ_RET,  SP_ADJ_ASSIGN),
	JIT_STUB(assign_var,                SP_ADJ_RET,  SP_ADJ_ASSIGN),
	JIT_STUB(assign_cv_noref,           SP_ADJ_RET,  SP_ADJ_ASSIGN),
	JIT_STUB(assign_cv,                 SP_ADJ_RET,  SP_ADJ_ASSIGN),
#ifdef CONTEXT_THREADED_JIT
	JIT_STUB(context_threaded_call,     SP_ADJ_NONE, SP_ADJ_NONE),
#endif
};

#ifdef HAVE_GDB
# if 0
typedef struct _Unwind_Context _Unwind_Context;
typedef int (*_Unwind_Trace_Fn)(_Unwind_Context *, void *);
extern int _Unwind_Backtrace(_Unwind_Trace_Fn, void *);
extern uintptr_t _Unwind_GetCFA(_Unwind_Context *);

typedef struct _zend_jit_unwind_arg {
	int cnt;
	uintptr_t cfa[3];
} zend_jit_unwind_arg;

static int zend_jit_unwind_cb(_Unwind_Context *ctx, void *a)
{
	zend_jit_unwind_arg *arg = (zend_jit_unwind_arg*)a;
	arg->cfa[arg->cnt] = _Unwind_GetCFA(ctx);
	arg->cnt++;
	if (arg->cnt == 3) {
		return 5; // _URC_END_OF_STACK
	}
	return 0;     // _URC_NO_REASON;
}

static void ZEND_FASTCALL zend_jit_touch_vm_stack_data(void *vm_stack_data)
{
	zend_jit_unwind_arg arg;

	memset(&arg, 0, sizeof(arg));
	_Unwind_Backtrace(zend_jit_unwind_cb, &arg);
	if (arg.cnt == 3) {
		sp_adj[SP_ADJ_VM] = arg.cfa[2] - arg.cfa[1];
	}
}
# else
static void ZEND_FASTCALL zend_jit_touch_vm_stack_data(void *vm_stack_data)
{
	uintptr_t ret;

	__asm__ (
		"ldr %0, [x29]\n\t"
		"sub %0 ,%0, x29"
		: "=r"(ret));

	sp_adj[SP_ADJ_VM] = ret;
}
# endif

extern void (ZEND_FASTCALL *zend_touch_vm_stack_data)(void *vm_stack_data);

static zend_never_inline void zend_jit_set_sp_adj_vm(void)
{
	void (ZEND_FASTCALL *orig_zend_touch_vm_stack_data)(void *);

	orig_zend_touch_vm_stack_data = zend_touch_vm_stack_data;
	zend_touch_vm_stack_data = zend_jit_touch_vm_stack_data;
	execute_ex(NULL);                                        // set sp_adj[SP_ADJ_VM]
	zend_touch_vm_stack_data = orig_zend_touch_vm_stack_data;
}
#endif

static int zend_jit_setup(void)
{
	allowed_opt_flags = 0;

#if ZTS
	tsrm_ls_cache_tcb_offset = tsrm_get_ls_cache_tcb_offset();
# if defined(__FreeBSD__)
	if (tsrm_ls_cache_tcb_offset == 0) {
		TLSDescriptor **where;

		__asm__(
			"adrp %0, :tlsdesc:_tsrm_ls_cache\n"
			"add %0, %0, :tlsdesc_lo12:_tsrm_ls_cache\n"
			: "=r" (where));
		/* See https://github.com/ARM-software/abi-aa/blob/2a70c42d62e9c3eb5887fa50b71257f20daca6f9/aaelf64/aaelf64.rst
		 * section "Relocations for thread-local storage".
		 * The first entry holds a pointer to the variable's TLS descriptor resolver function and the second entry holds
		 * a platform-specific offset or pointer. */
		TLSDescriptor *tlsdesc = where[1];

		tsrm_tls_offset = tlsdesc->offset;
		/* Index is offset by 1 on FreeBSD (https://github.com/freebsd/freebsd-src/blob/22ca6db50f4e6bd75a141f57cf953d8de6531a06/lib/libc/gen/tls.c#L88) */
		tsrm_tls_index = (tlsdesc->index + 1) * 8;
	}
# else
	ZEND_ASSERT(tsrm_ls_cache_tcb_offset != 0);
# endif
#endif

    memset(sp_adj, 0, sizeof(sp_adj));
#ifdef HAVE_GDB
	sp_adj[SP_ADJ_RET] = 0;
	sp_adj[SP_ADJ_ASSIGN] = 32;
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		zend_jit_set_sp_adj_vm();                                // set sp_adj[SP_ADJ_VM]
#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		 sp_adj[SP_ADJ_JIT] = sp_adj[SP_ADJ_VM] + 32; // sub r4, 32
#else
		 sp_adj[SP_ADJ_JIT] = sp_adj[SP_ADJ_VM];
#endif
	} else if (GCC_GLOBAL_REGS) {
		 sp_adj[SP_ADJ_JIT] = sp_adj[SP_ADJ_RET] + 0x20;       // sub r4, 0x20
	} else {
		 sp_adj[SP_ADJ_JIT] = sp_adj[SP_ADJ_RET] + 0x30;    // sub r4, 0x30
	}
#endif

	return SUCCESS;
}

static ZEND_ATTRIBUTE_UNUSED int zend_jit_trap(dasm_State **Dst)
{
	//|	brk #0
	dasm_put(Dst, 5921);
#line 2819 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_align_func(dasm_State **Dst)
{
	reuse_ip = 0;
	delayed_call_chain = 0;
	last_valid_opline = NULL;
	use_last_vald_opline = 0;
	track_last_valid_opline = 0;
	jit_return_label = -1;
	//|.align 16
	dasm_put(Dst, 5923);
#line 2831 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_prologue(dasm_State **Dst)
{
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		//|	SUB_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 5925);
		#endif
#line 2838 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (GCC_GLOBAL_REGS) {
		//|	stp x29, x30, [sp, # -SPAD]!    // stack alignment
		//|//	mov x29, sp
		dasm_put(Dst, 5927);
#line 2841 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	stp x29, x30, [sp, # -NR_SPAD]! // stack alignment
		//|//	mov	x29, sp
		//|	stp FP, RX, T2                  // save FP and IP
		//|	mov FP, FCARG1x
		dasm_put(Dst, 5929);
#line 2846 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_label(dasm_State **Dst, unsigned int label)
{
	//|=>label:
	dasm_put(Dst, 5933, label);
#line 2853 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_save_call_chain(dasm_State **Dst, uint32_t call_level)
{
	//|	// call->prev_execute_data = EX(call);
	if (call_level == 1) {
		//|	str xzr, EX:RX->prev_execute_data
		dasm_put(Dst, 5935, Dt1(->prev_execute_data));
#line 2861 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	ldr REG0, EX->call
		//|	str REG0, EX:RX->prev_execute_data
		dasm_put(Dst, 5938, Dt1(->call), Dt1(->prev_execute_data));
#line 2864 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	// EX(call) = call;
	//|	str RX, EX->call
	dasm_put(Dst, 5943, Dt1(->call));
#line 2867 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	delayed_call_chain = 0;

	return 1;
}

static int zend_jit_set_ip(dasm_State **Dst, const zend_op *opline)
{
	if (last_valid_opline == opline) {
		zend_jit_use_last_valid_opline();
	} else if (GCC_GLOBAL_REGS && last_valid_opline) {
		zend_jit_use_last_valid_opline();
		//|	LOAD_64BIT_VAL TMP1, (opline - last_valid_opline) * sizeof(zend_op)
			if (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op))) == 0) {
		dasm_put(Dst, 5946);
			} else if (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op))) <= MOVZ_IMM) {
		dasm_put(Dst, 5948, ((uint64_t)((opline - last_valid_opline) * sizeof(zend_op))));
			} else if (~((uint64_t)((opline - last_valid_opline) * sizeof(zend_op))) <= MOVZ_IMM) {
		dasm_put(Dst, 5951, (~((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)))));
			} else if ((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) & 0xffff) {
		dasm_put(Dst, 5954, ((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) & 0xffff));
				if (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 16) & 0xffff) {
		dasm_put(Dst, 5957, (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 16) & 0xffff));
				}
				if (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 32) & 0xffff) {
		dasm_put(Dst, 5960, (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 32) & 0xffff));
				}
				if ((((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 48) & 0xffff)) {
		dasm_put(Dst, 5963, (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 16) & 0xffff) {
		dasm_put(Dst, 5966, (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 16) & 0xffff));
				if (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 32) & 0xffff) {
		dasm_put(Dst, 5969, (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 32) & 0xffff));
				}
				if ((((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 48) & 0xffff)) {
		dasm_put(Dst, 5972, (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 32) & 0xffff) {
		dasm_put(Dst, 5975, (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 32) & 0xffff));
				if ((((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 48) & 0xffff)) {
		dasm_put(Dst, 5978, (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 5981, (((uint64_t)((opline - last_valid_opline) * sizeof(zend_op)) >> 48) & 0xffff));
			}
#line 2880 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ADD_IP TMP1, TMP2
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 5984);
			} else {
		dasm_put(Dst, 5986, Dt1(->opline), Dt1(->opline));
			}
#line 2881 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	LOAD_IP_ADDR opline
			if (GCC_GLOBAL_REGS) {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 5992);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 5994, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 5997, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 6000, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 6003, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 6006, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 6009, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 6012, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 6015, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 6018, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6021, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 6024);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 6026, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 6029, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 6032, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 6035, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 6038, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 6041, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 6044, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 6047, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 6050, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6053, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 6056, Dt1(->opline));
			}
#line 2883 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	zend_jit_set_last_valid_opline(opline);

	return 1;
}

static int zend_jit_set_ip_ex(dasm_State **Dst, const zend_op *opline, bool set_ip_reg)
{
	return zend_jit_set_ip(Dst, opline);
}

static int zend_jit_set_valid_ip(dasm_State **Dst, const zend_op *opline)
{
	if (delayed_call_chain) {
		if (!zend_jit_save_call_chain(Dst, delayed_call_level)) {
			return 0;
		}
	}
	if (!zend_jit_set_ip(Dst, opline)) {
		return 0;
	}
	reuse_ip = 0;
	return 1;
}

static int zend_jit_check_timeout(dasm_State **Dst, const zend_op *opline, const void *exit_addr)
{
	//|	MEM_LOAD_8_ZTS ldrb, TMP1w, executor_globals, vm_interrupt, TMP1
		if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 6059, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
		} else if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 6063, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32), (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.vm_interrupt)) == 0) {
	dasm_put(Dst, 6068);
		} else if (((uintptr_t)(&executor_globals.vm_interrupt)) <= MOVZ_IMM) {
	dasm_put(Dst, 6070, ((uint64_t)(&executor_globals.vm_interrupt)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 6073, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
	dasm_put(Dst, 6076, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32));
			if (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff) {
	dasm_put(Dst, 6079, (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff) {
	dasm_put(Dst, 6082, ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
	dasm_put(Dst, 6085, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
	dasm_put(Dst, 6088, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
	dasm_put(Dst, 6091, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
	dasm_put(Dst, 6094, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6097, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
		}
	dasm_put(Dst, 6100);
		}
#line 2911 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (exit_addr) {
		//|	cbnz TMP1w, &exit_addr
		dasm_put(Dst, 6102, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 2913 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (last_valid_opline == opline) {
			zend_jit_use_last_valid_opline();
		//|	cbnz TMP1w, ->interrupt_handler
		dasm_put(Dst, 6105);
#line 2916 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	cbnz TMP1w, >1
		//|.cold_code
		dasm_put(Dst, 6108);
#line 2919 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	LOAD_IP_ADDR opline
		dasm_put(Dst, 6111);
			if (GCC_GLOBAL_REGS) {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 6113);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 6115, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 6118, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 6121, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 6124, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 6127, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 6130, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 6133, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 6136, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 6139, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6142, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 6145);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 6147, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 6150, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 6153, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 6156, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 6159, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 6162, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 6165, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 6168, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 6171, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6174, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 6177, Dt1(->opline));
			}
#line 2921 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b ->interrupt_handler
		//|.code
		dasm_put(Dst, 6180);
#line 2923 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_trace_end_loop(dasm_State **Dst, int loop_label, const void *timeout_exit_addr)
{
	if (timeout_exit_addr) {
		//|	MEM_LOAD_8_ZTS ldrb, TMP1w, executor_globals, vm_interrupt, TMP1
			if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
		dasm_put(Dst, 6183, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
			} else if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
		dasm_put(Dst, 6187, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32), (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.vm_interrupt)) == 0) {
		dasm_put(Dst, 6192);
			} else if (((uintptr_t)(&executor_globals.vm_interrupt)) <= MOVZ_IMM) {
		dasm_put(Dst, 6194, ((uint64_t)(&executor_globals.vm_interrupt)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
		dasm_put(Dst, 6197, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
		dasm_put(Dst, 6200, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32));
				if (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff) {
		dasm_put(Dst, 6203, (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff) {
		dasm_put(Dst, 6206, ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
		dasm_put(Dst, 6209, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
		dasm_put(Dst, 6212, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
		dasm_put(Dst, 6215, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
		dasm_put(Dst, 6218, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6221, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
			}
		dasm_put(Dst, 6224);
			}
#line 2931 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbz TMP1w, =>loop_label
		//|	b &timeout_exit_addr
		dasm_put(Dst, 6226, loop_label, (unsigned int)((ptrdiff_t)(timeout_exit_addr)), (unsigned int)(((ptrdiff_t)(timeout_exit_addr))>>32));
#line 2933 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	b =>loop_label
		dasm_put(Dst, 6231, loop_label);
#line 2935 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_check_exception(dasm_State **Dst)
{
	//|	MEM_LOAD_64_ZTS ldr, TMP2, executor_globals, exception, TMP1
		if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
	dasm_put(Dst, 6234, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
		} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
	dasm_put(Dst, 6238, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.exception)) == 0) {
	dasm_put(Dst, 6243);
		} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
	dasm_put(Dst, 6245, ((uint64_t)(&executor_globals.exception)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
	dasm_put(Dst, 6248, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
	dasm_put(Dst, 6251, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
			if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
	dasm_put(Dst, 6254, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
	dasm_put(Dst, 6257, ((uintptr_t)(&executor_globals.exception) & 0xffff));
			if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
	dasm_put(Dst, 6260, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
	dasm_put(Dst, 6263, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
	dasm_put(Dst, 6266, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
	dasm_put(Dst, 6269, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6272, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
		}
	dasm_put(Dst, 6275);
		}
#line 2942 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	cbnz TMP2, ->exception_handler
	dasm_put(Dst, 6277);
#line 2943 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_check_exception_undef_result(dasm_State **Dst, const zend_op *opline)
{
	if (opline->result_type & (IS_TMP_VAR|IS_VAR)) {
		//|	MEM_LOAD_64_ZTS ldr, TMP2, executor_globals, exception, TMP1
			if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 6280, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 6284, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.exception)) == 0) {
		dasm_put(Dst, 6289);
			} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
		dasm_put(Dst, 6291, ((uint64_t)(&executor_globals.exception)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 6294, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 6297, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
				if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
		dasm_put(Dst, 6300, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
		dasm_put(Dst, 6303, ((uintptr_t)(&executor_globals.exception) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 6306, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 6309, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 6312, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 6315, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6318, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
			}
		dasm_put(Dst, 6321);
			}
#line 2950 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbnz TMP2, ->exception_handler_undef
		dasm_put(Dst, 6323);
#line 2951 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		return 1;
	}
	return zend_jit_check_exception(Dst);
}

static int zend_jit_trace_begin(dasm_State **Dst, uint32_t trace_num, zend_jit_trace_info *parent, uint32_t exit_num)
{

	current_trace_num = trace_num;

	//|	// EG(jit_trace_num) = trace_num;
	//|	LOAD_32BIT_VAL TMP1w, trace_num
		if (((uint32_t)(trace_num)) <= MOVZ_IMM) {
	dasm_put(Dst, 6326, ((uint32_t)(trace_num)));
		} else if (((uint32_t)(trace_num) & 0xffff)) {
	dasm_put(Dst, 6329, ((uint32_t)(trace_num) & 0xffff));
			if ((((uint32_t)(trace_num) >> 16) & 0xffff)) {
	dasm_put(Dst, 6332, (((uint32_t)(trace_num) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6335, (((uint32_t)(trace_num) >> 16) & 0xffff));
		}
#line 2963 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	MEM_STORE_32_ZTS str, TMP1w, executor_globals, jit_trace_num, TMP2
		if (((uintptr_t)(&executor_globals.jit_trace_num)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.jit_trace_num))) {
	dasm_put(Dst, 6338, (unsigned int)((ptrdiff_t)(&executor_globals.jit_trace_num)), (unsigned int)(((ptrdiff_t)(&executor_globals.jit_trace_num))>>32));
		} else if (((uintptr_t)(&executor_globals.jit_trace_num)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.jit_trace_num))) {
	dasm_put(Dst, 6342, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.jit_trace_num))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.jit_trace_num)))))>>32), (((uintptr_t)(&executor_globals.jit_trace_num)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.jit_trace_num)) == 0) {
	dasm_put(Dst, 6347);
		} else if (((uintptr_t)(&executor_globals.jit_trace_num)) <= MOVZ_IMM) {
	dasm_put(Dst, 6349, ((uint64_t)(&executor_globals.jit_trace_num)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.jit_trace_num))) {
	dasm_put(Dst, 6352, (unsigned int)((ptrdiff_t)(&executor_globals.jit_trace_num)), (unsigned int)(((ptrdiff_t)(&executor_globals.jit_trace_num))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.jit_trace_num))) {
	dasm_put(Dst, 6355, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.jit_trace_num))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.jit_trace_num)))))>>32));
			if (((uintptr_t)(&executor_globals.jit_trace_num)) & 0xfff) {
	dasm_put(Dst, 6358, (((uintptr_t)(&executor_globals.jit_trace_num)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.jit_trace_num) & 0xffff) {
	dasm_put(Dst, 6361, ((uintptr_t)(&executor_globals.jit_trace_num) & 0xffff));
			if (((uintptr_t)(&executor_globals.jit_trace_num) >> 16) & 0xffff) {
	dasm_put(Dst, 6364, (((uintptr_t)(&executor_globals.jit_trace_num) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.jit_trace_num) >> 32) & 0xffff) {
	dasm_put(Dst, 6367, (((uintptr_t)(&executor_globals.jit_trace_num) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.jit_trace_num) >> 16) & 0xffff) {
	dasm_put(Dst, 6370, (((uintptr_t)(&executor_globals.jit_trace_num) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.jit_trace_num) >> 32) & 0xffff) {
	dasm_put(Dst, 6373, (((uintptr_t)(&executor_globals.jit_trace_num) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6376, (((uintptr_t)(&executor_globals.jit_trace_num) >> 32) & 0xffff));
		}
	dasm_put(Dst, 6379);
		}
#line 2964 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_trace_end(dasm_State **Dst, zend_jit_trace_info *t)
{
	uint32_t i;
	const void *exit_addr;

	/* Emit veneers table for exit points (B instruction for each exit number) */
	//|.cold_code
	dasm_put(Dst, 6381);
#line 2975 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	for (i = 0; i < t->exit_count; i++) {
		exit_addr = zend_jit_trace_get_exit_addr(i);
		if (!exit_addr) {
			return 0;
		}
		//|	b &exit_addr
		dasm_put(Dst, 6382, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 2981 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|=>1: // end of the code
	//|.code
	dasm_put(Dst, 6385, 1);
#line 2984 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_patch(const void *code, size_t size, uint32_t jmp_table_size, const void *from_addr, const void *to_addr)
{
	int ret = 0;
	uint8_t *p, *end;
	const void *veneer = NULL;
	ptrdiff_t delta;

	if (jmp_table_size) {
		const void **jmp_slot = (const void **)((char*)code + ZEND_MM_ALIGNED_SIZE_EX(size, sizeof(void*)));

		do {
			if (*jmp_slot == from_addr) {
				*jmp_slot = to_addr;
				ret++;
			}
			jmp_slot++;
		} while (--jmp_table_size);
	}

	end = (uint8_t*)code;
	p = end + size;
	while (p > end) {
		uint32_t *ins_ptr;
		uint32_t ins;

		p -= 4;
		ins_ptr = (uint32_t*)p;
		ins = *ins_ptr;
		if ((ins & 0xfc000000u) == 0x14000000u) {
			// B (imm26:0..25)
			delta = (uint32_t*)from_addr - ins_ptr;
			if (((ins ^ (uint32_t)delta) & 0x01ffffffu) == 0) {
				delta = (uint32_t*)to_addr - ins_ptr;
				if (((delta + 0x02000000) >> 26) != 0) {
					abort(); // branch target out of range
				}
				*ins_ptr = (ins & 0xfc000000u) | ((uint32_t)delta & 0x03ffffffu);
				ret++;
				if (!veneer) {
					veneer = p;
				}
			}
		} else if ((ins & 0xff000000u) == 0x54000000u ||
		           (ins & 0x7e000000u) == 0x34000000u) {
			// B.cond, CBZ, CBNZ (imm19:5..23)
			delta = (uint32_t*)from_addr - ins_ptr;
			if (((ins ^ ((uint32_t)delta << 5)) & 0x00ffffe0u) == 0) {
				delta = (uint32_t*)to_addr - ins_ptr;
				if (((delta + 0x40000) >> 19) != 0) {
					if (veneer) {
						delta = (uint32_t*)veneer - ins_ptr;
						if (((delta + 0x40000) >> 19) != 0) {
							abort(); // branch target out of range
						}
					} else {
						abort(); // branch target out of range
					}
				}
				*ins_ptr = (ins & 0xff00001fu) | (((uint32_t)delta & 0x7ffffu) << 5);
				ret++;
			}
		} else if ((ins & 0x7e000000u) == 0x36000000u) {
			// TBZ, TBNZ (imm14:5..18)
			delta = (uint32_t*)from_addr - ins_ptr;
			if (((ins ^ ((uint32_t)delta << 5)) & 0x0007ffe0u) == 0) {
				delta = (uint32_t*)to_addr - ins_ptr;
				if (((delta + 0x2000) >> 14) != 0) {
					if (veneer) {
						delta = (uint32_t*)veneer - ins_ptr;
						if (((delta + 0x2000) >> 14) != 0) {
							abort(); // branch target out of range
						}
					} else {
						abort(); // branch target out of range
					}
				}
				*ins_ptr = (ins & 0xfff8001fu) | (((uint32_t)delta & 0x3fffu) << 5);
				ret++;
			}
		}
	}

	JIT_CACHE_FLUSH(code, (char*)code + size);

#ifdef HAVE_VALGRIND
	VALGRIND_DISCARD_TRANSLATIONS(code, size);
#endif

	return ret;
}

static int zend_jit_link_side_trace(const void *code, size_t size, uint32_t jmp_table_size, uint32_t exit_num, const void *addr)
{
	return zend_jit_patch(code, size, jmp_table_size, zend_jit_trace_get_exit_addr(exit_num), addr);
}

static int zend_jit_trace_link_to_root(dasm_State **Dst, zend_jit_trace_info *t, const void *timeout_exit_addr)
{
	const void *link_addr;
	size_t prologue_size;

	/* Skip prologue. */
	// TODO: don't hardcode this ???
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
#ifdef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		prologue_size = 0;
#else
		// sub sp, sp, #0x20
		prologue_size = 4;
#endif
	} else if (GCC_GLOBAL_REGS) {
		// stp x29, x30, [sp, # -SPAD]!
		prologue_size = 4;
	} else {
		// stp x29, x30, [sp, # -NR_SPAD]! // stack alignment
		// stp FP, RX, T2
		// mov FP, FCARG1x
		prologue_size = 12;
	}
	link_addr = (const void*)((const char*)t->code_start + prologue_size);

	if (timeout_exit_addr) {
		/* Check timeout for links to LOOP */
		//|	MEM_LOAD_8_ZTS ldrb, TMP1w, executor_globals, vm_interrupt, TMP1
			if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
		dasm_put(Dst, 6387, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
			} else if (((uintptr_t)(&executor_globals.vm_interrupt)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
		dasm_put(Dst, 6391, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32), (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.vm_interrupt)) == 0) {
		dasm_put(Dst, 6396);
			} else if (((uintptr_t)(&executor_globals.vm_interrupt)) <= MOVZ_IMM) {
		dasm_put(Dst, 6398, ((uint64_t)(&executor_globals.vm_interrupt)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.vm_interrupt))) {
		dasm_put(Dst, 6401, (unsigned int)((ptrdiff_t)(&executor_globals.vm_interrupt)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_interrupt))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_interrupt))) {
		dasm_put(Dst, 6404, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_interrupt)))))>>32));
				if (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff) {
		dasm_put(Dst, 6407, (((uintptr_t)(&executor_globals.vm_interrupt)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff) {
		dasm_put(Dst, 6410, ((uintptr_t)(&executor_globals.vm_interrupt) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
		dasm_put(Dst, 6413, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
		dasm_put(Dst, 6416, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff) {
		dasm_put(Dst, 6419, (((uintptr_t)(&executor_globals.vm_interrupt) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff) {
		dasm_put(Dst, 6422, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6425, (((uintptr_t)(&executor_globals.vm_interrupt) >> 32) & 0xffff));
			}
		dasm_put(Dst, 6428);
			}
#line 3111 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbz TMP1w, &link_addr
		//|	b &timeout_exit_addr
		dasm_put(Dst, 6430, (unsigned int)((ptrdiff_t)(link_addr)), (unsigned int)(((ptrdiff_t)(link_addr))>>32), (unsigned int)((ptrdiff_t)(timeout_exit_addr)), (unsigned int)(((ptrdiff_t)(timeout_exit_addr))>>32));
#line 3113 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	b &link_addr
		dasm_put(Dst, 6435, (unsigned int)((ptrdiff_t)(link_addr)), (unsigned int)(((ptrdiff_t)(link_addr))>>32));
#line 3115 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_trace_return(dasm_State **Dst, bool original_handler, const zend_op *opline)
{
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 6438);
		#endif
#line 3123 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!original_handler) {
			//|	JMP_IP TMP1
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 6440);
				} else {
			dasm_put(Dst, 6443, Dt1(->opline));
				}
#line 3125 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	ldr REG0, EX->func
			//|	ldr REG0, [REG0, #offsetof(zend_op_array, reserved[zend_func_info_rid])]
			//|	ldr REG0, [REG0, #offsetof(zend_jit_op_array_trace_extension, offset)]
			//|	ldr REG0, [IP, REG0]
			//|	br REG0
			dasm_put(Dst, 6447, Dt1(->func), offsetof(zend_op_array, reserved[zend_func_info_rid]), offsetof(zend_jit_op_array_trace_extension, offset));
#line 3131 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (GCC_GLOBAL_REGS) {
		//|	ldp x29, x30, [sp], # SPAD // stack alignment
		dasm_put(Dst, 6456);
#line 3134 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!original_handler) {
			//|	JMP_IP TMP1
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 6458);
				} else {
			dasm_put(Dst, 6461, Dt1(->opline));
				}
#line 3136 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	ldr REG0, EX->func
			//|	ldr REG0, [REG0, #offsetof(zend_op_array, reserved[zend_func_info_rid])]
			//|	ldr REG0, [REG0, #offsetof(zend_jit_op_array_trace_extension, offset)]
			//|	ldr REG0, [IP, REG0]
			//|	br REG0
			dasm_put(Dst, 6465, Dt1(->func), offsetof(zend_op_array, reserved[zend_func_info_rid]), offsetof(zend_jit_op_array_trace_extension, offset));
#line 3142 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		if (original_handler) {
			//|	mov FCARG1x, FP
			//|	ldr REG0, EX->func
			//|	ldr REG0, [REG0, #offsetof(zend_op_array, reserved[zend_func_info_rid])]
			//|	ldr REG0, [REG0, #offsetof(zend_jit_op_array_trace_extension, offset)]
			//|	ldr REG0, [IP, REG0]
			//|	blr REG0
			dasm_put(Dst, 6474, Dt1(->func), offsetof(zend_op_array, reserved[zend_func_info_rid]), offsetof(zend_jit_op_array_trace_extension, offset));
#line 3151 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	ldp FP, RX, T2                // restore FP and IP
		//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
		dasm_put(Dst, 6484);
#line 3154 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!original_handler || !opline ||
		    (opline->opcode != ZEND_RETURN
		  && opline->opcode != ZEND_RETURN_BY_REF
		  && opline->opcode != ZEND_GENERATOR_RETURN
		  && opline->opcode != ZEND_GENERATOR_CREATE
		  && opline->opcode != ZEND_YIELD
		  && opline->opcode != ZEND_YIELD_FROM)) {
			//|	mov RETVALx, #2               // ZEND_VM_LEAVE
			dasm_put(Dst, 6487);
#line 3162 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	ret
		dasm_put(Dst, 6489);
#line 3164 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_type_guard(dasm_State **Dst, const zend_op *opline, uint32_t var, uint8_t type)
{
	int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);
	const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);
	zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, var);

	if (!exit_addr) {
		return 0;
	}

	//|	IF_NOT_ZVAL_TYPE var_addr, type, &exit_addr, ZREG_TMP1
		ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 6491, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 6495, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 6499, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6503, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 6507, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 6512, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
		}
		if (type == 0) {
	dasm_put(Dst, 6517, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
		} else {
	dasm_put(Dst, 6521, (ZREG_X15), type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
		}
#line 3179 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_scalar_type_guard(dasm_State **Dst, const zend_op *opline, uint32_t var)
{
	int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);
	const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

	if (!exit_addr) {
		return 0;
	}
	//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, TMP1w, FP, var+offsetof(zval, u1.v.type), TMP1
		if (((uintptr_t)(var+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(var+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 6527, ((uint32_t)(var+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(var+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 6530, ((uint32_t)(var+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(var+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 6533, (((uint32_t)(var+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6536, (((uint32_t)(var+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 6539);
		} else {
	dasm_put(Dst, 6541, (var+offsetof(zval, u1.v.type)));
		}
#line 3192 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	cmp TMP1w, #IS_STRING
	//|	bhs &exit_addr
	dasm_put(Dst, 6544, IS_STRING, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 3194 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}
static int zend_jit_packed_guard(dasm_State **Dst, const zend_op *opline, uint32_t var, uint32_t op_info)
{
	int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_PACKED_GUARD);
	const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);
	zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, var);

	if (!exit_addr) {
		return 0;
	}

	//|	GET_ZVAL_LVAL ZREG_FCARG1, var_addr, TMP1
		if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
			if (Z_LVAL_P(Z_ZV(var_addr)) == 0) {
	dasm_put(Dst, 6549, (ZREG_FCARG1));
			} else {
		if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) == 0) {
	dasm_put(Dst, 6552, (ZREG_FCARG1));
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
	dasm_put(Dst, 6555, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))));
		} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
	dasm_put(Dst, 6559, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))))));
		} else if ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff) {
	dasm_put(Dst, 6563, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff));
			if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
	dasm_put(Dst, 6567, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
			}
			if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 6571, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
			}
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 6575, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
			}
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
	dasm_put(Dst, 6579, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
			if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 6583, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
			}
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 6587, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
			}
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 6591, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 6595, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6599, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
		}
			}
		} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
		if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 6603, ((uint32_t)(Z_OFFSET(var_addr))));
		} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
	dasm_put(Dst, 6606, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 6609, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6612, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 6615, (ZREG_FCARG1), (Z_REG(var_addr)));
		} else {
	dasm_put(Dst, 6619, (ZREG_FCARG1), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
		}
		} else if (Z_MODE(var_addr) == IS_REG) {
			if (ZREG_FCARG1 != Z_REG(var_addr)) {
	dasm_put(Dst, 6624, (ZREG_FCARG1), (Z_REG(var_addr)));
			}
		} else {
			ZEND_UNREACHABLE();
		}
#line 3208 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (op_info & MAY_BE_ARRAY_PACKED) {
		//|	ldr TMP1w, [FCARG1x, #offsetof(zend_array, u.flags)]
		//|	TST_32_WITH_CONST TMP1w, HASH_FLAG_PACKED, TMP2w
		dasm_put(Dst, 6628, offsetof(zend_array, u.flags));
			if (HASH_FLAG_PACKED == 0) {
		dasm_put(Dst, 6631);
			} else if (logical_immediate_p((uint32_t)HASH_FLAG_PACKED, 32)) {
		dasm_put(Dst, 6633, HASH_FLAG_PACKED);
			} else {
			if (((uint32_t)(HASH_FLAG_PACKED)) <= MOVZ_IMM) {
		dasm_put(Dst, 6636, ((uint32_t)(HASH_FLAG_PACKED)));
			} else if (((uint32_t)(HASH_FLAG_PACKED) & 0xffff)) {
		dasm_put(Dst, 6639, ((uint32_t)(HASH_FLAG_PACKED) & 0xffff));
				if ((((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff)) {
		dasm_put(Dst, 6642, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6645, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 6648);
			}
#line 3211 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	beq &exit_addr
		dasm_put(Dst, 6650, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 3212 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	ldr TMP1w, [FCARG1x, #offsetof(zend_array, u.flags)]
		//|	TST_32_WITH_CONST TMP1w, HASH_FLAG_PACKED, TMP2w
		dasm_put(Dst, 6653, offsetof(zend_array, u.flags));
			if (HASH_FLAG_PACKED == 0) {
		dasm_put(Dst, 6656);
			} else if (logical_immediate_p((uint32_t)HASH_FLAG_PACKED, 32)) {
		dasm_put(Dst, 6658, HASH_FLAG_PACKED);
			} else {
			if (((uint32_t)(HASH_FLAG_PACKED)) <= MOVZ_IMM) {
		dasm_put(Dst, 6661, ((uint32_t)(HASH_FLAG_PACKED)));
			} else if (((uint32_t)(HASH_FLAG_PACKED) & 0xffff)) {
		dasm_put(Dst, 6664, ((uint32_t)(HASH_FLAG_PACKED) & 0xffff));
				if ((((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff)) {
		dasm_put(Dst, 6667, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6670, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 6673);
			}
#line 3215 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	bne &exit_addr
		dasm_put(Dst, 6675, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 3216 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_trace_handler(dasm_State **Dst, const zend_op_array *op_array, const zend_op *opline, int may_throw, zend_jit_trace_rec *trace)
{
	zend_jit_op_array_trace_extension *jit_extension =
		(zend_jit_op_array_trace_extension*)ZEND_FUNC_INFO(op_array);
	size_t offset = jit_extension->offset;
	const void *handler =
		(zend_vm_opcode_handler_t)ZEND_OP_TRACE_INFO(opline, offset)->call_handler;

	if (!zend_jit_set_valid_ip(Dst, opline)) {
		return 0;
	}
	if (!GCC_GLOBAL_REGS) {
		//|	mov FCARG1x, FP
		dasm_put(Dst, 6678);
#line 3234 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	EXT_CALL handler, REG0
		if (arm64_may_use_b(handler)) {
	dasm_put(Dst, 6680, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
		} else {
		if (((uintptr_t)(handler)) == 0) {
	dasm_put(Dst, 6683);
		} else if (((uintptr_t)(handler)) <= MOVZ_IMM) {
	dasm_put(Dst, 6685, ((uint64_t)(handler)));
		} else if (arm64_may_use_adr((void*)(handler))) {
	dasm_put(Dst, 6688, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
		} else if (arm64_may_use_adrp((void*)(handler))) {
	dasm_put(Dst, 6691, (unsigned int)((ptrdiff_t)((((uintptr_t)(handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(handler)))))>>32));
			if (((uintptr_t)(handler)) & 0xfff) {
	dasm_put(Dst, 6694, (((uintptr_t)(handler)) & 0xfff));
			}
		} else if ((uintptr_t)(handler) & 0xffff) {
	dasm_put(Dst, 6697, ((uintptr_t)(handler) & 0xffff));
			if (((uintptr_t)(handler) >> 16) & 0xffff) {
	dasm_put(Dst, 6700, (((uintptr_t)(handler) >> 16) & 0xffff));
			}
			if (((uintptr_t)(handler) >> 32) & 0xffff) {
	dasm_put(Dst, 6703, (((uintptr_t)(handler) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(handler) >> 16) & 0xffff) {
	dasm_put(Dst, 6706, (((uintptr_t)(handler) >> 16) & 0xffff));
			if (((uintptr_t)(handler) >> 32) & 0xffff) {
	dasm_put(Dst, 6709, (((uintptr_t)(handler) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6712, (((uintptr_t)(handler) >> 32) & 0xffff));
		}
	dasm_put(Dst, 6715);
		}
#line 3236 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (may_throw
	 && opline->opcode != ZEND_RETURN
	 && opline->opcode != ZEND_RETURN_BY_REF) {
		//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, exception, TMP1
			if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 6717, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 6721, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.exception)) == 0) {
		dasm_put(Dst, 6726);
			} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
		dasm_put(Dst, 6728, ((uint64_t)(&executor_globals.exception)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 6731, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 6734, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
				if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
		dasm_put(Dst, 6737, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
		dasm_put(Dst, 6740, ((uintptr_t)(&executor_globals.exception) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 6743, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 6746, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 6749, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 6752, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 6755, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
			}
		dasm_put(Dst, 6758);
			}
#line 3240 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbnz REG0, ->exception_handler
		dasm_put(Dst, 6760);
#line 3241 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	while (trace->op != ZEND_JIT_TRACE_VM && trace->op != ZEND_JIT_TRACE_END) {
		trace++;
	}

	if (!GCC_GLOBAL_REGS
	 && (trace->op != ZEND_JIT_TRACE_END || trace->stop != ZEND_JIT_TRACE_STOP_RETURN)) {
		if (opline->opcode == ZEND_RETURN ||
		    opline->opcode == ZEND_RETURN_BY_REF ||
		    opline->opcode == ZEND_DO_UCALL ||
		    opline->opcode == ZEND_DO_FCALL_BY_NAME ||
		    opline->opcode == ZEND_DO_FCALL ||
		    opline->opcode == ZEND_GENERATOR_CREATE) {
			//|	MEM_LOAD_64_ZTS ldr, FP, executor_globals, current_execute_data, TMP1
				if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
			dasm_put(Dst, 6763, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
				} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
			dasm_put(Dst, 6767, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
				} else {
				if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
			dasm_put(Dst, 6772);
				} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
			dasm_put(Dst, 6774, ((uint64_t)(&executor_globals.current_execute_data)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
			dasm_put(Dst, 6777, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
			dasm_put(Dst, 6780, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
					if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
			dasm_put(Dst, 6783, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
			dasm_put(Dst, 6786, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
					if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
			dasm_put(Dst, 6789, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
			dasm_put(Dst, 6792, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
			dasm_put(Dst, 6795, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
			dasm_put(Dst, 6798, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 6801, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			dasm_put(Dst, 6804);
				}
#line 3256 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (zend_jit_trace_may_exit(op_array, opline)) {
		if (opline->opcode == ZEND_RETURN ||
		    opline->opcode == ZEND_RETURN_BY_REF ||
		    opline->opcode == ZEND_GENERATOR_CREATE) {

			if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
#if 0
				/* this check should be handled by the following OPLINE guard or jmp [IP] */
				//|	LOAD_ADDR TMP1, zend_jit_halt_op
					if (((uintptr_t)(zend_jit_halt_op)) == 0) {
				dasm_put(Dst, 6806);
					} else if (((uintptr_t)(zend_jit_halt_op)) <= MOVZ_IMM) {
				dasm_put(Dst, 6808, ((uint64_t)(zend_jit_halt_op)));
					} else if (arm64_may_use_adr((void*)(zend_jit_halt_op))) {
				dasm_put(Dst, 6811, (unsigned int)((ptrdiff_t)(zend_jit_halt_op)), (unsigned int)(((ptrdiff_t)(zend_jit_halt_op))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_halt_op))) {
				dasm_put(Dst, 6814, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_halt_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_halt_op)))))>>32));
						if (((uintptr_t)(zend_jit_halt_op)) & 0xfff) {
				dasm_put(Dst, 6817, (((uintptr_t)(zend_jit_halt_op)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_halt_op) & 0xffff) {
				dasm_put(Dst, 6820, ((uintptr_t)(zend_jit_halt_op) & 0xffff));
						if (((uintptr_t)(zend_jit_halt_op) >> 16) & 0xffff) {
				dasm_put(Dst, 6823, (((uintptr_t)(zend_jit_halt_op) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff) {
				dasm_put(Dst, 6826, (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_halt_op) >> 16) & 0xffff) {
				dasm_put(Dst, 6829, (((uintptr_t)(zend_jit_halt_op) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff) {
				dasm_put(Dst, 6832, (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 6835, (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff));
					}
#line 3268 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	cmp IP, TMP1
				//|	beq ->trace_halt
				dasm_put(Dst, 6838);
#line 3270 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
			} else if (GCC_GLOBAL_REGS) {
				//|	cbz IP, ->trace_halt
				dasm_put(Dst, 6842);
#line 3273 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	tst RETVALw, RETVALw
				//|	blt ->trace_halt
				dasm_put(Dst, 6845);
#line 3276 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (opline->opcode == ZEND_EXIT ||
		           opline->opcode == ZEND_GENERATOR_RETURN ||
		           opline->opcode == ZEND_YIELD ||
		           opline->opcode == ZEND_YIELD_FROM) {
			//|	b ->trace_halt
			dasm_put(Dst, 6849);
#line 3282 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (trace->op != ZEND_JIT_TRACE_END ||
		    (trace->stop != ZEND_JIT_TRACE_STOP_RETURN &&
		     trace->stop != ZEND_JIT_TRACE_STOP_INTERPRETER)) {

			const zend_op *next_opline = trace->opline;
			const zend_op *exit_opline = NULL;
			uint32_t exit_point;
			const void *exit_addr;
			uint32_t old_info = 0;
			uint32_t old_res_info = 0;
			zend_jit_trace_stack *stack = JIT_G(current_frame)->stack;

			if (zend_is_smart_branch(opline)) {
				bool exit_if_true = 0;
				exit_opline = zend_jit_trace_get_exit_opline(trace, opline + 1, &exit_if_true);
			} else {
				switch (opline->opcode) {
					case ZEND_JMPZ:
					case ZEND_JMPNZ:
					case ZEND_JMPZ_EX:
					case ZEND_JMPNZ_EX:
					case ZEND_JMP_SET:
					case ZEND_COALESCE:
					case ZEND_JMP_NULL:
					case ZEND_FE_RESET_R:
					case ZEND_FE_RESET_RW:
						exit_opline = (trace->opline == opline + 1) ?
							OP_JMP_ADDR(opline, opline->op2) :
							opline + 1;
						break;
					case ZEND_FE_FETCH_R:
					case ZEND_FE_FETCH_RW:
						exit_opline = (trace->opline == opline + 1) ?
							ZEND_OFFSET_TO_OPLINE(opline, opline->extended_value) :
							opline + 1;
						break;

				}
			}

			switch (opline->opcode) {
				case ZEND_FE_FETCH_R:
				case ZEND_FE_FETCH_RW:
					if (opline->op2_type != IS_UNUSED) {
						old_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->op2.var));
						SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->op2.var), IS_UNKNOWN, 1);
					}
					break;
			}

			if (opline->result_type == IS_VAR || opline->result_type == IS_TMP_VAR) {
				old_res_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var));
				SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_UNKNOWN, 1);
			}
			exit_point = zend_jit_trace_get_exit_point(exit_opline, 0);
			exit_addr = zend_jit_trace_get_exit_addr(exit_point);

			if (opline->result_type == IS_VAR || opline->result_type == IS_TMP_VAR) {
				SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var), old_res_info);
			}
			switch (opline->opcode) {
				case ZEND_FE_FETCH_R:
				case ZEND_FE_FETCH_RW:
					if (opline->op2_type != IS_UNUSED) {
						SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->op2.var), old_info);
					}
					break;
			}

			if (!exit_addr) {
				return 0;
			}
			//|	CMP_IP next_opline, TMP1, TMP2
				if (((uintptr_t)(next_opline)) == 0) {
			dasm_put(Dst, 6852);
				} else if (((uintptr_t)(next_opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 6854, ((uint64_t)(next_opline)));
				} else if (arm64_may_use_adr((void*)(next_opline))) {
			dasm_put(Dst, 6857, (unsigned int)((ptrdiff_t)(next_opline)), (unsigned int)(((ptrdiff_t)(next_opline))>>32));
				} else if (arm64_may_use_adrp((void*)(next_opline))) {
			dasm_put(Dst, 6860, (unsigned int)((ptrdiff_t)((((uintptr_t)(next_opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(next_opline)))))>>32));
					if (((uintptr_t)(next_opline)) & 0xfff) {
			dasm_put(Dst, 6863, (((uintptr_t)(next_opline)) & 0xfff));
					}
				} else if ((uintptr_t)(next_opline) & 0xffff) {
			dasm_put(Dst, 6866, ((uintptr_t)(next_opline) & 0xffff));
					if (((uintptr_t)(next_opline) >> 16) & 0xffff) {
			dasm_put(Dst, 6869, (((uintptr_t)(next_opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(next_opline) >> 32) & 0xffff) {
			dasm_put(Dst, 6872, (((uintptr_t)(next_opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(next_opline) >> 16) & 0xffff) {
			dasm_put(Dst, 6875, (((uintptr_t)(next_opline) >> 16) & 0xffff));
					if (((uintptr_t)(next_opline) >> 32) & 0xffff) {
			dasm_put(Dst, 6878, (((uintptr_t)(next_opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 6881, (((uintptr_t)(next_opline) >> 32) & 0xffff));
				}
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 6884);
				} else {
			dasm_put(Dst, 6886, Dt1(->opline));
				}
#line 3356 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne &exit_addr
			dasm_put(Dst, 6890, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 3357 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	zend_jit_set_last_valid_opline(trace->opline);

	return 1;
}

static int zend_jit_handler(dasm_State **Dst, const zend_op *opline, int may_throw)
{
	const void *handler;

	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		handler = zend_get_opcode_handler_func(opline);
	} else {
		handler = opline->handler;
	}

	if (!zend_jit_set_valid_ip(Dst, opline)) {
		return 0;
	}
	if (!GCC_GLOBAL_REGS) {
		//|	mov FCARG1x, FP
		dasm_put(Dst, 6893);
#line 3380 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	EXT_CALL handler, REG0
		if (arm64_may_use_b(handler)) {
	dasm_put(Dst, 6895, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
		} else {
		if (((uintptr_t)(handler)) == 0) {
	dasm_put(Dst, 6898);
		} else if (((uintptr_t)(handler)) <= MOVZ_IMM) {
	dasm_put(Dst, 6900, ((uint64_t)(handler)));
		} else if (arm64_may_use_adr((void*)(handler))) {
	dasm_put(Dst, 6903, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
		} else if (arm64_may_use_adrp((void*)(handler))) {
	dasm_put(Dst, 6906, (unsigned int)((ptrdiff_t)((((uintptr_t)(handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(handler)))))>>32));
			if (((uintptr_t)(handler)) & 0xfff) {
	dasm_put(Dst, 6909, (((uintptr_t)(handler)) & 0xfff));
			}
		} else if ((uintptr_t)(handler) & 0xffff) {
	dasm_put(Dst, 6912, ((uintptr_t)(handler) & 0xffff));
			if (((uintptr_t)(handler) >> 16) & 0xffff) {
	dasm_put(Dst, 6915, (((uintptr_t)(handler) >> 16) & 0xffff));
			}
			if (((uintptr_t)(handler) >> 32) & 0xffff) {
	dasm_put(Dst, 6918, (((uintptr_t)(handler) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(handler) >> 16) & 0xffff) {
	dasm_put(Dst, 6921, (((uintptr_t)(handler) >> 16) & 0xffff));
			if (((uintptr_t)(handler) >> 32) & 0xffff) {
	dasm_put(Dst, 6924, (((uintptr_t)(handler) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 6927, (((uintptr_t)(handler) >> 32) & 0xffff));
		}
	dasm_put(Dst, 6930);
		}
#line 3382 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (may_throw) {
		zend_jit_check_exception(Dst);
	}

	/* Skip the following OP_DATA */
	switch (opline->opcode) {
		case ZEND_ASSIGN_DIM:
		case ZEND_ASSIGN_OBJ:
		case ZEND_ASSIGN_STATIC_PROP:
		case ZEND_ASSIGN_DIM_OP:
		case ZEND_ASSIGN_OBJ_OP:
		case ZEND_ASSIGN_STATIC_PROP_OP:
		case ZEND_ASSIGN_STATIC_PROP_REF:
		case ZEND_ASSIGN_OBJ_REF:
			zend_jit_set_last_valid_opline(opline + 2);
			break;
		default:
			zend_jit_set_last_valid_opline(opline + 1);
			break;
	}

	return 1;
}

static int zend_jit_tail_handler(dasm_State **Dst, const zend_op *opline)
{
	if (!zend_jit_set_valid_ip(Dst, opline)) {
		return 0;
	}
	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		if (opline->opcode == ZEND_DO_UCALL ||
		    opline->opcode == ZEND_DO_FCALL_BY_NAME ||
		    opline->opcode == ZEND_DO_FCALL ||
		    opline->opcode == ZEND_RETURN) {

			/* Use inlined HYBRID VM handler */
			const void *handler = opline->handler;

			//|	ADD_HYBRID_SPAD
			#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
			dasm_put(Dst, 6932);
			#endif
#line 3421 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_JMP handler, REG0
				if (arm64_may_use_b(handler)) {
			dasm_put(Dst, 6934, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
				} else {
				if (((uintptr_t)(handler)) == 0) {
			dasm_put(Dst, 6937);
				} else if (((uintptr_t)(handler)) <= MOVZ_IMM) {
			dasm_put(Dst, 6939, ((uint64_t)(handler)));
				} else if (arm64_may_use_adr((void*)(handler))) {
			dasm_put(Dst, 6942, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
				} else if (arm64_may_use_adrp((void*)(handler))) {
			dasm_put(Dst, 6945, (unsigned int)((ptrdiff_t)((((uintptr_t)(handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(handler)))))>>32));
					if (((uintptr_t)(handler)) & 0xfff) {
			dasm_put(Dst, 6948, (((uintptr_t)(handler)) & 0xfff));
					}
				} else if ((uintptr_t)(handler) & 0xffff) {
			dasm_put(Dst, 6951, ((uintptr_t)(handler) & 0xffff));
					if (((uintptr_t)(handler) >> 16) & 0xffff) {
			dasm_put(Dst, 6954, (((uintptr_t)(handler) >> 16) & 0xffff));
					}
					if (((uintptr_t)(handler) >> 32) & 0xffff) {
			dasm_put(Dst, 6957, (((uintptr_t)(handler) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(handler) >> 16) & 0xffff) {
			dasm_put(Dst, 6960, (((uintptr_t)(handler) >> 16) & 0xffff));
					if (((uintptr_t)(handler) >> 32) & 0xffff) {
			dasm_put(Dst, 6963, (((uintptr_t)(handler) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 6966, (((uintptr_t)(handler) >> 32) & 0xffff));
				}
			dasm_put(Dst, 6969);
				}
#line 3422 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			const void *handler = zend_get_opcode_handler_func(opline);

			//|	EXT_CALL handler, REG0
				if (arm64_may_use_b(handler)) {
			dasm_put(Dst, 6971, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
				} else {
				if (((uintptr_t)(handler)) == 0) {
			dasm_put(Dst, 6974);
				} else if (((uintptr_t)(handler)) <= MOVZ_IMM) {
			dasm_put(Dst, 6976, ((uint64_t)(handler)));
				} else if (arm64_may_use_adr((void*)(handler))) {
			dasm_put(Dst, 6979, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
				} else if (arm64_may_use_adrp((void*)(handler))) {
			dasm_put(Dst, 6982, (unsigned int)((ptrdiff_t)((((uintptr_t)(handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(handler)))))>>32));
					if (((uintptr_t)(handler)) & 0xfff) {
			dasm_put(Dst, 6985, (((uintptr_t)(handler)) & 0xfff));
					}
				} else if ((uintptr_t)(handler) & 0xffff) {
			dasm_put(Dst, 6988, ((uintptr_t)(handler) & 0xffff));
					if (((uintptr_t)(handler) >> 16) & 0xffff) {
			dasm_put(Dst, 6991, (((uintptr_t)(handler) >> 16) & 0xffff));
					}
					if (((uintptr_t)(handler) >> 32) & 0xffff) {
			dasm_put(Dst, 6994, (((uintptr_t)(handler) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(handler) >> 16) & 0xffff) {
			dasm_put(Dst, 6997, (((uintptr_t)(handler) >> 16) & 0xffff));
					if (((uintptr_t)(handler) >> 32) & 0xffff) {
			dasm_put(Dst, 7000, (((uintptr_t)(handler) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 7003, (((uintptr_t)(handler) >> 32) & 0xffff));
				}
			dasm_put(Dst, 7006);
				}
#line 3426 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ADD_HYBRID_SPAD
			#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
			dasm_put(Dst, 7008);
			#endif
#line 3427 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	JMP_IP TMP1
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 7010);
				} else {
			dasm_put(Dst, 7013, Dt1(->opline));
				}
#line 3428 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		const void *handler = opline->handler;

		if (GCC_GLOBAL_REGS) {
			//|	ldp x29, x30, [sp], # SPAD // stack alignment
			dasm_put(Dst, 7017);
#line 3434 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	mov FCARG1x, FP
			//|	ldp FP, RX, T2                // restore FP and IP
			//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
			dasm_put(Dst, 7019);
#line 3438 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	EXT_JMP handler, REG0
			if (arm64_may_use_b(handler)) {
		dasm_put(Dst, 7023, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
			} else {
			if (((uintptr_t)(handler)) == 0) {
		dasm_put(Dst, 7026);
			} else if (((uintptr_t)(handler)) <= MOVZ_IMM) {
		dasm_put(Dst, 7028, ((uint64_t)(handler)));
			} else if (arm64_may_use_adr((void*)(handler))) {
		dasm_put(Dst, 7031, (unsigned int)((ptrdiff_t)(handler)), (unsigned int)(((ptrdiff_t)(handler))>>32));
			} else if (arm64_may_use_adrp((void*)(handler))) {
		dasm_put(Dst, 7034, (unsigned int)((ptrdiff_t)((((uintptr_t)(handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(handler)))))>>32));
				if (((uintptr_t)(handler)) & 0xfff) {
		dasm_put(Dst, 7037, (((uintptr_t)(handler)) & 0xfff));
				}
			} else if ((uintptr_t)(handler) & 0xffff) {
		dasm_put(Dst, 7040, ((uintptr_t)(handler) & 0xffff));
				if (((uintptr_t)(handler) >> 16) & 0xffff) {
		dasm_put(Dst, 7043, (((uintptr_t)(handler) >> 16) & 0xffff));
				}
				if (((uintptr_t)(handler) >> 32) & 0xffff) {
		dasm_put(Dst, 7046, (((uintptr_t)(handler) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(handler) >> 16) & 0xffff) {
		dasm_put(Dst, 7049, (((uintptr_t)(handler) >> 16) & 0xffff));
				if (((uintptr_t)(handler) >> 32) & 0xffff) {
		dasm_put(Dst, 7052, (((uintptr_t)(handler) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7055, (((uintptr_t)(handler) >> 32) & 0xffff));
			}
		dasm_put(Dst, 7058);
			}
#line 3440 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	zend_jit_reset_last_valid_opline();
	return 1;
}

static int zend_jit_trace_opline_guard(dasm_State **Dst, const zend_op *opline)
{
	uint32_t exit_point = zend_jit_trace_get_exit_point(NULL, 0);
	const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

	if (!exit_addr) {
		return 0;
	}
	//|	CMP_IP opline, TMP1, TMP2
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 7060);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 7062, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 7065, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 7068, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 7071, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 7074, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 7077, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 7080, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 7083, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 7086, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 7089, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 7092);
		} else {
	dasm_put(Dst, 7094, Dt1(->opline));
		}
#line 3454 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	bne &exit_addr
	dasm_put(Dst, 7098, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 3455 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	zend_jit_set_last_valid_opline(opline);

	return 1;
}

static int zend_jit_jmp(dasm_State **Dst, unsigned int target_label)
{
	//|	b =>target_label
	dasm_put(Dst, 7101, target_label);
#line 3464 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_cond_jmp(dasm_State **Dst, const zend_op *next_opline, unsigned int target_label)
{
	//|	CMP_IP next_opline, TMP1, TMP2
		if (((uintptr_t)(next_opline)) == 0) {
	dasm_put(Dst, 7104);
		} else if (((uintptr_t)(next_opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 7106, ((uint64_t)(next_opline)));
		} else if (arm64_may_use_adr((void*)(next_opline))) {
	dasm_put(Dst, 7109, (unsigned int)((ptrdiff_t)(next_opline)), (unsigned int)(((ptrdiff_t)(next_opline))>>32));
		} else if (arm64_may_use_adrp((void*)(next_opline))) {
	dasm_put(Dst, 7112, (unsigned int)((ptrdiff_t)((((uintptr_t)(next_opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(next_opline)))))>>32));
			if (((uintptr_t)(next_opline)) & 0xfff) {
	dasm_put(Dst, 7115, (((uintptr_t)(next_opline)) & 0xfff));
			}
		} else if ((uintptr_t)(next_opline) & 0xffff) {
	dasm_put(Dst, 7118, ((uintptr_t)(next_opline) & 0xffff));
			if (((uintptr_t)(next_opline) >> 16) & 0xffff) {
	dasm_put(Dst, 7121, (((uintptr_t)(next_opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(next_opline) >> 32) & 0xffff) {
	dasm_put(Dst, 7124, (((uintptr_t)(next_opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(next_opline) >> 16) & 0xffff) {
	dasm_put(Dst, 7127, (((uintptr_t)(next_opline) >> 16) & 0xffff));
			if (((uintptr_t)(next_opline) >> 32) & 0xffff) {
	dasm_put(Dst, 7130, (((uintptr_t)(next_opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 7133, (((uintptr_t)(next_opline) >> 32) & 0xffff));
		}
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 7136);
		} else {
	dasm_put(Dst, 7138, Dt1(->opline));
		}
#line 3470 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	bne =>target_label
	dasm_put(Dst, 7142, target_label);
#line 3471 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	zend_jit_set_last_valid_opline(next_opline);

	return 1;
}

#ifdef CONTEXT_THREADED_JIT
static int zend_jit_context_threaded_call(dasm_State **Dst, const zend_op *opline, unsigned int next_block)
{
	//|	NIY	// TODO
		//ZEND_ASSERT(0);
	dasm_put(Dst, 7145);
#line 3481 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}
#endif

static int zend_jit_call(dasm_State **Dst, const zend_op *opline, unsigned int next_block)
{
#ifdef CONTEXT_THREADED_JIT
	return zend_jit_context_threaded_call(Dst, opline, next_block);
#else
	return zend_jit_tail_handler(Dst, opline);
#endif
}

static int zend_jit_spill_store(dasm_State **Dst, zend_jit_addr src, zend_jit_addr dst, uint32_t info, bool set_type)
{
	ZEND_ASSERT(Z_MODE(src) == IS_REG);
	ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);

	if ((info & MAY_BE_ANY) == MAY_BE_LONG) {
		//|	SET_ZVAL_LVAL_FROM_REG dst, Rx(Z_REG(src)), TMP1
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 7147, (Z_REG(dst)), (Z_REG(src)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 7151, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 7154, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7157, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7160, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7163, (Z_REG(src)), (Z_REG(dst)));
			} else {
		dasm_put(Dst, 7167, (Z_REG(src)), (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
#line 3501 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (set_type &&
		    (Z_REG(dst) != ZREG_FP ||
		     !JIT_G(current_frame) ||
		     STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(Z_OFFSET(dst))) != IS_LONG)) {
			//|	SET_ZVAL_TYPE_INFO dst, IS_LONG, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
			dasm_put(Dst, 7172, ((uint32_t)(IS_LONG)));
				} else if (((uint32_t)(IS_LONG) & 0xffff)) {
			dasm_put(Dst, 7175, ((uint32_t)(IS_LONG) & 0xffff));
					if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
			dasm_put(Dst, 7178, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 7181, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 7184, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 7187, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 7190, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 7193, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 7196, (Z_REG(dst)));
				} else {
			dasm_put(Dst, 7199, (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
				}
#line 3506 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if ((info & MAY_BE_ANY) == MAY_BE_DOUBLE) {
		//|	SET_ZVAL_DVAL dst, Z_REG(src), ZREG_TMP1
			if (Z_MODE(dst) == IS_REG) {
				if (Z_REG(src) != Z_REG(dst)) {
		dasm_put(Dst, 7203, (Z_REG(dst)-ZREG_V0), (Z_REG(src)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 7207, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 7211, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7215, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7219, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7223, (Z_REG(src)-ZREG_V0), (Z_REG(dst)), (ZREG_X15));
			} else {
		dasm_put(Dst, 7228, (Z_REG(src)-ZREG_V0), (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
#line 3509 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (set_type &&
		    (Z_REG(dst) != ZREG_FP ||
		     !JIT_G(current_frame) ||
		     STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(Z_OFFSET(dst))) != IS_DOUBLE)) {
			//|	SET_ZVAL_TYPE_INFO dst, IS_DOUBLE, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 7233, ((uint32_t)(IS_DOUBLE)));
				} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
			dasm_put(Dst, 7236, ((uint32_t)(IS_DOUBLE) & 0xffff));
					if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 7239, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 7242, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 7245, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 7248, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 7251, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 7254, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 7257, (Z_REG(dst)));
				} else {
			dasm_put(Dst, 7260, (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
				}
#line 3514 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		ZEND_UNREACHABLE();
	}
	return 1;
}

static int zend_jit_load_reg(dasm_State **Dst, zend_jit_addr src, zend_jit_addr dst, uint32_t info)
{
	ZEND_ASSERT(Z_MODE(src) == IS_MEM_ZVAL);
	ZEND_ASSERT(Z_MODE(dst) == IS_REG);

	if ((info & MAY_BE_ANY) == MAY_BE_LONG) {
		//|	GET_ZVAL_LVAL Z_REG(dst), src, TMP1
			if (Z_MODE(src) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(src)) == 0) {
		dasm_put(Dst, 7264, (Z_REG(dst)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(src)))) == 0) {
		dasm_put(Dst, 7267, (Z_REG(dst)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(src)))) <= MOVZ_IMM) {
		dasm_put(Dst, 7270, (Z_REG(dst)), ((uint64_t)(Z_LVAL_P(Z_ZV(src)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(src)))) <= MOVZ_IMM) {
		dasm_put(Dst, 7274, (Z_REG(dst)), (~((uint64_t)(Z_LVAL_P(Z_ZV(src))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(src))) & 0xffff) {
		dasm_put(Dst, 7278, (Z_REG(dst)), ((uint64_t)(Z_LVAL_P(Z_ZV(src))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 16) & 0xffff) {
		dasm_put(Dst, 7282, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 32) & 0xffff) {
		dasm_put(Dst, 7286, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 48) & 0xffff)) {
		dasm_put(Dst, 7290, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 16) & 0xffff) {
		dasm_put(Dst, 7294, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 32) & 0xffff) {
		dasm_put(Dst, 7298, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 48) & 0xffff)) {
		dasm_put(Dst, 7302, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 32) & 0xffff) {
		dasm_put(Dst, 7306, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 48) & 0xffff)) {
		dasm_put(Dst, 7310, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7314, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(src))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(src) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(src))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(src))) <= MOVZ_IMM) {
		dasm_put(Dst, 7318, ((uint32_t)(Z_OFFSET(src))));
			} else if (((uint32_t)(Z_OFFSET(src)) & 0xffff)) {
		dasm_put(Dst, 7321, ((uint32_t)(Z_OFFSET(src)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(src)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7324, (((uint32_t)(Z_OFFSET(src)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7327, (((uint32_t)(Z_OFFSET(src)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7330, (Z_REG(dst)), (Z_REG(src)));
			} else {
		dasm_put(Dst, 7334, (Z_REG(dst)), (Z_REG(src)), (Z_OFFSET(src)));
			}
			} else if (Z_MODE(src) == IS_REG) {
				if (Z_REG(dst) != Z_REG(src)) {
		dasm_put(Dst, 7339, (Z_REG(dst)), (Z_REG(src)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 3528 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if ((info & MAY_BE_ANY) == MAY_BE_DOUBLE) {
		//|	GET_ZVAL_DVAL Z_REG(dst), src, ZREG_TMP1
			if (Z_MODE(src) != IS_REG || Z_REG(dst) != Z_REG(src)) {
				if (Z_MODE(src) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(src))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(src)))) {
		dasm_put(Dst, 7343, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(src))), (unsigned int)(((ptrdiff_t)(Z_ZV(src)))>>32), (Z_REG(dst)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(src))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(src)))) {
		dasm_put(Dst, 7350, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(src)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(src))))))>>32), (Z_REG(dst)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(src))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(src))) == 0) {
		dasm_put(Dst, 7358, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(src))) <= MOVZ_IMM) {
		dasm_put(Dst, 7361, (ZREG_X15), ((uint64_t)(Z_ZV(src))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(src)))) {
		dasm_put(Dst, 7365, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(src))), (unsigned int)(((ptrdiff_t)(Z_ZV(src)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(src)))) {
		dasm_put(Dst, 7369, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(src)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(src))))))>>32));
				if (((uintptr_t)(Z_ZV(src))) & 0xfff) {
		dasm_put(Dst, 7373, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(src))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(src)) & 0xffff) {
		dasm_put(Dst, 7378, (ZREG_X15), ((uintptr_t)(Z_ZV(src)) & 0xffff));
				if (((uintptr_t)(Z_ZV(src)) >> 16) & 0xffff) {
		dasm_put(Dst, 7382, (ZREG_X15), (((uintptr_t)(Z_ZV(src)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(src)) >> 32) & 0xffff) {
		dasm_put(Dst, 7386, (ZREG_X15), (((uintptr_t)(Z_ZV(src)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(src)) >> 16) & 0xffff) {
		dasm_put(Dst, 7390, (ZREG_X15), (((uintptr_t)(Z_ZV(src)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(src)) >> 32) & 0xffff) {
		dasm_put(Dst, 7394, (ZREG_X15), (((uintptr_t)(Z_ZV(src)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7398, (ZREG_X15), (((uintptr_t)(Z_ZV(src)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 7402, (Z_REG(dst)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(src) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(src))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(src))) <= MOVZ_IMM) {
		dasm_put(Dst, 7406, (ZREG_X15), ((uint32_t)(Z_OFFSET(src))));
			} else if (((uint32_t)(Z_OFFSET(src)) & 0xffff)) {
		dasm_put(Dst, 7410, (ZREG_X15), ((uint32_t)(Z_OFFSET(src)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(src)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7414, (ZREG_X15), (((uint32_t)(Z_OFFSET(src)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7418, (ZREG_X15), (((uint32_t)(Z_OFFSET(src)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7422, (Z_REG(dst)-ZREG_V0), (Z_REG(src)), (ZREG_X15));
			} else {
		dasm_put(Dst, 7427, (Z_REG(dst)-ZREG_V0), (Z_REG(src)), (Z_OFFSET(src)));
			}
				} else if (Z_MODE(src) == IS_REG) {
		dasm_put(Dst, 7432, (Z_REG(dst)-ZREG_V0), (Z_REG(src)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
#line 3530 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		ZEND_UNREACHABLE();
	}
	return 1;
}

static int zend_jit_store_var(dasm_State **Dst, uint32_t info, int var, zend_reg reg, bool set_type)
{
	zend_jit_addr src = ZEND_ADDR_REG(reg);
	zend_jit_addr dst = ZEND_ADDR_MEM_ZVAL(ZREG_FP, EX_NUM_TO_VAR(var));

	return zend_jit_spill_store(Dst, src, dst, info, set_type);
}

static int zend_jit_store_var_type(dasm_State **Dst, int var, uint32_t type)
{
	zend_jit_addr dst = ZEND_ADDR_MEM_ZVAL(ZREG_FP, EX_NUM_TO_VAR(var));

	//|	SET_ZVAL_TYPE_INFO dst, type, TMP1w, TMP2
		ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
		if (((uint32_t)(type)) <= MOVZ_IMM) {
	dasm_put(Dst, 7436, ((uint32_t)(type)));
		} else if (((uint32_t)(type) & 0xffff)) {
	dasm_put(Dst, 7439, ((uint32_t)(type) & 0xffff));
			if ((((uint32_t)(type) >> 16) & 0xffff)) {
	dasm_put(Dst, 7442, (((uint32_t)(type) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 7445, (((uint32_t)(type) >> 16) & 0xffff));
		}
		if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
		if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
	dasm_put(Dst, 7448, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
		} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
	dasm_put(Dst, 7451, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
	dasm_put(Dst, 7454, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 7457, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 7460, (Z_REG(dst)));
		} else {
	dasm_put(Dst, 7463, (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
		}
#line 3549 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_store_var_if_necessary(dasm_State **Dst, int var, zend_jit_addr src, uint32_t info)
{
	if (Z_MODE(src) == IS_REG && Z_STORE(src)) {
		zend_jit_addr dst = ZEND_ADDR_MEM_ZVAL(ZREG_FP, var);
		return zend_jit_spill_store(Dst, src, dst, info, 1);
	}
	return 1;
}

static int zend_jit_store_var_if_necessary_ex(dasm_State **Dst, int var, zend_jit_addr src, uint32_t info, zend_jit_addr old, uint32_t old_info)
{
	if (Z_MODE(src) == IS_REG && Z_STORE(src)) {
		zend_jit_addr dst = ZEND_ADDR_MEM_ZVAL(ZREG_FP, var);
		bool set_type = 1;

		if ((info & (MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)) ==
		    (old_info & (MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF))) {
			if (Z_MODE(old) != IS_REG || Z_LOAD(old) || Z_STORE(old)) {
				set_type = 0;
			}
		}
		return zend_jit_spill_store(Dst, src, dst, info, set_type);
	}
	return 1;
}

static int zend_jit_load_var(dasm_State **Dst, uint32_t info, int var, zend_reg reg)
{
	zend_jit_addr src = ZEND_ADDR_MEM_ZVAL(ZREG_FP, EX_NUM_TO_VAR(var));
	zend_jit_addr dst = ZEND_ADDR_REG(reg);

	return zend_jit_load_reg(Dst, src, dst, info);
}

static int zend_jit_invalidate_var_if_necessary(dasm_State **Dst, zend_uchar op_type, zend_jit_addr addr, znode_op op)
{
	if ((op_type & (IS_TMP_VAR|IS_VAR)) && Z_MODE(addr) == IS_REG && !Z_LOAD(addr) && !Z_STORE(addr)) {
		zend_jit_addr dst = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op.var);
		//|	SET_ZVAL_TYPE_INFO dst, IS_UNDEF, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
		dasm_put(Dst, 7467, ((uint32_t)(IS_UNDEF)));
			} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
		dasm_put(Dst, 7470, ((uint32_t)(IS_UNDEF) & 0xffff));
				if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
		dasm_put(Dst, 7473, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7476, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 7479, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 7482, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7485, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7488, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7491, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 7494, (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
			}
#line 3591 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_update_regs(dasm_State **Dst, uint32_t var, zend_jit_addr src, zend_jit_addr dst, uint32_t info)
{
	if (!zend_jit_same_addr(src, dst)) {
		if (Z_MODE(src) == IS_REG) {
			if (Z_MODE(dst) == IS_REG) {
				if ((info & MAY_BE_ANY) == MAY_BE_LONG) {
					//|	mov Rx(Z_REG(dst)), Rx(Z_REG(src))
					dasm_put(Dst, 7498, (Z_REG(dst)), (Z_REG(src)));
#line 3602 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if ((info & MAY_BE_ANY) == MAY_BE_DOUBLE) {
					//|	fmov Rd(Z_REG(dst)-ZREG_V0), Rd(Z_REG(src)-ZREG_V0)
					dasm_put(Dst, 7502, (Z_REG(dst)-ZREG_V0), (Z_REG(src)-ZREG_V0));
#line 3604 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					ZEND_UNREACHABLE();
				}
				if (!Z_LOAD(src) && !Z_STORE(src) && Z_STORE(dst)) {
					zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, var);

					if (!zend_jit_spill_store(Dst, dst, var_addr, info,
							JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE ||
							JIT_G(current_frame) == NULL ||
							STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(var)) == IS_UNKNOWN ||
							(1 << STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(var))) != (info & MAY_BE_ANY)
					)) {
						return 0;
					}
				}
			} else if (Z_MODE(dst) == IS_MEM_ZVAL) {
				if (!Z_LOAD(src) && !Z_STORE(src)) {
					if (!zend_jit_spill_store(Dst, src, dst, info,
							JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE ||
							JIT_G(current_frame) == NULL ||
							STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(var)) == IS_UNKNOWN ||
							(1 << STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(var))) != (info & MAY_BE_ANY)
					)) {
						return 0;
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
		} else if (Z_MODE(src) == IS_MEM_ZVAL) {
			if (Z_MODE(dst) == IS_REG) {
				if (!zend_jit_load_reg(Dst, src, dst, info)) {
					return 0;
				}
			} else {
				ZEND_UNREACHABLE();
			}
		} else {
			ZEND_UNREACHABLE();
		}
	} else if (Z_MODE(dst) == IS_REG && Z_STORE(dst)) {
		dst = ZEND_ADDR_MEM_ZVAL(ZREG_FP, var);
		if (!zend_jit_spill_store(Dst, src, dst, info,
				JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE ||
				JIT_G(current_frame) == NULL ||
				STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(var)) == IS_UNKNOWN ||
				(1 << STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(var))) != (info & MAY_BE_ANY)
		)) {
			return 0;
		}
	}
	return 1;
}

static int zend_jit_escape_if_undef_r0(dasm_State **Dst, int var, uint32_t flags, const zend_op *opline)
{
	zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);

	//|	IF_NOT_ZVAL_TYPE val_addr, IS_UNDEF, >1, ZREG_TMP1
		ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 7506, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 7510, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 7514, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 7518, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 7522, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 7527, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_UNDEF == 0) {
	dasm_put(Dst, 7532, (ZREG_X15));
		} else {
	dasm_put(Dst, 7536, (ZREG_X15), IS_UNDEF);
		}
#line 3663 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (flags & ZEND_JIT_EXIT_RESTORE_CALL) {
		if (!zend_jit_save_call_chain(Dst, -1)) {
			return 0;
		}
	}

	ZEND_ASSERT(opline);

	if ((opline-1)->opcode != ZEND_FETCH_CONSTANT
	 && (opline-1)->opcode != ZEND_FETCH_LIST_R
	 && ((opline-1)->op1_type & (IS_VAR|IS_TMP_VAR))
	 && !(flags & ZEND_JIT_EXIT_FREE_OP1)) {
		val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, (opline-1)->op1.var);

		//|	IF_NOT_ZVAL_REFCOUNTED val_addr, >2, ZREG_TMP1, ZREG_TMP2
			ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 7542, (ZREG_X16), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 7546, (ZREG_X16), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7550, (ZREG_X16), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7554, (ZREG_X16), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7558, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 7563, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 7568, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 7571, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 7575, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 7579, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 7583, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7587, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7591, (ZREG_X15), (ZREG_X16));
			}
#line 3679 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_ZVAL_PTR TMP1, val_addr, TMP2
		dasm_put(Dst, 7595);
			ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 7598, ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 7601, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7604, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7607, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7610, (Z_REG(val_addr)));
			} else {
		dasm_put(Dst, 7613, (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
			}
#line 3680 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GC_ADDREF TMP1, TMP2w
		//|2:
		dasm_put(Dst, 7617);
#line 3682 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|	LOAD_IP_ADDR (opline - 1)
		if (GCC_GLOBAL_REGS) {
		if (((uintptr_t)((opline - 1))) == 0) {
	dasm_put(Dst, 7622);
		} else if (((uintptr_t)((opline - 1))) <= MOVZ_IMM) {
	dasm_put(Dst, 7624, ((uint64_t)((opline - 1))));
		} else if (arm64_may_use_adr((void*)((opline - 1)))) {
	dasm_put(Dst, 7627, (unsigned int)((ptrdiff_t)((opline - 1))), (unsigned int)(((ptrdiff_t)((opline - 1)))>>32));
		} else if (arm64_may_use_adrp((void*)((opline - 1)))) {
	dasm_put(Dst, 7630, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline - 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline - 1))))))>>32));
			if (((uintptr_t)((opline - 1))) & 0xfff) {
	dasm_put(Dst, 7633, (((uintptr_t)((opline - 1))) & 0xfff));
			}
		} else if ((uintptr_t)((opline - 1)) & 0xffff) {
	dasm_put(Dst, 7636, ((uintptr_t)((opline - 1)) & 0xffff));
			if (((uintptr_t)((opline - 1)) >> 16) & 0xffff) {
	dasm_put(Dst, 7639, (((uintptr_t)((opline - 1)) >> 16) & 0xffff));
			}
			if (((uintptr_t)((opline - 1)) >> 32) & 0xffff) {
	dasm_put(Dst, 7642, (((uintptr_t)((opline - 1)) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)((opline - 1)) >> 16) & 0xffff) {
	dasm_put(Dst, 7645, (((uintptr_t)((opline - 1)) >> 16) & 0xffff));
			if (((uintptr_t)((opline - 1)) >> 32) & 0xffff) {
	dasm_put(Dst, 7648, (((uintptr_t)((opline - 1)) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 7651, (((uintptr_t)((opline - 1)) >> 32) & 0xffff));
		}
		} else {
		if (((uintptr_t)((opline - 1))) == 0) {
	dasm_put(Dst, 7654);
		} else if (((uintptr_t)((opline - 1))) <= MOVZ_IMM) {
	dasm_put(Dst, 7656, ((uint64_t)((opline - 1))));
		} else if (arm64_may_use_adr((void*)((opline - 1)))) {
	dasm_put(Dst, 7659, (unsigned int)((ptrdiff_t)((opline - 1))), (unsigned int)(((ptrdiff_t)((opline - 1)))>>32));
		} else if (arm64_may_use_adrp((void*)((opline - 1)))) {
	dasm_put(Dst, 7662, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline - 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline - 1))))))>>32));
			if (((uintptr_t)((opline - 1))) & 0xfff) {
	dasm_put(Dst, 7665, (((uintptr_t)((opline - 1))) & 0xfff));
			}
		} else if ((uintptr_t)((opline - 1)) & 0xffff) {
	dasm_put(Dst, 7668, ((uintptr_t)((opline - 1)) & 0xffff));
			if (((uintptr_t)((opline - 1)) >> 16) & 0xffff) {
	dasm_put(Dst, 7671, (((uintptr_t)((opline - 1)) >> 16) & 0xffff));
			}
			if (((uintptr_t)((opline - 1)) >> 32) & 0xffff) {
	dasm_put(Dst, 7674, (((uintptr_t)((opline - 1)) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)((opline - 1)) >> 16) & 0xffff) {
	dasm_put(Dst, 7677, (((uintptr_t)((opline - 1)) >> 16) & 0xffff));
			if (((uintptr_t)((opline - 1)) >> 32) & 0xffff) {
	dasm_put(Dst, 7680, (((uintptr_t)((opline - 1)) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 7683, (((uintptr_t)((opline - 1)) >> 32) & 0xffff));
		}
	dasm_put(Dst, 7686, Dt1(->opline));
		}
#line 3685 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	b ->trace_escape
	//|1:
	dasm_put(Dst, 7689);
#line 3687 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_store_const(dasm_State **Dst, int var, zend_reg reg)
{
	zend_jit_addr dst = ZEND_ADDR_MEM_ZVAL(ZREG_FP, EX_NUM_TO_VAR(var));

	if (reg == ZREG_LONG_MIN_MINUS_1) {
		uint64_t val = 0xc3e0000000000000;
		//|	SET_ZVAL_LVAL dst, val, TMP1, TMP2
			if (val == 0) {
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 7693, (Z_REG(dst)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 7696, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 7699, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7702, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7705, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7708, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 7711, (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
			} else {
			if (((uint64_t)(val)) == 0) {
		dasm_put(Dst, 7715);
			} else if (((uint64_t)(val)) <= MOVZ_IMM) {
		dasm_put(Dst, 7717, ((uint64_t)(val)));
			} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
		dasm_put(Dst, 7720, (~((uint64_t)(val))));
			} else if ((uint64_t)(val) & 0xffff) {
		dasm_put(Dst, 7723, ((uint64_t)(val) & 0xffff));
				if (((uint64_t)(val) >> 16) & 0xffff) {
		dasm_put(Dst, 7726, (((uint64_t)(val) >> 16) & 0xffff));
				}
				if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 7729, (((uint64_t)(val) >> 32) & 0xffff));
				}
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 7732, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(val) >> 16) & 0xffff) {
		dasm_put(Dst, 7735, (((uint64_t)(val) >> 16) & 0xffff));
				if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 7738, (((uint64_t)(val) >> 32) & 0xffff));
				}
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 7741, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 7744, (((uint64_t)(val) >> 32) & 0xffff));
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 7747, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7750, (((uint64_t)(val) >> 48) & 0xffff));
			}
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 7753, (Z_REG(dst)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 7756, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 7759, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7762, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7765, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7768, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 7771, (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
			}
#line 3698 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO dst, IS_DOUBLE, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 7775, ((uint32_t)(IS_DOUBLE)));
			} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
		dasm_put(Dst, 7778, ((uint32_t)(IS_DOUBLE) & 0xffff));
				if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 7781, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7784, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 7787, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 7790, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7793, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7796, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7799, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 7802, (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
			}
#line 3699 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (reg == ZREG_LONG_MIN) {
		uint64_t val = 0x8000000000000000;
		//|	SET_ZVAL_LVAL dst, val, TMP1, TMP2
			if (val == 0) {
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 7806, (Z_REG(dst)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 7809, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 7812, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7815, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7818, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7821, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 7824, (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
			} else {
			if (((uint64_t)(val)) == 0) {
		dasm_put(Dst, 7828);
			} else if (((uint64_t)(val)) <= MOVZ_IMM) {
		dasm_put(Dst, 7830, ((uint64_t)(val)));
			} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
		dasm_put(Dst, 7833, (~((uint64_t)(val))));
			} else if ((uint64_t)(val) & 0xffff) {
		dasm_put(Dst, 7836, ((uint64_t)(val) & 0xffff));
				if (((uint64_t)(val) >> 16) & 0xffff) {
		dasm_put(Dst, 7839, (((uint64_t)(val) >> 16) & 0xffff));
				}
				if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 7842, (((uint64_t)(val) >> 32) & 0xffff));
				}
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 7845, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(val) >> 16) & 0xffff) {
		dasm_put(Dst, 7848, (((uint64_t)(val) >> 16) & 0xffff));
				if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 7851, (((uint64_t)(val) >> 32) & 0xffff));
				}
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 7854, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 7857, (((uint64_t)(val) >> 32) & 0xffff));
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 7860, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7863, (((uint64_t)(val) >> 48) & 0xffff));
			}
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 7866, (Z_REG(dst)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 7869, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 7872, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7875, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7878, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7881, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 7884, (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
			}
#line 3702 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO dst, IS_LONG, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
		dasm_put(Dst, 7888, ((uint32_t)(IS_LONG)));
			} else if (((uint32_t)(IS_LONG) & 0xffff)) {
		dasm_put(Dst, 7891, ((uint32_t)(IS_LONG) & 0xffff));
				if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
		dasm_put(Dst, 7894, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7897, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 7900, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 7903, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7906, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7909, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7912, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 7915, (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
			}
#line 3703 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (reg == ZREG_LONG_MAX) {
		uint64_t val = 0x7fffffffffffffff;
		//|	SET_ZVAL_LVAL dst, val, TMP1, TMP2
			if (val == 0) {
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 7919, (Z_REG(dst)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 7922, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 7925, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7928, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7931, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7934, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 7937, (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
			} else {
			if (((uint64_t)(val)) == 0) {
		dasm_put(Dst, 7941);
			} else if (((uint64_t)(val)) <= MOVZ_IMM) {
		dasm_put(Dst, 7943, ((uint64_t)(val)));
			} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
		dasm_put(Dst, 7946, (~((uint64_t)(val))));
			} else if ((uint64_t)(val) & 0xffff) {
		dasm_put(Dst, 7949, ((uint64_t)(val) & 0xffff));
				if (((uint64_t)(val) >> 16) & 0xffff) {
		dasm_put(Dst, 7952, (((uint64_t)(val) >> 16) & 0xffff));
				}
				if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 7955, (((uint64_t)(val) >> 32) & 0xffff));
				}
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 7958, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(val) >> 16) & 0xffff) {
		dasm_put(Dst, 7961, (((uint64_t)(val) >> 16) & 0xffff));
				if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 7964, (((uint64_t)(val) >> 32) & 0xffff));
				}
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 7967, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 7970, (((uint64_t)(val) >> 32) & 0xffff));
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 7973, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7976, (((uint64_t)(val) >> 48) & 0xffff));
			}
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 7979, (Z_REG(dst)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 7982, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 7985, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 7988, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 7991, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 7994, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 7997, (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
			}
#line 3706 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO dst, IS_LONG, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
		dasm_put(Dst, 8001, ((uint32_t)(IS_LONG)));
			} else if (((uint32_t)(IS_LONG) & 0xffff)) {
		dasm_put(Dst, 8004, ((uint32_t)(IS_LONG) & 0xffff));
				if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
		dasm_put(Dst, 8007, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8010, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 8013, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 8016, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8019, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8022, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8025, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 8028, (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
			}
#line 3707 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (reg == ZREG_LONG_MAX_PLUS_1) {
		uint64_t val = 0x43e0000000000000;
		//|	SET_ZVAL_LVAL dst, val, TMP1, TMP2
			if (val == 0) {
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 8032, (Z_REG(dst)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8035, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8038, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8041, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8044, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8047, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 8050, (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
			} else {
			if (((uint64_t)(val)) == 0) {
		dasm_put(Dst, 8054);
			} else if (((uint64_t)(val)) <= MOVZ_IMM) {
		dasm_put(Dst, 8056, ((uint64_t)(val)));
			} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
		dasm_put(Dst, 8059, (~((uint64_t)(val))));
			} else if ((uint64_t)(val) & 0xffff) {
		dasm_put(Dst, 8062, ((uint64_t)(val) & 0xffff));
				if (((uint64_t)(val) >> 16) & 0xffff) {
		dasm_put(Dst, 8065, (((uint64_t)(val) >> 16) & 0xffff));
				}
				if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 8068, (((uint64_t)(val) >> 32) & 0xffff));
				}
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 8071, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(val) >> 16) & 0xffff) {
		dasm_put(Dst, 8074, (((uint64_t)(val) >> 16) & 0xffff));
				if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 8077, (((uint64_t)(val) >> 32) & 0xffff));
				}
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 8080, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(val) >> 32) & 0xffff) {
		dasm_put(Dst, 8083, (((uint64_t)(val) >> 32) & 0xffff));
				if ((((uint64_t)(val) >> 48) & 0xffff)) {
		dasm_put(Dst, 8086, (((uint64_t)(val) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8089, (((uint64_t)(val) >> 48) & 0xffff));
			}
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 8092, (Z_REG(dst)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8095, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8098, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8101, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8104, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8107, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 8110, (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
			}
#line 3710 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO dst, IS_DOUBLE, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 8114, ((uint32_t)(IS_DOUBLE)));
			} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
		dasm_put(Dst, 8117, ((uint32_t)(IS_DOUBLE) & 0xffff));
				if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 8120, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8123, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 8126, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 8129, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8132, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8135, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8138, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 8141, (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
			}
#line 3711 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (reg == ZREG_NULL) {
		//|	SET_ZVAL_TYPE_INFO dst, IS_NULL, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 8145, ((uint32_t)(IS_NULL)));
			} else if (((uint32_t)(IS_NULL) & 0xffff)) {
		dasm_put(Dst, 8148, ((uint32_t)(IS_NULL) & 0xffff));
				if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
		dasm_put(Dst, 8151, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8154, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 8157, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 8160, ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8163, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8166, (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8169, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 8172, (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
			}
#line 3713 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (reg == ZREG_ZVAL_TRY_ADDREF) {
		//|	IF_NOT_ZVAL_REFCOUNTED dst, >1, ZREG_TMP1, ZREG_TMP2
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 8176, (ZREG_X16), ((uint32_t)(Z_OFFSET(dst)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 8180, (ZREG_X16), ((uint32_t)(Z_OFFSET(dst)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8184, (ZREG_X16), (((uint32_t)(Z_OFFSET(dst)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8188, (ZREG_X16), (((uint32_t)(Z_OFFSET(dst)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8192, (ZREG_X15), (Z_REG(dst)), (ZREG_X16));
			} else {
		dasm_put(Dst, 8197, (ZREG_X15), (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 8202, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 8205, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 8209, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 8213, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 8217, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8221, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8225, (ZREG_X15), (ZREG_X16));
			}
#line 3715 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_ZVAL_PTR TMP1, dst, TMP2
		dasm_put(Dst, 8229);
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8232, ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8235, ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8238, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8241, (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8244, (Z_REG(dst)));
			} else {
		dasm_put(Dst, 8247, (Z_REG(dst)), (Z_OFFSET(dst)));
			}
#line 3716 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GC_ADDREF TMP1, TMP2w
		//|1:
		dasm_put(Dst, 8251);
#line 3718 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (reg == ZREG_ZVAL_COPY_GPR0) {
		zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);

		//|	ZVAL_COPY_VALUE dst, -1, val_addr, -1, ZREG_REG1, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (-1 & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((-1 & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(val_addr) == IS_REG) {
						if (Z_MODE(dst) != IS_REG || Z_REG(dst) != Z_REG(val_addr)) {
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 8256, (Z_REG(dst)), (Z_REG(val_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8260, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8264, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8268, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8272, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8276, (Z_REG(val_addr)), (Z_REG(dst)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8281, (Z_REG(val_addr)), (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
						}
					} else if (Z_MODE(dst) == IS_REG) {
			if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
		dasm_put(Dst, 8286, (Z_REG(dst)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
		dasm_put(Dst, 8289, (Z_REG(dst)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 8292, (Z_REG(dst)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 8296, (Z_REG(dst)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
		dasm_put(Dst, 8300, (Z_REG(dst)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 8304, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 8308, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 8312, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 8316, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 8320, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 8324, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 8328, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 8332, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8336, (Z_REG(dst)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 8340, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 8344, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8348, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8352, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8356, (Z_REG(dst)), (Z_REG(val_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8361, (Z_REG(dst)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
			}
			} else if (Z_MODE(val_addr) == IS_REG) {
				if (Z_REG(dst) != Z_REG(val_addr)) {
		dasm_put(Dst, 8366, (Z_REG(dst)), (Z_REG(val_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
		dasm_put(Dst, 8370, (ZREG_X10));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
		dasm_put(Dst, 8373, (ZREG_X10));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 8376, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 8380, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
		dasm_put(Dst, 8384, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 8388, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 8392, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 8396, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 8400, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 8404, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 8408, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 8412, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 8416, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8420, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 8424, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 8428, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8432, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8436, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8440, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8445, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
			}
			} else if (Z_MODE(val_addr) == IS_REG) {
				if (ZREG_X10 != Z_REG(val_addr)) {
		dasm_put(Dst, 8450, (ZREG_X10), (Z_REG(val_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(dst) == IS_REG) {
		dasm_put(Dst, 8454, (Z_REG(dst)), (ZREG_X10));
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8458, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8462, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8466, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8470, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8474, (ZREG_X10), (Z_REG(dst)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8479, (ZREG_X10), (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
					}
				} else if ((-1 & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(val_addr) == IS_REG) {
			if (Z_MODE(dst) == IS_REG) {
				if (Z_REG(val_addr) != Z_REG(dst)) {
		dasm_put(Dst, 8484, (Z_REG(dst)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8488, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8492, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8496, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8500, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8504, (Z_REG(val_addr)-ZREG_V0), (Z_REG(dst)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8509, (Z_REG(val_addr)-ZREG_V0), (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
					} else if (Z_MODE(dst) == IS_REG) {
			if (Z_MODE(val_addr) != IS_REG || Z_REG(dst) != Z_REG(val_addr)) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 8514, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(dst)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 8521, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(dst)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
		dasm_put(Dst, 8529, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 8532, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 8536, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 8540, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
		dasm_put(Dst, 8544, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
		dasm_put(Dst, 8549, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 8553, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 8557, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 8561, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 8565, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8569, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 8573, (Z_REG(dst)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 8577, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 8581, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8585, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8589, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8593, (Z_REG(dst)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8598, (Z_REG(dst)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
			}
				} else if (Z_MODE(val_addr) == IS_REG) {
		dasm_put(Dst, 8603, (Z_REG(dst)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 8607, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 8614, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
		dasm_put(Dst, 8622, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 8625, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 8629, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 8633, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
		dasm_put(Dst, 8637, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
		dasm_put(Dst, 8642, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 8646, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 8650, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 8654, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 8658, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8662, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 8666, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 8670, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 8674, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8678, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8682, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8686, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8691, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
			}
				} else if (Z_MODE(val_addr) == IS_REG) {
		dasm_put(Dst, 8696, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(dst) == IS_REG) {
				if (ZREG_V0 != Z_REG(dst)) {
		dasm_put(Dst, 8700, (Z_REG(dst)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8704, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8708, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8712, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8716, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8720, (ZREG_V0-ZREG_V0), (Z_REG(dst)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8725, (ZREG_V0-ZREG_V0), (Z_REG(dst)), (Z_OFFSET(dst)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(-1 & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 8730, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 8734, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8738, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8742, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8746, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8751, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
			}
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(dst))) <= MOVZ_IMM) {
		dasm_put(Dst, 8756, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst))));
			} else if (((uint32_t)(Z_OFFSET(dst)) & 0xffff)) {
		dasm_put(Dst, 8760, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8764, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8768, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8772, (ZREG_X10), (Z_REG(dst)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8777, (ZREG_X10), (Z_REG(dst)), (Z_OFFSET(dst)));
			}
				}
			}
			if ((-1 & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(-1 & MAY_BE_GUARD) &&
				has_concrete_type(-1 & MAY_BE_ANY)) {
				if (Z_MODE(dst) == IS_MEM_ZVAL) {
					if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(-1);
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 8782, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 8786, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 8790, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8794, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 8798, (ZREG_X16), ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 8802, (ZREG_X16), ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8806, (ZREG_X16), (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8810, (ZREG_X16), (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8814, (ZREG_X15), (Z_REG(dst)), (ZREG_X16));
			} else {
		dasm_put(Dst, 8819, (ZREG_X15), (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 8824, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 8828, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8832, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8836, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8840, (ZREG_X9), (Z_REG(val_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8845, (ZREG_X9), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(dst) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 8850, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 8854, (ZREG_X15), ((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8858, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8862, (ZREG_X15), (((uint32_t)(Z_OFFSET(dst)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8866, (ZREG_X9), (Z_REG(dst)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8871, (ZREG_X9), (Z_REG(dst)), (Z_OFFSET(dst)+offsetof(zval,u1.type_info)));
			}
			}
#line 3722 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	TRY_ADDREF -1, REG1w, REG2, TMP1w
			if (-1 & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
				if (-1 & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
			if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
		dasm_put(Dst, 8876);
			} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
		dasm_put(Dst, 8878, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
			} else {
			if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
		dasm_put(Dst, 8881, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
			} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
		dasm_put(Dst, 8884, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
				if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8887, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8890, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8893);
			}
		dasm_put(Dst, 8895);
				}
		dasm_put(Dst, 8898);
			}
#line 3723 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		ZEND_UNREACHABLE();
	}
	return 1;
}

static int zend_jit_free_trampoline(dasm_State **Dst)
{
	//|	// if (UNEXPECTED(func->common.fn_flags & ZEND_ACC_CALL_VIA_TRAMPOLINE))
	//|	ldr TMP1w, [REG0, #offsetof(zend_function, common.fn_flags)]
	//|	TST_32_WITH_CONST TMP1w, ZEND_ACC_CALL_VIA_TRAMPOLINE, TMP2w
	dasm_put(Dst, 8903, offsetof(zend_function, common.fn_flags));
		if (ZEND_ACC_CALL_VIA_TRAMPOLINE == 0) {
	dasm_put(Dst, 8906);
		} else if (logical_immediate_p((uint32_t)ZEND_ACC_CALL_VIA_TRAMPOLINE, 32)) {
	dasm_put(Dst, 8908, ZEND_ACC_CALL_VIA_TRAMPOLINE);
		} else {
		if (((uint32_t)(ZEND_ACC_CALL_VIA_TRAMPOLINE)) <= MOVZ_IMM) {
	dasm_put(Dst, 8911, ((uint32_t)(ZEND_ACC_CALL_VIA_TRAMPOLINE)));
		} else if (((uint32_t)(ZEND_ACC_CALL_VIA_TRAMPOLINE) & 0xffff)) {
	dasm_put(Dst, 8914, ((uint32_t)(ZEND_ACC_CALL_VIA_TRAMPOLINE) & 0xffff));
			if ((((uint32_t)(ZEND_ACC_CALL_VIA_TRAMPOLINE) >> 16) & 0xffff)) {
	dasm_put(Dst, 8917, (((uint32_t)(ZEND_ACC_CALL_VIA_TRAMPOLINE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 8920, (((uint32_t)(ZEND_ACC_CALL_VIA_TRAMPOLINE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 8923);
		}
#line 3734 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	beq >1
	//|	mov FCARG1x, REG0
	//|	EXT_CALL zend_jit_free_trampoline_helper, REG0
	dasm_put(Dst, 8925);
		if (arm64_may_use_b(zend_jit_free_trampoline_helper)) {
	dasm_put(Dst, 8929, (unsigned int)((ptrdiff_t)(zend_jit_free_trampoline_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_free_trampoline_helper))>>32));
		} else {
		if (((uintptr_t)(zend_jit_free_trampoline_helper)) == 0) {
	dasm_put(Dst, 8932);
		} else if (((uintptr_t)(zend_jit_free_trampoline_helper)) <= MOVZ_IMM) {
	dasm_put(Dst, 8934, ((uint64_t)(zend_jit_free_trampoline_helper)));
		} else if (arm64_may_use_adr((void*)(zend_jit_free_trampoline_helper))) {
	dasm_put(Dst, 8937, (unsigned int)((ptrdiff_t)(zend_jit_free_trampoline_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_free_trampoline_helper))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_free_trampoline_helper))) {
	dasm_put(Dst, 8940, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_free_trampoline_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_free_trampoline_helper)))))>>32));
			if (((uintptr_t)(zend_jit_free_trampoline_helper)) & 0xfff) {
	dasm_put(Dst, 8943, (((uintptr_t)(zend_jit_free_trampoline_helper)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_free_trampoline_helper) & 0xffff) {
	dasm_put(Dst, 8946, ((uintptr_t)(zend_jit_free_trampoline_helper) & 0xffff));
			if (((uintptr_t)(zend_jit_free_trampoline_helper) >> 16) & 0xffff) {
	dasm_put(Dst, 8949, (((uintptr_t)(zend_jit_free_trampoline_helper) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_free_trampoline_helper) >> 32) & 0xffff) {
	dasm_put(Dst, 8952, (((uintptr_t)(zend_jit_free_trampoline_helper) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_free_trampoline_helper) >> 16) & 0xffff) {
	dasm_put(Dst, 8955, (((uintptr_t)(zend_jit_free_trampoline_helper) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_free_trampoline_helper) >> 32) & 0xffff) {
	dasm_put(Dst, 8958, (((uintptr_t)(zend_jit_free_trampoline_helper) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 8961, (((uintptr_t)(zend_jit_free_trampoline_helper) >> 32) & 0xffff));
		}
	dasm_put(Dst, 8964);
		}
#line 3737 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|1:
	dasm_put(Dst, 8966);
#line 3738 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_inc_dec(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr, uint32_t op1_def_info, zend_jit_addr op1_def_addr, uint32_t res_use_info, uint32_t res_info, zend_jit_addr res_addr, int may_overflow, int may_throw)
{
	if (op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY)-MAY_BE_LONG)) {
		//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >2, ZREG_TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 8968, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 8972, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 8976, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 8980, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 8984, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 8989, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_LONG == 0) {
		dasm_put(Dst, 8994, (ZREG_X15));
			} else {
		dasm_put(Dst, 8998, (ZREG_X15), IS_LONG);
			}
#line 3745 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (opline->opcode == ZEND_POST_INC || opline->opcode == ZEND_POST_DEC) {
		//|	ZVAL_COPY_VALUE res_addr, res_use_info, op1_addr, MAY_BE_LONG, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (MAY_BE_LONG & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_addr)) {
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 9004, (Z_REG(res_addr)), (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9008, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 9012, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9016, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9020, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9024, (Z_REG(op1_addr)), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9029, (Z_REG(op1_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
						}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 9034, (Z_REG(res_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 9037, (Z_REG(res_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 9040, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 9044, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 9048, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 9052, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 9056, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 9060, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 9064, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 9068, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 9072, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 9076, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 9080, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9084, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9088, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 9092, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9096, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9100, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9104, (Z_REG(res_addr)), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9109, (Z_REG(res_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_REG(res_addr) != Z_REG(op1_addr)) {
		dasm_put(Dst, 9114, (Z_REG(res_addr)), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 9118, (ZREG_X9));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 9121, (ZREG_X9));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 9124, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 9128, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 9132, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 9136, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 9140, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 9144, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 9148, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 9152, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 9156, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 9160, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 9164, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9168, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9172, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 9176, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9180, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9184, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9188, (ZREG_X9), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9193, (ZREG_X9), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X9 != Z_REG(op1_addr)) {
		dasm_put(Dst, 9198, (ZREG_X9), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 9202, (Z_REG(res_addr)), (ZREG_X9));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9206, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 9210, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9214, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9218, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9222, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9227, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				} else if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(op1_addr) == IS_REG) {
			if (Z_MODE(res_addr) == IS_REG) {
				if (Z_REG(op1_addr) != Z_REG(res_addr)) {
		dasm_put(Dst, 9232, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9236, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 9240, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9244, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9248, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9252, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9257, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(op1_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 9262, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 9269, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 9277, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9280, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 9284, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 9288, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 9292, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 9297, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 9301, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 9305, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 9309, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 9313, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9317, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 9321, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9325, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 9329, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9333, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9337, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9341, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9346, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 9351, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 9355, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 9362, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 9370, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9373, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 9377, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 9381, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 9385, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 9390, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 9394, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 9398, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 9402, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 9406, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9410, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 9414, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9418, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 9422, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9426, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9430, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9434, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9439, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 9444, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(res_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(res_addr)) {
		dasm_put(Dst, 9448, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9452, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 9456, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9460, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9464, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9468, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9473, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(MAY_BE_LONG & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9478, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 9482, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9486, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9490, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9494, (ZREG_X9), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9499, (ZREG_X9), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9504, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 9508, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9512, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9516, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9520, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9525, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
				}
			}
			if ((MAY_BE_LONG & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(MAY_BE_LONG & MAY_BE_GUARD) &&
				has_concrete_type(MAY_BE_LONG & MAY_BE_ANY)) {
				if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(MAY_BE_LONG);
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 9530, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 9534, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 9538, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9542, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 9546, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 9550, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9554, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9558, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9562, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 9567, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 9572, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 9576, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9580, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9584, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9588, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9593, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 9598, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 9602, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9606, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9610, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9614, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 9619, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
			}
#line 3748 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (!zend_jit_update_regs(Dst, opline->op1.var, op1_addr, op1_def_addr, MAY_BE_LONG)) {
		return 0;
	}
	if (opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_POST_INC) {
		//|	LONG_ADD_SUB_WITH_IMM adds, op1_def_addr, Z_L(1), TMP1, TMP2
			ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(Z_L(1))));
			if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9624, ((uint32_t)(Z_OFFSET(op1_def_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
		dasm_put(Dst, 9627, ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9630, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9633, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9636, (Z_REG(op1_def_addr)), Z_L(1), (Z_REG(op1_def_addr)));
				} else {
		dasm_put(Dst, 9643, (Z_REG(op1_def_addr)), Z_OFFSET(op1_def_addr), Z_L(1), (Z_REG(op1_def_addr)), Z_OFFSET(op1_def_addr));
				}
			} else if (Z_MODE(op1_def_addr) == IS_REG) {
		dasm_put(Dst, 9652, (Z_REG(op1_def_addr)), (Z_REG(op1_def_addr)), Z_L(1));
			} else {
				ZEND_UNREACHABLE();
			}
#line 3754 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	LONG_ADD_SUB_WITH_IMM subs, op1_def_addr, Z_L(1), TMP1, TMP2
			ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(Z_L(1))));
			if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 9657, ((uint32_t)(Z_OFFSET(op1_def_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
		dasm_put(Dst, 9660, ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 9663, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 9666, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 9669, (Z_REG(op1_def_addr)), Z_L(1), (Z_REG(op1_def_addr)));
				} else {
		dasm_put(Dst, 9676, (Z_REG(op1_def_addr)), Z_OFFSET(op1_def_addr), Z_L(1), (Z_REG(op1_def_addr)), Z_OFFSET(op1_def_addr));
				}
			} else if (Z_MODE(op1_def_addr) == IS_REG) {
		dasm_put(Dst, 9685, (Z_REG(op1_def_addr)), (Z_REG(op1_def_addr)), Z_L(1));
			} else {
				ZEND_UNREACHABLE();
			}
#line 3756 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (may_overflow &&
	    (((op1_def_info & MAY_BE_GUARD) && (op1_def_info & MAY_BE_LONG)) ||
	     ((opline->result_type != IS_UNUSED && (res_info & MAY_BE_GUARD) && (res_info & MAY_BE_LONG))))) {
		int32_t exit_point;
		const void *exit_addr;
		zend_jit_trace_stack *stack;
		uint32_t old_op1_info, old_res_info = 0;

		stack = JIT_G(current_frame)->stack;
		old_op1_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->op1.var));
		SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->op1.var), IS_DOUBLE, 0);
		if (opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_POST_INC) {
			SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->op1.var), ZREG_LONG_MAX_PLUS_1);
		} else {
			SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->op1.var), ZREG_LONG_MIN_MINUS_1);
		}
		if (opline->result_type != IS_UNUSED) {
			old_res_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var));
			if (opline->opcode == ZEND_PRE_INC) {
				SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_DOUBLE, 0);
				SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->result.var), ZREG_LONG_MAX_PLUS_1);
			} else if (opline->opcode == ZEND_PRE_DEC) {
				SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_DOUBLE, 0);
				SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->result.var), ZREG_LONG_MIN_MINUS_1);
			} else if (opline->opcode == ZEND_POST_INC) {
				SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_LONG, 0);
				SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->result.var), ZREG_LONG_MAX);
			} else if (opline->opcode == ZEND_POST_DEC) {
				SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_LONG, 0);
				SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->result.var), ZREG_LONG_MIN);
			}
		}

		exit_point = zend_jit_trace_get_exit_point(opline + 1, 0);
		exit_addr = zend_jit_trace_get_exit_addr(exit_point);
		if (!exit_addr) {
			return 0;
		}
		//|	bvs &exit_addr
		dasm_put(Dst, 9690, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 3797 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		if ((opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_PRE_DEC) &&
		    opline->result_type != IS_UNUSED) {
			//|	ZVAL_COPY_VALUE res_addr, res_use_info, op1_def_addr, MAY_BE_LONG, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (MAY_BE_LONG & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(op1_def_addr) == IS_REG) {
							if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_def_addr)) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 9693, (Z_REG(res_addr)), (Z_REG(op1_def_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 9697, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 9701, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 9705, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 9709, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 9713, (Z_REG(op1_def_addr)), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 9718, (Z_REG(op1_def_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
							}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_def_addr)) == 0) {
			dasm_put(Dst, 9723, (Z_REG(res_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) == 0) {
			dasm_put(Dst, 9726, (Z_REG(res_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 9729, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 9733, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff) {
			dasm_put(Dst, 9737, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 9741, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 9745, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 9749, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 9753, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 9757, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 9761, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 9765, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 9769, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 9773, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 9777, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 9781, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 9785, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 9789, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 9793, (Z_REG(res_addr)), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 9798, (Z_REG(res_addr)), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				} else if (Z_MODE(op1_def_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(op1_def_addr)) {
			dasm_put(Dst, 9803, (Z_REG(res_addr)), (Z_REG(op1_def_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_def_addr)) == 0) {
			dasm_put(Dst, 9807, (ZREG_X9));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) == 0) {
			dasm_put(Dst, 9810, (ZREG_X9));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 9813, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 9817, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff) {
			dasm_put(Dst, 9821, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 9825, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 9829, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 9833, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 9837, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 9841, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 9845, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 9849, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 9853, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 9857, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 9861, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 9865, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 9869, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 9873, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 9877, (ZREG_X9), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 9882, (ZREG_X9), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				} else if (Z_MODE(op1_def_addr) == IS_REG) {
					if (ZREG_X9 != Z_REG(op1_def_addr)) {
			dasm_put(Dst, 9887, (ZREG_X9), (Z_REG(op1_def_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 9891, (Z_REG(res_addr)), (ZREG_X9));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 9895, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 9899, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 9903, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 9907, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 9911, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 9916, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(op1_def_addr) == IS_REG) {
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(op1_def_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 9921, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 9925, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 9929, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 9933, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 9937, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 9941, (Z_REG(op1_def_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 9946, (Z_REG(op1_def_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(op1_def_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_def_addr)) {
					if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 9951, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 9958, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) == 0) {
			dasm_put(Dst, 9966, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 9969, (ZREG_X15), ((uint64_t)(Z_ZV(op1_def_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 9973, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 9977, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff) {
			dasm_put(Dst, 9981, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff) {
			dasm_put(Dst, 9986, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 9990, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 9994, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 9998, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 10002, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10006, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 10010, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10014, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 10018, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10022, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10026, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10030, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10035, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
					} else if (Z_MODE(op1_def_addr) == IS_REG) {
			dasm_put(Dst, 10040, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(op1_def_addr) != IS_REG || ZREG_V0 != Z_REG(op1_def_addr)) {
					if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10044, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10051, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) == 0) {
			dasm_put(Dst, 10059, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10062, (ZREG_X15), ((uint64_t)(Z_ZV(op1_def_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10066, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10070, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff) {
			dasm_put(Dst, 10074, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff) {
			dasm_put(Dst, 10079, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 10083, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 10087, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 10091, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 10095, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10099, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 10103, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10107, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 10111, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10115, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10119, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10123, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10128, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
					} else if (Z_MODE(op1_def_addr) == IS_REG) {
			dasm_put(Dst, 10133, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(res_addr)) {
			dasm_put(Dst, 10137, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10141, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 10145, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10149, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10153, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10157, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10162, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(MAY_BE_LONG & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10167, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 10171, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10175, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10179, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10183, (ZREG_X9), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10188, (ZREG_X9), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10193, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 10197, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10201, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10205, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10209, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10214, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
					}
				}
				if ((MAY_BE_LONG & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(MAY_BE_LONG & MAY_BE_GUARD) &&
					has_concrete_type(MAY_BE_LONG & MAY_BE_ANY)) {
					if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(MAY_BE_LONG);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 10219, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 10223, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 10227, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10231, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 10235, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 10239, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10243, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10247, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10251, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 10256, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 10261, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 10265, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10269, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10273, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10277, (ZREG_X8), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10282, (ZREG_X8), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 10287, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 10291, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10295, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10299, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10303, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10308, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 3801 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->op1.var), old_op1_info);
		if (opline->result_type != IS_UNUSED) {
			SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var), old_res_info);
		}
	} else if (may_overflow) {
		//|	bvs >1
		dasm_put(Dst, 10313);
#line 3809 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if ((opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_PRE_DEC) &&
		    opline->result_type != IS_UNUSED) {
			//|	ZVAL_COPY_VALUE res_addr, res_use_info, op1_def_addr, MAY_BE_LONG, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (MAY_BE_LONG & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(op1_def_addr) == IS_REG) {
							if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_def_addr)) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 10316, (Z_REG(res_addr)), (Z_REG(op1_def_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10320, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 10324, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10328, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10332, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10336, (Z_REG(op1_def_addr)), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10341, (Z_REG(op1_def_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
							}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_def_addr)) == 0) {
			dasm_put(Dst, 10346, (Z_REG(res_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) == 0) {
			dasm_put(Dst, 10349, (Z_REG(res_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 10352, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 10356, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff) {
			dasm_put(Dst, 10360, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 10364, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 10368, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 10372, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 10376, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 10380, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 10384, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 10388, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 10392, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10396, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10400, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 10404, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10408, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10412, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10416, (Z_REG(res_addr)), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10421, (Z_REG(res_addr)), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				} else if (Z_MODE(op1_def_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(op1_def_addr)) {
			dasm_put(Dst, 10426, (Z_REG(res_addr)), (Z_REG(op1_def_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_def_addr)) == 0) {
			dasm_put(Dst, 10430, (ZREG_X9));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) == 0) {
			dasm_put(Dst, 10433, (ZREG_X9));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 10436, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 10440, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff) {
			dasm_put(Dst, 10444, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 10448, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 10452, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 10456, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 10460, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 10464, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 10468, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 10472, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 10476, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10480, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10484, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 10488, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10492, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10496, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10500, (ZREG_X9), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10505, (ZREG_X9), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				} else if (Z_MODE(op1_def_addr) == IS_REG) {
					if (ZREG_X9 != Z_REG(op1_def_addr)) {
			dasm_put(Dst, 10510, (ZREG_X9), (Z_REG(op1_def_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 10514, (Z_REG(res_addr)), (ZREG_X9));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10518, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 10522, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10526, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10530, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10534, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10539, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(op1_def_addr) == IS_REG) {
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(op1_def_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 10544, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10548, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 10552, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10556, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10560, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10564, (Z_REG(op1_def_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10569, (Z_REG(op1_def_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(op1_def_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_def_addr)) {
					if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10574, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10581, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) == 0) {
			dasm_put(Dst, 10589, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10592, (ZREG_X15), ((uint64_t)(Z_ZV(op1_def_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10596, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10600, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff) {
			dasm_put(Dst, 10604, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff) {
			dasm_put(Dst, 10609, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 10613, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 10617, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 10621, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 10625, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10629, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 10633, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10637, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 10641, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10645, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10649, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10653, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10658, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
					} else if (Z_MODE(op1_def_addr) == IS_REG) {
			dasm_put(Dst, 10663, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(op1_def_addr) != IS_REG || ZREG_V0 != Z_REG(op1_def_addr)) {
					if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10667, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10674, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) == 0) {
			dasm_put(Dst, 10682, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10685, (ZREG_X15), ((uint64_t)(Z_ZV(op1_def_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10689, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 10693, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff) {
			dasm_put(Dst, 10697, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff) {
			dasm_put(Dst, 10702, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 10706, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 10710, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 10714, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 10718, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10722, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 10726, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10730, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 10734, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10738, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10742, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10746, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10751, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
					} else if (Z_MODE(op1_def_addr) == IS_REG) {
			dasm_put(Dst, 10756, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(res_addr)) {
			dasm_put(Dst, 10760, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10764, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 10768, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10772, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10776, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10780, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10785, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(MAY_BE_LONG & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10790, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 10794, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10798, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10802, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10806, (ZREG_X9), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10811, (ZREG_X9), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 10816, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 10820, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10824, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10828, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10832, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10837, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
					}
				}
				if ((MAY_BE_LONG & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(MAY_BE_LONG & MAY_BE_GUARD) &&
					has_concrete_type(MAY_BE_LONG & MAY_BE_ANY)) {
					if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(MAY_BE_LONG);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 10842, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 10846, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 10850, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10854, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 10858, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 10862, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10866, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10870, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10874, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 10879, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 10884, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 10888, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10892, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10896, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10900, (ZREG_X8), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10905, (ZREG_X8), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 10910, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 10914, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 10918, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 10922, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 10926, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 10931, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 3812 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|.cold_code
		dasm_put(Dst, 10936);
#line 3814 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 10937);
#line 3815 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_POST_INC) {
			uint64_t val = 0x43e0000000000000;
			if (Z_MODE(op1_def_addr) == IS_REG) {
				//|	LOAD_64BIT_VAL TMP1, val
					if (((uint64_t)(val)) == 0) {
				dasm_put(Dst, 10939);
					} else if (((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 10941, ((uint64_t)(val)));
					} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 10944, (~((uint64_t)(val))));
					} else if ((uint64_t)(val) & 0xffff) {
				dasm_put(Dst, 10947, ((uint64_t)(val) & 0xffff));
						if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 10950, (((uint64_t)(val) >> 16) & 0xffff));
						}
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 10953, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 10956, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 10959, (((uint64_t)(val) >> 16) & 0xffff));
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 10962, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 10965, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 10968, (((uint64_t)(val) >> 32) & 0xffff));
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 10971, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 10974, (((uint64_t)(val) >> 48) & 0xffff));
					}
#line 3819 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	fmov Rd(Z_REG(op1_def_addr)-ZREG_V0), TMP1
				dasm_put(Dst, 10977, (Z_REG(op1_def_addr)-ZREG_V0));
#line 3820 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	SET_ZVAL_LVAL op1_def_addr, val, TMP2, TMP1
					if (val == 0) {
					if (Z_MODE(op1_def_addr) == IS_REG) {
				dasm_put(Dst, 10980, (Z_REG(op1_def_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 10983, ((uint32_t)(Z_OFFSET(op1_def_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
				dasm_put(Dst, 10986, ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 10989, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 10992, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 10995, (Z_REG(op1_def_addr)));
					} else {
				dasm_put(Dst, 10998, (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
					}
					}
					} else {
					if (((uint64_t)(val)) == 0) {
				dasm_put(Dst, 11002);
					} else if (((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 11004, ((uint64_t)(val)));
					} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 11007, (~((uint64_t)(val))));
					} else if ((uint64_t)(val) & 0xffff) {
				dasm_put(Dst, 11010, ((uint64_t)(val) & 0xffff));
						if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 11013, (((uint64_t)(val) >> 16) & 0xffff));
						}
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11016, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11019, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 11022, (((uint64_t)(val) >> 16) & 0xffff));
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11025, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11028, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11031, (((uint64_t)(val) >> 32) & 0xffff));
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11034, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 11037, (((uint64_t)(val) >> 48) & 0xffff));
					}
					if (Z_MODE(op1_def_addr) == IS_REG) {
				dasm_put(Dst, 11040, (Z_REG(op1_def_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 11043, ((uint32_t)(Z_OFFSET(op1_def_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
				dasm_put(Dst, 11046, ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 11049, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 11052, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 11055, (Z_REG(op1_def_addr)));
					} else {
				dasm_put(Dst, 11058, (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
					}
					}
					}
#line 3822 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			uint64_t val = 0xc3e0000000000000;
			if (Z_MODE(op1_def_addr) == IS_REG) {
				//|	LOAD_64BIT_VAL TMP1, val
					if (((uint64_t)(val)) == 0) {
				dasm_put(Dst, 11062);
					} else if (((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 11064, ((uint64_t)(val)));
					} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 11067, (~((uint64_t)(val))));
					} else if ((uint64_t)(val) & 0xffff) {
				dasm_put(Dst, 11070, ((uint64_t)(val) & 0xffff));
						if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 11073, (((uint64_t)(val) >> 16) & 0xffff));
						}
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11076, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11079, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 11082, (((uint64_t)(val) >> 16) & 0xffff));
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11085, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11088, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11091, (((uint64_t)(val) >> 32) & 0xffff));
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11094, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 11097, (((uint64_t)(val) >> 48) & 0xffff));
					}
#line 3827 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	fmov Rd(Z_REG(op1_def_addr)-ZREG_V0), TMP1
				dasm_put(Dst, 11100, (Z_REG(op1_def_addr)-ZREG_V0));
#line 3828 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	SET_ZVAL_LVAL op1_def_addr, val, TMP2, TMP1
					if (val == 0) {
					if (Z_MODE(op1_def_addr) == IS_REG) {
				dasm_put(Dst, 11103, (Z_REG(op1_def_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 11106, ((uint32_t)(Z_OFFSET(op1_def_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
				dasm_put(Dst, 11109, ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 11112, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 11115, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 11118, (Z_REG(op1_def_addr)));
					} else {
				dasm_put(Dst, 11121, (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
					}
					}
					} else {
					if (((uint64_t)(val)) == 0) {
				dasm_put(Dst, 11125);
					} else if (((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 11127, ((uint64_t)(val)));
					} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 11130, (~((uint64_t)(val))));
					} else if ((uint64_t)(val) & 0xffff) {
				dasm_put(Dst, 11133, ((uint64_t)(val) & 0xffff));
						if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 11136, (((uint64_t)(val) >> 16) & 0xffff));
						}
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11139, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11142, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 11145, (((uint64_t)(val) >> 16) & 0xffff));
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11148, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11151, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 11154, (((uint64_t)(val) >> 32) & 0xffff));
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 11157, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 11160, (((uint64_t)(val) >> 48) & 0xffff));
					}
					if (Z_MODE(op1_def_addr) == IS_REG) {
				dasm_put(Dst, 11163, (Z_REG(op1_def_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 11166, ((uint32_t)(Z_OFFSET(op1_def_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
				dasm_put(Dst, 11169, ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 11172, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 11175, (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 11178, (Z_REG(op1_def_addr)));
					} else {
				dasm_put(Dst, 11181, (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
					}
					}
					}
#line 3830 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
			//|	SET_ZVAL_TYPE_INFO op1_def_addr, IS_DOUBLE, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 11185, ((uint32_t)(IS_DOUBLE)));
				} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
			dasm_put(Dst, 11188, ((uint32_t)(IS_DOUBLE) & 0xffff));
					if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 11191, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11194, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 11197, ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 11200, ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11203, (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11206, (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11209, (Z_REG(op1_def_addr)));
				} else {
			dasm_put(Dst, 11212, (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)));
				}
#line 3834 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if ((opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_PRE_DEC) &&
		    opline->result_type != IS_UNUSED) {
			//|	ZVAL_COPY_VALUE res_addr, res_use_info, op1_def_addr, MAY_BE_DOUBLE, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (MAY_BE_DOUBLE & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((MAY_BE_DOUBLE & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(op1_def_addr) == IS_REG) {
							if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_def_addr)) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 11216, (Z_REG(res_addr)), (Z_REG(op1_def_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11220, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 11224, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11228, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11232, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11236, (Z_REG(op1_def_addr)), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11241, (Z_REG(op1_def_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
							}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_def_addr)) == 0) {
			dasm_put(Dst, 11246, (Z_REG(res_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) == 0) {
			dasm_put(Dst, 11249, (Z_REG(res_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 11252, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 11256, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff) {
			dasm_put(Dst, 11260, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 11264, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 11268, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 11272, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 11276, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 11280, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 11284, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 11288, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 11292, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11296, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11300, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 11304, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11308, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11312, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11316, (Z_REG(res_addr)), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11321, (Z_REG(res_addr)), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				} else if (Z_MODE(op1_def_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(op1_def_addr)) {
			dasm_put(Dst, 11326, (Z_REG(res_addr)), (Z_REG(op1_def_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_def_addr)) == 0) {
			dasm_put(Dst, 11330, (ZREG_X9));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) == 0) {
			dasm_put(Dst, 11333, (ZREG_X9));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 11336, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 11340, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff) {
			dasm_put(Dst, 11344, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 11348, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 11352, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 11356, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 11360, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 11364, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 11368, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 11372, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 11376, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11380, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11384, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 11388, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11392, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11396, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11400, (ZREG_X9), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11405, (ZREG_X9), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				} else if (Z_MODE(op1_def_addr) == IS_REG) {
					if (ZREG_X9 != Z_REG(op1_def_addr)) {
			dasm_put(Dst, 11410, (ZREG_X9), (Z_REG(op1_def_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 11414, (Z_REG(res_addr)), (ZREG_X9));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11418, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 11422, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11426, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11430, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11434, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11439, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else if ((MAY_BE_DOUBLE & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(op1_def_addr) == IS_REG) {
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(op1_def_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 11444, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11448, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 11452, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11456, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11460, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11464, (Z_REG(op1_def_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11469, (Z_REG(op1_def_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(op1_def_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_def_addr)) {
					if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 11474, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 11481, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) == 0) {
			dasm_put(Dst, 11489, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11492, (ZREG_X15), ((uint64_t)(Z_ZV(op1_def_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 11496, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 11500, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff) {
			dasm_put(Dst, 11504, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff) {
			dasm_put(Dst, 11509, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 11513, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 11517, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 11521, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 11525, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11529, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 11533, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11537, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 11541, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11545, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11549, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11553, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11558, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
					} else if (Z_MODE(op1_def_addr) == IS_REG) {
			dasm_put(Dst, 11563, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(op1_def_addr) != IS_REG || ZREG_V0 != Z_REG(op1_def_addr)) {
					if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 11567, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 11574, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) == 0) {
			dasm_put(Dst, 11582, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11585, (ZREG_X15), ((uint64_t)(Z_ZV(op1_def_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 11589, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 11593, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff) {
			dasm_put(Dst, 11597, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff) {
			dasm_put(Dst, 11602, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 11606, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 11610, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 11614, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 11618, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11622, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 11626, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11630, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 11634, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11638, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11642, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11646, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11651, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
					} else if (Z_MODE(op1_def_addr) == IS_REG) {
			dasm_put(Dst, 11656, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(res_addr)) {
			dasm_put(Dst, 11660, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11664, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 11668, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11672, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11676, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11680, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11685, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(MAY_BE_DOUBLE & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11690, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 11694, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11698, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11702, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11706, (ZREG_X9), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11711, (ZREG_X9), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11716, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 11720, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11724, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11728, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11732, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11737, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
					}
				}
				if ((MAY_BE_DOUBLE & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(MAY_BE_DOUBLE & MAY_BE_GUARD) &&
					has_concrete_type(MAY_BE_DOUBLE & MAY_BE_ANY)) {
					if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_DOUBLE & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(MAY_BE_DOUBLE);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 11742, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 11746, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 11750, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11754, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 11758, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 11762, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11766, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11770, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11774, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 11779, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 11784, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 11788, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11792, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11796, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11800, (ZREG_X8), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11805, (ZREG_X8), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 11810, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 11814, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11818, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11822, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11826, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11831, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 3838 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	b >3
		//|.code
		dasm_put(Dst, 11836);
#line 3841 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if ((opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_PRE_DEC) &&
		    opline->result_type != IS_UNUSED) {
			//|	ZVAL_COPY_VALUE res_addr, res_use_info, op1_def_addr, MAY_BE_LONG, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (MAY_BE_LONG & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(op1_def_addr) == IS_REG) {
							if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_def_addr)) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 11839, (Z_REG(res_addr)), (Z_REG(op1_def_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11843, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 11847, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11851, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11855, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11859, (Z_REG(op1_def_addr)), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11864, (Z_REG(op1_def_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
							}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_def_addr)) == 0) {
			dasm_put(Dst, 11869, (Z_REG(res_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) == 0) {
			dasm_put(Dst, 11872, (Z_REG(res_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 11875, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 11879, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff) {
			dasm_put(Dst, 11883, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 11887, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 11891, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 11895, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 11899, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 11903, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 11907, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 11911, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 11915, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11919, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 11923, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 11927, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 11931, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 11935, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 11939, (Z_REG(res_addr)), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 11944, (Z_REG(res_addr)), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				} else if (Z_MODE(op1_def_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(op1_def_addr)) {
			dasm_put(Dst, 11949, (Z_REG(res_addr)), (Z_REG(op1_def_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_def_addr)) == 0) {
			dasm_put(Dst, 11953, (ZREG_X9));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) == 0) {
			dasm_put(Dst, 11956, (ZREG_X9));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 11959, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 11963, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff) {
			dasm_put(Dst, 11967, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 11971, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 11975, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 11979, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 11983, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 11987, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 11991, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 11995, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 11999, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12003, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_def_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12007, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 12011, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12015, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12019, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12023, (ZREG_X9), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12028, (ZREG_X9), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				} else if (Z_MODE(op1_def_addr) == IS_REG) {
					if (ZREG_X9 != Z_REG(op1_def_addr)) {
			dasm_put(Dst, 12033, (ZREG_X9), (Z_REG(op1_def_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 12037, (Z_REG(res_addr)), (ZREG_X9));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12041, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 12045, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12049, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12053, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12057, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12062, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(op1_def_addr) == IS_REG) {
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(op1_def_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 12067, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12071, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 12075, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12079, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12083, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12087, (Z_REG(op1_def_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12092, (Z_REG(op1_def_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(op1_def_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_def_addr)) {
					if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 12097, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 12104, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) == 0) {
			dasm_put(Dst, 12112, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12115, (ZREG_X15), ((uint64_t)(Z_ZV(op1_def_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 12119, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 12123, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff) {
			dasm_put(Dst, 12127, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff) {
			dasm_put(Dst, 12132, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 12136, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 12140, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 12144, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 12148, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12152, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 12156, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12160, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 12164, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12168, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12172, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12176, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12181, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
					} else if (Z_MODE(op1_def_addr) == IS_REG) {
			dasm_put(Dst, 12186, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(op1_def_addr) != IS_REG || ZREG_V0 != Z_REG(op1_def_addr)) {
					if (Z_MODE(op1_def_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 12190, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 12197, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_def_addr))) == 0) {
			dasm_put(Dst, 12205, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12208, (ZREG_X15), ((uint64_t)(Z_ZV(op1_def_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 12212, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_def_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_def_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_def_addr)))) {
			dasm_put(Dst, 12216, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_def_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff) {
			dasm_put(Dst, 12220, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff) {
			dasm_put(Dst, 12225, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_def_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 12229, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 12233, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 12237, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 12241, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12245, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_def_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 12249, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_def_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12253, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 12257, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12261, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12265, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12269, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12274, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
					} else if (Z_MODE(op1_def_addr) == IS_REG) {
			dasm_put(Dst, 12279, (ZREG_V0-ZREG_V0), (Z_REG(op1_def_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(res_addr)) {
			dasm_put(Dst, 12283, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12287, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 12291, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12295, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12299, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12303, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12308, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(MAY_BE_LONG & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12313, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 12317, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12321, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12325, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12329, (ZREG_X9), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12334, (ZREG_X9), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12339, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 12343, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12347, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12351, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12355, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12360, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
					}
				}
				if ((MAY_BE_LONG & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(MAY_BE_LONG & MAY_BE_GUARD) &&
					has_concrete_type(MAY_BE_LONG & MAY_BE_ANY)) {
					if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(MAY_BE_LONG);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 12365, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 12369, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 12373, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12377, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 12381, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 12385, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12389, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12393, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12397, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 12402, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 12407, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 12411, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12415, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12419, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12423, (ZREG_X8), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12428, (ZREG_X8), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 12433, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 12437, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12441, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12445, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12449, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 12454, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 3845 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG)) {
		//|.cold_code
		dasm_put(Dst, 12459);
#line 3849 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|2:
		dasm_put(Dst, 12460);
#line 3850 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))) {
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 12462, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 12465);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 12467, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 12470, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 12473, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 12476, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 12479, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 12482, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 12485, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 12488, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 12491, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12494, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 12497, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 3852 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op1_info & MAY_BE_UNDEF) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, >2, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 12500, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 12504, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 12508, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 12512, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 12516, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 12521, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 12526, (ZREG_X15));
					} else {
				dasm_put(Dst, 12530, (ZREG_X15), IS_UNDEF);
					}
#line 3854 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	// zend_error(E_WARNING, "Undefined variable $%s", ZSTR_VAL(CV_DEF_OF(EX_VAR_TO_NUM(opline->op1.var))));
				//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
					if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
				dasm_put(Dst, 12536, ((uint32_t)(opline->op1.var)));
					} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
				dasm_put(Dst, 12539, ((uint32_t)(opline->op1.var) & 0xffff));
						if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
				dasm_put(Dst, 12542, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 12545, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
					}
#line 3856 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_undefined_op_helper, REG0
					if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
				dasm_put(Dst, 12548, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
				dasm_put(Dst, 12551);
					} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 12553, ((uint64_t)(zend_jit_undefined_op_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 12556, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 12559, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
						if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
				dasm_put(Dst, 12562, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
				dasm_put(Dst, 12565, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 12568, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 12571, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 12574, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 12577, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 12580, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 12583);
					}
#line 3857 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_TYPE_INFO op1_addr, IS_NULL, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
				dasm_put(Dst, 12585, ((uint32_t)(IS_NULL)));
					} else if (((uint32_t)(IS_NULL) & 0xffff)) {
				dasm_put(Dst, 12588, ((uint32_t)(IS_NULL) & 0xffff));
						if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
				dasm_put(Dst, 12591, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 12594, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 12597, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 12600, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 12603, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 12606, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 12609, (Z_REG(op1_addr)));
					} else {
				dasm_put(Dst, 12612, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
					}
#line 3858 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				op1_info |= MAY_BE_NULL;
			}
			//|2:
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			dasm_put(Dst, 12616);
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 12618);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12620, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 12623, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 12626, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 12629, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 12632, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 12635, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 12638, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 12641, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 12644, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12647, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 12650, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 12653, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 12657, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 12660, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 12663, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 12666, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 12669, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 12672);
						} else {
			dasm_put(Dst, 12674, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 3862 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

			//|	// ZVAL_DEREF(var_ptr);
			if (op1_info & MAY_BE_REF) {
				//|	IF_NOT_Z_TYPE, FCARG1x, IS_REFERENCE, >2, TMP1w
				dasm_put(Dst, 12677, offsetof(zval, u1.v.type));
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 12680);
					} else {
				dasm_put(Dst, 12683, IS_REFERENCE);
					}
#line 3866 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GET_Z_PTR FCARG1x, FCARG1x
				//|	ldr TMP1, [FCARG1x, #offsetof(zend_reference, sources.ptr)]
				//|	cbz TMP1, >1
				dasm_put(Dst, 12688, offsetof(zend_reference, sources.ptr));
#line 3869 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (RETURN_VALUE_USED(opline)) {
					//|	LOAD_ZVAL_ADDR FCARG2x, res_addr
						if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
					dasm_put(Dst, 12694);
						} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 12696, ((uint64_t)(Z_ZV(res_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 12699, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 12702, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
					dasm_put(Dst, 12705, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
					dasm_put(Dst, 12708, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 12711, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 12714, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 12717, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 12720, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 12723, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(res_addr)) {
						if (Z_OFFSET(res_addr) == 0) {
					dasm_put(Dst, 12726, (Z_REG(res_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
					dasm_put(Dst, 12729, (Z_REG(res_addr)), Z_OFFSET(res_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 12733, ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 12736, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 12739, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 12742, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 12745, (Z_REG(res_addr)));
						}
							} else {
								if (Z_REG(res_addr) == ZREG_RSP) {
					dasm_put(Dst, 12748);
								} else {
					dasm_put(Dst, 12750, (Z_REG(res_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 3871 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	mov FCARG2x, xzr
					dasm_put(Dst, 12753);
#line 3873 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (opline->opcode == ZEND_PRE_INC) {
					//|	EXT_CALL zend_jit_pre_inc_typed_ref, REG0
						if (arm64_may_use_b(zend_jit_pre_inc_typed_ref)) {
					dasm_put(Dst, 12755, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc_typed_ref))>>32));
						} else {
						if (((uintptr_t)(zend_jit_pre_inc_typed_ref)) == 0) {
					dasm_put(Dst, 12758);
						} else if (((uintptr_t)(zend_jit_pre_inc_typed_ref)) <= MOVZ_IMM) {
					dasm_put(Dst, 12760, ((uint64_t)(zend_jit_pre_inc_typed_ref)));
						} else if (arm64_may_use_adr((void*)(zend_jit_pre_inc_typed_ref))) {
					dasm_put(Dst, 12763, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc_typed_ref))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_pre_inc_typed_ref))) {
					dasm_put(Dst, 12766, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc_typed_ref)))))>>32));
							if (((uintptr_t)(zend_jit_pre_inc_typed_ref)) & 0xfff) {
					dasm_put(Dst, 12769, (((uintptr_t)(zend_jit_pre_inc_typed_ref)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_pre_inc_typed_ref) & 0xffff) {
					dasm_put(Dst, 12772, ((uintptr_t)(zend_jit_pre_inc_typed_ref) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 12775, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 12778, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 12781, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 12784, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 12787, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff));
						}
					dasm_put(Dst, 12790);
						}
#line 3876 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (opline->opcode == ZEND_PRE_DEC) {
					//|	EXT_CALL zend_jit_pre_dec_typed_ref, REG0
						if (arm64_may_use_b(zend_jit_pre_dec_typed_ref)) {
					dasm_put(Dst, 12792, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec_typed_ref))>>32));
						} else {
						if (((uintptr_t)(zend_jit_pre_dec_typed_ref)) == 0) {
					dasm_put(Dst, 12795);
						} else if (((uintptr_t)(zend_jit_pre_dec_typed_ref)) <= MOVZ_IMM) {
					dasm_put(Dst, 12797, ((uint64_t)(zend_jit_pre_dec_typed_ref)));
						} else if (arm64_may_use_adr((void*)(zend_jit_pre_dec_typed_ref))) {
					dasm_put(Dst, 12800, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec_typed_ref))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_pre_dec_typed_ref))) {
					dasm_put(Dst, 12803, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec_typed_ref)))))>>32));
							if (((uintptr_t)(zend_jit_pre_dec_typed_ref)) & 0xfff) {
					dasm_put(Dst, 12806, (((uintptr_t)(zend_jit_pre_dec_typed_ref)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_pre_dec_typed_ref) & 0xffff) {
					dasm_put(Dst, 12809, ((uintptr_t)(zend_jit_pre_dec_typed_ref) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 12812, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 12815, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 12818, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 12821, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 12824, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff));
						}
					dasm_put(Dst, 12827);
						}
#line 3878 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (opline->opcode == ZEND_POST_INC) {
					//|	EXT_CALL zend_jit_post_inc_typed_ref, REG0
						if (arm64_may_use_b(zend_jit_post_inc_typed_ref)) {
					dasm_put(Dst, 12829, (unsigned int)((ptrdiff_t)(zend_jit_post_inc_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_post_inc_typed_ref))>>32));
						} else {
						if (((uintptr_t)(zend_jit_post_inc_typed_ref)) == 0) {
					dasm_put(Dst, 12832);
						} else if (((uintptr_t)(zend_jit_post_inc_typed_ref)) <= MOVZ_IMM) {
					dasm_put(Dst, 12834, ((uint64_t)(zend_jit_post_inc_typed_ref)));
						} else if (arm64_may_use_adr((void*)(zend_jit_post_inc_typed_ref))) {
					dasm_put(Dst, 12837, (unsigned int)((ptrdiff_t)(zend_jit_post_inc_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_post_inc_typed_ref))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_post_inc_typed_ref))) {
					dasm_put(Dst, 12840, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_post_inc_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_post_inc_typed_ref)))))>>32));
							if (((uintptr_t)(zend_jit_post_inc_typed_ref)) & 0xfff) {
					dasm_put(Dst, 12843, (((uintptr_t)(zend_jit_post_inc_typed_ref)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_post_inc_typed_ref) & 0xffff) {
					dasm_put(Dst, 12846, ((uintptr_t)(zend_jit_post_inc_typed_ref) & 0xffff));
							if (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 12849, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 12852, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 12855, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 12858, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 12861, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff));
						}
					dasm_put(Dst, 12864);
						}
#line 3880 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (opline->opcode == ZEND_POST_DEC) {
					//|	EXT_CALL zend_jit_post_dec_typed_ref, REG0
						if (arm64_may_use_b(zend_jit_post_dec_typed_ref)) {
					dasm_put(Dst, 12866, (unsigned int)((ptrdiff_t)(zend_jit_post_dec_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_post_dec_typed_ref))>>32));
						} else {
						if (((uintptr_t)(zend_jit_post_dec_typed_ref)) == 0) {
					dasm_put(Dst, 12869);
						} else if (((uintptr_t)(zend_jit_post_dec_typed_ref)) <= MOVZ_IMM) {
					dasm_put(Dst, 12871, ((uint64_t)(zend_jit_post_dec_typed_ref)));
						} else if (arm64_may_use_adr((void*)(zend_jit_post_dec_typed_ref))) {
					dasm_put(Dst, 12874, (unsigned int)((ptrdiff_t)(zend_jit_post_dec_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_post_dec_typed_ref))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_post_dec_typed_ref))) {
					dasm_put(Dst, 12877, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_post_dec_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_post_dec_typed_ref)))))>>32));
							if (((uintptr_t)(zend_jit_post_dec_typed_ref)) & 0xfff) {
					dasm_put(Dst, 12880, (((uintptr_t)(zend_jit_post_dec_typed_ref)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_post_dec_typed_ref) & 0xffff) {
					dasm_put(Dst, 12883, ((uintptr_t)(zend_jit_post_dec_typed_ref) & 0xffff));
							if (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 12886, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 12889, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 12892, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 12895, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 12898, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff));
						}
					dasm_put(Dst, 12901);
						}
#line 3882 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					ZEND_UNREACHABLE();
				}
				zend_jit_check_exception(Dst);
				//|	b >3
				//|1:
				//|	add FCARG1x, FCARG1x, #offsetof(zend_reference, val)
				//|2:
				dasm_put(Dst, 12903, offsetof(zend_reference, val));
#line 3890 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}

			if (opline->opcode == ZEND_POST_INC || opline->opcode == ZEND_POST_DEC) {
				zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);

				//|	ZVAL_COPY_VALUE res_addr, res_use_info, val_addr, op1_info, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
					if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
						if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
							if (Z_MODE(val_addr) == IS_REG) {
								if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 12910, (Z_REG(res_addr)), (Z_REG(val_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 12914, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 12918, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 12922, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 12926, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 12930, (Z_REG(val_addr)), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 12935, (Z_REG(val_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
								}
							} else if (Z_MODE(res_addr) == IS_REG) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
				dasm_put(Dst, 12940, (Z_REG(res_addr)));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
				dasm_put(Dst, 12943, (Z_REG(res_addr)));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 12946, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 12950, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
				dasm_put(Dst, 12954, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 12958, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 12962, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 12966, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 12970, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 12974, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 12978, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 12982, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 12986, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 12990, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 12994, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 12998, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13002, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13006, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13010, (Z_REG(res_addr)), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13015, (Z_REG(res_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
					} else if (Z_MODE(val_addr) == IS_REG) {
						if (Z_REG(res_addr) != Z_REG(val_addr)) {
				dasm_put(Dst, 13020, (Z_REG(res_addr)), (Z_REG(val_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
							} else {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
				dasm_put(Dst, 13024, (ZREG_X10));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
				dasm_put(Dst, 13027, (ZREG_X10));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 13030, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 13034, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
				dasm_put(Dst, 13038, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 13042, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 13046, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 13050, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 13054, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 13058, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 13062, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 13066, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 13070, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13074, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13078, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 13082, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13086, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13090, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13094, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13099, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
					} else if (Z_MODE(val_addr) == IS_REG) {
						if (ZREG_X10 != Z_REG(val_addr)) {
				dasm_put(Dst, 13104, (ZREG_X10), (Z_REG(val_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 13108, (Z_REG(res_addr)), (ZREG_X10));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13112, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 13116, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13120, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13124, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13128, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13133, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							}
						} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
							if (Z_MODE(val_addr) == IS_REG) {
					if (Z_MODE(res_addr) == IS_REG) {
						if (Z_REG(val_addr) != Z_REG(res_addr)) {
				dasm_put(Dst, 13138, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13142, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 13146, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13150, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13154, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13158, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13163, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							} else if (Z_MODE(res_addr) == IS_REG) {
					if (Z_MODE(val_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
						if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 13168, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 13175, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
				dasm_put(Dst, 13183, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13186, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 13190, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 13194, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
				dasm_put(Dst, 13198, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
				dasm_put(Dst, 13203, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 13207, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 13211, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 13215, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 13219, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13223, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 13227, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13231, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 13235, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13239, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13243, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13247, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13252, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
						} else if (Z_MODE(val_addr) == IS_REG) {
				dasm_put(Dst, 13257, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
							} else {
					if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
						if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 13261, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 13268, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
				dasm_put(Dst, 13276, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13279, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 13283, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 13287, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
				dasm_put(Dst, 13291, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
				dasm_put(Dst, 13296, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 13300, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 13304, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 13308, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 13312, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13316, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 13320, (ZREG_V0-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13324, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 13328, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13332, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13336, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13340, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13345, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
						} else if (Z_MODE(val_addr) == IS_REG) {
				dasm_put(Dst, 13350, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
					if (Z_MODE(res_addr) == IS_REG) {
						if (ZREG_V0 != Z_REG(res_addr)) {
				dasm_put(Dst, 13354, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13358, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 13362, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13366, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13370, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13374, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13379, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							}
						// Combine the following two branches.
						// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
						} else {
					ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13384, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 13388, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13392, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13396, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13400, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13405, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13410, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 13414, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13418, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13422, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13426, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13431, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
						}
					}
					if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
						!(op1_info & MAY_BE_GUARD) &&
						has_concrete_type(op1_info & MAY_BE_ANY)) {
						if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
							if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
								uint32_t type = concrete_type(op1_info);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(type)) <= MOVZ_IMM) {
				dasm_put(Dst, 13436, (ZREG_X15), ((uint32_t)(type)));
					} else if (((uint32_t)(type) & 0xffff)) {
				dasm_put(Dst, 13440, (ZREG_X15), ((uint32_t)(type) & 0xffff));
						if ((((uint32_t)(type) >> 16) & 0xffff)) {
				dasm_put(Dst, 13444, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13448, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 13452, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 13456, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13460, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13464, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13468, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 13473, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
							}
						}
					} else {
					ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 13478, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 13482, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13486, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13490, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13494, (ZREG_X8), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13499, (ZREG_X8), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
					}
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 13504, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 13508, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13512, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13516, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13520, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13525, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
					}
#line 3896 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	TRY_ADDREF op1_info, REG0w, REG2, TMP1w
					if (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
						if (op1_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 13530);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 13532, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 13535, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 13538, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13541, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13544, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13547);
					}
				dasm_put(Dst, 13549);
						}
				dasm_put(Dst, 13552);
					}
#line 3897 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_POST_INC) {
				if (opline->opcode == ZEND_PRE_INC && opline->result_type != IS_UNUSED) {
					//|	LOAD_ZVAL_ADDR FCARG2x, res_addr
						if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
					dasm_put(Dst, 13557);
						} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 13559, ((uint64_t)(Z_ZV(res_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 13562, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 13565, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
					dasm_put(Dst, 13568, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
					dasm_put(Dst, 13571, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 13574, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 13577, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 13580, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 13583, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 13586, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(res_addr)) {
						if (Z_OFFSET(res_addr) == 0) {
					dasm_put(Dst, 13589, (Z_REG(res_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
					dasm_put(Dst, 13592, (Z_REG(res_addr)), Z_OFFSET(res_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 13596, ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 13599, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 13602, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 13605, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 13608, (Z_REG(res_addr)));
						}
							} else {
								if (Z_REG(res_addr) == ZREG_RSP) {
					dasm_put(Dst, 13611);
								} else {
					dasm_put(Dst, 13613, (Z_REG(res_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 3901 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_pre_inc, REG0
						if (arm64_may_use_b(zend_jit_pre_inc)) {
					dasm_put(Dst, 13616, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc))>>32));
						} else {
						if (((uintptr_t)(zend_jit_pre_inc)) == 0) {
					dasm_put(Dst, 13619);
						} else if (((uintptr_t)(zend_jit_pre_inc)) <= MOVZ_IMM) {
					dasm_put(Dst, 13621, ((uint64_t)(zend_jit_pre_inc)));
						} else if (arm64_may_use_adr((void*)(zend_jit_pre_inc))) {
					dasm_put(Dst, 13624, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_pre_inc))) {
					dasm_put(Dst, 13627, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc)))))>>32));
							if (((uintptr_t)(zend_jit_pre_inc)) & 0xfff) {
					dasm_put(Dst, 13630, (((uintptr_t)(zend_jit_pre_inc)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_pre_inc) & 0xffff) {
					dasm_put(Dst, 13633, ((uintptr_t)(zend_jit_pre_inc) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_inc) >> 16) & 0xffff) {
					dasm_put(Dst, 13636, (((uintptr_t)(zend_jit_pre_inc) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff) {
					dasm_put(Dst, 13639, (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_pre_inc) >> 16) & 0xffff) {
					dasm_put(Dst, 13642, (((uintptr_t)(zend_jit_pre_inc) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff) {
					dasm_put(Dst, 13645, (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 13648, (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff));
						}
					dasm_put(Dst, 13651);
						}
#line 3902 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL increment_function, REG0
						if (arm64_may_use_b(increment_function)) {
					dasm_put(Dst, 13653, (unsigned int)((ptrdiff_t)(increment_function)), (unsigned int)(((ptrdiff_t)(increment_function))>>32));
						} else {
						if (((uintptr_t)(increment_function)) == 0) {
					dasm_put(Dst, 13656);
						} else if (((uintptr_t)(increment_function)) <= MOVZ_IMM) {
					dasm_put(Dst, 13658, ((uint64_t)(increment_function)));
						} else if (arm64_may_use_adr((void*)(increment_function))) {
					dasm_put(Dst, 13661, (unsigned int)((ptrdiff_t)(increment_function)), (unsigned int)(((ptrdiff_t)(increment_function))>>32));
						} else if (arm64_may_use_adrp((void*)(increment_function))) {
					dasm_put(Dst, 13664, (unsigned int)((ptrdiff_t)((((uintptr_t)(increment_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(increment_function)))))>>32));
							if (((uintptr_t)(increment_function)) & 0xfff) {
					dasm_put(Dst, 13667, (((uintptr_t)(increment_function)) & 0xfff));
							}
						} else if ((uintptr_t)(increment_function) & 0xffff) {
					dasm_put(Dst, 13670, ((uintptr_t)(increment_function) & 0xffff));
							if (((uintptr_t)(increment_function) >> 16) & 0xffff) {
					dasm_put(Dst, 13673, (((uintptr_t)(increment_function) >> 16) & 0xffff));
							}
							if (((uintptr_t)(increment_function) >> 32) & 0xffff) {
					dasm_put(Dst, 13676, (((uintptr_t)(increment_function) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(increment_function) >> 16) & 0xffff) {
					dasm_put(Dst, 13679, (((uintptr_t)(increment_function) >> 16) & 0xffff));
							if (((uintptr_t)(increment_function) >> 32) & 0xffff) {
					dasm_put(Dst, 13682, (((uintptr_t)(increment_function) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 13685, (((uintptr_t)(increment_function) >> 32) & 0xffff));
						}
					dasm_put(Dst, 13688);
						}
#line 3904 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				if (opline->opcode == ZEND_PRE_DEC && opline->result_type != IS_UNUSED) {
					//|	LOAD_ZVAL_ADDR FCARG2x, res_addr
						if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
					dasm_put(Dst, 13690);
						} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 13692, ((uint64_t)(Z_ZV(res_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 13695, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 13698, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
					dasm_put(Dst, 13701, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
					dasm_put(Dst, 13704, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 13707, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 13710, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 13713, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 13716, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 13719, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(res_addr)) {
						if (Z_OFFSET(res_addr) == 0) {
					dasm_put(Dst, 13722, (Z_REG(res_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
					dasm_put(Dst, 13725, (Z_REG(res_addr)), Z_OFFSET(res_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 13729, ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 13732, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 13735, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 13738, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 13741, (Z_REG(res_addr)));
						}
							} else {
								if (Z_REG(res_addr) == ZREG_RSP) {
					dasm_put(Dst, 13744);
								} else {
					dasm_put(Dst, 13746, (Z_REG(res_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 3908 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_pre_dec, REG0
						if (arm64_may_use_b(zend_jit_pre_dec)) {
					dasm_put(Dst, 13749, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec))>>32));
						} else {
						if (((uintptr_t)(zend_jit_pre_dec)) == 0) {
					dasm_put(Dst, 13752);
						} else if (((uintptr_t)(zend_jit_pre_dec)) <= MOVZ_IMM) {
					dasm_put(Dst, 13754, ((uint64_t)(zend_jit_pre_dec)));
						} else if (arm64_may_use_adr((void*)(zend_jit_pre_dec))) {
					dasm_put(Dst, 13757, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_pre_dec))) {
					dasm_put(Dst, 13760, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec)))))>>32));
							if (((uintptr_t)(zend_jit_pre_dec)) & 0xfff) {
					dasm_put(Dst, 13763, (((uintptr_t)(zend_jit_pre_dec)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_pre_dec) & 0xffff) {
					dasm_put(Dst, 13766, ((uintptr_t)(zend_jit_pre_dec) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_dec) >> 16) & 0xffff) {
					dasm_put(Dst, 13769, (((uintptr_t)(zend_jit_pre_dec) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff) {
					dasm_put(Dst, 13772, (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_pre_dec) >> 16) & 0xffff) {
					dasm_put(Dst, 13775, (((uintptr_t)(zend_jit_pre_dec) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff) {
					dasm_put(Dst, 13778, (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 13781, (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff));
						}
					dasm_put(Dst, 13784);
						}
#line 3909 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL decrement_function, REG0
						if (arm64_may_use_b(decrement_function)) {
					dasm_put(Dst, 13786, (unsigned int)((ptrdiff_t)(decrement_function)), (unsigned int)(((ptrdiff_t)(decrement_function))>>32));
						} else {
						if (((uintptr_t)(decrement_function)) == 0) {
					dasm_put(Dst, 13789);
						} else if (((uintptr_t)(decrement_function)) <= MOVZ_IMM) {
					dasm_put(Dst, 13791, ((uint64_t)(decrement_function)));
						} else if (arm64_may_use_adr((void*)(decrement_function))) {
					dasm_put(Dst, 13794, (unsigned int)((ptrdiff_t)(decrement_function)), (unsigned int)(((ptrdiff_t)(decrement_function))>>32));
						} else if (arm64_may_use_adrp((void*)(decrement_function))) {
					dasm_put(Dst, 13797, (unsigned int)((ptrdiff_t)((((uintptr_t)(decrement_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(decrement_function)))))>>32));
							if (((uintptr_t)(decrement_function)) & 0xfff) {
					dasm_put(Dst, 13800, (((uintptr_t)(decrement_function)) & 0xfff));
							}
						} else if ((uintptr_t)(decrement_function) & 0xffff) {
					dasm_put(Dst, 13803, ((uintptr_t)(decrement_function) & 0xffff));
							if (((uintptr_t)(decrement_function) >> 16) & 0xffff) {
					dasm_put(Dst, 13806, (((uintptr_t)(decrement_function) >> 16) & 0xffff));
							}
							if (((uintptr_t)(decrement_function) >> 32) & 0xffff) {
					dasm_put(Dst, 13809, (((uintptr_t)(decrement_function) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(decrement_function) >> 16) & 0xffff) {
					dasm_put(Dst, 13812, (((uintptr_t)(decrement_function) >> 16) & 0xffff));
							if (((uintptr_t)(decrement_function) >> 32) & 0xffff) {
					dasm_put(Dst, 13815, (((uintptr_t)(decrement_function) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 13818, (((uintptr_t)(decrement_function) >> 32) & 0xffff));
						}
					dasm_put(Dst, 13821);
						}
#line 3911 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (may_throw) {
				zend_jit_check_exception(Dst);
			}
		} else {
			zend_reg tmp_reg;

			if (opline->opcode == ZEND_POST_INC || opline->opcode == ZEND_POST_DEC) {
				//|	ZVAL_COPY_VALUE res_addr, res_use_info, op1_addr, MAY_BE_DOUBLE, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
					if (MAY_BE_DOUBLE & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
						if ((MAY_BE_DOUBLE & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
							if (Z_MODE(op1_addr) == IS_REG) {
								if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_addr)) {
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 13823, (Z_REG(res_addr)), (Z_REG(op1_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13827, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 13831, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13835, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13839, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13843, (Z_REG(op1_addr)), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13848, (Z_REG(op1_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
								}
							} else if (Z_MODE(res_addr) == IS_REG) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 13853, (Z_REG(res_addr)));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 13856, (Z_REG(res_addr)));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 13859, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 13863, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 13867, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 13871, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 13875, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 13879, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 13883, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 13887, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 13891, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 13895, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 13899, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13903, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13907, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 13911, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13915, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13919, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 13923, (Z_REG(res_addr)), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 13928, (Z_REG(res_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_REG(res_addr) != Z_REG(op1_addr)) {
				dasm_put(Dst, 13933, (Z_REG(res_addr)), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
							} else {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 13937, (ZREG_X10));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 13940, (ZREG_X10));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 13943, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 13947, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 13951, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 13955, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 13959, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 13963, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 13967, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 13971, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 13975, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 13979, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 13983, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 13987, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 13991, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 13995, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 13999, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14003, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14007, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14012, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (ZREG_X10 != Z_REG(op1_addr)) {
				dasm_put(Dst, 14017, (ZREG_X10), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 14021, (Z_REG(res_addr)), (ZREG_X10));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14025, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 14029, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14033, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14037, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14041, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14046, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							}
						} else if ((MAY_BE_DOUBLE & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
							if (Z_MODE(op1_addr) == IS_REG) {
					if (Z_MODE(res_addr) == IS_REG) {
						if (Z_REG(op1_addr) != Z_REG(res_addr)) {
				dasm_put(Dst, 14051, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14055, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 14059, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14063, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14067, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14071, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14076, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							} else if (Z_MODE(res_addr) == IS_REG) {
					if (Z_MODE(op1_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_addr)) {
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14081, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14088, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 14096, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14099, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14103, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14107, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 14111, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 14116, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 14120, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 14124, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 14128, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 14132, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14136, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 14140, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14144, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 14148, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14152, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14156, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14160, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14165, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
						} else if (Z_MODE(op1_addr) == IS_REG) {
				dasm_put(Dst, 14170, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
							} else {
					if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14174, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14181, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 14189, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14192, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14196, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14200, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 14204, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 14209, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 14213, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 14217, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 14221, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 14225, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14229, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 14233, (ZREG_V0-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14237, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 14241, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14245, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14249, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14253, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14258, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
						} else if (Z_MODE(op1_addr) == IS_REG) {
				dasm_put(Dst, 14263, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
					if (Z_MODE(res_addr) == IS_REG) {
						if (ZREG_V0 != Z_REG(res_addr)) {
				dasm_put(Dst, 14267, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14271, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 14275, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14279, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14283, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14287, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14292, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							}
						// Combine the following two branches.
						// } else if (!(MAY_BE_DOUBLE & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
						} else {
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14297, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 14301, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14305, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14309, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14313, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14318, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14323, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 14327, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14331, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14335, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14339, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14344, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
						}
					}
					if ((MAY_BE_DOUBLE & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
						!(MAY_BE_DOUBLE & MAY_BE_GUARD) &&
						has_concrete_type(MAY_BE_DOUBLE & MAY_BE_ANY)) {
						if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
							if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_DOUBLE & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
								uint32_t type = concrete_type(MAY_BE_DOUBLE);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(type)) <= MOVZ_IMM) {
				dasm_put(Dst, 14349, (ZREG_X15), ((uint32_t)(type)));
					} else if (((uint32_t)(type) & 0xffff)) {
				dasm_put(Dst, 14353, (ZREG_X15), ((uint32_t)(type) & 0xffff));
						if ((((uint32_t)(type) >> 16) & 0xffff)) {
				dasm_put(Dst, 14357, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14361, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 14365, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 14369, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14373, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14377, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14381, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 14386, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
							}
						}
					} else {
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 14391, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 14395, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14399, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14403, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14407, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14412, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
					}
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 14417, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 14421, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14425, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14429, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14433, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14438, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
					}
#line 3921 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (Z_MODE(op1_def_addr) == IS_REG) {
				tmp_reg = Z_REG(op1_def_addr);
			} else if (Z_MODE(op1_addr) == IS_REG && Z_LAST_USE(op1_addr)) {
				tmp_reg = Z_REG(op1_addr);
			} else {
				tmp_reg = ZREG_FPR0;
			}
			//|	GET_ZVAL_DVAL tmp_reg, op1_addr, ZREG_TMP1
				if (Z_MODE(op1_addr) != IS_REG || tmp_reg != Z_REG(op1_addr)) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 14443, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (tmp_reg-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 14450, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (tmp_reg-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 14458, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 14461, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 14465, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 14469, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 14473, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 14478, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 14482, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 14486, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 14490, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 14494, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 14498, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 14502, (tmp_reg-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 14506, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 14510, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 14514, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 14518, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 14522, (tmp_reg-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 14527, (tmp_reg-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
					} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 14532, (tmp_reg-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
#line 3930 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_POST_INC) {
				uint64_t val = 0x3ff0000000000000; // 1.0
				//|	LOAD_64BIT_VAL TMP1, val
					if (((uint64_t)(val)) == 0) {
				dasm_put(Dst, 14536);
					} else if (((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 14538, ((uint64_t)(val)));
					} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 14541, (~((uint64_t)(val))));
					} else if ((uint64_t)(val) & 0xffff) {
				dasm_put(Dst, 14544, ((uint64_t)(val) & 0xffff));
						if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 14547, (((uint64_t)(val) >> 16) & 0xffff));
						}
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 14550, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 14553, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 14556, (((uint64_t)(val) >> 16) & 0xffff));
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 14559, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 14562, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 14565, (((uint64_t)(val) >> 32) & 0xffff));
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 14568, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14571, (((uint64_t)(val) >> 48) & 0xffff));
					}
#line 3933 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	fmov FPTMP, TMP1
				//|	fadd Rd(tmp_reg-ZREG_V0), Rd(tmp_reg-ZREG_V0), FPTMP
				dasm_put(Dst, 14574, (tmp_reg-ZREG_V0), (tmp_reg-ZREG_V0));
#line 3935 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				uint64_t val = 0x3ff0000000000000; // 1.0
				//|	LOAD_64BIT_VAL TMP1, val
					if (((uint64_t)(val)) == 0) {
				dasm_put(Dst, 14579);
					} else if (((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 14581, ((uint64_t)(val)));
					} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 14584, (~((uint64_t)(val))));
					} else if ((uint64_t)(val) & 0xffff) {
				dasm_put(Dst, 14587, ((uint64_t)(val) & 0xffff));
						if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 14590, (((uint64_t)(val) >> 16) & 0xffff));
						}
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 14593, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 14596, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 14599, (((uint64_t)(val) >> 16) & 0xffff));
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 14602, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 14605, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 14608, (((uint64_t)(val) >> 32) & 0xffff));
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 14611, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14614, (((uint64_t)(val) >> 48) & 0xffff));
					}
#line 3938 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	fmov FPTMP, TMP1
				//|	fsub Rd(tmp_reg-ZREG_V0), Rd(tmp_reg-ZREG_V0), FPTMP
				dasm_put(Dst, 14617, (tmp_reg-ZREG_V0), (tmp_reg-ZREG_V0));
#line 3940 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	SET_ZVAL_DVAL op1_def_addr, tmp_reg, ZREG_TMP1
				if (Z_MODE(op1_def_addr) == IS_REG) {
					if (tmp_reg != Z_REG(op1_def_addr)) {
			dasm_put(Dst, 14622, (Z_REG(op1_def_addr)-ZREG_V0), (tmp_reg-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(op1_def_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_def_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_def_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 14626, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff)) {
			dasm_put(Dst, 14630, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_def_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 14634, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 14638, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_def_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 14642, (tmp_reg-ZREG_V0), (Z_REG(op1_def_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 14647, (tmp_reg-ZREG_V0), (Z_REG(op1_def_addr)), (Z_OFFSET(op1_def_addr)));
				}
				}
#line 3942 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if ((opline->opcode == ZEND_PRE_INC || opline->opcode == ZEND_PRE_DEC) &&
			    opline->result_type != IS_UNUSED) {
				//|	ZVAL_COPY_VALUE res_addr, res_use_info, op1_addr, op1_def_info, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
					if (op1_def_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
						if ((op1_def_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
							if (Z_MODE(op1_addr) == IS_REG) {
								if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_addr)) {
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 14652, (Z_REG(res_addr)), (Z_REG(op1_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14656, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 14660, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14664, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14668, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14672, (Z_REG(op1_addr)), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14677, (Z_REG(op1_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
								}
							} else if (Z_MODE(res_addr) == IS_REG) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 14682, (Z_REG(res_addr)));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 14685, (Z_REG(res_addr)));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 14688, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 14692, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 14696, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 14700, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 14704, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 14708, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 14712, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 14716, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 14720, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 14724, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 14728, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14732, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14736, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 14740, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14744, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14748, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14752, (Z_REG(res_addr)), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14757, (Z_REG(res_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_REG(res_addr) != Z_REG(op1_addr)) {
				dasm_put(Dst, 14762, (Z_REG(res_addr)), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
							} else {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 14766, (ZREG_X9));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 14769, (ZREG_X9));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 14772, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 14776, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 14780, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 14784, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 14788, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 14792, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 14796, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 14800, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 14804, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 14808, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 14812, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14816, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14820, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 14824, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14828, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14832, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14836, (ZREG_X9), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14841, (ZREG_X9), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (ZREG_X9 != Z_REG(op1_addr)) {
				dasm_put(Dst, 14846, (ZREG_X9), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 14850, (Z_REG(res_addr)), (ZREG_X9));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14854, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 14858, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14862, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14866, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14870, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14875, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							}
						} else if ((op1_def_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
							if (Z_MODE(op1_addr) == IS_REG) {
					if (Z_MODE(res_addr) == IS_REG) {
						if (Z_REG(op1_addr) != Z_REG(res_addr)) {
				dasm_put(Dst, 14880, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14884, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 14888, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14892, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14896, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14900, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14905, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							} else if (Z_MODE(res_addr) == IS_REG) {
					if (Z_MODE(op1_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_addr)) {
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14910, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14917, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 14925, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14928, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14932, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 14936, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 14940, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 14945, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 14949, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 14953, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 14957, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 14961, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14965, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 14969, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 14973, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 14977, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 14981, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 14985, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 14989, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 14994, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
						} else if (Z_MODE(op1_addr) == IS_REG) {
				dasm_put(Dst, 14999, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
							} else {
					if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 15003, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 15010, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 15018, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 15021, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 15025, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 15029, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 15033, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 15038, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 15042, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 15046, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 15050, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 15054, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15058, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 15062, (ZREG_V0-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 15066, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 15070, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15074, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15078, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15082, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 15087, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
						} else if (Z_MODE(op1_addr) == IS_REG) {
				dasm_put(Dst, 15092, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
					if (Z_MODE(res_addr) == IS_REG) {
						if (ZREG_V0 != Z_REG(res_addr)) {
				dasm_put(Dst, 15096, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 15100, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 15104, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15108, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15112, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15116, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 15121, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							}
						// Combine the following two branches.
						// } else if (!(op1_def_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
						} else {
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 15126, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 15130, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15134, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15138, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15142, (ZREG_X9), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 15147, (ZREG_X9), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 15152, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 15156, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15160, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15164, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15168, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 15173, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
						}
					}
					if ((op1_def_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
						!(op1_def_info & MAY_BE_GUARD) &&
						has_concrete_type(op1_def_info & MAY_BE_ANY)) {
						if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
							if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_def_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
								uint32_t type = concrete_type(op1_def_info);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(type)) <= MOVZ_IMM) {
				dasm_put(Dst, 15178, (ZREG_X15), ((uint32_t)(type)));
					} else if (((uint32_t)(type) & 0xffff)) {
				dasm_put(Dst, 15182, (ZREG_X15), ((uint32_t)(type) & 0xffff));
						if ((((uint32_t)(type) >> 16) & 0xffff)) {
				dasm_put(Dst, 15186, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15190, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 15194, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 15198, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15202, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15206, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15210, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 15215, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
							}
						}
					} else {
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 15220, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 15224, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15228, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15232, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15236, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 15241, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
					}
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 15246, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 15250, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15254, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15258, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15262, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 15267, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
					}
#line 3945 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	TRY_ADDREF op1_def_info, REG0w, REG1, TMP1w
					if (op1_def_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
						if (op1_def_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 15272);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 15274, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 15277, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 15280, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 15283, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 15286, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 15289);
					}
				dasm_put(Dst, 15291);
						}
				dasm_put(Dst, 15294);
					}
#line 3946 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|	b >3
		//|.code
		dasm_put(Dst, 15299);
#line 3950 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|3:
	dasm_put(Dst, 15302);
#line 3952 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (!zend_jit_store_var_if_necessary_ex(Dst, opline->op1.var, op1_def_addr, op1_def_info, op1_addr, op1_info)) {
		return 0;
	}
	if (opline->result_type != IS_UNUSED) {
		if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, res_info)) {
			return 0;
		}
	}
	return 1;
}

static int zend_jit_opline_uses_reg(const zend_op  *opline, int8_t reg)
{
	if ((opline+1)->opcode == ZEND_OP_DATA
	 && ((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR|IS_CV))
	 && JIT_G(current_frame)->stack[EX_VAR_TO_NUM((opline+1)->op1.var)].reg == reg) {
		return 1;
	}
	return
		((opline->result_type & (IS_VAR|IS_TMP_VAR|IS_CV)) &&
			JIT_G(current_frame)->stack[EX_VAR_TO_NUM(opline->result.var)].reg == reg) ||
		((opline->op1_type & (IS_VAR|IS_TMP_VAR|IS_CV)) &&
			JIT_G(current_frame)->stack[EX_VAR_TO_NUM(opline->op1.var)].reg == reg) ||
		((opline->op2_type & (IS_VAR|IS_TMP_VAR|IS_CV)) &&
			JIT_G(current_frame)->stack[EX_VAR_TO_NUM(opline->op2.var)].reg == reg);
}

static int zend_jit_math_long_long(dasm_State    **Dst,
                                   const zend_op  *opline,
                                   zend_uchar      opcode,
                                   zend_jit_addr   op1_addr,
                                   zend_jit_addr   op2_addr,
                                   zend_jit_addr   res_addr,
                                   uint32_t        res_info,
                                   uint32_t        res_use_info,
                                   int             may_overflow)
{
	bool same_ops = zend_jit_same_addr(op1_addr, op2_addr);
	zend_reg result_reg;
	zend_reg tmp_reg = ZREG_REG0;
	bool use_ovf_flag = 1;

	if (Z_MODE(res_addr) == IS_REG && (res_info & MAY_BE_LONG)) {
		if (may_overflow && (res_info & MAY_BE_GUARD)
		 && JIT_G(current_frame)
		 && zend_jit_opline_uses_reg(opline, Z_REG(res_addr))) {
			result_reg = ZREG_REG0;
		} else {
			result_reg = Z_REG(res_addr);
		}
	} else if (Z_MODE(op1_addr) == IS_REG && Z_LAST_USE(op1_addr) && !may_overflow) {
		result_reg = Z_REG(op1_addr);
	} else if (Z_REG(res_addr) != ZREG_REG0) {
		result_reg = ZREG_REG0;
	} else {
		/* ASSIGN_DIM_OP */
		result_reg = ZREG_FCARG1;
		tmp_reg = ZREG_FCARG1;
	}

	if (opcode == ZEND_MUL &&
			Z_MODE(op2_addr) == IS_CONST_ZVAL &&
			Z_LVAL_P(Z_ZV(op2_addr)) == 2) {
		if (Z_MODE(op1_addr) == IS_REG) {
			//|	adds Rx(result_reg), Rx(Z_REG(op1_addr)), Rx(Z_REG(op1_addr))
			dasm_put(Dst, 15304, (result_reg), (Z_REG(op1_addr)), (Z_REG(op1_addr)));
#line 4017 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 15309, (result_reg));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 15312, (result_reg));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 15315, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 15319, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 15323, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 15327, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 15331, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 15335, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 15339, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 15343, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 15347, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 15351, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 15355, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 15359, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 15363, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 15366, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 15369, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 15372, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 15375, (result_reg), (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 15379, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (result_reg != Z_REG(op1_addr)) {
			dasm_put(Dst, 15384, (result_reg), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 4019 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	adds Rx(result_reg), Rx(result_reg), Rx(result_reg)
			dasm_put(Dst, 15388, (result_reg), (result_reg), (result_reg));
#line 4020 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (opcode == ZEND_MUL &&
			Z_MODE(op2_addr) == IS_CONST_ZVAL &&
			!may_overflow &&
			zend_long_is_power_of_two(Z_LVAL_P(Z_ZV(op2_addr)))) {
		//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 15393, (result_reg));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 15396, (result_reg));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15399, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15403, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 15407, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 15411, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15415, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15419, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 15423, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15427, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15431, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15435, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15439, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 15443, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 15447, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 15450, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 15453, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 15456, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 15459, (result_reg), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 15463, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (result_reg != Z_REG(op1_addr)) {
		dasm_put(Dst, 15468, (result_reg), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4026 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov TMP1, #zend_long_floor_log2(Z_LVAL_P(Z_ZV(op2_addr)))
		//|	lsl Rx(result_reg), Rx(result_reg), TMP1
		dasm_put(Dst, 15472, zend_long_floor_log2(Z_LVAL_P(Z_ZV(op2_addr))), (result_reg), (result_reg));
#line 4028 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (opcode == ZEND_MUL &&
			Z_MODE(op1_addr) == IS_CONST_ZVAL &&
			Z_LVAL_P(Z_ZV(op1_addr)) == 2) {
		if (Z_MODE(op2_addr) == IS_REG) {
			//|	adds Rx(result_reg), Rx(Z_REG(op2_addr)), Rx(Z_REG(op2_addr))
			dasm_put(Dst, 15478, (result_reg), (Z_REG(op2_addr)), (Z_REG(op2_addr)));
#line 4033 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	GET_ZVAL_LVAL result_reg, op2_addr, TMP1
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 15483, (result_reg));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 15486, (result_reg));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 15489, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 15493, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 15497, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 15501, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 15505, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 15509, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 15513, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 15517, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 15521, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 15525, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 15529, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 15533, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 15537, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 15540, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 15543, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 15546, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 15549, (result_reg), (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 15553, (result_reg), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
				} else if (Z_MODE(op2_addr) == IS_REG) {
					if (result_reg != Z_REG(op2_addr)) {
			dasm_put(Dst, 15558, (result_reg), (Z_REG(op2_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 4035 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	adds Rx(result_reg), Rx(result_reg), Rx(result_reg)
			dasm_put(Dst, 15562, (result_reg), (result_reg), (result_reg));
#line 4036 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (opcode == ZEND_MUL &&
			Z_MODE(op1_addr) == IS_CONST_ZVAL &&
			!may_overflow &&
			zend_long_is_power_of_two(Z_LVAL_P(Z_ZV(op1_addr)))) {
		//|	GET_ZVAL_LVAL result_reg, op2_addr, TMP1
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 15567, (result_reg));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 15570, (result_reg));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15573, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15577, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 15581, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 15585, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15589, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15593, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 15597, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15601, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15605, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15609, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15613, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 15617, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 15621, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 15624, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 15627, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 15630, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 15633, (result_reg), (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 15637, (result_reg), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
			} else if (Z_MODE(op2_addr) == IS_REG) {
				if (result_reg != Z_REG(op2_addr)) {
		dasm_put(Dst, 15642, (result_reg), (Z_REG(op2_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4042 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov TMP1, #zend_long_floor_log2(Z_LVAL_P(Z_ZV(op1_addr)))
		//|	lsl Rx(result_reg), Rx(result_reg), TMP1
		dasm_put(Dst, 15646, zend_long_floor_log2(Z_LVAL_P(Z_ZV(op1_addr))), (result_reg), (result_reg));
#line 4044 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (opcode == ZEND_DIV &&
			(Z_MODE(op2_addr) == IS_CONST_ZVAL &&
			zend_long_is_power_of_two(Z_LVAL_P(Z_ZV(op2_addr))))) {
		//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 15652, (result_reg));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 15655, (result_reg));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15658, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15662, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 15666, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 15670, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15674, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15678, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 15682, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15686, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15690, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15694, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15698, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 15702, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 15706, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 15709, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 15712, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 15715, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 15718, (result_reg), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 15722, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (result_reg != Z_REG(op1_addr)) {
		dasm_put(Dst, 15727, (result_reg), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4048 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	asr Rx(result_reg), Rx(result_reg), #zend_long_floor_log2(Z_LVAL_P(Z_ZV(op2_addr)))
		dasm_put(Dst, 15731, (result_reg), (result_reg), zend_long_floor_log2(Z_LVAL_P(Z_ZV(op2_addr))));
#line 4049 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#if 0
	/* x86 specific optimizations through LEA instraction are not supported on ARM */
	} else if (opcode == ZEND_ADD &&
			!may_overflow &&
			Z_MODE(op1_addr) == IS_REG &&
			Z_MODE(op2_addr) == IS_CONST_ZVAL) {
		//|	NIY	// TODO: test
			//ZEND_ASSERT(0);
		dasm_put(Dst, 15736);
#line 4056 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (opcode == ZEND_ADD &&
			!may_overflow &&
			Z_MODE(op2_addr) == IS_REG &&
			Z_MODE(op1_addr) == IS_CONST_ZVAL) {
		//|	NIY	// TODO: test
			//ZEND_ASSERT(0);
		dasm_put(Dst, 15738);
#line 4061 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (opcode == ZEND_SUB &&
			!may_overflow &&
			Z_MODE(op1_addr) == IS_REG &&
			Z_MODE(op2_addr) == IS_CONST_ZVAL) {
		//|	NIY	// TODO: test
			//ZEND_ASSERT(0);
		dasm_put(Dst, 15740);
#line 4066 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
	} else if (opcode == ZEND_MUL) {
		//|	GET_ZVAL_LVAL ZREG_TMP1, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 15742, (ZREG_X15));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 15745, (ZREG_X15));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15748, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15752, (ZREG_X15), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 15756, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 15760, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15764, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15768, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 15772, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15776, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15780, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15784, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15788, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 15792, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 15796, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 15799, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 15802, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 15805, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 15808, (ZREG_X15), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 15812, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X15 != Z_REG(op1_addr)) {
		dasm_put(Dst, 15817, (ZREG_X15), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4069 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_ZVAL_LVAL ZREG_TMP2, op2_addr, TMP2
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 15821, (ZREG_X16));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 15824, (ZREG_X16));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15827, (ZREG_X16), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15831, (ZREG_X16), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 15835, (ZREG_X16), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 15839, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15843, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15847, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 15851, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15855, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15859, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15863, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15867, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 15871, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 15875, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 15878, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 15881, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 15884, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 15887, (ZREG_X16), (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 15891, (ZREG_X16), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
			} else if (Z_MODE(op2_addr) == IS_REG) {
				if (ZREG_X16 != Z_REG(op2_addr)) {
		dasm_put(Dst, 15896, (ZREG_X16), (Z_REG(op2_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4070 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mul Rx(result_reg), TMP1, TMP2
		dasm_put(Dst, 15900, (result_reg));
#line 4071 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if(may_overflow) {
			/* Use 'smulh' to get the upper 64 bits fo the 128-bit result.
			 * For signed multiplication, the top 65 bits of the result will contain
			 * either all zeros or all ones if no overflow occurred.
			 * Flag: bne -> overflow. beq -> no overflow.
			 */
			use_ovf_flag = 0;
			//|	smulh TMP1, TMP1, TMP2
			//|	cmp TMP1, Rx(result_reg), asr #63
			dasm_put(Dst, 15903, (result_reg));
#line 4080 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 15907, (result_reg));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 15910, (result_reg));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15913, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 15917, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 15921, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 15925, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15929, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15933, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 15937, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15941, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15945, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 15949, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 15953, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 15957, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 15961, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 15964, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 15967, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 15970, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 15973, (result_reg), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 15977, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (result_reg != Z_REG(op1_addr)) {
		dasm_put(Dst, 15982, (result_reg), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4083 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if ((opcode == ZEND_ADD || opcode == ZEND_SUB)
		 && Z_MODE(op2_addr) == IS_CONST_ZVAL
		 && Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			/* +/- 0 */
			may_overflow = 0;
		} else if (same_ops && opcode != ZEND_DIV) {
			//|	LONG_MATH_REG opcode, Rx(result_reg), Rx(result_reg), Rx(result_reg)
				switch (opcode) {
					case ZEND_ADD:
			dasm_put(Dst, 15986, (result_reg), (result_reg), (result_reg));
						break;
					case ZEND_SUB:
			dasm_put(Dst, 15991, (result_reg), (result_reg), (result_reg));
						break;
					case ZEND_BW_OR:
			dasm_put(Dst, 15996, (result_reg), (result_reg), (result_reg));
						break;
					case ZEND_BW_AND:
			dasm_put(Dst, 16001, (result_reg), (result_reg), (result_reg));
						break;
					case ZEND_BW_XOR:
			dasm_put(Dst, 16006, (result_reg), (result_reg), (result_reg));
						break;
					default:
						ZEND_UNREACHABLE();
				}
#line 4090 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LONG_MATH opcode, result_reg, op2_addr, TMP1
				switch (opcode) {
					case ZEND_ADD:
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 16011, (result_reg), (result_reg));
				} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op2_addr))))) {
			dasm_put(Dst, 16015, (result_reg), (result_reg), Z_LVAL_P(Z_ZV(op2_addr)));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 16020);
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16022, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16025, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 16028, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16031, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16034, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16037, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16040, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16043, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16046, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16049, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16052, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16055, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 16058, (result_reg), (result_reg));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 16062, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 16065, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 16068, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16071, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 16074, (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 16077, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
			dasm_put(Dst, 16081, (result_reg), (result_reg));
				} else if (Z_MODE(op2_addr) == IS_REG) {
			dasm_put(Dst, 16085, (result_reg), (result_reg), (Z_REG(op2_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
						break;
					case ZEND_SUB:
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 16090, (result_reg), (result_reg));
				} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op2_addr))))) {
			dasm_put(Dst, 16094, (result_reg), (result_reg), Z_LVAL_P(Z_ZV(op2_addr)));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 16099);
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16101, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16104, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 16107, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16110, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16113, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16116, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16119, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16122, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16125, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16128, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16131, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16134, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 16137, (result_reg), (result_reg));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 16141, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 16144, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 16147, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16150, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 16153, (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 16156, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
			dasm_put(Dst, 16160, (result_reg), (result_reg));
				} else if (Z_MODE(op2_addr) == IS_REG) {
			dasm_put(Dst, 16164, (result_reg), (result_reg), (Z_REG(op2_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
						break;
					case ZEND_BW_OR:
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 16169, (result_reg), (result_reg));
				} else if (logical_immediate_p(Z_LVAL_P(Z_ZV(op2_addr)), 64)) {
			dasm_put(Dst, 16173, (result_reg), (result_reg), (unsigned int)(Z_LVAL_P(Z_ZV(op2_addr))), (unsigned int)((unsigned long long)(Z_LVAL_P(Z_ZV(op2_addr)))>>32));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 16178);
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16180, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16183, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 16186, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16189, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16192, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16195, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16198, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16201, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16204, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16207, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16210, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16213, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 16216, (result_reg), (result_reg));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 16220, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 16223, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 16226, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16229, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 16232, (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 16235, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
			dasm_put(Dst, 16239, (result_reg), (result_reg));
				} else if (Z_MODE(op2_addr) == IS_REG) {
			dasm_put(Dst, 16243, (result_reg), (result_reg), (Z_REG(op2_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
						break;
					case ZEND_BW_AND:
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 16248, (result_reg), (result_reg));
				} else if (logical_immediate_p(Z_LVAL_P(Z_ZV(op2_addr)), 64)) {
			dasm_put(Dst, 16252, (result_reg), (result_reg), (unsigned int)(Z_LVAL_P(Z_ZV(op2_addr))), (unsigned int)((unsigned long long)(Z_LVAL_P(Z_ZV(op2_addr)))>>32));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 16257);
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16259, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16262, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 16265, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16268, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16271, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16274, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16277, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16280, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16283, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16286, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16289, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16292, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 16295, (result_reg), (result_reg));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 16299, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 16302, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 16305, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16308, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 16311, (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 16314, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
			dasm_put(Dst, 16318, (result_reg), (result_reg));
				} else if (Z_MODE(op2_addr) == IS_REG) {
			dasm_put(Dst, 16322, (result_reg), (result_reg), (Z_REG(op2_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
						break;
					case ZEND_BW_XOR:
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 16327, (result_reg), (result_reg));
				} else if (logical_immediate_p(Z_LVAL_P(Z_ZV(op2_addr)), 64)) {
			dasm_put(Dst, 16331, (result_reg), (result_reg), (unsigned int)(Z_LVAL_P(Z_ZV(op2_addr))), (unsigned int)((unsigned long long)(Z_LVAL_P(Z_ZV(op2_addr)))>>32));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 16336);
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16338, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16341, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 16344, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16347, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16350, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16353, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16356, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16359, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16362, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16365, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16368, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16371, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 16374, (result_reg), (result_reg));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 16378, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 16381, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 16384, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16387, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 16390, (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 16393, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
			dasm_put(Dst, 16397, (result_reg), (result_reg));
				} else if (Z_MODE(op2_addr) == IS_REG) {
			dasm_put(Dst, 16401, (result_reg), (result_reg), (Z_REG(op2_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
						break;
					default:
						ZEND_UNREACHABLE();
				}
#line 4092 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	if (may_overflow) {
		if (res_info & MAY_BE_GUARD) {
			int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);
			const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);
			if (!exit_addr) {
				return 0;
			}
			if ((res_info & MAY_BE_ANY) == MAY_BE_LONG) {
				if (use_ovf_flag) {
					//|	bvs &exit_addr
					dasm_put(Dst, 16406, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 4104 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	bne &exit_addr
					dasm_put(Dst, 16409, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 4106 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (Z_MODE(res_addr) == IS_REG && result_reg != Z_REG(res_addr)) {
					//|	mov Rx(Z_REG(res_addr)), Rx(result_reg)
					dasm_put(Dst, 16412, (Z_REG(res_addr)), (result_reg));
#line 4109 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if ((res_info & MAY_BE_ANY) == MAY_BE_DOUBLE) {
				if (use_ovf_flag) {
					//|	bvc &exit_addr
					dasm_put(Dst, 16416, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 4113 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	beq &exit_addr
					dasm_put(Dst, 16419, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 4115 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				ZEND_UNREACHABLE();
			}
		} else {
			if (res_info & MAY_BE_LONG) {
				if (use_ovf_flag) {
					//|	bvs >1
					dasm_put(Dst, 16422);
#line 4123 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	bne >1
					dasm_put(Dst, 16425);
#line 4125 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				if (use_ovf_flag) {
					//|	bvc >1
					dasm_put(Dst, 16428);
#line 4129 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	beq >1
					dasm_put(Dst, 16431);
#line 4131 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
		}
	}

	if (Z_MODE(res_addr) == IS_MEM_ZVAL && (res_info & MAY_BE_LONG)) {
		//|	SET_ZVAL_LVAL_FROM_REG res_addr, Rx(result_reg), TMP1
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 16434, (Z_REG(res_addr)), (result_reg));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 16438, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 16441, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 16444, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 16447, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 16450, (result_reg), (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 16454, (result_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
#line 4138 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != Z_REG(res_addr) || Z_OFFSET(op1_addr) != Z_OFFSET(res_addr)) {
			if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF|MAY_BE_GUARD)) != MAY_BE_LONG) {
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_LONG, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
				dasm_put(Dst, 16459, ((uint32_t)(IS_LONG)));
					} else if (((uint32_t)(IS_LONG) & 0xffff)) {
				dasm_put(Dst, 16462, ((uint32_t)(IS_LONG) & 0xffff));
						if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
				dasm_put(Dst, 16465, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 16468, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 16471, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 16474, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 16477, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 16480, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 16483, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 16486, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 4141 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	if (may_overflow && (!(res_info & MAY_BE_GUARD) || (res_info & MAY_BE_ANY) == MAY_BE_DOUBLE)) {
		zend_reg tmp_reg1 = ZREG_FPR0;
		zend_reg tmp_reg2 = ZREG_FPR1;

		if (res_info & MAY_BE_LONG) {
			//|.cold_code
			dasm_put(Dst, 16490);
#line 4151 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 16491);
#line 4152 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		do {
			if ((Z_MODE(op1_addr) == IS_CONST_ZVAL && Z_LVAL_P(Z_ZV(op1_addr)) == 1) ||
			    (Z_MODE(op2_addr) == IS_CONST_ZVAL && Z_LVAL_P(Z_ZV(op2_addr)) == 1)) {
				if (opcode == ZEND_ADD) {
					uint64_t val = 0x43e0000000000000;
					if (Z_MODE(res_addr) == IS_REG) {
						//|	LOAD_64BIT_VAL TMP1, val
							if (((uint64_t)(val)) == 0) {
						dasm_put(Dst, 16493);
							} else if (((uint64_t)(val)) <= MOVZ_IMM) {
						dasm_put(Dst, 16495, ((uint64_t)(val)));
							} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
						dasm_put(Dst, 16498, (~((uint64_t)(val))));
							} else if ((uint64_t)(val) & 0xffff) {
						dasm_put(Dst, 16501, ((uint64_t)(val) & 0xffff));
								if (((uint64_t)(val) >> 16) & 0xffff) {
						dasm_put(Dst, 16504, (((uint64_t)(val) >> 16) & 0xffff));
								}
								if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16507, (((uint64_t)(val) >> 32) & 0xffff));
								}
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16510, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(val) >> 16) & 0xffff) {
						dasm_put(Dst, 16513, (((uint64_t)(val) >> 16) & 0xffff));
								if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16516, (((uint64_t)(val) >> 32) & 0xffff));
								}
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16519, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16522, (((uint64_t)(val) >> 32) & 0xffff));
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16525, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else {
						dasm_put(Dst, 16528, (((uint64_t)(val) >> 48) & 0xffff));
							}
#line 4161 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	fmov Rd(Z_REG(res_addr)-ZREG_V0), TMP1
						dasm_put(Dst, 16531, (Z_REG(res_addr)-ZREG_V0));
#line 4162 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	SET_ZVAL_LVAL res_addr, val, TMP2, TMP1
							if (val == 0) {
							if (Z_MODE(res_addr) == IS_REG) {
						dasm_put(Dst, 16534, (Z_REG(res_addr)));
							} else {
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
							if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 16537, ((uint32_t)(Z_OFFSET(res_addr))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
						dasm_put(Dst, 16540, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 16543, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 16546, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 16549, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 16552, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
							}
							}
							} else {
							if (((uint64_t)(val)) == 0) {
						dasm_put(Dst, 16556);
							} else if (((uint64_t)(val)) <= MOVZ_IMM) {
						dasm_put(Dst, 16558, ((uint64_t)(val)));
							} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
						dasm_put(Dst, 16561, (~((uint64_t)(val))));
							} else if ((uint64_t)(val) & 0xffff) {
						dasm_put(Dst, 16564, ((uint64_t)(val) & 0xffff));
								if (((uint64_t)(val) >> 16) & 0xffff) {
						dasm_put(Dst, 16567, (((uint64_t)(val) >> 16) & 0xffff));
								}
								if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16570, (((uint64_t)(val) >> 32) & 0xffff));
								}
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16573, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(val) >> 16) & 0xffff) {
						dasm_put(Dst, 16576, (((uint64_t)(val) >> 16) & 0xffff));
								if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16579, (((uint64_t)(val) >> 32) & 0xffff));
								}
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16582, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16585, (((uint64_t)(val) >> 32) & 0xffff));
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16588, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else {
						dasm_put(Dst, 16591, (((uint64_t)(val) >> 48) & 0xffff));
							}
							if (Z_MODE(res_addr) == IS_REG) {
						dasm_put(Dst, 16594, (Z_REG(res_addr)));
							} else {
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
							if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 16597, ((uint32_t)(Z_OFFSET(res_addr))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
						dasm_put(Dst, 16600, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 16603, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 16606, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 16609, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 16612, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
							}
							}
							}
#line 4164 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				} else if (opcode == ZEND_SUB) {
					uint64_t val = 0xc3e0000000000000;
					if (Z_MODE(res_addr) == IS_REG) {
						//|	LOAD_64BIT_VAL TMP1, val
							if (((uint64_t)(val)) == 0) {
						dasm_put(Dst, 16616);
							} else if (((uint64_t)(val)) <= MOVZ_IMM) {
						dasm_put(Dst, 16618, ((uint64_t)(val)));
							} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
						dasm_put(Dst, 16621, (~((uint64_t)(val))));
							} else if ((uint64_t)(val) & 0xffff) {
						dasm_put(Dst, 16624, ((uint64_t)(val) & 0xffff));
								if (((uint64_t)(val) >> 16) & 0xffff) {
						dasm_put(Dst, 16627, (((uint64_t)(val) >> 16) & 0xffff));
								}
								if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16630, (((uint64_t)(val) >> 32) & 0xffff));
								}
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16633, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(val) >> 16) & 0xffff) {
						dasm_put(Dst, 16636, (((uint64_t)(val) >> 16) & 0xffff));
								if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16639, (((uint64_t)(val) >> 32) & 0xffff));
								}
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16642, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16645, (((uint64_t)(val) >> 32) & 0xffff));
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16648, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else {
						dasm_put(Dst, 16651, (((uint64_t)(val) >> 48) & 0xffff));
							}
#line 4170 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	fmov Rd(Z_REG(res_addr)-ZREG_V0), TMP1
						dasm_put(Dst, 16654, (Z_REG(res_addr)-ZREG_V0));
#line 4171 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	SET_ZVAL_LVAL res_addr, val, TMP2, TMP1
							if (val == 0) {
							if (Z_MODE(res_addr) == IS_REG) {
						dasm_put(Dst, 16657, (Z_REG(res_addr)));
							} else {
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
							if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 16660, ((uint32_t)(Z_OFFSET(res_addr))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
						dasm_put(Dst, 16663, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 16666, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 16669, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 16672, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 16675, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
							}
							}
							} else {
							if (((uint64_t)(val)) == 0) {
						dasm_put(Dst, 16679);
							} else if (((uint64_t)(val)) <= MOVZ_IMM) {
						dasm_put(Dst, 16681, ((uint64_t)(val)));
							} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
						dasm_put(Dst, 16684, (~((uint64_t)(val))));
							} else if ((uint64_t)(val) & 0xffff) {
						dasm_put(Dst, 16687, ((uint64_t)(val) & 0xffff));
								if (((uint64_t)(val) >> 16) & 0xffff) {
						dasm_put(Dst, 16690, (((uint64_t)(val) >> 16) & 0xffff));
								}
								if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16693, (((uint64_t)(val) >> 32) & 0xffff));
								}
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16696, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(val) >> 16) & 0xffff) {
						dasm_put(Dst, 16699, (((uint64_t)(val) >> 16) & 0xffff));
								if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16702, (((uint64_t)(val) >> 32) & 0xffff));
								}
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16705, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(val) >> 32) & 0xffff) {
						dasm_put(Dst, 16708, (((uint64_t)(val) >> 32) & 0xffff));
								if ((((uint64_t)(val) >> 48) & 0xffff)) {
						dasm_put(Dst, 16711, (((uint64_t)(val) >> 48) & 0xffff));
								}
							} else {
						dasm_put(Dst, 16714, (((uint64_t)(val) >> 48) & 0xffff));
							}
							if (Z_MODE(res_addr) == IS_REG) {
						dasm_put(Dst, 16717, (Z_REG(res_addr)));
							} else {
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
							if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 16720, ((uint32_t)(Z_OFFSET(res_addr))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
						dasm_put(Dst, 16723, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 16726, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 16729, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 16732, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 16735, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
							}
							}
							}
#line 4173 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				}
			}

			//|	DOUBLE_GET_ZVAL_LVAL tmp_reg1, op1_addr, tmp_reg, ZREG_TMP1
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 16739, (tmp_reg1-ZREG_V0));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 16742, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16745, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16749, (tmp_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 16753, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16757, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16761, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16765, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16769, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16773, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16777, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16781, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16785, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16789, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 16793, (tmp_reg1-ZREG_V0), (tmp_reg));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 16797, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 16801, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 16805, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16809, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 16813, (tmp_reg), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 16818, (tmp_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
			dasm_put(Dst, 16823, (tmp_reg1-ZREG_V0), (tmp_reg));
				} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 16827, (tmp_reg1-ZREG_V0), (Z_REG(op1_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
#line 4179 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	DOUBLE_GET_ZVAL_LVAL tmp_reg2, op2_addr, tmp_reg, ZREG_TMP1
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 16831, (tmp_reg2-ZREG_V0));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 16834, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16837, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 16841, (tmp_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 16845, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16849, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16853, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16857, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 16861, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16865, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16869, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 16873, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 16877, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16881, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 16885, (tmp_reg2-ZREG_V0), (tmp_reg));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 16889, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 16893, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 16897, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16901, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 16905, (tmp_reg), (Z_REG(op2_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 16910, (tmp_reg), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
			dasm_put(Dst, 16915, (tmp_reg2-ZREG_V0), (tmp_reg));
				} else if (Z_MODE(op2_addr) == IS_REG) {
			dasm_put(Dst, 16919, (tmp_reg2-ZREG_V0), (Z_REG(op2_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
#line 4180 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	DOUBLE_MATH_REG opcode, tmp_reg1, tmp_reg1, tmp_reg2
				switch (opcode) {
					case ZEND_ADD:
			dasm_put(Dst, 16923, (tmp_reg1-ZREG_V0), (tmp_reg1-ZREG_V0), (tmp_reg2-ZREG_V0));
						break;
					case ZEND_SUB:
			dasm_put(Dst, 16928, (tmp_reg1-ZREG_V0), (tmp_reg1-ZREG_V0), (tmp_reg2-ZREG_V0));
						break;
					case ZEND_MUL:
			dasm_put(Dst, 16933, (tmp_reg1-ZREG_V0), (tmp_reg1-ZREG_V0), (tmp_reg2-ZREG_V0));
						break;
					case ZEND_DIV:
			dasm_put(Dst, 16938, (tmp_reg1-ZREG_V0), (tmp_reg1-ZREG_V0), (tmp_reg2-ZREG_V0));
						break;
				}
#line 4181 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_DVAL res_addr, tmp_reg1, ZREG_TMP1
				if (Z_MODE(res_addr) == IS_REG) {
					if (tmp_reg1 != Z_REG(res_addr)) {
			dasm_put(Dst, 16943, (Z_REG(res_addr)-ZREG_V0), (tmp_reg1-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 16947, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 16951, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 16955, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16959, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 16963, (tmp_reg1-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 16968, (tmp_reg1-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
#line 4182 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} while (0);

		if (Z_MODE(res_addr) == IS_MEM_ZVAL
		 && (res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_DOUBLE, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 16973, ((uint32_t)(IS_DOUBLE)));
				} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
			dasm_put(Dst, 16976, ((uint32_t)(IS_DOUBLE) & 0xffff));
					if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 16979, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16982, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 16985, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 16988, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 16991, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 16994, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 16997, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 17000, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 4187 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (res_info & MAY_BE_LONG) {
			//|	b >2
			//|.code
			dasm_put(Dst, 17004);
#line 4191 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|2:
		dasm_put(Dst, 17007);
#line 4193 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_math_long_double(dasm_State    **Dst,
                                     zend_uchar      opcode,
                                     zend_jit_addr   op1_addr,
                                     zend_jit_addr   op2_addr,
                                     zend_jit_addr   res_addr,
                                     uint32_t        res_use_info)
{
	zend_reg result_reg =
		(Z_MODE(res_addr) == IS_REG) ? Z_REG(res_addr) : ZREG_FPR0;
	zend_reg op2_reg;

	//|	DOUBLE_GET_ZVAL_LVAL result_reg, op1_addr, ZREG_TMP1, ZREG_TMP2
		if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
		if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
	dasm_put(Dst, 17009, (result_reg-ZREG_V0));
		} else {
		if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
	dasm_put(Dst, 17012, (ZREG_X15));
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
	dasm_put(Dst, 17015, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
		} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
	dasm_put(Dst, 17019, (ZREG_X15), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
		} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
	dasm_put(Dst, 17023, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
	dasm_put(Dst, 17027, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
			}
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 17031, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
			}
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 17035, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
	dasm_put(Dst, 17039, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 17043, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
			}
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 17047, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 17051, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 17055, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
		} else {
	dasm_put(Dst, 17059, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
		}
	dasm_put(Dst, 17063, (result_reg-ZREG_V0), (ZREG_X15));
		}
		} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
		if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 17067, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr))));
		} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
	dasm_put(Dst, 17071, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 17075, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 17079, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 17083, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 17088, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
		}
	dasm_put(Dst, 17093, (result_reg-ZREG_V0), (ZREG_X15));
		} else if (Z_MODE(op1_addr) == IS_REG) {
	dasm_put(Dst, 17097, (result_reg-ZREG_V0), (Z_REG(op1_addr)));
		} else {
			ZEND_UNREACHABLE();
		}
#line 4210 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (Z_MODE(op2_addr) == IS_REG) {
		op2_reg = Z_REG(op2_addr);
	} else {
		op2_reg = ZREG_FPTMP;
		//|	GET_ZVAL_DVAL op2_reg, op2_addr, ZREG_TMP1
			if (Z_MODE(op2_addr) != IS_REG || op2_reg != Z_REG(op2_addr)) {
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 17101, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32), (op2_reg-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op2_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 17108, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32), (op2_reg-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 17116, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 17119, (ZREG_X15), ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 17123, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 17127, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 17131, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 17136, (ZREG_X15), ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 17140, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 17144, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 17148, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 17152, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 17156, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 17160, (op2_reg-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 17164, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 17168, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 17172, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 17176, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 17180, (op2_reg-ZREG_V0), (Z_REG(op2_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 17185, (op2_reg-ZREG_V0), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
				} else if (Z_MODE(op2_addr) == IS_REG) {
		dasm_put(Dst, 17190, (op2_reg-ZREG_V0), (Z_REG(op2_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
#line 4216 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|	DOUBLE_MATH_REG opcode, result_reg, result_reg, op2_reg
		switch (opcode) {
			case ZEND_ADD:
	dasm_put(Dst, 17194, (result_reg-ZREG_V0), (result_reg-ZREG_V0), (op2_reg-ZREG_V0));
				break;
			case ZEND_SUB:
	dasm_put(Dst, 17199, (result_reg-ZREG_V0), (result_reg-ZREG_V0), (op2_reg-ZREG_V0));
				break;
			case ZEND_MUL:
	dasm_put(Dst, 17204, (result_reg-ZREG_V0), (result_reg-ZREG_V0), (op2_reg-ZREG_V0));
				break;
			case ZEND_DIV:
	dasm_put(Dst, 17209, (result_reg-ZREG_V0), (result_reg-ZREG_V0), (op2_reg-ZREG_V0));
				break;
		}
#line 4219 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	//|	SET_ZVAL_DVAL res_addr, result_reg, ZREG_TMP1
		if (Z_MODE(res_addr) == IS_REG) {
			if (result_reg != Z_REG(res_addr)) {
	dasm_put(Dst, 17214, (Z_REG(res_addr)-ZREG_V0), (result_reg-ZREG_V0));
			}
		} else {
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 17218, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
		} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
	dasm_put(Dst, 17222, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 17226, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 17230, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 17234, (result_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 17239, (result_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
		}
		}
#line 4221 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
		if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_DOUBLE, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 17244, ((uint32_t)(IS_DOUBLE)));
				} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
			dasm_put(Dst, 17247, ((uint32_t)(IS_DOUBLE) & 0xffff));
					if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 17250, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17253, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 17256, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 17259, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 17262, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17265, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 17268, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 17271, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 4225 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	return 1;
}

static int zend_jit_math_double_long(dasm_State    **Dst,
                                     zend_uchar      opcode,
                                     zend_jit_addr   op1_addr,
                                     zend_jit_addr   op2_addr,
                                     zend_jit_addr   res_addr,
                                     uint32_t        res_use_info)
{
	zend_reg result_reg, op1_reg, op2_reg;

	if (zend_is_commutative(opcode)
	 && (Z_MODE(res_addr) != IS_REG || Z_MODE(op1_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_addr))) {
		if (Z_MODE(res_addr) == IS_REG) {
			result_reg = Z_REG(res_addr);
		} else {
			result_reg = ZREG_FPR0;
		}
		//|	DOUBLE_GET_ZVAL_LVAL result_reg, op2_addr, ZREG_TMP1, ZREG_TMP2
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 17275, (result_reg-ZREG_V0));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 17278, (ZREG_X15));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 17281, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 17285, (ZREG_X15), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 17289, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 17293, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 17297, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 17301, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 17305, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 17309, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 17313, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 17317, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 17321, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 17325, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 17329, (result_reg-ZREG_V0), (ZREG_X15));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 17333, (ZREG_X16), ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 17337, (ZREG_X16), ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 17341, (ZREG_X16), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 17345, (ZREG_X16), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 17349, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 17354, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
		dasm_put(Dst, 17359, (result_reg-ZREG_V0), (ZREG_X15));
			} else if (Z_MODE(op2_addr) == IS_REG) {
		dasm_put(Dst, 17363, (result_reg-ZREG_V0), (Z_REG(op2_addr)));
			} else {
				ZEND_UNREACHABLE();
			}
#line 4248 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_MODE(op1_addr) == IS_REG) {
			op1_reg = Z_REG(op1_addr);
		} else {
			op1_reg = ZREG_FPTMP;
			//|	GET_ZVAL_DVAL op1_reg, op1_addr, ZREG_TMP1
				if (Z_MODE(op1_addr) != IS_REG || op1_reg != Z_REG(op1_addr)) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 17367, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (op1_reg-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 17374, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (op1_reg-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 17382, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 17385, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 17389, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 17393, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 17397, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 17402, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 17406, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 17410, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 17414, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 17418, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17422, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 17426, (op1_reg-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 17430, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 17434, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 17438, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17442, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 17446, (op1_reg-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 17451, (op1_reg-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
					} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 17456, (op1_reg-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
#line 4253 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	DOUBLE_MATH_REG opcode, result_reg, result_reg, op1_reg
			switch (opcode) {
				case ZEND_ADD:
		dasm_put(Dst, 17460, (result_reg-ZREG_V0), (result_reg-ZREG_V0), (op1_reg-ZREG_V0));
					break;
				case ZEND_SUB:
		dasm_put(Dst, 17465, (result_reg-ZREG_V0), (result_reg-ZREG_V0), (op1_reg-ZREG_V0));
					break;
				case ZEND_MUL:
		dasm_put(Dst, 17470, (result_reg-ZREG_V0), (result_reg-ZREG_V0), (op1_reg-ZREG_V0));
					break;
				case ZEND_DIV:
		dasm_put(Dst, 17475, (result_reg-ZREG_V0), (result_reg-ZREG_V0), (op1_reg-ZREG_V0));
					break;
			}
#line 4255 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if (Z_MODE(res_addr) == IS_REG) {
			result_reg = Z_REG(res_addr);
		} else if (Z_MODE(op1_addr) == IS_REG && Z_LAST_USE(op1_addr)) {
			result_reg = Z_REG(op1_addr);
		} else {
			result_reg = ZREG_FPR0;
		}

		if (Z_MODE(op1_addr) == IS_REG) {
			op1_reg = Z_REG(op1_addr);
		} else {
			//|	GET_ZVAL_DVAL result_reg, op1_addr, ZREG_TMP1
				if (Z_MODE(op1_addr) != IS_REG || result_reg != Z_REG(op1_addr)) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 17480, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (result_reg-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 17487, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (result_reg-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 17495, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 17498, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 17502, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 17506, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 17510, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 17515, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 17519, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 17523, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 17527, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 17531, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17535, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 17539, (result_reg-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 17543, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 17547, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 17551, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17555, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 17559, (result_reg-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 17564, (result_reg-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
					} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 17569, (result_reg-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
#line 4268 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_reg = result_reg;
		}
		if ((opcode == ZEND_ADD || opcode == ZEND_SUB)
		 && Z_MODE(op2_addr) == IS_CONST_ZVAL
		 && Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			/* +/- 0 */
		} else {
			op2_reg = ZREG_FPTMP;
			//|	DOUBLE_GET_ZVAL_LVAL op2_reg, op2_addr, ZREG_TMP1, ZREG_TMP2
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 17573, (op2_reg-ZREG_V0));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 17576, (ZREG_X15));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 17579, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 17583, (ZREG_X15), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 17587, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 17591, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 17595, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 17599, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 17603, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 17607, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 17611, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 17615, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 17619, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17623, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 17627, (op2_reg-ZREG_V0), (ZREG_X15));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 17631, (ZREG_X16), ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 17635, (ZREG_X16), ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 17639, (ZREG_X16), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17643, (ZREG_X16), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 17647, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 17652, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
			dasm_put(Dst, 17657, (op2_reg-ZREG_V0), (ZREG_X15));
				} else if (Z_MODE(op2_addr) == IS_REG) {
			dasm_put(Dst, 17661, (op2_reg-ZREG_V0), (Z_REG(op2_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
#line 4277 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	DOUBLE_MATH_REG opcode, result_reg, op1_reg, op2_reg
				switch (opcode) {
					case ZEND_ADD:
			dasm_put(Dst, 17665, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op2_reg-ZREG_V0));
						break;
					case ZEND_SUB:
			dasm_put(Dst, 17670, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op2_reg-ZREG_V0));
						break;
					case ZEND_MUL:
			dasm_put(Dst, 17675, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op2_reg-ZREG_V0));
						break;
					case ZEND_DIV:
			dasm_put(Dst, 17680, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op2_reg-ZREG_V0));
						break;
				}
#line 4278 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	//|	SET_ZVAL_DVAL res_addr, result_reg, ZREG_TMP1
		if (Z_MODE(res_addr) == IS_REG) {
			if (result_reg != Z_REG(res_addr)) {
	dasm_put(Dst, 17685, (Z_REG(res_addr)-ZREG_V0), (result_reg-ZREG_V0));
			}
		} else {
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 17689, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
		} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
	dasm_put(Dst, 17693, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 17697, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 17701, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 17705, (result_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 17710, (result_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
		}
		}
#line 4282 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
		if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != Z_REG(res_addr) || Z_OFFSET(op1_addr) != Z_OFFSET(res_addr)) {
			if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_DOUBLE, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 17715, ((uint32_t)(IS_DOUBLE)));
					} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
				dasm_put(Dst, 17718, ((uint32_t)(IS_DOUBLE) & 0xffff));
						if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 17721, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 17724, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 17727, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 17730, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 17733, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 17736, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 17739, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 17742, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 4287 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	return 1;
}

static int zend_jit_math_double_double(dasm_State    **Dst,
                                       zend_uchar      opcode,
                                       zend_jit_addr   op1_addr,
                                       zend_jit_addr   op2_addr,
                                       zend_jit_addr   res_addr,
                                       uint32_t        res_use_info)
{
	bool same_ops = zend_jit_same_addr(op1_addr, op2_addr);
	zend_reg result_reg, op1_reg, op2_reg;
	zend_jit_addr val_addr;

	if (Z_MODE(res_addr) == IS_REG) {
		result_reg = Z_REG(res_addr);
	} else if (Z_MODE(op1_addr) == IS_REG && Z_LAST_USE(op1_addr)) {
		result_reg = Z_REG(op1_addr);
	} else if (zend_is_commutative(opcode) && Z_MODE(op2_addr) == IS_REG && Z_LAST_USE(op2_addr)) {
		result_reg = Z_REG(op2_addr);
	} else {
		result_reg = ZREG_FPR0;
	}

	if (Z_MODE(op1_addr) == IS_REG) {
		op1_reg = Z_REG(op1_addr);
		val_addr = op2_addr;
	} else if (Z_MODE(op2_addr) == IS_REG && zend_is_commutative(opcode)) {
		op1_reg = Z_REG(op2_addr);
		val_addr = op1_addr;
	} else {
		//|	GET_ZVAL_DVAL result_reg, op1_addr, ZREG_TMP1
			if (Z_MODE(op1_addr) != IS_REG || result_reg != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 17746, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (result_reg-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 17753, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (result_reg-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 17761, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 17764, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 17768, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 17772, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 17776, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 17781, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 17785, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 17789, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 17793, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 17797, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 17801, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 17805, (result_reg-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 17809, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 17813, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 17817, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 17821, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 17825, (result_reg-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 17830, (result_reg-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 17835, (result_reg-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
#line 4323 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		op1_reg = result_reg;
		val_addr = op2_addr;
	}

	if ((opcode == ZEND_MUL) &&
		Z_MODE(val_addr) == IS_CONST_ZVAL && Z_DVAL_P(Z_ZV(val_addr)) == 2.0) {
		//|	DOUBLE_MATH_REG ZEND_ADD, result_reg, op1_reg, op1_reg
			switch (ZEND_ADD) {
				case ZEND_ADD:
		dasm_put(Dst, 17839, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op1_reg-ZREG_V0));
					break;
				case ZEND_SUB:
		dasm_put(Dst, 17844, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op1_reg-ZREG_V0));
					break;
				case ZEND_MUL:
		dasm_put(Dst, 17849, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op1_reg-ZREG_V0));
					break;
				case ZEND_DIV:
		dasm_put(Dst, 17854, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op1_reg-ZREG_V0));
					break;
			}
#line 4330 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if (same_ops) {
			op2_reg = op1_reg;
		} else if (Z_MODE(val_addr) == IS_REG) {
			op2_reg = Z_REG(val_addr);
		} else {
			op2_reg = ZREG_FPTMP;
			//|	GET_ZVAL_DVAL op2_reg, val_addr, ZREG_TMP1
				if (Z_MODE(val_addr) != IS_REG || op2_reg != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 17859, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (op2_reg-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 17866, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (op2_reg-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 17874, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 17877, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 17881, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 17885, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 17889, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 17894, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 17898, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 17902, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 17906, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 17910, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17914, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 17918, (op2_reg-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 17922, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 17926, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 17930, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 17934, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 17938, (op2_reg-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 17943, (op2_reg-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 17948, (op2_reg-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
#line 4338 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	DOUBLE_MATH_REG opcode, result_reg, op1_reg, op2_reg
			switch (opcode) {
				case ZEND_ADD:
		dasm_put(Dst, 17952, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op2_reg-ZREG_V0));
					break;
				case ZEND_SUB:
		dasm_put(Dst, 17957, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op2_reg-ZREG_V0));
					break;
				case ZEND_MUL:
		dasm_put(Dst, 17962, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op2_reg-ZREG_V0));
					break;
				case ZEND_DIV:
		dasm_put(Dst, 17967, (result_reg-ZREG_V0), (op1_reg-ZREG_V0), (op2_reg-ZREG_V0));
					break;
			}
#line 4340 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|	SET_ZVAL_DVAL res_addr, result_reg, ZREG_TMP1
		if (Z_MODE(res_addr) == IS_REG) {
			if (result_reg != Z_REG(res_addr)) {
	dasm_put(Dst, 17972, (Z_REG(res_addr)-ZREG_V0), (result_reg-ZREG_V0));
			}
		} else {
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 17976, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
		} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
	dasm_put(Dst, 17980, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 17984, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 17988, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 17992, (result_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 17997, (result_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
		}
		}
#line 4343 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
		if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != Z_REG(res_addr) || Z_OFFSET(op1_addr) != Z_OFFSET(res_addr)) {
			if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_DOUBLE, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 18002, ((uint32_t)(IS_DOUBLE)));
					} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
				dasm_put(Dst, 18005, ((uint32_t)(IS_DOUBLE) & 0xffff));
						if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 18008, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18011, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 18014, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 18017, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18020, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18023, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18026, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 18029, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 4348 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}
	return 1;
}

static int zend_jit_math_helper(dasm_State    **Dst,
                                const zend_op  *opline,
                                zend_uchar      opcode,
                                zend_uchar      op1_type,
                                znode_op        op1,
                                zend_jit_addr   op1_addr,
                                uint32_t        op1_info,
                                zend_uchar      op2_type,
                                znode_op        op2,
                                zend_jit_addr   op2_addr,
                                uint32_t        op2_info,
                                uint32_t        res_var,
                                zend_jit_addr   res_addr,
                                uint32_t        res_info,
                                uint32_t        res_use_info,
                                int             may_overflow,
                                int             may_throw)
/* Labels: 1,2,3,4,5,6 */
{
	bool same_ops = zend_jit_same_addr(op1_addr, op2_addr);

	if ((op1_info & MAY_BE_LONG) && (op2_info & MAY_BE_LONG) && (res_info & (MAY_BE_LONG|MAY_BE_DOUBLE))) {
		if (op1_info & (MAY_BE_ANY-MAY_BE_LONG)) {
			if (op1_info & MAY_BE_DOUBLE) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >3, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 18033, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 18037, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18041, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18045, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18049, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 18054, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 18059, (ZREG_X15));
					} else {
				dasm_put(Dst, 18063, (ZREG_X15), IS_LONG);
					}
#line 4379 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >6, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 18069, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 18073, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18077, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18081, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18085, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 18090, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 18095, (ZREG_X15));
					} else {
				dasm_put(Dst, 18099, (ZREG_X15), IS_LONG);
					}
#line 4381 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		if (!same_ops && (op2_info & (MAY_BE_ANY-MAY_BE_LONG))) {
			if (op2_info & MAY_BE_DOUBLE) {
				//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >1, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 18105, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 18109, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18113, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18117, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18121, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 18126, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 18131, (ZREG_X15));
					} else {
				dasm_put(Dst, 18135, (ZREG_X15), IS_LONG);
					}
#line 4386 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|.cold_code
				dasm_put(Dst, 18141);
#line 4387 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				dasm_put(Dst, 18142);
#line 4388 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op2_info & (MAY_BE_ANY-(MAY_BE_LONG|MAY_BE_DOUBLE))) {
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >6, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 18144, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 18148, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 18152, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 18156, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 18160, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 18165, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 18170, (ZREG_X15));
						} else {
					dasm_put(Dst, 18174, (ZREG_X15), IS_DOUBLE);
						}
#line 4390 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (!zend_jit_math_long_double(Dst, opcode, op1_addr, op2_addr, res_addr, res_use_info)) {
					return 0;
				}
				//|	b >5
				//|.code
				dasm_put(Dst, 18180);
#line 4396 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >6, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 18183, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 18187, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18191, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18195, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18199, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 18204, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 18209, (ZREG_X15));
					} else {
				dasm_put(Dst, 18213, (ZREG_X15), IS_LONG);
					}
#line 4398 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		if (!zend_jit_math_long_long(Dst, opline, opcode, op1_addr, op2_addr, res_addr, res_info, res_use_info, may_overflow)) {
			return 0;
		}
		if (op1_info & MAY_BE_DOUBLE) {
			//|.cold_code
			dasm_put(Dst, 18219);
#line 4405 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|3:
			dasm_put(Dst, 18220);
#line 4406 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op1_info & (MAY_BE_ANY-(MAY_BE_LONG|MAY_BE_DOUBLE))) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_DOUBLE, >6, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 18222, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 18226, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18230, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18234, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18238, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 18243, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_DOUBLE == 0) {
				dasm_put(Dst, 18248, (ZREG_X15));
					} else {
				dasm_put(Dst, 18252, (ZREG_X15), IS_DOUBLE);
					}
#line 4408 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (op2_info & MAY_BE_DOUBLE) {
				if (!same_ops && (op2_info & (MAY_BE_ANY-MAY_BE_DOUBLE))) {
					if (!same_ops) {
						//|	IF_NOT_ZVAL_TYPE, op2_addr, IS_DOUBLE, >1, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 18258, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 18262, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 18266, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 18270, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 18274, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 18279, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_DOUBLE == 0) {
						dasm_put(Dst, 18284, (ZREG_X15));
							} else {
						dasm_put(Dst, 18288, (ZREG_X15), IS_DOUBLE);
							}
#line 4413 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	IF_NOT_ZVAL_TYPE, op2_addr, IS_DOUBLE, >6, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 18294, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 18298, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 18302, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 18306, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 18310, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 18315, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_DOUBLE == 0) {
						dasm_put(Dst, 18320, (ZREG_X15));
							} else {
						dasm_put(Dst, 18324, (ZREG_X15), IS_DOUBLE);
							}
#line 4415 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				if (!zend_jit_math_double_double(Dst, opcode, op1_addr, op2_addr, res_addr, res_use_info)) {
					return 0;
				}
				//|	b >5
				dasm_put(Dst, 18330);
#line 4421 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (!same_ops) {
				//|1:
				dasm_put(Dst, 18333);
#line 4424 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op2_info & (MAY_BE_ANY-(MAY_BE_LONG|MAY_BE_DOUBLE))) {
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >6, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 18335, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 18339, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 18343, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 18347, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 18351, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 18356, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_LONG == 0) {
					dasm_put(Dst, 18361, (ZREG_X15));
						} else {
					dasm_put(Dst, 18365, (ZREG_X15), IS_LONG);
						}
#line 4426 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (!zend_jit_math_double_long(Dst, opcode, op1_addr, op2_addr, res_addr, res_use_info)) {
					return 0;
				}
				//|	b >5
				dasm_put(Dst, 18371);
#line 4431 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|.code
			dasm_put(Dst, 18374);
#line 4433 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if ((op1_info & MAY_BE_DOUBLE) &&
	           !(op1_info & MAY_BE_LONG) &&
	           (op2_info & (MAY_BE_LONG|MAY_BE_DOUBLE)) &&
	           (res_info & MAY_BE_DOUBLE)) {
		if (op1_info & (MAY_BE_ANY-MAY_BE_DOUBLE)) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_DOUBLE, >6, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 18375, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 18379, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 18383, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 18387, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 18391, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 18396, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_DOUBLE == 0) {
			dasm_put(Dst, 18401, (ZREG_X15));
				} else {
			dasm_put(Dst, 18405, (ZREG_X15), IS_DOUBLE);
				}
#line 4440 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op2_info & MAY_BE_DOUBLE) {
			if (!same_ops && (op2_info & (MAY_BE_ANY-MAY_BE_DOUBLE))) {
				if (!same_ops && (op2_info & MAY_BE_LONG)) {
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 18411, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 18415, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 18419, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 18423, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 18427, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 18432, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 18437, (ZREG_X15));
						} else {
					dasm_put(Dst, 18441, (ZREG_X15), IS_DOUBLE);
						}
#line 4445 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >6, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 18447, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 18451, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 18455, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 18459, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 18463, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 18468, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 18473, (ZREG_X15));
						} else {
					dasm_put(Dst, 18477, (ZREG_X15), IS_DOUBLE);
						}
#line 4447 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (!zend_jit_math_double_double(Dst, opcode, op1_addr, op2_addr, res_addr, res_use_info)) {
				return 0;
			}
		}
		if (!same_ops && (op2_info & MAY_BE_LONG)) {
			if (op2_info & MAY_BE_DOUBLE) {
				//|.cold_code
				dasm_put(Dst, 18483);
#line 4456 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		    //|1:
		    dasm_put(Dst, 18484);
#line 4458 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op2_info & (MAY_BE_ANY-(MAY_BE_DOUBLE|MAY_BE_LONG))) {
				//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >6, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 18486, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 18490, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18494, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18498, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18502, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 18507, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 18512, (ZREG_X15));
					} else {
				dasm_put(Dst, 18516, (ZREG_X15), IS_LONG);
					}
#line 4460 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (!zend_jit_math_double_long(Dst, opcode, op1_addr, op2_addr, res_addr, res_use_info)) {
				return 0;
			}
			if (op2_info & MAY_BE_DOUBLE) {
				//|	b >5
				//|.code
				dasm_put(Dst, 18522);
#line 4467 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else if ((op2_info & MAY_BE_DOUBLE) &&
	           !(op2_info & MAY_BE_LONG) &&
	           (op1_info & (MAY_BE_LONG|MAY_BE_DOUBLE)) &&
	           (res_info & MAY_BE_DOUBLE)) {
		if (op2_info & (MAY_BE_ANY-MAY_BE_DOUBLE)) {
			//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >6, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 18525, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 18529, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 18533, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 18537, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 18541, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 18546, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_DOUBLE == 0) {
			dasm_put(Dst, 18551, (ZREG_X15));
				} else {
			dasm_put(Dst, 18555, (ZREG_X15), IS_DOUBLE);
				}
#line 4475 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op1_info & MAY_BE_DOUBLE) {
			if (!same_ops && (op1_info & (MAY_BE_ANY-MAY_BE_DOUBLE))) {
				if (!same_ops && (op1_info & MAY_BE_LONG)) {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_DOUBLE, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 18561, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 18565, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 18569, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 18573, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 18577, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 18582, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 18587, (ZREG_X15));
						} else {
					dasm_put(Dst, 18591, (ZREG_X15), IS_DOUBLE);
						}
#line 4480 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_DOUBLE, >6, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 18597, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 18601, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 18605, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 18609, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 18613, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 18618, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 18623, (ZREG_X15));
						} else {
					dasm_put(Dst, 18627, (ZREG_X15), IS_DOUBLE);
						}
#line 4482 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (!zend_jit_math_double_double(Dst, opcode, op1_addr, op2_addr, res_addr, res_use_info)) {
				return 0;
			}
		}
		if (!same_ops && (op1_info & MAY_BE_LONG)) {
			if (op1_info & MAY_BE_DOUBLE) {
				//|.cold_code
				dasm_put(Dst, 18633);
#line 4491 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|1:
			dasm_put(Dst, 18634);
#line 4493 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op1_info & (MAY_BE_ANY-(MAY_BE_DOUBLE|MAY_BE_LONG))) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >6, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 18636, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 18640, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18644, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18648, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18652, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 18657, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 18662, (ZREG_X15));
					} else {
				dasm_put(Dst, 18666, (ZREG_X15), IS_LONG);
					}
#line 4495 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (!zend_jit_math_long_double(Dst, opcode, op1_addr, op2_addr, res_addr, res_use_info)) {
				return 0;
			}
			if (op1_info & MAY_BE_DOUBLE) {
				//|	b >5
				//|.code
				dasm_put(Dst, 18672);
#line 4502 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	//|5:
	dasm_put(Dst, 18675);
#line 4507 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if ((op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))) ||
		(op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE)))) {
		if ((op1_info & (MAY_BE_LONG|MAY_BE_DOUBLE)) &&
		    (op2_info & (MAY_BE_LONG|MAY_BE_DOUBLE)) &&
		    (res_info & (MAY_BE_LONG|MAY_BE_DOUBLE))) {
			//|.cold_code
			dasm_put(Dst, 18677);
#line 4514 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|6:
		dasm_put(Dst, 18678);
#line 4516 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != ZREG_FCARG1) {
			if (Z_MODE(res_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, res_var);
				//|	LOAD_ZVAL_ADDR FCARG1x, real_addr
					if (Z_MODE(real_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(real_addr))) == 0) {
				dasm_put(Dst, 18680);
					} else if (((uintptr_t)(Z_ZV(real_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 18682, ((uint64_t)(Z_ZV(real_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(real_addr)))) {
				dasm_put(Dst, 18685, (unsigned int)((ptrdiff_t)(Z_ZV(real_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(real_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(real_addr)))) {
				dasm_put(Dst, 18688, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(real_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(real_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(real_addr))) & 0xfff) {
				dasm_put(Dst, 18691, (((uintptr_t)(Z_ZV(real_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(real_addr)) & 0xffff) {
				dasm_put(Dst, 18694, ((uintptr_t)(Z_ZV(real_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 18697, (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 18700, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 18703, (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 18706, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18709, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(real_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(real_addr)) {
					if (Z_OFFSET(real_addr) == 0) {
				dasm_put(Dst, 18712, (Z_REG(real_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(real_addr)))) {
				dasm_put(Dst, 18715, (Z_REG(real_addr)), Z_OFFSET(real_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(real_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 18719, ((uint32_t)(Z_OFFSET(real_addr))));
					} else if (((uint32_t)(Z_OFFSET(real_addr)) & 0xffff)) {
				dasm_put(Dst, 18722, ((uint32_t)(Z_OFFSET(real_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18725, (((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18728, (((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18731, (Z_REG(real_addr)));
					}
						} else {
							if (Z_REG(real_addr) == ZREG_RSP) {
				dasm_put(Dst, 18734);
							} else {
				dasm_put(Dst, 18736, (Z_REG(real_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4520 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (Z_REG(res_addr) != ZREG_FCARG1 || Z_OFFSET(res_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 18739);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 18741, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 18744, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 18747, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 18750, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 18753, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 18756, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 18759, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 18762, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 18765, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18768, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 18771, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 18774, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 18778, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 18781, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18784, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18787, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18790, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 18793);
							} else {
				dasm_put(Dst, 18795, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4522 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (Z_MODE(op1_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op1.var);
				if (!zend_jit_spill_store(Dst, op1_addr, real_addr, op1_info, 1)) {
					return 0;
				}
				op1_addr = real_addr;
			}
			//|	LOAD_ZVAL_ADDR FCARG2x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 18798);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 18800, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 18803, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 18806, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 18809, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 18812, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 18815, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 18818, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 18821, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 18824, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 18827, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 18830, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 18833, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 18837, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 18840, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 18843, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 18846, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 18849, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 18852);
						} else {
			dasm_put(Dst, 18854, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 4531 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			if (Z_MODE(op1_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op1.var);
				if (!zend_jit_spill_store(Dst, op1_addr, real_addr, op1_info, 1)) {
					return 0;
				}
				op1_addr = real_addr;
			}
			//|	LOAD_ZVAL_ADDR FCARG2x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 18857);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 18859, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 18862, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 18865, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 18868, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 18871, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 18874, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 18877, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 18880, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 18883, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 18886, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 18889, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 18892, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 18896, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 18899, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 18902, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 18905, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 18908, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 18911);
						} else {
			dasm_put(Dst, 18913, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 4540 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_MODE(res_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, res_var);
				//|	LOAD_ZVAL_ADDR FCARG1x, real_addr
					if (Z_MODE(real_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(real_addr))) == 0) {
				dasm_put(Dst, 18916);
					} else if (((uintptr_t)(Z_ZV(real_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 18918, ((uint64_t)(Z_ZV(real_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(real_addr)))) {
				dasm_put(Dst, 18921, (unsigned int)((ptrdiff_t)(Z_ZV(real_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(real_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(real_addr)))) {
				dasm_put(Dst, 18924, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(real_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(real_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(real_addr))) & 0xfff) {
				dasm_put(Dst, 18927, (((uintptr_t)(Z_ZV(real_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(real_addr)) & 0xffff) {
				dasm_put(Dst, 18930, ((uintptr_t)(Z_ZV(real_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 18933, (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 18936, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 18939, (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 18942, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18945, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(real_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(real_addr)) {
					if (Z_OFFSET(real_addr) == 0) {
				dasm_put(Dst, 18948, (Z_REG(real_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(real_addr)))) {
				dasm_put(Dst, 18951, (Z_REG(real_addr)), Z_OFFSET(real_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(real_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 18955, ((uint32_t)(Z_OFFSET(real_addr))));
					} else if (((uint32_t)(Z_OFFSET(real_addr)) & 0xffff)) {
				dasm_put(Dst, 18958, ((uint32_t)(Z_OFFSET(real_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 18961, (((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 18964, (((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 18967, (Z_REG(real_addr)));
					}
						} else {
							if (Z_REG(real_addr) == ZREG_RSP) {
				dasm_put(Dst, 18970);
							} else {
				dasm_put(Dst, 18972, (Z_REG(real_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4543 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (Z_REG(res_addr) != ZREG_FCARG1 || Z_OFFSET(res_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 18975);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 18977, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 18980, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 18983, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 18986, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 18989, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 18992, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 18995, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 18998, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 19001, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 19004, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 19007, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 19010, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 19014, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 19017, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 19020, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 19023, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 19026, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 19029);
							} else {
				dasm_put(Dst, 19031, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4545 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		if (Z_MODE(op2_addr) == IS_REG) {
			zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op2.var);
			if (!zend_jit_spill_store(Dst, op2_addr, real_addr, op2_info, 1)) {
				return 0;
			}
			op2_addr = real_addr;
		}
		//|	LOAD_ZVAL_ADDR CARG3, op2_addr
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 19034);
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 19036, ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 19039, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 19042, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 19045, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 19048, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 19051, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 19054, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 19057, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 19060, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19063, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op2_addr)) {
			if (Z_OFFSET(op2_addr) == 0) {
		dasm_put(Dst, 19066, (Z_REG(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
		dasm_put(Dst, 19069, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 19073, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 19076, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 19079, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19082, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 19085, (Z_REG(op2_addr)));
			}
				} else {
					if (Z_REG(op2_addr) == ZREG_RSP) {
		dasm_put(Dst, 19088);
					} else {
		dasm_put(Dst, 19090, (Z_REG(op2_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4555 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 19093, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 19096);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 19098, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 19101, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 19104, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 19107, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 19110, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 19113, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 19116, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 19119, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 19122, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19125, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 19128, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 4556 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opcode == ZEND_ADD) {
			//|	EXT_CALL add_function, REG0
				if (arm64_may_use_b(add_function)) {
			dasm_put(Dst, 19131, (unsigned int)((ptrdiff_t)(add_function)), (unsigned int)(((ptrdiff_t)(add_function))>>32));
				} else {
				if (((uintptr_t)(add_function)) == 0) {
			dasm_put(Dst, 19134);
				} else if (((uintptr_t)(add_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 19136, ((uint64_t)(add_function)));
				} else if (arm64_may_use_adr((void*)(add_function))) {
			dasm_put(Dst, 19139, (unsigned int)((ptrdiff_t)(add_function)), (unsigned int)(((ptrdiff_t)(add_function))>>32));
				} else if (arm64_may_use_adrp((void*)(add_function))) {
			dasm_put(Dst, 19142, (unsigned int)((ptrdiff_t)((((uintptr_t)(add_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(add_function)))))>>32));
					if (((uintptr_t)(add_function)) & 0xfff) {
			dasm_put(Dst, 19145, (((uintptr_t)(add_function)) & 0xfff));
					}
				} else if ((uintptr_t)(add_function) & 0xffff) {
			dasm_put(Dst, 19148, ((uintptr_t)(add_function) & 0xffff));
					if (((uintptr_t)(add_function) >> 16) & 0xffff) {
			dasm_put(Dst, 19151, (((uintptr_t)(add_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(add_function) >> 32) & 0xffff) {
			dasm_put(Dst, 19154, (((uintptr_t)(add_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(add_function) >> 16) & 0xffff) {
			dasm_put(Dst, 19157, (((uintptr_t)(add_function) >> 16) & 0xffff));
					if (((uintptr_t)(add_function) >> 32) & 0xffff) {
			dasm_put(Dst, 19160, (((uintptr_t)(add_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 19163, (((uintptr_t)(add_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 19166);
				}
#line 4558 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opcode == ZEND_SUB) {
			//|	EXT_CALL sub_function, REG0
				if (arm64_may_use_b(sub_function)) {
			dasm_put(Dst, 19168, (unsigned int)((ptrdiff_t)(sub_function)), (unsigned int)(((ptrdiff_t)(sub_function))>>32));
				} else {
				if (((uintptr_t)(sub_function)) == 0) {
			dasm_put(Dst, 19171);
				} else if (((uintptr_t)(sub_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 19173, ((uint64_t)(sub_function)));
				} else if (arm64_may_use_adr((void*)(sub_function))) {
			dasm_put(Dst, 19176, (unsigned int)((ptrdiff_t)(sub_function)), (unsigned int)(((ptrdiff_t)(sub_function))>>32));
				} else if (arm64_may_use_adrp((void*)(sub_function))) {
			dasm_put(Dst, 19179, (unsigned int)((ptrdiff_t)((((uintptr_t)(sub_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(sub_function)))))>>32));
					if (((uintptr_t)(sub_function)) & 0xfff) {
			dasm_put(Dst, 19182, (((uintptr_t)(sub_function)) & 0xfff));
					}
				} else if ((uintptr_t)(sub_function) & 0xffff) {
			dasm_put(Dst, 19185, ((uintptr_t)(sub_function) & 0xffff));
					if (((uintptr_t)(sub_function) >> 16) & 0xffff) {
			dasm_put(Dst, 19188, (((uintptr_t)(sub_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(sub_function) >> 32) & 0xffff) {
			dasm_put(Dst, 19191, (((uintptr_t)(sub_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(sub_function) >> 16) & 0xffff) {
			dasm_put(Dst, 19194, (((uintptr_t)(sub_function) >> 16) & 0xffff));
					if (((uintptr_t)(sub_function) >> 32) & 0xffff) {
			dasm_put(Dst, 19197, (((uintptr_t)(sub_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 19200, (((uintptr_t)(sub_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 19203);
				}
#line 4560 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opcode == ZEND_MUL) {
			//|	EXT_CALL mul_function, REG0
				if (arm64_may_use_b(mul_function)) {
			dasm_put(Dst, 19205, (unsigned int)((ptrdiff_t)(mul_function)), (unsigned int)(((ptrdiff_t)(mul_function))>>32));
				} else {
				if (((uintptr_t)(mul_function)) == 0) {
			dasm_put(Dst, 19208);
				} else if (((uintptr_t)(mul_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 19210, ((uint64_t)(mul_function)));
				} else if (arm64_may_use_adr((void*)(mul_function))) {
			dasm_put(Dst, 19213, (unsigned int)((ptrdiff_t)(mul_function)), (unsigned int)(((ptrdiff_t)(mul_function))>>32));
				} else if (arm64_may_use_adrp((void*)(mul_function))) {
			dasm_put(Dst, 19216, (unsigned int)((ptrdiff_t)((((uintptr_t)(mul_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(mul_function)))))>>32));
					if (((uintptr_t)(mul_function)) & 0xfff) {
			dasm_put(Dst, 19219, (((uintptr_t)(mul_function)) & 0xfff));
					}
				} else if ((uintptr_t)(mul_function) & 0xffff) {
			dasm_put(Dst, 19222, ((uintptr_t)(mul_function) & 0xffff));
					if (((uintptr_t)(mul_function) >> 16) & 0xffff) {
			dasm_put(Dst, 19225, (((uintptr_t)(mul_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(mul_function) >> 32) & 0xffff) {
			dasm_put(Dst, 19228, (((uintptr_t)(mul_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(mul_function) >> 16) & 0xffff) {
			dasm_put(Dst, 19231, (((uintptr_t)(mul_function) >> 16) & 0xffff));
					if (((uintptr_t)(mul_function) >> 32) & 0xffff) {
			dasm_put(Dst, 19234, (((uintptr_t)(mul_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 19237, (((uintptr_t)(mul_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 19240);
				}
#line 4562 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opcode == ZEND_DIV) {
			//|	EXT_CALL div_function, REG0
				if (arm64_may_use_b(div_function)) {
			dasm_put(Dst, 19242, (unsigned int)((ptrdiff_t)(div_function)), (unsigned int)(((ptrdiff_t)(div_function))>>32));
				} else {
				if (((uintptr_t)(div_function)) == 0) {
			dasm_put(Dst, 19245);
				} else if (((uintptr_t)(div_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 19247, ((uint64_t)(div_function)));
				} else if (arm64_may_use_adr((void*)(div_function))) {
			dasm_put(Dst, 19250, (unsigned int)((ptrdiff_t)(div_function)), (unsigned int)(((ptrdiff_t)(div_function))>>32));
				} else if (arm64_may_use_adrp((void*)(div_function))) {
			dasm_put(Dst, 19253, (unsigned int)((ptrdiff_t)((((uintptr_t)(div_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(div_function)))))>>32));
					if (((uintptr_t)(div_function)) & 0xfff) {
			dasm_put(Dst, 19256, (((uintptr_t)(div_function)) & 0xfff));
					}
				} else if ((uintptr_t)(div_function) & 0xffff) {
			dasm_put(Dst, 19259, ((uintptr_t)(div_function) & 0xffff));
					if (((uintptr_t)(div_function) >> 16) & 0xffff) {
			dasm_put(Dst, 19262, (((uintptr_t)(div_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(div_function) >> 32) & 0xffff) {
			dasm_put(Dst, 19265, (((uintptr_t)(div_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(div_function) >> 16) & 0xffff) {
			dasm_put(Dst, 19268, (((uintptr_t)(div_function) >> 16) & 0xffff));
					if (((uintptr_t)(div_function) >> 32) & 0xffff) {
			dasm_put(Dst, 19271, (((uintptr_t)(div_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 19274, (((uintptr_t)(div_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 19277);
				}
#line 4564 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			ZEND_UNREACHABLE();
		}
		//|	FREE_OP op1_type, op1, op1_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
			if (op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op1.var);
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 19279, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 19283, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 19287, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19291, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 19295, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 19300, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 19305, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 19308, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 19312, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 19316, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 19320, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19324, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 19328, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 19332);
		dasm_put(Dst, 19335);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 19337, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 19341, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 19345, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19349, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 19353, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 19358, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 19363, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 19366, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 19370, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 19374, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 19378, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19382, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 19386, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 19390);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 19393, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 19397, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 19401, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19405, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 19409, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 19413, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 19417, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 19425);
						} else {
		dasm_put(Dst, 19428);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 19431, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 19434, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 19437, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 19441, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 19445, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 19449, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 19454, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 19458, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 19462, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 19466, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 19470, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19474, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 19478, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (NULL && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 19481, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 19484, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 19487, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 19491, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 19495, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 19499, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 19504, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 19508, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 19512, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 19516, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 19520, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19524, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 19528, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 19532, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 19535, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 19538, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 19542, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 19546, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 19550, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 19555, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 19559, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 19563, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 19567, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 19571, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19575, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 19579, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 19582, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 19585, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 19588, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 19592, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 19596, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 19600, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 19605, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 19609, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 19613, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 19617, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 19621, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19625, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 19629, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 19632, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 19635);
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 19637, ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 19640, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 19643, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 19646, (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 19649, ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 19652, (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 19655, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 19658, (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 19661, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19664, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 19667, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 19670, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 19673, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 19676, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 19680, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 19684, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 19688, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 19693, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 19697, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 19701, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 19705, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 19709, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19713, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 19717, (ZREG_X15));
			}
						break;
					}
				}
				if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 19720, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 19723, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 19726, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 19730, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 19734, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 19738, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 19743, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 19747, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 19751, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 19755, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 19759, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19763, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 19767, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 19771, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 19774, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 19777, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 19781, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 19785, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 19789, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 19794, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 19798, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 19802, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 19806, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 19810, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19814, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 19818, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 19821);
					}
		dasm_put(Dst, 19824);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 19826, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 19830, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 19834, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19838, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 19842, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 19847, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 19852, (ZREG_X15));
			} else {
		dasm_put(Dst, 19856, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 19862, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 19866, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 19870, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19874, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 19878, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 19883, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 19888, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 19891, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 19895, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 19899, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 19903, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19907, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 19911, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 19915);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 19918, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 19922, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 19926, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19930, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 19934, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 19938, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 19942);
					}
		dasm_put(Dst, 19944, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 19947, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 19950, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 19954, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 19958, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 19962, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 19966, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 19970, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 19974);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 19977, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 19980, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 19983, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 19987, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 19991, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 19995, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 20000, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 20004, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 20008, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 20012, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 20016, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20020, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20024, (ZREG_X15));
			}
				}
				if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 20027);
				}
		dasm_put(Dst, 20030);
			}
			}
#line 4568 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	FREE_OP op2_type, op2, op2_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
			if (op2_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op2.var);
			if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 20032, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 20036, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 20040, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20044, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20048, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 20053, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 20058, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 20061, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 20065, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 20069, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 20073, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20077, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20081, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 20085);
		dasm_put(Dst, 20088);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 20090, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 20094, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 20098, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20102, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20106, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 20111, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 20116, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 20119, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 20123, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 20127, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 20131, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20135, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20139, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 20143);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 20146, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 20150, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 20154, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20158, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20162, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 20166, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 20170, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 20178);
						} else {
		dasm_put(Dst, 20181);
						}
					}
			do {
				if (!((op2_info) & MAY_BE_GUARD)
				 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 20184, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 20187, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 20190, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 20194, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 20198, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 20202, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 20207, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 20211, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 20215, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 20219, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 20223, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20227, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20231, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (NULL && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 20234, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 20237, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 20240, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 20244, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 20248, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 20252, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 20257, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 20261, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 20265, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 20269, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 20273, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20277, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20281, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 20285, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 20288, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 20291, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 20295, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 20299, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 20303, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 20308, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 20312, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 20316, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 20320, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 20324, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20328, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20332, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 20335, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 20338, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 20341, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 20345, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 20349, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 20353, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 20358, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 20362, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 20366, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 20370, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 20374, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20378, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20382, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 20385, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 20388);
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 20390, ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 20393, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 20396, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 20399, (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 20402, ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 20405, (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 20408, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 20411, (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 20414, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20417, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20420, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 20423, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 20426, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 20429, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 20433, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 20437, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 20441, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 20446, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 20450, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 20454, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 20458, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 20462, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20466, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20470, (ZREG_X15));
			}
						break;
					}
				}
				if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 20473, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 20476, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 20479, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 20483, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 20487, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 20491, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 20496, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 20500, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 20504, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 20508, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 20512, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20516, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20520, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 20524, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 20527, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 20530, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 20534, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 20538, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 20542, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 20547, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 20551, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 20555, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 20559, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 20563, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20567, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20571, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 20574);
					}
		dasm_put(Dst, 20577);
				}
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 20579, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 20583, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 20587, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20591, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20595, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 20600, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 20605, (ZREG_X15));
			} else {
		dasm_put(Dst, 20609, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 20615, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 20619, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 20623, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20627, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20631, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 20636, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 20641, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 20644, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 20648, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 20652, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 20656, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20660, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20664, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 20668);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 20671, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 20675, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 20679, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20683, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20687, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 20691, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 20695);
					}
		dasm_put(Dst, 20697, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 20700, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 20703, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 20707, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 20711, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 20715, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20719, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20723, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 20727);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 20730, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 20733, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 20736, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 20740, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 20744, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 20748, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 20753, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 20757, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 20761, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 20765, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 20769, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20773, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 20777, (ZREG_X15));
			}
				}
				if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 20780);
				}
		dasm_put(Dst, 20783);
			}
			}
#line 4569 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			if (opline->opcode == ZEND_ASSIGN_DIM_OP && (opline->op2_type & (IS_VAR|IS_TMP_VAR))) {
				//|	MEM_LOAD_64_ZTS ldr, TMP2, executor_globals, exception, TMP1
					if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 20785, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
					} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 20789, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
					} else {
					if (((uintptr_t)(&executor_globals.exception)) == 0) {
				dasm_put(Dst, 20794);
					} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
				dasm_put(Dst, 20796, ((uint64_t)(&executor_globals.exception)));
					} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 20799, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
					} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 20802, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
						if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
				dasm_put(Dst, 20805, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
						}
					} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
				dasm_put(Dst, 20808, ((uintptr_t)(&executor_globals.exception) & 0xffff));
						if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
				dasm_put(Dst, 20811, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
						}
						if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
				dasm_put(Dst, 20814, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
				dasm_put(Dst, 20817, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
						if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
				dasm_put(Dst, 20820, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 20823, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
					}
				dasm_put(Dst, 20826);
					}
#line 4572 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	cbnz TMP2, ->exception_handler_free_op2
				dasm_put(Dst, 20828);
#line 4573 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (Z_MODE(res_addr) == IS_MEM_ZVAL && Z_REG(res_addr) == ZREG_RX) {
				zend_jit_check_exception_undef_result(Dst, opline);
			} else {
				zend_jit_check_exception(Dst);
			}
		}
		if (Z_MODE(res_addr) == IS_REG) {
			zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, res_var);
			if (!zend_jit_load_reg(Dst, real_addr, res_addr, res_info)) {
				return 0;
			}
		}
		if ((op1_info & (MAY_BE_LONG|MAY_BE_DOUBLE)) &&
		    (op2_info & (MAY_BE_LONG|MAY_BE_DOUBLE)) &&
		    (res_info & (MAY_BE_LONG|MAY_BE_DOUBLE))) {
			//|	b <5
			//|.code
			dasm_put(Dst, 20831);
#line 4590 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	return 1;
}

static int zend_jit_math(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr, uint32_t op2_info, zend_jit_addr op2_addr, uint32_t res_use_info, uint32_t res_info, zend_jit_addr res_addr, int may_overflow, int may_throw)
{
	ZEND_ASSERT(!(op1_info & MAY_BE_UNDEF) && !(op2_info & MAY_BE_UNDEF));
	ZEND_ASSERT((op1_info & (MAY_BE_LONG|MAY_BE_DOUBLE)) &&
	    (op2_info & (MAY_BE_LONG|MAY_BE_DOUBLE)));

	if (!zend_jit_math_helper(Dst, opline, opline->opcode, opline->op1_type, opline->op1, op1_addr, op1_info, opline->op2_type, opline->op2, op2_addr, op2_info, opline->result.var, res_addr, res_info, res_use_info, may_overflow, may_throw)) {
		return 0;
	}
	if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, res_info)) {
		return 0;
	}
	return 1;
}

static int zend_jit_add_arrays(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr, uint32_t op2_info, zend_jit_addr op2_addr, zend_jit_addr res_addr)
{
	if (Z_MODE(op2_addr) != IS_MEM_ZVAL || Z_REG(op2_addr) != ZREG_FCARG1) {
		//|	GET_ZVAL_LVAL ZREG_FCARG1, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 20834, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 20837, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 20840, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 20844, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 20848, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 20852, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 20856, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 20860, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 20864, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 20868, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 20872, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 20876, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 20880, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20884, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 20888, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 20891, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 20894, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20897, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20900, (ZREG_FCARG1), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 20904, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 20909, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4615 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 20913, (ZREG_FCARG2));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 20916, (ZREG_FCARG2));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 20919, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 20923, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 20927, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 20931, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 20935, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 20939, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 20943, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 20947, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 20951, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 20955, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 20959, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20963, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 20967, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 20970, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 20973, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 20976, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 20979, (ZREG_FCARG2), (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 20983, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
			} else if (Z_MODE(op2_addr) == IS_REG) {
				if (ZREG_FCARG2 != Z_REG(op2_addr)) {
		dasm_put(Dst, 20988, (ZREG_FCARG2), (Z_REG(op2_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4616 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != ZREG_FCARG1) {
		//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 20992, (ZREG_FCARG2));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 20995, (ZREG_FCARG2));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 20998, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 21002, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 21006, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21010, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21014, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21018, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21022, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21026, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21030, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21034, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21038, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21042, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 21046, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 21049, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 21052, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21055, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 21058, (ZREG_FCARG2), (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 21062, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
			} else if (Z_MODE(op2_addr) == IS_REG) {
				if (ZREG_FCARG2 != Z_REG(op2_addr)) {
		dasm_put(Dst, 21067, (ZREG_FCARG2), (Z_REG(op2_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4618 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_ZVAL_LVAL ZREG_FCARG1, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 21071, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 21074, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 21077, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 21081, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 21085, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21089, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21093, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21097, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21101, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21105, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21109, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21113, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21117, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21121, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 21125, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 21128, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 21131, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21134, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 21137, (ZREG_FCARG1), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 21141, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 21146, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4619 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	GET_ZVAL_LVAL ZREG_REG0, op2_addr, TMP1
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 21150, (ZREG_X8));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 21153, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 21156, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 21160, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 21164, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21168, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21172, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21176, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21180, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21184, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21188, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21192, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21196, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21200, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 21204, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 21207, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 21210, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21213, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 21216, (ZREG_X8), (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 21220, (ZREG_X8), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
			} else if (Z_MODE(op2_addr) == IS_REG) {
				if (ZREG_X8 != Z_REG(op2_addr)) {
		dasm_put(Dst, 21225, (ZREG_X8), (Z_REG(op2_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4621 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_ZVAL_LVAL ZREG_FCARG1, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 21229, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 21232, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 21235, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 21239, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 21243, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21247, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21251, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21255, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 21259, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21263, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21267, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 21271, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 21275, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21279, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 21283, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 21286, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 21289, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 21292, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 21295, (ZREG_FCARG1), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 21299, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 21304, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4622 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov FCARG2x, REG0
		dasm_put(Dst, 21308);
#line 4623 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	EXT_CALL zend_jit_add_arrays_helper, REG0
		if (arm64_may_use_b(zend_jit_add_arrays_helper)) {
	dasm_put(Dst, 21310, (unsigned int)((ptrdiff_t)(zend_jit_add_arrays_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_add_arrays_helper))>>32));
		} else {
		if (((uintptr_t)(zend_jit_add_arrays_helper)) == 0) {
	dasm_put(Dst, 21313);
		} else if (((uintptr_t)(zend_jit_add_arrays_helper)) <= MOVZ_IMM) {
	dasm_put(Dst, 21315, ((uint64_t)(zend_jit_add_arrays_helper)));
		} else if (arm64_may_use_adr((void*)(zend_jit_add_arrays_helper))) {
	dasm_put(Dst, 21318, (unsigned int)((ptrdiff_t)(zend_jit_add_arrays_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_add_arrays_helper))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_add_arrays_helper))) {
	dasm_put(Dst, 21321, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_add_arrays_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_add_arrays_helper)))))>>32));
			if (((uintptr_t)(zend_jit_add_arrays_helper)) & 0xfff) {
	dasm_put(Dst, 21324, (((uintptr_t)(zend_jit_add_arrays_helper)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_add_arrays_helper) & 0xffff) {
	dasm_put(Dst, 21327, ((uintptr_t)(zend_jit_add_arrays_helper) & 0xffff));
			if (((uintptr_t)(zend_jit_add_arrays_helper) >> 16) & 0xffff) {
	dasm_put(Dst, 21330, (((uintptr_t)(zend_jit_add_arrays_helper) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_add_arrays_helper) >> 32) & 0xffff) {
	dasm_put(Dst, 21333, (((uintptr_t)(zend_jit_add_arrays_helper) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_add_arrays_helper) >> 16) & 0xffff) {
	dasm_put(Dst, 21336, (((uintptr_t)(zend_jit_add_arrays_helper) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_add_arrays_helper) >> 32) & 0xffff) {
	dasm_put(Dst, 21339, (((uintptr_t)(zend_jit_add_arrays_helper) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21342, (((uintptr_t)(zend_jit_add_arrays_helper) >> 32) & 0xffff));
		}
	dasm_put(Dst, 21345);
		}
#line 4625 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	SET_ZVAL_PTR res_addr, RETVALx, TMP1
		ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 21347, ((uint32_t)(Z_OFFSET(res_addr))));
		} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
	dasm_put(Dst, 21350, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 21353, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21356, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 21359, (Z_REG(res_addr)));
		} else {
	dasm_put(Dst, 21362, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
		}
#line 4626 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	SET_ZVAL_TYPE_INFO res_addr, IS_ARRAY_EX, TMP1w, TMP2
		ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
		if (((uint32_t)(IS_ARRAY_EX)) <= MOVZ_IMM) {
	dasm_put(Dst, 21366, ((uint32_t)(IS_ARRAY_EX)));
		} else if (((uint32_t)(IS_ARRAY_EX) & 0xffff)) {
	dasm_put(Dst, 21369, ((uint32_t)(IS_ARRAY_EX) & 0xffff));
			if ((((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff)) {
	dasm_put(Dst, 21372, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21375, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
		}
		if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
		if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
	dasm_put(Dst, 21378, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
		} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
	dasm_put(Dst, 21381, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
	dasm_put(Dst, 21384, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21387, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 21390, (Z_REG(res_addr)));
		} else {
	dasm_put(Dst, 21393, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
		}
#line 4627 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	FREE_OP opline->op1_type, opline->op1, op1_info, 0, opline, ZREG_TMP1, ZREG_TMP2
		if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
			zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
		if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (0) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 21397, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 21401, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 21405, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21409, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 21413, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 21418, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 21423, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 21426, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 21430, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 21434, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 21438, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21442, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 21446, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 21450);
	dasm_put(Dst, 21453);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 21455, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 21459, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 21463, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21467, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 21471, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 21476, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 21481, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 21484, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 21488, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 21492, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 21496, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21500, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 21504, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 21508);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 21511, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 21515, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 21519, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21523, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 21527, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 21531, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 21535, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 21543);
					} else {
	dasm_put(Dst, 21546);
					}
				}
		do {
			if (!((op1_info) & MAY_BE_GUARD)
			 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 21549, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 21552, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 21555, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 21559, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 21563, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 21567, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 21572, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 21576, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 21580, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 21584, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 21588, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21592, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 21596, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 21599, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 21602, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 21605, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 21609, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 21613, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 21617, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 21622, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 21626, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 21630, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 21634, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 21638, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21642, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 21646, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 21650, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 21653, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 21656, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 21660, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 21664, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 21668, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 21673, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 21677, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 21681, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 21685, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 21689, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21693, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 21697, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 21700, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 21703, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 21706, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 21710, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 21714, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 21718, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 21723, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 21727, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 21731, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 21735, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 21739, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21743, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 21747, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 21750, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 21753);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 21755, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 21758, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 21761, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 21764, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 21767, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 21770, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 21773, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 21776, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 21779, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21782, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 21785, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 21788, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 21791, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 21794, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 21798, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 21802, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 21806, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 21811, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 21815, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 21819, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 21823, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 21827, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21831, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 21835, (ZREG_X15));
		}
					break;
				}
			}
			if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 21838, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 21841, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 21844, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 21848, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 21852, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 21856, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 21861, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 21865, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 21869, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 21873, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 21877, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21881, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 21885, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 21889, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 21892, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 21895, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 21899, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 21903, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 21907, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 21912, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 21916, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 21920, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 21924, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 21928, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21932, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 21936, (ZREG_X15));
		}
		} while(0);
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 21939);
				}
	dasm_put(Dst, 21942);
			}
			if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 21944, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 21948, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 21952, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21956, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 21960, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 21965, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 21970, (ZREG_X15));
		} else {
	dasm_put(Dst, 21974, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 21980, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 21984, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 21988, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 21992, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 21996, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 22001, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 22006, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 22009, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 22013, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 22017, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 22021, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22025, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22029, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 22033);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 22036, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 22040, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 22044, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22048, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22052, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 22056, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 22060);
				}
	dasm_put(Dst, 22062, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 22065, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 22068, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 22072, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 22076, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 22080, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22084, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22088, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 22092);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 22095, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 22098, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 22101, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 22105, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 22109, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 22113, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 22118, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 22122, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 22126, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 22130, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 22134, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22138, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22142, (ZREG_X15));
		}
			}
			if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 22145);
			}
	dasm_put(Dst, 22148);
		}
		}
#line 4628 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, opline, ZREG_TMP1, ZREG_TMP2
		if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
			zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
		if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (0) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 22150, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 22154, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 22158, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22162, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22166, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 22171, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 22176, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 22179, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 22183, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 22187, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 22191, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22195, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22199, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 22203);
	dasm_put(Dst, 22206);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 22208, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 22212, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 22216, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22220, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22224, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 22229, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 22234, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 22237, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 22241, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 22245, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 22249, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22253, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22257, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 22261);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 22264, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 22268, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 22272, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22276, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22280, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 22284, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 22288, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 22296);
					} else {
	dasm_put(Dst, 22299);
					}
				}
		do {
			if (!((op2_info) & MAY_BE_GUARD)
			 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 22302, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 22305, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 22308, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 22312, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 22316, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 22320, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 22325, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 22329, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 22333, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 22337, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 22341, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22345, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22349, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 22352, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 22355, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 22358, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 22362, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 22366, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 22370, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 22375, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 22379, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 22383, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 22387, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 22391, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22395, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22399, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 22403, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 22406, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 22409, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 22413, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 22417, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 22421, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 22426, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 22430, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 22434, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 22438, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 22442, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22446, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22450, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 22453, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 22456, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 22459, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 22463, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 22467, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 22471, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 22476, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 22480, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 22484, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 22488, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 22492, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22496, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22500, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 22503, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 22506);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 22508, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 22511, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 22514, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 22517, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 22520, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 22523, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 22526, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 22529, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 22532, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22535, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22538, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 22541, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 22544, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 22547, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 22551, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 22555, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 22559, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 22564, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 22568, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 22572, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 22576, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 22580, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22584, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22588, (ZREG_X15));
		}
					break;
				}
			}
			if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 22591, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 22594, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 22597, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 22601, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 22605, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 22609, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 22614, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 22618, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 22622, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 22626, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 22630, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22634, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22638, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 22642, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 22645, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 22648, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 22652, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 22656, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 22660, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 22665, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 22669, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 22673, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 22677, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 22681, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22685, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22689, (ZREG_X15));
		}
		} while(0);
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 22692);
				}
	dasm_put(Dst, 22695);
			}
			if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 22697, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 22701, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 22705, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22709, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22713, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 22718, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 22723, (ZREG_X15));
		} else {
	dasm_put(Dst, 22727, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 22733, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 22737, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 22741, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22745, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22749, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 22754, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 22759, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 22762, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 22766, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 22770, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 22774, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22778, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22782, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 22786);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 22789, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 22793, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 22797, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22801, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22805, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 22809, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 22813);
				}
	dasm_put(Dst, 22815, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 22818, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 22821, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 22825, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 22829, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 22833, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22837, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 22841, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 22845);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 22848, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 22851, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 22854, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 22858, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 22862, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 22866, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 22871, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 22875, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 22879, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 22883, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 22887, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 22891, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 22895, (ZREG_X15));
		}
			}
			if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 22898);
			}
	dasm_put(Dst, 22901);
		}
		}
#line 4629 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_long_math_helper(dasm_State    **Dst,
                                     const zend_op  *opline,
                                     zend_uchar      opcode,
                                     zend_uchar      op1_type,
                                     znode_op        op1,
                                     zend_jit_addr   op1_addr,
                                     uint32_t        op1_info,
                                     zend_ssa_range *op1_range,
                                     zend_uchar      op2_type,
                                     znode_op        op2,
                                     zend_jit_addr   op2_addr,
                                     uint32_t        op2_info,
                                     zend_ssa_range *op2_range,
                                     uint32_t        res_var,
                                     zend_jit_addr   res_addr,
                                     uint32_t        res_info,
                                     uint32_t        res_use_info,
                                     int             may_throw)
/* Labels: 6 */
{
	bool same_ops = zend_jit_same_addr(op1_addr, op2_addr);
	zend_reg result_reg;

	if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG)) {
		//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >6, ZREG_TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 22903, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 22907, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 22911, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 22915, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 22919, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 22924, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_LONG == 0) {
		dasm_put(Dst, 22929, (ZREG_X15));
			} else {
		dasm_put(Dst, 22933, (ZREG_X15), IS_LONG);
			}
#line 4657 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (!same_ops && (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG))) {
		//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >6, ZREG_TMP1
			ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 22939, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 22943, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 22947, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 22951, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 22955, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 22960, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_LONG == 0) {
		dasm_put(Dst, 22965, (ZREG_X15));
			} else {
		dasm_put(Dst, 22969, (ZREG_X15), IS_LONG);
			}
#line 4660 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (Z_MODE(res_addr) == IS_REG) {
		if ((opline->opcode == ZEND_SL || opline->opcode == ZEND_SR)
		 && opline->op2_type != IS_CONST) {
			result_reg = ZREG_REG0;
		} else {
			result_reg = Z_REG(res_addr);
		}
	} else if (Z_MODE(op1_addr) == IS_REG && Z_LAST_USE(op1_addr)) {
		result_reg = Z_REG(op1_addr);
	} else if (Z_REG(res_addr) != ZREG_REG0) {
		result_reg = ZREG_REG0;
	} else {
		/* ASSIGN_DIM_OP */
		result_reg = ZREG_FCARG1;
	}

	if (opcode == ZEND_SL) {
		if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			zend_long op2_lval = Z_LVAL_P(Z_ZV(op2_addr));

			if (UNEXPECTED((zend_ulong)op2_lval >= SIZEOF_ZEND_LONG * 8)) {
				if (EXPECTED(op2_lval > 0)) {
					//|	mov Rx(result_reg), xzr
					dasm_put(Dst, 22975, (result_reg));
#line 4685 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					zend_jit_invalidate_var_if_necessary(Dst, op1_type, op1_addr, op1);
					zend_jit_invalidate_var_if_necessary(Dst, op2_type, op2_addr, op2);
					//|	SET_EX_OPLINE opline, REG0
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 22978, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 22981);
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 22983, ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 22986, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 22989, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 22992, (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 22995, ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 22998, (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 23001, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 23004, (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 23007, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 23010, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 23013, Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
#line 4689 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	b ->negative_shift
					dasm_put(Dst, 23016);
#line 4690 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (Z_MODE(op1_addr) == IS_REG && op2_lval == 1) {
				//|	add Rx(result_reg), Rx(Z_REG(op1_addr)), Rx(Z_REG(op1_addr))
				dasm_put(Dst, 23019, (result_reg), (Z_REG(op1_addr)), (Z_REG(op1_addr)));
#line 4693 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 23024, (result_reg));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 23027, (result_reg));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23030, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23034, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 23038, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23042, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23046, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23050, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23054, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23058, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23062, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23066, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23070, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23074, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 23078, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 23081, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 23084, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23087, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 23090, (result_reg), (Z_REG(op1_addr)));
					} else {
				dasm_put(Dst, 23094, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (result_reg != Z_REG(op1_addr)) {
				dasm_put(Dst, 23099, (result_reg), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4695 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	lsl Rx(result_reg), Rx(result_reg), #op2_lval
				dasm_put(Dst, 23103, (result_reg), (result_reg), (result_reg), (64-(op2_lval))%64, 63-(op2_lval));
#line 4696 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			zend_reg op2_reg;

			if (Z_MODE(op2_addr) == IS_REG) {
				op2_reg = Z_REG(op2_addr);
			} else {
				op2_reg = ZREG_TMP2;
				//|	GET_ZVAL_LVAL ZREG_TMP2, op2_addr, TMP2
					if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
				dasm_put(Dst, 23110, (ZREG_X16));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
				dasm_put(Dst, 23113, (ZREG_X16));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23116, (ZREG_X16), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23120, (ZREG_X16), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
				dasm_put(Dst, 23124, (ZREG_X16), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23128, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23132, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23136, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23140, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23144, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23148, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23152, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23156, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23160, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 23164, ((uint32_t)(Z_OFFSET(op2_addr))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
				dasm_put(Dst, 23167, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 23170, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23173, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 23176, (ZREG_X16), (Z_REG(op2_addr)));
					} else {
				dasm_put(Dst, 23180, (ZREG_X16), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
					}
					} else if (Z_MODE(op2_addr) == IS_REG) {
						if (ZREG_X16 != Z_REG(op2_addr)) {
				dasm_put(Dst, 23185, (ZREG_X16), (Z_REG(op2_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4705 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (!op2_range ||
			     op2_range->min < 0 ||
			     op2_range->max >= SIZEOF_ZEND_LONG * 8) {

				//|	cmp Rx(op2_reg), #(SIZEOF_ZEND_LONG*8)
				//|	bhs >1
				//|.cold_code
				dasm_put(Dst, 23189, (op2_reg), (SIZEOF_ZEND_LONG*8));
#line 4713 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	mov Rx(result_reg), xzr
				//|	cmp Rx(op2_reg), xzr
				//|	bgt >1
				dasm_put(Dst, 23195, (result_reg), (op2_reg));
#line 4717 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				zend_jit_invalidate_var_if_necessary(Dst, op1_type, op1_addr, op1);
				zend_jit_invalidate_var_if_necessary(Dst, op2_type, op2_addr, op2);
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 23203, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 23206);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 23208, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 23211, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 23214, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 23217, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 23220, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 23223, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 23226, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 23229, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 23232, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23235, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 23238, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 4720 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b ->negative_shift
				//|.code
				dasm_put(Dst, 23241);
#line 4722 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 23244, (result_reg));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 23247, (result_reg));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 23250, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 23254, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 23258, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 23262, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 23266, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 23270, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 23274, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 23278, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 23282, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 23286, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 23290, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 23294, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 23298, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 23301, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 23304, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 23307, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 23310, (result_reg), (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 23314, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (result_reg != Z_REG(op1_addr)) {
			dasm_put(Dst, 23319, (result_reg), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 4724 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	lsl Rx(result_reg), Rx(result_reg), Rx(op2_reg)
			//|1:
			dasm_put(Dst, 23323, (result_reg), (result_reg), (op2_reg));
#line 4726 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (opcode == ZEND_SR) {
		//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 23329, (result_reg));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 23332, (result_reg));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 23335, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 23339, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 23343, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 23347, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 23351, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 23355, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 23359, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 23363, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 23367, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 23371, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 23375, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 23379, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 23383, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 23386, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 23389, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 23392, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 23395, (result_reg), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 23399, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (result_reg != Z_REG(op1_addr)) {
		dasm_put(Dst, 23404, (result_reg), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4729 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			zend_long op2_lval = Z_LVAL_P(Z_ZV(op2_addr));

			if (UNEXPECTED((zend_ulong)op2_lval >= SIZEOF_ZEND_LONG * 8)) {
				if (EXPECTED(op2_lval > 0)) {
					//|	asr Rx(result_reg), Rx(result_reg), #((SIZEOF_ZEND_LONG * 8) - 1)
					dasm_put(Dst, 23408, (result_reg), (result_reg), ((SIZEOF_ZEND_LONG * 8) - 1));
#line 4735 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					zend_jit_invalidate_var_if_necessary(Dst, op1_type, op1_addr, op1);
					zend_jit_invalidate_var_if_necessary(Dst, op2_type, op2_addr, op2);
					//|	SET_EX_OPLINE opline, REG0
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 23413, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 23416);
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 23418, ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 23421, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 23424, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 23427, (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 23430, ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 23433, (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 23436, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 23439, (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 23442, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 23445, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 23448, Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
#line 4739 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	b ->negative_shift
					dasm_put(Dst, 23451);
#line 4740 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				//|	asr Rx(result_reg), Rx(result_reg), #op2_lval
				dasm_put(Dst, 23454, (result_reg), (result_reg), op2_lval);
#line 4743 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			zend_reg op2_reg;

			if (Z_MODE(op2_addr) == IS_REG) {
				op2_reg = Z_REG(op2_addr);
			} else {
				op2_reg = ZREG_TMP2;
				//|	GET_ZVAL_LVAL ZREG_TMP2, op2_addr, TMP2
					if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
				dasm_put(Dst, 23459, (ZREG_X16));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
				dasm_put(Dst, 23462, (ZREG_X16));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23465, (ZREG_X16), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23469, (ZREG_X16), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
				dasm_put(Dst, 23473, (ZREG_X16), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23477, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23481, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23485, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23489, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23493, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23497, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23501, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23505, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23509, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 23513, ((uint32_t)(Z_OFFSET(op2_addr))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
				dasm_put(Dst, 23516, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 23519, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23522, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 23525, (ZREG_X16), (Z_REG(op2_addr)));
					} else {
				dasm_put(Dst, 23529, (ZREG_X16), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
					}
					} else if (Z_MODE(op2_addr) == IS_REG) {
						if (ZREG_X16 != Z_REG(op2_addr)) {
				dasm_put(Dst, 23534, (ZREG_X16), (Z_REG(op2_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4752 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (!op2_range ||
			     op2_range->min < 0 ||
			     op2_range->max >= SIZEOF_ZEND_LONG * 8) {
				//|	cmp Rx(op2_reg), #(SIZEOF_ZEND_LONG*8)
				//|	bhs >1
				//|.cold_code
				dasm_put(Dst, 23538, (op2_reg), (SIZEOF_ZEND_LONG*8));
#line 4759 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	cmp Rx(op2_reg), xzr
				//|	mov Rx(op2_reg), #((SIZEOF_ZEND_LONG * 8) - 1)
				//|	bgt >1
				dasm_put(Dst, 23544, (op2_reg), (op2_reg), ((SIZEOF_ZEND_LONG * 8) - 1));
#line 4763 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				zend_jit_invalidate_var_if_necessary(Dst, op1_type, op1_addr, op1);
				zend_jit_invalidate_var_if_necessary(Dst, op2_type, op2_addr, op2);
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 23553, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 23556);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 23558, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 23561, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 23564, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 23567, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 23570, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 23573, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 23576, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 23579, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 23582, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23585, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 23588, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 4766 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b ->negative_shift
				//|.code
				dasm_put(Dst, 23591);
#line 4768 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|1:
			//|	asr Rx(result_reg), Rx(result_reg), Rx(op2_reg)
			dasm_put(Dst, 23594, (result_reg), (result_reg), (op2_reg));
#line 4771 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (opcode == ZEND_MOD) {
		if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			zend_long op2_lval = Z_LVAL_P(Z_ZV(op2_addr));

			if (op2_lval == 0) {
					zend_jit_invalidate_var_if_necessary(Dst, op1_type, op1_addr, op1);
					zend_jit_invalidate_var_if_necessary(Dst, op2_type, op2_addr, op2);
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 23600, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 23603);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 23605, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 23608, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 23611, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 23614, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 23617, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 23620, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 23623, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 23626, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 23629, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23632, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 23635, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 4780 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b ->mod_by_zero
				dasm_put(Dst, 23638);
#line 4781 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (op2_lval == -1) {
				//|	mov Rx(result_reg), xzr
				dasm_put(Dst, 23641, (result_reg));
#line 4783 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (zend_long_is_power_of_two(op2_lval) && op1_range && op1_range->min >= 0) {
				zval tmp;
				zend_jit_addr tmp_addr;

				/* Optimisation for mod of power of 2 */
				ZVAL_LONG(&tmp, op2_lval - 1);
				tmp_addr = ZEND_ADDR_CONST_ZVAL(&tmp);
				//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 23644, (result_reg));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 23647, (result_reg));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23650, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23654, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 23658, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23662, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23666, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23670, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23674, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23678, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23682, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23686, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23690, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23694, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 23698, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 23701, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 23704, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23707, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 23710, (result_reg), (Z_REG(op1_addr)));
					} else {
				dasm_put(Dst, 23714, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (result_reg != Z_REG(op1_addr)) {
				dasm_put(Dst, 23719, (result_reg), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4791 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	LONG_MATH ZEND_BW_AND, result_reg, tmp_addr, TMP1
					switch (ZEND_BW_AND) {
						case ZEND_ADD:
					if (Z_MODE(tmp_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(tmp_addr)) == 0) {
				dasm_put(Dst, 23723, (result_reg), (result_reg));
					} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(tmp_addr))))) {
				dasm_put(Dst, 23727, (result_reg), (result_reg), Z_LVAL_P(Z_ZV(tmp_addr)));
					} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) == 0) {
				dasm_put(Dst, 23732);
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23734, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23737, (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff) {
				dasm_put(Dst, 23740, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23743, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23746, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23749, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23752, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23755, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23758, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23761, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23764, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23767, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
					}
				dasm_put(Dst, 23770, (result_reg), (result_reg));
					}
					} else if (Z_MODE(tmp_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(tmp_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(tmp_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 23774, ((uint32_t)(Z_OFFSET(tmp_addr))));
					} else if (((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff)) {
				dasm_put(Dst, 23777, ((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 23780, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23783, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 23786, (Z_REG(tmp_addr)));
					} else {
				dasm_put(Dst, 23789, (Z_REG(tmp_addr)), (Z_OFFSET(tmp_addr)));
					}
				dasm_put(Dst, 23793, (result_reg), (result_reg));
					} else if (Z_MODE(tmp_addr) == IS_REG) {
				dasm_put(Dst, 23797, (result_reg), (result_reg), (Z_REG(tmp_addr)));
					} else {
						ZEND_UNREACHABLE();
					}
							break;
						case ZEND_SUB:
					if (Z_MODE(tmp_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(tmp_addr)) == 0) {
				dasm_put(Dst, 23802, (result_reg), (result_reg));
					} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(tmp_addr))))) {
				dasm_put(Dst, 23806, (result_reg), (result_reg), Z_LVAL_P(Z_ZV(tmp_addr)));
					} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) == 0) {
				dasm_put(Dst, 23811);
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23813, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23816, (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff) {
				dasm_put(Dst, 23819, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23822, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23825, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23828, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23831, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23834, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23837, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23840, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23843, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23846, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
					}
				dasm_put(Dst, 23849, (result_reg), (result_reg));
					}
					} else if (Z_MODE(tmp_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(tmp_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(tmp_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 23853, ((uint32_t)(Z_OFFSET(tmp_addr))));
					} else if (((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff)) {
				dasm_put(Dst, 23856, ((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 23859, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23862, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 23865, (Z_REG(tmp_addr)));
					} else {
				dasm_put(Dst, 23868, (Z_REG(tmp_addr)), (Z_OFFSET(tmp_addr)));
					}
				dasm_put(Dst, 23872, (result_reg), (result_reg));
					} else if (Z_MODE(tmp_addr) == IS_REG) {
				dasm_put(Dst, 23876, (result_reg), (result_reg), (Z_REG(tmp_addr)));
					} else {
						ZEND_UNREACHABLE();
					}
							break;
						case ZEND_BW_OR:
					if (Z_MODE(tmp_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(tmp_addr)) == 0) {
				dasm_put(Dst, 23881, (result_reg), (result_reg));
					} else if (logical_immediate_p(Z_LVAL_P(Z_ZV(tmp_addr)), 64)) {
				dasm_put(Dst, 23885, (result_reg), (result_reg), (unsigned int)(Z_LVAL_P(Z_ZV(tmp_addr))), (unsigned int)((unsigned long long)(Z_LVAL_P(Z_ZV(tmp_addr)))>>32));
					} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) == 0) {
				dasm_put(Dst, 23890);
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23892, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23895, (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff) {
				dasm_put(Dst, 23898, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23901, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23904, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23907, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23910, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23913, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23916, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23919, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23922, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23925, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
					}
				dasm_put(Dst, 23928, (result_reg), (result_reg));
					}
					} else if (Z_MODE(tmp_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(tmp_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(tmp_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 23932, ((uint32_t)(Z_OFFSET(tmp_addr))));
					} else if (((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff)) {
				dasm_put(Dst, 23935, ((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 23938, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 23941, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 23944, (Z_REG(tmp_addr)));
					} else {
				dasm_put(Dst, 23947, (Z_REG(tmp_addr)), (Z_OFFSET(tmp_addr)));
					}
				dasm_put(Dst, 23951, (result_reg), (result_reg));
					} else if (Z_MODE(tmp_addr) == IS_REG) {
				dasm_put(Dst, 23955, (result_reg), (result_reg), (Z_REG(tmp_addr)));
					} else {
						ZEND_UNREACHABLE();
					}
							break;
						case ZEND_BW_AND:
					if (Z_MODE(tmp_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(tmp_addr)) == 0) {
				dasm_put(Dst, 23960, (result_reg), (result_reg));
					} else if (logical_immediate_p(Z_LVAL_P(Z_ZV(tmp_addr)), 64)) {
				dasm_put(Dst, 23964, (result_reg), (result_reg), (unsigned int)(Z_LVAL_P(Z_ZV(tmp_addr))), (unsigned int)((unsigned long long)(Z_LVAL_P(Z_ZV(tmp_addr)))>>32));
					} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) == 0) {
				dasm_put(Dst, 23969);
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23971, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 23974, (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff) {
				dasm_put(Dst, 23977, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23980, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23983, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23986, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 23989, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23992, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 23995, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 23998, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24001, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24004, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
					}
				dasm_put(Dst, 24007, (result_reg), (result_reg));
					}
					} else if (Z_MODE(tmp_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(tmp_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(tmp_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 24011, ((uint32_t)(Z_OFFSET(tmp_addr))));
					} else if (((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff)) {
				dasm_put(Dst, 24014, ((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 24017, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24020, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 24023, (Z_REG(tmp_addr)));
					} else {
				dasm_put(Dst, 24026, (Z_REG(tmp_addr)), (Z_OFFSET(tmp_addr)));
					}
				dasm_put(Dst, 24030, (result_reg), (result_reg));
					} else if (Z_MODE(tmp_addr) == IS_REG) {
				dasm_put(Dst, 24034, (result_reg), (result_reg), (Z_REG(tmp_addr)));
					} else {
						ZEND_UNREACHABLE();
					}
							break;
						case ZEND_BW_XOR:
					if (Z_MODE(tmp_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(tmp_addr)) == 0) {
				dasm_put(Dst, 24039, (result_reg), (result_reg));
					} else if (logical_immediate_p(Z_LVAL_P(Z_ZV(tmp_addr)), 64)) {
				dasm_put(Dst, 24043, (result_reg), (result_reg), (unsigned int)(Z_LVAL_P(Z_ZV(tmp_addr))), (unsigned int)((unsigned long long)(Z_LVAL_P(Z_ZV(tmp_addr)))>>32));
					} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) == 0) {
				dasm_put(Dst, 24048);
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 24050, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 24053, (~((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff) {
				dasm_put(Dst, 24056, ((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 24059, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24062, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24065, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 24068, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24071, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24074, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24077, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24080, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24083, (((uint64_t)(Z_LVAL_P(Z_ZV(tmp_addr))) >> 48) & 0xffff));
					}
				dasm_put(Dst, 24086, (result_reg), (result_reg));
					}
					} else if (Z_MODE(tmp_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(tmp_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(tmp_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 24090, ((uint32_t)(Z_OFFSET(tmp_addr))));
					} else if (((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff)) {
				dasm_put(Dst, 24093, ((uint32_t)(Z_OFFSET(tmp_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 24096, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24099, (((uint32_t)(Z_OFFSET(tmp_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 24102, (Z_REG(tmp_addr)));
					} else {
				dasm_put(Dst, 24105, (Z_REG(tmp_addr)), (Z_OFFSET(tmp_addr)));
					}
				dasm_put(Dst, 24109, (result_reg), (result_reg));
					} else if (Z_MODE(tmp_addr) == IS_REG) {
				dasm_put(Dst, 24113, (result_reg), (result_reg), (Z_REG(tmp_addr)));
					} else {
						ZEND_UNREACHABLE();
					}
							break;
						default:
							ZEND_UNREACHABLE();
					}
#line 4792 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	GET_ZVAL_LVAL ZREG_TMP1, op1_addr, TMP1
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 24118, (ZREG_X15));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 24121, (ZREG_X15));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 24124, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 24128, (ZREG_X15), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 24132, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 24136, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24140, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24144, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 24148, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24152, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24156, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24160, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24164, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24168, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 24172, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 24175, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 24178, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24181, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 24184, (ZREG_X15), (Z_REG(op1_addr)));
					} else {
				dasm_put(Dst, 24188, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (ZREG_X15 != Z_REG(op1_addr)) {
				dasm_put(Dst, 24193, (ZREG_X15), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4794 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GET_ZVAL_LVAL ZREG_TMP2, op2_addr, TMP2
					if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
				dasm_put(Dst, 24197, (ZREG_X16));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
				dasm_put(Dst, 24200, (ZREG_X16));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 24203, (ZREG_X16), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 24207, (ZREG_X16), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
				dasm_put(Dst, 24211, (ZREG_X16), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 24215, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24219, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24223, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 24227, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24231, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24235, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 24239, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 24243, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24247, (ZREG_X16), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 24251, ((uint32_t)(Z_OFFSET(op2_addr))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
				dasm_put(Dst, 24254, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 24257, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24260, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 24263, (ZREG_X16), (Z_REG(op2_addr)));
					} else {
				dasm_put(Dst, 24267, (ZREG_X16), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
					}
					} else if (Z_MODE(op2_addr) == IS_REG) {
						if (ZREG_X16 != Z_REG(op2_addr)) {
				dasm_put(Dst, 24272, (ZREG_X16), (Z_REG(op2_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4795 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	sdiv Rx(result_reg), TMP1, TMP2
				//|	msub Rx(result_reg), Rx(result_reg), TMP2, TMP1
				dasm_put(Dst, 24276, (result_reg), (result_reg), (result_reg));
#line 4797 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			zend_reg op2_reg;

			if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				//|	MEM_ACCESS_64_WITH_UOFFSET ldr, TMP2, Rx(Z_REG(op2_addr)), Z_OFFSET(op2_addr), TMP2
					if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 24282, ((uint32_t)(Z_OFFSET(op2_addr))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
				dasm_put(Dst, 24285, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 24288, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24291, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 24294, (Z_REG(op2_addr)));
					} else {
				dasm_put(Dst, 24297, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
					}
#line 4803 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				op2_reg = ZREG_TMP2;
			} else {
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_REG);
				op2_reg = Z_REG(op2_addr);
			}

			if ((op2_type & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE)) || !op2_range || (op2_range->min <= 0 && op2_range->max >= 0)) {
				//|	cbz Rx(op2_reg), >1
				//|.cold_code
				dasm_put(Dst, 24301, (op2_reg));
#line 4812 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				dasm_put(Dst, 24305);
#line 4813 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				zend_jit_invalidate_var_if_necessary(Dst, op1_type, op1_addr, op1);
				zend_jit_invalidate_var_if_necessary(Dst, op2_type, op2_addr, op2);
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 24307, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 24310);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 24312, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 24315, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 24318, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 24321, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 24324, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 24327, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 24330, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 24333, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 24336, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24339, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 24342, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 4816 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b ->mod_by_zero
				//|.code
				dasm_put(Dst, 24345);
#line 4818 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}

			/* Prevent overflow error/crash if op1 == LONG_MIN and op2 == -1 */
			if (!op2_range || (op2_range->min <= -1 && op2_range->max >= -1)) {
				//|	cmn Rx(op2_reg), #1
				//|	beq >1
				//|.cold_code
				dasm_put(Dst, 24348, (op2_reg));
#line 4825 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	SET_ZVAL_LVAL_FROM_REG res_addr, xzr, TMP1
				dasm_put(Dst, 24353);
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 24355, (Z_REG(res_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 24358, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 24361, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 24364, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 24367, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 24370, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 24373, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
#line 4827 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != Z_REG(res_addr) || Z_OFFSET(op1_addr) != Z_OFFSET(res_addr)) {
						if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF|MAY_BE_GUARD)) != MAY_BE_LONG) {
							//|	SET_ZVAL_TYPE_INFO res_addr, IS_LONG, TMP1w, TMP2
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
							dasm_put(Dst, 24377, ((uint32_t)(IS_LONG)));
								} else if (((uint32_t)(IS_LONG) & 0xffff)) {
							dasm_put(Dst, 24380, ((uint32_t)(IS_LONG) & 0xffff));
									if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
							dasm_put(Dst, 24383, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 24386, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 24389, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 24392, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 24395, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 24398, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 24401, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 24404, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 4831 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
				}
				//|	b >5
				//|.code
				dasm_put(Dst, 24408);
#line 4836 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}

			//|	GET_ZVAL_LVAL ZREG_TMP1, op1_addr, TMP1
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 24411, (ZREG_X15));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 24414, (ZREG_X15));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 24417, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 24421, (ZREG_X15), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 24425, (ZREG_X15), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 24429, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 24433, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 24437, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 24441, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 24445, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 24449, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 24453, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 24457, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 24461, (ZREG_X15), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 24465, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 24468, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 24471, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 24474, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 24477, (ZREG_X15), (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 24481, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (ZREG_X15 != Z_REG(op1_addr)) {
			dasm_put(Dst, 24486, (ZREG_X15), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 4839 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	sdiv Rx(result_reg), TMP1, Rx(op2_reg)
			//|	msub Rx(result_reg), Rx(result_reg), Rx(op2_reg), TMP1
			dasm_put(Dst, 24490, (result_reg), (op2_reg), (result_reg), (result_reg), (op2_reg));
#line 4841 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (same_ops) {
		//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 24498, (result_reg));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 24501, (result_reg));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 24504, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 24508, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 24512, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 24516, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24520, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24524, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 24528, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24532, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24536, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24540, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24544, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 24548, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 24552, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 24555, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 24558, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 24561, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 24564, (result_reg), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 24568, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (result_reg != Z_REG(op1_addr)) {
		dasm_put(Dst, 24573, (result_reg), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4844 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LONG_MATH_REG opcode, Rx(result_reg), Rx(result_reg), Rx(result_reg)
			switch (opcode) {
				case ZEND_ADD:
		dasm_put(Dst, 24577, (result_reg), (result_reg), (result_reg));
					break;
				case ZEND_SUB:
		dasm_put(Dst, 24582, (result_reg), (result_reg), (result_reg));
					break;
				case ZEND_BW_OR:
		dasm_put(Dst, 24587, (result_reg), (result_reg), (result_reg));
					break;
				case ZEND_BW_AND:
		dasm_put(Dst, 24592, (result_reg), (result_reg), (result_reg));
					break;
				case ZEND_BW_XOR:
		dasm_put(Dst, 24597, (result_reg), (result_reg), (result_reg));
					break;
				default:
					ZEND_UNREACHABLE();
			}
#line 4845 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	GET_ZVAL_LVAL result_reg, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 24602, (result_reg));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 24605, (result_reg));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 24608, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 24612, (result_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 24616, (result_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 24620, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24624, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24628, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 24632, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24636, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24640, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24644, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24648, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 24652, (result_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 24656, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 24659, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 24662, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 24665, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 24668, (result_reg), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 24672, (result_reg), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (result_reg != Z_REG(op1_addr)) {
		dasm_put(Dst, 24677, (result_reg), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4847 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LONG_MATH opcode, result_reg, op2_addr, TMP1
			switch (opcode) {
				case ZEND_ADD:
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 24681, (result_reg), (result_reg));
			} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op2_addr))))) {
		dasm_put(Dst, 24685, (result_reg), (result_reg), Z_LVAL_P(Z_ZV(op2_addr)));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 24690);
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 24692, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 24695, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 24698, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 24701, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24704, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24707, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 24710, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24713, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24716, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24719, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24722, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 24725, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 24728, (result_reg), (result_reg));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 24732, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 24735, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 24738, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 24741, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 24744, (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 24747, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
		dasm_put(Dst, 24751, (result_reg), (result_reg));
			} else if (Z_MODE(op2_addr) == IS_REG) {
		dasm_put(Dst, 24755, (result_reg), (result_reg), (Z_REG(op2_addr)));
			} else {
				ZEND_UNREACHABLE();
			}
					break;
				case ZEND_SUB:
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 24760, (result_reg), (result_reg));
			} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op2_addr))))) {
		dasm_put(Dst, 24764, (result_reg), (result_reg), Z_LVAL_P(Z_ZV(op2_addr)));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 24769);
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 24771, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 24774, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 24777, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 24780, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24783, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24786, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 24789, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24792, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24795, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24798, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24801, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 24804, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 24807, (result_reg), (result_reg));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 24811, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 24814, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 24817, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 24820, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 24823, (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 24826, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
		dasm_put(Dst, 24830, (result_reg), (result_reg));
			} else if (Z_MODE(op2_addr) == IS_REG) {
		dasm_put(Dst, 24834, (result_reg), (result_reg), (Z_REG(op2_addr)));
			} else {
				ZEND_UNREACHABLE();
			}
					break;
				case ZEND_BW_OR:
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 24839, (result_reg), (result_reg));
			} else if (logical_immediate_p(Z_LVAL_P(Z_ZV(op2_addr)), 64)) {
		dasm_put(Dst, 24843, (result_reg), (result_reg), (unsigned int)(Z_LVAL_P(Z_ZV(op2_addr))), (unsigned int)((unsigned long long)(Z_LVAL_P(Z_ZV(op2_addr)))>>32));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 24848);
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 24850, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 24853, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 24856, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 24859, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24862, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24865, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 24868, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24871, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24874, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24877, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24880, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 24883, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 24886, (result_reg), (result_reg));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 24890, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 24893, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 24896, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 24899, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 24902, (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 24905, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
		dasm_put(Dst, 24909, (result_reg), (result_reg));
			} else if (Z_MODE(op2_addr) == IS_REG) {
		dasm_put(Dst, 24913, (result_reg), (result_reg), (Z_REG(op2_addr)));
			} else {
				ZEND_UNREACHABLE();
			}
					break;
				case ZEND_BW_AND:
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 24918, (result_reg), (result_reg));
			} else if (logical_immediate_p(Z_LVAL_P(Z_ZV(op2_addr)), 64)) {
		dasm_put(Dst, 24922, (result_reg), (result_reg), (unsigned int)(Z_LVAL_P(Z_ZV(op2_addr))), (unsigned int)((unsigned long long)(Z_LVAL_P(Z_ZV(op2_addr)))>>32));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 24927);
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 24929, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 24932, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 24935, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 24938, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24941, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24944, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 24947, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24950, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24953, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 24956, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 24959, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 24962, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 24965, (result_reg), (result_reg));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 24969, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 24972, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 24975, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 24978, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 24981, (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 24984, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
		dasm_put(Dst, 24988, (result_reg), (result_reg));
			} else if (Z_MODE(op2_addr) == IS_REG) {
		dasm_put(Dst, 24992, (result_reg), (result_reg), (Z_REG(op2_addr)));
			} else {
				ZEND_UNREACHABLE();
			}
					break;
				case ZEND_BW_XOR:
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 24997, (result_reg), (result_reg));
			} else if (logical_immediate_p(Z_LVAL_P(Z_ZV(op2_addr)), 64)) {
		dasm_put(Dst, 25001, (result_reg), (result_reg), (unsigned int)(Z_LVAL_P(Z_ZV(op2_addr))), (unsigned int)((unsigned long long)(Z_LVAL_P(Z_ZV(op2_addr)))>>32));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 25006);
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 25008, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 25011, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 25014, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 25017, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 25020, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 25023, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 25026, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 25029, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 25032, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 25035, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 25038, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25041, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 25044, (result_reg), (result_reg));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 25048, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 25051, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 25054, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25057, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 25060, (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 25063, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
		dasm_put(Dst, 25067, (result_reg), (result_reg));
			} else if (Z_MODE(op2_addr) == IS_REG) {
		dasm_put(Dst, 25071, (result_reg), (result_reg), (Z_REG(op2_addr)));
			} else {
				ZEND_UNREACHABLE();
			}
					break;
				default:
					ZEND_UNREACHABLE();
			}
#line 4848 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != result_reg) {
		//|	SET_ZVAL_LVAL_FROM_REG res_addr, Rx(result_reg), TMP1
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 25076, (Z_REG(res_addr)), (result_reg));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 25080, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 25083, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 25086, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25089, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 25092, (result_reg), (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 25096, (result_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
#line 4852 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
		if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != Z_REG(res_addr) || Z_OFFSET(op1_addr) != Z_OFFSET(res_addr)) {
			if ((res_use_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF|MAY_BE_GUARD)) != MAY_BE_LONG) {
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_LONG, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
				dasm_put(Dst, 25101, ((uint32_t)(IS_LONG)));
					} else if (((uint32_t)(IS_LONG) & 0xffff)) {
				dasm_put(Dst, 25104, ((uint32_t)(IS_LONG) & 0xffff));
						if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
				dasm_put(Dst, 25107, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25110, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 25113, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 25116, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 25119, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25122, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 25125, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 25128, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 4857 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	if ((op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG)) ||
		(op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG))) {
		if ((op1_info & MAY_BE_LONG) &&
		    (op2_info & MAY_BE_LONG)) {
			//|.cold_code
			dasm_put(Dst, 25132);
#line 4866 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|6:
		dasm_put(Dst, 25133);
#line 4868 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != ZREG_FCARG1) {
			if (Z_MODE(res_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, res_var);
				//|	LOAD_ZVAL_ADDR FCARG1x, real_addr
					if (Z_MODE(real_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(real_addr))) == 0) {
				dasm_put(Dst, 25135);
					} else if (((uintptr_t)(Z_ZV(real_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 25137, ((uint64_t)(Z_ZV(real_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(real_addr)))) {
				dasm_put(Dst, 25140, (unsigned int)((ptrdiff_t)(Z_ZV(real_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(real_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(real_addr)))) {
				dasm_put(Dst, 25143, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(real_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(real_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(real_addr))) & 0xfff) {
				dasm_put(Dst, 25146, (((uintptr_t)(Z_ZV(real_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(real_addr)) & 0xffff) {
				dasm_put(Dst, 25149, ((uintptr_t)(Z_ZV(real_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 25152, (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 25155, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 25158, (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 25161, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25164, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(real_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(real_addr)) {
					if (Z_OFFSET(real_addr) == 0) {
				dasm_put(Dst, 25167, (Z_REG(real_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(real_addr)))) {
				dasm_put(Dst, 25170, (Z_REG(real_addr)), Z_OFFSET(real_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(real_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 25174, ((uint32_t)(Z_OFFSET(real_addr))));
					} else if (((uint32_t)(Z_OFFSET(real_addr)) & 0xffff)) {
				dasm_put(Dst, 25177, ((uint32_t)(Z_OFFSET(real_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 25180, (((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25183, (((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 25186, (Z_REG(real_addr)));
					}
						} else {
							if (Z_REG(real_addr) == ZREG_RSP) {
				dasm_put(Dst, 25189);
							} else {
				dasm_put(Dst, 25191, (Z_REG(real_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4872 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (Z_REG(res_addr) != ZREG_FCARG1 || Z_OFFSET(res_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 25194);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 25196, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 25199, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 25202, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 25205, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 25208, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 25211, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 25214, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 25217, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 25220, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25223, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 25226, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 25229, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 25233, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 25236, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 25239, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25242, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 25245, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 25248);
							} else {
				dasm_put(Dst, 25250, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4874 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (Z_MODE(op1_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op1.var);
				if (!zend_jit_spill_store(Dst, op1_addr, real_addr, op1_info, 1)) {
					return 0;
				}
				op1_addr = real_addr;
			}
			//|	LOAD_ZVAL_ADDR FCARG2x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 25253);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 25255, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 25258, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 25261, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 25264, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 25267, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 25270, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 25273, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 25276, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 25279, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 25282, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 25285, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 25288, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 25292, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 25295, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 25298, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 25301, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 25304, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 25307);
						} else {
			dasm_put(Dst, 25309, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 4883 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			if (Z_MODE(op1_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op1.var);
				if (!zend_jit_spill_store(Dst, op1_addr, real_addr, op1_info, 1)) {
					return 0;
				}
				op1_addr = real_addr;
			}
			//|	LOAD_ZVAL_ADDR FCARG2x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 25312);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 25314, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 25317, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 25320, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 25323, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 25326, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 25329, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 25332, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 25335, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 25338, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 25341, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 25344, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 25347, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 25351, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 25354, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 25357, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 25360, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 25363, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 25366);
						} else {
			dasm_put(Dst, 25368, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 4892 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_MODE(res_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, res_var);
				//|	LOAD_ZVAL_ADDR FCARG1x, real_addr
					if (Z_MODE(real_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(real_addr))) == 0) {
				dasm_put(Dst, 25371);
					} else if (((uintptr_t)(Z_ZV(real_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 25373, ((uint64_t)(Z_ZV(real_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(real_addr)))) {
				dasm_put(Dst, 25376, (unsigned int)((ptrdiff_t)(Z_ZV(real_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(real_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(real_addr)))) {
				dasm_put(Dst, 25379, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(real_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(real_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(real_addr))) & 0xfff) {
				dasm_put(Dst, 25382, (((uintptr_t)(Z_ZV(real_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(real_addr)) & 0xffff) {
				dasm_put(Dst, 25385, ((uintptr_t)(Z_ZV(real_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 25388, (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 25391, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 25394, (((uintptr_t)(Z_ZV(real_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 25397, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25400, (((uintptr_t)(Z_ZV(real_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(real_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(real_addr)) {
					if (Z_OFFSET(real_addr) == 0) {
				dasm_put(Dst, 25403, (Z_REG(real_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(real_addr)))) {
				dasm_put(Dst, 25406, (Z_REG(real_addr)), Z_OFFSET(real_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(real_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 25410, ((uint32_t)(Z_OFFSET(real_addr))));
					} else if (((uint32_t)(Z_OFFSET(real_addr)) & 0xffff)) {
				dasm_put(Dst, 25413, ((uint32_t)(Z_OFFSET(real_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 25416, (((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25419, (((uint32_t)(Z_OFFSET(real_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 25422, (Z_REG(real_addr)));
					}
						} else {
							if (Z_REG(real_addr) == ZREG_RSP) {
				dasm_put(Dst, 25425);
							} else {
				dasm_put(Dst, 25427, (Z_REG(real_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4895 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (Z_REG(res_addr) != ZREG_FCARG1 || Z_OFFSET(res_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 25430);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 25432, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 25435, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 25438, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 25441, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 25444, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 25447, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 25450, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 25453, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 25456, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25459, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 25462, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 25465, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 25469, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 25472, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 25475, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 25478, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 25481, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 25484);
							} else {
				dasm_put(Dst, 25486, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4897 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		if (Z_MODE(op2_addr) == IS_REG) {
			zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op2.var);
			if (!zend_jit_spill_store(Dst, op2_addr, real_addr, op2_info, 1)) {
				return 0;
			}
			op2_addr = real_addr;
		}
		//|	LOAD_ZVAL_ADDR CARG3, op2_addr
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 25489);
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 25491, ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 25494, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 25497, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 25500, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 25503, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 25506, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 25509, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 25512, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 25515, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25518, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op2_addr)) {
			if (Z_OFFSET(op2_addr) == 0) {
		dasm_put(Dst, 25521, (Z_REG(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
		dasm_put(Dst, 25524, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 25528, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 25531, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 25534, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25537, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 25540, (Z_REG(op2_addr)));
			}
				} else {
					if (Z_REG(op2_addr) == ZREG_RSP) {
		dasm_put(Dst, 25543);
					} else {
		dasm_put(Dst, 25545, (Z_REG(op2_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 4907 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 25548, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 25551);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 25553, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 25556, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 25559, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 25562, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 25565, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 25568, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 25571, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 25574, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 25577, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25580, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 25583, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 4908 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opcode == ZEND_BW_OR) {
			//|	EXT_CALL bitwise_or_function, REG0
				if (arm64_may_use_b(bitwise_or_function)) {
			dasm_put(Dst, 25586, (unsigned int)((ptrdiff_t)(bitwise_or_function)), (unsigned int)(((ptrdiff_t)(bitwise_or_function))>>32));
				} else {
				if (((uintptr_t)(bitwise_or_function)) == 0) {
			dasm_put(Dst, 25589);
				} else if (((uintptr_t)(bitwise_or_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 25591, ((uint64_t)(bitwise_or_function)));
				} else if (arm64_may_use_adr((void*)(bitwise_or_function))) {
			dasm_put(Dst, 25594, (unsigned int)((ptrdiff_t)(bitwise_or_function)), (unsigned int)(((ptrdiff_t)(bitwise_or_function))>>32));
				} else if (arm64_may_use_adrp((void*)(bitwise_or_function))) {
			dasm_put(Dst, 25597, (unsigned int)((ptrdiff_t)((((uintptr_t)(bitwise_or_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(bitwise_or_function)))))>>32));
					if (((uintptr_t)(bitwise_or_function)) & 0xfff) {
			dasm_put(Dst, 25600, (((uintptr_t)(bitwise_or_function)) & 0xfff));
					}
				} else if ((uintptr_t)(bitwise_or_function) & 0xffff) {
			dasm_put(Dst, 25603, ((uintptr_t)(bitwise_or_function) & 0xffff));
					if (((uintptr_t)(bitwise_or_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25606, (((uintptr_t)(bitwise_or_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(bitwise_or_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25609, (((uintptr_t)(bitwise_or_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(bitwise_or_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25612, (((uintptr_t)(bitwise_or_function) >> 16) & 0xffff));
					if (((uintptr_t)(bitwise_or_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25615, (((uintptr_t)(bitwise_or_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 25618, (((uintptr_t)(bitwise_or_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 25621);
				}
#line 4910 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opcode == ZEND_BW_AND) {
			//|	EXT_CALL bitwise_and_function, REG0
				if (arm64_may_use_b(bitwise_and_function)) {
			dasm_put(Dst, 25623, (unsigned int)((ptrdiff_t)(bitwise_and_function)), (unsigned int)(((ptrdiff_t)(bitwise_and_function))>>32));
				} else {
				if (((uintptr_t)(bitwise_and_function)) == 0) {
			dasm_put(Dst, 25626);
				} else if (((uintptr_t)(bitwise_and_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 25628, ((uint64_t)(bitwise_and_function)));
				} else if (arm64_may_use_adr((void*)(bitwise_and_function))) {
			dasm_put(Dst, 25631, (unsigned int)((ptrdiff_t)(bitwise_and_function)), (unsigned int)(((ptrdiff_t)(bitwise_and_function))>>32));
				} else if (arm64_may_use_adrp((void*)(bitwise_and_function))) {
			dasm_put(Dst, 25634, (unsigned int)((ptrdiff_t)((((uintptr_t)(bitwise_and_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(bitwise_and_function)))))>>32));
					if (((uintptr_t)(bitwise_and_function)) & 0xfff) {
			dasm_put(Dst, 25637, (((uintptr_t)(bitwise_and_function)) & 0xfff));
					}
				} else if ((uintptr_t)(bitwise_and_function) & 0xffff) {
			dasm_put(Dst, 25640, ((uintptr_t)(bitwise_and_function) & 0xffff));
					if (((uintptr_t)(bitwise_and_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25643, (((uintptr_t)(bitwise_and_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(bitwise_and_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25646, (((uintptr_t)(bitwise_and_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(bitwise_and_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25649, (((uintptr_t)(bitwise_and_function) >> 16) & 0xffff));
					if (((uintptr_t)(bitwise_and_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25652, (((uintptr_t)(bitwise_and_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 25655, (((uintptr_t)(bitwise_and_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 25658);
				}
#line 4912 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opcode == ZEND_BW_XOR) {
			//|	EXT_CALL bitwise_xor_function, REG0
				if (arm64_may_use_b(bitwise_xor_function)) {
			dasm_put(Dst, 25660, (unsigned int)((ptrdiff_t)(bitwise_xor_function)), (unsigned int)(((ptrdiff_t)(bitwise_xor_function))>>32));
				} else {
				if (((uintptr_t)(bitwise_xor_function)) == 0) {
			dasm_put(Dst, 25663);
				} else if (((uintptr_t)(bitwise_xor_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 25665, ((uint64_t)(bitwise_xor_function)));
				} else if (arm64_may_use_adr((void*)(bitwise_xor_function))) {
			dasm_put(Dst, 25668, (unsigned int)((ptrdiff_t)(bitwise_xor_function)), (unsigned int)(((ptrdiff_t)(bitwise_xor_function))>>32));
				} else if (arm64_may_use_adrp((void*)(bitwise_xor_function))) {
			dasm_put(Dst, 25671, (unsigned int)((ptrdiff_t)((((uintptr_t)(bitwise_xor_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(bitwise_xor_function)))))>>32));
					if (((uintptr_t)(bitwise_xor_function)) & 0xfff) {
			dasm_put(Dst, 25674, (((uintptr_t)(bitwise_xor_function)) & 0xfff));
					}
				} else if ((uintptr_t)(bitwise_xor_function) & 0xffff) {
			dasm_put(Dst, 25677, ((uintptr_t)(bitwise_xor_function) & 0xffff));
					if (((uintptr_t)(bitwise_xor_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25680, (((uintptr_t)(bitwise_xor_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(bitwise_xor_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25683, (((uintptr_t)(bitwise_xor_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(bitwise_xor_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25686, (((uintptr_t)(bitwise_xor_function) >> 16) & 0xffff));
					if (((uintptr_t)(bitwise_xor_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25689, (((uintptr_t)(bitwise_xor_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 25692, (((uintptr_t)(bitwise_xor_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 25695);
				}
#line 4914 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opcode == ZEND_SL) {
			//|	EXT_CALL shift_left_function, REG0
				if (arm64_may_use_b(shift_left_function)) {
			dasm_put(Dst, 25697, (unsigned int)((ptrdiff_t)(shift_left_function)), (unsigned int)(((ptrdiff_t)(shift_left_function))>>32));
				} else {
				if (((uintptr_t)(shift_left_function)) == 0) {
			dasm_put(Dst, 25700);
				} else if (((uintptr_t)(shift_left_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 25702, ((uint64_t)(shift_left_function)));
				} else if (arm64_may_use_adr((void*)(shift_left_function))) {
			dasm_put(Dst, 25705, (unsigned int)((ptrdiff_t)(shift_left_function)), (unsigned int)(((ptrdiff_t)(shift_left_function))>>32));
				} else if (arm64_may_use_adrp((void*)(shift_left_function))) {
			dasm_put(Dst, 25708, (unsigned int)((ptrdiff_t)((((uintptr_t)(shift_left_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(shift_left_function)))))>>32));
					if (((uintptr_t)(shift_left_function)) & 0xfff) {
			dasm_put(Dst, 25711, (((uintptr_t)(shift_left_function)) & 0xfff));
					}
				} else if ((uintptr_t)(shift_left_function) & 0xffff) {
			dasm_put(Dst, 25714, ((uintptr_t)(shift_left_function) & 0xffff));
					if (((uintptr_t)(shift_left_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25717, (((uintptr_t)(shift_left_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(shift_left_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25720, (((uintptr_t)(shift_left_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(shift_left_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25723, (((uintptr_t)(shift_left_function) >> 16) & 0xffff));
					if (((uintptr_t)(shift_left_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25726, (((uintptr_t)(shift_left_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 25729, (((uintptr_t)(shift_left_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 25732);
				}
#line 4916 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opcode == ZEND_SR) {
			//|	EXT_CALL shift_right_function, REG0
				if (arm64_may_use_b(shift_right_function)) {
			dasm_put(Dst, 25734, (unsigned int)((ptrdiff_t)(shift_right_function)), (unsigned int)(((ptrdiff_t)(shift_right_function))>>32));
				} else {
				if (((uintptr_t)(shift_right_function)) == 0) {
			dasm_put(Dst, 25737);
				} else if (((uintptr_t)(shift_right_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 25739, ((uint64_t)(shift_right_function)));
				} else if (arm64_may_use_adr((void*)(shift_right_function))) {
			dasm_put(Dst, 25742, (unsigned int)((ptrdiff_t)(shift_right_function)), (unsigned int)(((ptrdiff_t)(shift_right_function))>>32));
				} else if (arm64_may_use_adrp((void*)(shift_right_function))) {
			dasm_put(Dst, 25745, (unsigned int)((ptrdiff_t)((((uintptr_t)(shift_right_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(shift_right_function)))))>>32));
					if (((uintptr_t)(shift_right_function)) & 0xfff) {
			dasm_put(Dst, 25748, (((uintptr_t)(shift_right_function)) & 0xfff));
					}
				} else if ((uintptr_t)(shift_right_function) & 0xffff) {
			dasm_put(Dst, 25751, ((uintptr_t)(shift_right_function) & 0xffff));
					if (((uintptr_t)(shift_right_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25754, (((uintptr_t)(shift_right_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(shift_right_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25757, (((uintptr_t)(shift_right_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(shift_right_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25760, (((uintptr_t)(shift_right_function) >> 16) & 0xffff));
					if (((uintptr_t)(shift_right_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25763, (((uintptr_t)(shift_right_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 25766, (((uintptr_t)(shift_right_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 25769);
				}
#line 4918 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opcode == ZEND_MOD) {
			//|	EXT_CALL mod_function, REG0
				if (arm64_may_use_b(mod_function)) {
			dasm_put(Dst, 25771, (unsigned int)((ptrdiff_t)(mod_function)), (unsigned int)(((ptrdiff_t)(mod_function))>>32));
				} else {
				if (((uintptr_t)(mod_function)) == 0) {
			dasm_put(Dst, 25774);
				} else if (((uintptr_t)(mod_function)) <= MOVZ_IMM) {
			dasm_put(Dst, 25776, ((uint64_t)(mod_function)));
				} else if (arm64_may_use_adr((void*)(mod_function))) {
			dasm_put(Dst, 25779, (unsigned int)((ptrdiff_t)(mod_function)), (unsigned int)(((ptrdiff_t)(mod_function))>>32));
				} else if (arm64_may_use_adrp((void*)(mod_function))) {
			dasm_put(Dst, 25782, (unsigned int)((ptrdiff_t)((((uintptr_t)(mod_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(mod_function)))))>>32));
					if (((uintptr_t)(mod_function)) & 0xfff) {
			dasm_put(Dst, 25785, (((uintptr_t)(mod_function)) & 0xfff));
					}
				} else if ((uintptr_t)(mod_function) & 0xffff) {
			dasm_put(Dst, 25788, ((uintptr_t)(mod_function) & 0xffff));
					if (((uintptr_t)(mod_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25791, (((uintptr_t)(mod_function) >> 16) & 0xffff));
					}
					if (((uintptr_t)(mod_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25794, (((uintptr_t)(mod_function) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(mod_function) >> 16) & 0xffff) {
			dasm_put(Dst, 25797, (((uintptr_t)(mod_function) >> 16) & 0xffff));
					if (((uintptr_t)(mod_function) >> 32) & 0xffff) {
			dasm_put(Dst, 25800, (((uintptr_t)(mod_function) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 25803, (((uintptr_t)(mod_function) >> 32) & 0xffff));
				}
			dasm_put(Dst, 25806);
				}
#line 4920 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			ZEND_UNREACHABLE();
		}
		if (op1_addr == res_addr && (op2_info & MAY_BE_RCN)) {
			/* compound assignment may decrement "op2" refcount */
			op2_info |= MAY_BE_RC1;
		}
		//|	FREE_OP op1_type, op1, op1_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
			if (op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op1.var);
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 25808, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 25812, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 25816, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25820, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 25824, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 25829, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 25834, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 25837, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 25841, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 25845, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 25849, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25853, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 25857, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 25861);
		dasm_put(Dst, 25864);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 25866, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 25870, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 25874, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25878, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 25882, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 25887, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 25892, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 25895, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 25899, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 25903, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 25907, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25911, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 25915, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 25919);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 25922, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 25926, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 25930, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 25934, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 25938, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 25942, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 25946, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 25954);
						} else {
		dasm_put(Dst, 25957);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 25960, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 25963, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 25966, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 25970, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 25974, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 25978, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 25983, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 25987, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 25991, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 25995, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 25999, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26003, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26007, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (NULL && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 26010, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 26013, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 26016, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 26020, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 26024, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 26028, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 26033, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 26037, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 26041, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 26045, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 26049, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26053, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26057, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 26061, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 26064, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 26067, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 26071, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 26075, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 26079, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 26084, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 26088, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 26092, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 26096, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 26100, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26104, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26108, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 26111, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 26114, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 26117, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 26121, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 26125, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 26129, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 26134, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 26138, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 26142, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 26146, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 26150, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26154, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26158, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 26161, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 26164);
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 26166, ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 26169, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 26172, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 26175, (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 26178, ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 26181, (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 26184, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 26187, (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 26190, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26193, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26196, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 26199, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 26202, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 26205, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 26209, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 26213, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 26217, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 26222, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 26226, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 26230, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 26234, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 26238, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26242, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26246, (ZREG_X15));
			}
						break;
					}
				}
				if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 26249, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 26252, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 26255, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 26259, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 26263, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 26267, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 26272, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 26276, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 26280, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 26284, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 26288, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26292, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26296, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 26300, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 26303, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 26306, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 26310, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 26314, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 26318, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 26323, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 26327, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 26331, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 26335, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 26339, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26343, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26347, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 26350);
					}
		dasm_put(Dst, 26353);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 26355, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 26359, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 26363, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26367, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26371, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 26376, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 26381, (ZREG_X15));
			} else {
		dasm_put(Dst, 26385, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 26391, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 26395, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 26399, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26403, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26407, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 26412, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 26417, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 26420, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 26424, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 26428, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 26432, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26436, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26440, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 26444);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 26447, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 26451, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 26455, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26459, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26463, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 26467, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 26471);
					}
		dasm_put(Dst, 26473, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 26476, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 26479, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 26483, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 26487, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 26491, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26495, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26499, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 26503);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 26506, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 26509, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 26512, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 26516, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 26520, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 26524, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 26529, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 26533, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 26537, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 26541, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 26545, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26549, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26553, (ZREG_X15));
			}
				}
				if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 26556);
				}
		dasm_put(Dst, 26559);
			}
			}
#line 4928 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	FREE_OP op2_type, op2, op2_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
			if (op2_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op2.var);
			if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 26561, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 26565, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 26569, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26573, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26577, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 26582, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 26587, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 26590, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 26594, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 26598, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 26602, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26606, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26610, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 26614);
		dasm_put(Dst, 26617);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 26619, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 26623, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 26627, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26631, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26635, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 26640, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 26645, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 26648, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 26652, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 26656, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 26660, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26664, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26668, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 26672);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 26675, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 26679, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 26683, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26687, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 26691, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 26695, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 26699, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 26707);
						} else {
		dasm_put(Dst, 26710);
						}
					}
			do {
				if (!((op2_info) & MAY_BE_GUARD)
				 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 26713, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 26716, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 26719, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 26723, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 26727, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 26731, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 26736, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 26740, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 26744, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 26748, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 26752, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26756, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26760, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (NULL && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 26763, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 26766, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 26769, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 26773, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 26777, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 26781, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 26786, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 26790, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 26794, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 26798, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 26802, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26806, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26810, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 26814, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 26817, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 26820, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 26824, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 26828, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 26832, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 26837, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 26841, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 26845, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 26849, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 26853, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26857, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26861, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 26864, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 26867, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 26870, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 26874, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 26878, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 26882, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 26887, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 26891, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 26895, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 26899, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 26903, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26907, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26911, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 26914, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 26917);
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 26919, ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 26922, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 26925, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 26928, (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 26931, ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 26934, (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 26937, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 26940, (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 26943, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26946, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26949, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 26952, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 26955, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 26958, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 26962, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 26966, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 26970, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 26975, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 26979, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 26983, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 26987, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 26991, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 26995, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 26999, (ZREG_X15));
			}
						break;
					}
				}
				if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 27002, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 27005, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 27008, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 27012, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 27016, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 27020, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 27025, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 27029, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 27033, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 27037, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 27041, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27045, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 27049, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 27053, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 27056, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 27059, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 27063, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 27067, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 27071, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 27076, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 27080, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 27084, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 27088, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 27092, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27096, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 27100, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 27103);
					}
		dasm_put(Dst, 27106);
				}
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 27108, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 27112, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 27116, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27120, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 27124, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 27129, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 27134, (ZREG_X15));
			} else {
		dasm_put(Dst, 27138, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 27144, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 27148, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 27152, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27156, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 27160, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 27165, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 27170, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 27173, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 27177, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 27181, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 27185, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27189, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 27193, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 27197);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 27200, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 27204, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 27208, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27212, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 27216, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 27220, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 27224);
					}
		dasm_put(Dst, 27226, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 27229, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 27232, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 27236, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 27240, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 27244, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27248, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 27252, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 27256);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 27259, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 27262, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 27265, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 27269, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 27273, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 27277, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 27282, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 27286, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 27290, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 27294, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 27298, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27302, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 27306, (ZREG_X15));
			}
				}
				if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 27309);
				}
		dasm_put(Dst, 27312);
			}
			}
#line 4929 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			if (opline->opcode == ZEND_ASSIGN_DIM_OP && (opline->op2_type & (IS_VAR|IS_TMP_VAR))) {
				//|	MEM_LOAD_64_ZTS ldr, TMP2, executor_globals, exception, TMP1
					if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 27314, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
					} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 27318, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
					} else {
					if (((uintptr_t)(&executor_globals.exception)) == 0) {
				dasm_put(Dst, 27323);
					} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
				dasm_put(Dst, 27325, ((uint64_t)(&executor_globals.exception)));
					} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 27328, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
					} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 27331, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
						if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
				dasm_put(Dst, 27334, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
						}
					} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
				dasm_put(Dst, 27337, ((uintptr_t)(&executor_globals.exception) & 0xffff));
						if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
				dasm_put(Dst, 27340, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
						}
						if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
				dasm_put(Dst, 27343, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
				dasm_put(Dst, 27346, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
						if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
				dasm_put(Dst, 27349, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 27352, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
					}
				dasm_put(Dst, 27355);
					}
#line 4932 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	cbnz TMP2, ->exception_handler_free_op2
				dasm_put(Dst, 27357);
#line 4933 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (Z_MODE(res_addr) == IS_MEM_ZVAL && Z_REG(res_addr) == ZREG_RX) {
				zend_jit_check_exception_undef_result(Dst, opline);
			} else {
				zend_jit_check_exception(Dst);
			}
		}
		if (Z_MODE(res_addr) == IS_REG) {
			zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, res_var);
			if (!zend_jit_load_reg(Dst, real_addr, res_addr, res_info)) {
				return 0;
			}
		}
		if ((op1_info & MAY_BE_LONG) &&
		    (op2_info & MAY_BE_LONG)) {
			//|	b >5
			//|.code
			dasm_put(Dst, 27360);
#line 4949 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	//|5:
	dasm_put(Dst, 27363);
#line 4952 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_long_math(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_ssa_range *op1_range, zend_jit_addr op1_addr, uint32_t op2_info, zend_ssa_range *op2_range, zend_jit_addr op2_addr, uint32_t res_use_info, uint32_t res_info, zend_jit_addr res_addr, int may_throw)
{
	ZEND_ASSERT(!(op1_info & MAY_BE_UNDEF) && !(op2_info & MAY_BE_UNDEF));
	ZEND_ASSERT((op1_info & MAY_BE_LONG) && (op2_info & MAY_BE_LONG));

	if (!zend_jit_long_math_helper(Dst, opline, opline->opcode,
			opline->op1_type, opline->op1, op1_addr, op1_info, op1_range,
			opline->op2_type, opline->op2, op2_addr, op2_info, op2_range,
			opline->result.var, res_addr, res_info, res_use_info, may_throw)) {
		return 0;
	}
	if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, res_info)) {
		return 0;
	}
	return 1;
}

static int zend_jit_concat_helper(dasm_State    **Dst,
                                  const zend_op  *opline,
                                  zend_uchar      op1_type,
                                  znode_op        op1,
                                  zend_jit_addr   op1_addr,
                                  uint32_t        op1_info,
                                  zend_uchar      op2_type,
                                  znode_op        op2,
                                  zend_jit_addr   op2_addr,
                                  uint32_t        op2_info,
                                  zend_jit_addr   res_addr,
                                  int             may_throw)
{
	if ((op1_info & MAY_BE_STRING) && (op2_info & MAY_BE_STRING)) {
		if (op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF) - MAY_BE_STRING)) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, >6, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 27365, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 27369, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 27373, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 27377, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 27381, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 27386, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_STRING == 0) {
			dasm_put(Dst, 27391, (ZREG_X15));
				} else {
			dasm_put(Dst, 27395, (ZREG_X15), IS_STRING);
				}
#line 4989 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op2_info & ((MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF) - MAY_BE_STRING)) {
			//|	IF_NOT_ZVAL_TYPE op2_addr, IS_STRING, >6, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 27401, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 27405, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 27409, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 27413, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 27417, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 27422, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_STRING == 0) {
			dasm_put(Dst, 27427, (ZREG_X15));
				} else {
			dasm_put(Dst, 27431, (ZREG_X15), IS_STRING);
				}
#line 4992 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (Z_MODE(op1_addr) == IS_MEM_ZVAL && Z_REG(op1_addr) == Z_REG(res_addr) && Z_OFFSET(op1_addr) == Z_OFFSET(res_addr)) {
			if (Z_REG(res_addr) != ZREG_FCARG1 || Z_OFFSET(res_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 27437);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 27439, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 27442, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 27445, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 27448, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 27451, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 27454, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 27457, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 27460, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 27463, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 27466, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 27469, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 27472, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 27476, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 27479, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 27482, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 27485, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 27488, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 27491);
							} else {
				dasm_put(Dst, 27493, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 4996 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
			dasm_put(Dst, 27496);
				} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 27498, ((uint64_t)(Z_ZV(op2_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 27501, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 27504, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
			dasm_put(Dst, 27507, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
			dasm_put(Dst, 27510, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 27513, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 27516, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 27519, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 27522, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 27525, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op2_addr)) {
				if (Z_OFFSET(op2_addr) == 0) {
			dasm_put(Dst, 27528, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
			dasm_put(Dst, 27531, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 27535, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 27538, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 27541, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 27544, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 27547, (Z_REG(op2_addr)));
				}
					} else {
						if (Z_REG(op2_addr) == ZREG_RSP) {
			dasm_put(Dst, 27550);
						} else {
			dasm_put(Dst, 27552, (Z_REG(op2_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 4998 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_fast_assign_concat_helper, REG0
				if (arm64_may_use_b(zend_jit_fast_assign_concat_helper)) {
			dasm_put(Dst, 27555, (unsigned int)((ptrdiff_t)(zend_jit_fast_assign_concat_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fast_assign_concat_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_fast_assign_concat_helper)) == 0) {
			dasm_put(Dst, 27558);
				} else if (((uintptr_t)(zend_jit_fast_assign_concat_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 27560, ((uint64_t)(zend_jit_fast_assign_concat_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_fast_assign_concat_helper))) {
			dasm_put(Dst, 27563, (unsigned int)((ptrdiff_t)(zend_jit_fast_assign_concat_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fast_assign_concat_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_fast_assign_concat_helper))) {
			dasm_put(Dst, 27566, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fast_assign_concat_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fast_assign_concat_helper)))))>>32));
					if (((uintptr_t)(zend_jit_fast_assign_concat_helper)) & 0xfff) {
			dasm_put(Dst, 27569, (((uintptr_t)(zend_jit_fast_assign_concat_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_fast_assign_concat_helper) & 0xffff) {
			dasm_put(Dst, 27572, ((uintptr_t)(zend_jit_fast_assign_concat_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_fast_assign_concat_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 27575, (((uintptr_t)(zend_jit_fast_assign_concat_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_fast_assign_concat_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 27578, (((uintptr_t)(zend_jit_fast_assign_concat_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_fast_assign_concat_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 27581, (((uintptr_t)(zend_jit_fast_assign_concat_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_fast_assign_concat_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 27584, (((uintptr_t)(zend_jit_fast_assign_concat_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 27587, (((uintptr_t)(zend_jit_fast_assign_concat_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 27590);
				}
#line 4999 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			/* concatenation with itself may reduce refcount */
			op2_info |= MAY_BE_RC1;
		} else {
			if (Z_REG(res_addr) != ZREG_FCARG1 || Z_OFFSET(res_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 27592);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 27594, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 27597, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 27600, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 27603, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 27606, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 27609, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 27612, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 27615, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 27618, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 27621, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 27624, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 27627, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 27631, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 27634, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 27637, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 27640, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 27643, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 27646);
							} else {
				dasm_put(Dst, 27648, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 5004 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ZVAL_ADDR FCARG2x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 27651);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 27653, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 27656, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 27659, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 27662, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 27665, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 27668, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 27671, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 27674, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 27677, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 27680, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 27683, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 27686, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 27690, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 27693, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 27696, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 27699, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 27702, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 27705);
						} else {
			dasm_put(Dst, 27707, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 5006 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_ZVAL_ADDR CARG3, op2_addr
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
			dasm_put(Dst, 27710);
				} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 27712, ((uint64_t)(Z_ZV(op2_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 27715, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 27718, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
			dasm_put(Dst, 27721, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
			dasm_put(Dst, 27724, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 27727, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 27730, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 27733, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 27736, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 27739, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op2_addr)) {
				if (Z_OFFSET(op2_addr) == 0) {
			dasm_put(Dst, 27742, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
			dasm_put(Dst, 27745, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 27749, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 27752, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 27755, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 27758, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 27761, (Z_REG(op2_addr)));
				}
					} else {
						if (Z_REG(op2_addr) == ZREG_RSP) {
			dasm_put(Dst, 27764);
						} else {
			dasm_put(Dst, 27766, (Z_REG(op2_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 5007 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op1_type == IS_CV || op1_type == IS_CONST) {
				//|	EXT_CALL zend_jit_fast_concat_helper, REG0
					if (arm64_may_use_b(zend_jit_fast_concat_helper)) {
				dasm_put(Dst, 27769, (unsigned int)((ptrdiff_t)(zend_jit_fast_concat_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fast_concat_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fast_concat_helper)) == 0) {
				dasm_put(Dst, 27772);
					} else if (((uintptr_t)(zend_jit_fast_concat_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 27774, ((uint64_t)(zend_jit_fast_concat_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fast_concat_helper))) {
				dasm_put(Dst, 27777, (unsigned int)((ptrdiff_t)(zend_jit_fast_concat_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fast_concat_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fast_concat_helper))) {
				dasm_put(Dst, 27780, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fast_concat_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fast_concat_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fast_concat_helper)) & 0xfff) {
				dasm_put(Dst, 27783, (((uintptr_t)(zend_jit_fast_concat_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fast_concat_helper) & 0xffff) {
				dasm_put(Dst, 27786, ((uintptr_t)(zend_jit_fast_concat_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fast_concat_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 27789, (((uintptr_t)(zend_jit_fast_concat_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fast_concat_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 27792, (((uintptr_t)(zend_jit_fast_concat_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fast_concat_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 27795, (((uintptr_t)(zend_jit_fast_concat_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fast_concat_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 27798, (((uintptr_t)(zend_jit_fast_concat_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 27801, (((uintptr_t)(zend_jit_fast_concat_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 27804);
					}
#line 5009 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	EXT_CALL zend_jit_fast_concat_tmp_helper, REG0
					if (arm64_may_use_b(zend_jit_fast_concat_tmp_helper)) {
				dasm_put(Dst, 27806, (unsigned int)((ptrdiff_t)(zend_jit_fast_concat_tmp_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fast_concat_tmp_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fast_concat_tmp_helper)) == 0) {
				dasm_put(Dst, 27809);
					} else if (((uintptr_t)(zend_jit_fast_concat_tmp_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 27811, ((uint64_t)(zend_jit_fast_concat_tmp_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fast_concat_tmp_helper))) {
				dasm_put(Dst, 27814, (unsigned int)((ptrdiff_t)(zend_jit_fast_concat_tmp_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fast_concat_tmp_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fast_concat_tmp_helper))) {
				dasm_put(Dst, 27817, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fast_concat_tmp_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fast_concat_tmp_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fast_concat_tmp_helper)) & 0xfff) {
				dasm_put(Dst, 27820, (((uintptr_t)(zend_jit_fast_concat_tmp_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fast_concat_tmp_helper) & 0xffff) {
				dasm_put(Dst, 27823, ((uintptr_t)(zend_jit_fast_concat_tmp_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fast_concat_tmp_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 27826, (((uintptr_t)(zend_jit_fast_concat_tmp_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fast_concat_tmp_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 27829, (((uintptr_t)(zend_jit_fast_concat_tmp_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fast_concat_tmp_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 27832, (((uintptr_t)(zend_jit_fast_concat_tmp_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fast_concat_tmp_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 27835, (((uintptr_t)(zend_jit_fast_concat_tmp_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 27838, (((uintptr_t)(zend_jit_fast_concat_tmp_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 27841);
					}
#line 5011 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		/* concatenation with empty string may increase refcount */
		op2_info |= MAY_BE_RCN;
		//|	FREE_OP op2_type, op2, op2_info, 0, opline, ZREG_TMP1, ZREG_TMP2
			if (op2_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op2.var);
			if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 27843, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 27847, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 27851, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27855, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 27859, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 27864, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 27869, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 27872, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 27876, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 27880, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 27884, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27888, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 27892, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 27896);
		dasm_put(Dst, 27899);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 27901, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 27905, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 27909, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27913, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 27917, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 27922, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 27927, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 27930, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 27934, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 27938, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 27942, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27946, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 27950, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 27954);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 27957, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 27961, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 27965, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 27969, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 27973, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 27977, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 27981, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 27989);
						} else {
		dasm_put(Dst, 27992);
						}
					}
			do {
				if (!((op2_info) & MAY_BE_GUARD)
				 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 27995, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 27998, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 28001, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 28005, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 28009, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 28013, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 28018, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 28022, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 28026, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 28030, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 28034, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28038, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28042, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 28045, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 28048, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 28051, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 28055, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 28059, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 28063, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 28068, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 28072, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 28076, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 28080, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 28084, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28088, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28092, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 28096, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 28099, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 28102, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 28106, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 28110, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 28114, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 28119, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 28123, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 28127, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 28131, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 28135, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28139, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28143, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 28146, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 28149, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 28152, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 28156, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 28160, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 28164, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 28169, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 28173, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 28177, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 28181, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 28185, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28189, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28193, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 28196, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 28199);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 28201, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 28204, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 28207, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 28210, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 28213, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 28216, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 28219, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 28222, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 28225, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28228, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28231, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 28234, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 28237, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 28240, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 28244, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 28248, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 28252, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 28257, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 28261, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 28265, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 28269, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 28273, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28277, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28281, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 28284, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 28287, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 28290, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 28294, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 28298, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 28302, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 28307, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 28311, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 28315, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 28319, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 28323, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28327, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28331, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 28335, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 28338, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 28341, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 28345, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 28349, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 28353, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 28358, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 28362, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 28366, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 28370, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 28374, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28378, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28382, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 28385);
					}
		dasm_put(Dst, 28388);
				}
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 28390, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 28394, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 28398, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28402, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 28406, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 28411, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 28416, (ZREG_X15));
			} else {
		dasm_put(Dst, 28420, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 28426, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 28430, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 28434, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28438, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 28442, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 28447, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 28452, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 28455, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 28459, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 28463, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 28467, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28471, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 28475, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 28479);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 28482, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 28486, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 28490, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28494, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 28498, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 28502, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 28506);
					}
		dasm_put(Dst, 28508, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 28511, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 28514, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 28518, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 28522, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 28526, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28530, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 28534, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 28538);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 28541, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 28544, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 28547, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 28551, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 28555, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 28559, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 28564, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 28568, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 28572, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 28576, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 28580, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28584, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28588, (ZREG_X15));
			}
				}
				if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 28591);
				}
		dasm_put(Dst, 28594);
			}
			}
#line 5016 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|5:
		dasm_put(Dst, 28596);
#line 5017 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if ((op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF) - MAY_BE_STRING)) ||
	    (op2_info & ((MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF) - MAY_BE_STRING))) {
		if ((op1_info & MAY_BE_STRING) && (op2_info & MAY_BE_STRING)) {
			//|.cold_code
			dasm_put(Dst, 28598);
#line 5022 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|6:
			dasm_put(Dst, 28599);
#line 5023 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != ZREG_FCARG1) {
			if (Z_REG(res_addr) != ZREG_FCARG1 || Z_OFFSET(res_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 28601);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 28603, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 28606, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 28609, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 28612, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 28615, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 28618, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 28621, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 28624, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 28627, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 28630, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 28633, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 28636, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 28640, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 28643, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 28646, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 28649, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 28652, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 28655);
							} else {
				dasm_put(Dst, 28657, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 5027 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ZVAL_ADDR FCARG2x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 28660);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 28662, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 28665, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 28668, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 28671, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 28674, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 28677, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 28680, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 28683, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 28686, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 28689, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 28692, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 28695, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 28699, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 28702, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 28705, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 28708, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 28711, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 28714);
						} else {
			dasm_put(Dst, 28716, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 5029 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LOAD_ZVAL_ADDR FCARG2x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 28719);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 28721, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 28724, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 28727, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 28730, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 28733, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 28736, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 28739, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 28742, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 28745, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 28748, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 28751, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 28754, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 28758, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 28761, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 28764, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 28767, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 28770, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 28773);
						} else {
			dasm_put(Dst, 28775, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 5031 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_REG(res_addr) != ZREG_FCARG1 || Z_OFFSET(res_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 28778);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 28780, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 28783, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 28786, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 28789, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 28792, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 28795, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 28798, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 28801, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 28804, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 28807, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 28810, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 28813, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 28817, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 28820, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 28823, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 28826, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 28829, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 28832);
							} else {
				dasm_put(Dst, 28834, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 5033 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|	LOAD_ZVAL_ADDR CARG3, op2_addr
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 28837);
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 28839, ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 28842, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 28845, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 28848, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 28851, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 28854, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 28857, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 28860, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 28863, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28866, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op2_addr)) {
			if (Z_OFFSET(op2_addr) == 0) {
		dasm_put(Dst, 28869, (Z_REG(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
		dasm_put(Dst, 28872, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 28876, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 28879, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 28882, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28885, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 28888, (Z_REG(op2_addr)));
			}
				} else {
					if (Z_REG(op2_addr) == ZREG_RSP) {
		dasm_put(Dst, 28891);
					} else {
		dasm_put(Dst, 28893, (Z_REG(op2_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 5036 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 28896, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 28899);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 28901, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 28904, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 28907, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 28910, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 28913, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 28916, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 28919, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 28922, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 28925, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28928, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28931, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 5037 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL concat_function, REG0
			if (arm64_may_use_b(concat_function)) {
		dasm_put(Dst, 28934, (unsigned int)((ptrdiff_t)(concat_function)), (unsigned int)(((ptrdiff_t)(concat_function))>>32));
			} else {
			if (((uintptr_t)(concat_function)) == 0) {
		dasm_put(Dst, 28937);
			} else if (((uintptr_t)(concat_function)) <= MOVZ_IMM) {
		dasm_put(Dst, 28939, ((uint64_t)(concat_function)));
			} else if (arm64_may_use_adr((void*)(concat_function))) {
		dasm_put(Dst, 28942, (unsigned int)((ptrdiff_t)(concat_function)), (unsigned int)(((ptrdiff_t)(concat_function))>>32));
			} else if (arm64_may_use_adrp((void*)(concat_function))) {
		dasm_put(Dst, 28945, (unsigned int)((ptrdiff_t)((((uintptr_t)(concat_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(concat_function)))))>>32));
				if (((uintptr_t)(concat_function)) & 0xfff) {
		dasm_put(Dst, 28948, (((uintptr_t)(concat_function)) & 0xfff));
				}
			} else if ((uintptr_t)(concat_function) & 0xffff) {
		dasm_put(Dst, 28951, ((uintptr_t)(concat_function) & 0xffff));
				if (((uintptr_t)(concat_function) >> 16) & 0xffff) {
		dasm_put(Dst, 28954, (((uintptr_t)(concat_function) >> 16) & 0xffff));
				}
				if (((uintptr_t)(concat_function) >> 32) & 0xffff) {
		dasm_put(Dst, 28957, (((uintptr_t)(concat_function) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(concat_function) >> 16) & 0xffff) {
		dasm_put(Dst, 28960, (((uintptr_t)(concat_function) >> 16) & 0xffff));
				if (((uintptr_t)(concat_function) >> 32) & 0xffff) {
		dasm_put(Dst, 28963, (((uintptr_t)(concat_function) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28966, (((uintptr_t)(concat_function) >> 32) & 0xffff));
			}
		dasm_put(Dst, 28969);
			}
#line 5038 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		/* concatenation with empty string may increase refcount */
		op1_info |= MAY_BE_RCN;
		op2_info |= MAY_BE_RCN;
		//|	FREE_OP op1_type, op1, op1_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
			if (op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op1.var);
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 28971, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 28975, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 28979, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 28983, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 28987, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 28992, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 28997, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 29000, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 29004, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 29008, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 29012, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29016, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29020, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 29024);
		dasm_put(Dst, 29027);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 29029, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 29033, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 29037, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29041, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29045, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 29050, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 29055, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 29058, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 29062, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 29066, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 29070, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29074, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29078, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 29082);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 29085, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 29089, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 29093, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29097, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29101, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 29105, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 29109, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 29117);
						} else {
		dasm_put(Dst, 29120);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 29123, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 29126, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 29129, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 29133, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 29137, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 29141, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 29146, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 29150, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 29154, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 29158, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 29162, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29166, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29170, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (NULL && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 29173, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 29176, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 29179, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 29183, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 29187, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 29191, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 29196, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 29200, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 29204, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 29208, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 29212, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29216, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29220, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 29224, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 29227, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 29230, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 29234, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 29238, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 29242, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 29247, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 29251, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 29255, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 29259, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 29263, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29267, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29271, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 29274, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 29277, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 29280, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 29284, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 29288, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 29292, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 29297, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 29301, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 29305, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 29309, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 29313, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29317, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29321, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 29324, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 29327);
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 29329, ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 29332, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 29335, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 29338, (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 29341, ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 29344, (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 29347, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 29350, (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 29353, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29356, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29359, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 29362, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 29365, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 29368, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 29372, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 29376, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 29380, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 29385, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 29389, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 29393, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 29397, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 29401, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29405, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29409, (ZREG_X15));
			}
						break;
					}
				}
				if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 29412, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 29415, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 29418, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 29422, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 29426, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 29430, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 29435, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 29439, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 29443, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 29447, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 29451, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29455, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29459, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 29463, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 29466, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 29469, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 29473, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 29477, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 29481, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 29486, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 29490, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 29494, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 29498, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 29502, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29506, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29510, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 29513);
					}
		dasm_put(Dst, 29516);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 29518, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 29522, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 29526, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29530, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29534, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 29539, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 29544, (ZREG_X15));
			} else {
		dasm_put(Dst, 29548, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 29554, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 29558, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 29562, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29566, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29570, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 29575, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 29580, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 29583, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 29587, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 29591, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 29595, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29599, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29603, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 29607);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 29610, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 29614, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 29618, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29622, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29626, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 29630, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 29634);
					}
		dasm_put(Dst, 29636, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 29639, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 29642, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 29646, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 29650, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 29654, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29658, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29662, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 29666);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 29669, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 29672, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 29675, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 29679, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 29683, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 29687, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 29692, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 29696, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 29700, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 29704, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 29708, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29712, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29716, (ZREG_X15));
			}
				}
				if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 29719);
				}
		dasm_put(Dst, 29722);
			}
			}
#line 5042 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	FREE_OP op2_type, op2, op2_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
			if (op2_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, op2.var);
			if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 29724, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 29728, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 29732, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29736, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29740, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 29745, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 29750, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 29753, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 29757, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 29761, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 29765, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29769, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29773, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 29777);
		dasm_put(Dst, 29780);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 29782, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 29786, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 29790, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29794, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29798, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 29803, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 29808, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 29811, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 29815, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 29819, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 29823, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29827, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29831, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 29835);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 29838, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 29842, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 29846, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29850, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 29854, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 29858, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 29862, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 29870);
						} else {
		dasm_put(Dst, 29873);
						}
					}
			do {
				if (!((op2_info) & MAY_BE_GUARD)
				 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 29876, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 29879, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 29882, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 29886, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 29890, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 29894, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 29899, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 29903, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 29907, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 29911, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 29915, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29919, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29923, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (NULL && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 29926, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 29929, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 29932, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 29936, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 29940, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 29944, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 29949, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 29953, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 29957, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 29961, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 29965, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 29969, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 29973, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 29977, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 29980, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 29983, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 29987, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 29991, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 29995, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 30000, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 30004, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 30008, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 30012, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 30016, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30020, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 30024, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 30027, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 30030, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 30033, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 30037, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 30041, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 30045, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 30050, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 30054, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 30058, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 30062, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 30066, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30070, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 30074, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 30077, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 30080);
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 30082, ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 30085, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 30088, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 30091, (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 30094, ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 30097, (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 30100, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 30103, (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 30106, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30109, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 30112, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 30115, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 30118, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 30121, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 30125, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 30129, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 30133, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 30138, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 30142, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 30146, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 30150, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 30154, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30158, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 30162, (ZREG_X15));
			}
						break;
					}
				}
				if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 30165, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 30168, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 30171, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 30175, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 30179, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 30183, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 30188, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 30192, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 30196, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 30200, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 30204, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30208, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 30212, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 30216, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 30219, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 30222, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 30226, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 30230, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 30234, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 30239, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 30243, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 30247, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 30251, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 30255, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30259, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 30263, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 30266);
					}
		dasm_put(Dst, 30269);
				}
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 30271, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 30275, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 30279, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30283, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 30287, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 30292, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 30297, (ZREG_X15));
			} else {
		dasm_put(Dst, 30301, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 30307, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 30311, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 30315, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30319, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 30323, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 30328, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 30333, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 30336, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 30340, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 30344, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 30348, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30352, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 30356, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 30360);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 30363, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 30367, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 30371, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30375, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 30379, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 30383, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 30387);
					}
		dasm_put(Dst, 30389, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 30392, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 30395, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 30399, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 30403, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 30407, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30411, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 30415, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 30419);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 30422, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 30425, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 30428, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 30432, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 30436, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 30440, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 30445, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 30449, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 30453, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 30457, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 30461, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 30465, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 30469, (ZREG_X15));
			}
				}
				if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 30472);
				}
		dasm_put(Dst, 30475);
			}
			}
#line 5043 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			if (Z_MODE(res_addr) == IS_MEM_ZVAL && Z_REG(res_addr) == ZREG_RX) {
				zend_jit_check_exception_undef_result(Dst, opline);
			} else {
				zend_jit_check_exception(Dst);
			}
		}
		if ((op1_info & MAY_BE_STRING) && (op2_info & MAY_BE_STRING)) {
			//|	b <5
			//|.code
			dasm_put(Dst, 30477);
#line 5053 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	return 1;
}

static int zend_jit_concat(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, uint32_t op2_info, zend_jit_addr res_addr, int may_throw)
{
	zend_jit_addr op1_addr, op2_addr;

	ZEND_ASSERT(!(op1_info & MAY_BE_UNDEF) && !(op2_info & MAY_BE_UNDEF));
	ZEND_ASSERT((op1_info & MAY_BE_STRING) && (op2_info & MAY_BE_STRING));

	op1_addr = OP1_ADDR();
	op2_addr = OP2_ADDR();

	return zend_jit_concat_helper(Dst, opline, opline->op1_type, opline->op1, op1_addr, op1_info, opline->op2_type, opline->op2, op2_addr, op2_info, res_addr, may_throw);
}

static int zend_jit_fetch_dimension_address_inner(dasm_State **Dst, const zend_op *opline, uint32_t type, uint32_t op1_info, uint32_t op2_info, uint8_t dim_type, const void *found_exit_addr, const void *not_found_exit_addr, const void *exit_addr)
/* Labels: 1,2,3,4,5 */
{
	zend_jit_addr op2_addr = OP2_ADDR();
	zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

	if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
	 && type == BP_VAR_R
	 && !exit_addr) {
		int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
		exit_addr = zend_jit_trace_get_exit_addr(exit_point);
		if (!exit_addr) {
			return 0;
		}
	}

	if (op2_info & MAY_BE_LONG) {
		bool op2_loaded = 0;
		bool packed_loaded = 0;
		bool bad_packed_key = 0;

		if (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - MAY_BE_LONG)) {
			//|	// if (EXPECTED(Z_TYPE_P(dim) == IS_LONG))
			//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >3, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 30480, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 30484, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 30488, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 30492, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 30496, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 30501, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_LONG == 0) {
			dasm_put(Dst, 30506, (ZREG_X15));
				} else {
			dasm_put(Dst, 30510, (ZREG_X15), IS_LONG);
				}
#line 5096 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op1_info & MAY_BE_PACKED_GUARD) {
			int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_PACKED_GUARD);
			const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

			if (!exit_addr) {
				return 0;
			}
			if (op1_info & MAY_BE_ARRAY_PACKED) {
				//|	ldr TMP1w, [FCARG1x, #offsetof(zend_array, u.flags)]
				//|	TST_32_WITH_CONST TMP1w, HASH_FLAG_PACKED, TMP2w
				dasm_put(Dst, 30516, offsetof(zend_array, u.flags));
					if (HASH_FLAG_PACKED == 0) {
				dasm_put(Dst, 30519);
					} else if (logical_immediate_p((uint32_t)HASH_FLAG_PACKED, 32)) {
				dasm_put(Dst, 30521, HASH_FLAG_PACKED);
					} else {
					if (((uint32_t)(HASH_FLAG_PACKED)) <= MOVZ_IMM) {
				dasm_put(Dst, 30524, ((uint32_t)(HASH_FLAG_PACKED)));
					} else if (((uint32_t)(HASH_FLAG_PACKED) & 0xffff)) {
				dasm_put(Dst, 30527, ((uint32_t)(HASH_FLAG_PACKED) & 0xffff));
						if ((((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff)) {
				dasm_put(Dst, 30530, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 30533, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 30536);
					}
#line 5107 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	beq &exit_addr
				dasm_put(Dst, 30538, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 5108 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ldr TMP1w, [FCARG1x, #offsetof(zend_array, u.flags)]
				//|	TST_32_WITH_CONST TMP1w, HASH_FLAG_PACKED, TMP2w
				dasm_put(Dst, 30541, offsetof(zend_array, u.flags));
					if (HASH_FLAG_PACKED == 0) {
				dasm_put(Dst, 30544);
					} else if (logical_immediate_p((uint32_t)HASH_FLAG_PACKED, 32)) {
				dasm_put(Dst, 30546, HASH_FLAG_PACKED);
					} else {
					if (((uint32_t)(HASH_FLAG_PACKED)) <= MOVZ_IMM) {
				dasm_put(Dst, 30549, ((uint32_t)(HASH_FLAG_PACKED)));
					} else if (((uint32_t)(HASH_FLAG_PACKED) & 0xffff)) {
				dasm_put(Dst, 30552, ((uint32_t)(HASH_FLAG_PACKED) & 0xffff));
						if ((((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff)) {
				dasm_put(Dst, 30555, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 30558, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 30561);
					}
#line 5111 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	bne &exit_addr
				dasm_put(Dst, 30563, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 5112 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		if (type == BP_VAR_W) {
			//|	// hval = Z_LVAL_P(dim);
			//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 30566, (ZREG_FCARG2));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 30569, (ZREG_FCARG2));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 30572, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 30576, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 30580, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 30584, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 30588, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 30592, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 30596, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 30600, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 30604, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 30608, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 30612, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 30616, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 30620, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 30623, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 30626, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 30629, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 30632, (ZREG_FCARG2), (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 30636, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
				} else if (Z_MODE(op2_addr) == IS_REG) {
					if (ZREG_FCARG2 != Z_REG(op2_addr)) {
			dasm_put(Dst, 30641, (ZREG_FCARG2), (Z_REG(op2_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 5117 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			op2_loaded = 1;
		}
		if (op1_info & MAY_BE_ARRAY_PACKED) {
			zend_long val = -1;

			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				val = Z_LVAL_P(Z_ZV(op2_addr));
				if (val >= 0 && val < HT_MAX_SIZE) {
					packed_loaded = 1;
				} else {
					bad_packed_key = 1;
				}
			} else {
				if (!op2_loaded) {
					//|	// hval = Z_LVAL_P(dim);
					//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
						if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
					dasm_put(Dst, 30645, (ZREG_FCARG2));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
					dasm_put(Dst, 30648, (ZREG_FCARG2));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 30651, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 30655, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
					dasm_put(Dst, 30659, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 30663, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 30667, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 30671, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 30675, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 30679, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 30683, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 30687, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 30691, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 30695, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 30699, ((uint32_t)(Z_OFFSET(op2_addr))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
					dasm_put(Dst, 30702, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 30705, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 30708, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 30711, (ZREG_FCARG2), (Z_REG(op2_addr)));
						} else {
					dasm_put(Dst, 30715, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
						}
						} else if (Z_MODE(op2_addr) == IS_REG) {
							if (ZREG_FCARG2 != Z_REG(op2_addr)) {
					dasm_put(Dst, 30720, (ZREG_FCARG2), (Z_REG(op2_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 5133 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					op2_loaded = 1;
				}
				packed_loaded = 1;
			}

			if (dim_type == IS_UNDEF && type == BP_VAR_W) {
				/* don't generate "fast" code for packed array */
				packed_loaded = 0;
			}

			if (packed_loaded) {
				//|	// ZEND_HASH_INDEX_FIND(ht, hval, retval, num_undef);
				if (op1_info & MAY_BE_ARRAY_NUMERIC_HASH) {
					//|	ldr TMP1w, [FCARG1x, #offsetof(zend_array, u.flags)]
					//|	TST_32_WITH_CONST TMP1w, HASH_FLAG_PACKED, TMP2w
					dasm_put(Dst, 30724, offsetof(zend_array, u.flags));
						if (HASH_FLAG_PACKED == 0) {
					dasm_put(Dst, 30727);
						} else if (logical_immediate_p((uint32_t)HASH_FLAG_PACKED, 32)) {
					dasm_put(Dst, 30729, HASH_FLAG_PACKED);
						} else {
						if (((uint32_t)(HASH_FLAG_PACKED)) <= MOVZ_IMM) {
					dasm_put(Dst, 30732, ((uint32_t)(HASH_FLAG_PACKED)));
						} else if (((uint32_t)(HASH_FLAG_PACKED) & 0xffff)) {
					dasm_put(Dst, 30735, ((uint32_t)(HASH_FLAG_PACKED) & 0xffff));
							if ((((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff)) {
					dasm_put(Dst, 30738, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 30741, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 30744);
						}
#line 5148 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	beq >4 // HASH_FIND
					dasm_put(Dst, 30746);
#line 5149 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	// if (EXPECTED((zend_ulong)(_h) < (zend_ulong)(_ht)->nNumUsed))

				//|	ldr REG0w, [FCARG1x, #offsetof(zend_array, nNumUsed)]
				dasm_put(Dst, 30749, offsetof(zend_array, nNumUsed));
#line 5153 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (val == 0) {
					//|	cmp REG0, xzr
					dasm_put(Dst, 30752);
#line 5155 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (val > 0 && !op2_loaded) {
					//|	CMP_64_WITH_CONST REG0, val, TMP1
						if (val == 0) {
					dasm_put(Dst, 30754);
						} else if (arm64_may_encode_imm12((int64_t)(val))) {
					dasm_put(Dst, 30756, val);
						} else if (arm64_may_encode_imm12((int64_t)(-val))) {
					dasm_put(Dst, 30759, -val);
						} else {
						if (((uint64_t)(val)) == 0) {
					dasm_put(Dst, 30762);
						} else if (((uint64_t)(val)) <= MOVZ_IMM) {
					dasm_put(Dst, 30764, ((uint64_t)(val)));
						} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
					dasm_put(Dst, 30767, (~((uint64_t)(val))));
						} else if ((uint64_t)(val) & 0xffff) {
					dasm_put(Dst, 30770, ((uint64_t)(val) & 0xffff));
							if (((uint64_t)(val) >> 16) & 0xffff) {
					dasm_put(Dst, 30773, (((uint64_t)(val) >> 16) & 0xffff));
							}
							if (((uint64_t)(val) >> 32) & 0xffff) {
					dasm_put(Dst, 30776, (((uint64_t)(val) >> 32) & 0xffff));
							}
							if ((((uint64_t)(val) >> 48) & 0xffff)) {
					dasm_put(Dst, 30779, (((uint64_t)(val) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(val) >> 16) & 0xffff) {
					dasm_put(Dst, 30782, (((uint64_t)(val) >> 16) & 0xffff));
							if (((uint64_t)(val) >> 32) & 0xffff) {
					dasm_put(Dst, 30785, (((uint64_t)(val) >> 32) & 0xffff));
							}
							if ((((uint64_t)(val) >> 48) & 0xffff)) {
					dasm_put(Dst, 30788, (((uint64_t)(val) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(val) >> 32) & 0xffff) {
					dasm_put(Dst, 30791, (((uint64_t)(val) >> 32) & 0xffff));
							if ((((uint64_t)(val) >> 48) & 0xffff)) {
					dasm_put(Dst, 30794, (((uint64_t)(val) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 30797, (((uint64_t)(val) >> 48) & 0xffff));
						}
					dasm_put(Dst, 30800);
						}
#line 5157 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	cmp REG0, FCARG2x
					dasm_put(Dst, 30802);
#line 5159 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}

				if (type == BP_JIT_IS) {
					if (not_found_exit_addr) {
						//|	bls &not_found_exit_addr
						dasm_put(Dst, 30804, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5164 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bls >9 // NOT_FOUND
						dasm_put(Dst, 30807);
#line 5166 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE && type == BP_VAR_R) {
					//|	bls &exit_addr
					dasm_put(Dst, 30810, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 5169 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (type == BP_VAR_IS && not_found_exit_addr) {
					//|	bls &not_found_exit_addr
					dasm_put(Dst, 30813, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5171 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (type == BP_VAR_RW && not_found_exit_addr) {
					//|	bls &not_found_exit_addr
					dasm_put(Dst, 30816, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5173 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (type == BP_VAR_IS && found_exit_addr) {
					//|	bls >7 // NOT_FOUND
					dasm_put(Dst, 30819);
#line 5175 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	bls >2 // NOT_FOUND
					dasm_put(Dst, 30822);
#line 5177 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	// _ret = &_ht->arPacked[_h].val;
				if (val >= 0) {
					//|	ldr REG0, [FCARG1x, #offsetof(zend_array, arPacked)]
					dasm_put(Dst, 30825, offsetof(zend_array, arPacked));
#line 5181 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (val != 0) {
						//|	ADD_SUB_64_WITH_CONST add, REG0, REG0, (val * sizeof(zval)), TMP1
							if ((val * sizeof(zval)) == 0) {
						dasm_put(Dst, 30828);
							} else if (arm64_may_encode_imm12((int64_t)((val * sizeof(zval))))) {
						dasm_put(Dst, 30830, (val * sizeof(zval)));
							} else {
							if (((uint64_t)((val * sizeof(zval)))) == 0) {
						dasm_put(Dst, 30833);
							} else if (((uint64_t)((val * sizeof(zval)))) <= MOVZ_IMM) {
						dasm_put(Dst, 30835, ((uint64_t)((val * sizeof(zval)))));
							} else if (~((uint64_t)((val * sizeof(zval)))) <= MOVZ_IMM) {
						dasm_put(Dst, 30838, (~((uint64_t)((val * sizeof(zval))))));
							} else if ((uint64_t)((val * sizeof(zval))) & 0xffff) {
						dasm_put(Dst, 30841, ((uint64_t)((val * sizeof(zval))) & 0xffff));
								if (((uint64_t)((val * sizeof(zval))) >> 16) & 0xffff) {
						dasm_put(Dst, 30844, (((uint64_t)((val * sizeof(zval))) >> 16) & 0xffff));
								}
								if (((uint64_t)((val * sizeof(zval))) >> 32) & 0xffff) {
						dasm_put(Dst, 30847, (((uint64_t)((val * sizeof(zval))) >> 32) & 0xffff));
								}
								if ((((uint64_t)((val * sizeof(zval))) >> 48) & 0xffff)) {
						dasm_put(Dst, 30850, (((uint64_t)((val * sizeof(zval))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)((val * sizeof(zval))) >> 16) & 0xffff) {
						dasm_put(Dst, 30853, (((uint64_t)((val * sizeof(zval))) >> 16) & 0xffff));
								if (((uint64_t)((val * sizeof(zval))) >> 32) & 0xffff) {
						dasm_put(Dst, 30856, (((uint64_t)((val * sizeof(zval))) >> 32) & 0xffff));
								}
								if ((((uint64_t)((val * sizeof(zval))) >> 48) & 0xffff)) {
						dasm_put(Dst, 30859, (((uint64_t)((val * sizeof(zval))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)((val * sizeof(zval))) >> 32) & 0xffff) {
						dasm_put(Dst, 30862, (((uint64_t)((val * sizeof(zval))) >> 32) & 0xffff));
								if ((((uint64_t)((val * sizeof(zval))) >> 48) & 0xffff)) {
						dasm_put(Dst, 30865, (((uint64_t)((val * sizeof(zval))) >> 48) & 0xffff));
								}
							} else {
						dasm_put(Dst, 30868, (((uint64_t)((val * sizeof(zval))) >> 48) & 0xffff));
							}
						dasm_put(Dst, 30871);
							}
#line 5183 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else {
					//|	ldr TMP1, [FCARG1x, #offsetof(zend_array, arPacked)]
					//|	add REG0, TMP1, FCARG2x, lsl #4
					dasm_put(Dst, 30873, offsetof(zend_array, arPacked));
#line 5187 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
		}
		switch (type) {
			case BP_JIT_IS:
				if (op1_info & MAY_BE_ARRAY_NUMERIC_HASH) {
					if (packed_loaded) {
						//|	b >5
						dasm_put(Dst, 30877);
#line 5195 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|4:
					dasm_put(Dst, 30880);
#line 5197 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (!op2_loaded) {
						//|	// hval = Z_LVAL_P(dim);
						//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
							if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
								if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
						dasm_put(Dst, 30882, (ZREG_FCARG2));
								} else {
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
						dasm_put(Dst, 30885, (ZREG_FCARG2));
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
						dasm_put(Dst, 30888, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
							} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
						dasm_put(Dst, 30892, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
							} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
						dasm_put(Dst, 30896, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
						dasm_put(Dst, 30900, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
								}
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 30904, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								}
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 30908, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
						dasm_put(Dst, 30912, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 30916, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								}
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 30920, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 30924, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 30928, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else {
						dasm_put(Dst, 30932, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
								}
							} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
							if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
							if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 30936, ((uint32_t)(Z_OFFSET(op2_addr))));
							} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
						dasm_put(Dst, 30939, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 30942, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 30945, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 30948, (ZREG_FCARG2), (Z_REG(op2_addr)));
							} else {
						dasm_put(Dst, 30952, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
							}
							} else if (Z_MODE(op2_addr) == IS_REG) {
								if (ZREG_FCARG2 != Z_REG(op2_addr)) {
						dasm_put(Dst, 30957, (ZREG_FCARG2), (Z_REG(op2_addr)));
								}
							} else {
								ZEND_UNREACHABLE();
							}
#line 5200 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					if (packed_loaded) {
						//|	EXT_CALL _zend_hash_index_find, REG0
							if (arm64_may_use_b(_zend_hash_index_find)) {
						dasm_put(Dst, 30961, (unsigned int)((ptrdiff_t)(_zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(_zend_hash_index_find))>>32));
							} else {
							if (((uintptr_t)(_zend_hash_index_find)) == 0) {
						dasm_put(Dst, 30964);
							} else if (((uintptr_t)(_zend_hash_index_find)) <= MOVZ_IMM) {
						dasm_put(Dst, 30966, ((uint64_t)(_zend_hash_index_find)));
							} else if (arm64_may_use_adr((void*)(_zend_hash_index_find))) {
						dasm_put(Dst, 30969, (unsigned int)((ptrdiff_t)(_zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(_zend_hash_index_find))>>32));
							} else if (arm64_may_use_adrp((void*)(_zend_hash_index_find))) {
						dasm_put(Dst, 30972, (unsigned int)((ptrdiff_t)((((uintptr_t)(_zend_hash_index_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_zend_hash_index_find)))))>>32));
								if (((uintptr_t)(_zend_hash_index_find)) & 0xfff) {
						dasm_put(Dst, 30975, (((uintptr_t)(_zend_hash_index_find)) & 0xfff));
								}
							} else if ((uintptr_t)(_zend_hash_index_find) & 0xffff) {
						dasm_put(Dst, 30978, ((uintptr_t)(_zend_hash_index_find) & 0xffff));
								if (((uintptr_t)(_zend_hash_index_find) >> 16) & 0xffff) {
						dasm_put(Dst, 30981, (((uintptr_t)(_zend_hash_index_find) >> 16) & 0xffff));
								}
								if (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff) {
						dasm_put(Dst, 30984, (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(_zend_hash_index_find) >> 16) & 0xffff) {
						dasm_put(Dst, 30987, (((uintptr_t)(_zend_hash_index_find) >> 16) & 0xffff));
								if (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff) {
						dasm_put(Dst, 30990, (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 30993, (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff));
							}
						dasm_put(Dst, 30996);
							}
#line 5203 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	EXT_CALL zend_hash_index_find, REG0
							if (arm64_may_use_b(zend_hash_index_find)) {
						dasm_put(Dst, 30998, (unsigned int)((ptrdiff_t)(zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(zend_hash_index_find))>>32));
							} else {
							if (((uintptr_t)(zend_hash_index_find)) == 0) {
						dasm_put(Dst, 31001);
							} else if (((uintptr_t)(zend_hash_index_find)) <= MOVZ_IMM) {
						dasm_put(Dst, 31003, ((uint64_t)(zend_hash_index_find)));
							} else if (arm64_may_use_adr((void*)(zend_hash_index_find))) {
						dasm_put(Dst, 31006, (unsigned int)((ptrdiff_t)(zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(zend_hash_index_find))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_hash_index_find))) {
						dasm_put(Dst, 31009, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_index_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_index_find)))))>>32));
								if (((uintptr_t)(zend_hash_index_find)) & 0xfff) {
						dasm_put(Dst, 31012, (((uintptr_t)(zend_hash_index_find)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_hash_index_find) & 0xffff) {
						dasm_put(Dst, 31015, ((uintptr_t)(zend_hash_index_find) & 0xffff));
								if (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff) {
						dasm_put(Dst, 31018, (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff) {
						dasm_put(Dst, 31021, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff) {
						dasm_put(Dst, 31024, (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff));
								if (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff) {
						dasm_put(Dst, 31027, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31030, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
							}
						dasm_put(Dst, 31033);
							}
#line 5205 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	mov REG0, RETVALx
					dasm_put(Dst, 31035);
#line 5207 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (not_found_exit_addr) {
						//|	cbz REG0, &not_found_exit_addr
						dasm_put(Dst, 31037, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5209 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	cbz REG0, >9 // NOT_FOUND
						dasm_put(Dst, 31040);
#line 5211 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					if (op2_info & MAY_BE_STRING) {
						//|	b >5
						dasm_put(Dst, 31043);
#line 5214 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else if (packed_loaded) {
					if (op2_info & MAY_BE_STRING) {
						//|	b >5
						dasm_put(Dst, 31046);
#line 5218 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else if (not_found_exit_addr) {
					//|	b &not_found_exit_addr
					dasm_put(Dst, 31049, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5221 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	b >9 // NOT_FOUND
					dasm_put(Dst, 31052);
#line 5223 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				break;
			case BP_VAR_R:
			case BP_VAR_IS:
			case BP_VAR_UNSET:
				if (packed_loaded) {
					if (op1_info & MAY_BE_ARRAY_NUMERIC_HASH) {
						//|	IF_NOT_Z_TYPE REG0, IS_UNDEF, >8, TMP1w
						dasm_put(Dst, 31055, offsetof(zval, u1.v.type));
							if (IS_UNDEF == 0) {
						dasm_put(Dst, 31058);
							} else {
						dasm_put(Dst, 31061, IS_UNDEF);
							}
#line 5231 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE && type == BP_VAR_R) {
						/* perform IS_UNDEF check only after result type guard (during deoptimization) */
						if (!found_exit_addr || (op1_info & MAY_BE_ARRAY_NUMERIC_HASH)) {
							//|	IF_Z_TYPE REG0, IS_UNDEF, &exit_addr, TMP1w
							dasm_put(Dst, 31066, offsetof(zval, u1.v.type));
								if (IS_UNDEF == 0) {
							dasm_put(Dst, 31069, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
								} else {
							dasm_put(Dst, 31072, IS_UNDEF, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
								}
#line 5235 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else if (type == BP_VAR_IS && not_found_exit_addr) {
						//|	IF_Z_TYPE REG0, IS_UNDEF, &not_found_exit_addr, TMP1w
						dasm_put(Dst, 31077, offsetof(zval, u1.v.type));
							if (IS_UNDEF == 0) {
						dasm_put(Dst, 31080, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
							} else {
						dasm_put(Dst, 31083, IS_UNDEF, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
							}
#line 5238 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (type == BP_VAR_IS && found_exit_addr) {
						//|	IF_Z_TYPE REG0, IS_UNDEF, >7, TMP1w // NOT_FOUND
						dasm_put(Dst, 31088, offsetof(zval, u1.v.type));
							if (IS_UNDEF == 0) {
						dasm_put(Dst, 31091);
							} else {
						dasm_put(Dst, 31094, IS_UNDEF);
							}
#line 5240 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	IF_Z_TYPE REG0, IS_UNDEF, >2, TMP1w // NOT_FOUND
						dasm_put(Dst, 31099, offsetof(zval, u1.v.type));
							if (IS_UNDEF == 0) {
						dasm_put(Dst, 31102);
							} else {
						dasm_put(Dst, 31105, IS_UNDEF);
							}
#line 5242 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				if (!(op1_info & MAY_BE_ARRAY_KEY_LONG) || (packed_loaded && (op1_info & MAY_BE_ARRAY_NUMERIC_HASH))) {
					if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE && type == BP_VAR_R) {
						//|	b &exit_addr
						dasm_put(Dst, 31110, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 5247 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (type == BP_VAR_IS && not_found_exit_addr) {
						//|	b &not_found_exit_addr
						dasm_put(Dst, 31113, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5249 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (type == BP_VAR_IS && found_exit_addr) {
						//|	b >7 // NOT_FOUND
						dasm_put(Dst, 31116);
#line 5251 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	b >2 // NOT_FOUND
						dasm_put(Dst, 31119);
#line 5253 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				if (!packed_loaded || (op1_info & MAY_BE_ARRAY_NUMERIC_HASH)) {
					//|4:
					dasm_put(Dst, 31122);
#line 5257 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (!op2_loaded) {
						//|	// hval = Z_LVAL_P(dim);
						//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
							if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
								if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
						dasm_put(Dst, 31124, (ZREG_FCARG2));
								} else {
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
						dasm_put(Dst, 31127, (ZREG_FCARG2));
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
						dasm_put(Dst, 31130, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
							} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
						dasm_put(Dst, 31134, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
							} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
						dasm_put(Dst, 31138, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
						dasm_put(Dst, 31142, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
								}
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31146, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								}
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31150, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
						dasm_put(Dst, 31154, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31158, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								}
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31162, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31166, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31170, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31174, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
								}
							} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
							if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
							if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 31178, ((uint32_t)(Z_OFFSET(op2_addr))));
							} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
						dasm_put(Dst, 31181, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 31184, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31187, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 31190, (ZREG_FCARG2), (Z_REG(op2_addr)));
							} else {
						dasm_put(Dst, 31194, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
							}
							} else if (Z_MODE(op2_addr) == IS_REG) {
								if (ZREG_FCARG2 != Z_REG(op2_addr)) {
						dasm_put(Dst, 31199, (ZREG_FCARG2), (Z_REG(op2_addr)));
								}
							} else {
								ZEND_UNREACHABLE();
							}
#line 5260 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					if (packed_loaded) {
						//|	EXT_CALL _zend_hash_index_find, REG0
							if (arm64_may_use_b(_zend_hash_index_find)) {
						dasm_put(Dst, 31203, (unsigned int)((ptrdiff_t)(_zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(_zend_hash_index_find))>>32));
							} else {
							if (((uintptr_t)(_zend_hash_index_find)) == 0) {
						dasm_put(Dst, 31206);
							} else if (((uintptr_t)(_zend_hash_index_find)) <= MOVZ_IMM) {
						dasm_put(Dst, 31208, ((uint64_t)(_zend_hash_index_find)));
							} else if (arm64_may_use_adr((void*)(_zend_hash_index_find))) {
						dasm_put(Dst, 31211, (unsigned int)((ptrdiff_t)(_zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(_zend_hash_index_find))>>32));
							} else if (arm64_may_use_adrp((void*)(_zend_hash_index_find))) {
						dasm_put(Dst, 31214, (unsigned int)((ptrdiff_t)((((uintptr_t)(_zend_hash_index_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_zend_hash_index_find)))))>>32));
								if (((uintptr_t)(_zend_hash_index_find)) & 0xfff) {
						dasm_put(Dst, 31217, (((uintptr_t)(_zend_hash_index_find)) & 0xfff));
								}
							} else if ((uintptr_t)(_zend_hash_index_find) & 0xffff) {
						dasm_put(Dst, 31220, ((uintptr_t)(_zend_hash_index_find) & 0xffff));
								if (((uintptr_t)(_zend_hash_index_find) >> 16) & 0xffff) {
						dasm_put(Dst, 31223, (((uintptr_t)(_zend_hash_index_find) >> 16) & 0xffff));
								}
								if (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff) {
						dasm_put(Dst, 31226, (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(_zend_hash_index_find) >> 16) & 0xffff) {
						dasm_put(Dst, 31229, (((uintptr_t)(_zend_hash_index_find) >> 16) & 0xffff));
								if (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff) {
						dasm_put(Dst, 31232, (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31235, (((uintptr_t)(_zend_hash_index_find) >> 32) & 0xffff));
							}
						dasm_put(Dst, 31238);
							}
#line 5263 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	EXT_CALL zend_hash_index_find, REG0
							if (arm64_may_use_b(zend_hash_index_find)) {
						dasm_put(Dst, 31240, (unsigned int)((ptrdiff_t)(zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(zend_hash_index_find))>>32));
							} else {
							if (((uintptr_t)(zend_hash_index_find)) == 0) {
						dasm_put(Dst, 31243);
							} else if (((uintptr_t)(zend_hash_index_find)) <= MOVZ_IMM) {
						dasm_put(Dst, 31245, ((uint64_t)(zend_hash_index_find)));
							} else if (arm64_may_use_adr((void*)(zend_hash_index_find))) {
						dasm_put(Dst, 31248, (unsigned int)((ptrdiff_t)(zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(zend_hash_index_find))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_hash_index_find))) {
						dasm_put(Dst, 31251, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_index_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_index_find)))))>>32));
								if (((uintptr_t)(zend_hash_index_find)) & 0xfff) {
						dasm_put(Dst, 31254, (((uintptr_t)(zend_hash_index_find)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_hash_index_find) & 0xffff) {
						dasm_put(Dst, 31257, ((uintptr_t)(zend_hash_index_find) & 0xffff));
								if (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff) {
						dasm_put(Dst, 31260, (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff) {
						dasm_put(Dst, 31263, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff) {
						dasm_put(Dst, 31266, (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff));
								if (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff) {
						dasm_put(Dst, 31269, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31272, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
							}
						dasm_put(Dst, 31275);
							}
#line 5265 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	mov REG0, RETVALx
					dasm_put(Dst, 31277);
#line 5267 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE && type == BP_VAR_R) {
						//|	cbz REG0, &exit_addr
						dasm_put(Dst, 31279, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 5269 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (type == BP_VAR_IS && not_found_exit_addr) {
						//|	cbz REG0, &not_found_exit_addr
						dasm_put(Dst, 31282, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5271 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (type == BP_VAR_IS && found_exit_addr) {
						//|	cbz REG0, >7 // NOT_FOUND
						dasm_put(Dst, 31285);
#line 5273 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	cbz REG0, >2 // NOT_FOUND
						dasm_put(Dst, 31288);
#line 5275 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				//|.cold_code
				dasm_put(Dst, 31291);
#line 5278 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|2:
				dasm_put(Dst, 31292);
#line 5279 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				switch (type) {
					case BP_VAR_R:
						if (JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE) {
							//|	// zend_error(E_WARNING,"Undefined array key " ZEND_LONG_FMT, hval);
							//|	// retval = &EG(uninitialized_zval);
							//|	UNDEFINED_OFFSET opline
								if (opline == last_valid_opline) {
									zend_jit_use_last_valid_opline();
							dasm_put(Dst, 31294);
								} else {
								if (opline == last_valid_opline) {
									zend_jit_use_last_valid_opline();
								if (GCC_GLOBAL_REGS) {
							dasm_put(Dst, 31297, Dt1(->opline));
								}
								} else {
								if (((uintptr_t)(opline)) == 0) {
							dasm_put(Dst, 31300);
								} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
							dasm_put(Dst, 31302, ((uint64_t)(opline)));
								} else if (arm64_may_use_adr((void*)(opline))) {
							dasm_put(Dst, 31305, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
								} else if (arm64_may_use_adrp((void*)(opline))) {
							dasm_put(Dst, 31308, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
									if (((uintptr_t)(opline)) & 0xfff) {
							dasm_put(Dst, 31311, (((uintptr_t)(opline)) & 0xfff));
									}
								} else if ((uintptr_t)(opline) & 0xffff) {
							dasm_put(Dst, 31314, ((uintptr_t)(opline) & 0xffff));
									if (((uintptr_t)(opline) >> 16) & 0xffff) {
							dasm_put(Dst, 31317, (((uintptr_t)(opline) >> 16) & 0xffff));
									}
									if (((uintptr_t)(opline) >> 32) & 0xffff) {
							dasm_put(Dst, 31320, (((uintptr_t)(opline) >> 32) & 0xffff));
									}
								} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
							dasm_put(Dst, 31323, (((uintptr_t)(opline) >> 16) & 0xffff));
									if (((uintptr_t)(opline) >> 32) & 0xffff) {
							dasm_put(Dst, 31326, (((uintptr_t)(opline) >> 32) & 0xffff));
									}
								} else {
							dasm_put(Dst, 31329, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							dasm_put(Dst, 31332, Dt1(->opline));
									if (!GCC_GLOBAL_REGS) {
										zend_jit_reset_last_valid_opline();
									}
								}
							dasm_put(Dst, 31335);
								}
#line 5285 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							//|	b >9
							dasm_put(Dst, 31338);
#line 5286 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						break;
					case BP_VAR_IS:
					case BP_VAR_UNSET:
						if (!not_found_exit_addr && !found_exit_addr) {
							//|	// retval = &EG(uninitialized_zval);
							//|	SET_ZVAL_TYPE_INFO res_addr, IS_NULL, TMP1w, TMP2
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
							dasm_put(Dst, 31341, ((uint32_t)(IS_NULL)));
								} else if (((uint32_t)(IS_NULL) & 0xffff)) {
							dasm_put(Dst, 31344, ((uint32_t)(IS_NULL) & 0xffff));
									if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
							dasm_put(Dst, 31347, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 31350, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 31353, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 31356, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 31359, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 31362, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 31365, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 31368, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 5293 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							//|	b >9
							dasm_put(Dst, 31372);
#line 5294 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						break;
					default:
						ZEND_UNREACHABLE();
				}
				//|.code
				dasm_put(Dst, 31375);
#line 5300 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case BP_VAR_RW:
				if (packed_loaded && !not_found_exit_addr) {
					//|	IF_NOT_Z_TYPE REG0, IS_UNDEF, >8, TMP1w
					dasm_put(Dst, 31376, offsetof(zval, u1.v.type));
						if (IS_UNDEF == 0) {
					dasm_put(Dst, 31379);
						} else {
					dasm_put(Dst, 31382, IS_UNDEF);
						}
#line 5304 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (!packed_loaded ||
						!not_found_exit_addr ||
						(op1_info & MAY_BE_ARRAY_NUMERIC_HASH)) {
					if (packed_loaded && not_found_exit_addr) {
						//|.cold_code
						dasm_put(Dst, 31387);
#line 5310 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|2:
					//|4:
					dasm_put(Dst, 31388);
#line 5313 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (!op2_loaded) {
						//|	// hval = Z_LVAL_P(dim);
						//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
							if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
								if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
						dasm_put(Dst, 31391, (ZREG_FCARG2));
								} else {
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
						dasm_put(Dst, 31394, (ZREG_FCARG2));
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
						dasm_put(Dst, 31397, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
							} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
						dasm_put(Dst, 31401, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
							} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
						dasm_put(Dst, 31405, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
						dasm_put(Dst, 31409, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
								}
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31413, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								}
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31417, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
						dasm_put(Dst, 31421, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31425, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								}
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31429, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31433, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31437, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31441, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
								}
							} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
							if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
							if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 31445, ((uint32_t)(Z_OFFSET(op2_addr))));
							} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
						dasm_put(Dst, 31448, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 31451, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31454, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 31457, (ZREG_FCARG2), (Z_REG(op2_addr)));
							} else {
						dasm_put(Dst, 31461, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
							}
							} else if (Z_MODE(op2_addr) == IS_REG) {
								if (ZREG_FCARG2 != Z_REG(op2_addr)) {
						dasm_put(Dst, 31466, (ZREG_FCARG2), (Z_REG(op2_addr)));
								}
							} else {
								ZEND_UNREACHABLE();
							}
#line 5316 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					if (packed_loaded) {
						//|	EXT_CALL zend_jit_hash_index_lookup_rw_no_packed, REG0
							if (arm64_may_use_b(zend_jit_hash_index_lookup_rw_no_packed)) {
						dasm_put(Dst, 31470, (unsigned int)((ptrdiff_t)(zend_jit_hash_index_lookup_rw_no_packed)), (unsigned int)(((ptrdiff_t)(zend_jit_hash_index_lookup_rw_no_packed))>>32));
							} else {
							if (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed)) == 0) {
						dasm_put(Dst, 31473);
							} else if (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed)) <= MOVZ_IMM) {
						dasm_put(Dst, 31475, ((uint64_t)(zend_jit_hash_index_lookup_rw_no_packed)));
							} else if (arm64_may_use_adr((void*)(zend_jit_hash_index_lookup_rw_no_packed))) {
						dasm_put(Dst, 31478, (unsigned int)((ptrdiff_t)(zend_jit_hash_index_lookup_rw_no_packed)), (unsigned int)(((ptrdiff_t)(zend_jit_hash_index_lookup_rw_no_packed))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_hash_index_lookup_rw_no_packed))) {
						dasm_put(Dst, 31481, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed)))))>>32));
								if (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed)) & 0xfff) {
						dasm_put(Dst, 31484, (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) & 0xffff) {
						dasm_put(Dst, 31487, ((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) & 0xffff));
								if (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) >> 16) & 0xffff) {
						dasm_put(Dst, 31490, (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) >> 32) & 0xffff) {
						dasm_put(Dst, 31493, (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) >> 16) & 0xffff) {
						dasm_put(Dst, 31496, (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) >> 32) & 0xffff) {
						dasm_put(Dst, 31499, (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31502, (((uintptr_t)(zend_jit_hash_index_lookup_rw_no_packed) >> 32) & 0xffff));
							}
						dasm_put(Dst, 31505);
							}
#line 5319 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	EXT_CALL zend_jit_hash_index_lookup_rw, REG0
							if (arm64_may_use_b(zend_jit_hash_index_lookup_rw)) {
						dasm_put(Dst, 31507, (unsigned int)((ptrdiff_t)(zend_jit_hash_index_lookup_rw)), (unsigned int)(((ptrdiff_t)(zend_jit_hash_index_lookup_rw))>>32));
							} else {
							if (((uintptr_t)(zend_jit_hash_index_lookup_rw)) == 0) {
						dasm_put(Dst, 31510);
							} else if (((uintptr_t)(zend_jit_hash_index_lookup_rw)) <= MOVZ_IMM) {
						dasm_put(Dst, 31512, ((uint64_t)(zend_jit_hash_index_lookup_rw)));
							} else if (arm64_may_use_adr((void*)(zend_jit_hash_index_lookup_rw))) {
						dasm_put(Dst, 31515, (unsigned int)((ptrdiff_t)(zend_jit_hash_index_lookup_rw)), (unsigned int)(((ptrdiff_t)(zend_jit_hash_index_lookup_rw))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_hash_index_lookup_rw))) {
						dasm_put(Dst, 31518, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_hash_index_lookup_rw))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_hash_index_lookup_rw)))))>>32));
								if (((uintptr_t)(zend_jit_hash_index_lookup_rw)) & 0xfff) {
						dasm_put(Dst, 31521, (((uintptr_t)(zend_jit_hash_index_lookup_rw)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_hash_index_lookup_rw) & 0xffff) {
						dasm_put(Dst, 31524, ((uintptr_t)(zend_jit_hash_index_lookup_rw) & 0xffff));
								if (((uintptr_t)(zend_jit_hash_index_lookup_rw) >> 16) & 0xffff) {
						dasm_put(Dst, 31527, (((uintptr_t)(zend_jit_hash_index_lookup_rw) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_hash_index_lookup_rw) >> 32) & 0xffff) {
						dasm_put(Dst, 31530, (((uintptr_t)(zend_jit_hash_index_lookup_rw) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_hash_index_lookup_rw) >> 16) & 0xffff) {
						dasm_put(Dst, 31533, (((uintptr_t)(zend_jit_hash_index_lookup_rw) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_hash_index_lookup_rw) >> 32) & 0xffff) {
						dasm_put(Dst, 31536, (((uintptr_t)(zend_jit_hash_index_lookup_rw) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31539, (((uintptr_t)(zend_jit_hash_index_lookup_rw) >> 32) & 0xffff));
							}
						dasm_put(Dst, 31542);
							}
#line 5321 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	mov REG0, RETVALx
					dasm_put(Dst, 31544);
#line 5323 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (not_found_exit_addr) {
						if (packed_loaded) {
							//|	cbnz REG0, >8
							//|	b &not_found_exit_addr
							//|.code
							dasm_put(Dst, 31546, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5328 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	cbz REG0, &not_found_exit_addr
							dasm_put(Dst, 31551, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5330 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else {
						//|	cbz REG0, >9
						dasm_put(Dst, 31554);
#line 5333 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				break;
			case BP_VAR_W:
				if (packed_loaded) {
					//|	IF_NOT_Z_TYPE REG0, IS_UNDEF, >8, TMP1w
					dasm_put(Dst, 31557, offsetof(zval, u1.v.type));
						if (IS_UNDEF == 0) {
					dasm_put(Dst, 31560);
						} else {
					dasm_put(Dst, 31563, IS_UNDEF);
						}
#line 5339 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (!(op1_info & MAY_BE_ARRAY_KEY_LONG) || (op1_info & MAY_BE_ARRAY_NUMERIC_HASH) || packed_loaded || bad_packed_key || dim_type == IS_UNDEF) {
					//|2:
					//|4:
					dasm_put(Dst, 31568);
#line 5343 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (!op2_loaded) {
						//|	// hval = Z_LVAL_P(dim);
						//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
							if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
								if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
						dasm_put(Dst, 31571, (ZREG_FCARG2));
								} else {
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
						dasm_put(Dst, 31574, (ZREG_FCARG2));
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
						dasm_put(Dst, 31577, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
							} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
						dasm_put(Dst, 31581, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
							} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
						dasm_put(Dst, 31585, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
						dasm_put(Dst, 31589, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
								}
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31593, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								}
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31597, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
						dasm_put(Dst, 31601, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
								if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31605, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								}
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31609, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
						dasm_put(Dst, 31613, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
								if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
						dasm_put(Dst, 31617, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31621, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
								}
							} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
							if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
							if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 31625, ((uint32_t)(Z_OFFSET(op2_addr))));
							} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
						dasm_put(Dst, 31628, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 31631, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 31634, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 31637, (ZREG_FCARG2), (Z_REG(op2_addr)));
							} else {
						dasm_put(Dst, 31641, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
							}
							} else if (Z_MODE(op2_addr) == IS_REG) {
								if (ZREG_FCARG2 != Z_REG(op2_addr)) {
						dasm_put(Dst, 31646, (ZREG_FCARG2), (Z_REG(op2_addr)));
								}
							} else {
								ZEND_UNREACHABLE();
							}
#line 5346 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	EXT_CALL zend_hash_index_lookup, REG0
						if (arm64_may_use_b(zend_hash_index_lookup)) {
					dasm_put(Dst, 31650, (unsigned int)((ptrdiff_t)(zend_hash_index_lookup)), (unsigned int)(((ptrdiff_t)(zend_hash_index_lookup))>>32));
						} else {
						if (((uintptr_t)(zend_hash_index_lookup)) == 0) {
					dasm_put(Dst, 31653);
						} else if (((uintptr_t)(zend_hash_index_lookup)) <= MOVZ_IMM) {
					dasm_put(Dst, 31655, ((uint64_t)(zend_hash_index_lookup)));
						} else if (arm64_may_use_adr((void*)(zend_hash_index_lookup))) {
					dasm_put(Dst, 31658, (unsigned int)((ptrdiff_t)(zend_hash_index_lookup)), (unsigned int)(((ptrdiff_t)(zend_hash_index_lookup))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_hash_index_lookup))) {
					dasm_put(Dst, 31661, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_index_lookup))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_index_lookup)))))>>32));
							if (((uintptr_t)(zend_hash_index_lookup)) & 0xfff) {
					dasm_put(Dst, 31664, (((uintptr_t)(zend_hash_index_lookup)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_hash_index_lookup) & 0xffff) {
					dasm_put(Dst, 31667, ((uintptr_t)(zend_hash_index_lookup) & 0xffff));
							if (((uintptr_t)(zend_hash_index_lookup) >> 16) & 0xffff) {
					dasm_put(Dst, 31670, (((uintptr_t)(zend_hash_index_lookup) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_hash_index_lookup) >> 32) & 0xffff) {
					dasm_put(Dst, 31673, (((uintptr_t)(zend_hash_index_lookup) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_hash_index_lookup) >> 16) & 0xffff) {
					dasm_put(Dst, 31676, (((uintptr_t)(zend_hash_index_lookup) >> 16) & 0xffff));
							if (((uintptr_t)(zend_hash_index_lookup) >> 32) & 0xffff) {
					dasm_put(Dst, 31679, (((uintptr_t)(zend_hash_index_lookup) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 31682, (((uintptr_t)(zend_hash_index_lookup) >> 32) & 0xffff));
						}
					dasm_put(Dst, 31685);
						}
#line 5348 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	mov REG0, RETVALx
					dasm_put(Dst, 31687);
#line 5349 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				break;
			default:
				ZEND_UNREACHABLE();
		}

		if (type != BP_JIT_IS && (op2_info & MAY_BE_STRING)) {
			//|	b >8
			dasm_put(Dst, 31689);
#line 5357 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (op2_info & MAY_BE_STRING) {
		//|3:
		dasm_put(Dst, 31692);
#line 5362 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - (MAY_BE_LONG|MAY_BE_STRING))) {
			//|	// if (EXPECTED(Z_TYPE_P(dim) == IS_STRING))
			//|	IF_NOT_ZVAL_TYPE op2_addr, IS_STRING, >3, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 31694, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 31698, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 31702, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 31706, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 31710, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 31715, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_STRING == 0) {
			dasm_put(Dst, 31720, (ZREG_X15));
				} else {
			dasm_put(Dst, 31724, (ZREG_X15), IS_STRING);
				}
#line 5365 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	// offset_key = Z_STR_P(dim);
		//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 31730, (ZREG_FCARG2));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 31733, (ZREG_FCARG2));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 31736, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 31740, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 31744, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 31748, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 31752, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 31756, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 31760, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 31764, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 31768, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 31772, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 31776, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 31780, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 31784, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 31787, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 31790, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 31793, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 31796, (ZREG_FCARG2), (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 31800, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
			} else if (Z_MODE(op2_addr) == IS_REG) {
				if (ZREG_FCARG2 != Z_REG(op2_addr)) {
		dasm_put(Dst, 31805, (ZREG_FCARG2), (Z_REG(op2_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 5368 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	// retval = zend_hash_find(ht, offset_key);
		switch (type) {
			case BP_JIT_IS:
				if (opline->op2_type != IS_CONST) {
					//|	ldrb TMP1w, [FCARG2x, #offsetof(zend_string, val)]
					//|	cmp TMP1w, #((uint8_t) ('9'))
					//|	ble >1
					//|.cold_code
					dasm_put(Dst, 31809, offsetof(zend_string, val), ((uint8_t) ('9')));
#line 5376 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					//|	EXT_CALL zend_jit_symtable_find, REG0
					dasm_put(Dst, 31816);
						if (arm64_may_use_b(zend_jit_symtable_find)) {
					dasm_put(Dst, 31818, (unsigned int)((ptrdiff_t)(zend_jit_symtable_find)), (unsigned int)(((ptrdiff_t)(zend_jit_symtable_find))>>32));
						} else {
						if (((uintptr_t)(zend_jit_symtable_find)) == 0) {
					dasm_put(Dst, 31821);
						} else if (((uintptr_t)(zend_jit_symtable_find)) <= MOVZ_IMM) {
					dasm_put(Dst, 31823, ((uint64_t)(zend_jit_symtable_find)));
						} else if (arm64_may_use_adr((void*)(zend_jit_symtable_find))) {
					dasm_put(Dst, 31826, (unsigned int)((ptrdiff_t)(zend_jit_symtable_find)), (unsigned int)(((ptrdiff_t)(zend_jit_symtable_find))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_symtable_find))) {
					dasm_put(Dst, 31829, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_symtable_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_symtable_find)))))>>32));
							if (((uintptr_t)(zend_jit_symtable_find)) & 0xfff) {
					dasm_put(Dst, 31832, (((uintptr_t)(zend_jit_symtable_find)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_symtable_find) & 0xffff) {
					dasm_put(Dst, 31835, ((uintptr_t)(zend_jit_symtable_find) & 0xffff));
							if (((uintptr_t)(zend_jit_symtable_find) >> 16) & 0xffff) {
					dasm_put(Dst, 31838, (((uintptr_t)(zend_jit_symtable_find) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff) {
					dasm_put(Dst, 31841, (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_symtable_find) >> 16) & 0xffff) {
					dasm_put(Dst, 31844, (((uintptr_t)(zend_jit_symtable_find) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff) {
					dasm_put(Dst, 31847, (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 31850, (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff));
						}
					dasm_put(Dst, 31853);
						}
#line 5378 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	b >1
					//|.code
					dasm_put(Dst, 31855);
#line 5380 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_hash_find, REG0
						if (arm64_may_use_b(zend_hash_find)) {
					dasm_put(Dst, 31858, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
						} else {
						if (((uintptr_t)(zend_hash_find)) == 0) {
					dasm_put(Dst, 31861);
						} else if (((uintptr_t)(zend_hash_find)) <= MOVZ_IMM) {
					dasm_put(Dst, 31863, ((uint64_t)(zend_hash_find)));
						} else if (arm64_may_use_adr((void*)(zend_hash_find))) {
					dasm_put(Dst, 31866, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_hash_find))) {
					dasm_put(Dst, 31869, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_find)))))>>32));
							if (((uintptr_t)(zend_hash_find)) & 0xfff) {
					dasm_put(Dst, 31872, (((uintptr_t)(zend_hash_find)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_hash_find) & 0xffff) {
					dasm_put(Dst, 31875, ((uintptr_t)(zend_hash_find) & 0xffff));
							if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
					dasm_put(Dst, 31878, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
					dasm_put(Dst, 31881, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
					dasm_put(Dst, 31884, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
							if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
					dasm_put(Dst, 31887, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 31890, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
						}
					dasm_put(Dst, 31893);
						}
#line 5381 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 31895);
#line 5382 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL zend_hash_find_known_hash, REG0
						if (arm64_may_use_b(zend_hash_find_known_hash)) {
					dasm_put(Dst, 31897, (unsigned int)((ptrdiff_t)(zend_hash_find_known_hash)), (unsigned int)(((ptrdiff_t)(zend_hash_find_known_hash))>>32));
						} else {
						if (((uintptr_t)(zend_hash_find_known_hash)) == 0) {
					dasm_put(Dst, 31900);
						} else if (((uintptr_t)(zend_hash_find_known_hash)) <= MOVZ_IMM) {
					dasm_put(Dst, 31902, ((uint64_t)(zend_hash_find_known_hash)));
						} else if (arm64_may_use_adr((void*)(zend_hash_find_known_hash))) {
					dasm_put(Dst, 31905, (unsigned int)((ptrdiff_t)(zend_hash_find_known_hash)), (unsigned int)(((ptrdiff_t)(zend_hash_find_known_hash))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_hash_find_known_hash))) {
					dasm_put(Dst, 31908, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_find_known_hash))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_find_known_hash)))))>>32));
							if (((uintptr_t)(zend_hash_find_known_hash)) & 0xfff) {
					dasm_put(Dst, 31911, (((uintptr_t)(zend_hash_find_known_hash)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_hash_find_known_hash) & 0xffff) {
					dasm_put(Dst, 31914, ((uintptr_t)(zend_hash_find_known_hash) & 0xffff));
							if (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff) {
					dasm_put(Dst, 31917, (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff) {
					dasm_put(Dst, 31920, (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff) {
					dasm_put(Dst, 31923, (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff));
							if (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff) {
					dasm_put(Dst, 31926, (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 31929, (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff));
						}
					dasm_put(Dst, 31932);
						}
#line 5384 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	mov REG0, RETVALx
				dasm_put(Dst, 31934);
#line 5386 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (not_found_exit_addr) {
					//|	cbz REG0, &not_found_exit_addr
					dasm_put(Dst, 31936, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5388 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	cbz REG0, >9 // NOT_FOUND
					dasm_put(Dst, 31939);
#line 5390 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				break;
			case BP_VAR_R:
			case BP_VAR_IS:
			case BP_VAR_UNSET:
				if (opline->op2_type != IS_CONST) {
					//|	ldrb TMP1w, [FCARG2x, #offsetof(zend_string, val)]
					//|	cmp TMP1w, #((uint8_t) ('9'))
					//|	ble >1
					//|.cold_code
					dasm_put(Dst, 31942, offsetof(zend_string, val), ((uint8_t) ('9')));
#line 5400 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					//|	EXT_CALL zend_jit_symtable_find, REG0
					dasm_put(Dst, 31949);
						if (arm64_may_use_b(zend_jit_symtable_find)) {
					dasm_put(Dst, 31951, (unsigned int)((ptrdiff_t)(zend_jit_symtable_find)), (unsigned int)(((ptrdiff_t)(zend_jit_symtable_find))>>32));
						} else {
						if (((uintptr_t)(zend_jit_symtable_find)) == 0) {
					dasm_put(Dst, 31954);
						} else if (((uintptr_t)(zend_jit_symtable_find)) <= MOVZ_IMM) {
					dasm_put(Dst, 31956, ((uint64_t)(zend_jit_symtable_find)));
						} else if (arm64_may_use_adr((void*)(zend_jit_symtable_find))) {
					dasm_put(Dst, 31959, (unsigned int)((ptrdiff_t)(zend_jit_symtable_find)), (unsigned int)(((ptrdiff_t)(zend_jit_symtable_find))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_symtable_find))) {
					dasm_put(Dst, 31962, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_symtable_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_symtable_find)))))>>32));
							if (((uintptr_t)(zend_jit_symtable_find)) & 0xfff) {
					dasm_put(Dst, 31965, (((uintptr_t)(zend_jit_symtable_find)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_symtable_find) & 0xffff) {
					dasm_put(Dst, 31968, ((uintptr_t)(zend_jit_symtable_find) & 0xffff));
							if (((uintptr_t)(zend_jit_symtable_find) >> 16) & 0xffff) {
					dasm_put(Dst, 31971, (((uintptr_t)(zend_jit_symtable_find) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff) {
					dasm_put(Dst, 31974, (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_symtable_find) >> 16) & 0xffff) {
					dasm_put(Dst, 31977, (((uintptr_t)(zend_jit_symtable_find) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff) {
					dasm_put(Dst, 31980, (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 31983, (((uintptr_t)(zend_jit_symtable_find) >> 32) & 0xffff));
						}
					dasm_put(Dst, 31986);
						}
#line 5402 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	b >1
					//|.code
					dasm_put(Dst, 31988);
#line 5404 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_hash_find, REG0
						if (arm64_may_use_b(zend_hash_find)) {
					dasm_put(Dst, 31991, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
						} else {
						if (((uintptr_t)(zend_hash_find)) == 0) {
					dasm_put(Dst, 31994);
						} else if (((uintptr_t)(zend_hash_find)) <= MOVZ_IMM) {
					dasm_put(Dst, 31996, ((uint64_t)(zend_hash_find)));
						} else if (arm64_may_use_adr((void*)(zend_hash_find))) {
					dasm_put(Dst, 31999, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_hash_find))) {
					dasm_put(Dst, 32002, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_find)))))>>32));
							if (((uintptr_t)(zend_hash_find)) & 0xfff) {
					dasm_put(Dst, 32005, (((uintptr_t)(zend_hash_find)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_hash_find) & 0xffff) {
					dasm_put(Dst, 32008, ((uintptr_t)(zend_hash_find) & 0xffff));
							if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
					dasm_put(Dst, 32011, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
					dasm_put(Dst, 32014, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
					dasm_put(Dst, 32017, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
							if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
					dasm_put(Dst, 32020, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 32023, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
						}
					dasm_put(Dst, 32026);
						}
#line 5405 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 32028);
#line 5406 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL zend_hash_find_known_hash, REG0
						if (arm64_may_use_b(zend_hash_find_known_hash)) {
					dasm_put(Dst, 32030, (unsigned int)((ptrdiff_t)(zend_hash_find_known_hash)), (unsigned int)(((ptrdiff_t)(zend_hash_find_known_hash))>>32));
						} else {
						if (((uintptr_t)(zend_hash_find_known_hash)) == 0) {
					dasm_put(Dst, 32033);
						} else if (((uintptr_t)(zend_hash_find_known_hash)) <= MOVZ_IMM) {
					dasm_put(Dst, 32035, ((uint64_t)(zend_hash_find_known_hash)));
						} else if (arm64_may_use_adr((void*)(zend_hash_find_known_hash))) {
					dasm_put(Dst, 32038, (unsigned int)((ptrdiff_t)(zend_hash_find_known_hash)), (unsigned int)(((ptrdiff_t)(zend_hash_find_known_hash))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_hash_find_known_hash))) {
					dasm_put(Dst, 32041, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_find_known_hash))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_find_known_hash)))))>>32));
							if (((uintptr_t)(zend_hash_find_known_hash)) & 0xfff) {
					dasm_put(Dst, 32044, (((uintptr_t)(zend_hash_find_known_hash)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_hash_find_known_hash) & 0xffff) {
					dasm_put(Dst, 32047, ((uintptr_t)(zend_hash_find_known_hash) & 0xffff));
							if (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff) {
					dasm_put(Dst, 32050, (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff) {
					dasm_put(Dst, 32053, (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff) {
					dasm_put(Dst, 32056, (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff));
							if (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff) {
					dasm_put(Dst, 32059, (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 32062, (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff));
						}
					dasm_put(Dst, 32065);
						}
#line 5408 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	mov REG0, RETVALx
				dasm_put(Dst, 32067);
#line 5410 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE && type == BP_VAR_R) {
					//|	cbz REG0, &exit_addr
					dasm_put(Dst, 32069, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 5412 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (type == BP_VAR_IS && not_found_exit_addr) {
					//|	cbz REG0, &not_found_exit_addr
					dasm_put(Dst, 32072, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5414 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (type == BP_VAR_IS && found_exit_addr) {
					//|	cbz REG0, >7
					dasm_put(Dst, 32075);
#line 5416 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	cbz REG0, >2 // NOT_FOUND
					//|.cold_code
					dasm_put(Dst, 32078);
#line 5419 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|2:
					dasm_put(Dst, 32081);
#line 5420 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					switch (type) {
						case BP_VAR_R:
							// zend_error(E_WARNING, "Undefined array key \"%s\"", ZSTR_VAL(offset_key));
							//|	UNDEFINED_INDEX opline
								if (opline == last_valid_opline) {
									zend_jit_use_last_valid_opline();
							dasm_put(Dst, 32083);
								} else {
								if (opline == last_valid_opline) {
									zend_jit_use_last_valid_opline();
								if (GCC_GLOBAL_REGS) {
							dasm_put(Dst, 32086, Dt1(->opline));
								}
								} else {
								if (((uintptr_t)(opline)) == 0) {
							dasm_put(Dst, 32089);
								} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
							dasm_put(Dst, 32091, ((uint64_t)(opline)));
								} else if (arm64_may_use_adr((void*)(opline))) {
							dasm_put(Dst, 32094, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
								} else if (arm64_may_use_adrp((void*)(opline))) {
							dasm_put(Dst, 32097, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
									if (((uintptr_t)(opline)) & 0xfff) {
							dasm_put(Dst, 32100, (((uintptr_t)(opline)) & 0xfff));
									}
								} else if ((uintptr_t)(opline) & 0xffff) {
							dasm_put(Dst, 32103, ((uintptr_t)(opline) & 0xffff));
									if (((uintptr_t)(opline) >> 16) & 0xffff) {
							dasm_put(Dst, 32106, (((uintptr_t)(opline) >> 16) & 0xffff));
									}
									if (((uintptr_t)(opline) >> 32) & 0xffff) {
							dasm_put(Dst, 32109, (((uintptr_t)(opline) >> 32) & 0xffff));
									}
								} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
							dasm_put(Dst, 32112, (((uintptr_t)(opline) >> 16) & 0xffff));
									if (((uintptr_t)(opline) >> 32) & 0xffff) {
							dasm_put(Dst, 32115, (((uintptr_t)(opline) >> 32) & 0xffff));
									}
								} else {
							dasm_put(Dst, 32118, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							dasm_put(Dst, 32121, Dt1(->opline));
									if (!GCC_GLOBAL_REGS) {
										zend_jit_reset_last_valid_opline();
									}
								}
							dasm_put(Dst, 32124);
								}
#line 5424 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							//|	b >9
							dasm_put(Dst, 32127);
#line 5425 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							break;
						case BP_VAR_IS:
						case BP_VAR_UNSET:
							//|	// retval = &EG(uninitialized_zval);
							//|	SET_ZVAL_TYPE_INFO res_addr, IS_NULL, TMP1w, TMP2
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
							dasm_put(Dst, 32130, ((uint32_t)(IS_NULL)));
								} else if (((uint32_t)(IS_NULL) & 0xffff)) {
							dasm_put(Dst, 32133, ((uint32_t)(IS_NULL) & 0xffff));
									if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
							dasm_put(Dst, 32136, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 32139, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 32142, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 32145, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 32148, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 32151, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 32154, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 32157, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 5430 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							//|	b >9
							dasm_put(Dst, 32161);
#line 5431 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							break;
						default:
							ZEND_UNREACHABLE();
					}
					//|.code
					dasm_put(Dst, 32164);
#line 5436 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				break;
			case BP_VAR_RW:
				if (opline->op2_type != IS_CONST) {
					//|	EXT_CALL zend_jit_symtable_lookup_rw, REG0
						if (arm64_may_use_b(zend_jit_symtable_lookup_rw)) {
					dasm_put(Dst, 32165, (unsigned int)((ptrdiff_t)(zend_jit_symtable_lookup_rw)), (unsigned int)(((ptrdiff_t)(zend_jit_symtable_lookup_rw))>>32));
						} else {
						if (((uintptr_t)(zend_jit_symtable_lookup_rw)) == 0) {
					dasm_put(Dst, 32168);
						} else if (((uintptr_t)(zend_jit_symtable_lookup_rw)) <= MOVZ_IMM) {
					dasm_put(Dst, 32170, ((uint64_t)(zend_jit_symtable_lookup_rw)));
						} else if (arm64_may_use_adr((void*)(zend_jit_symtable_lookup_rw))) {
					dasm_put(Dst, 32173, (unsigned int)((ptrdiff_t)(zend_jit_symtable_lookup_rw)), (unsigned int)(((ptrdiff_t)(zend_jit_symtable_lookup_rw))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_symtable_lookup_rw))) {
					dasm_put(Dst, 32176, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_symtable_lookup_rw))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_symtable_lookup_rw)))))>>32));
							if (((uintptr_t)(zend_jit_symtable_lookup_rw)) & 0xfff) {
					dasm_put(Dst, 32179, (((uintptr_t)(zend_jit_symtable_lookup_rw)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_symtable_lookup_rw) & 0xffff) {
					dasm_put(Dst, 32182, ((uintptr_t)(zend_jit_symtable_lookup_rw) & 0xffff));
							if (((uintptr_t)(zend_jit_symtable_lookup_rw) >> 16) & 0xffff) {
					dasm_put(Dst, 32185, (((uintptr_t)(zend_jit_symtable_lookup_rw) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_symtable_lookup_rw) >> 32) & 0xffff) {
					dasm_put(Dst, 32188, (((uintptr_t)(zend_jit_symtable_lookup_rw) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_symtable_lookup_rw) >> 16) & 0xffff) {
					dasm_put(Dst, 32191, (((uintptr_t)(zend_jit_symtable_lookup_rw) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_symtable_lookup_rw) >> 32) & 0xffff) {
					dasm_put(Dst, 32194, (((uintptr_t)(zend_jit_symtable_lookup_rw) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 32197, (((uintptr_t)(zend_jit_symtable_lookup_rw) >> 32) & 0xffff));
						}
					dasm_put(Dst, 32200);
						}
#line 5441 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL zend_jit_hash_lookup_rw, REG0
						if (arm64_may_use_b(zend_jit_hash_lookup_rw)) {
					dasm_put(Dst, 32202, (unsigned int)((ptrdiff_t)(zend_jit_hash_lookup_rw)), (unsigned int)(((ptrdiff_t)(zend_jit_hash_lookup_rw))>>32));
						} else {
						if (((uintptr_t)(zend_jit_hash_lookup_rw)) == 0) {
					dasm_put(Dst, 32205);
						} else if (((uintptr_t)(zend_jit_hash_lookup_rw)) <= MOVZ_IMM) {
					dasm_put(Dst, 32207, ((uint64_t)(zend_jit_hash_lookup_rw)));
						} else if (arm64_may_use_adr((void*)(zend_jit_hash_lookup_rw))) {
					dasm_put(Dst, 32210, (unsigned int)((ptrdiff_t)(zend_jit_hash_lookup_rw)), (unsigned int)(((ptrdiff_t)(zend_jit_hash_lookup_rw))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_hash_lookup_rw))) {
					dasm_put(Dst, 32213, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_hash_lookup_rw))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_hash_lookup_rw)))))>>32));
							if (((uintptr_t)(zend_jit_hash_lookup_rw)) & 0xfff) {
					dasm_put(Dst, 32216, (((uintptr_t)(zend_jit_hash_lookup_rw)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_hash_lookup_rw) & 0xffff) {
					dasm_put(Dst, 32219, ((uintptr_t)(zend_jit_hash_lookup_rw) & 0xffff));
							if (((uintptr_t)(zend_jit_hash_lookup_rw) >> 16) & 0xffff) {
					dasm_put(Dst, 32222, (((uintptr_t)(zend_jit_hash_lookup_rw) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_hash_lookup_rw) >> 32) & 0xffff) {
					dasm_put(Dst, 32225, (((uintptr_t)(zend_jit_hash_lookup_rw) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_hash_lookup_rw) >> 16) & 0xffff) {
					dasm_put(Dst, 32228, (((uintptr_t)(zend_jit_hash_lookup_rw) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_hash_lookup_rw) >> 32) & 0xffff) {
					dasm_put(Dst, 32231, (((uintptr_t)(zend_jit_hash_lookup_rw) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 32234, (((uintptr_t)(zend_jit_hash_lookup_rw) >> 32) & 0xffff));
						}
					dasm_put(Dst, 32237);
						}
#line 5443 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	mov REG0, RETVALx
				dasm_put(Dst, 32239);
#line 5445 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (not_found_exit_addr) {
					//|	cbz REG0, &not_found_exit_addr
					dasm_put(Dst, 32241, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5447 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	cbz REG0, >9
					dasm_put(Dst, 32244);
#line 5449 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				break;
			case BP_VAR_W:
				if (opline->op2_type != IS_CONST) {
					//|	EXT_CALL zend_jit_symtable_lookup_w, REG0
						if (arm64_may_use_b(zend_jit_symtable_lookup_w)) {
					dasm_put(Dst, 32247, (unsigned int)((ptrdiff_t)(zend_jit_symtable_lookup_w)), (unsigned int)(((ptrdiff_t)(zend_jit_symtable_lookup_w))>>32));
						} else {
						if (((uintptr_t)(zend_jit_symtable_lookup_w)) == 0) {
					dasm_put(Dst, 32250);
						} else if (((uintptr_t)(zend_jit_symtable_lookup_w)) <= MOVZ_IMM) {
					dasm_put(Dst, 32252, ((uint64_t)(zend_jit_symtable_lookup_w)));
						} else if (arm64_may_use_adr((void*)(zend_jit_symtable_lookup_w))) {
					dasm_put(Dst, 32255, (unsigned int)((ptrdiff_t)(zend_jit_symtable_lookup_w)), (unsigned int)(((ptrdiff_t)(zend_jit_symtable_lookup_w))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_symtable_lookup_w))) {
					dasm_put(Dst, 32258, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_symtable_lookup_w))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_symtable_lookup_w)))))>>32));
							if (((uintptr_t)(zend_jit_symtable_lookup_w)) & 0xfff) {
					dasm_put(Dst, 32261, (((uintptr_t)(zend_jit_symtable_lookup_w)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_symtable_lookup_w) & 0xffff) {
					dasm_put(Dst, 32264, ((uintptr_t)(zend_jit_symtable_lookup_w) & 0xffff));
							if (((uintptr_t)(zend_jit_symtable_lookup_w) >> 16) & 0xffff) {
					dasm_put(Dst, 32267, (((uintptr_t)(zend_jit_symtable_lookup_w) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_symtable_lookup_w) >> 32) & 0xffff) {
					dasm_put(Dst, 32270, (((uintptr_t)(zend_jit_symtable_lookup_w) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_symtable_lookup_w) >> 16) & 0xffff) {
					dasm_put(Dst, 32273, (((uintptr_t)(zend_jit_symtable_lookup_w) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_symtable_lookup_w) >> 32) & 0xffff) {
					dasm_put(Dst, 32276, (((uintptr_t)(zend_jit_symtable_lookup_w) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 32279, (((uintptr_t)(zend_jit_symtable_lookup_w) >> 32) & 0xffff));
						}
					dasm_put(Dst, 32282);
						}
#line 5454 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL zend_hash_lookup, REG0
						if (arm64_may_use_b(zend_hash_lookup)) {
					dasm_put(Dst, 32284, (unsigned int)((ptrdiff_t)(zend_hash_lookup)), (unsigned int)(((ptrdiff_t)(zend_hash_lookup))>>32));
						} else {
						if (((uintptr_t)(zend_hash_lookup)) == 0) {
					dasm_put(Dst, 32287);
						} else if (((uintptr_t)(zend_hash_lookup)) <= MOVZ_IMM) {
					dasm_put(Dst, 32289, ((uint64_t)(zend_hash_lookup)));
						} else if (arm64_may_use_adr((void*)(zend_hash_lookup))) {
					dasm_put(Dst, 32292, (unsigned int)((ptrdiff_t)(zend_hash_lookup)), (unsigned int)(((ptrdiff_t)(zend_hash_lookup))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_hash_lookup))) {
					dasm_put(Dst, 32295, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_lookup))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_lookup)))))>>32));
							if (((uintptr_t)(zend_hash_lookup)) & 0xfff) {
					dasm_put(Dst, 32298, (((uintptr_t)(zend_hash_lookup)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_hash_lookup) & 0xffff) {
					dasm_put(Dst, 32301, ((uintptr_t)(zend_hash_lookup) & 0xffff));
							if (((uintptr_t)(zend_hash_lookup) >> 16) & 0xffff) {
					dasm_put(Dst, 32304, (((uintptr_t)(zend_hash_lookup) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_hash_lookup) >> 32) & 0xffff) {
					dasm_put(Dst, 32307, (((uintptr_t)(zend_hash_lookup) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_hash_lookup) >> 16) & 0xffff) {
					dasm_put(Dst, 32310, (((uintptr_t)(zend_hash_lookup) >> 16) & 0xffff));
							if (((uintptr_t)(zend_hash_lookup) >> 32) & 0xffff) {
					dasm_put(Dst, 32313, (((uintptr_t)(zend_hash_lookup) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 32316, (((uintptr_t)(zend_hash_lookup) >> 32) & 0xffff));
						}
					dasm_put(Dst, 32319);
						}
#line 5456 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	mov REG0, RETVALx
				dasm_put(Dst, 32321);
#line 5458 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			default:
				ZEND_UNREACHABLE();
		}
	}

	if (type == BP_JIT_IS && (op2_info & (MAY_BE_LONG|MAY_BE_STRING))) {
	    //|5:
	    dasm_put(Dst, 32323);
#line 5466 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & MAY_BE_ARRAY_OF_REF) {
			//|	ZVAL_DEREF REG0, MAY_BE_REF, TMP1w
				if (MAY_BE_REF & MAY_BE_REF) {
			dasm_put(Dst, 32325, offsetof(zval, u1.v.type));
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 32328);
				} else {
			dasm_put(Dst, 32331, IS_REFERENCE);
				}
			dasm_put(Dst, 32336, offsetof(zend_reference, val));
				}
#line 5468 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	ldrb TMP1w, [REG0,#offsetof(zval, u1.v.type)]
		//|	cmp TMP1w, #IS_NULL
		dasm_put(Dst, 32341, offsetof(zval, u1.v.type), IS_NULL);
#line 5471 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (not_found_exit_addr) {
			//|	ble &not_found_exit_addr
			dasm_put(Dst, 32346, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5473 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (found_exit_addr) {
			//|	bgt &found_exit_addr
			dasm_put(Dst, 32349, (unsigned int)((ptrdiff_t)(found_exit_addr)), (unsigned int)(((ptrdiff_t)(found_exit_addr))>>32));
#line 5475 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	ble >9 // NOT FOUND
			dasm_put(Dst, 32352);
#line 5477 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - (MAY_BE_LONG|MAY_BE_STRING))) {
		if (op2_info & (MAY_BE_LONG|MAY_BE_STRING)) {
			//|.cold_code
			dasm_put(Dst, 32355);
#line 5483 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|3:
			dasm_put(Dst, 32356);
#line 5484 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (type != BP_VAR_RW) {
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 32358, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 32361);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 32363, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 32366, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 32369, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 32372, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 32375, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 32378, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 32381, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 32384, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 32387, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 32390, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 32393, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 5487 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 32396);
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 32398, ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 32401, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 32404, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 32407, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 32410, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 32413, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 32416, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 32419, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 32422, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 32425, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op2_addr)) {
			if (Z_OFFSET(op2_addr) == 0) {
		dasm_put(Dst, 32428, (Z_REG(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
		dasm_put(Dst, 32431, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 32435, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 32438, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 32441, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 32444, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 32447, (Z_REG(op2_addr)));
			}
				} else {
					if (Z_REG(op2_addr) == ZREG_RSP) {
		dasm_put(Dst, 32450);
					} else {
		dasm_put(Dst, 32452, (Z_REG(op2_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 5489 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		switch (type) {
			case BP_VAR_R:
				//|	LOAD_ZVAL_ADDR CARG3, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 32455);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 32457, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 32460, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 32463, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 32466, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 32469, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 32472, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 32475, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 32478, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 32481, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 32484, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 32487, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 32490, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 32494, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 32497, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 32500, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 32503, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 32506, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 32509);
							} else {
				dasm_put(Dst, 32511, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 5492 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_fetch_dim_r_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_r_helper)) {
				dasm_put(Dst, 32514, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_r_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_r_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_r_helper)) == 0) {
				dasm_put(Dst, 32517);
					} else if (((uintptr_t)(zend_jit_fetch_dim_r_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 32519, ((uint64_t)(zend_jit_fetch_dim_r_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_r_helper))) {
				dasm_put(Dst, 32522, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_r_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_r_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_r_helper))) {
				dasm_put(Dst, 32525, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_r_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_r_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_r_helper)) & 0xfff) {
				dasm_put(Dst, 32528, (((uintptr_t)(zend_jit_fetch_dim_r_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_r_helper) & 0xffff) {
				dasm_put(Dst, 32531, ((uintptr_t)(zend_jit_fetch_dim_r_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_r_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 32534, (((uintptr_t)(zend_jit_fetch_dim_r_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_r_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 32537, (((uintptr_t)(zend_jit_fetch_dim_r_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_r_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 32540, (((uintptr_t)(zend_jit_fetch_dim_r_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_r_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 32543, (((uintptr_t)(zend_jit_fetch_dim_r_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 32546, (((uintptr_t)(zend_jit_fetch_dim_r_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 32549);
					}
#line 5493 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	mov REG0, RETVALx
				//|	b >9
				dasm_put(Dst, 32551);
#line 5495 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case BP_JIT_IS:
				//|	EXT_CALL zend_jit_fetch_dim_isset_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_isset_helper)) {
				dasm_put(Dst, 32555, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_isset_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_isset_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_isset_helper)) == 0) {
				dasm_put(Dst, 32558);
					} else if (((uintptr_t)(zend_jit_fetch_dim_isset_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 32560, ((uint64_t)(zend_jit_fetch_dim_isset_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_isset_helper))) {
				dasm_put(Dst, 32563, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_isset_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_isset_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_isset_helper))) {
				dasm_put(Dst, 32566, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_isset_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_isset_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_isset_helper)) & 0xfff) {
				dasm_put(Dst, 32569, (((uintptr_t)(zend_jit_fetch_dim_isset_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_isset_helper) & 0xffff) {
				dasm_put(Dst, 32572, ((uintptr_t)(zend_jit_fetch_dim_isset_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_isset_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 32575, (((uintptr_t)(zend_jit_fetch_dim_isset_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_isset_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 32578, (((uintptr_t)(zend_jit_fetch_dim_isset_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_isset_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 32581, (((uintptr_t)(zend_jit_fetch_dim_isset_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_isset_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 32584, (((uintptr_t)(zend_jit_fetch_dim_isset_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 32587, (((uintptr_t)(zend_jit_fetch_dim_isset_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 32590);
					}
#line 5498 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	mov REG0, RETVALx
				dasm_put(Dst, 32592);
#line 5499 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (not_found_exit_addr) {
					//|	cbz REG0, &not_found_exit_addr
					dasm_put(Dst, 32594, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
#line 5501 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (op2_info & (MAY_BE_LONG|MAY_BE_STRING)) {
						//|	b >8
						dasm_put(Dst, 32597);
#line 5503 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else if (found_exit_addr) {
					//|	cbnz REG0, &found_exit_addr
					dasm_put(Dst, 32600, (unsigned int)((ptrdiff_t)(found_exit_addr)), (unsigned int)(((ptrdiff_t)(found_exit_addr))>>32));
#line 5506 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (op2_info & (MAY_BE_LONG|MAY_BE_STRING)) {
						//|	b >9
						dasm_put(Dst, 32603);
#line 5508 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else {
					//|	cbnz REG0, >8
					//|	b >9
					dasm_put(Dst, 32606);
#line 5512 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				break;
			case BP_VAR_IS:
			case BP_VAR_UNSET:
				//|	LOAD_ZVAL_ADDR CARG3, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 32611);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 32613, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 32616, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 32619, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 32622, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 32625, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 32628, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 32631, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 32634, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 32637, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 32640, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 32643, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 32646, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 32650, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 32653, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 32656, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 32659, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 32662, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 32665);
							} else {
				dasm_put(Dst, 32667, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 5517 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_fetch_dim_is_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_is_helper)) {
				dasm_put(Dst, 32670, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_is_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_is_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_is_helper)) == 0) {
				dasm_put(Dst, 32673);
					} else if (((uintptr_t)(zend_jit_fetch_dim_is_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 32675, ((uint64_t)(zend_jit_fetch_dim_is_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_is_helper))) {
				dasm_put(Dst, 32678, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_is_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_is_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_is_helper))) {
				dasm_put(Dst, 32681, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_is_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_is_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_is_helper)) & 0xfff) {
				dasm_put(Dst, 32684, (((uintptr_t)(zend_jit_fetch_dim_is_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_is_helper) & 0xffff) {
				dasm_put(Dst, 32687, ((uintptr_t)(zend_jit_fetch_dim_is_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_is_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 32690, (((uintptr_t)(zend_jit_fetch_dim_is_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_is_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 32693, (((uintptr_t)(zend_jit_fetch_dim_is_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_is_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 32696, (((uintptr_t)(zend_jit_fetch_dim_is_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_is_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 32699, (((uintptr_t)(zend_jit_fetch_dim_is_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 32702, (((uintptr_t)(zend_jit_fetch_dim_is_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 32705);
					}
#line 5518 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	mov REG0, RETVALx
				//|	b >9
				dasm_put(Dst, 32707);
#line 5520 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case BP_VAR_RW:
				//|	EXT_CALL zend_jit_fetch_dim_rw_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_rw_helper)) {
				dasm_put(Dst, 32711, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_rw_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_rw_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_rw_helper)) == 0) {
				dasm_put(Dst, 32714);
					} else if (((uintptr_t)(zend_jit_fetch_dim_rw_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 32716, ((uint64_t)(zend_jit_fetch_dim_rw_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_rw_helper))) {
				dasm_put(Dst, 32719, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_rw_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_rw_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_rw_helper))) {
				dasm_put(Dst, 32722, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_rw_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_rw_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_rw_helper)) & 0xfff) {
				dasm_put(Dst, 32725, (((uintptr_t)(zend_jit_fetch_dim_rw_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_rw_helper) & 0xffff) {
				dasm_put(Dst, 32728, ((uintptr_t)(zend_jit_fetch_dim_rw_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_rw_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 32731, (((uintptr_t)(zend_jit_fetch_dim_rw_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_rw_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 32734, (((uintptr_t)(zend_jit_fetch_dim_rw_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_rw_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 32737, (((uintptr_t)(zend_jit_fetch_dim_rw_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_rw_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 32740, (((uintptr_t)(zend_jit_fetch_dim_rw_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 32743, (((uintptr_t)(zend_jit_fetch_dim_rw_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 32746);
					}
#line 5523 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	mov REG0, RETVALx
				//|	cbnz REG0, >8
				//|	b >9
				dasm_put(Dst, 32748);
#line 5526 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case BP_VAR_W:
				//|	EXT_CALL zend_jit_fetch_dim_w_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_w_helper)) {
				dasm_put(Dst, 32754, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_w_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_w_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_w_helper)) == 0) {
				dasm_put(Dst, 32757);
					} else if (((uintptr_t)(zend_jit_fetch_dim_w_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 32759, ((uint64_t)(zend_jit_fetch_dim_w_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_w_helper))) {
				dasm_put(Dst, 32762, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_w_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_w_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_w_helper))) {
				dasm_put(Dst, 32765, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_w_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_w_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_w_helper)) & 0xfff) {
				dasm_put(Dst, 32768, (((uintptr_t)(zend_jit_fetch_dim_w_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_w_helper) & 0xffff) {
				dasm_put(Dst, 32771, ((uintptr_t)(zend_jit_fetch_dim_w_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_w_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 32774, (((uintptr_t)(zend_jit_fetch_dim_w_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_w_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 32777, (((uintptr_t)(zend_jit_fetch_dim_w_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_w_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 32780, (((uintptr_t)(zend_jit_fetch_dim_w_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_w_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 32783, (((uintptr_t)(zend_jit_fetch_dim_w_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 32786, (((uintptr_t)(zend_jit_fetch_dim_w_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 32789);
					}
#line 5529 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	mov REG0, RETVALx
				//|	cbnz REG0, >8
				//|	b >9
				dasm_put(Dst, 32791);
#line 5532 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			default:
				ZEND_UNREACHABLE();
		}
		if (op2_info & (MAY_BE_LONG|MAY_BE_STRING)) {
			//|.code
			dasm_put(Dst, 32797);
#line 5538 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	return 1;
}

static int zend_jit_simple_assign(dasm_State    **Dst,
                                  const zend_op  *opline,
                                  zend_jit_addr   var_addr,
                                  uint32_t        var_info,
                                  uint32_t        var_def_info,
                                  zend_uchar      val_type,
                                  zend_jit_addr   val_addr,
                                  uint32_t        val_info,
                                  zend_jit_addr   res_addr,
                                  int             in_cold,
                                  int             save_r1,
                                  bool            check_exception)
/* Labels: 1,2,3 */
{
	zend_reg tmp_reg;

	if (Z_MODE(var_addr) == IS_REG || Z_REG(var_addr) != ZREG_REG0) {
		tmp_reg = ZREG_REG0;
	} else {
		/* ASSIGN_DIM */
		tmp_reg = ZREG_FCARG1;
	}

	if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
		zval *zv = Z_ZV(val_addr);

		if (!res_addr) {
			//|	ZVAL_COPY_CONST var_addr, var_info, var_def_info, zv, tmp_reg, ZREG_TMP1, ZREG_FPR0
				if (Z_TYPE_P(zv) > IS_TRUE) {
					if (Z_TYPE_P(zv) == IS_DOUBLE) {
						zend_reg dst_reg = (Z_MODE(var_addr) == IS_REG) ? Z_REG(var_addr) : ZREG_V0;
				if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adr((void*)(zv))) {
			dasm_put(Dst, 32798, (tmp_reg), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32), (dst_reg-ZREG_V0), (tmp_reg));
				} else if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adrp((void*)(zv))) {
			dasm_put(Dst, 32805, (tmp_reg), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32), (dst_reg-ZREG_V0), (tmp_reg), (((uintptr_t)(zv)) & 0xfff));
				} else {
				if (((uintptr_t)(zv)) == 0) {
			dasm_put(Dst, 32813, (tmp_reg));
				} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
			dasm_put(Dst, 32816, (tmp_reg), ((uint64_t)(zv)));
				} else if (arm64_may_use_adr((void*)(zv))) {
			dasm_put(Dst, 32820, (tmp_reg), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
				} else if (arm64_may_use_adrp((void*)(zv))) {
			dasm_put(Dst, 32824, (tmp_reg), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
					if (((uintptr_t)(zv)) & 0xfff) {
			dasm_put(Dst, 32828, (tmp_reg), (tmp_reg), (((uintptr_t)(zv)) & 0xfff));
					}
				} else if ((uintptr_t)(zv) & 0xffff) {
			dasm_put(Dst, 32833, (tmp_reg), ((uintptr_t)(zv) & 0xffff));
					if (((uintptr_t)(zv) >> 16) & 0xffff) {
			dasm_put(Dst, 32837, (tmp_reg), (((uintptr_t)(zv) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zv) >> 32) & 0xffff) {
			dasm_put(Dst, 32841, (tmp_reg), (((uintptr_t)(zv) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
			dasm_put(Dst, 32845, (tmp_reg), (((uintptr_t)(zv) >> 16) & 0xffff));
					if (((uintptr_t)(zv) >> 32) & 0xffff) {
			dasm_put(Dst, 32849, (tmp_reg), (((uintptr_t)(zv) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 32853, (tmp_reg), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			dasm_put(Dst, 32857, (dst_reg-ZREG_V0), (tmp_reg));
				}
				if (Z_MODE(var_addr) == IS_REG) {
					if (dst_reg != Z_REG(var_addr)) {
			dasm_put(Dst, 32861, (Z_REG(var_addr)-ZREG_V0), (dst_reg-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 32865, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 32869, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 32873, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 32877, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 32881, (dst_reg-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 32886, (dst_reg-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
					} else if (Z_TYPE_P(zv) == IS_LONG && var_def_info == MAY_BE_DOUBLE) {
						zend_reg dst_reg = (Z_MODE(var_addr) == IS_REG) ? Z_REG(var_addr) : ZREG_V0;
				if (Z_LVAL_P(zv) == 0) {
			dasm_put(Dst, 32891, (dst_reg-ZREG_V0));
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 32894, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 32897, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 32901, (tmp_reg), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 32905, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 32909, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 32913, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 32917, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 32921, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 32925, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 32929, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 32933, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 32937, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 32941, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			dasm_put(Dst, 32945, (dst_reg-ZREG_V0), (tmp_reg));
				}
				if (Z_MODE(var_addr) == IS_REG) {
					if (dst_reg != Z_REG(var_addr)) {
			dasm_put(Dst, 32949, (Z_REG(var_addr)-ZREG_V0), (dst_reg-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 32953, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 32957, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 32961, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 32965, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 32969, (dst_reg-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 32974, (dst_reg-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
					} else {
				if (Z_LVAL_P(zv) == 0) {
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 32979, (Z_REG(var_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 32982, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 32986, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 32990, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 32994, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 32998, (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33002, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 33006, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33009, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33013, (tmp_reg), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 33017, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33021, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33025, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33029, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33033, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33037, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33041, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33045, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33049, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33053, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 33057, (Z_REG(var_addr)), (tmp_reg));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33061, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 33065, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33069, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33073, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33077, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33082, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				}
					}
				}
				if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
					if (var_def_info == MAY_BE_DOUBLE) {
						if ((var_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 33087, (tmp_reg), ((uint32_t)(IS_DOUBLE)));
				} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
			dasm_put(Dst, 33091, (tmp_reg), ((uint32_t)(IS_DOUBLE) & 0xffff));
					if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 33095, (tmp_reg), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33099, (tmp_reg), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 33103, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 33107, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33111, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33115, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33119, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33124, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
						}
					} else if (((var_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (1<<Z_TYPE_P(zv))) || (var_info & (MAY_BE_STRING|MAY_BE_ARRAY)) != 0) {
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(Z_TYPE_INFO_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33129, (tmp_reg), ((uint32_t)(Z_TYPE_INFO_P(zv))));
				} else if (((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff)) {
			dasm_put(Dst, 33133, (tmp_reg), ((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff));
					if ((((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33137, (tmp_reg), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33141, (tmp_reg), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 33145, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 33149, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33153, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33157, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33161, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33166, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
					}
				}
#line 5572 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	ZVAL_COPY_CONST_2 var_addr, res_addr, var_info, var_def_info, zv, tmp_reg, ZREG_TMP1, ZREG_FPR0
				if (Z_TYPE_P(zv) > IS_TRUE) {
					if (Z_TYPE_P(zv) == IS_DOUBLE) {
						zend_reg dst_reg = (Z_MODE(var_addr) == IS_REG) ?
							Z_REG(var_addr) : ((Z_MODE(res_addr) == IS_REG) ? Z_REG(res_addr) : ZREG_V0);
				if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adr((void*)(zv))) {
			dasm_put(Dst, 33171, (tmp_reg), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32), (dst_reg-ZREG_V0), (tmp_reg));
				} else if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adrp((void*)(zv))) {
			dasm_put(Dst, 33178, (tmp_reg), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32), (dst_reg-ZREG_V0), (tmp_reg), (((uintptr_t)(zv)) & 0xfff));
				} else {
				if (((uintptr_t)(zv)) == 0) {
			dasm_put(Dst, 33186, (tmp_reg));
				} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
			dasm_put(Dst, 33189, (tmp_reg), ((uint64_t)(zv)));
				} else if (arm64_may_use_adr((void*)(zv))) {
			dasm_put(Dst, 33193, (tmp_reg), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
				} else if (arm64_may_use_adrp((void*)(zv))) {
			dasm_put(Dst, 33197, (tmp_reg), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
					if (((uintptr_t)(zv)) & 0xfff) {
			dasm_put(Dst, 33201, (tmp_reg), (tmp_reg), (((uintptr_t)(zv)) & 0xfff));
					}
				} else if ((uintptr_t)(zv) & 0xffff) {
			dasm_put(Dst, 33206, (tmp_reg), ((uintptr_t)(zv) & 0xffff));
					if (((uintptr_t)(zv) >> 16) & 0xffff) {
			dasm_put(Dst, 33210, (tmp_reg), (((uintptr_t)(zv) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zv) >> 32) & 0xffff) {
			dasm_put(Dst, 33214, (tmp_reg), (((uintptr_t)(zv) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
			dasm_put(Dst, 33218, (tmp_reg), (((uintptr_t)(zv) >> 16) & 0xffff));
					if (((uintptr_t)(zv) >> 32) & 0xffff) {
			dasm_put(Dst, 33222, (tmp_reg), (((uintptr_t)(zv) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33226, (tmp_reg), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			dasm_put(Dst, 33230, (dst_reg-ZREG_V0), (tmp_reg));
				}
				if (Z_MODE(var_addr) == IS_REG) {
					if (dst_reg != Z_REG(var_addr)) {
			dasm_put(Dst, 33234, (Z_REG(var_addr)-ZREG_V0), (dst_reg-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33238, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 33242, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33246, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33250, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33254, (dst_reg-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33259, (dst_reg-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (dst_reg != Z_REG(res_addr)) {
			dasm_put(Dst, 33264, (Z_REG(res_addr)-ZREG_V0), (dst_reg-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33268, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 33272, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33276, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33280, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33284, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33289, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
					} else if (Z_TYPE_P(zv) == IS_LONG && var_def_info == MAY_BE_DOUBLE) {
						if (Z_MODE(var_addr) == IS_REG) {
				if (Z_LVAL_P(zv) == 0) {
			dasm_put(Dst, 33294, (Z_REG(var_addr)-ZREG_V0));
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 33297, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33300, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33304, (tmp_reg), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 33308, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33312, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33316, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33320, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33324, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33328, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33332, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33336, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33340, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33344, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			dasm_put(Dst, 33348, (Z_REG(var_addr)-ZREG_V0), (tmp_reg));
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(var_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 33352, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33356, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 33360, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33364, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33368, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33372, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33377, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_LVAL_P(zv) == 0) {
			dasm_put(Dst, 33382, (Z_REG(res_addr)-ZREG_V0));
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 33385, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33388, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33392, (tmp_reg), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 33396, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33400, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33404, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33408, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33412, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33416, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33420, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33424, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33428, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33432, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			dasm_put(Dst, 33436, (Z_REG(res_addr)-ZREG_V0), (tmp_reg));
				}
				if (Z_MODE(var_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(var_addr)) {
			dasm_put(Dst, 33440, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33444, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 33448, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33452, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33456, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33460, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33465, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						} else {
				if (Z_LVAL_P(zv) == 0) {
			dasm_put(Dst, 33470, (ZREG_V0-ZREG_V0));
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 33473, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33476, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33480, (tmp_reg), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 33484, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33488, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33492, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33496, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33500, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33504, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33508, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33512, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33516, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33520, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			dasm_put(Dst, 33524, (ZREG_V0-ZREG_V0), (tmp_reg));
				}
				if (Z_MODE(var_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(var_addr)) {
			dasm_put(Dst, 33528, (Z_REG(var_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33532, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 33536, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33540, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33544, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33548, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33553, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(res_addr)) {
			dasm_put(Dst, 33558, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33562, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 33566, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33570, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33574, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33578, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33583, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else {
						if (Z_MODE(var_addr) == IS_REG) {
				if (Z_LVAL_P(zv) == 0) {
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 33588, (Z_REG(var_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33591, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 33595, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33599, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33603, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33607, (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33611, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 33615, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33618, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33622, (tmp_reg), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 33626, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33630, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33634, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33638, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33642, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33646, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33650, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33654, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33658, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33662, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 33666, (Z_REG(var_addr)), (tmp_reg));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33670, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 33674, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33678, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33682, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33686, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33691, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 33696, (Z_REG(res_addr)), (Z_REG(var_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33700, (tmp_reg), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 33704, (tmp_reg), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33708, (tmp_reg), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33712, (tmp_reg), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33716, (Z_REG(var_addr)), (Z_REG(res_addr)), (tmp_reg));
				} else {
			dasm_put(Dst, 33721, (Z_REG(var_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_LVAL_P(zv) == 0) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 33726, (Z_REG(res_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33729, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 33733, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33737, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33741, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33745, (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33749, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 33753, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33756, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33760, (tmp_reg), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 33764, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33768, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33772, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33776, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33780, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33784, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33788, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33792, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33796, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33800, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 33804, (Z_REG(res_addr)), (tmp_reg));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33808, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 33812, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33816, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33820, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33824, (tmp_reg), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33829, (tmp_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
				}
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 33834, (Z_REG(var_addr)), (Z_REG(res_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33838, (tmp_reg), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 33842, (tmp_reg), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33846, (tmp_reg), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33850, (tmp_reg), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33854, (Z_REG(res_addr)), (Z_REG(var_addr)), (tmp_reg));
				} else {
			dasm_put(Dst, 33859, (Z_REG(res_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						} else {
				if (Z_LVAL_P(zv) == 0) {
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 33864, (Z_REG(var_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33867, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 33871, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33875, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33879, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33883, (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33887, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 33891, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33894, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 33898, (tmp_reg), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 33902, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33906, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33910, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33914, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 33918, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33922, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33926, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 33930, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 33934, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33938, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 33942, (Z_REG(var_addr)), (tmp_reg));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33946, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 33950, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33954, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33958, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33962, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33967, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				}
				if (Z_LVAL_P(zv) == 0) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 33972, (Z_REG(res_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 33975, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 33979, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 33983, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 33987, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 33991, (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 33995, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 33999, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 34002, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 34006, (tmp_reg), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 34010, (tmp_reg), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 34014, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 34018, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 34022, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 34026, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 34030, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 34034, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 34038, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 34042, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34046, (tmp_reg), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 34050, (Z_REG(res_addr)), (tmp_reg));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 34054, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 34058, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34062, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34066, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 34070, (tmp_reg), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 34075, (tmp_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
				}
						}
					}
				}
				if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
					if (var_def_info == MAY_BE_DOUBLE) {
						if ((var_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 34080, (tmp_reg), ((uint32_t)(IS_DOUBLE)));
				} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
			dasm_put(Dst, 34084, (tmp_reg), ((uint32_t)(IS_DOUBLE) & 0xffff));
					if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 34088, (tmp_reg), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34092, (tmp_reg), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 34096, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 34100, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34104, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34108, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 34112, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 34117, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
						}
					} else if (((var_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (1<<Z_TYPE_P(zv))) || (var_info & (MAY_BE_STRING|MAY_BE_ARRAY)) != 0) {
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(Z_TYPE_INFO_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 34122, (tmp_reg), ((uint32_t)(Z_TYPE_INFO_P(zv))));
				} else if (((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff)) {
			dasm_put(Dst, 34126, (tmp_reg), ((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff));
					if ((((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34130, (tmp_reg), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34134, (tmp_reg), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 34138, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 34142, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34146, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34150, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 34154, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 34159, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
					}
				}
				if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if (var_def_info == MAY_BE_DOUBLE) {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 34164, (tmp_reg), ((uint32_t)(IS_DOUBLE)));
				} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
			dasm_put(Dst, 34168, (tmp_reg), ((uint32_t)(IS_DOUBLE) & 0xffff));
					if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 34172, (tmp_reg), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34176, (tmp_reg), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 34180, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 34184, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34188, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34192, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 34196, (tmp_reg), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 34201, (tmp_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
					} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(Z_TYPE_INFO_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 34206, (tmp_reg), ((uint32_t)(Z_TYPE_INFO_P(zv))));
				} else if (((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff)) {
			dasm_put(Dst, 34210, (tmp_reg), ((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff));
					if ((((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34214, (tmp_reg), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34218, (tmp_reg), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 34222, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 34226, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34230, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34234, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 34238, (tmp_reg), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 34243, (tmp_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
					}
				}
#line 5574 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (Z_REFCOUNTED_P(zv)) {
			if (!res_addr) {
				//|	ADDREF_CONST zv, TMP1, TMP2
					if (((uintptr_t)(Z_PTR_P(zv))) == 0) {
				dasm_put(Dst, 34248);
					} else if (((uintptr_t)(Z_PTR_P(zv))) <= MOVZ_IMM) {
				dasm_put(Dst, 34250, ((uint64_t)(Z_PTR_P(zv))));
					} else if (arm64_may_use_adr((void*)(Z_PTR_P(zv)))) {
				dasm_put(Dst, 34253, (unsigned int)((ptrdiff_t)(Z_PTR_P(zv))), (unsigned int)(((ptrdiff_t)(Z_PTR_P(zv)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_PTR_P(zv)))) {
				dasm_put(Dst, 34256, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv))))))>>32));
						if (((uintptr_t)(Z_PTR_P(zv))) & 0xfff) {
				dasm_put(Dst, 34259, (((uintptr_t)(Z_PTR_P(zv))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_PTR_P(zv)) & 0xffff) {
				dasm_put(Dst, 34262, ((uintptr_t)(Z_PTR_P(zv)) & 0xffff));
						if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
				dasm_put(Dst, 34265, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
				dasm_put(Dst, 34268, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
				dasm_put(Dst, 34271, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
				dasm_put(Dst, 34274, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 34277, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 34280);
#line 5578 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ADDREF_CONST_2 zv, TMP1, TMP2
					if (((uintptr_t)(Z_PTR_P(zv))) == 0) {
				dasm_put(Dst, 34284);
					} else if (((uintptr_t)(Z_PTR_P(zv))) <= MOVZ_IMM) {
				dasm_put(Dst, 34286, ((uint64_t)(Z_PTR_P(zv))));
					} else if (arm64_may_use_adr((void*)(Z_PTR_P(zv)))) {
				dasm_put(Dst, 34289, (unsigned int)((ptrdiff_t)(Z_PTR_P(zv))), (unsigned int)(((ptrdiff_t)(Z_PTR_P(zv)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_PTR_P(zv)))) {
				dasm_put(Dst, 34292, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv))))))>>32));
						if (((uintptr_t)(Z_PTR_P(zv))) & 0xfff) {
				dasm_put(Dst, 34295, (((uintptr_t)(Z_PTR_P(zv))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_PTR_P(zv)) & 0xffff) {
				dasm_put(Dst, 34298, ((uintptr_t)(Z_PTR_P(zv)) & 0xffff));
						if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
				dasm_put(Dst, 34301, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
				dasm_put(Dst, 34304, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
				dasm_put(Dst, 34307, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
				dasm_put(Dst, 34310, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 34313, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 34316);
#line 5580 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else {
		if (val_info & MAY_BE_UNDEF) {
			if (in_cold) {
				//|	IF_NOT_ZVAL_TYPE val_addr, IS_UNDEF, >2, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 34320, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 34324, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 34328, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 34332, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 34336, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 34341, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 34346, (ZREG_X15));
					} else {
				dasm_put(Dst, 34350, (ZREG_X15), IS_UNDEF);
					}
#line 5586 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_ZVAL_TYPE val_addr, IS_UNDEF, >1, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 34356, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 34360, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 34364, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 34368, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 34372, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 34377, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 34382, (ZREG_X15));
					} else {
				dasm_put(Dst, 34386, (ZREG_X15), IS_UNDEF);
					}
#line 5588 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|.cold_code
				dasm_put(Dst, 34392);
#line 5589 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				dasm_put(Dst, 34393);
#line 5590 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	// zend_error(E_WARNING, "Undefined variable $%s", ZSTR_VAL(CV_DEF_OF(EX_VAR_TO_NUM(opline->op1.var))));
			if (save_r1) {
				//|	str FCARG1x, T1	// save
				dasm_put(Dst, 34395);
#line 5594 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	SET_ZVAL_TYPE_INFO var_addr, IS_NULL, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 34397, ((uint32_t)(IS_NULL)));
				} else if (((uint32_t)(IS_NULL) & 0xffff)) {
			dasm_put(Dst, 34400, ((uint32_t)(IS_NULL) & 0xffff));
					if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
			dasm_put(Dst, 34403, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34406, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 34409, ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 34412, ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34415, (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34418, (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 34421, (Z_REG(var_addr)));
				} else {
			dasm_put(Dst, 34424, (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
#line 5596 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (res_addr) {
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_NULL, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
				dasm_put(Dst, 34428, ((uint32_t)(IS_NULL)));
					} else if (((uint32_t)(IS_NULL) & 0xffff)) {
				dasm_put(Dst, 34431, ((uint32_t)(IS_NULL) & 0xffff));
						if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
				dasm_put(Dst, 34434, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 34437, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 34440, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 34443, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 34446, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 34449, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 34452, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 34455, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 5598 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline) {
				//|	SET_EX_OPLINE opline, Rx(tmp_reg)
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 34459, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 34462, (tmp_reg));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 34465, (tmp_reg), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 34469, (tmp_reg), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 34473, (tmp_reg), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 34477, (tmp_reg), (tmp_reg), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 34482, (tmp_reg), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 34486, (tmp_reg), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 34490, (tmp_reg), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 34494, (tmp_reg), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 34498, (tmp_reg), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 34502, (tmp_reg), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 34506, (tmp_reg), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 5601 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL && Z_REG(val_addr) == ZREG_FP);
			//|	LOAD_32BIT_VAL FCARG1w, Z_OFFSET(val_addr)
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 34510, ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 34513, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 34516, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34519, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
#line 5604 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_undefined_op_helper, REG0
				if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
			dasm_put(Dst, 34522, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
			dasm_put(Dst, 34525);
				} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 34527, ((uint64_t)(zend_jit_undefined_op_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 34530, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 34533, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
					if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
			dasm_put(Dst, 34536, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
			dasm_put(Dst, 34539, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 34542, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 34545, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 34548, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 34551, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 34554, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 34557);
				}
#line 5605 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (check_exception) {
				//|	cbz RETVALx, ->exception_handler_undef
				dasm_put(Dst, 34559);
#line 5607 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (save_r1) {
				//|	ldr FCARG1x, T1	// restore
				dasm_put(Dst, 34562);
#line 5610 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	b >3
			dasm_put(Dst, 34564);
#line 5612 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (in_cold) {
				//|2:
				dasm_put(Dst, 34567);
#line 5614 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|.code
				dasm_put(Dst, 34569);
#line 5616 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		if (val_info & MAY_BE_REF) {
			if (val_type == IS_CV) {
				ZEND_ASSERT(Z_REG(var_addr) != ZREG_REG2);
				if (Z_MODE(val_addr) != IS_MEM_ZVAL || Z_REG(val_addr) != ZREG_REG2 || Z_OFFSET(val_addr) != 0) {
					//|	LOAD_ZVAL_ADDR REG2, val_addr
						if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
					dasm_put(Dst, 34570);
						} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 34572, ((uint64_t)(Z_ZV(val_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
					dasm_put(Dst, 34575, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
					dasm_put(Dst, 34578, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
					dasm_put(Dst, 34581, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
					dasm_put(Dst, 34584, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 34587, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 34590, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 34593, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 34596, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 34599, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(val_addr)) {
						if (Z_OFFSET(val_addr) == 0) {
					dasm_put(Dst, 34602, (Z_REG(val_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
					dasm_put(Dst, 34605, (Z_REG(val_addr)), Z_OFFSET(val_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 34609, ((uint32_t)(Z_OFFSET(val_addr))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
					dasm_put(Dst, 34612, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 34615, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 34618, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 34621, (Z_REG(val_addr)));
						}
							} else {
								if (Z_REG(val_addr) == ZREG_RSP) {
					dasm_put(Dst, 34624);
								} else {
					dasm_put(Dst, 34626, (Z_REG(val_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 5623 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	ZVAL_DEREF REG2, val_info, TMP1w
					if (val_info & MAY_BE_REF) {
				dasm_put(Dst, 34629, offsetof(zval, u1.v.type));
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 34632);
					} else {
				dasm_put(Dst, 34635, IS_REFERENCE);
					}
				dasm_put(Dst, 34640, offsetof(zend_reference, val));
					}
#line 5625 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG2, 0);
			} else {
				zend_jit_addr ref_addr;

				if (in_cold) {
					//|	IF_NOT_ZVAL_TYPE val_addr, IS_REFERENCE, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 34645, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 34649, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 34653, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 34657, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 34661, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 34666, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 34671, (ZREG_X15));
						} else {
					dasm_put(Dst, 34675, (ZREG_X15), IS_REFERENCE);
						}
#line 5631 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_ZVAL_TYPE val_addr, IS_REFERENCE, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 34681, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 34685, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 34689, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 34693, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 34697, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 34702, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 34707, (ZREG_X15));
						} else {
					dasm_put(Dst, 34711, (ZREG_X15), IS_REFERENCE);
						}
#line 5633 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|.cold_code
					dasm_put(Dst, 34717);
#line 5634 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 34718);
#line 5635 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (Z_REG(val_addr) == ZREG_REG2) {
					//|	str REG2, T1 // save
					dasm_put(Dst, 34720);
#line 5638 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	// zend_refcounted *ref = Z_COUNTED_P(retval_ptr);
				//|	GET_ZVAL_PTR REG2, val_addr, TMP1
					ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 34722, ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 34725, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 34728, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 34731, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 34734, (Z_REG(val_addr)));
					} else {
				dasm_put(Dst, 34737, (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
#line 5641 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GC_DELREF REG2, TMP1w
				//|	// ZVAL_COPY_VALUE(return_value, &ref->val);
				dasm_put(Dst, 34741);
#line 5643 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG2, offsetof(zend_reference, val));
				if (!res_addr) {
					//|	ZVAL_COPY_VALUE var_addr, var_info, ref_addr, val_info, ZREG_REG2, tmp_reg, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
						if (val_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
							if ((val_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
								if (Z_MODE(ref_addr) == IS_REG) {
									if (Z_MODE(var_addr) != IS_REG || Z_REG(var_addr) != Z_REG(ref_addr)) {
						if (Z_MODE(var_addr) == IS_REG) {
					dasm_put(Dst, 34745, (Z_REG(var_addr)), (Z_REG(ref_addr)));
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 34749, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 34753, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 34757, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 34761, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 34765, (Z_REG(ref_addr)), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 34770, (Z_REG(ref_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
									}
								} else if (Z_MODE(var_addr) == IS_REG) {
						if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(ref_addr)) == 0) {
					dasm_put(Dst, 34775, (Z_REG(var_addr)));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) == 0) {
					dasm_put(Dst, 34778, (Z_REG(var_addr)));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 34781, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 34785, (Z_REG(var_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff) {
					dasm_put(Dst, 34789, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 34793, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 34797, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 34801, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 34805, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 34809, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 34813, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 34817, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 34821, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 34825, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 34829, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 34833, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 34837, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 34841, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 34845, (Z_REG(var_addr)), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 34850, (Z_REG(var_addr)), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
						} else if (Z_MODE(ref_addr) == IS_REG) {
							if (Z_REG(var_addr) != Z_REG(ref_addr)) {
					dasm_put(Dst, 34855, (Z_REG(var_addr)), (Z_REG(ref_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
								} else {
						if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(ref_addr)) == 0) {
					dasm_put(Dst, 34859, (tmp_reg));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) == 0) {
					dasm_put(Dst, 34862, (tmp_reg));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 34865, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 34869, (tmp_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff) {
					dasm_put(Dst, 34873, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 34877, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 34881, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 34885, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 34889, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 34893, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 34897, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 34901, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 34905, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 34909, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 34913, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 34917, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 34921, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 34925, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 34929, (tmp_reg), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 34934, (tmp_reg), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
						} else if (Z_MODE(ref_addr) == IS_REG) {
							if (tmp_reg != Z_REG(ref_addr)) {
					dasm_put(Dst, 34939, (tmp_reg), (Z_REG(ref_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
						if (Z_MODE(var_addr) == IS_REG) {
					dasm_put(Dst, 34943, (Z_REG(var_addr)), (tmp_reg));
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 34947, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 34951, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 34955, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 34959, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 34963, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 34968, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
								}
							} else if ((val_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
								if (Z_MODE(ref_addr) == IS_REG) {
						if (Z_MODE(var_addr) == IS_REG) {
							if (Z_REG(ref_addr) != Z_REG(var_addr)) {
					dasm_put(Dst, 34973, (Z_REG(var_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 34977, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 34981, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 34985, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 34989, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 34993, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 34998, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
								} else if (Z_MODE(var_addr) == IS_REG) {
						if (Z_MODE(ref_addr) != IS_REG || Z_REG(var_addr) != Z_REG(ref_addr)) {
							if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35003, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35010, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
						} else {
						if (((uintptr_t)(Z_ZV(ref_addr))) == 0) {
					dasm_put(Dst, 35018, (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35021, (ZREG_X15), ((uint64_t)(Z_ZV(ref_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35025, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35029, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff) {
					dasm_put(Dst, 35033, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff) {
					dasm_put(Dst, 35038, (ZREG_X15), ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 35042, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 35046, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 35050, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 35054, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35058, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
						}
					dasm_put(Dst, 35062, (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
						}
							} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35066, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 35070, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35074, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35078, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35082, (Z_REG(var_addr)-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35087, (Z_REG(var_addr)-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
							} else if (Z_MODE(ref_addr) == IS_REG) {
					dasm_put(Dst, 35092, (Z_REG(var_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
							} else {
								ZEND_UNREACHABLE();
							}
						}
								} else {
						if (Z_MODE(ref_addr) != IS_REG || ZREG_V0 != Z_REG(ref_addr)) {
							if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35096, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35103, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
						} else {
						if (((uintptr_t)(Z_ZV(ref_addr))) == 0) {
					dasm_put(Dst, 35111, (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35114, (ZREG_X15), ((uint64_t)(Z_ZV(ref_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35118, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35122, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff) {
					dasm_put(Dst, 35126, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff) {
					dasm_put(Dst, 35131, (ZREG_X15), ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 35135, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 35139, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 35143, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 35147, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35151, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
						}
					dasm_put(Dst, 35155, (ZREG_V0-ZREG_V0), (ZREG_X15));
						}
							} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35159, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 35163, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35167, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35171, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35175, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35180, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
							} else if (Z_MODE(ref_addr) == IS_REG) {
					dasm_put(Dst, 35185, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
							} else {
								ZEND_UNREACHABLE();
							}
						}
						if (Z_MODE(var_addr) == IS_REG) {
							if (ZREG_V0 != Z_REG(var_addr)) {
					dasm_put(Dst, 35189, (Z_REG(var_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35193, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 35197, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35201, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35205, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35209, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35214, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
								}
							// Combine the following two branches.
							// } else if (!(val_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
							} else {
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35219, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 35223, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35227, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35231, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35235, (tmp_reg), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35240, (tmp_reg), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35245, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 35249, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35253, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35257, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35261, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35266, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
							}
						}
						if ((val_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
							!(val_info & MAY_BE_GUARD) &&
							has_concrete_type(val_info & MAY_BE_ANY)) {
							if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
								if ((var_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (val_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
									uint32_t type = concrete_type(val_info);
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(type)) <= MOVZ_IMM) {
					dasm_put(Dst, 35271, (ZREG_X15), ((uint32_t)(type)));
						} else if (((uint32_t)(type) & 0xffff)) {
					dasm_put(Dst, 35275, (ZREG_X15), ((uint32_t)(type) & 0xffff));
							if ((((uint32_t)(type) >> 16) & 0xffff)) {
					dasm_put(Dst, 35279, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35283, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 35287, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 35291, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35295, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35299, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35303, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 35308, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
						}
								}
							}
						} else {
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 35313, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 35317, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35321, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35325, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35329, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35334, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)));
						}
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 35339, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 35343, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35347, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35351, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35355, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35360, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
						}
						}
#line 5646 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	ZVAL_COPY_VALUE_2 var_addr, var_info, res_addr, ref_addr, val_info, ZREG_REG2, tmp_reg, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
						if (val_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
							if ((val_info & MAY_BE_ANY) == MAY_BE_LONG) {
								if (Z_MODE(ref_addr) == IS_REG) {
									if (Z_MODE(var_addr) != IS_REG || Z_REG(var_addr) != Z_REG(ref_addr)) {
						if (Z_MODE(var_addr) == IS_REG) {
					dasm_put(Dst, 35365, (Z_REG(var_addr)), (Z_REG(ref_addr)));
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35369, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 35373, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35377, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35381, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35385, (Z_REG(ref_addr)), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35390, (Z_REG(ref_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
									}
									if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(ref_addr)) {
						if (Z_MODE(res_addr) == IS_REG) {
					dasm_put(Dst, 35395, (Z_REG(res_addr)), (Z_REG(ref_addr)));
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35399, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 35403, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35407, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35411, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35415, (Z_REG(ref_addr)), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35420, (Z_REG(ref_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
									}
								} else if (Z_MODE(var_addr) == IS_REG) {
						if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(ref_addr)) == 0) {
					dasm_put(Dst, 35425, (Z_REG(var_addr)));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) == 0) {
					dasm_put(Dst, 35428, (Z_REG(var_addr)));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 35431, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 35435, (Z_REG(var_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff) {
					dasm_put(Dst, 35439, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 35443, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35447, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35451, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 35455, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35459, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35463, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35467, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35471, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35475, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35479, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 35483, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35487, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35491, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35495, (Z_REG(var_addr)), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35500, (Z_REG(var_addr)), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
						} else if (Z_MODE(ref_addr) == IS_REG) {
							if (Z_REG(var_addr) != Z_REG(ref_addr)) {
					dasm_put(Dst, 35505, (Z_REG(var_addr)), (Z_REG(ref_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
									if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(var_addr)) {
						if (Z_MODE(res_addr) == IS_REG) {
					dasm_put(Dst, 35509, (Z_REG(res_addr)), (Z_REG(var_addr)));
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35513, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 35517, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35521, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35525, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35529, (Z_REG(var_addr)), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35534, (Z_REG(var_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
									}
								} else if (Z_MODE(res_addr) == IS_REG) {
						if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(ref_addr)) == 0) {
					dasm_put(Dst, 35539, (Z_REG(res_addr)));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) == 0) {
					dasm_put(Dst, 35542, (Z_REG(res_addr)));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 35545, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 35549, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff) {
					dasm_put(Dst, 35553, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 35557, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35561, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35565, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 35569, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35573, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35577, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35581, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35585, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35589, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35593, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 35597, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35601, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35605, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35609, (Z_REG(res_addr)), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35614, (Z_REG(res_addr)), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
						} else if (Z_MODE(ref_addr) == IS_REG) {
							if (Z_REG(res_addr) != Z_REG(ref_addr)) {
					dasm_put(Dst, 35619, (Z_REG(res_addr)), (Z_REG(ref_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
						if (Z_MODE(var_addr) == IS_REG) {
					dasm_put(Dst, 35623, (Z_REG(var_addr)), (Z_REG(res_addr)));
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35627, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 35631, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35635, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35639, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35643, (Z_REG(res_addr)), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35648, (Z_REG(res_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
								} else {
						if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(ref_addr)) == 0) {
					dasm_put(Dst, 35653, (tmp_reg));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) == 0) {
					dasm_put(Dst, 35656, (tmp_reg));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 35659, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 35663, (tmp_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff) {
					dasm_put(Dst, 35667, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 35671, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35675, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35679, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 35683, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35687, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35691, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 35695, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 35699, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35703, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35707, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 35711, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35715, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35719, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35723, (tmp_reg), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35728, (tmp_reg), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
						} else if (Z_MODE(ref_addr) == IS_REG) {
							if (tmp_reg != Z_REG(ref_addr)) {
					dasm_put(Dst, 35733, (tmp_reg), (Z_REG(ref_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
						if (Z_MODE(var_addr) == IS_REG) {
					dasm_put(Dst, 35737, (Z_REG(var_addr)), (tmp_reg));
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35741, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 35745, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35749, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35753, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35757, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35762, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
						if (Z_MODE(res_addr) == IS_REG) {
					dasm_put(Dst, 35767, (Z_REG(res_addr)), (tmp_reg));
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35771, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 35775, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35779, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35783, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35787, (tmp_reg), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35792, (tmp_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								}
							} else if ((val_info & MAY_BE_ANY) == MAY_BE_DOUBLE) {
								if (Z_MODE(ref_addr) == IS_REG) {
						if (Z_MODE(var_addr) == IS_REG) {
							if (Z_REG(ref_addr) != Z_REG(var_addr)) {
					dasm_put(Dst, 35797, (Z_REG(var_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35801, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 35805, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35809, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35813, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35817, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35822, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
						if (Z_MODE(res_addr) == IS_REG) {
							if (Z_REG(ref_addr) != Z_REG(res_addr)) {
					dasm_put(Dst, 35827, (Z_REG(res_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35831, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 35835, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35839, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35843, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35847, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35852, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								} else if (Z_MODE(var_addr) == IS_REG) {
						if (Z_MODE(ref_addr) != IS_REG || Z_REG(var_addr) != Z_REG(ref_addr)) {
							if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35857, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35864, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
						} else {
						if (((uintptr_t)(Z_ZV(ref_addr))) == 0) {
					dasm_put(Dst, 35872, (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35875, (ZREG_X15), ((uint64_t)(Z_ZV(ref_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35879, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35883, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff) {
					dasm_put(Dst, 35887, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff) {
					dasm_put(Dst, 35892, (ZREG_X15), ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 35896, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 35900, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 35904, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 35908, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35912, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
						}
					dasm_put(Dst, 35916, (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
						}
							} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35920, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 35924, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35928, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35932, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35936, (Z_REG(var_addr)-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35941, (Z_REG(var_addr)-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
							} else if (Z_MODE(ref_addr) == IS_REG) {
					dasm_put(Dst, 35946, (Z_REG(var_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
							} else {
								ZEND_UNREACHABLE();
							}
						}
						if (Z_MODE(res_addr) == IS_REG) {
							if (Z_REG(var_addr) != Z_REG(res_addr)) {
					dasm_put(Dst, 35950, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35954, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 35958, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 35962, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 35966, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 35970, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 35975, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								} else if (Z_MODE(res_addr) == IS_REG) {
						if (Z_MODE(ref_addr) != IS_REG || Z_REG(res_addr) != Z_REG(ref_addr)) {
							if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35980, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 35987, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
						} else {
						if (((uintptr_t)(Z_ZV(ref_addr))) == 0) {
					dasm_put(Dst, 35995, (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 35998, (ZREG_X15), ((uint64_t)(Z_ZV(ref_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 36002, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 36006, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff) {
					dasm_put(Dst, 36010, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff) {
					dasm_put(Dst, 36015, (ZREG_X15), ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 36019, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 36023, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 36027, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 36031, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36035, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
						}
					dasm_put(Dst, 36039, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
						}
							} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36043, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 36047, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36051, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36055, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36059, (Z_REG(res_addr)-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36064, (Z_REG(res_addr)-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
							} else if (Z_MODE(ref_addr) == IS_REG) {
					dasm_put(Dst, 36069, (Z_REG(res_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
							} else {
								ZEND_UNREACHABLE();
							}
						}
						if (Z_MODE(var_addr) == IS_REG) {
							if (Z_REG(res_addr) != Z_REG(var_addr)) {
					dasm_put(Dst, 36073, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36077, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 36081, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36085, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36089, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36093, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36098, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
								} else {
						if (Z_MODE(ref_addr) != IS_REG || ZREG_V0 != Z_REG(ref_addr)) {
							if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 36103, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 36110, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
						} else {
						if (((uintptr_t)(Z_ZV(ref_addr))) == 0) {
					dasm_put(Dst, 36118, (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36121, (ZREG_X15), ((uint64_t)(Z_ZV(ref_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 36125, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
					dasm_put(Dst, 36129, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff) {
					dasm_put(Dst, 36133, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff) {
					dasm_put(Dst, 36138, (ZREG_X15), ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 36142, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 36146, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 36150, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 36154, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36158, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
						}
					dasm_put(Dst, 36162, (ZREG_V0-ZREG_V0), (ZREG_X15));
						}
							} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36166, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 36170, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36174, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36178, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36182, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36187, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
							} else if (Z_MODE(ref_addr) == IS_REG) {
					dasm_put(Dst, 36192, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
							} else {
								ZEND_UNREACHABLE();
							}
						}
						if (Z_MODE(var_addr) == IS_REG) {
							if (ZREG_V0 != Z_REG(var_addr)) {
					dasm_put(Dst, 36196, (Z_REG(var_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36200, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 36204, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36208, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36212, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36216, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36221, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						}
						if (Z_MODE(res_addr) == IS_REG) {
							if (ZREG_V0 != Z_REG(res_addr)) {
					dasm_put(Dst, 36226, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36230, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 36234, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36238, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36242, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36246, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36251, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								}
							} else {
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36256, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 36260, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36264, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36268, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36272, (tmp_reg), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36277, (tmp_reg), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36282, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 36286, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36290, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36294, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36298, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36303, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 36308, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 36312, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36316, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36320, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36324, (tmp_reg), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36329, (tmp_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
							}
						}
						if ((val_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
						    has_concrete_type(val_info & MAY_BE_ANY)) {
							uint32_t type = concrete_type(val_info);
							if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
								if ((var_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (val_info & (MAY_BE_ANY|MAY_BE_UNDEF))) {
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(type)) <= MOVZ_IMM) {
					dasm_put(Dst, 36334, (ZREG_X15), ((uint32_t)(type)));
						} else if (((uint32_t)(type) & 0xffff)) {
					dasm_put(Dst, 36338, (ZREG_X15), ((uint32_t)(type) & 0xffff));
							if ((((uint32_t)(type) >> 16) & 0xffff)) {
					dasm_put(Dst, 36342, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36346, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 36350, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 36354, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36358, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36362, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36366, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 36371, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
						}
								}
							}
							if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(type)) <= MOVZ_IMM) {
					dasm_put(Dst, 36376, (ZREG_X15), ((uint32_t)(type)));
						} else if (((uint32_t)(type) & 0xffff)) {
					dasm_put(Dst, 36380, (ZREG_X15), ((uint32_t)(type) & 0xffff));
							if ((((uint32_t)(type) >> 16) & 0xffff)) {
					dasm_put(Dst, 36384, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36388, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 36392, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 36396, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36400, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36404, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36408, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 36413, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
							}
						} else {
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 36418, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 36422, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36426, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36430, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36434, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36439, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)));
						}
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 36444, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 36448, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36452, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36456, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36460, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36465, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
						}
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 36470, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 36474, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36478, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36482, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36486, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 36491, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
						}
#line 5648 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	beq >2 // GC_DELREF() reached zero
				//|	IF_NOT_REFCOUNTED REG2w, >3, TMP1w
				dasm_put(Dst, 36496);
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 36499);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 36501, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 36504, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 36507, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 36510, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 36513, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 36516);
					}
				dasm_put(Dst, 36518);
#line 5651 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (!res_addr) {
					//|	GC_ADDREF Rx(tmp_reg), TMP1w
					dasm_put(Dst, 36521, (tmp_reg), (tmp_reg));
#line 5653 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	GC_ADDREF_2 Rx(tmp_reg), TMP1w
					dasm_put(Dst, 36527, (tmp_reg), (tmp_reg));
#line 5655 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	b >3
				//|2:
				dasm_put(Dst, 36533);
#line 5658 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (res_addr) {
					//|	IF_NOT_REFCOUNTED REG2w, >2, TMP1w
						if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
					dasm_put(Dst, 36537);
						} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
					dasm_put(Dst, 36539, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
						} else {
						if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
					dasm_put(Dst, 36542, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
						} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
					dasm_put(Dst, 36545, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
							if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
					dasm_put(Dst, 36548, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 36551, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 36554);
						}
#line 5660 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GC_ADDREF Rx(tmp_reg), TMP1w
					//|2:
					dasm_put(Dst, 36556, (tmp_reg), (tmp_reg));
#line 5662 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (Z_REG(val_addr) == ZREG_REG2) {
					//|	ldr REG2, T1 // restore
					dasm_put(Dst, 36565);
#line 5665 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (save_r1) {
					//|	str FCARG1x, T1 // save
					dasm_put(Dst, 36567);
#line 5668 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	GET_ZVAL_PTR FCARG1x, val_addr, TMP1
					ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 36569, ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 36572, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 36575, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 36578, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 36581, (Z_REG(val_addr)));
					} else {
				dasm_put(Dst, 36584, (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
#line 5670 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EFREE_REFERENCE
				#if ZEND_DEBUG
				dasm_put(Dst, 36588);
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 36593, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 36596);
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 36598, ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 36601, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 36604, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 36607, (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 36610, ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 36613, (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 36616, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 36619, (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 36622, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 36625, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 36628);
					}
				#else
				#ifdef HAVE_BUILTIN_CONSTANT_P
					if (arm64_may_use_b(_efree_32)) {
				dasm_put(Dst, 36630, (unsigned int)((ptrdiff_t)(_efree_32)), (unsigned int)(((ptrdiff_t)(_efree_32))>>32));
					} else {
					if (((uintptr_t)(_efree_32)) == 0) {
				dasm_put(Dst, 36633);
					} else if (((uintptr_t)(_efree_32)) <= MOVZ_IMM) {
				dasm_put(Dst, 36635, ((uint64_t)(_efree_32)));
					} else if (arm64_may_use_adr((void*)(_efree_32))) {
				dasm_put(Dst, 36638, (unsigned int)((ptrdiff_t)(_efree_32)), (unsigned int)(((ptrdiff_t)(_efree_32))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree_32))) {
				dasm_put(Dst, 36641, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree_32))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree_32)))))>>32));
						if (((uintptr_t)(_efree_32)) & 0xfff) {
				dasm_put(Dst, 36644, (((uintptr_t)(_efree_32)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree_32) & 0xffff) {
				dasm_put(Dst, 36647, ((uintptr_t)(_efree_32) & 0xffff));
						if (((uintptr_t)(_efree_32) >> 16) & 0xffff) {
				dasm_put(Dst, 36650, (((uintptr_t)(_efree_32) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree_32) >> 32) & 0xffff) {
				dasm_put(Dst, 36653, (((uintptr_t)(_efree_32) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree_32) >> 16) & 0xffff) {
				dasm_put(Dst, 36656, (((uintptr_t)(_efree_32) >> 16) & 0xffff));
						if (((uintptr_t)(_efree_32) >> 32) & 0xffff) {
				dasm_put(Dst, 36659, (((uintptr_t)(_efree_32) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 36662, (((uintptr_t)(_efree_32) >> 32) & 0xffff));
					}
				dasm_put(Dst, 36665);
					}
				#else
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 36667, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 36670);
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 36672, ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 36675, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 36678, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 36681, (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 36684, ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 36687, (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 36690, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 36693, (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 36696, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 36699, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 36702);
					}
				#endif
				#endif
#line 5671 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (save_r1) {
					//|	ldr FCARG1x, T1 // restore
					dasm_put(Dst, 36704);
#line 5673 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	b >3
				dasm_put(Dst, 36706);
#line 5675 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (in_cold) {
					//|1:
					dasm_put(Dst, 36709);
#line 5677 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|.code
					dasm_put(Dst, 36711);
#line 5679 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
		}

		if (!res_addr) {
			//|	ZVAL_COPY_VALUE var_addr, var_info, val_addr, val_info, ZREG_REG2, tmp_reg, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (val_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((val_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(val_addr) == IS_REG) {
							if (Z_MODE(var_addr) != IS_REG || Z_REG(var_addr) != Z_REG(val_addr)) {
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 36712, (Z_REG(var_addr)), (Z_REG(val_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 36716, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 36720, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 36724, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 36728, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 36732, (Z_REG(val_addr)), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 36737, (Z_REG(val_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
							}
						} else if (Z_MODE(var_addr) == IS_REG) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 36742, (Z_REG(var_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 36745, (Z_REG(var_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 36748, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 36752, (Z_REG(var_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 36756, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 36760, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 36764, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 36768, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 36772, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 36776, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 36780, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 36784, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 36788, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 36792, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 36796, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 36800, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 36804, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 36808, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 36812, (Z_REG(var_addr)), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 36817, (Z_REG(var_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (Z_REG(var_addr) != Z_REG(val_addr)) {
			dasm_put(Dst, 36822, (Z_REG(var_addr)), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 36826, (tmp_reg));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 36829, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 36832, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 36836, (tmp_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 36840, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 36844, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 36848, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 36852, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 36856, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 36860, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 36864, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 36868, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 36872, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 36876, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 36880, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 36884, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 36888, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 36892, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 36896, (tmp_reg), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 36901, (tmp_reg), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (tmp_reg != Z_REG(val_addr)) {
			dasm_put(Dst, 36906, (tmp_reg), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 36910, (Z_REG(var_addr)), (tmp_reg));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 36914, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 36918, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 36922, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 36926, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 36930, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 36935, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						}
					} else if ((val_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(val_addr) == IS_REG) {
				if (Z_MODE(var_addr) == IS_REG) {
					if (Z_REG(val_addr) != Z_REG(var_addr)) {
			dasm_put(Dst, 36940, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 36944, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 36948, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 36952, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 36956, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 36960, (Z_REG(val_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 36965, (Z_REG(val_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						} else if (Z_MODE(var_addr) == IS_REG) {
				if (Z_MODE(val_addr) != IS_REG || Z_REG(var_addr) != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 36970, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 36977, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 36985, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 36988, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 36992, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 36996, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 37000, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 37005, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 37009, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 37013, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 37017, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 37021, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37025, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 37029, (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37033, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 37037, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37041, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37045, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37049, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37054, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 37059, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37063, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37070, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 37078, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37081, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37085, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37089, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 37093, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 37098, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 37102, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 37106, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 37110, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 37114, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37118, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 37122, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37126, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 37130, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37134, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37138, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37142, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37147, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 37152, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(var_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(var_addr)) {
			dasm_put(Dst, 37156, (Z_REG(var_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37160, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 37164, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37168, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37172, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37176, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37181, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(val_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37186, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 37190, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37194, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37198, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37202, (tmp_reg), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37207, (tmp_reg), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37212, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 37216, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37220, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37224, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37228, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37233, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
					}
				}
				if ((val_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(val_info & MAY_BE_GUARD) &&
					has_concrete_type(val_info & MAY_BE_ANY)) {
					if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if ((var_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (val_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(val_info);
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 37238, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 37242, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 37246, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37250, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 37254, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 37258, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37262, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37266, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37270, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 37275, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 37280, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 37284, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37288, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37292, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37296, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37301, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 37306, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 37310, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37314, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37318, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37322, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37327, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 5685 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	ZVAL_COPY_VALUE_2 var_addr, var_info, res_addr, val_addr, val_info, ZREG_REG2, tmp_reg, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (val_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((val_info & MAY_BE_ANY) == MAY_BE_LONG) {
						if (Z_MODE(val_addr) == IS_REG) {
							if (Z_MODE(var_addr) != IS_REG || Z_REG(var_addr) != Z_REG(val_addr)) {
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 37332, (Z_REG(var_addr)), (Z_REG(val_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37336, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 37340, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37344, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37348, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37352, (Z_REG(val_addr)), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37357, (Z_REG(val_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
							}
							if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 37362, (Z_REG(res_addr)), (Z_REG(val_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37366, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 37370, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37374, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37378, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37382, (Z_REG(val_addr)), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37387, (Z_REG(val_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
							}
						} else if (Z_MODE(var_addr) == IS_REG) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 37392, (Z_REG(var_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 37395, (Z_REG(var_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 37398, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 37402, (Z_REG(var_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 37406, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 37410, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37414, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37418, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 37422, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37426, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37430, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37434, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37438, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37442, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37446, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 37450, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37454, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37458, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37462, (Z_REG(var_addr)), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37467, (Z_REG(var_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (Z_REG(var_addr) != Z_REG(val_addr)) {
			dasm_put(Dst, 37472, (Z_REG(var_addr)), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
							if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(var_addr)) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 37476, (Z_REG(res_addr)), (Z_REG(var_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37480, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 37484, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37488, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37492, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37496, (Z_REG(var_addr)), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37501, (Z_REG(var_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
							}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 37506, (Z_REG(res_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 37509, (Z_REG(res_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 37512, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 37516, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 37520, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 37524, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37528, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37532, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 37536, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37540, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37544, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37548, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37552, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37556, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37560, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 37564, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37568, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37572, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37576, (Z_REG(res_addr)), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37581, (Z_REG(res_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(val_addr)) {
			dasm_put(Dst, 37586, (Z_REG(res_addr)), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 37590, (Z_REG(var_addr)), (Z_REG(res_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37594, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 37598, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37602, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37606, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37610, (Z_REG(res_addr)), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37615, (Z_REG(res_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						} else {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 37620, (tmp_reg));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 37623, (tmp_reg));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 37626, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 37630, (tmp_reg), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 37634, (tmp_reg), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 37638, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37642, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37646, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 37650, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37654, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37658, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 37662, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 37666, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37670, (tmp_reg), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37674, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 37678, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37682, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37686, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37690, (tmp_reg), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37695, (tmp_reg), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (tmp_reg != Z_REG(val_addr)) {
			dasm_put(Dst, 37700, (tmp_reg), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 37704, (Z_REG(var_addr)), (tmp_reg));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37708, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 37712, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37716, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37720, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37724, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37729, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 37734, (Z_REG(res_addr)), (tmp_reg));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37738, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 37742, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37746, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37750, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37754, (tmp_reg), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37759, (tmp_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else if ((val_info & MAY_BE_ANY) == MAY_BE_DOUBLE) {
						if (Z_MODE(val_addr) == IS_REG) {
				if (Z_MODE(var_addr) == IS_REG) {
					if (Z_REG(val_addr) != Z_REG(var_addr)) {
			dasm_put(Dst, 37764, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37768, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 37772, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37776, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37780, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37784, (Z_REG(val_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37789, (Z_REG(val_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(val_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 37794, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37798, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 37802, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37806, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37810, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37814, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37819, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(var_addr) == IS_REG) {
				if (Z_MODE(val_addr) != IS_REG || Z_REG(var_addr) != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37824, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37831, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 37839, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37842, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37846, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37850, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 37854, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 37859, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 37863, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 37867, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 37871, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 37875, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37879, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 37883, (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37887, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 37891, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37895, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37899, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37903, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37908, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 37913, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(var_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 37917, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37921, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 37925, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 37929, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 37933, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 37937, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 37942, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(val_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37947, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37954, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 37962, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 37965, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37969, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 37973, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 37977, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 37982, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 37986, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 37990, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 37994, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 37998, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38002, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 38006, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38010, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 38014, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38018, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38022, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38026, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38031, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 38036, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(var_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(var_addr)) {
			dasm_put(Dst, 38040, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38044, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 38048, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38052, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38056, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38060, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38065, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						} else {
				if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 38070, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 38077, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 38085, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38088, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 38092, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 38096, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 38100, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 38105, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 38109, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 38113, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 38117, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 38121, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38125, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 38129, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38133, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 38137, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38141, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38145, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38149, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38154, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 38159, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(var_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(var_addr)) {
			dasm_put(Dst, 38163, (Z_REG(var_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38167, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 38171, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38175, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38179, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38183, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38188, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(res_addr)) {
			dasm_put(Dst, 38193, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38197, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 38201, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38205, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38209, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38213, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38218, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38223, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 38227, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38231, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38235, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38239, (tmp_reg), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38244, (tmp_reg), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38249, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 38253, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38257, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38261, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38265, (tmp_reg), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38270, (tmp_reg), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 38275, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 38279, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38283, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38287, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38291, (tmp_reg), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38296, (tmp_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
					}
				}
				if ((val_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				    has_concrete_type(val_info & MAY_BE_ANY)) {
					uint32_t type = concrete_type(val_info);
					if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if ((var_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (val_info & (MAY_BE_ANY|MAY_BE_UNDEF))) {
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 38301, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 38305, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 38309, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38313, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 38317, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 38321, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38325, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38329, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38333, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 38338, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
					if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 38343, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 38347, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 38351, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38355, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 38359, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 38363, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38367, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38371, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38375, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 38380, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
					}
				} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 38385, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 38389, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38393, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38397, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38401, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38406, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 38411, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 38415, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38419, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38423, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38427, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38432, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 38437, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 38441, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 38445, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 38449, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 38453, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 38458, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 5687 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (val_type == IS_CV) {
			if (!res_addr) {
				//|	TRY_ADDREF val_info, REG2w, Rx(tmp_reg), TMP1w
					if (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
						if (val_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 38463);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 38465, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 38468, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 38471, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 38474, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 38477, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 38480);
					}
				dasm_put(Dst, 38482);
						}
				dasm_put(Dst, 38485, (tmp_reg), (tmp_reg));
					}
#line 5692 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	TRY_ADDREF_2 val_info, REG2w, Rx(tmp_reg), TMP1w
					if (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
						if (val_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 38492);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 38494, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 38497, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 38500, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 38503, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 38506, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 38509);
					}
				dasm_put(Dst, 38511);
						}
				dasm_put(Dst, 38514, (tmp_reg), (tmp_reg));
					}
#line 5694 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (res_addr) {
				//|	TRY_ADDREF val_info, REG2w, Rx(tmp_reg), TMP1w
					if (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
						if (val_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 38521);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 38523, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 38526, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 38529, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 38532, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 38535, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 38538);
					}
				dasm_put(Dst, 38540);
						}
				dasm_put(Dst, 38543, (tmp_reg), (tmp_reg));
					}
#line 5698 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|3:
		dasm_put(Dst, 38550);
#line 5701 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_assign_to_typed_ref(dasm_State         **Dst,
                                       const zend_op        *opline,
                                       zend_uchar            val_type,
                                       zend_jit_addr         val_addr,
                                       zend_jit_addr         res_addr,
                                       bool                  check_exception)
{
	//|	// if (UNEXPECTED(ZEND_REF_HAS_TYPE_SOURCES(Z_REF_P(variable_ptr)))) {
	//|	ldr TMP1, [FCARG1x, #offsetof(zend_reference, sources.ptr)]
	//|	cbnz TMP1, >2
	//|.cold_code
	dasm_put(Dst, 38552, offsetof(zend_reference, sources.ptr));
#line 5716 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|2:
	dasm_put(Dst, 38557);
#line 5717 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (Z_MODE(val_addr) != IS_MEM_ZVAL || Z_REG(val_addr) != ZREG_FCARG2 || Z_OFFSET(val_addr) != 0) {
		//|	LOAD_ZVAL_ADDR FCARG2x, val_addr
			if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
		dasm_put(Dst, 38559);
			} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 38561, ((uint64_t)(Z_ZV(val_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 38564, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 38567, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
		dasm_put(Dst, 38570, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
		dasm_put(Dst, 38573, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 38576, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 38579, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 38582, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 38585, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 38588, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(val_addr)) {
			if (Z_OFFSET(val_addr) == 0) {
		dasm_put(Dst, 38591, (Z_REG(val_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
		dasm_put(Dst, 38594, (Z_REG(val_addr)), Z_OFFSET(val_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 38598, ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 38601, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 38604, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 38607, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 38610, (Z_REG(val_addr)));
			}
				} else {
					if (Z_REG(val_addr) == ZREG_RSP) {
		dasm_put(Dst, 38613);
					} else {
		dasm_put(Dst, 38615, (Z_REG(val_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 5719 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (opline) {
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 38618, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 38621);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 38623, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 38626, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 38629, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 38632, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 38635, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 38638, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 38641, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 38644, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 38647, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 38650, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 38653, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 5722 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (val_type == IS_CONST) {
		//|	EXT_CALL zend_jit_assign_const_to_typed_ref, REG0
			if (arm64_may_use_b(zend_jit_assign_const_to_typed_ref)) {
		dasm_put(Dst, 38656, (unsigned int)((ptrdiff_t)(zend_jit_assign_const_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_const_to_typed_ref))>>32));
			} else {
			if (((uintptr_t)(zend_jit_assign_const_to_typed_ref)) == 0) {
		dasm_put(Dst, 38659);
			} else if (((uintptr_t)(zend_jit_assign_const_to_typed_ref)) <= MOVZ_IMM) {
		dasm_put(Dst, 38661, ((uint64_t)(zend_jit_assign_const_to_typed_ref)));
			} else if (arm64_may_use_adr((void*)(zend_jit_assign_const_to_typed_ref))) {
		dasm_put(Dst, 38664, (unsigned int)((ptrdiff_t)(zend_jit_assign_const_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_const_to_typed_ref))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_assign_const_to_typed_ref))) {
		dasm_put(Dst, 38667, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_const_to_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_const_to_typed_ref)))))>>32));
				if (((uintptr_t)(zend_jit_assign_const_to_typed_ref)) & 0xfff) {
		dasm_put(Dst, 38670, (((uintptr_t)(zend_jit_assign_const_to_typed_ref)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_assign_const_to_typed_ref) & 0xffff) {
		dasm_put(Dst, 38673, ((uintptr_t)(zend_jit_assign_const_to_typed_ref) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_const_to_typed_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 38676, (((uintptr_t)(zend_jit_assign_const_to_typed_ref) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_assign_const_to_typed_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 38679, (((uintptr_t)(zend_jit_assign_const_to_typed_ref) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_assign_const_to_typed_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 38682, (((uintptr_t)(zend_jit_assign_const_to_typed_ref) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_const_to_typed_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 38685, (((uintptr_t)(zend_jit_assign_const_to_typed_ref) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 38688, (((uintptr_t)(zend_jit_assign_const_to_typed_ref) >> 32) & 0xffff));
			}
		dasm_put(Dst, 38691);
			}
#line 5725 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (val_type == IS_TMP_VAR) {
		//|	EXT_CALL zend_jit_assign_tmp_to_typed_ref, REG0
			if (arm64_may_use_b(zend_jit_assign_tmp_to_typed_ref)) {
		dasm_put(Dst, 38693, (unsigned int)((ptrdiff_t)(zend_jit_assign_tmp_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_tmp_to_typed_ref))>>32));
			} else {
			if (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref)) == 0) {
		dasm_put(Dst, 38696);
			} else if (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref)) <= MOVZ_IMM) {
		dasm_put(Dst, 38698, ((uint64_t)(zend_jit_assign_tmp_to_typed_ref)));
			} else if (arm64_may_use_adr((void*)(zend_jit_assign_tmp_to_typed_ref))) {
		dasm_put(Dst, 38701, (unsigned int)((ptrdiff_t)(zend_jit_assign_tmp_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_tmp_to_typed_ref))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_assign_tmp_to_typed_ref))) {
		dasm_put(Dst, 38704, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_tmp_to_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_tmp_to_typed_ref)))))>>32));
				if (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref)) & 0xfff) {
		dasm_put(Dst, 38707, (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) & 0xffff) {
		dasm_put(Dst, 38710, ((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 38713, (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 38716, (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 38719, (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 38722, (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 38725, (((uintptr_t)(zend_jit_assign_tmp_to_typed_ref) >> 32) & 0xffff));
			}
		dasm_put(Dst, 38728);
			}
#line 5727 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (val_type == IS_VAR) {
		//|	EXT_CALL zend_jit_assign_var_to_typed_ref, REG0
			if (arm64_may_use_b(zend_jit_assign_var_to_typed_ref)) {
		dasm_put(Dst, 38730, (unsigned int)((ptrdiff_t)(zend_jit_assign_var_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_var_to_typed_ref))>>32));
			} else {
			if (((uintptr_t)(zend_jit_assign_var_to_typed_ref)) == 0) {
		dasm_put(Dst, 38733);
			} else if (((uintptr_t)(zend_jit_assign_var_to_typed_ref)) <= MOVZ_IMM) {
		dasm_put(Dst, 38735, ((uint64_t)(zend_jit_assign_var_to_typed_ref)));
			} else if (arm64_may_use_adr((void*)(zend_jit_assign_var_to_typed_ref))) {
		dasm_put(Dst, 38738, (unsigned int)((ptrdiff_t)(zend_jit_assign_var_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_var_to_typed_ref))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_assign_var_to_typed_ref))) {
		dasm_put(Dst, 38741, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_var_to_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_var_to_typed_ref)))))>>32));
				if (((uintptr_t)(zend_jit_assign_var_to_typed_ref)) & 0xfff) {
		dasm_put(Dst, 38744, (((uintptr_t)(zend_jit_assign_var_to_typed_ref)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_assign_var_to_typed_ref) & 0xffff) {
		dasm_put(Dst, 38747, ((uintptr_t)(zend_jit_assign_var_to_typed_ref) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_var_to_typed_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 38750, (((uintptr_t)(zend_jit_assign_var_to_typed_ref) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_assign_var_to_typed_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 38753, (((uintptr_t)(zend_jit_assign_var_to_typed_ref) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_assign_var_to_typed_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 38756, (((uintptr_t)(zend_jit_assign_var_to_typed_ref) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_var_to_typed_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 38759, (((uintptr_t)(zend_jit_assign_var_to_typed_ref) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 38762, (((uintptr_t)(zend_jit_assign_var_to_typed_ref) >> 32) & 0xffff));
			}
		dasm_put(Dst, 38765);
			}
#line 5729 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (val_type == IS_CV) {
		//|	EXT_CALL zend_jit_assign_cv_to_typed_ref, REG0
			if (arm64_may_use_b(zend_jit_assign_cv_to_typed_ref)) {
		dasm_put(Dst, 38767, (unsigned int)((ptrdiff_t)(zend_jit_assign_cv_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_cv_to_typed_ref))>>32));
			} else {
			if (((uintptr_t)(zend_jit_assign_cv_to_typed_ref)) == 0) {
		dasm_put(Dst, 38770);
			} else if (((uintptr_t)(zend_jit_assign_cv_to_typed_ref)) <= MOVZ_IMM) {
		dasm_put(Dst, 38772, ((uint64_t)(zend_jit_assign_cv_to_typed_ref)));
			} else if (arm64_may_use_adr((void*)(zend_jit_assign_cv_to_typed_ref))) {
		dasm_put(Dst, 38775, (unsigned int)((ptrdiff_t)(zend_jit_assign_cv_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_cv_to_typed_ref))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_assign_cv_to_typed_ref))) {
		dasm_put(Dst, 38778, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_cv_to_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_cv_to_typed_ref)))))>>32));
				if (((uintptr_t)(zend_jit_assign_cv_to_typed_ref)) & 0xfff) {
		dasm_put(Dst, 38781, (((uintptr_t)(zend_jit_assign_cv_to_typed_ref)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_assign_cv_to_typed_ref) & 0xffff) {
		dasm_put(Dst, 38784, ((uintptr_t)(zend_jit_assign_cv_to_typed_ref) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_cv_to_typed_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 38787, (((uintptr_t)(zend_jit_assign_cv_to_typed_ref) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_assign_cv_to_typed_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 38790, (((uintptr_t)(zend_jit_assign_cv_to_typed_ref) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_assign_cv_to_typed_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 38793, (((uintptr_t)(zend_jit_assign_cv_to_typed_ref) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_cv_to_typed_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 38796, (((uintptr_t)(zend_jit_assign_cv_to_typed_ref) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 38799, (((uintptr_t)(zend_jit_assign_cv_to_typed_ref) >> 32) & 0xffff));
			}
		dasm_put(Dst, 38802);
			}
#line 5731 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		ZEND_UNREACHABLE();
	}
	if (res_addr) {
		zend_jit_addr ret_addr = ZEND_ADDR_MEM_ZVAL(ZREG_X0, 0); // RETVAL

		//|	ZVAL_COPY_VALUE res_addr, -1, ret_addr, -1, ZREG_REG1, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (-1 & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((-1 & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(ret_addr) == IS_REG) {
						if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(ret_addr)) {
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 38804, (Z_REG(res_addr)), (Z_REG(ret_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 38808, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 38812, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 38816, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 38820, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 38824, (Z_REG(ret_addr)), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 38829, (Z_REG(ret_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
						}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(ret_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(ret_addr)) == 0) {
		dasm_put(Dst, 38834, (Z_REG(res_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr)))) == 0) {
		dasm_put(Dst, 38837, (Z_REG(res_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 38840, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 38844, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) & 0xffff) {
		dasm_put(Dst, 38848, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 38852, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 38856, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 38860, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 38864, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 38868, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 38872, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 38876, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 38880, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 38884, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(ret_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 38888, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 38892, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 38896, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 38900, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 38904, (Z_REG(res_addr)), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 38909, (Z_REG(res_addr)), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			} else if (Z_MODE(ret_addr) == IS_REG) {
				if (Z_REG(res_addr) != Z_REG(ret_addr)) {
		dasm_put(Dst, 38914, (Z_REG(res_addr)), (Z_REG(ret_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(ret_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(ret_addr)) == 0) {
		dasm_put(Dst, 38918, (ZREG_X10));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr)))) == 0) {
		dasm_put(Dst, 38921, (ZREG_X10));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 38924, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 38928, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) & 0xffff) {
		dasm_put(Dst, 38932, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 38936, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 38940, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 38944, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 38948, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 38952, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 38956, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 38960, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 38964, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 38968, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ret_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(ret_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 38972, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 38976, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 38980, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 38984, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 38988, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 38993, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			} else if (Z_MODE(ret_addr) == IS_REG) {
				if (ZREG_X10 != Z_REG(ret_addr)) {
		dasm_put(Dst, 38998, (ZREG_X10), (Z_REG(ret_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 39002, (Z_REG(res_addr)), (ZREG_X10));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39006, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 39010, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39014, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39018, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39022, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39027, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				} else if ((-1 & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(ret_addr) == IS_REG) {
			if (Z_MODE(res_addr) == IS_REG) {
				if (Z_REG(ret_addr) != Z_REG(res_addr)) {
		dasm_put(Dst, 39032, (Z_REG(res_addr)-ZREG_V0), (Z_REG(ret_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39036, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 39040, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39044, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39048, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39052, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39057, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(ret_addr) != IS_REG || Z_REG(res_addr) != Z_REG(ret_addr)) {
				if (Z_MODE(ret_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(ret_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ret_addr)))) {
		dasm_put(Dst, 39062, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ret_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ret_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(ret_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ret_addr)))) {
		dasm_put(Dst, 39069, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ret_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ret_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(ret_addr))) == 0) {
		dasm_put(Dst, 39077, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39080, (ZREG_X15), ((uint64_t)(Z_ZV(ret_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(ret_addr)))) {
		dasm_put(Dst, 39084, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ret_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ret_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(ret_addr)))) {
		dasm_put(Dst, 39088, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ret_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ret_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(ret_addr))) & 0xfff) {
		dasm_put(Dst, 39092, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(ret_addr)) & 0xffff) {
		dasm_put(Dst, 39097, (ZREG_X15), ((uintptr_t)(Z_ZV(ret_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(ret_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 39101, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 39105, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(ret_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 39109, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 39113, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39117, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 39121, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(ret_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39125, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 39129, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39133, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39137, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39141, (Z_REG(res_addr)-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39146, (Z_REG(res_addr)-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
				} else if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 39151, (Z_REG(res_addr)-ZREG_V0), (Z_REG(ret_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(ret_addr) != IS_REG || ZREG_V0 != Z_REG(ret_addr)) {
				if (Z_MODE(ret_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(ret_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ret_addr)))) {
		dasm_put(Dst, 39155, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ret_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ret_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(ret_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ret_addr)))) {
		dasm_put(Dst, 39162, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ret_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ret_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(ret_addr))) == 0) {
		dasm_put(Dst, 39170, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39173, (ZREG_X15), ((uint64_t)(Z_ZV(ret_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(ret_addr)))) {
		dasm_put(Dst, 39177, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ret_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ret_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(ret_addr)))) {
		dasm_put(Dst, 39181, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ret_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ret_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(ret_addr))) & 0xfff) {
		dasm_put(Dst, 39185, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(ret_addr)) & 0xffff) {
		dasm_put(Dst, 39190, (ZREG_X15), ((uintptr_t)(Z_ZV(ret_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(ret_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 39194, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 39198, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(ret_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 39202, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 39206, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39210, (ZREG_X15), (((uintptr_t)(Z_ZV(ret_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 39214, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(ret_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39218, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 39222, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39226, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39230, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39234, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39239, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
				} else if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 39244, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(res_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(res_addr)) {
		dasm_put(Dst, 39248, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39252, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 39256, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39260, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39264, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39268, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39273, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(-1 & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39278, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 39282, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39286, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39290, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39294, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39299, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39304, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 39308, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39312, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39316, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39320, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39325, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
				}
			}
			if ((-1 & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(-1 & MAY_BE_GUARD) &&
				has_concrete_type(-1 & MAY_BE_ANY)) {
				if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(-1);
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 39330, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 39334, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 39338, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39342, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 39346, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 39350, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39354, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39358, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39362, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 39367, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 39372, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 39376, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39380, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39384, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39388, (ZREG_X9), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39393, (ZREG_X9), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 39398, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 39402, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39406, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39410, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39414, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 39419, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
			}
#line 5738 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	TRY_ADDREF -1, REG1w, REG2, TMP1w
			if (-1 & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
				if (-1 & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
			if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
		dasm_put(Dst, 39424);
			} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
		dasm_put(Dst, 39426, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
			} else {
			if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
		dasm_put(Dst, 39429, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
			} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
		dasm_put(Dst, 39432, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
				if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39435, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39438, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39441);
			}
		dasm_put(Dst, 39443);
				}
		dasm_put(Dst, 39446);
			}
#line 5739 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (check_exception) {
		//|	// if (UNEXPECTED(EG(exception) != NULL)) {
		//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, exception, TMP1
			if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 39451, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 39455, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.exception)) == 0) {
		dasm_put(Dst, 39460);
			} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
		dasm_put(Dst, 39462, ((uint64_t)(&executor_globals.exception)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 39465, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 39468, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
				if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
		dasm_put(Dst, 39471, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
		dasm_put(Dst, 39474, ((uintptr_t)(&executor_globals.exception) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 39477, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 39480, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 39483, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 39486, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39489, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
			}
		dasm_put(Dst, 39492);
			}
#line 5743 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbz REG0, >8  // END OF zend_jit_assign_to_variable()
		//|	b ->exception_handler
		dasm_put(Dst, 39494);
#line 5745 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	b >8
		dasm_put(Dst, 39499);
#line 5747 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|.code
	dasm_put(Dst, 39502);
#line 5749 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_assign_to_variable_call(dasm_State    **Dst,
                                            const zend_op  *opline,
                                            zend_jit_addr   __var_use_addr,
                                            zend_jit_addr   var_addr,
                                            uint32_t        __var_info,
                                            uint32_t        __var_def_info,
                                            zend_uchar      val_type,
                                            zend_jit_addr   val_addr,
                                            uint32_t        val_info,
                                            zend_jit_addr   __res_addr,
                                            bool            __check_exception)
{
	if (val_info & MAY_BE_UNDEF) {
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
			int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
			const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

			if (!exit_addr) {
				return 0;
			}

			//|	IF_ZVAL_TYPE val_addr, IS_UNDEF, &exit_addr, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 39503, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 39507, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 39511, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 39515, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 39519, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 39524, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 39529, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				} else {
			dasm_put(Dst, 39533, (ZREG_X15), IS_UNDEF, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				}
#line 5775 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	IF_ZVAL_TYPE val_addr, IS_UNDEF, >1, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 39539, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 39543, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 39547, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 39551, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 39555, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 39560, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 39565, (ZREG_X15));
				} else {
			dasm_put(Dst, 39569, (ZREG_X15), IS_UNDEF);
				}
#line 5777 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|.cold_code
			dasm_put(Dst, 39575);
#line 5778 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 39576);
#line 5779 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			ZEND_ASSERT(Z_REG(val_addr) == ZREG_FP);
			if (Z_REG(var_addr) != ZREG_FP) {
				//|	str Rx(Z_REG(var_addr)), T1 // save
				dasm_put(Dst, 39578, (Z_REG(var_addr)));
#line 5782 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 39581, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 39584);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 39586, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 39589, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 39592, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 39595, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 39598, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 39601, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 39604, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 39607, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 39610, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 39613, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 39616, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 5784 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_32BIT_VAL FCARG1w, Z_OFFSET(val_addr)
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 39619, ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 39622, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 39625, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 39628, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
#line 5785 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_undefined_op_helper, REG0
				if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
			dasm_put(Dst, 39631, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
			dasm_put(Dst, 39634);
				} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 39636, ((uint64_t)(zend_jit_undefined_op_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 39639, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 39642, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
					if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
			dasm_put(Dst, 39645, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
			dasm_put(Dst, 39648, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 39651, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 39654, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 39657, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 39660, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 39663, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 39666);
				}
#line 5786 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_REG(var_addr) != ZREG_FP) {
				//|	ldr Rx(Z_REG(var_addr)), T1 // restore
				dasm_put(Dst, 39668, (Z_REG(var_addr)));
#line 5788 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (Z_MODE(var_addr) != IS_MEM_ZVAL || Z_REG(var_addr) != ZREG_FCARG1 || Z_OFFSET(var_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, var_addr
					if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(var_addr))) == 0) {
				dasm_put(Dst, 39671);
					} else if (((uintptr_t)(Z_ZV(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 39673, ((uint64_t)(Z_ZV(var_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 39676, (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 39679, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(var_addr))) & 0xfff) {
				dasm_put(Dst, 39682, (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(var_addr)) & 0xffff) {
				dasm_put(Dst, 39685, ((uintptr_t)(Z_ZV(var_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 39688, (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 39691, (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 39694, (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 39697, (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 39700, (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(var_addr)) {
					if (Z_OFFSET(var_addr) == 0) {
				dasm_put(Dst, 39703, (Z_REG(var_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(var_addr)))) {
				dasm_put(Dst, 39706, (Z_REG(var_addr)), Z_OFFSET(var_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 39710, ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 39713, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 39716, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 39719, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 39722, (Z_REG(var_addr)));
					}
						} else {
							if (Z_REG(var_addr) == ZREG_RSP) {
				dasm_put(Dst, 39725);
							} else {
				dasm_put(Dst, 39727, (Z_REG(var_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 5791 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ADDR_ZTS FCARG2x, executor_globals, uninitialized_zval
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
			dasm_put(Dst, 39730);
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
			dasm_put(Dst, 39732, ((uint64_t)(&executor_globals.uninitialized_zval)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 39735, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 39738, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
					if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
			dasm_put(Dst, 39741, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
			dasm_put(Dst, 39744, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 39747, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 39750, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 39753, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 39756, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 39759, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
#line 5793 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bl ->assign_const
			//|	b >9
			//|.code
			dasm_put(Dst, 39762);
#line 5796 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 39767);
#line 5797 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	if (Z_MODE(var_addr) != IS_MEM_ZVAL || Z_REG(var_addr) != ZREG_FCARG1 || Z_OFFSET(var_addr) != 0) {
		//|	LOAD_ZVAL_ADDR FCARG1x, var_addr
			if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(var_addr))) == 0) {
		dasm_put(Dst, 39769);
			} else if (((uintptr_t)(Z_ZV(var_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39771, ((uint64_t)(Z_ZV(var_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
		dasm_put(Dst, 39774, (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
		dasm_put(Dst, 39777, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(var_addr))) & 0xfff) {
		dasm_put(Dst, 39780, (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(var_addr)) & 0xffff) {
		dasm_put(Dst, 39783, ((uintptr_t)(Z_ZV(var_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 39786, (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 39789, (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 39792, (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 39795, (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39798, (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(var_addr)) {
			if (Z_OFFSET(var_addr) == 0) {
		dasm_put(Dst, 39801, (Z_REG(var_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(var_addr)))) {
		dasm_put(Dst, 39804, (Z_REG(var_addr)), Z_OFFSET(var_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39808, ((uint32_t)(Z_OFFSET(var_addr))));
			} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
		dasm_put(Dst, 39811, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39814, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39817, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39820, (Z_REG(var_addr)));
			}
				} else {
					if (Z_REG(var_addr) == ZREG_RSP) {
		dasm_put(Dst, 39823);
					} else {
		dasm_put(Dst, 39825, (Z_REG(var_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 5801 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (Z_MODE(val_addr) != IS_MEM_ZVAL || Z_REG(val_addr) != ZREG_FCARG2 || Z_OFFSET(val_addr) != 0) {
		//|	LOAD_ZVAL_ADDR FCARG2x, val_addr
			if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
		dasm_put(Dst, 39828);
			} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39830, ((uint64_t)(Z_ZV(val_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 39833, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 39836, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
		dasm_put(Dst, 39839, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
		dasm_put(Dst, 39842, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 39845, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 39848, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 39851, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 39854, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39857, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(val_addr)) {
			if (Z_OFFSET(val_addr) == 0) {
		dasm_put(Dst, 39860, (Z_REG(val_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
		dasm_put(Dst, 39863, (Z_REG(val_addr)), Z_OFFSET(val_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 39867, ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 39870, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 39873, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39876, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 39879, (Z_REG(val_addr)));
			}
				} else {
					if (Z_REG(val_addr) == ZREG_RSP) {
		dasm_put(Dst, 39882);
					} else {
		dasm_put(Dst, 39884, (Z_REG(val_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 5804 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (opline) {
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 39887, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 39890);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 39892, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 39895, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 39898, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 39901, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 39904, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 39907, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 39910, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 39913, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 39916, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 39919, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 39922, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 5807 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (!(val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF))) {
		//|	bl ->assign_tmp
		dasm_put(Dst, 39925);
#line 5810 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (val_type == IS_CONST) {
		//|	bl ->assign_const
		dasm_put(Dst, 39928);
#line 5812 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (val_type == IS_TMP_VAR) {
		//|	bl ->assign_tmp
		dasm_put(Dst, 39931);
#line 5814 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (val_type == IS_VAR) {
		if (!(val_info & MAY_BE_REF)) {
			//|	bl ->assign_tmp
			dasm_put(Dst, 39934);
#line 5817 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	bl ->assign_var
			dasm_put(Dst, 39937);
#line 5819 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (val_type == IS_CV) {
		if (!(val_info & MAY_BE_REF)) {
			//|	bl ->assign_cv_noref
			dasm_put(Dst, 39940);
#line 5823 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	bl ->assign_cv
			dasm_put(Dst, 39943);
#line 5825 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if ((val_info & MAY_BE_UNDEF) && JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE) {
			//|9:
			dasm_put(Dst, 39946);
#line 5828 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		ZEND_UNREACHABLE();
	}

	return 1;
}

static int zend_jit_assign_to_variable(dasm_State    **Dst,
                                       const zend_op  *opline,
                                       zend_jit_addr   var_use_addr,
                                       zend_jit_addr   var_addr,
                                       uint32_t        var_info,
                                       uint32_t        var_def_info,
                                       zend_uchar      val_type,
                                       zend_jit_addr   val_addr,
                                       uint32_t        val_info,
                                       zend_jit_addr   res_addr,
                                       bool            check_exception)
/* Labels: 1,2,3,4,5,8 */
{
	int done = 0;
	zend_reg ref_reg, tmp_reg;

	if (Z_MODE(var_addr) == IS_REG || Z_REG(var_use_addr) != ZREG_REG0) {
		ref_reg = ZREG_FCARG1;
		tmp_reg = ZREG_REG0;
	} else {
		/* ASSIGN_DIM */
		ref_reg = ZREG_REG0;
		tmp_reg = ZREG_FCARG1;
	}

	if (var_info & MAY_BE_REF) {
		if (Z_MODE(var_use_addr) != IS_MEM_ZVAL || Z_REG(var_use_addr) != ref_reg || Z_OFFSET(var_use_addr) != 0) {
			//|	LOAD_ZVAL_ADDR Rx(ref_reg), var_use_addr
				if (Z_MODE(var_use_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(var_use_addr))) == 0) {
			dasm_put(Dst, 39948, (ref_reg));
				} else if (((uintptr_t)(Z_ZV(var_use_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 39951, (ref_reg), ((uint64_t)(Z_ZV(var_use_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(var_use_addr)))) {
			dasm_put(Dst, 39955, (ref_reg), (unsigned int)((ptrdiff_t)(Z_ZV(var_use_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_use_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(var_use_addr)))) {
			dasm_put(Dst, 39959, (ref_reg), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_use_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_use_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(var_use_addr))) & 0xfff) {
			dasm_put(Dst, 39963, (ref_reg), (ref_reg), (((uintptr_t)(Z_ZV(var_use_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(var_use_addr)) & 0xffff) {
			dasm_put(Dst, 39968, (ref_reg), ((uintptr_t)(Z_ZV(var_use_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(var_use_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 39972, (ref_reg), (((uintptr_t)(Z_ZV(var_use_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(var_use_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 39976, (ref_reg), (((uintptr_t)(Z_ZV(var_use_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(var_use_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 39980, (ref_reg), (((uintptr_t)(Z_ZV(var_use_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(var_use_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 39984, (ref_reg), (((uintptr_t)(Z_ZV(var_use_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 39988, (ref_reg), (((uintptr_t)(Z_ZV(var_use_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(var_use_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(var_use_addr)) {
				if (Z_OFFSET(var_use_addr) == 0) {
			dasm_put(Dst, 39992, (ref_reg), (Z_REG(var_use_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(var_use_addr)))) {
			dasm_put(Dst, 39996, (ref_reg), (Z_REG(var_use_addr)), Z_OFFSET(var_use_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(var_use_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 40001, (ref_reg), ((uint32_t)(Z_OFFSET(var_use_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff)) {
			dasm_put(Dst, 40005, (ref_reg), ((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 40009, (ref_reg), (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 40013, (ref_reg), (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 40017, (ref_reg), (Z_REG(var_use_addr)), (ref_reg));
				}
					} else {
						if (Z_REG(var_use_addr) == ZREG_RSP) {
			dasm_put(Dst, 40022, (ref_reg));
						} else {
			dasm_put(Dst, 40025, (ref_reg), (Z_REG(var_use_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 5864 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			var_addr = var_use_addr = ZEND_ADDR_MEM_ZVAL(ref_reg, 0);
		}
		//|	// if (Z_ISREF_P(variable_ptr)) {
		//|	IF_NOT_Z_TYPE Rx(ref_reg), IS_REFERENCE, >3, TMP1w
		dasm_put(Dst, 40029, (ref_reg), offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 40033);
			} else {
		dasm_put(Dst, 40036, IS_REFERENCE);
			}
#line 5868 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	// if (UNEXPECTED(ZEND_REF_HAS_TYPE_SOURCES(Z_REF_P(variable_ptr)))) {
		//|	GET_Z_PTR FCARG1x, Rx(ref_reg)
		dasm_put(Dst, 40041, (ref_reg));
#line 5870 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!zend_jit_assign_to_typed_ref(Dst, opline, val_type, val_addr, res_addr, check_exception)) {
			return 0;
		}
		//|	add Rx(ref_reg), FCARG1x, #offsetof(zend_reference, val)
		//|3:
		dasm_put(Dst, 40044, (ref_reg), offsetof(zend_reference, val));
#line 5875 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (var_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
		if (RC_MAY_BE_1(var_info)) {
			int in_cold = 0;

			if (var_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				//|	IF_ZVAL_REFCOUNTED var_use_addr, >1, ZREG_TMP1, ZREG_TMP2
					ZEND_ASSERT(Z_MODE(var_use_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 40049, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 40053, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 40057, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40061, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 40065, (ZREG_X15), (Z_REG(var_use_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 40070, (ZREG_X15), (Z_REG(var_use_addr)), (Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 40075, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 40078, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 40082, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 40086, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 40090, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40094, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 40098, (ZREG_X15), (ZREG_X16));
					}
#line 5882 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|.cold_code
				dasm_put(Dst, 40102);
#line 5883 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				dasm_put(Dst, 40105);
#line 5884 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				in_cold = 1;
			}
			if (Z_REG(var_use_addr) == ZREG_FCARG1 || Z_REG(var_use_addr) == ZREG_REG0) {
				bool keep_gc = 0;

				//|	GET_ZVAL_PTR Rx(tmp_reg), var_use_addr, TMP1
					ZEND_ASSERT(Z_MODE(var_use_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_use_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_use_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 40107, ((uint32_t)(Z_OFFSET(var_use_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff)) {
				dasm_put(Dst, 40110, ((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 40113, (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40116, (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 40119, (tmp_reg), (Z_REG(var_use_addr)));
					} else {
				dasm_put(Dst, 40123, (tmp_reg), (Z_REG(var_use_addr)), (Z_OFFSET(var_use_addr)));
					}
#line 5890 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#if 0
				// TODO: This optiization doesn't work on ARM
				if (tmp_reg == ZREG_FCARG1) {
					if (Z_MODE(val_addr) == IS_REG) {
						keep_gc = 1;
					} else if ((val_info & ((MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_GUARD)-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) == 0) {
						keep_gc = 1;
					} else if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
						zval *zv = Z_ZV(val_addr);
						if (Z_TYPE_P(zv) == IS_DOUBLE) {
							if (Z_DVAL_P(zv) == 0) {
								keep_gc = 1;
							}
						} else if (IS_SIGNED_32BIT(Z_LVAL_P(zv))) {
							keep_gc = 1;
						}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
						if ((val_info & (MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
							keep_gc = 1;
						}
					}
				}
#endif
				if (!keep_gc) {
					//|	str Rx(tmp_reg), T1 // save
					dasm_put(Dst, 40128, (tmp_reg));
#line 5915 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (!zend_jit_simple_assign(Dst, opline, var_addr, var_info, var_def_info, val_type, val_addr, val_info, res_addr, in_cold, 0, 0)) {
					return 0;
				}
				if (!keep_gc) {
					//|	ldr FCARG1x, T1     // restore
					dasm_put(Dst, 40131);
#line 5921 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				//|	GET_ZVAL_PTR FCARG1x, var_use_addr, TMP1
					ZEND_ASSERT(Z_MODE(var_use_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_use_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_use_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 40133, ((uint32_t)(Z_OFFSET(var_use_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff)) {
				dasm_put(Dst, 40136, ((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 40139, (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40142, (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 40145, (Z_REG(var_use_addr)));
					} else {
				dasm_put(Dst, 40148, (Z_REG(var_use_addr)), (Z_OFFSET(var_use_addr)));
					}
#line 5924 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (!zend_jit_simple_assign(Dst, opline, var_addr, var_info, var_def_info, val_type, val_addr, val_info, res_addr, in_cold, 1, 0)) {
					return 0;
				}
			}
			//|	GC_DELREF FCARG1x, TMP1w
			dasm_put(Dst, 40152);
#line 5929 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (RC_MAY_BE_N(var_info) && (var_info & (MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0) {
				//|	bne >4
				dasm_put(Dst, 40156);
#line 5931 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	bne >8
				dasm_put(Dst, 40159);
#line 5933 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	ZVAL_DTOR_FUNC var_info, opline, TMP1
				do {
					if (!((var_info) & MAY_BE_GUARD)
					 && has_concrete_type((var_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((var_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 40162, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 40165);
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 40167, ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 40170, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 40173, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 40176, (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 40179, ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 40182, (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 40185, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 40188, (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 40191, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 40194, (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 40197);
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((var_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((var_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 40199, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 40202);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 40204, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 40207, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 40210, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 40213, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 40216, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 40219, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 40222, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 40225, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 40228, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 40231, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 40234, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 40237, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 40240);
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 40242, ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 40245, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 40248, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 40251, (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 40254, ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 40257, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 40260, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 40263, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 40266, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 40269, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 40272);
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 40274, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 40277);
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 40279, ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 40282, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 40285, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 40288, (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 40291, ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 40294, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 40297, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 40300, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 40303, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 40306, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 40309);
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 40311, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 40314);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 40316, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 40319, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 40322, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 40325, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 40328, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 40331, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 40334, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 40337, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 40340, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 40343, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 40346, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 40349, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 40352);
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 40354, ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 40357, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 40360, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 40363, (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 40366, ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 40369, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 40372, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 40375, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 40378, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 40381, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 40384);
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 40386, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 40389);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 40391, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 40394, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 40397, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 40400, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 40403, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 40406, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 40409, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 40412, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 40415, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 40418, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 40421, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 40424, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 40427);
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 40429, ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 40432, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 40435, (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 40438, (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 40441, ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 40444, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 40447, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 40450, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 40453, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 40456, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 40459);
				}
				} while(0);
#line 5935 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (in_cold || (RC_MAY_BE_N(var_info) && (var_info & (MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0)) {
				if (check_exception && !(val_info & MAY_BE_UNDEF)) {
					//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, exception, TMP1
						if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
					dasm_put(Dst, 40461, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
						} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
					dasm_put(Dst, 40465, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
						} else {
						if (((uintptr_t)(&executor_globals.exception)) == 0) {
					dasm_put(Dst, 40470);
						} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
					dasm_put(Dst, 40472, ((uint64_t)(&executor_globals.exception)));
						} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
					dasm_put(Dst, 40475, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
						} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
					dasm_put(Dst, 40478, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
							if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
					dasm_put(Dst, 40481, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
							}
						} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
					dasm_put(Dst, 40484, ((uintptr_t)(&executor_globals.exception) & 0xffff));
							if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
					dasm_put(Dst, 40487, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
							}
							if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
					dasm_put(Dst, 40490, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
					dasm_put(Dst, 40493, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
							if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
					dasm_put(Dst, 40496, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 40499, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
						}
					dasm_put(Dst, 40502);
						}
#line 5938 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	cbz REG0, >8
					//|	b ->exception_handler
					dasm_put(Dst, 40504);
#line 5940 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	b >8
					dasm_put(Dst, 40509);
#line 5942 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (RC_MAY_BE_N(var_info) && (var_info & (MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0) {
				//|4:
				//|	IF_GC_MAY_NOT_LEAK FCARG1x, >8, TMP1w, TMP2w
				dasm_put(Dst, 40512);
					if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
				dasm_put(Dst, 40515);
					} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
				dasm_put(Dst, 40517, (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
					} else {
					if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
				dasm_put(Dst, 40520, ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
					} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
				dasm_put(Dst, 40523, ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
						if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
				dasm_put(Dst, 40526, (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40529, (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 40532);
					}
#line 5947 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL gc_possible_root, REG0
				dasm_put(Dst, 40534);
					if (arm64_may_use_b(gc_possible_root)) {
				dasm_put(Dst, 40537, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else {
					if (((uintptr_t)(gc_possible_root)) == 0) {
				dasm_put(Dst, 40540);
					} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
				dasm_put(Dst, 40542, ((uint64_t)(gc_possible_root)));
					} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
				dasm_put(Dst, 40545, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
				dasm_put(Dst, 40548, (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
						if (((uintptr_t)(gc_possible_root)) & 0xfff) {
				dasm_put(Dst, 40551, (((uintptr_t)(gc_possible_root)) & 0xfff));
						}
					} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
				dasm_put(Dst, 40554, ((uintptr_t)(gc_possible_root) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 40557, (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						}
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 40560, (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 40563, (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 40566, (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40569, (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				dasm_put(Dst, 40572);
					}
#line 5948 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (in_cold) {
					//|	b >8
					dasm_put(Dst, 40574);
#line 5950 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (check_exception && (val_info & MAY_BE_UNDEF)) {
				//|8:
				//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, exception, TMP1
				dasm_put(Dst, 40577);
					if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 40579, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
					} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 40583, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
					} else {
					if (((uintptr_t)(&executor_globals.exception)) == 0) {
				dasm_put(Dst, 40588);
					} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
				dasm_put(Dst, 40590, ((uint64_t)(&executor_globals.exception)));
					} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 40593, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
					} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 40596, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
						if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
				dasm_put(Dst, 40599, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
						}
					} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
				dasm_put(Dst, 40602, ((uintptr_t)(&executor_globals.exception) & 0xffff));
						if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
				dasm_put(Dst, 40605, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
						}
						if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
				dasm_put(Dst, 40608, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
				dasm_put(Dst, 40611, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
						if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
				dasm_put(Dst, 40614, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40617, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
					}
				dasm_put(Dst, 40620);
					}
#line 5955 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	cbz REG0, >8
				//|	b ->exception_handler
				dasm_put(Dst, 40622);
#line 5957 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (in_cold) {
				//|.code
				dasm_put(Dst, 40627);
#line 5960 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				done = 1;
			}
		} else /* if (RC_MAY_BE_N(var_info)) */ {
			if (var_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				//|	IF_NOT_ZVAL_REFCOUNTED var_use_addr, >5, ZREG_TMP1, ZREG_TMP2
					ZEND_ASSERT(Z_MODE(var_use_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 40628, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 40632, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 40636, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40640, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 40644, (ZREG_X15), (Z_REG(var_use_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 40649, (ZREG_X15), (Z_REG(var_use_addr)), (Z_OFFSET(var_use_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 40654, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 40657, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 40661, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 40665, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 40669, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40673, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 40677, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 40681);
#line 5966 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (var_info & (MAY_BE_ARRAY|MAY_BE_OBJECT)) {
				if (Z_REG(var_use_addr) != ZREG_FP) {
					//|	str Rx(Z_REG(var_use_addr)), T1 // save
					dasm_put(Dst, 40684, (Z_REG(var_use_addr)));
#line 5970 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	GET_ZVAL_PTR FCARG1x, var_use_addr, TMP1
					ZEND_ASSERT(Z_MODE(var_use_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_use_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_use_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 40687, ((uint32_t)(Z_OFFSET(var_use_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff)) {
				dasm_put(Dst, 40690, ((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 40693, (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40696, (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 40699, (Z_REG(var_use_addr)));
					} else {
				dasm_put(Dst, 40702, (Z_REG(var_use_addr)), (Z_OFFSET(var_use_addr)));
					}
#line 5972 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GC_DELREF FCARG1x, TMP1w
				//|	IF_GC_MAY_NOT_LEAK FCARG1x, >5, TMP1w, TMP2w
				dasm_put(Dst, 40706);
					if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
				dasm_put(Dst, 40711);
					} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
				dasm_put(Dst, 40713, (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
					} else {
					if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
				dasm_put(Dst, 40716, ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
					} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
				dasm_put(Dst, 40719, ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
						if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
				dasm_put(Dst, 40722, (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40725, (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 40728);
					}
#line 5974 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL gc_possible_root, TMP1
				dasm_put(Dst, 40730);
					if (arm64_may_use_b(gc_possible_root)) {
				dasm_put(Dst, 40733, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else {
					if (((uintptr_t)(gc_possible_root)) == 0) {
				dasm_put(Dst, 40736);
					} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
				dasm_put(Dst, 40738, ((uint64_t)(gc_possible_root)));
					} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
				dasm_put(Dst, 40741, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
				dasm_put(Dst, 40744, (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
						if (((uintptr_t)(gc_possible_root)) & 0xfff) {
				dasm_put(Dst, 40747, (((uintptr_t)(gc_possible_root)) & 0xfff));
						}
					} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
				dasm_put(Dst, 40750, ((uintptr_t)(gc_possible_root) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 40753, (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						}
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 40756, (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 40759, (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 40762, (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40765, (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				dasm_put(Dst, 40768);
					}
#line 5975 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (Z_REG(var_use_addr) != ZREG_FP) {
					//|	ldr Rx(Z_REG(var_use_addr)), T1 // restore
					dasm_put(Dst, 40770, (Z_REG(var_use_addr)));
#line 5977 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				//|	GET_ZVAL_PTR Rx(tmp_reg), var_use_addr, TMP1
					ZEND_ASSERT(Z_MODE(var_use_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_use_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_use_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 40773, ((uint32_t)(Z_OFFSET(var_use_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff)) {
				dasm_put(Dst, 40776, ((uint32_t)(Z_OFFSET(var_use_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 40779, (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 40782, (((uint32_t)(Z_OFFSET(var_use_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 40785, (tmp_reg), (Z_REG(var_use_addr)));
					} else {
				dasm_put(Dst, 40789, (tmp_reg), (Z_REG(var_use_addr)), (Z_OFFSET(var_use_addr)));
					}
#line 5980 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GC_DELREF Rx(tmp_reg), TMP1w
				dasm_put(Dst, 40794, (tmp_reg), (tmp_reg));
#line 5981 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|5:
			dasm_put(Dst, 40800);
#line 5983 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	    }
	}

	if (!done && !zend_jit_simple_assign(Dst, opline, var_addr, var_info, var_def_info, val_type, val_addr, val_info, res_addr, 0, 0, check_exception)) {
		return 0;
	}

	//|8:
	dasm_put(Dst, 40802);
#line 5991 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_assign_dim(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr, uint32_t op2_info, uint32_t val_info, uint8_t dim_type, int may_throw)
{
	zend_jit_addr op2_addr, op3_addr, res_addr;

	op2_addr = (opline->op2_type != IS_UNUSED) ? OP2_ADDR() : 0;
	op3_addr = OP1_DATA_ADDR();
	if (opline->result_type == IS_UNUSED) {
		res_addr = 0;
	} else {
		res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);
	}

	if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE && (val_info & MAY_BE_UNDEF)) {
		int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
		const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

		if (!exit_addr) {
			return 0;
		}

		//|	IF_ZVAL_TYPE op3_addr, IS_UNDEF, &exit_addr, ZREG_TMP1
			ZEND_ASSERT(Z_MODE(op3_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op3_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op3_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 40804, (ZREG_X15), ((uint32_t)(Z_OFFSET(op3_addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(op3_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 40808, (ZREG_X15), ((uint32_t)(Z_OFFSET(op3_addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op3_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 40812, (ZREG_X15), (((uint32_t)(Z_OFFSET(op3_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 40816, (ZREG_X15), (((uint32_t)(Z_OFFSET(op3_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 40820, (ZREG_X15), (Z_REG(op3_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 40825, (ZREG_X15), (Z_REG(op3_addr)), (Z_OFFSET(op3_addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_UNDEF == 0) {
		dasm_put(Dst, 40830, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			} else {
		dasm_put(Dst, 40834, (ZREG_X15), IS_UNDEF, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			}
#line 6016 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		val_info &= ~MAY_BE_UNDEF;
	}

	if (op1_info & MAY_BE_REF) {
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 40840);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 40842, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 40845, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 40848, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 40851, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 40854, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 40857, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 40860, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 40863, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 40866, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 40869, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 40872, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 40875, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 40879, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 40882, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 40885, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 40888, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 40891, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 40894);
					} else {
		dasm_put(Dst, 40896, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 6022 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	IF_NOT_Z_TYPE FCARG1x, IS_REFERENCE, >1, TMP1w
		dasm_put(Dst, 40899, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 40902);
			} else {
		dasm_put(Dst, 40905, IS_REFERENCE);
			}
#line 6023 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_Z_PTR FCARG2x, FCARG1x
		//|	ldrb TMP1w, [FCARG2x, #(offsetof(zend_reference, val) + offsetof(zval, u1.v.type))]
		//|	cmp TMP1w, #IS_ARRAY
		//|	bne >2
		//|	add FCARG1x, FCARG2x, #offsetof(zend_reference, val)
		//|	b >3
		//|.cold_code
		dasm_put(Dst, 40910, (offsetof(zend_reference, val) + offsetof(zval, u1.v.type)), IS_ARRAY, offsetof(zend_reference, val));
#line 6030 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|2:
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 40922);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 40924, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 40927);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 40929, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 40932, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 40935, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 40938, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 40941, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 40944, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 40947, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 40950, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 40953, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 40956, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 40959, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 6032 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_prepare_assign_dim_ref, REG0
			if (arm64_may_use_b(zend_jit_prepare_assign_dim_ref)) {
		dasm_put(Dst, 40962, (unsigned int)((ptrdiff_t)(zend_jit_prepare_assign_dim_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_prepare_assign_dim_ref))>>32));
			} else {
			if (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) == 0) {
		dasm_put(Dst, 40965);
			} else if (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) <= MOVZ_IMM) {
		dasm_put(Dst, 40967, ((uint64_t)(zend_jit_prepare_assign_dim_ref)));
			} else if (arm64_may_use_adr((void*)(zend_jit_prepare_assign_dim_ref))) {
		dasm_put(Dst, 40970, (unsigned int)((ptrdiff_t)(zend_jit_prepare_assign_dim_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_prepare_assign_dim_ref))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_prepare_assign_dim_ref))) {
		dasm_put(Dst, 40973, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_prepare_assign_dim_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_prepare_assign_dim_ref)))))>>32));
				if (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) & 0xfff) {
		dasm_put(Dst, 40976, (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_prepare_assign_dim_ref) & 0xffff) {
		dasm_put(Dst, 40979, ((uintptr_t)(zend_jit_prepare_assign_dim_ref) & 0xffff));
				if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 40982, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 40985, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 40988, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 40991, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 40994, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff));
			}
		dasm_put(Dst, 40997);
			}
#line 6033 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov FCARG1x, RETVALx
		//|	cbnz FCARG1x, >1
		//|	b ->exception_handler_undef
		//|.code
		dasm_put(Dst, 40999);
#line 6037 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 41005);
#line 6038 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	}

	if (op1_info & MAY_BE_ARRAY) {
		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - MAY_BE_ARRAY)) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_ARRAY, >7, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 41007, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 41011, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 41015, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 41019, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 41023, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 41028, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_ARRAY == 0) {
			dasm_put(Dst, 41033, (ZREG_X15));
				} else {
			dasm_put(Dst, 41037, (ZREG_X15), IS_ARRAY);
				}
#line 6044 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|3:
		//|	SEPARATE_ARRAY op1_addr, op1_info, 1, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 41043);
			if (RC_MAY_BE_N(op1_info)) {
				if (Z_REG(op1_addr) != ZREG_FP) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 41045, (ZREG_X8));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 41048, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 41051, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 41055, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 41059, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 41063, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 41067, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 41071, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 41075, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 41079, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 41083, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 41087, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 41091, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41095, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 41099, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 41103, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41107, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41111, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41115, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 41120, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X8 != Z_REG(op1_addr)) {
		dasm_put(Dst, 41125, (ZREG_X8), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					if (RC_MAY_BE_1(op1_info)) {
		dasm_put(Dst, 41129, (ZREG_X15), (ZREG_X15));
					}
					if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 41136);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 41138, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 41141, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 41144, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 41147, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 41150, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 41153, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 41156, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 41159, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 41162, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41165, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 41168, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 41171, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 41175, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 41178, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41181, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41184, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41187, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 41190);
					} else {
		dasm_put(Dst, 41192, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
					}
			if (arm64_may_use_b(zend_jit_zval_array_dup)) {
		dasm_put(Dst, 41195, (unsigned int)((ptrdiff_t)(zend_jit_zval_array_dup)), (unsigned int)(((ptrdiff_t)(zend_jit_zval_array_dup))>>32));
			} else {
			if (((uintptr_t)(zend_jit_zval_array_dup)) == 0) {
		dasm_put(Dst, 41198);
			} else if (((uintptr_t)(zend_jit_zval_array_dup)) <= MOVZ_IMM) {
		dasm_put(Dst, 41200, ((uint64_t)(zend_jit_zval_array_dup)));
			} else if (arm64_may_use_adr((void*)(zend_jit_zval_array_dup))) {
		dasm_put(Dst, 41203, (unsigned int)((ptrdiff_t)(zend_jit_zval_array_dup)), (unsigned int)(((ptrdiff_t)(zend_jit_zval_array_dup))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_zval_array_dup))) {
		dasm_put(Dst, 41206, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_zval_array_dup))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_zval_array_dup)))))>>32));
				if (((uintptr_t)(zend_jit_zval_array_dup)) & 0xfff) {
		dasm_put(Dst, 41209, (((uintptr_t)(zend_jit_zval_array_dup)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_zval_array_dup) & 0xffff) {
		dasm_put(Dst, 41212, ((uintptr_t)(zend_jit_zval_array_dup) & 0xffff));
				if (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 41215, (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 41218, (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 41221, (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 41224, (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41227, (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff));
			}
		dasm_put(Dst, 41230);
			}
		dasm_put(Dst, 41232);
				} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 41236, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 41239, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 41242, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 41246, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 41250, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 41254, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 41258, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 41262, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 41266, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 41270, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 41274, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 41278, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 41282, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41286, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 41290, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 41294, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41298, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41302, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41306, (ZREG_FCARG1), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 41311, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 41316, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					if (RC_MAY_BE_1(op1_info)) {
		dasm_put(Dst, 41320, (ZREG_X15), (ZREG_X15));
						if (1) {
		dasm_put(Dst, 41325);
		dasm_put(Dst, 41328);
						} else {
		dasm_put(Dst, 41330);
						}
					}
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 41333, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 41337, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41341, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41345, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41349, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 41354, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 41359, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 41362, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 41366, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 41370, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 41374, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41378, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41382, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 41386, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (arm64_may_use_b(zend_array_dup)) {
		dasm_put(Dst, 41397, (unsigned int)((ptrdiff_t)(zend_array_dup)), (unsigned int)(((ptrdiff_t)(zend_array_dup))>>32));
			} else {
			if (((uintptr_t)(zend_array_dup)) == 0) {
		dasm_put(Dst, 41400);
			} else if (((uintptr_t)(zend_array_dup)) <= MOVZ_IMM) {
		dasm_put(Dst, 41402, ((uint64_t)(zend_array_dup)));
			} else if (arm64_may_use_adr((void*)(zend_array_dup))) {
		dasm_put(Dst, 41405, (unsigned int)((ptrdiff_t)(zend_array_dup)), (unsigned int)(((ptrdiff_t)(zend_array_dup))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_dup))) {
		dasm_put(Dst, 41408, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_dup))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_dup)))))>>32));
				if (((uintptr_t)(zend_array_dup)) & 0xfff) {
		dasm_put(Dst, 41411, (((uintptr_t)(zend_array_dup)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_dup) & 0xffff) {
		dasm_put(Dst, 41414, ((uintptr_t)(zend_array_dup) & 0xffff));
				if (((uintptr_t)(zend_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 41417, (((uintptr_t)(zend_array_dup) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 41420, (((uintptr_t)(zend_array_dup) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 41423, (((uintptr_t)(zend_array_dup) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 41426, (((uintptr_t)(zend_array_dup) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41429, (((uintptr_t)(zend_array_dup) >> 32) & 0xffff));
			}
		dasm_put(Dst, 41432);
			}
		dasm_put(Dst, 41434);
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 41436, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 41440, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41444, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41448, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41452, (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 41456, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_ARRAY_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 41460, (ZREG_X15), ((uint32_t)(IS_ARRAY_EX)));
			} else if (((uint32_t)(IS_ARRAY_EX) & 0xffff)) {
		dasm_put(Dst, 41464, (ZREG_X15), ((uint32_t)(IS_ARRAY_EX) & 0xffff));
				if ((((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 41468, (ZREG_X15), (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41472, (ZREG_X15), (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 41476, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 41480, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41484, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41488, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41492, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 41497, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
		dasm_put(Dst, 41502);
					if (RC_MAY_BE_1(op1_info)) {
						if (1) {
		dasm_put(Dst, 41504);
						}
					}
		dasm_put(Dst, 41507);
				}
			} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 41509, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 41512, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 41515, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 41519, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 41523, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 41527, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 41531, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 41535, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 41539, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 41543, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 41547, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 41551, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 41555, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41559, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 41563, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 41567, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41571, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41575, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41579, (ZREG_FCARG1), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 41584, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 41589, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			}
#line 6047 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL)) {
		if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_ARRAY))) {
			//|	CMP_ZVAL_TYPE op1_addr, IS_NULL, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 41593, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 41597, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 41601, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 41605, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 41609, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 41614, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
#line 6050 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bgt >7
			dasm_put(Dst, 41619, (ZREG_X15), IS_NULL);
#line 6051 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	// ZVAL_ARR(container, zend_new_array(8));
		if (Z_REG(op1_addr) != ZREG_FP) {
			//|	str Rx(Z_REG(op1_addr)), T1 // save
			dasm_put(Dst, 41625, (Z_REG(op1_addr)));
#line 6055 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	EXT_CALL _zend_new_array_0, REG0
			if (arm64_may_use_b(_zend_new_array_0)) {
		dasm_put(Dst, 41628, (unsigned int)((ptrdiff_t)(_zend_new_array_0)), (unsigned int)(((ptrdiff_t)(_zend_new_array_0))>>32));
			} else {
			if (((uintptr_t)(_zend_new_array_0)) == 0) {
		dasm_put(Dst, 41631);
			} else if (((uintptr_t)(_zend_new_array_0)) <= MOVZ_IMM) {
		dasm_put(Dst, 41633, ((uint64_t)(_zend_new_array_0)));
			} else if (arm64_may_use_adr((void*)(_zend_new_array_0))) {
		dasm_put(Dst, 41636, (unsigned int)((ptrdiff_t)(_zend_new_array_0)), (unsigned int)(((ptrdiff_t)(_zend_new_array_0))>>32));
			} else if (arm64_may_use_adrp((void*)(_zend_new_array_0))) {
		dasm_put(Dst, 41639, (unsigned int)((ptrdiff_t)((((uintptr_t)(_zend_new_array_0))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_zend_new_array_0)))))>>32));
				if (((uintptr_t)(_zend_new_array_0)) & 0xfff) {
		dasm_put(Dst, 41642, (((uintptr_t)(_zend_new_array_0)) & 0xfff));
				}
			} else if ((uintptr_t)(_zend_new_array_0) & 0xffff) {
		dasm_put(Dst, 41645, ((uintptr_t)(_zend_new_array_0) & 0xffff));
				if (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff) {
		dasm_put(Dst, 41648, (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff) {
		dasm_put(Dst, 41651, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff) {
		dasm_put(Dst, 41654, (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff));
				if (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff) {
		dasm_put(Dst, 41657, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41660, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
			}
		dasm_put(Dst, 41663);
			}
#line 6057 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov REG0, RETVALx
		dasm_put(Dst, 41665);
#line 6058 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_REG(op1_addr) != ZREG_FP) {
			//|	ldr Rx(Z_REG(op1_addr)), T1 // restore
			dasm_put(Dst, 41667, (Z_REG(op1_addr)));
#line 6060 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_ZVAL_LVAL_FROM_REG op1_addr, REG0, TMP1
			if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 41670, (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 41673, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 41676, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41679, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41682, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41685, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 41688, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			}
#line 6062 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO op1_addr, IS_ARRAY_EX, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_ARRAY_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 41692, ((uint32_t)(IS_ARRAY_EX)));
			} else if (((uint32_t)(IS_ARRAY_EX) & 0xffff)) {
		dasm_put(Dst, 41695, ((uint32_t)(IS_ARRAY_EX) & 0xffff));
				if ((((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 41698, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41701, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 41704, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 41707, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 41710, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 41713, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 41716, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 41719, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
#line 6063 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov FCARG1x, REG0
		dasm_put(Dst, 41723);
#line 6064 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY)) {
		//|6:
		dasm_put(Dst, 41725);
#line 6068 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op2_type == IS_UNUSED) {
			uint32_t var_info = MAY_BE_NULL;
			zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);

			//|	// var_ptr = zend_hash_next_index_insert(Z_ARRVAL_P(container), &EG(uninitialized_zval));
			//|	LOAD_ADDR_ZTS FCARG2x, executor_globals, uninitialized_zval
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
			dasm_put(Dst, 41727);
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
			dasm_put(Dst, 41729, ((uint64_t)(&executor_globals.uninitialized_zval)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 41732, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 41735, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
					if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
			dasm_put(Dst, 41738, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
			dasm_put(Dst, 41741, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 41744, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 41747, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 41750, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 41753, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 41756, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
#line 6074 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_hash_next_index_insert, REG0
				if (arm64_may_use_b(zend_hash_next_index_insert)) {
			dasm_put(Dst, 41759, (unsigned int)((ptrdiff_t)(zend_hash_next_index_insert)), (unsigned int)(((ptrdiff_t)(zend_hash_next_index_insert))>>32));
				} else {
				if (((uintptr_t)(zend_hash_next_index_insert)) == 0) {
			dasm_put(Dst, 41762);
				} else if (((uintptr_t)(zend_hash_next_index_insert)) <= MOVZ_IMM) {
			dasm_put(Dst, 41764, ((uint64_t)(zend_hash_next_index_insert)));
				} else if (arm64_may_use_adr((void*)(zend_hash_next_index_insert))) {
			dasm_put(Dst, 41767, (unsigned int)((ptrdiff_t)(zend_hash_next_index_insert)), (unsigned int)(((ptrdiff_t)(zend_hash_next_index_insert))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_hash_next_index_insert))) {
			dasm_put(Dst, 41770, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_next_index_insert))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_next_index_insert)))))>>32));
					if (((uintptr_t)(zend_hash_next_index_insert)) & 0xfff) {
			dasm_put(Dst, 41773, (((uintptr_t)(zend_hash_next_index_insert)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_hash_next_index_insert) & 0xffff) {
			dasm_put(Dst, 41776, ((uintptr_t)(zend_hash_next_index_insert) & 0xffff));
					if (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff) {
			dasm_put(Dst, 41779, (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff) {
			dasm_put(Dst, 41782, (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff) {
			dasm_put(Dst, 41785, (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff));
					if (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff) {
			dasm_put(Dst, 41788, (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 41791, (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff));
				}
			dasm_put(Dst, 41794);
				}
#line 6075 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	// if (UNEXPECTED(!var_ptr)) {
			//|	mov REG0, RETVALx
			//|	cbz REG0, >1
			//|.cold_code
			dasm_put(Dst, 41796);
#line 6079 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	// zend_throw_error(NULL, "Cannot add element to the array as the next element is already occupied");
			//|	CANNOT_ADD_ELEMENT opline
			dasm_put(Dst, 41800);
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
			dasm_put(Dst, 41802);
				} else {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 41805, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 41808);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 41810, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 41813, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 41816, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 41819, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 41822, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 41825, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 41828, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 41831, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 41834, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 41837, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 41840, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
			dasm_put(Dst, 41843);
				}
#line 6082 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	//ZEND_VM_C_GOTO(assign_dim_op_ret_null);
			//|	b >9
			//|.code
			dasm_put(Dst, 41846);
#line 6085 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

			if (!zend_jit_simple_assign(Dst, opline, var_addr, var_info, -1, (opline+1)->op1_type, op3_addr, val_info, res_addr, 0, 0, 0)) {
				return 0;
			}
		} else {
			uint32_t var_info = zend_array_element_type(op1_info, opline->op1_type, 0, 0);
			zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);

			if (!zend_jit_fetch_dimension_address_inner(Dst, opline, BP_VAR_W, op1_info, op2_info, dim_type, NULL, NULL, NULL)) {
				return 0;
			}

			if (op1_info & (MAY_BE_ARRAY_OF_REF|MAY_BE_OBJECT)) {
				var_info |= MAY_BE_REF;
			}
			if (var_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
				var_info |= MAY_BE_RC1;
			}

			//|8:
			//|	// value = zend_assign_to_variable(variable_ptr, value, OP_DATA_TYPE);
			dasm_put(Dst, 41849);
#line 6106 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->op1_type == IS_VAR) {
				ZEND_ASSERT(opline->result_type == IS_UNUSED);
				if (!zend_jit_assign_to_variable_call(Dst, opline, var_addr, var_addr, var_info, -1, (opline+1)->op1_type, op3_addr, val_info, res_addr, 0)) {
					return 0;
				}
			} else {
				if (!zend_jit_assign_to_variable(Dst, opline, var_addr, var_addr, var_info, -1, (opline+1)->op1_type, op3_addr, val_info, res_addr, 0)) {
					return 0;
				}
			}
		}
	}

	if (((op1_info & MAY_BE_ARRAY) &&
	     (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL))) ||
	    (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_ARRAY)))) {
		if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY)) {
			//|.cold_code
			dasm_put(Dst, 41851);
#line 6124 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|7:
			dasm_put(Dst, 41852);
#line 6125 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if ((op1_info & (MAY_BE_UNDEF|MAY_BE_NULL)) &&
		    (op1_info & MAY_BE_ARRAY)) {
			if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_ARRAY))) {
				//|	CMP_ZVAL_TYPE op1_addr, IS_NULL, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 41854, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 41858, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 41862, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 41866, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 41870, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 41875, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
#line 6131 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	bgt >2
				dasm_put(Dst, 41880, (ZREG_X15), IS_NULL);
#line 6132 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	// ZVAL_ARR(container, zend_new_array(8));
			if (Z_REG(op1_addr) != ZREG_FP) {
				//|	str Rx(Z_REG(op1_addr)), T1 // save
				dasm_put(Dst, 41886, (Z_REG(op1_addr)));
#line 6136 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	EXT_CALL _zend_new_array_0, REG0
				if (arm64_may_use_b(_zend_new_array_0)) {
			dasm_put(Dst, 41889, (unsigned int)((ptrdiff_t)(_zend_new_array_0)), (unsigned int)(((ptrdiff_t)(_zend_new_array_0))>>32));
				} else {
				if (((uintptr_t)(_zend_new_array_0)) == 0) {
			dasm_put(Dst, 41892);
				} else if (((uintptr_t)(_zend_new_array_0)) <= MOVZ_IMM) {
			dasm_put(Dst, 41894, ((uint64_t)(_zend_new_array_0)));
				} else if (arm64_may_use_adr((void*)(_zend_new_array_0))) {
			dasm_put(Dst, 41897, (unsigned int)((ptrdiff_t)(_zend_new_array_0)), (unsigned int)(((ptrdiff_t)(_zend_new_array_0))>>32));
				} else if (arm64_may_use_adrp((void*)(_zend_new_array_0))) {
			dasm_put(Dst, 41900, (unsigned int)((ptrdiff_t)((((uintptr_t)(_zend_new_array_0))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_zend_new_array_0)))))>>32));
					if (((uintptr_t)(_zend_new_array_0)) & 0xfff) {
			dasm_put(Dst, 41903, (((uintptr_t)(_zend_new_array_0)) & 0xfff));
					}
				} else if ((uintptr_t)(_zend_new_array_0) & 0xffff) {
			dasm_put(Dst, 41906, ((uintptr_t)(_zend_new_array_0) & 0xffff));
					if (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff) {
			dasm_put(Dst, 41909, (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff) {
			dasm_put(Dst, 41912, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff) {
			dasm_put(Dst, 41915, (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff));
					if (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff) {
			dasm_put(Dst, 41918, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 41921, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
				}
			dasm_put(Dst, 41924);
				}
#line 6138 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	mov REG0, RETVALx
			dasm_put(Dst, 41926);
#line 6139 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_REG(op1_addr) != ZREG_FP) {
				//|	ldr Rx(Z_REG(op1_addr)), T1 // restore
				dasm_put(Dst, 41928, (Z_REG(op1_addr)));
#line 6141 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	SET_ZVAL_LVAL_FROM_REG op1_addr, REG0, TMP1
				if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 41931, (Z_REG(op1_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 41934, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 41937, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 41940, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 41943, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 41946, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 41949, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				}
#line 6143 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO op1_addr, IS_ARRAY_EX, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_ARRAY_EX)) <= MOVZ_IMM) {
			dasm_put(Dst, 41953, ((uint32_t)(IS_ARRAY_EX)));
				} else if (((uint32_t)(IS_ARRAY_EX) & 0xffff)) {
			dasm_put(Dst, 41956, ((uint32_t)(IS_ARRAY_EX) & 0xffff));
					if ((((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff)) {
			dasm_put(Dst, 41959, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 41962, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 41965, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 41968, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 41971, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 41974, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 41977, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 41980, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
				}
#line 6144 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	mov FCARG1x, REG0
			//|	// ZEND_VM_C_GOTO(assign_dim_op_new_array);
			//|	b <6
			//|2:
			dasm_put(Dst, 41984);
#line 6148 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_ARRAY))) {
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 41989, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 41992);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 41994, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 41997, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 42000, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 42003, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 42006, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 42009, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 42012, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 42015, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 42018, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42021, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42024, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 6152 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		    if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 42027);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 42029, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 42032, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 42035, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 42038, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 42041, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 42044, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 42047, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 42050, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 42053, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 42056, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 42059, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 42062, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 42066, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 42069, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 42072, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 42075, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 42078, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 42081);
							} else {
				dasm_put(Dst, 42083, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 6154 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		    if (opline->op2_type == IS_UNUSED) {
				//|	mov FCARG2x, xzr
				dasm_put(Dst, 42086);
#line 6157 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (opline->op2_type == IS_CONST && Z_EXTRA_P(RT_CONSTANT(opline, opline->op2)) == ZEND_EXTRA_VALUE) {
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_CONST_ZVAL);
				//|	LOAD_ADDR FCARG2x, (Z_ZV(op2_addr) + 1)
					if (((uintptr_t)((Z_ZV(op2_addr) + 1))) == 0) {
				dasm_put(Dst, 42088);
					} else if (((uintptr_t)((Z_ZV(op2_addr) + 1))) <= MOVZ_IMM) {
				dasm_put(Dst, 42090, ((uint64_t)((Z_ZV(op2_addr) + 1))));
					} else if (arm64_may_use_adr((void*)((Z_ZV(op2_addr) + 1)))) {
				dasm_put(Dst, 42093, (unsigned int)((ptrdiff_t)((Z_ZV(op2_addr) + 1))), (unsigned int)(((ptrdiff_t)((Z_ZV(op2_addr) + 1)))>>32));
					} else if (arm64_may_use_adrp((void*)((Z_ZV(op2_addr) + 1)))) {
				dasm_put(Dst, 42096, (unsigned int)((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1))))))>>32));
						if (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff) {
				dasm_put(Dst, 42099, (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff));
						}
					} else if ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff) {
				dasm_put(Dst, 42102, ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff));
						if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
				dasm_put(Dst, 42105, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
						}
						if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
				dasm_put(Dst, 42108, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
				dasm_put(Dst, 42111, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
						if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
				dasm_put(Dst, 42114, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 42117, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
					}
#line 6160 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
					if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
				dasm_put(Dst, 42120);
					} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 42122, ((uint64_t)(Z_ZV(op2_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
				dasm_put(Dst, 42125, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
				dasm_put(Dst, 42128, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
				dasm_put(Dst, 42131, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
				dasm_put(Dst, 42134, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 42137, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 42140, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 42143, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 42146, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 42149, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op2_addr)) {
					if (Z_OFFSET(op2_addr) == 0) {
				dasm_put(Dst, 42152, (Z_REG(op2_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
				dasm_put(Dst, 42155, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 42159, ((uint32_t)(Z_OFFSET(op2_addr))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
				dasm_put(Dst, 42162, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 42165, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 42168, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 42171, (Z_REG(op2_addr)));
					}
						} else {
							if (Z_REG(op2_addr) == ZREG_RSP) {
				dasm_put(Dst, 42174);
							} else {
				dasm_put(Dst, 42176, (Z_REG(op2_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 6162 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline->result_type == IS_UNUSED) {
				//|	mov CARG4, xzr
				dasm_put(Dst, 42179);
#line 6165 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	LOAD_ZVAL_ADDR CARG4, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 42181);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 42183, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 42186, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 42189, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 42192, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 42195, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 42198, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 42201, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 42204, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 42207, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 42210, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 42213, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 42216, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 42220, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 42223, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 42226, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 42229, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 42232, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 42235);
							} else {
				dasm_put(Dst, 42237, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 6167 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ZVAL_ADDR CARG3, op3_addr
				if (Z_MODE(op3_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op3_addr))) == 0) {
			dasm_put(Dst, 42240);
				} else if (((uintptr_t)(Z_ZV(op3_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 42242, ((uint64_t)(Z_ZV(op3_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op3_addr)))) {
			dasm_put(Dst, 42245, (unsigned int)((ptrdiff_t)(Z_ZV(op3_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op3_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op3_addr)))) {
			dasm_put(Dst, 42248, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op3_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op3_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op3_addr))) & 0xfff) {
			dasm_put(Dst, 42251, (((uintptr_t)(Z_ZV(op3_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op3_addr)) & 0xffff) {
			dasm_put(Dst, 42254, ((uintptr_t)(Z_ZV(op3_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 42257, (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 42260, (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 42263, (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 42266, (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42269, (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op3_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op3_addr)) {
				if (Z_OFFSET(op3_addr) == 0) {
			dasm_put(Dst, 42272, (Z_REG(op3_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op3_addr)))) {
			dasm_put(Dst, 42275, (Z_REG(op3_addr)), Z_OFFSET(op3_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op3_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 42279, ((uint32_t)(Z_OFFSET(op3_addr))));
				} else if (((uint32_t)(Z_OFFSET(op3_addr)) & 0xffff)) {
			dasm_put(Dst, 42282, ((uint32_t)(Z_OFFSET(op3_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op3_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 42285, (((uint32_t)(Z_OFFSET(op3_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42288, (((uint32_t)(Z_OFFSET(op3_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 42291, (Z_REG(op3_addr)));
				}
					} else {
						if (Z_REG(op3_addr) == ZREG_RSP) {
			dasm_put(Dst, 42294);
						} else {
			dasm_put(Dst, 42296, (Z_REG(op3_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 6169 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_assign_dim_helper, REG0
				if (arm64_may_use_b(zend_jit_assign_dim_helper)) {
			dasm_put(Dst, 42299, (unsigned int)((ptrdiff_t)(zend_jit_assign_dim_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_dim_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_assign_dim_helper)) == 0) {
			dasm_put(Dst, 42302);
				} else if (((uintptr_t)(zend_jit_assign_dim_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 42304, ((uint64_t)(zend_jit_assign_dim_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_assign_dim_helper))) {
			dasm_put(Dst, 42307, (unsigned int)((ptrdiff_t)(zend_jit_assign_dim_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_dim_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_assign_dim_helper))) {
			dasm_put(Dst, 42310, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_dim_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_dim_helper)))))>>32));
					if (((uintptr_t)(zend_jit_assign_dim_helper)) & 0xfff) {
			dasm_put(Dst, 42313, (((uintptr_t)(zend_jit_assign_dim_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_assign_dim_helper) & 0xffff) {
			dasm_put(Dst, 42316, ((uintptr_t)(zend_jit_assign_dim_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_dim_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 42319, (((uintptr_t)(zend_jit_assign_dim_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_assign_dim_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 42322, (((uintptr_t)(zend_jit_assign_dim_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_assign_dim_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 42325, (((uintptr_t)(zend_jit_assign_dim_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_dim_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 42328, (((uintptr_t)(zend_jit_assign_dim_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42331, (((uintptr_t)(zend_jit_assign_dim_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42334);
				}
#line 6170 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

#ifdef ZEND_JIT_USE_RC_INFERENCE
			if (((opline+1)->op1_type & (IS_TMP_VAR|IS_VAR)) && (val_info & MAY_BE_RC1)) {
				/* ASSIGN_DIM may increase refcount of the value */
				val_info |= MAY_BE_RCN;
			}
#endif

			//|	FREE_OP (opline+1)->op1_type, (opline+1)->op1, val_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
				if ((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, (opline+1)->op1.var);
				if ((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((val_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (0) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 42336, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 42340, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 42344, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42348, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 42352, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 42357, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 42362, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 42365, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 42369, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 42373, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 42377, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42381, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 42385, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 42389);
			dasm_put(Dst, 42392);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 42394, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 42398, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 42402, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42406, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 42410, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 42415, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 42420, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 42423, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 42427, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 42431, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 42435, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42439, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 42443, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 42447);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 42450, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 42454, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 42458, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42462, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 42466, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 42470, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 42474, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((val_info) & MAY_BE_GUARD) || RC_MAY_BE_1(val_info)) {
						if (((val_info) & MAY_BE_GUARD) || RC_MAY_BE_N(val_info)) {
							if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 42482);
							} else {
			dasm_put(Dst, 42485);
							}
						}
				do {
					if (!((val_info) & MAY_BE_GUARD)
					 && has_concrete_type((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 42488, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 42491, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 42494, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 42498, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 42502, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 42506, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 42511, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 42515, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 42519, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 42523, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 42527, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42531, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42535, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((val_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (NULL && ((val_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 42538, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 42541, (ZREG_X15));
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 42544, (ZREG_X15), ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 42548, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 42552, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 42556, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 42561, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 42565, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 42569, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 42573, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 42577, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42581, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42585, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 42589, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 42592, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 42595, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 42599, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 42603, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 42607, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 42612, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 42616, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 42620, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 42624, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 42628, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42632, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42636, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 42639, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 42642, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 42645, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 42649, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 42653, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 42657, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 42662, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 42666, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 42670, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 42674, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 42678, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42682, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42686, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (NULL) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 42689, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 42692);
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 42694, ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 42697, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 42700, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 42703, (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 42706, ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 42709, (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 42712, (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 42715, (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 42718, (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42721, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42724, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 42727, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 42730, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 42733, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 42737, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 42741, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 42745, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 42750, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 42754, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 42758, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 42762, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 42766, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42770, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42774, (ZREG_X15));
				}
							break;
						}
					}
					if (NULL) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 42777, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 42780, (ZREG_X15));
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 42783, (ZREG_X15), ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 42787, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 42791, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 42795, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 42800, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 42804, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 42808, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 42812, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 42816, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42820, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42824, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 42828, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 42831, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 42834, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 42838, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 42842, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 42846, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 42851, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 42855, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 42859, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 42863, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 42867, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42871, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 42875, (ZREG_X15));
				}
				} while(0);
						if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 42878);
						}
			dasm_put(Dst, 42881);
					}
					if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((val_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 42883, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 42887, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 42891, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42895, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 42899, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 42904, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 42909, (ZREG_X15));
				} else {
			dasm_put(Dst, 42913, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 42919, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 42923, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 42927, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42931, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 42935, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 42940, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 42945, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 42948, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 42952, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 42956, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 42960, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42964, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 42968, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 42972);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 42975, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 42979, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 42983, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 42987, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 42991, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 42995, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 42999);
						}
			dasm_put(Dst, 43001, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 43004, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 43007, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 43011, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 43015, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 43019, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 43023, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 43027, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 43031);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 43034, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 43037, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 43040, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 43044, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 43048, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 43052, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 43057, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 43061, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 43065, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 43069, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 43073, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 43077, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 43081, (ZREG_X15));
				}
					}
					if (0 && ((val_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 43084);
					}
			dasm_put(Dst, 43087);
				}
				}
#line 6179 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY)) {
			if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_ARRAY))) {
				//|	b >9 // END
				dasm_put(Dst, 43089);
#line 6184 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|.code
			dasm_put(Dst, 43092);
#line 6186 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

#ifdef ZEND_JIT_USE_RC_INFERENCE
	if ((opline->op2_type & (IS_TMP_VAR|IS_VAR)) && (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_ARRAY|MAY_BE_OBJECT))) {
		/* ASSIGN_DIM may increase refcount of the key */
		op2_info |= MAY_BE_RCN;
	}
#endif

	//|9:
	//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, opline, ZREG_TMP1, ZREG_TMP2
	dasm_put(Dst, 43093);
		if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
			zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
		if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (0) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 43095, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 43099, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 43103, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43107, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 43111, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 43116, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 43121, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 43124, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 43128, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 43132, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 43136, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43140, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 43144, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 43148);
	dasm_put(Dst, 43151);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 43153, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 43157, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 43161, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43165, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 43169, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 43174, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 43179, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 43182, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 43186, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 43190, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 43194, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43198, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 43202, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 43206);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 43209, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 43213, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 43217, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43221, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 43225, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 43229, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 43233, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 43241);
					} else {
	dasm_put(Dst, 43244);
					}
				}
		do {
			if (!((op2_info) & MAY_BE_GUARD)
			 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 43247, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 43250, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 43253, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 43257, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 43261, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 43265, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 43270, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 43274, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 43278, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 43282, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 43286, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43290, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 43294, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 43297, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 43300, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 43303, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 43307, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 43311, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 43315, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 43320, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 43324, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 43328, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 43332, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 43336, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43340, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 43344, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 43348, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 43351, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 43354, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 43358, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 43362, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 43366, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 43371, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 43375, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 43379, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 43383, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 43387, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43391, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 43395, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 43398, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 43401, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 43404, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 43408, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 43412, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 43416, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 43421, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 43425, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 43429, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 43433, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 43437, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43441, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 43445, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 43448, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 43451);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 43453, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 43456, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 43459, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 43462, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 43465, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 43468, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 43471, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 43474, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 43477, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43480, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 43483, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 43486, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 43489, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 43492, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 43496, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 43500, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 43504, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 43509, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 43513, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 43517, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 43521, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 43525, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43529, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 43533, (ZREG_X15));
		}
					break;
				}
			}
			if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 43536, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 43539, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 43542, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 43546, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 43550, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 43554, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 43559, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 43563, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 43567, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 43571, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 43575, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43579, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 43583, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 43587, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 43590, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 43593, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 43597, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 43601, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 43605, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 43610, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 43614, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 43618, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 43622, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 43626, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43630, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 43634, (ZREG_X15));
		}
		} while(0);
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 43637);
				}
	dasm_put(Dst, 43640);
			}
			if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 43642, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 43646, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 43650, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43654, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 43658, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 43663, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 43668, (ZREG_X15));
		} else {
	dasm_put(Dst, 43672, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 43678, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 43682, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 43686, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43690, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 43694, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 43699, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 43704, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 43707, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 43711, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 43715, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 43719, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43723, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 43727, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 43731);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 43734, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 43738, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 43742, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43746, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 43750, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 43754, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 43758);
				}
	dasm_put(Dst, 43760, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 43763, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 43766, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 43770, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 43774, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 43778, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43782, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 43786, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 43790);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 43793, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 43796, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 43799, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 43803, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 43807, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 43811, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 43816, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 43820, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 43824, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 43828, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 43832, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43836, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 43840, (ZREG_X15));
		}
			}
			if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 43843);
			}
	dasm_put(Dst, 43846);
		}
		}
#line 6198 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (may_throw) {
		zend_jit_check_exception(Dst);
	}

	return 1;
}

static int zend_jit_assign_dim_op(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, uint32_t op1_def_info, zend_jit_addr op1_addr, uint32_t op2_info, uint32_t op1_data_info, zend_ssa_range *op1_data_range, uint8_t dim_type, int may_throw)
{
	zend_jit_addr op2_addr, op3_addr, var_addr;
	const void *not_found_exit_addr = NULL;
	uint32_t var_info = MAY_BE_NULL;

	ZEND_ASSERT(opline->result_type == IS_UNUSED);

	op2_addr = (opline->op2_type != IS_UNUSED) ? OP2_ADDR() : 0;
	op3_addr = OP1_DATA_ADDR();

	//|	SET_EX_OPLINE opline, REG0
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 43848, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 43851);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 43853, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 43856, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 43859, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 43862, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 43865, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 43868, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 43871, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 43874, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 43877, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 43880, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 43883, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
#line 6218 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (op1_info & MAY_BE_REF) {
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 43886);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 43888, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 43891, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 43894, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 43897, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 43900, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 43903, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 43906, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 43909, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 43912, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 43915, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 43918, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 43921, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 43925, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 43928, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 43931, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 43934, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 43937, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 43940);
					} else {
		dasm_put(Dst, 43942, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 6220 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	IF_NOT_Z_TYPE FCARG1x, IS_REFERENCE, >1, TMP1w
		dasm_put(Dst, 43945, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 43948);
			} else {
		dasm_put(Dst, 43951, IS_REFERENCE);
			}
#line 6221 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_Z_PTR FCARG2x, FCARG1x
		//|	ldrb TMP1w, [FCARG2x, #(offsetof(zend_reference, val) + offsetof(zval, u1.v.type))]
		//|	cmp TMP1w, #IS_ARRAY
		//|	bne >2
		//|	add FCARG1x, FCARG2x, #offsetof(zend_reference, val)
		//|	b >3
		//|.cold_code
		dasm_put(Dst, 43956, (offsetof(zend_reference, val) + offsetof(zval, u1.v.type)), IS_ARRAY, offsetof(zend_reference, val));
#line 6228 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|2:
		//|	EXT_CALL zend_jit_prepare_assign_dim_ref, REG0
		dasm_put(Dst, 43968);
			if (arm64_may_use_b(zend_jit_prepare_assign_dim_ref)) {
		dasm_put(Dst, 43970, (unsigned int)((ptrdiff_t)(zend_jit_prepare_assign_dim_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_prepare_assign_dim_ref))>>32));
			} else {
			if (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) == 0) {
		dasm_put(Dst, 43973);
			} else if (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) <= MOVZ_IMM) {
		dasm_put(Dst, 43975, ((uint64_t)(zend_jit_prepare_assign_dim_ref)));
			} else if (arm64_may_use_adr((void*)(zend_jit_prepare_assign_dim_ref))) {
		dasm_put(Dst, 43978, (unsigned int)((ptrdiff_t)(zend_jit_prepare_assign_dim_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_prepare_assign_dim_ref))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_prepare_assign_dim_ref))) {
		dasm_put(Dst, 43981, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_prepare_assign_dim_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_prepare_assign_dim_ref)))))>>32));
				if (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) & 0xfff) {
		dasm_put(Dst, 43984, (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_prepare_assign_dim_ref) & 0xffff) {
		dasm_put(Dst, 43987, ((uintptr_t)(zend_jit_prepare_assign_dim_ref) & 0xffff));
				if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 43990, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 43993, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff) {
		dasm_put(Dst, 43996, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff) {
		dasm_put(Dst, 43999, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44002, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff));
			}
		dasm_put(Dst, 44005);
			}
#line 6230 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov FCARG1x, RETVALx
		//|	cbnz RETVALx, >1
		//|	b ->exception_handler_undef
		//|.code
		dasm_put(Dst, 44007);
#line 6234 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 44013);
#line 6235 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	}

	if (op1_info & MAY_BE_ARRAY) {
		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - MAY_BE_ARRAY)) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_ARRAY, >7, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 44015, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 44019, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 44023, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 44027, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 44031, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 44036, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_ARRAY == 0) {
			dasm_put(Dst, 44041, (ZREG_X15));
				} else {
			dasm_put(Dst, 44045, (ZREG_X15), IS_ARRAY);
				}
#line 6241 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|3:
		//|	SEPARATE_ARRAY op1_addr, op1_info, 1, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 44051);
			if (RC_MAY_BE_N(op1_info)) {
				if (Z_REG(op1_addr) != ZREG_FP) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 44053, (ZREG_X8));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 44056, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 44059, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 44063, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 44067, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 44071, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 44075, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 44079, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 44083, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 44087, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 44091, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 44095, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 44099, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44103, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 44107, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 44111, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 44115, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44119, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 44123, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 44128, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X8 != Z_REG(op1_addr)) {
		dasm_put(Dst, 44133, (ZREG_X8), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					if (RC_MAY_BE_1(op1_info)) {
		dasm_put(Dst, 44137, (ZREG_X15), (ZREG_X15));
					}
					if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 44144);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 44146, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 44149, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 44152, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 44155, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 44158, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 44161, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 44164, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 44167, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 44170, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44173, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 44176, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 44179, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 44183, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 44186, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 44189, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44192, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 44195, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 44198);
					} else {
		dasm_put(Dst, 44200, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
					}
			if (arm64_may_use_b(zend_jit_zval_array_dup)) {
		dasm_put(Dst, 44203, (unsigned int)((ptrdiff_t)(zend_jit_zval_array_dup)), (unsigned int)(((ptrdiff_t)(zend_jit_zval_array_dup))>>32));
			} else {
			if (((uintptr_t)(zend_jit_zval_array_dup)) == 0) {
		dasm_put(Dst, 44206);
			} else if (((uintptr_t)(zend_jit_zval_array_dup)) <= MOVZ_IMM) {
		dasm_put(Dst, 44208, ((uint64_t)(zend_jit_zval_array_dup)));
			} else if (arm64_may_use_adr((void*)(zend_jit_zval_array_dup))) {
		dasm_put(Dst, 44211, (unsigned int)((ptrdiff_t)(zend_jit_zval_array_dup)), (unsigned int)(((ptrdiff_t)(zend_jit_zval_array_dup))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_zval_array_dup))) {
		dasm_put(Dst, 44214, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_zval_array_dup))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_zval_array_dup)))))>>32));
				if (((uintptr_t)(zend_jit_zval_array_dup)) & 0xfff) {
		dasm_put(Dst, 44217, (((uintptr_t)(zend_jit_zval_array_dup)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_zval_array_dup) & 0xffff) {
		dasm_put(Dst, 44220, ((uintptr_t)(zend_jit_zval_array_dup) & 0xffff));
				if (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 44223, (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 44226, (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 44229, (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 44232, (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44235, (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff));
			}
		dasm_put(Dst, 44238);
			}
		dasm_put(Dst, 44240);
				} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 44244, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 44247, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 44250, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 44254, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 44258, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 44262, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 44266, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 44270, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 44274, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 44278, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 44282, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 44286, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 44290, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44294, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 44298, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 44302, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 44306, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44310, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 44314, (ZREG_FCARG1), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 44319, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 44324, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					if (RC_MAY_BE_1(op1_info)) {
		dasm_put(Dst, 44328, (ZREG_X15), (ZREG_X15));
						if (1) {
		dasm_put(Dst, 44333);
		dasm_put(Dst, 44336);
						} else {
		dasm_put(Dst, 44338);
						}
					}
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 44341, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 44345, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 44349, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44353, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 44357, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 44362, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 44367, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 44370, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 44374, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 44378, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 44382, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44386, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 44390, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 44394, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (arm64_may_use_b(zend_array_dup)) {
		dasm_put(Dst, 44405, (unsigned int)((ptrdiff_t)(zend_array_dup)), (unsigned int)(((ptrdiff_t)(zend_array_dup))>>32));
			} else {
			if (((uintptr_t)(zend_array_dup)) == 0) {
		dasm_put(Dst, 44408);
			} else if (((uintptr_t)(zend_array_dup)) <= MOVZ_IMM) {
		dasm_put(Dst, 44410, ((uint64_t)(zend_array_dup)));
			} else if (arm64_may_use_adr((void*)(zend_array_dup))) {
		dasm_put(Dst, 44413, (unsigned int)((ptrdiff_t)(zend_array_dup)), (unsigned int)(((ptrdiff_t)(zend_array_dup))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_dup))) {
		dasm_put(Dst, 44416, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_dup))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_dup)))))>>32));
				if (((uintptr_t)(zend_array_dup)) & 0xfff) {
		dasm_put(Dst, 44419, (((uintptr_t)(zend_array_dup)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_dup) & 0xffff) {
		dasm_put(Dst, 44422, ((uintptr_t)(zend_array_dup) & 0xffff));
				if (((uintptr_t)(zend_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 44425, (((uintptr_t)(zend_array_dup) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 44428, (((uintptr_t)(zend_array_dup) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 44431, (((uintptr_t)(zend_array_dup) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 44434, (((uintptr_t)(zend_array_dup) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44437, (((uintptr_t)(zend_array_dup) >> 32) & 0xffff));
			}
		dasm_put(Dst, 44440);
			}
		dasm_put(Dst, 44442);
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 44444, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 44448, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 44452, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44456, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 44460, (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 44464, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_ARRAY_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 44468, (ZREG_X15), ((uint32_t)(IS_ARRAY_EX)));
			} else if (((uint32_t)(IS_ARRAY_EX) & 0xffff)) {
		dasm_put(Dst, 44472, (ZREG_X15), ((uint32_t)(IS_ARRAY_EX) & 0xffff));
				if ((((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 44476, (ZREG_X15), (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44480, (ZREG_X15), (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 44484, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 44488, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 44492, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44496, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 44500, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 44505, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
		dasm_put(Dst, 44510);
					if (RC_MAY_BE_1(op1_info)) {
						if (1) {
		dasm_put(Dst, 44512);
						}
					}
		dasm_put(Dst, 44515);
				}
			} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 44517, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 44520, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 44523, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 44527, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 44531, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 44535, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 44539, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 44543, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 44547, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 44551, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 44555, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 44559, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 44563, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44567, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 44571, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 44575, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 44579, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44583, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 44587, (ZREG_FCARG1), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 44592, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 44597, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			}
#line 6244 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL)) {
		if (op1_info & MAY_BE_ARRAY) {
			//|.cold_code
			dasm_put(Dst, 44601);
#line 6248 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|7:
			dasm_put(Dst, 44602);
#line 6249 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_ARRAY))) {
			//|	CMP_ZVAL_TYPE op1_addr, IS_NULL, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 44604, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 44608, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 44612, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 44616, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 44620, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 44625, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
#line 6252 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bgt >7
			dasm_put(Dst, 44630, (ZREG_X15), IS_NULL);
#line 6253 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (Z_REG(op1_addr) != ZREG_FP) {
			//|	str Rx(Z_REG(op1_addr)), T1 // save
			dasm_put(Dst, 44636, (Z_REG(op1_addr)));
#line 6256 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op1_info & MAY_BE_UNDEF) {
			if (op1_info & MAY_BE_NULL) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, >1, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 44639, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 44643, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 44647, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 44651, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 44655, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 44660, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 44665, (ZREG_X15));
					} else {
				dasm_put(Dst, 44669, (ZREG_X15), IS_UNDEF);
					}
#line 6260 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_32BIT_VAL FCARG1x, opline->op1.var
				if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
			dasm_put(Dst, 44675, ((uint32_t)(opline->op1.var)));
				} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
			dasm_put(Dst, 44678, ((uint32_t)(opline->op1.var) & 0xffff));
					if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
			dasm_put(Dst, 44681, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 44684, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
				}
#line 6262 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_undefined_op_helper, REG0
				if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
			dasm_put(Dst, 44687, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
			dasm_put(Dst, 44690);
				} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 44692, ((uint64_t)(zend_jit_undefined_op_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 44695, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 44698, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
					if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
			dasm_put(Dst, 44701, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
			dasm_put(Dst, 44704, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 44707, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 44710, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 44713, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 44716, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 44719, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 44722);
				}
#line 6263 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 44724);
#line 6264 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	// ZVAL_ARR(container, zend_new_array(8));
		//|	EXT_CALL _zend_new_array_0, REG0
			if (arm64_may_use_b(_zend_new_array_0)) {
		dasm_put(Dst, 44726, (unsigned int)((ptrdiff_t)(_zend_new_array_0)), (unsigned int)(((ptrdiff_t)(_zend_new_array_0))>>32));
			} else {
			if (((uintptr_t)(_zend_new_array_0)) == 0) {
		dasm_put(Dst, 44729);
			} else if (((uintptr_t)(_zend_new_array_0)) <= MOVZ_IMM) {
		dasm_put(Dst, 44731, ((uint64_t)(_zend_new_array_0)));
			} else if (arm64_may_use_adr((void*)(_zend_new_array_0))) {
		dasm_put(Dst, 44734, (unsigned int)((ptrdiff_t)(_zend_new_array_0)), (unsigned int)(((ptrdiff_t)(_zend_new_array_0))>>32));
			} else if (arm64_may_use_adrp((void*)(_zend_new_array_0))) {
		dasm_put(Dst, 44737, (unsigned int)((ptrdiff_t)((((uintptr_t)(_zend_new_array_0))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_zend_new_array_0)))))>>32));
				if (((uintptr_t)(_zend_new_array_0)) & 0xfff) {
		dasm_put(Dst, 44740, (((uintptr_t)(_zend_new_array_0)) & 0xfff));
				}
			} else if ((uintptr_t)(_zend_new_array_0) & 0xffff) {
		dasm_put(Dst, 44743, ((uintptr_t)(_zend_new_array_0) & 0xffff));
				if (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff) {
		dasm_put(Dst, 44746, (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff) {
		dasm_put(Dst, 44749, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff) {
		dasm_put(Dst, 44752, (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff));
				if (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff) {
		dasm_put(Dst, 44755, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44758, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
			}
		dasm_put(Dst, 44761);
			}
#line 6267 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov REG0, RETVALx
		dasm_put(Dst, 44763);
#line 6268 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_REG(op1_addr) != ZREG_FP) {
			//|	ldr Rx(Z_REG(op1_addr)), T1 // restore
			dasm_put(Dst, 44765, (Z_REG(op1_addr)));
#line 6270 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_ZVAL_LVAL_FROM_REG op1_addr, REG0, TMP1
			if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 44768, (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 44771, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 44774, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 44777, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44780, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 44783, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 44786, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			}
#line 6272 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO op1_addr, IS_ARRAY_EX, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_ARRAY_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 44790, ((uint32_t)(IS_ARRAY_EX)));
			} else if (((uint32_t)(IS_ARRAY_EX) & 0xffff)) {
		dasm_put(Dst, 44793, ((uint32_t)(IS_ARRAY_EX) & 0xffff));
				if ((((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 44796, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44799, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 44802, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 44805, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 44808, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 44811, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 44814, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 44817, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
#line 6273 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov FCARG1x, REG0
		dasm_put(Dst, 44821);
#line 6274 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & MAY_BE_ARRAY) {
			//|	b >1
			//|.code
			dasm_put(Dst, 44823);
#line 6277 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 44826);
#line 6278 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY)) {
		uint32_t var_def_info = zend_array_element_type(op1_def_info, opline->op1_type, 1, 0);

		//|6:
		dasm_put(Dst, 44828);
#line 6285 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op2_type == IS_UNUSED) {
			var_info = MAY_BE_NULL;

			//|	// var_ptr = zend_hash_next_index_insert(Z_ARRVAL_P(container), &EG(uninitialized_zval));
			//|	LOAD_ADDR_ZTS FCARG2x, executor_globals, uninitialized_zval
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
			dasm_put(Dst, 44830);
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
			dasm_put(Dst, 44832, ((uint64_t)(&executor_globals.uninitialized_zval)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 44835, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 44838, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
					if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
			dasm_put(Dst, 44841, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
			dasm_put(Dst, 44844, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 44847, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 44850, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 44853, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 44856, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 44859, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
#line 6290 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_hash_next_index_insert, REG0
				if (arm64_may_use_b(zend_hash_next_index_insert)) {
			dasm_put(Dst, 44862, (unsigned int)((ptrdiff_t)(zend_hash_next_index_insert)), (unsigned int)(((ptrdiff_t)(zend_hash_next_index_insert))>>32));
				} else {
				if (((uintptr_t)(zend_hash_next_index_insert)) == 0) {
			dasm_put(Dst, 44865);
				} else if (((uintptr_t)(zend_hash_next_index_insert)) <= MOVZ_IMM) {
			dasm_put(Dst, 44867, ((uint64_t)(zend_hash_next_index_insert)));
				} else if (arm64_may_use_adr((void*)(zend_hash_next_index_insert))) {
			dasm_put(Dst, 44870, (unsigned int)((ptrdiff_t)(zend_hash_next_index_insert)), (unsigned int)(((ptrdiff_t)(zend_hash_next_index_insert))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_hash_next_index_insert))) {
			dasm_put(Dst, 44873, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_next_index_insert))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_next_index_insert)))))>>32));
					if (((uintptr_t)(zend_hash_next_index_insert)) & 0xfff) {
			dasm_put(Dst, 44876, (((uintptr_t)(zend_hash_next_index_insert)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_hash_next_index_insert) & 0xffff) {
			dasm_put(Dst, 44879, ((uintptr_t)(zend_hash_next_index_insert) & 0xffff));
					if (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff) {
			dasm_put(Dst, 44882, (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff) {
			dasm_put(Dst, 44885, (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff) {
			dasm_put(Dst, 44888, (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff));
					if (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff) {
			dasm_put(Dst, 44891, (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 44894, (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff));
				}
			dasm_put(Dst, 44897);
				}
#line 6291 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	mov REG0, RETVALx
			//|	// if (UNEXPECTED(!var_ptr)) {
			//|	cbz REG0, >1
			//|.cold_code
			dasm_put(Dst, 44899);
#line 6295 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	// zend_throw_error(NULL, "Cannot add element to the array as the next element is already occupied");
			//|	CANNOT_ADD_ELEMENT opline
			dasm_put(Dst, 44903);
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
			dasm_put(Dst, 44905);
				} else {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 44908, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 44911);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 44913, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 44916, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 44919, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 44922, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 44925, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 44928, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 44931, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 44934, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 44937, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 44940, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 44943, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
			dasm_put(Dst, 44946);
				}
#line 6298 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	//ZEND_VM_C_GOTO(assign_dim_op_ret_null);
			//|	b >9
			//|.code
			dasm_put(Dst, 44949);
#line 6301 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			var_info = zend_array_element_type(op1_info, opline->op1_type, 0, 0);
			if (op1_info & (MAY_BE_ARRAY_OF_REF|MAY_BE_OBJECT)) {
				var_info |= MAY_BE_REF;
			}
			if (var_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
				var_info |= MAY_BE_RC1;
			}

			if (dim_type != IS_UNKNOWN
			 && dim_type != IS_UNDEF
			 && (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_ARRAY
			 && (op2_info & (MAY_BE_LONG|MAY_BE_STRING))
			 && !(op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - (MAY_BE_LONG|MAY_BE_STRING)))) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);
				not_found_exit_addr = zend_jit_trace_get_exit_addr(exit_point);
				if (!not_found_exit_addr) {
					return 0;
				}
			}

			if (!zend_jit_fetch_dimension_address_inner(Dst, opline, BP_VAR_RW, op1_info, op2_info, dim_type, NULL, not_found_exit_addr, NULL)) {
				return 0;
			}

			//|8:
			dasm_put(Dst, 44952);
#line 6327 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (not_found_exit_addr && dim_type != IS_REFERENCE) {
				//|	IF_NOT_Z_TYPE, REG0, dim_type, &not_found_exit_addr, TMP1w
				dasm_put(Dst, 44954, offsetof(zval, u1.v.type));
					if (dim_type == 0) {
				dasm_put(Dst, 44957, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
					} else {
				dasm_put(Dst, 44960, dim_type, (unsigned int)((ptrdiff_t)(not_found_exit_addr)), (unsigned int)(((ptrdiff_t)(not_found_exit_addr))>>32));
					}
#line 6329 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				var_info = (1 << dim_type) | (var_info & ~(MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF));
			}
			if (var_info & MAY_BE_REF) {
				binary_op_type binary_op = get_binary_op(opline->extended_value);
				//|	IF_NOT_Z_TYPE, REG0, IS_REFERENCE, >1, TMP1w
				dasm_put(Dst, 44965, offsetof(zval, u1.v.type));
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 44968);
					} else {
				dasm_put(Dst, 44971, IS_REFERENCE);
					}
#line 6334 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GET_Z_PTR FCARG1x, REG0
				//|	ldr TMP1, [FCARG1x, #offsetof(zend_reference, sources.ptr)]
				//|	cbnz TMP1, >2
				//|	add REG0, FCARG1x, #offsetof(zend_reference, val)
				//|.cold_code
				dasm_put(Dst, 44976, offsetof(zend_reference, sources.ptr), offsetof(zend_reference, val));
#line 6339 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|2:
				//|	LOAD_ZVAL_ADDR FCARG2x, op3_addr
				dasm_put(Dst, 44984);
					if (Z_MODE(op3_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op3_addr))) == 0) {
				dasm_put(Dst, 44986);
					} else if (((uintptr_t)(Z_ZV(op3_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 44988, ((uint64_t)(Z_ZV(op3_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op3_addr)))) {
				dasm_put(Dst, 44991, (unsigned int)((ptrdiff_t)(Z_ZV(op3_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op3_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op3_addr)))) {
				dasm_put(Dst, 44994, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op3_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op3_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op3_addr))) & 0xfff) {
				dasm_put(Dst, 44997, (((uintptr_t)(Z_ZV(op3_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op3_addr)) & 0xffff) {
				dasm_put(Dst, 45000, ((uintptr_t)(Z_ZV(op3_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 45003, (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 45006, (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 45009, (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 45012, (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 45015, (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op3_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op3_addr)) {
					if (Z_OFFSET(op3_addr) == 0) {
				dasm_put(Dst, 45018, (Z_REG(op3_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op3_addr)))) {
				dasm_put(Dst, 45021, (Z_REG(op3_addr)), Z_OFFSET(op3_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op3_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 45025, ((uint32_t)(Z_OFFSET(op3_addr))));
					} else if (((uint32_t)(Z_OFFSET(op3_addr)) & 0xffff)) {
				dasm_put(Dst, 45028, ((uint32_t)(Z_OFFSET(op3_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op3_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 45031, (((uint32_t)(Z_OFFSET(op3_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 45034, (((uint32_t)(Z_OFFSET(op3_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 45037, (Z_REG(op3_addr)));
					}
						} else {
							if (Z_REG(op3_addr) == ZREG_RSP) {
				dasm_put(Dst, 45040);
							} else {
				dasm_put(Dst, 45042, (Z_REG(op3_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 6341 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	LOAD_ADDR CARG3, binary_op
					if (((uintptr_t)(binary_op)) == 0) {
				dasm_put(Dst, 45045);
					} else if (((uintptr_t)(binary_op)) <= MOVZ_IMM) {
				dasm_put(Dst, 45047, ((uint64_t)(binary_op)));
					} else if (arm64_may_use_adr((void*)(binary_op))) {
				dasm_put(Dst, 45050, (unsigned int)((ptrdiff_t)(binary_op)), (unsigned int)(((ptrdiff_t)(binary_op))>>32));
					} else if (arm64_may_use_adrp((void*)(binary_op))) {
				dasm_put(Dst, 45053, (unsigned int)((ptrdiff_t)((((uintptr_t)(binary_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(binary_op)))))>>32));
						if (((uintptr_t)(binary_op)) & 0xfff) {
				dasm_put(Dst, 45056, (((uintptr_t)(binary_op)) & 0xfff));
						}
					} else if ((uintptr_t)(binary_op) & 0xffff) {
				dasm_put(Dst, 45059, ((uintptr_t)(binary_op) & 0xffff));
						if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
				dasm_put(Dst, 45062, (((uintptr_t)(binary_op) >> 16) & 0xffff));
						}
						if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
				dasm_put(Dst, 45065, (((uintptr_t)(binary_op) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
				dasm_put(Dst, 45068, (((uintptr_t)(binary_op) >> 16) & 0xffff));
						if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
				dasm_put(Dst, 45071, (((uintptr_t)(binary_op) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 45074, (((uintptr_t)(binary_op) >> 32) & 0xffff));
					}
#line 6342 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (((opline+1)->op1_type & (IS_TMP_VAR|IS_VAR))
				 && (op1_data_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					//|	EXT_CALL zend_jit_assign_op_to_typed_ref_tmp, REG0
						if (arm64_may_use_b(zend_jit_assign_op_to_typed_ref_tmp)) {
					dasm_put(Dst, 45077, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp))>>32));
						} else {
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) == 0) {
					dasm_put(Dst, 45080);
						} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) <= MOVZ_IMM) {
					dasm_put(Dst, 45082, ((uint64_t)(zend_jit_assign_op_to_typed_ref_tmp)));
						} else if (arm64_may_use_adr((void*)(zend_jit_assign_op_to_typed_ref_tmp))) {
					dasm_put(Dst, 45085, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_assign_op_to_typed_ref_tmp))) {
					dasm_put(Dst, 45088, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)))))>>32));
							if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) & 0xfff) {
					dasm_put(Dst, 45091, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) & 0xffff) {
					dasm_put(Dst, 45094, ((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) & 0xffff));
							if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff) {
					dasm_put(Dst, 45097, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff) {
					dasm_put(Dst, 45100, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff) {
					dasm_put(Dst, 45103, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff) {
					dasm_put(Dst, 45106, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 45109, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
						}
					dasm_put(Dst, 45112);
						}
#line 6345 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL zend_jit_assign_op_to_typed_ref, REG0
						if (arm64_may_use_b(zend_jit_assign_op_to_typed_ref)) {
					dasm_put(Dst, 45114, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref))>>32));
						} else {
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) == 0) {
					dasm_put(Dst, 45117);
						} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) <= MOVZ_IMM) {
					dasm_put(Dst, 45119, ((uint64_t)(zend_jit_assign_op_to_typed_ref)));
						} else if (arm64_may_use_adr((void*)(zend_jit_assign_op_to_typed_ref))) {
					dasm_put(Dst, 45122, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_assign_op_to_typed_ref))) {
					dasm_put(Dst, 45125, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref)))))>>32));
							if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) & 0xfff) {
					dasm_put(Dst, 45128, (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_assign_op_to_typed_ref) & 0xffff) {
					dasm_put(Dst, 45131, ((uintptr_t)(zend_jit_assign_op_to_typed_ref) & 0xffff));
							if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 45134, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 45137, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 45140, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 45143, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 45146, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
						}
					dasm_put(Dst, 45149);
						}
#line 6347 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	b >9
				//|.code
				dasm_put(Dst, 45151);
#line 6350 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				dasm_put(Dst, 45154);
#line 6351 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}

		var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);
		switch (opline->extended_value) {
			case ZEND_ADD:
			case ZEND_SUB:
			case ZEND_MUL:
			case ZEND_DIV:
				if (!zend_jit_math_helper(Dst, opline, opline->extended_value, IS_CV, opline->op1, var_addr, var_info, (opline+1)->op1_type, (opline+1)->op1, op3_addr, op1_data_info, 0, var_addr, var_def_info, var_info,
						1 /* may overflow */, may_throw)) {
					return 0;
				}
				break;
			case ZEND_BW_OR:
			case ZEND_BW_AND:
			case ZEND_BW_XOR:
			case ZEND_SL:
			case ZEND_SR:
			case ZEND_MOD:
				if (!zend_jit_long_math_helper(Dst, opline, opline->extended_value,
						IS_CV, opline->op1, var_addr, var_info, NULL,
						(opline+1)->op1_type, (opline+1)->op1, op3_addr, op1_data_info,
						op1_data_range,
						0, var_addr, var_def_info, var_info, may_throw)) {
					return 0;
				}
				break;
			case ZEND_CONCAT:
				if (!zend_jit_concat_helper(Dst, opline, IS_CV, opline->op1, var_addr, var_info, (opline+1)->op1_type, (opline+1)->op1, op3_addr, op1_data_info, var_addr,
						may_throw)) {
					return 0;
				}
				break;
			default:
				ZEND_UNREACHABLE();
		}
		//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, opline, ZREG_TMP1, ZREG_TMP2
			if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
			if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 45156, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 45160, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 45164, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45168, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 45172, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 45177, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 45182, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 45185, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 45189, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 45193, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 45197, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45201, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 45205, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 45209);
		dasm_put(Dst, 45212);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 45214, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 45218, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 45222, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45226, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 45230, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 45235, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 45240, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 45243, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 45247, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 45251, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 45255, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45259, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 45263, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 45267);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 45270, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 45274, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 45278, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45282, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 45286, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 45290, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 45294, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 45302);
						} else {
		dasm_put(Dst, 45305);
						}
					}
			do {
				if (!((op2_info) & MAY_BE_GUARD)
				 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 45308, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 45311, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 45314, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 45318, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 45322, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 45326, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 45331, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 45335, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 45339, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 45343, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 45347, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45351, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 45355, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 45358, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 45361, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 45364, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 45368, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 45372, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 45376, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 45381, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 45385, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 45389, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 45393, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 45397, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45401, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 45405, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 45409, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 45412, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 45415, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 45419, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 45423, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 45427, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 45432, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 45436, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 45440, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 45444, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 45448, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45452, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 45456, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 45459, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 45462, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 45465, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 45469, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 45473, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 45477, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 45482, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 45486, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 45490, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 45494, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 45498, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45502, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 45506, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 45509, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 45512);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 45514, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 45517, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 45520, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 45523, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 45526, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 45529, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 45532, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 45535, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 45538, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45541, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 45544, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 45547, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 45550, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 45553, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 45557, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 45561, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 45565, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 45570, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 45574, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 45578, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 45582, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 45586, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45590, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 45594, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 45597, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 45600, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 45603, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 45607, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 45611, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 45615, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 45620, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 45624, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 45628, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 45632, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 45636, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45640, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 45644, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 45648, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 45651, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 45654, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 45658, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 45662, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 45666, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 45671, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 45675, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 45679, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 45683, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 45687, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45691, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 45695, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 45698);
					}
		dasm_put(Dst, 45701);
				}
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 45703, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 45707, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 45711, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45715, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 45719, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 45724, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 45729, (ZREG_X15));
			} else {
		dasm_put(Dst, 45733, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 45739, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 45743, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 45747, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45751, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 45755, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 45760, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 45765, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 45768, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 45772, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 45776, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 45780, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45784, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 45788, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 45792);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 45795, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 45799, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 45803, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45807, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 45811, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 45815, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 45819);
					}
		dasm_put(Dst, 45821, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 45824, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 45827, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 45831, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 45835, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 45839, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45843, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 45847, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 45851);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 45854, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 45857, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 45860, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 45864, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 45868, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 45872, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 45877, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 45881, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 45885, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 45889, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 45893, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 45897, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 45901, (ZREG_X15));
			}
				}
				if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 45904);
				}
		dasm_put(Dst, 45907);
			}
			}
#line 6389 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_ARRAY))) {
		binary_op_type binary_op;

		if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY)) {
			//|.cold_code
			dasm_put(Dst, 45909);
#line 6396 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|7:
			dasm_put(Dst, 45910);
#line 6397 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 45912);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 45914, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 45917, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 45920, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 45923, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 45926, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 45929, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 45932, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 45935, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 45938, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 45941, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 45944, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 45947, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 45951, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 45954, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 45957, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 45960, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 45963, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 45966);
						} else {
			dasm_put(Dst, 45968, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 6401 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	    if (opline->op2_type == IS_UNUSED) {
			//|	mov FCARG2x, xzr
			dasm_put(Dst, 45971);
#line 6404 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opline->op2_type == IS_CONST && Z_EXTRA_P(RT_CONSTANT(opline, opline->op2)) == ZEND_EXTRA_VALUE) {
			ZEND_ASSERT(Z_MODE(op2_addr) == IS_CONST_ZVAL);
			//|	LOAD_ADDR FCARG2x, (Z_ZV(op2_addr) + 1)
				if (((uintptr_t)((Z_ZV(op2_addr) + 1))) == 0) {
			dasm_put(Dst, 45973);
				} else if (((uintptr_t)((Z_ZV(op2_addr) + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 45975, ((uint64_t)((Z_ZV(op2_addr) + 1))));
				} else if (arm64_may_use_adr((void*)((Z_ZV(op2_addr) + 1)))) {
			dasm_put(Dst, 45978, (unsigned int)((ptrdiff_t)((Z_ZV(op2_addr) + 1))), (unsigned int)(((ptrdiff_t)((Z_ZV(op2_addr) + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((Z_ZV(op2_addr) + 1)))) {
			dasm_put(Dst, 45981, (unsigned int)((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1))))))>>32));
					if (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff) {
			dasm_put(Dst, 45984, (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff) {
			dasm_put(Dst, 45987, ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff));
					if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 45990, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 45993, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 45996, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 45999, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 46002, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
				}
#line 6407 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
			dasm_put(Dst, 46005);
				} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 46007, ((uint64_t)(Z_ZV(op2_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 46010, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 46013, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
			dasm_put(Dst, 46016, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
			dasm_put(Dst, 46019, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 46022, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 46025, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 46028, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 46031, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 46034, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op2_addr)) {
				if (Z_OFFSET(op2_addr) == 0) {
			dasm_put(Dst, 46037, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
			dasm_put(Dst, 46040, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 46044, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 46047, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 46050, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 46053, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 46056, (Z_REG(op2_addr)));
				}
					} else {
						if (Z_REG(op2_addr) == ZREG_RSP) {
			dasm_put(Dst, 46059);
						} else {
			dasm_put(Dst, 46061, (Z_REG(op2_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 6409 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		binary_op = get_binary_op(opline->extended_value);
		//|	LOAD_ZVAL_ADDR CARG3, op3_addr
			if (Z_MODE(op3_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op3_addr))) == 0) {
		dasm_put(Dst, 46064);
			} else if (((uintptr_t)(Z_ZV(op3_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 46066, ((uint64_t)(Z_ZV(op3_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op3_addr)))) {
		dasm_put(Dst, 46069, (unsigned int)((ptrdiff_t)(Z_ZV(op3_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op3_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op3_addr)))) {
		dasm_put(Dst, 46072, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op3_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op3_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op3_addr))) & 0xfff) {
		dasm_put(Dst, 46075, (((uintptr_t)(Z_ZV(op3_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op3_addr)) & 0xffff) {
		dasm_put(Dst, 46078, ((uintptr_t)(Z_ZV(op3_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 46081, (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 46084, (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 46087, (((uintptr_t)(Z_ZV(op3_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 46090, (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46093, (((uintptr_t)(Z_ZV(op3_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op3_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op3_addr)) {
			if (Z_OFFSET(op3_addr) == 0) {
		dasm_put(Dst, 46096, (Z_REG(op3_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op3_addr)))) {
		dasm_put(Dst, 46099, (Z_REG(op3_addr)), Z_OFFSET(op3_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op3_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 46103, ((uint32_t)(Z_OFFSET(op3_addr))));
			} else if (((uint32_t)(Z_OFFSET(op3_addr)) & 0xffff)) {
		dasm_put(Dst, 46106, ((uint32_t)(Z_OFFSET(op3_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op3_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 46109, (((uint32_t)(Z_OFFSET(op3_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46112, (((uint32_t)(Z_OFFSET(op3_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46115, (Z_REG(op3_addr)));
			}
				} else {
					if (Z_REG(op3_addr) == ZREG_RSP) {
		dasm_put(Dst, 46118);
					} else {
		dasm_put(Dst, 46120, (Z_REG(op3_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 6412 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_ADDR CARG4, binary_op
			if (((uintptr_t)(binary_op)) == 0) {
		dasm_put(Dst, 46123);
			} else if (((uintptr_t)(binary_op)) <= MOVZ_IMM) {
		dasm_put(Dst, 46125, ((uint64_t)(binary_op)));
			} else if (arm64_may_use_adr((void*)(binary_op))) {
		dasm_put(Dst, 46128, (unsigned int)((ptrdiff_t)(binary_op)), (unsigned int)(((ptrdiff_t)(binary_op))>>32));
			} else if (arm64_may_use_adrp((void*)(binary_op))) {
		dasm_put(Dst, 46131, (unsigned int)((ptrdiff_t)((((uintptr_t)(binary_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(binary_op)))))>>32));
				if (((uintptr_t)(binary_op)) & 0xfff) {
		dasm_put(Dst, 46134, (((uintptr_t)(binary_op)) & 0xfff));
				}
			} else if ((uintptr_t)(binary_op) & 0xffff) {
		dasm_put(Dst, 46137, ((uintptr_t)(binary_op) & 0xffff));
				if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
		dasm_put(Dst, 46140, (((uintptr_t)(binary_op) >> 16) & 0xffff));
				}
				if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
		dasm_put(Dst, 46143, (((uintptr_t)(binary_op) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
		dasm_put(Dst, 46146, (((uintptr_t)(binary_op) >> 16) & 0xffff));
				if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
		dasm_put(Dst, 46149, (((uintptr_t)(binary_op) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46152, (((uintptr_t)(binary_op) >> 32) & 0xffff));
			}
#line 6413 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_assign_dim_op_helper, REG0
			if (arm64_may_use_b(zend_jit_assign_dim_op_helper)) {
		dasm_put(Dst, 46155, (unsigned int)((ptrdiff_t)(zend_jit_assign_dim_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_dim_op_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_assign_dim_op_helper)) == 0) {
		dasm_put(Dst, 46158);
			} else if (((uintptr_t)(zend_jit_assign_dim_op_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 46160, ((uint64_t)(zend_jit_assign_dim_op_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_assign_dim_op_helper))) {
		dasm_put(Dst, 46163, (unsigned int)((ptrdiff_t)(zend_jit_assign_dim_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_dim_op_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_assign_dim_op_helper))) {
		dasm_put(Dst, 46166, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_dim_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_dim_op_helper)))))>>32));
				if (((uintptr_t)(zend_jit_assign_dim_op_helper)) & 0xfff) {
		dasm_put(Dst, 46169, (((uintptr_t)(zend_jit_assign_dim_op_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_assign_dim_op_helper) & 0xffff) {
		dasm_put(Dst, 46172, ((uintptr_t)(zend_jit_assign_dim_op_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_dim_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 46175, (((uintptr_t)(zend_jit_assign_dim_op_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_assign_dim_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 46178, (((uintptr_t)(zend_jit_assign_dim_op_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_assign_dim_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 46181, (((uintptr_t)(zend_jit_assign_dim_op_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_dim_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 46184, (((uintptr_t)(zend_jit_assign_dim_op_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46187, (((uintptr_t)(zend_jit_assign_dim_op_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46190);
			}
#line 6414 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		//|9:
		//|	FREE_OP (opline+1)->op1_type, (opline+1)->op1, op1_data_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 46192);
			if ((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, (opline+1)->op1.var);
			if ((op1_data_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_data_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 46194, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 46198, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 46202, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46206, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46210, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 46215, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 46220, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 46223, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 46227, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 46231, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 46235, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46239, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46243, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 46247);
		dasm_put(Dst, 46250);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 46252, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 46256, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 46260, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46264, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46268, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 46273, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 46278, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 46281, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 46285, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 46289, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 46293, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46297, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46301, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 46305);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 46308, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 46312, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 46316, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46320, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46324, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 46328, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 46332, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_data_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_data_info)) {
					if (((op1_data_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_data_info)) {
						if (0 && (((op1_data_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_data_info) && ((op1_data_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 46340);
						} else {
		dasm_put(Dst, 46343);
						}
					}
			do {
				if (!((op1_data_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_data_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_data_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 46346, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 46349, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 46352, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 46356, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 46360, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 46364, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 46369, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 46373, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 46377, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 46381, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 46385, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46389, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46393, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_data_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (NULL && ((op1_data_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 46396, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 46399, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 46402, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 46406, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 46410, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 46414, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 46419, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 46423, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 46427, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 46431, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 46435, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46439, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46443, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 46447, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 46450, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 46453, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 46457, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 46461, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 46465, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 46470, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 46474, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 46478, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 46482, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 46486, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46490, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46494, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 46497, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 46500, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 46503, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 46507, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 46511, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 46515, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 46520, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 46524, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 46528, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 46532, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 46536, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46540, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46544, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 46547, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 46550);
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 46552, ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 46555, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 46558, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 46561, (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 46564, ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 46567, (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 46570, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 46573, (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 46576, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46579, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46582, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 46585, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 46588, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 46591, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 46595, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 46599, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 46603, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 46608, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 46612, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 46616, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 46620, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 46624, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46628, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46632, (ZREG_X15));
			}
						break;
					}
				}
				if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 46635, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 46638, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 46641, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 46645, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 46649, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 46653, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 46658, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 46662, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 46666, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 46670, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 46674, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46678, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46682, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 46686, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 46689, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 46692, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 46696, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 46700, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 46704, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 46709, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 46713, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 46717, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 46721, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 46725, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46729, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46733, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_data_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_data_info) && ((op1_data_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 46736);
					}
		dasm_put(Dst, 46739);
				}
				if (0 && (((op1_data_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_data_info) && ((op1_data_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_data_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 46741, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 46745, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 46749, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46753, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46757, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 46762, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 46767, (ZREG_X15));
			} else {
		dasm_put(Dst, 46771, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 46777, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 46781, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 46785, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46789, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46793, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 46798, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 46803, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 46806, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 46810, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 46814, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 46818, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46822, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46826, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 46830);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 46833, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 46837, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 46841, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46845, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46849, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 46853, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 46857);
					}
		dasm_put(Dst, 46859, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 46862, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 46865, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 46869, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 46873, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 46877, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46881, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46885, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 46889);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 46892, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 46895, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 46898, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 46902, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 46906, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 46910, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 46915, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 46919, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 46923, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 46927, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 46931, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46935, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 46939, (ZREG_X15));
			}
				}
				if (0 && ((op1_data_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 46942);
				}
		dasm_put(Dst, 46945);
			}
			}
#line 6417 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
			if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
			if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 46947, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 46951, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 46955, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46959, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46963, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 46968, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 46973, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 46976, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 46980, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 46984, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 46988, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 46992, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 46996, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 47000);
		dasm_put(Dst, 47003);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 47005, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 47009, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 47013, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47017, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47021, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 47026, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 47031, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 47034, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 47038, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 47042, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 47046, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47050, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47054, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 47058);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 47061, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 47065, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 47069, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47073, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47077, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 47081, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 47085, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 47093);
						} else {
		dasm_put(Dst, 47096);
						}
					}
			do {
				if (!((op2_info) & MAY_BE_GUARD)
				 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 47099, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 47102, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 47105, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 47109, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 47113, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 47117, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 47122, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 47126, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 47130, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 47134, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 47138, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47142, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47146, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (NULL && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 47149, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 47152, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 47155, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 47159, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 47163, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 47167, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 47172, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 47176, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 47180, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 47184, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 47188, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47192, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47196, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 47200, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 47203, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 47206, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 47210, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 47214, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 47218, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 47223, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 47227, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 47231, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 47235, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 47239, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47243, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47247, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 47250, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 47253, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 47256, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 47260, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 47264, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 47268, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 47273, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 47277, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 47281, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 47285, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 47289, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47293, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47297, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 47300, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 47303);
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 47305, ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 47308, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 47311, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 47314, (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 47317, ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 47320, (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 47323, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 47326, (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 47329, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47332, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47335, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 47338, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 47341, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 47344, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 47348, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 47352, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 47356, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 47361, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 47365, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 47369, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 47373, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 47377, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47381, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47385, (ZREG_X15));
			}
						break;
					}
				}
				if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 47388, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 47391, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 47394, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 47398, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 47402, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 47406, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 47411, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 47415, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 47419, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 47423, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 47427, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47431, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47435, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 47439, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 47442, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 47445, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 47449, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 47453, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 47457, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 47462, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 47466, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 47470, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 47474, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 47478, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47482, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47486, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 47489);
					}
		dasm_put(Dst, 47492);
				}
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 47494, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 47498, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 47502, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47506, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47510, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 47515, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 47520, (ZREG_X15));
			} else {
		dasm_put(Dst, 47524, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 47530, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 47534, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 47538, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47542, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47546, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 47551, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 47556, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 47559, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 47563, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 47567, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 47571, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47575, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47579, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 47583);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 47586, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 47590, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 47594, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47598, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47602, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 47606, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 47610);
					}
		dasm_put(Dst, 47612, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 47615, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 47618, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 47622, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 47626, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 47630, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47634, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47638, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 47642);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 47645, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 47648, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 47651, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 47655, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 47659, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 47663, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 47668, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 47672, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 47676, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 47680, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 47684, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47688, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47692, (ZREG_X15));
			}
				}
				if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 47695);
				}
		dasm_put(Dst, 47698);
			}
			}
#line 6418 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			zend_jit_check_exception(Dst);
		}

		if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY)) {
			//|	b >9 // END
			//|.code
			dasm_put(Dst, 47700);
#line 6425 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|9:
			dasm_put(Dst, 47703);
#line 6426 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if ((op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY))
			&& (!not_found_exit_addr || (var_info & MAY_BE_REF))) {
		//|.cold_code
		dasm_put(Dst, 47705);
#line 6430 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|9:
		//|	FREE_OP (opline+1)->op1_type, (opline+1)->op1, op1_data_info, 0, opline, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 47706);
			if ((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, (opline+1)->op1.var);
			if ((op1_data_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_data_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 47708, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 47712, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 47716, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47720, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47724, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 47729, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 47734, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 47737, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 47741, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 47745, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 47749, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47753, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47757, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 47761);
		dasm_put(Dst, 47764);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 47766, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 47770, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 47774, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47778, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47782, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 47787, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 47792, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 47795, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 47799, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 47803, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 47807, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47811, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47815, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 47819);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 47822, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 47826, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 47830, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47834, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 47838, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 47842, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 47846, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_data_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_data_info)) {
					if (((op1_data_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_data_info)) {
						if (0 && (((op1_data_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_data_info) && ((op1_data_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 47854);
						} else {
		dasm_put(Dst, 47857);
						}
					}
			do {
				if (!((op1_data_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_data_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_data_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 47860, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 47863, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 47866, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 47870, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 47874, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 47878, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 47883, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 47887, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 47891, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 47895, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 47899, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47903, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47907, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_data_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op1_data_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 47910, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 47913, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 47916, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 47920, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 47924, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 47928, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 47933, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 47937, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 47941, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 47945, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 47949, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 47953, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 47957, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 47961, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 47964, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 47967, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 47971, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 47975, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 47979, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 47984, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 47988, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 47992, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 47996, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 48000, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48004, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48008, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 48011, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 48014, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 48017, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 48021, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 48025, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 48029, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 48034, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 48038, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 48042, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 48046, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 48050, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48054, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48058, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 48061, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 48064);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 48066, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 48069, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 48072, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 48075, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 48078, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 48081, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 48084, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 48087, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 48090, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48093, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48096, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 48099, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 48102, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 48105, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 48109, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 48113, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 48117, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 48122, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 48126, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 48130, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 48134, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 48138, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48142, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48146, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 48149, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 48152, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 48155, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 48159, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 48163, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 48167, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 48172, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 48176, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 48180, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 48184, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 48188, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48192, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48196, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 48200, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 48203, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 48206, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 48210, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 48214, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 48218, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 48223, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 48227, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 48231, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 48235, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 48239, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48243, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48247, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_data_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_data_info) && ((op1_data_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 48250);
					}
		dasm_put(Dst, 48253);
				}
				if (0 && (((op1_data_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_data_info) && ((op1_data_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_data_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 48255, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 48259, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 48263, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48267, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48271, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 48276, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 48281, (ZREG_X15));
			} else {
		dasm_put(Dst, 48285, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 48291, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 48295, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 48299, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48303, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48307, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 48312, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 48317, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 48320, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 48324, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 48328, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 48332, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48336, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48340, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 48344);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 48347, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 48351, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 48355, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48359, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48363, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 48367, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 48371);
					}
		dasm_put(Dst, 48373, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 48376, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 48379, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 48383, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 48387, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 48391, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48395, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48399, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 48403);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 48406, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 48409, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 48412, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 48416, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 48420, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 48424, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 48429, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 48433, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 48437, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 48441, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 48445, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48449, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48453, (ZREG_X15));
			}
				}
				if (0 && ((op1_data_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 48456);
				}
		dasm_put(Dst, 48459);
			}
			}
#line 6432 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, opline, ZREG_TMP1, ZREG_TMP2
			if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
			if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 48461, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 48465, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 48469, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48473, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48477, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 48482, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 48487, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 48490, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 48494, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 48498, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 48502, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48506, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48510, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 48514);
		dasm_put(Dst, 48517);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 48519, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 48523, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 48527, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48531, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48535, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 48540, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 48545, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 48548, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 48552, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 48556, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 48560, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48564, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48568, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 48572);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 48575, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 48579, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 48583, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48587, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 48591, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 48595, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 48599, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 48607);
						} else {
		dasm_put(Dst, 48610);
						}
					}
			do {
				if (!((op2_info) & MAY_BE_GUARD)
				 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 48613, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 48616, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 48619, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 48623, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 48627, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 48631, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 48636, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 48640, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 48644, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 48648, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 48652, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48656, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48660, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 48663, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 48666, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 48669, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 48673, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 48677, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 48681, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 48686, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 48690, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 48694, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 48698, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 48702, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48706, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48710, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 48714, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 48717, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 48720, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 48724, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 48728, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 48732, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 48737, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 48741, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 48745, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 48749, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 48753, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48757, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48761, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 48764, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 48767, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 48770, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 48774, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 48778, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 48782, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 48787, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 48791, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 48795, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 48799, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 48803, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48807, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48811, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 48814, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 48817);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 48819, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 48822, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 48825, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 48828, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 48831, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 48834, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 48837, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 48840, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 48843, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48846, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48849, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 48852, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 48855, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 48858, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 48862, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 48866, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 48870, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 48875, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 48879, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 48883, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 48887, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 48891, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48895, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48899, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 48902, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 48905, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 48908, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 48912, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 48916, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 48920, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 48925, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 48929, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 48933, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 48937, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 48941, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48945, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 48949, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 48953, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 48956, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 48959, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 48963, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 48967, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 48971, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 48976, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 48980, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 48984, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 48988, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 48992, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 48996, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 49000, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 49003);
					}
		dasm_put(Dst, 49006);
				}
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 49008, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 49012, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 49016, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49020, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 49024, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 49029, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 49034, (ZREG_X15));
			} else {
		dasm_put(Dst, 49038, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 49044, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 49048, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 49052, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49056, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 49060, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 49065, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 49070, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 49073, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 49077, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 49081, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 49085, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49089, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 49093, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 49097);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 49100, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 49104, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 49108, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49112, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 49116, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 49120, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 49124);
					}
		dasm_put(Dst, 49126, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 49129, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 49132, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 49136, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 49140, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 49144, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49148, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 49152, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 49156);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 49159, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 49162, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 49165, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 49169, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 49173, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 49177, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 49182, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 49186, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 49190, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 49194, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 49198, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49202, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 49206, (ZREG_X15));
			}
				}
				if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 49209);
				}
		dasm_put(Dst, 49212);
			}
			}
#line 6433 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			zend_jit_check_exception(Dst);
		}
		//|	b >9
		//|.code
		dasm_put(Dst, 49214);
#line 6438 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|9:
		dasm_put(Dst, 49217);
#line 6439 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_assign_op(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, uint32_t op1_def_info, zend_ssa_range *op1_range, uint32_t op2_info, zend_ssa_range *op2_range, int may_overflow, int may_throw)
{
	zend_jit_addr op1_addr, op2_addr;

	ZEND_ASSERT(opline->op1_type == IS_CV && opline->result_type == IS_UNUSED);
	ZEND_ASSERT(!(op1_info & MAY_BE_UNDEF) && !(op2_info & MAY_BE_UNDEF));

	op1_addr = OP1_ADDR();
	op2_addr = OP2_ADDR();

	if (op1_info & MAY_BE_REF) {
		binary_op_type binary_op = get_binary_op(opline->extended_value);
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 49219);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 49221, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 49224, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 49227, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 49230, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 49233, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 49236, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 49239, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 49242, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 49245, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49248, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 49251, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 49254, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 49258, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 49261, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 49264, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49267, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 49270, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 49273);
					} else {
		dasm_put(Dst, 49275, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 6457 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	IF_NOT_Z_TYPE, FCARG1x, IS_REFERENCE, >1, TMP1w
		dasm_put(Dst, 49278, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 49281);
			} else {
		dasm_put(Dst, 49284, IS_REFERENCE);
			}
#line 6458 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_Z_PTR FCARG1x, FCARG1x
		//|	ldr TMP1, [FCARG1x, #offsetof(zend_reference, sources.ptr)]
		//|	cbnz TMP1, >2
		//|	add FCARG1x, FCARG1x, #offsetof(zend_reference, val)
		//|.cold_code
		dasm_put(Dst, 49289, offsetof(zend_reference, sources.ptr), offsetof(zend_reference, val));
#line 6463 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|2:
		//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
		dasm_put(Dst, 49297);
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 49299);
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 49301, ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 49304, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 49307, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 49310, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 49313, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 49316, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 49319, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 49322, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 49325, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49328, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op2_addr)) {
			if (Z_OFFSET(op2_addr) == 0) {
		dasm_put(Dst, 49331, (Z_REG(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
		dasm_put(Dst, 49334, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 49338, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 49341, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 49344, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49347, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 49350, (Z_REG(op2_addr)));
			}
				} else {
					if (Z_REG(op2_addr) == ZREG_RSP) {
		dasm_put(Dst, 49353);
					} else {
		dasm_put(Dst, 49355, (Z_REG(op2_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 6465 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_ADDR CARG3, binary_op
			if (((uintptr_t)(binary_op)) == 0) {
		dasm_put(Dst, 49358);
			} else if (((uintptr_t)(binary_op)) <= MOVZ_IMM) {
		dasm_put(Dst, 49360, ((uint64_t)(binary_op)));
			} else if (arm64_may_use_adr((void*)(binary_op))) {
		dasm_put(Dst, 49363, (unsigned int)((ptrdiff_t)(binary_op)), (unsigned int)(((ptrdiff_t)(binary_op))>>32));
			} else if (arm64_may_use_adrp((void*)(binary_op))) {
		dasm_put(Dst, 49366, (unsigned int)((ptrdiff_t)((((uintptr_t)(binary_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(binary_op)))))>>32));
				if (((uintptr_t)(binary_op)) & 0xfff) {
		dasm_put(Dst, 49369, (((uintptr_t)(binary_op)) & 0xfff));
				}
			} else if ((uintptr_t)(binary_op) & 0xffff) {
		dasm_put(Dst, 49372, ((uintptr_t)(binary_op) & 0xffff));
				if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
		dasm_put(Dst, 49375, (((uintptr_t)(binary_op) >> 16) & 0xffff));
				}
				if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
		dasm_put(Dst, 49378, (((uintptr_t)(binary_op) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
		dasm_put(Dst, 49381, (((uintptr_t)(binary_op) >> 16) & 0xffff));
				if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
		dasm_put(Dst, 49384, (((uintptr_t)(binary_op) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49387, (((uintptr_t)(binary_op) >> 32) & 0xffff));
			}
#line 6466 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 49390, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 49393);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 49395, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 49398, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 49401, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 49404, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 49407, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 49410, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 49413, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 49416, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 49419, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49422, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 49425, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 6467 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if ((opline->op2_type & (IS_TMP_VAR|IS_VAR))
		 && (op2_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
			//|	EXT_CALL zend_jit_assign_op_to_typed_ref_tmp, REG0
				if (arm64_may_use_b(zend_jit_assign_op_to_typed_ref_tmp)) {
			dasm_put(Dst, 49428, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp))>>32));
				} else {
				if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) == 0) {
			dasm_put(Dst, 49431);
				} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) <= MOVZ_IMM) {
			dasm_put(Dst, 49433, ((uint64_t)(zend_jit_assign_op_to_typed_ref_tmp)));
				} else if (arm64_may_use_adr((void*)(zend_jit_assign_op_to_typed_ref_tmp))) {
			dasm_put(Dst, 49436, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_assign_op_to_typed_ref_tmp))) {
			dasm_put(Dst, 49439, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)))))>>32));
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) & 0xfff) {
			dasm_put(Dst, 49442, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) & 0xffff) {
			dasm_put(Dst, 49445, ((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff) {
			dasm_put(Dst, 49448, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff) {
			dasm_put(Dst, 49451, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff) {
			dasm_put(Dst, 49454, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff) {
			dasm_put(Dst, 49457, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 49460, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
				}
			dasm_put(Dst, 49463);
				}
#line 6470 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	EXT_CALL zend_jit_assign_op_to_typed_ref, REG0
				if (arm64_may_use_b(zend_jit_assign_op_to_typed_ref)) {
			dasm_put(Dst, 49465, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref))>>32));
				} else {
				if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) == 0) {
			dasm_put(Dst, 49468);
				} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) <= MOVZ_IMM) {
			dasm_put(Dst, 49470, ((uint64_t)(zend_jit_assign_op_to_typed_ref)));
				} else if (arm64_may_use_adr((void*)(zend_jit_assign_op_to_typed_ref))) {
			dasm_put(Dst, 49473, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_assign_op_to_typed_ref))) {
			dasm_put(Dst, 49476, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref)))))>>32));
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) & 0xfff) {
			dasm_put(Dst, 49479, (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_assign_op_to_typed_ref) & 0xffff) {
			dasm_put(Dst, 49482, ((uintptr_t)(zend_jit_assign_op_to_typed_ref) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff) {
			dasm_put(Dst, 49485, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff) {
			dasm_put(Dst, 49488, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff) {
			dasm_put(Dst, 49491, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff) {
			dasm_put(Dst, 49494, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 49497, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
				}
			dasm_put(Dst, 49500);
				}
#line 6472 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		zend_jit_check_exception(Dst);
		//|	b >9
		//|.code
		dasm_put(Dst, 49502);
#line 6476 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 49505);
#line 6477 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	}

	int result;
	switch (opline->extended_value) {
		case ZEND_ADD:
		case ZEND_SUB:
		case ZEND_MUL:
		case ZEND_DIV:
			result = zend_jit_math_helper(Dst, opline, opline->extended_value, opline->op1_type, opline->op1, op1_addr, op1_info, opline->op2_type, opline->op2, op2_addr, op2_info, opline->op1.var, op1_addr, op1_def_info, op1_info, may_overflow, may_throw);
			break;
		case ZEND_BW_OR:
		case ZEND_BW_AND:
		case ZEND_BW_XOR:
		case ZEND_SL:
		case ZEND_SR:
		case ZEND_MOD:
			result = zend_jit_long_math_helper(Dst, opline, opline->extended_value,
				opline->op1_type, opline->op1, op1_addr, op1_info, op1_range,
				opline->op2_type, opline->op2, op2_addr, op2_info, op2_range,
				opline->op1.var, op1_addr, op1_def_info, op1_info, may_throw);
			break;
		case ZEND_CONCAT:
			result = zend_jit_concat_helper(Dst, opline, opline->op1_type, opline->op1, op1_addr, op1_info, opline->op2_type, opline->op2, op2_addr, op2_info, op1_addr, may_throw);
			break;
		default:
			ZEND_UNREACHABLE();
	}
	//|9:
	dasm_put(Dst, 49507);
#line 6506 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return result;
}

static int zend_jit_cmp_long_long(dasm_State    **Dst,
                                  const zend_op  *opline,
                                  zend_ssa_range *op1_range,
                                  zend_jit_addr   op1_addr,
                                  zend_ssa_range *op2_range,
                                  zend_jit_addr   op2_addr,
                                  zend_jit_addr   res_addr,
                                  zend_uchar      smart_branch_opcode,
                                  uint32_t        target_label,
                                  uint32_t        target_label2,
                                  const void     *exit_addr,
                                  bool            skip_comparison)
{
	bool swap = 0;
	bool result;

	if (zend_jit_is_constant_cmp_long_long(opline, op1_range, op1_addr, op2_range, op2_addr, &result)) {
		if (!smart_branch_opcode ||
		    smart_branch_opcode == ZEND_JMPZ_EX ||
		    smart_branch_opcode == ZEND_JMPNZ_EX) {
			//|	SET_ZVAL_TYPE_INFO res_addr, (result ? IS_TRUE : IS_FALSE), TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)((result ? IS_TRUE : IS_FALSE))) <= MOVZ_IMM) {
			dasm_put(Dst, 49509, ((uint32_t)((result ? IS_TRUE : IS_FALSE))));
				} else if (((uint32_t)((result ? IS_TRUE : IS_FALSE)) & 0xffff)) {
			dasm_put(Dst, 49512, ((uint32_t)((result ? IS_TRUE : IS_FALSE)) & 0xffff));
					if ((((uint32_t)((result ? IS_TRUE : IS_FALSE)) >> 16) & 0xffff)) {
			dasm_put(Dst, 49515, (((uint32_t)((result ? IS_TRUE : IS_FALSE)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 49518, (((uint32_t)((result ? IS_TRUE : IS_FALSE)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 49521, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 49524, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 49527, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 49530, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 49533, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 49536, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 6530 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (smart_branch_opcode && !exit_addr) {
			if (smart_branch_opcode == ZEND_JMPZ ||
			    smart_branch_opcode == ZEND_JMPZ_EX) {
				if (!result) {
					//|	b => target_label
					dasm_put(Dst, 49540,  target_label);
#line 6536 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (smart_branch_opcode == ZEND_JMPNZ ||
			           smart_branch_opcode == ZEND_JMPNZ_EX) {
				if (result) {
					//|	b => target_label
					dasm_put(Dst, 49543,  target_label);
#line 6541 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				ZEND_UNREACHABLE();
			}
		}
		return 1;
	}

	if (skip_comparison) {
		if (Z_MODE(op1_addr) != IS_REG &&
		    (Z_MODE(op2_addr) == IS_REG ||
		     (Z_MODE(op1_addr) == IS_CONST_ZVAL && Z_MODE(op2_addr) != IS_CONST_ZVAL))) {
			swap = 1;
		}
	} else if (Z_MODE(op1_addr) == IS_REG) {
		if (Z_MODE(op2_addr) == IS_CONST_ZVAL && Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			//|	cmp Rx(Z_REG(op1_addr)), xzr
			dasm_put(Dst, 49546, (Z_REG(op1_addr)));
#line 6558 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LONG_CMP Z_REG(op1_addr), op2_addr, TMP1
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 49549, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op2_addr))))) {
			dasm_put(Dst, 49552, (Z_REG(op1_addr)), Z_LVAL_P(Z_ZV(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(-Z_LVAL_P(Z_ZV(op2_addr))))) {
			dasm_put(Dst, 49556, (Z_REG(op1_addr)), -Z_LVAL_P(Z_ZV(op2_addr)));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 49560);
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 49562, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 49565, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 49568, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 49571, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 49574, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 49577, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 49580, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 49583, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 49586, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 49589, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 49592, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 49595, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 49598, (Z_REG(op1_addr)));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 49601, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 49604, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 49607, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 49610, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 49613, (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 49616, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
			dasm_put(Dst, 49620, (Z_REG(op1_addr)));
				} else if (Z_MODE(op2_addr) == IS_REG) {
			dasm_put(Dst, 49623, (Z_REG(op1_addr)), (Z_REG(op2_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
#line 6560 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (Z_MODE(op2_addr) == IS_REG) {
		if (Z_MODE(op1_addr) == IS_CONST_ZVAL && Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			//|	cmp Rx(Z_REG(op2_addr)), xzr
			dasm_put(Dst, 49627, (Z_REG(op2_addr)));
#line 6564 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LONG_CMP Z_REG(op2_addr), op1_addr, TMP1
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 49630, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op1_addr))))) {
			dasm_put(Dst, 49633, (Z_REG(op2_addr)), Z_LVAL_P(Z_ZV(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(-Z_LVAL_P(Z_ZV(op1_addr))))) {
			dasm_put(Dst, 49637, (Z_REG(op2_addr)), -Z_LVAL_P(Z_ZV(op1_addr)));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 49641);
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 49643, ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 49646, (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 49649, ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 49652, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 49655, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 49658, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 49661, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 49664, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 49667, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 49670, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 49673, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 49676, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 49679, (Z_REG(op2_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 49682, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 49685, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 49688, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 49691, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 49694, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 49697, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
			dasm_put(Dst, 49701, (Z_REG(op2_addr)));
				} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 49704, (Z_REG(op2_addr)), (Z_REG(op1_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
#line 6566 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		swap = 1;
	} else if (Z_MODE(op1_addr) == IS_CONST_ZVAL && Z_MODE(op2_addr) != IS_CONST_ZVAL) {
		//|	LONG_CMP_WITH_CONST op2_addr, Z_LVAL_P(Z_ZV(op1_addr)), TMP1, TMP2
			if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 49708, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 49711, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 49714, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49717, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 49720, (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 49723, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
			if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 49727);
			} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op1_addr))))) {
		dasm_put(Dst, 49729, Z_LVAL_P(Z_ZV(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(-Z_LVAL_P(Z_ZV(op1_addr))))) {
		dasm_put(Dst, 49732, -Z_LVAL_P(Z_ZV(op1_addr)));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 49735);
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 49737, ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 49740, (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 49743, ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 49746, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 49749, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 49752, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 49755, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 49758, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 49761, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 49764, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 49767, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49770, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 49773);
			}
			} else if (Z_MODE(op2_addr) == IS_REG) {
			if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 49775, (Z_REG(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op1_addr))))) {
		dasm_put(Dst, 49778, (Z_REG(op2_addr)), Z_LVAL_P(Z_ZV(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(-Z_LVAL_P(Z_ZV(op1_addr))))) {
		dasm_put(Dst, 49782, (Z_REG(op2_addr)), -Z_LVAL_P(Z_ZV(op1_addr)));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 49786);
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 49788, ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 49791, (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 49794, ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 49797, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 49800, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 49803, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 49806, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 49809, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 49812, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 49815, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 49818, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49821, (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 49824, (Z_REG(op2_addr)));
			}
			} else {
				ZEND_UNREACHABLE();
			}
#line 6570 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		swap = 1;
	} else if (Z_MODE(op2_addr) == IS_CONST_ZVAL && Z_MODE(op1_addr) != IS_CONST_ZVAL) {
		//|	LONG_CMP_WITH_CONST op1_addr, Z_LVAL_P(Z_ZV(op2_addr)), TMP1, TMP2
			if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 49827, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 49830, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 49833, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49836, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 49839, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 49842, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 49846);
			} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op2_addr))))) {
		dasm_put(Dst, 49848, Z_LVAL_P(Z_ZV(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(-Z_LVAL_P(Z_ZV(op2_addr))))) {
		dasm_put(Dst, 49851, -Z_LVAL_P(Z_ZV(op2_addr)));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 49854);
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 49856, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 49859, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 49862, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 49865, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 49868, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 49871, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 49874, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 49877, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 49880, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 49883, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 49886, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49889, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 49892);
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
			if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
		dasm_put(Dst, 49894, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op2_addr))))) {
		dasm_put(Dst, 49897, (Z_REG(op1_addr)), Z_LVAL_P(Z_ZV(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(-Z_LVAL_P(Z_ZV(op2_addr))))) {
		dasm_put(Dst, 49901, (Z_REG(op1_addr)), -Z_LVAL_P(Z_ZV(op2_addr)));
			} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
		dasm_put(Dst, 49905);
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 49907, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 49910, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
		dasm_put(Dst, 49913, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 49916, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 49919, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 49922, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 49925, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 49928, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 49931, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 49934, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 49937, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49940, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		dasm_put(Dst, 49943, (Z_REG(op1_addr)));
			}
			} else {
				ZEND_UNREACHABLE();
			}
#line 6573 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	GET_ZVAL_LVAL ZREG_REG0, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 49946, (ZREG_X8));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 49949, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 49952, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 49956, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 49960, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 49964, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 49968, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 49972, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 49976, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 49980, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 49984, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 49988, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 49992, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 49996, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 50000, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 50003, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 50006, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 50009, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 50012, (ZREG_X8), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 50016, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X8 != Z_REG(op1_addr)) {
		dasm_put(Dst, 50021, (ZREG_X8), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 6575 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_MODE(op2_addr) == IS_CONST_ZVAL && Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			//|	cmp Rx(ZREG_REG0), xzr
			dasm_put(Dst, 50025, (ZREG_X8));
#line 6577 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LONG_CMP ZREG_REG0, op2_addr, TMP1
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
			dasm_put(Dst, 50028, (ZREG_X8));
				} else if (arm64_may_encode_imm12((int64_t)(Z_LVAL_P(Z_ZV(op2_addr))))) {
			dasm_put(Dst, 50031, (ZREG_X8), Z_LVAL_P(Z_ZV(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(-Z_LVAL_P(Z_ZV(op2_addr))))) {
			dasm_put(Dst, 50035, (ZREG_X8), -Z_LVAL_P(Z_ZV(op2_addr)));
				} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
			dasm_put(Dst, 50039);
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 50041, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 50044, (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
			dasm_put(Dst, 50047, ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 50050, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 50053, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 50056, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 50059, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 50062, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 50065, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 50068, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 50071, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 50074, (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
				}
			dasm_put(Dst, 50077, (ZREG_X8));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 50080, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 50083, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 50086, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 50089, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 50092, (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 50095, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
				}
			dasm_put(Dst, 50099, (ZREG_X8));
				} else if (Z_MODE(op2_addr) == IS_REG) {
			dasm_put(Dst, 50102, (ZREG_X8), (Z_REG(op2_addr)));
				} else {
					ZEND_UNREACHABLE();
				}
#line 6579 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (smart_branch_opcode) {
		if (smart_branch_opcode == ZEND_JMPZ_EX ||
		    smart_branch_opcode == ZEND_JMPNZ_EX) {

			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_IS_IDENTICAL:
				case ZEND_CASE:
				case ZEND_CASE_STRICT:
					//|	cset REG0w, eq
					dasm_put(Dst, 50106);
#line 6592 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_NOT_EQUAL:
				case ZEND_IS_NOT_IDENTICAL:
					//|	cset REG0w, ne
					dasm_put(Dst, 50108);
#line 6596 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_SMALLER:
					if (swap) {
						//|	cset REG0w, gt
						dasm_put(Dst, 50110);
#line 6600 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	cset REG0w, lt
						dasm_put(Dst, 50112);
#line 6602 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (swap) {
						//|	cset REG0w, ge
						dasm_put(Dst, 50114);
#line 6607 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	cset REG0w, le
						dasm_put(Dst, 50116);
#line 6609 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
			//|	add REG0w, REG0w, #2
			//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
			dasm_put(Dst, 50118);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 50120, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 50123, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 50126, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 50129, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 50132, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 50135, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 6616 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (smart_branch_opcode == ZEND_JMPZ ||
		    smart_branch_opcode == ZEND_JMPZ_EX) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_IS_IDENTICAL:
				case ZEND_CASE:
				case ZEND_CASE_STRICT:
					if (exit_addr) {
						//|	bne &exit_addr
						dasm_put(Dst, 50139, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6626 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bne => target_label
						dasm_put(Dst, 50142,  target_label);
#line 6628 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_NOT_EQUAL:
					if (exit_addr) {
						//|	beq &exit_addr
						dasm_put(Dst, 50145, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6633 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	beq => target_label
						dasm_put(Dst, 50148,  target_label);
#line 6635 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_NOT_IDENTICAL:
					if (exit_addr) {
						//|	bne &exit_addr
						dasm_put(Dst, 50151, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6640 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	beq => target_label
						dasm_put(Dst, 50154,  target_label);
#line 6642 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER:
					if (swap) {
						if (exit_addr) {
							//|	ble &exit_addr
							dasm_put(Dst, 50157, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6648 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	ble => target_label
							dasm_put(Dst, 50160,  target_label);
#line 6650 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else {
						if (exit_addr) {
							//|	bge &exit_addr
							dasm_put(Dst, 50163, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6654 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bge => target_label
							dasm_put(Dst, 50166,  target_label);
#line 6656 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (swap) {
						if (exit_addr) {
							//|	blt &exit_addr
							dasm_put(Dst, 50169, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6663 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	blt => target_label
							dasm_put(Dst, 50172,  target_label);
#line 6665 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else {
						if (exit_addr) {
							//|	bgt &exit_addr
							dasm_put(Dst, 50175, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6669 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bgt => target_label
							dasm_put(Dst, 50178,  target_label);
#line 6671 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
		} else if (smart_branch_opcode == ZEND_JMPNZ ||
		           smart_branch_opcode == ZEND_JMPNZ_EX) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_IS_IDENTICAL:
				case ZEND_CASE:
				case ZEND_CASE_STRICT:
					if (exit_addr) {
						//|	beq &exit_addr
						dasm_put(Dst, 50181, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6686 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	beq => target_label
						dasm_put(Dst, 50184,  target_label);
#line 6688 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_NOT_EQUAL:
					if (exit_addr) {
						//|	bne &exit_addr
						dasm_put(Dst, 50187, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6693 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bne => target_label
						dasm_put(Dst, 50190,  target_label);
#line 6695 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_NOT_IDENTICAL:
					if (exit_addr) {
						//|	beq &exit_addr
						dasm_put(Dst, 50193, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6700 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bne => target_label
						dasm_put(Dst, 50196,  target_label);
#line 6702 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER:
					if (swap) {
						if (exit_addr) {
							//|	bgt &exit_addr
							dasm_put(Dst, 50199, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6708 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bgt => target_label
							dasm_put(Dst, 50202,  target_label);
#line 6710 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else {
						if (exit_addr) {
							//|	blt &exit_addr
							dasm_put(Dst, 50205, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6714 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	blt => target_label
							dasm_put(Dst, 50208,  target_label);
#line 6716 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (swap) {
						if (exit_addr) {
							//|	bge &exit_addr
							dasm_put(Dst, 50211, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6723 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bge => target_label
							dasm_put(Dst, 50214,  target_label);
#line 6725 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else {
						if (exit_addr) {
							//|	ble &exit_addr
							dasm_put(Dst, 50217, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6729 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	ble => target_label
							dasm_put(Dst, 50220,  target_label);
#line 6731 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
		} else {
			ZEND_UNREACHABLE();
		}
	} else {
		switch (opline->opcode) {
			case ZEND_IS_EQUAL:
			case ZEND_IS_IDENTICAL:
			case ZEND_CASE:
			case ZEND_CASE_STRICT:
				//|	cset REG0w, eq
				dasm_put(Dst, 50223);
#line 6747 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_IS_NOT_EQUAL:
			case ZEND_IS_NOT_IDENTICAL:
				//|	cset REG0w, ne
				dasm_put(Dst, 50225);
#line 6751 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_IS_SMALLER:
				if (swap) {
					//|	cset REG0w, gt
					dasm_put(Dst, 50227);
#line 6755 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	cset REG0w, lt
					dasm_put(Dst, 50229);
#line 6757 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				break;
			case ZEND_IS_SMALLER_OR_EQUAL:
				if (swap) {
					//|	cset REG0w, ge
					dasm_put(Dst, 50231);
#line 6762 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	cset REG0w, le
					dasm_put(Dst, 50233);
#line 6764 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				break;
			default:
				ZEND_UNREACHABLE();
		}
		//|	add REG0w, REG0w, #2
		//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
		dasm_put(Dst, 50235);
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 50237, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 50240, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 50243, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 50246, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 50249, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 50252, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 6771 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_cmp_double_common(dasm_State **Dst, const zend_op *opline, zend_jit_addr res_addr, bool swap, zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2, const void *exit_addr)
{
	if (smart_branch_opcode) {
		if (smart_branch_opcode == ZEND_JMPZ) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_IS_IDENTICAL:
				case ZEND_CASE:
				case ZEND_CASE_STRICT:
					if (exit_addr) {
						//|	bne &exit_addr
						dasm_put(Dst, 50256, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6787 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bne => target_label
						dasm_put(Dst, 50259,  target_label);
#line 6789 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_NOT_EQUAL:
					//|	bvs >1
					dasm_put(Dst, 50262);
#line 6793 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (exit_addr) {
						//|	beq &exit_addr
						dasm_put(Dst, 50265, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6795 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	beq => target_label
						dasm_put(Dst, 50268,  target_label);
#line 6797 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|1:
					dasm_put(Dst, 50271);
#line 6799 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_NOT_IDENTICAL:
					if (exit_addr) {
						//|	bvs &exit_addr
						//|	bne &exit_addr
						dasm_put(Dst, 50273, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6804 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bvs >1
						//|	beq => target_label
						//|1:
						dasm_put(Dst, 50278,  target_label);
#line 6808 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER:
					if (swap) {
						if (exit_addr) {
							//|	bvs &exit_addr
							//|	bls &exit_addr
							dasm_put(Dst, 50284, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6815 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bvs => target_label
							//|	bls => target_label
							dasm_put(Dst, 50289,  target_label,  target_label);
#line 6818 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else {
						if (exit_addr) {
							//|	bhs &exit_addr
							dasm_put(Dst, 50294, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6822 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bhs => target_label
							dasm_put(Dst, 50297,  target_label);
#line 6824 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (swap) {
						if (exit_addr) {
							//|	bvs &exit_addr
							//|	blo &exit_addr
							dasm_put(Dst, 50300, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6832 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bvs => target_label
							//|	blo => target_label
							dasm_put(Dst, 50305,  target_label,  target_label);
#line 6835 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else {
						if (exit_addr) {
							//|	bhi &exit_addr
							dasm_put(Dst, 50310, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6839 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bhi => target_label
							dasm_put(Dst, 50313,  target_label);
#line 6841 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
		} else if (smart_branch_opcode == ZEND_JMPNZ) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_IS_IDENTICAL:
				case ZEND_CASE:
				case ZEND_CASE_STRICT:
					//|	bvs >1
					dasm_put(Dst, 50316);
#line 6854 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (exit_addr) {
						//|	beq &exit_addr
						dasm_put(Dst, 50319, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6856 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	beq => target_label
						dasm_put(Dst, 50322,  target_label);
#line 6858 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|1:
					dasm_put(Dst, 50325);
#line 6860 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_NOT_EQUAL:
					if (exit_addr) {
						//|	bne &exit_addr
						dasm_put(Dst, 50327, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6864 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bne => target_label
						dasm_put(Dst, 50330,  target_label);
#line 6866 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_NOT_IDENTICAL:
					if (exit_addr) {
						//|	bvs >1
						//|	beq &exit_addr
						//|1:
						dasm_put(Dst, 50333, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6873 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bne => target_label
						dasm_put(Dst, 50339,  target_label);
#line 6875 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER:
					if (swap) {
						//|	bvs >1  // Always False if involving NaN
						dasm_put(Dst, 50342);
#line 6880 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						if (exit_addr) {
							//|	bhi &exit_addr
							dasm_put(Dst, 50345, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6882 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bhi => target_label
							dasm_put(Dst, 50348,  target_label);
#line 6884 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						//|1:
						dasm_put(Dst, 50351);
#line 6886 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bvs >1
						dasm_put(Dst, 50353);
#line 6888 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						if (exit_addr) {
							//|	blo	&exit_addr
							dasm_put(Dst, 50356, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6890 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	blo => target_label
							dasm_put(Dst, 50359,  target_label);
#line 6892 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						//|1:
						dasm_put(Dst, 50362);
#line 6894 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (swap) {
						//|	bvs >1  // Always False if involving NaN
						dasm_put(Dst, 50364);
#line 6899 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						if (exit_addr) {
							//|	bhs &exit_addr
							dasm_put(Dst, 50367, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6901 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bhs => target_label
							dasm_put(Dst, 50370,  target_label);
#line 6903 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						//|1:
						dasm_put(Dst, 50373);
#line 6905 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bvs >1
						dasm_put(Dst, 50375);
#line 6907 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						if (exit_addr) {
							//|	bls &exit_addr
							dasm_put(Dst, 50378, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 6909 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bls => target_label
							dasm_put(Dst, 50381,  target_label);
#line 6911 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						//|1:
						dasm_put(Dst, 50384);
#line 6913 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
		} else if (smart_branch_opcode == ZEND_JMPZ_EX) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_IS_IDENTICAL:
				case ZEND_CASE:
				case ZEND_CASE_STRICT:
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
					dasm_put(Dst, 50386, ((uint32_t)(IS_FALSE)));
						} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
					dasm_put(Dst, 50389, ((uint32_t)(IS_FALSE) & 0xffff));
							if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
					dasm_put(Dst, 50392, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50395, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 50398, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 50401, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 50404, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50407, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 50410, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 50413, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 6925 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	bne => target_label
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
					dasm_put(Dst, 50417,  target_label);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
					dasm_put(Dst, 50420, ((uint32_t)(IS_TRUE)));
						} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
					dasm_put(Dst, 50423, ((uint32_t)(IS_TRUE) & 0xffff));
							if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
					dasm_put(Dst, 50426, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50429, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 50432, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 50435, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 50438, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50441, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 50444, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 50447, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 6927 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_NOT_EQUAL:
				case ZEND_IS_NOT_IDENTICAL:
					//|	bvs >1
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
					dasm_put(Dst, 50451);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
					dasm_put(Dst, 50454, ((uint32_t)(IS_FALSE)));
						} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
					dasm_put(Dst, 50457, ((uint32_t)(IS_FALSE) & 0xffff));
							if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
					dasm_put(Dst, 50460, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50463, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 50466, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 50469, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 50472, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50475, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 50478, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 50481, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 6932 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	beq => target_label
					//|1:
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
					dasm_put(Dst, 50485,  target_label);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
					dasm_put(Dst, 50489, ((uint32_t)(IS_TRUE)));
						} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
					dasm_put(Dst, 50492, ((uint32_t)(IS_TRUE) & 0xffff));
							if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
					dasm_put(Dst, 50495, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50498, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 50501, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 50504, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 50507, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50510, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 50513, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 50516, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 6935 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_SMALLER:
					if (swap) {
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
						dasm_put(Dst, 50520, ((uint32_t)(IS_FALSE)));
							} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
						dasm_put(Dst, 50523, ((uint32_t)(IS_FALSE) & 0xffff));
								if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
						dasm_put(Dst, 50526, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50529, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 50532, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 50535, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 50538, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50541, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 50544, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 50547, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 6939 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	bvs => target_label
						//|	bls => target_label
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						dasm_put(Dst, 50551,  target_label,  target_label);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
						dasm_put(Dst, 50556, ((uint32_t)(IS_TRUE)));
							} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
						dasm_put(Dst, 50559, ((uint32_t)(IS_TRUE) & 0xffff));
								if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
						dasm_put(Dst, 50562, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50565, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 50568, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 50571, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 50574, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50577, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 50580, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 50583, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 6942 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
						dasm_put(Dst, 50587, ((uint32_t)(IS_FALSE)));
							} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
						dasm_put(Dst, 50590, ((uint32_t)(IS_FALSE) & 0xffff));
								if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
						dasm_put(Dst, 50593, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50596, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 50599, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 50602, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 50605, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50608, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 50611, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 50614, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 6944 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	bhs => target_label
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						dasm_put(Dst, 50618,  target_label);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
						dasm_put(Dst, 50621, ((uint32_t)(IS_TRUE)));
							} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
						dasm_put(Dst, 50624, ((uint32_t)(IS_TRUE) & 0xffff));
								if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
						dasm_put(Dst, 50627, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50630, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 50633, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 50636, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 50639, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50642, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 50645, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 50648, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 6946 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (swap) {
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
						dasm_put(Dst, 50652, ((uint32_t)(IS_FALSE)));
							} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
						dasm_put(Dst, 50655, ((uint32_t)(IS_FALSE) & 0xffff));
								if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
						dasm_put(Dst, 50658, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50661, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 50664, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 50667, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 50670, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50673, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 50676, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 50679, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 6951 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	bvs => target_label
						//|	blo => target_label
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						dasm_put(Dst, 50683,  target_label,  target_label);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
						dasm_put(Dst, 50688, ((uint32_t)(IS_TRUE)));
							} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
						dasm_put(Dst, 50691, ((uint32_t)(IS_TRUE) & 0xffff));
								if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
						dasm_put(Dst, 50694, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50697, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 50700, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 50703, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 50706, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50709, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 50712, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 50715, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 6954 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
						dasm_put(Dst, 50719, ((uint32_t)(IS_FALSE)));
							} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
						dasm_put(Dst, 50722, ((uint32_t)(IS_FALSE) & 0xffff));
								if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
						dasm_put(Dst, 50725, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50728, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 50731, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 50734, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 50737, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50740, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 50743, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 50746, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 6956 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	bhi => target_label
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						dasm_put(Dst, 50750,  target_label);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
						dasm_put(Dst, 50753, ((uint32_t)(IS_TRUE)));
							} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
						dasm_put(Dst, 50756, ((uint32_t)(IS_TRUE) & 0xffff));
								if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
						dasm_put(Dst, 50759, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50762, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 50765, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 50768, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 50771, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50774, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 50777, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 50780, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 6958 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
		} else if (smart_branch_opcode == ZEND_JMPNZ_EX) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_IS_IDENTICAL:
				case ZEND_CASE:
				case ZEND_CASE_STRICT:
					//|	bvs >1
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
					dasm_put(Dst, 50784);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
					dasm_put(Dst, 50787, ((uint32_t)(IS_TRUE)));
						} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
					dasm_put(Dst, 50790, ((uint32_t)(IS_TRUE) & 0xffff));
							if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
					dasm_put(Dst, 50793, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50796, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 50799, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 50802, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 50805, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50808, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 50811, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 50814, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 6971 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	beq => target_label
					//|1:
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
					dasm_put(Dst, 50818,  target_label);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
					dasm_put(Dst, 50822, ((uint32_t)(IS_FALSE)));
						} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
					dasm_put(Dst, 50825, ((uint32_t)(IS_FALSE) & 0xffff));
							if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
					dasm_put(Dst, 50828, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50831, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 50834, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 50837, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 50840, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50843, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 50846, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 50849, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 6974 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_NOT_EQUAL:
				case ZEND_IS_NOT_IDENTICAL:
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
					dasm_put(Dst, 50853, ((uint32_t)(IS_TRUE)));
						} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
					dasm_put(Dst, 50856, ((uint32_t)(IS_TRUE) & 0xffff));
							if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
					dasm_put(Dst, 50859, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50862, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 50865, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 50868, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 50871, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50874, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 50877, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 50880, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 6978 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	bvs => target_label
					//|	bne => target_label
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
					dasm_put(Dst, 50884,  target_label,  target_label);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
					dasm_put(Dst, 50889, ((uint32_t)(IS_FALSE)));
						} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
					dasm_put(Dst, 50892, ((uint32_t)(IS_FALSE) & 0xffff));
							if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
					dasm_put(Dst, 50895, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50898, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 50901, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 50904, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 50907, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 50910, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 50913, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 50916, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 6981 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_SMALLER:
					if (swap) {
						//|	cset REG0w, hi
						//|	add REG0w, REG0w, #2
						//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
						dasm_put(Dst, 50920);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 50923, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 50926, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 50929, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50932, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 50935, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 50938, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 6987 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	bvs >1  // Always False if involving NaN
						//|	bhi => target_label
						//|1:
						dasm_put(Dst, 50942,  target_label);
#line 6990 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bvs >1
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						dasm_put(Dst, 50948);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
						dasm_put(Dst, 50951, ((uint32_t)(IS_TRUE)));
							} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
						dasm_put(Dst, 50954, ((uint32_t)(IS_TRUE) & 0xffff));
								if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
						dasm_put(Dst, 50957, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50960, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 50963, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 50966, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 50969, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50972, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 50975, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 50978, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 6993 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	blo => target_label
						//|1:
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
						dasm_put(Dst, 50982,  target_label);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
						dasm_put(Dst, 50986, ((uint32_t)(IS_FALSE)));
							} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
						dasm_put(Dst, 50989, ((uint32_t)(IS_FALSE) & 0xffff));
								if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
						dasm_put(Dst, 50992, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 50995, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 50998, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 51001, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 51004, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51007, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 51010, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 51013, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 6996 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (swap) {
						//|	cset REG0w, hs
						//|	add REG0w, REG0w, #2
						//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
						dasm_put(Dst, 51017);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 51020, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 51023, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 51026, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51029, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 51032, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 51035, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 7003 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	bvs >1  // Always False if involving NaN
						//|	bhs => target_label
						//|1:
						dasm_put(Dst, 51039,  target_label);
#line 7006 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bvs >1
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						dasm_put(Dst, 51045);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
						dasm_put(Dst, 51048, ((uint32_t)(IS_TRUE)));
							} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
						dasm_put(Dst, 51051, ((uint32_t)(IS_TRUE) & 0xffff));
								if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
						dasm_put(Dst, 51054, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51057, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 51060, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 51063, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 51066, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51069, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 51072, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 51075, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 7009 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	bls => target_label
						//|1:
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
						dasm_put(Dst, 51079,  target_label);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
						dasm_put(Dst, 51083, ((uint32_t)(IS_FALSE)));
							} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
						dasm_put(Dst, 51086, ((uint32_t)(IS_FALSE) & 0xffff));
								if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
						dasm_put(Dst, 51089, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51092, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 51095, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 51098, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 51101, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 51104, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 51107, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 51110, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 7012 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
		} else {
			ZEND_UNREACHABLE();
		}
	} else {
		switch (opline->opcode) {
			case ZEND_IS_EQUAL:
			case ZEND_IS_IDENTICAL:
			case ZEND_CASE:
			case ZEND_CASE_STRICT:
				//|	bvs >1
				//|	mov REG0, #IS_TRUE
				//|	beq >2
				//|1:
				//|	mov REG0, #IS_FALSE
				//|2:
				dasm_put(Dst, 51114, IS_TRUE, IS_FALSE);
#line 7032 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_IS_NOT_EQUAL:
			case ZEND_IS_NOT_IDENTICAL:
				//|	bvs >1
				//|	mov REG0, #IS_FALSE
				//|	beq >2
				//|1:
				//|	mov REG0, #IS_TRUE
				//|2:
				dasm_put(Dst, 51125, IS_FALSE, IS_TRUE);
#line 7041 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_IS_SMALLER:
				//|	bvs >1
				//|	mov REG0, #IS_TRUE
				dasm_put(Dst, 51136, IS_TRUE);
					if (swap) {
#line 7046 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		bhi >2
				dasm_put(Dst, 51141);
					} else {
#line 7048 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		blo >2
				dasm_put(Dst, 51144);
					}
#line 7050 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	mov REG0, #IS_FALSE
				//|2:
				dasm_put(Dst, 51147, IS_FALSE);
#line 7053 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_IS_SMALLER_OR_EQUAL:
				//|	bvs >1
				//|	mov REG0, #IS_TRUE
				dasm_put(Dst, 51152, IS_TRUE);
					if (swap) {
#line 7058 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		bhs >2
				dasm_put(Dst, 51157);
					} else {
#line 7060 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		bls >2
				dasm_put(Dst, 51160);
					}
#line 7062 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	mov REG0, #IS_FALSE
				//|2:
				dasm_put(Dst, 51163, IS_FALSE);
#line 7065 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			default:
				ZEND_UNREACHABLE();
		}
		//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 51168, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 51171, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 51174, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 51177, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 51180, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 51183, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 7070 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_cmp_long_double(dasm_State **Dst, const zend_op *opline, zend_jit_addr op1_addr, zend_jit_addr op2_addr, zend_jit_addr res_addr, zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2, const void *exit_addr)
{
	zend_reg tmp_reg = ZREG_FPR0;

	//|	DOUBLE_GET_ZVAL_LVAL tmp_reg, op1_addr, ZREG_REG0, ZREG_TMP1
		if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
		if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
	dasm_put(Dst, 51187, (tmp_reg-ZREG_V0));
		} else {
		if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
	dasm_put(Dst, 51190, (ZREG_X8));
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
	dasm_put(Dst, 51193, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
		} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
	dasm_put(Dst, 51197, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
		} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
	dasm_put(Dst, 51201, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
	dasm_put(Dst, 51205, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
			}
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 51209, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
			}
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 51213, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
	dasm_put(Dst, 51217, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 51221, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
			}
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 51225, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 51229, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 51233, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
		} else {
	dasm_put(Dst, 51237, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
		}
	dasm_put(Dst, 51241, (tmp_reg-ZREG_V0), (ZREG_X8));
		}
		} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
		if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 51245, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
		} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
	dasm_put(Dst, 51249, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 51253, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 51257, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 51261, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 51266, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
		}
	dasm_put(Dst, 51271, (tmp_reg-ZREG_V0), (ZREG_X8));
		} else if (Z_MODE(op1_addr) == IS_REG) {
	dasm_put(Dst, 51275, (tmp_reg-ZREG_V0), (Z_REG(op1_addr)));
		} else {
			ZEND_UNREACHABLE();
		}
#line 7080 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	DOUBLE_CMP tmp_reg, op2_addr, ZREG_TMP1, ZREG_FPTMP
		if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
		if (((uintptr_t)(Z_ZV(op2_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
	dasm_put(Dst, 51279, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15));
		} else if (((uintptr_t)(Z_ZV(op2_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
	dasm_put(Dst, 51286, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
		} else {
		if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
	dasm_put(Dst, 51294, (ZREG_X15));
		} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 51297, (ZREG_X15), ((uint64_t)(Z_ZV(op2_addr))));
		} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
	dasm_put(Dst, 51301, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
		} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
	dasm_put(Dst, 51305, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
			if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
	dasm_put(Dst, 51309, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
			}
		} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
	dasm_put(Dst, 51314, (ZREG_X15), ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
			if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
	dasm_put(Dst, 51318, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
	dasm_put(Dst, 51322, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
	dasm_put(Dst, 51326, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
			if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
	dasm_put(Dst, 51330, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 51334, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
		}
	dasm_put(Dst, 51338, (ZREG_V16-ZREG_V0), (ZREG_X15));
		}
	dasm_put(Dst, 51342, (tmp_reg-ZREG_V0), (ZREG_V16-ZREG_V0));
		} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
		if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 51346, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr))));
		} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
	dasm_put(Dst, 51350, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 51354, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 51358, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 51362, (ZREG_V16-ZREG_V0), (Z_REG(op2_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 51367, (ZREG_V16-ZREG_V0), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
		}
	dasm_put(Dst, 51372, (tmp_reg-ZREG_V0), (ZREG_V16-ZREG_V0));
		} else if (Z_MODE(op2_addr) == IS_REG) {
	dasm_put(Dst, 51376, (tmp_reg-ZREG_V0), (Z_REG(op2_addr)-ZREG_V0));
		} else {
			ZEND_UNREACHABLE();
		}
#line 7081 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return zend_jit_cmp_double_common(Dst, opline, res_addr, 0, smart_branch_opcode, target_label, target_label2, exit_addr);
}

static int zend_jit_cmp_double_long(dasm_State **Dst, const zend_op *opline, zend_jit_addr op1_addr, zend_jit_addr op2_addr, zend_jit_addr res_addr, zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2, const void *exit_addr)
{
	zend_reg tmp_reg = ZREG_FPR0;

	//|	DOUBLE_GET_ZVAL_LVAL tmp_reg, op2_addr, ZREG_REG0, ZREG_TMP1
		if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
		if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
	dasm_put(Dst, 51380, (tmp_reg-ZREG_V0));
		} else {
		if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
	dasm_put(Dst, 51383, (ZREG_X8));
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
	dasm_put(Dst, 51386, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
		} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
	dasm_put(Dst, 51390, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
		} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
	dasm_put(Dst, 51394, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
	dasm_put(Dst, 51398, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
			}
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 51402, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
			}
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 51406, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
	dasm_put(Dst, 51410, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 51414, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
			}
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 51418, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
	dasm_put(Dst, 51422, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
			if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
	dasm_put(Dst, 51426, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
			}
		} else {
	dasm_put(Dst, 51430, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
		}
	dasm_put(Dst, 51434, (tmp_reg-ZREG_V0), (ZREG_X8));
		}
		} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
		if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 51438, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr))));
		} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
	dasm_put(Dst, 51442, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 51446, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 51450, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 51454, (ZREG_X8), (Z_REG(op2_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 51459, (ZREG_X8), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
		}
	dasm_put(Dst, 51464, (tmp_reg-ZREG_V0), (ZREG_X8));
		} else if (Z_MODE(op2_addr) == IS_REG) {
	dasm_put(Dst, 51468, (tmp_reg-ZREG_V0), (Z_REG(op2_addr)));
		} else {
			ZEND_UNREACHABLE();
		}
#line 7090 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	DOUBLE_CMP tmp_reg, op1_addr, ZREG_TMP1, ZREG_FPTMP
		if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
		if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
	dasm_put(Dst, 51472, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15));
		} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
	dasm_put(Dst, 51479, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
		} else {
		if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
	dasm_put(Dst, 51487, (ZREG_X15));
		} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 51490, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
		} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
	dasm_put(Dst, 51494, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
		} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
	dasm_put(Dst, 51498, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
			if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
	dasm_put(Dst, 51502, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			}
		} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
	dasm_put(Dst, 51507, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
			if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
	dasm_put(Dst, 51511, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
	dasm_put(Dst, 51515, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
	dasm_put(Dst, 51519, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
			if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
	dasm_put(Dst, 51523, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 51527, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
		}
	dasm_put(Dst, 51531, (ZREG_V16-ZREG_V0), (ZREG_X15));
		}
	dasm_put(Dst, 51535, (tmp_reg-ZREG_V0), (ZREG_V16-ZREG_V0));
		} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
		if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 51539, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
		} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
	dasm_put(Dst, 51543, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 51547, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 51551, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 51555, (ZREG_V16-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 51560, (ZREG_V16-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
		}
	dasm_put(Dst, 51565, (tmp_reg-ZREG_V0), (ZREG_V16-ZREG_V0));
		} else if (Z_MODE(op1_addr) == IS_REG) {
	dasm_put(Dst, 51569, (tmp_reg-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
		} else {
			ZEND_UNREACHABLE();
		}
#line 7091 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return zend_jit_cmp_double_common(Dst, opline, res_addr, /* swap */ 1, smart_branch_opcode, target_label, target_label2, exit_addr);
}

static int zend_jit_cmp_double_double(dasm_State **Dst, const zend_op *opline, zend_jit_addr op1_addr, zend_jit_addr op2_addr, zend_jit_addr res_addr, zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2, const void *exit_addr)
{
	bool swap = 0;

	if (Z_MODE(op1_addr) == IS_REG) {
		//|	DOUBLE_CMP Z_REG(op1_addr), op2_addr, ZREG_TMP1, ZREG_FPTMP
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 51573, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op2_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 51580, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 51588, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 51591, (ZREG_X15), ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 51595, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 51599, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 51603, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 51608, (ZREG_X15), ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 51612, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 51616, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 51620, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 51624, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 51628, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 51632, (ZREG_V16-ZREG_V0), (ZREG_X15));
			}
		dasm_put(Dst, 51636, (Z_REG(op1_addr)-ZREG_V0), (ZREG_V16-ZREG_V0));
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 51640, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 51644, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 51648, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 51652, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 51656, (ZREG_V16-ZREG_V0), (Z_REG(op2_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 51661, (ZREG_V16-ZREG_V0), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
		dasm_put(Dst, 51666, (Z_REG(op1_addr)-ZREG_V0), (ZREG_V16-ZREG_V0));
			} else if (Z_MODE(op2_addr) == IS_REG) {
		dasm_put(Dst, 51670, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(op2_addr)-ZREG_V0));
			} else {
				ZEND_UNREACHABLE();
			}
#line 7101 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (Z_MODE(op2_addr) == IS_REG) {
		//|	DOUBLE_CMP Z_REG(op2_addr), op1_addr, ZREG_TMP1, ZREG_FPTMP
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 51674, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 51681, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 51689, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 51692, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 51696, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 51700, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 51704, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 51709, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 51713, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 51717, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 51721, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 51725, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 51729, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 51733, (ZREG_V16-ZREG_V0), (ZREG_X15));
			}
		dasm_put(Dst, 51737, (Z_REG(op2_addr)-ZREG_V0), (ZREG_V16-ZREG_V0));
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 51741, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 51745, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 51749, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 51753, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 51757, (ZREG_V16-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 51762, (ZREG_V16-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
		dasm_put(Dst, 51767, (Z_REG(op2_addr)-ZREG_V0), (ZREG_V16-ZREG_V0));
			} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 51771, (Z_REG(op2_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
			} else {
				ZEND_UNREACHABLE();
			}
#line 7103 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		swap = 1;
	} else {
		zend_reg tmp_reg = ZREG_FPR0;

		//|	GET_ZVAL_DVAL tmp_reg, op1_addr, ZREG_TMP1
			if (Z_MODE(op1_addr) != IS_REG || tmp_reg != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 51775, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (tmp_reg-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 51782, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (tmp_reg-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 51790, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 51793, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 51797, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 51801, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 51805, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 51810, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 51814, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 51818, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 51822, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 51826, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 51830, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 51834, (tmp_reg-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 51838, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 51842, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 51846, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 51850, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 51854, (tmp_reg-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 51859, (tmp_reg-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 51864, (tmp_reg-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
#line 7108 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	DOUBLE_CMP tmp_reg, op2_addr, ZREG_TMP1, ZREG_FPTMP
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 51868, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op2_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 51875, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 51883, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 51886, (ZREG_X15), ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 51890, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 51894, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 51898, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 51903, (ZREG_X15), ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 51907, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 51911, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 51915, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 51919, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 51923, (ZREG_X15), (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 51927, (ZREG_V16-ZREG_V0), (ZREG_X15));
			}
		dasm_put(Dst, 51931, (tmp_reg-ZREG_V0), (ZREG_V16-ZREG_V0));
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 51935, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 51939, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 51943, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 51947, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 51951, (ZREG_V16-ZREG_V0), (Z_REG(op2_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 51956, (ZREG_V16-ZREG_V0), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
		dasm_put(Dst, 51961, (tmp_reg-ZREG_V0), (ZREG_V16-ZREG_V0));
			} else if (Z_MODE(op2_addr) == IS_REG) {
		dasm_put(Dst, 51965, (tmp_reg-ZREG_V0), (Z_REG(op2_addr)-ZREG_V0));
			} else {
				ZEND_UNREACHABLE();
			}
#line 7109 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return zend_jit_cmp_double_common(Dst, opline, res_addr, swap, smart_branch_opcode, target_label, target_label2, exit_addr);
}

static int zend_jit_cmp_slow(dasm_State **Dst, const zend_op *opline, zend_jit_addr res_addr, zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2, const void *exit_addr)
{
	//|	tst RETVALw, RETVALw
	dasm_put(Dst, 51969);
#line 7117 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (smart_branch_opcode) {
		if (smart_branch_opcode == ZEND_JMPZ_EX ||
		    smart_branch_opcode == ZEND_JMPNZ_EX) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_CASE:
					//|	cset REG0w, eq
					dasm_put(Dst, 51971);
#line 7124 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_NOT_EQUAL:
					//|	cset REG0w, ne
					dasm_put(Dst, 51973);
#line 7127 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_SMALLER:
					//|	cset REG0w, lt
					dasm_put(Dst, 51975);
#line 7130 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					//|	cset REG0w, le
					dasm_put(Dst, 51977);
#line 7133 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				default:
					ZEND_UNREACHABLE();
			}
			//|	add REG0w, REG0w, #2
			//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
			dasm_put(Dst, 51979);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 51981, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 51984, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 51987, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 51990, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 51993, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 51996, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 7139 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (smart_branch_opcode == ZEND_JMPZ ||
		    smart_branch_opcode == ZEND_JMPZ_EX) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_CASE:
					if (exit_addr) {
						//|	bne &exit_addr
						dasm_put(Dst, 52000, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7147 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bne => target_label
						dasm_put(Dst, 52003,  target_label);
#line 7149 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_NOT_EQUAL:
					if (exit_addr) {
						//|	beq &exit_addr
						dasm_put(Dst, 52006, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7154 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	beq => target_label
						dasm_put(Dst, 52009,  target_label);
#line 7156 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER:
					if (exit_addr) {
						//|	bge &exit_addr
						dasm_put(Dst, 52012, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7161 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bge => target_label
						dasm_put(Dst, 52015,  target_label);
#line 7163 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (exit_addr) {
						//|	bgt &exit_addr
						dasm_put(Dst, 52018, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7168 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bgt => target_label
						dasm_put(Dst, 52021,  target_label);
#line 7170 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
		} else if (smart_branch_opcode == ZEND_JMPNZ ||
		           smart_branch_opcode == ZEND_JMPNZ_EX) {
			switch (opline->opcode) {
				case ZEND_IS_EQUAL:
				case ZEND_CASE:
					if (exit_addr) {
						//|	beq &exit_addr
						dasm_put(Dst, 52024, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7182 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	beq => target_label
						dasm_put(Dst, 52027,  target_label);
#line 7184 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_NOT_EQUAL:
					if (exit_addr) {
						//|	bne &exit_addr
						dasm_put(Dst, 52030, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7189 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bne => target_label
						dasm_put(Dst, 52033,  target_label);
#line 7191 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER:
					if (exit_addr) {
						//|	blt &exit_addr
						dasm_put(Dst, 52036, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7196 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	blt => target_label
						dasm_put(Dst, 52039,  target_label);
#line 7198 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				case ZEND_IS_SMALLER_OR_EQUAL:
					if (exit_addr) {
						//|	ble &exit_addr
						dasm_put(Dst, 52042, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7203 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	ble => target_label
						dasm_put(Dst, 52045,  target_label);
#line 7205 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					break;
				default:
					ZEND_UNREACHABLE();
			}
		} else {
			ZEND_UNREACHABLE();
		}
	} else {
		switch (opline->opcode) {
			case ZEND_IS_EQUAL:
			case ZEND_CASE:
				//|	cset REG0w, eq
				dasm_put(Dst, 52048);
#line 7218 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_IS_NOT_EQUAL:
				//|	cset REG0w, ne
				dasm_put(Dst, 52050);
#line 7221 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_IS_SMALLER:
				//|	cset REG0w, lt
				dasm_put(Dst, 52052);
#line 7224 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_IS_SMALLER_OR_EQUAL:
				//|	cset REG0w, le
				dasm_put(Dst, 52054);
#line 7227 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			default:
				ZEND_UNREACHABLE();
		}
		//|	add REG0w, REG0w, #2
		//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
		dasm_put(Dst, 52056);
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 52058, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 52061, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 52064, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 52067, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 52070, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 52073, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 7233 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_cmp(dasm_State    **Dst,
                        const zend_op  *opline,
                        uint32_t        op1_info,
                        zend_ssa_range *op1_range,
                        zend_jit_addr   op1_addr,
                        uint32_t        op2_info,
                        zend_ssa_range *op2_range,
                        zend_jit_addr   op2_addr,
                        zend_jit_addr   res_addr,
                        int             may_throw,
                        zend_uchar      smart_branch_opcode,
                        uint32_t        target_label,
                        uint32_t        target_label2,
                        const void     *exit_addr,
                        bool            skip_comparison)
{
	bool same_ops = (opline->op1_type == opline->op2_type) && (opline->op1.var == opline->op2.var);
	bool has_slow;

	has_slow =
		(op1_info & (MAY_BE_LONG|MAY_BE_DOUBLE)) &&
		(op2_info & (MAY_BE_LONG|MAY_BE_DOUBLE)) &&
		((op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))) ||
		 (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))));

	if ((op1_info & MAY_BE_LONG) && (op2_info & MAY_BE_LONG)) {
		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG)) {
			if (op1_info & MAY_BE_DOUBLE) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >4, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 52077, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 52081, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 52085, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 52089, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 52093, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 52098, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 52103, (ZREG_X15));
					} else {
				dasm_put(Dst, 52107, (ZREG_X15), IS_LONG);
					}
#line 7267 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >9, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 52113, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 52117, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 52121, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 52125, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 52129, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 52134, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 52139, (ZREG_X15));
					} else {
				dasm_put(Dst, 52143, (ZREG_X15), IS_LONG);
					}
#line 7269 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		if (!same_ops && (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG))) {
			if (op2_info & MAY_BE_DOUBLE) {
				//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >3, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 52149, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 52153, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 52157, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 52161, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 52165, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 52170, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 52175, (ZREG_X15));
					} else {
				dasm_put(Dst, 52179, (ZREG_X15), IS_LONG);
					}
#line 7274 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|.cold_code
				dasm_put(Dst, 52185);
#line 7275 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|3:
				dasm_put(Dst, 52186);
#line 7276 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))) {
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >9, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 52188, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 52192, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 52196, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 52200, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 52204, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 52209, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 52214, (ZREG_X15));
						} else {
					dasm_put(Dst, 52218, (ZREG_X15), IS_DOUBLE);
						}
#line 7278 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (!zend_jit_cmp_long_double(Dst, opline, op1_addr, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr)) {
					return 0;
				}
				//|	b >6
				//|.code
				dasm_put(Dst, 52224);
#line 7284 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >9, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 52227, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 52231, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 52235, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 52239, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 52243, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 52248, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 52253, (ZREG_X15));
					} else {
				dasm_put(Dst, 52257, (ZREG_X15), IS_LONG);
					}
#line 7286 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		if (!zend_jit_cmp_long_long(Dst, opline, op1_range, op1_addr, op2_range, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr, skip_comparison)) {
			return 0;
		}
		if (op1_info & MAY_BE_DOUBLE) {
			//|.cold_code
			dasm_put(Dst, 52263);
#line 7293 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|4:
			dasm_put(Dst, 52264);
#line 7294 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_DOUBLE, >9, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 52266, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 52270, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 52274, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 52278, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 52282, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 52287, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_DOUBLE == 0) {
				dasm_put(Dst, 52292, (ZREG_X15));
					} else {
				dasm_put(Dst, 52296, (ZREG_X15), IS_DOUBLE);
					}
#line 7296 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (op2_info & MAY_BE_DOUBLE) {
				if (!same_ops && (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_DOUBLE))) {
					if (!same_ops) {
						//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >5, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 52302, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 52306, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 52310, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 52314, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 52318, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 52323, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_DOUBLE == 0) {
						dasm_put(Dst, 52328, (ZREG_X15));
							} else {
						dasm_put(Dst, 52332, (ZREG_X15), IS_DOUBLE);
							}
#line 7301 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >9, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 52338, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 52342, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 52346, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 52350, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 52354, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 52359, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_DOUBLE == 0) {
						dasm_put(Dst, 52364, (ZREG_X15));
							} else {
						dasm_put(Dst, 52368, (ZREG_X15), IS_DOUBLE);
							}
#line 7303 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				if (!zend_jit_cmp_double_double(Dst, opline, op1_addr, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr)) {
					return 0;
				}
				//|	b >6
				dasm_put(Dst, 52374);
#line 7309 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (!same_ops) {
				//|5:
				dasm_put(Dst, 52377);
#line 7312 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))) {
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >9, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 52379, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 52383, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 52387, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 52391, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 52395, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 52400, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_LONG == 0) {
					dasm_put(Dst, 52405, (ZREG_X15));
						} else {
					dasm_put(Dst, 52409, (ZREG_X15), IS_LONG);
						}
#line 7314 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (!zend_jit_cmp_double_long(Dst, opline, op1_addr, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr)) {
					return 0;
				}
				//|	b >6
				dasm_put(Dst, 52415);
#line 7319 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|.code
			dasm_put(Dst, 52418);
#line 7321 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if ((op1_info & MAY_BE_DOUBLE) &&
	           !(op1_info & MAY_BE_LONG) &&
	           (op2_info & (MAY_BE_LONG|MAY_BE_DOUBLE))) {
		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_DOUBLE)) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_DOUBLE, >9, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 52419, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 52423, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 52427, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 52431, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 52435, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 52440, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_DOUBLE == 0) {
			dasm_put(Dst, 52445, (ZREG_X15));
				} else {
			dasm_put(Dst, 52449, (ZREG_X15), IS_DOUBLE);
				}
#line 7327 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op2_info & MAY_BE_DOUBLE) {
			if (!same_ops && (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_DOUBLE))) {
				if (!same_ops && (op2_info & MAY_BE_LONG)) {
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >3, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 52455, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 52459, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 52463, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 52467, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 52471, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 52476, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 52481, (ZREG_X15));
						} else {
					dasm_put(Dst, 52485, (ZREG_X15), IS_DOUBLE);
						}
#line 7332 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >9, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 52491, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 52495, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 52499, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 52503, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 52507, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 52512, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 52517, (ZREG_X15));
						} else {
					dasm_put(Dst, 52521, (ZREG_X15), IS_DOUBLE);
						}
#line 7334 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (!zend_jit_cmp_double_double(Dst, opline, op1_addr, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr)) {
				return 0;
			}
		}
		if (!same_ops && (op2_info & MAY_BE_LONG)) {
			if (op2_info & MAY_BE_DOUBLE) {
				//|.cold_code
				dasm_put(Dst, 52527);
#line 7343 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		    //|3:
		    dasm_put(Dst, 52528);
#line 7345 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_DOUBLE|MAY_BE_LONG))) {
				//|	IF_NOT_ZVAL_TYPE op2_addr, IS_LONG, >9, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 52530, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 52534, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 52538, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 52542, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 52546, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 52551, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 52556, (ZREG_X15));
					} else {
				dasm_put(Dst, 52560, (ZREG_X15), IS_LONG);
					}
#line 7347 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (!zend_jit_cmp_double_long(Dst, opline, op1_addr, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr)) {
				return 0;
			}
			if (op2_info & MAY_BE_DOUBLE) {
				//|	b >6
				//|.code
				dasm_put(Dst, 52566);
#line 7354 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else if ((op2_info & MAY_BE_DOUBLE) &&
	           !(op2_info & MAY_BE_LONG) &&
	           (op1_info & (MAY_BE_LONG|MAY_BE_DOUBLE))) {
		if (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_DOUBLE)) {
			//|	IF_NOT_ZVAL_TYPE op2_addr, IS_DOUBLE, >9, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 52569, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 52573, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 52577, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 52581, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 52585, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 52590, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_DOUBLE == 0) {
			dasm_put(Dst, 52595, (ZREG_X15));
				} else {
			dasm_put(Dst, 52599, (ZREG_X15), IS_DOUBLE);
				}
#line 7361 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op1_info & MAY_BE_DOUBLE) {
			if (!same_ops && (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_DOUBLE))) {
				if (!same_ops && (op1_info & MAY_BE_LONG)) {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_DOUBLE, >3, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 52605, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 52609, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 52613, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 52617, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 52621, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 52626, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 52631, (ZREG_X15));
						} else {
					dasm_put(Dst, 52635, (ZREG_X15), IS_DOUBLE);
						}
#line 7366 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_DOUBLE, >9, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 52641, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 52645, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 52649, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 52653, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 52657, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 52662, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_DOUBLE == 0) {
					dasm_put(Dst, 52667, (ZREG_X15));
						} else {
					dasm_put(Dst, 52671, (ZREG_X15), IS_DOUBLE);
						}
#line 7368 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (!zend_jit_cmp_double_double(Dst, opline, op1_addr, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr)) {
				return 0;
			}
		}
		if (!same_ops && (op1_info & MAY_BE_LONG)) {
			if (op1_info & MAY_BE_DOUBLE) {
				//|.cold_code
				dasm_put(Dst, 52677);
#line 7377 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|3:
			dasm_put(Dst, 52678);
#line 7379 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_DOUBLE|MAY_BE_LONG))) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >9, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 52680, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 52684, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 52688, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 52692, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 52696, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 52701, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 52706, (ZREG_X15));
					} else {
				dasm_put(Dst, 52710, (ZREG_X15), IS_LONG);
					}
#line 7381 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (!zend_jit_cmp_long_double(Dst, opline, op1_addr, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr)) {
				return 0;
			}
			if (op1_info & MAY_BE_DOUBLE) {
				//|	b >6
				//|.code
				dasm_put(Dst, 52716);
#line 7388 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	if (has_slow ||
	    (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))) ||
	    (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE)))) {
		if (has_slow) {
			//|.cold_code
			dasm_put(Dst, 52719);
#line 7397 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|9:
			dasm_put(Dst, 52720);
#line 7398 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 52722, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 52725);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 52727, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 52730, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 52733, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 52736, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 52739, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 52742, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 52745, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 52748, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 52751, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 52754, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 52757, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 7400 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_MODE(op1_addr) == IS_REG) {
			zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
			if (!zend_jit_spill_store(Dst, op1_addr, real_addr, op1_info, 1)) {
				return 0;
			}
			op1_addr = real_addr;
		}
		if (Z_MODE(op2_addr) == IS_REG) {
			zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
			if (!zend_jit_spill_store(Dst, op2_addr, real_addr, op2_info, 1)) {
				return 0;
			}
			op2_addr = real_addr;
		}
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 52760);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 52762, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 52765, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 52768, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 52771, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 52774, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 52777, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 52780, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 52783, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 52786, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 52789, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 52792, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 52795, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 52799, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 52802, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 52805, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 52808, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 52811, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 52814);
					} else {
		dasm_put(Dst, 52816, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 7415 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op1_type == IS_CV && (op1_info & MAY_BE_UNDEF)) {
			//|	IF_NOT_Z_TYPE FCARG1x, IS_UNDEF, >1, TMP1w
			dasm_put(Dst, 52819, offsetof(zval, u1.v.type));
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 52822);
				} else {
			dasm_put(Dst, 52825, IS_UNDEF);
				}
#line 7417 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_32BIT_VAL FCARG1x, opline->op1.var
				if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
			dasm_put(Dst, 52830, ((uint32_t)(opline->op1.var)));
				} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
			dasm_put(Dst, 52833, ((uint32_t)(opline->op1.var) & 0xffff));
					if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
			dasm_put(Dst, 52836, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 52839, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
				}
#line 7418 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_undefined_op_helper, REG0
				if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
			dasm_put(Dst, 52842, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
			dasm_put(Dst, 52845);
				} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 52847, ((uint64_t)(zend_jit_undefined_op_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 52850, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 52853, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
					if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
			dasm_put(Dst, 52856, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
			dasm_put(Dst, 52859, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 52862, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 52865, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 52868, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 52871, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 52874, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 52877);
				}
#line 7419 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_ADDR_ZTS FCARG1x, executor_globals, uninitialized_zval
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
			dasm_put(Dst, 52879);
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
			dasm_put(Dst, 52881, ((uint64_t)(&executor_globals.uninitialized_zval)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 52884, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 52887, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
					if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
			dasm_put(Dst, 52890, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
			dasm_put(Dst, 52893, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 52896, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 52899, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 52902, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 52905, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 52908, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
#line 7420 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 52911);
#line 7421 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (opline->op2_type == IS_CV && (op2_info & MAY_BE_UNDEF)) {
			//|	IF_NOT_ZVAL_TYPE op2_addr, IS_UNDEF, >1, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 52913, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 52917, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 52921, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 52925, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 52929, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 52934, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 52939, (ZREG_X15));
				} else {
			dasm_put(Dst, 52943, (ZREG_X15), IS_UNDEF);
				}
#line 7424 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	str FCARG1x, T1 // save
			//|	LOAD_32BIT_VAL FCARG1x, opline->op2.var
			dasm_put(Dst, 52949);
				if (((uint32_t)(opline->op2.var)) <= MOVZ_IMM) {
			dasm_put(Dst, 52951, ((uint32_t)(opline->op2.var)));
				} else if (((uint32_t)(opline->op2.var) & 0xffff)) {
			dasm_put(Dst, 52954, ((uint32_t)(opline->op2.var) & 0xffff));
					if ((((uint32_t)(opline->op2.var) >> 16) & 0xffff)) {
			dasm_put(Dst, 52957, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 52960, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
				}
#line 7426 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_undefined_op_helper, REG0
				if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
			dasm_put(Dst, 52963, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
			dasm_put(Dst, 52966);
				} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 52968, ((uint64_t)(zend_jit_undefined_op_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 52971, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 52974, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
					if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
			dasm_put(Dst, 52977, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
			dasm_put(Dst, 52980, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 52983, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 52986, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 52989, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 52992, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 52995, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 52998);
				}
#line 7427 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldr FCARG1x, T1 // restore
			//|	LOAD_ADDR_ZTS FCARG2x, executor_globals, uninitialized_zval
			dasm_put(Dst, 53000);
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
			dasm_put(Dst, 53002);
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
			dasm_put(Dst, 53004, ((uint64_t)(&executor_globals.uninitialized_zval)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 53007, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 53010, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
					if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
			dasm_put(Dst, 53013, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
			dasm_put(Dst, 53016, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 53019, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 53022, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 53025, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 53028, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 53031, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
#line 7429 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >2
			//|1:
			//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
			dasm_put(Dst, 53034);
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
			dasm_put(Dst, 53038);
				} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 53040, ((uint64_t)(Z_ZV(op2_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 53043, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 53046, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
			dasm_put(Dst, 53049, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
			dasm_put(Dst, 53052, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 53055, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 53058, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 53061, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 53064, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 53067, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op2_addr)) {
				if (Z_OFFSET(op2_addr) == 0) {
			dasm_put(Dst, 53070, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
			dasm_put(Dst, 53073, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 53077, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 53080, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 53083, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 53086, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 53089, (Z_REG(op2_addr)));
				}
					} else {
						if (Z_REG(op2_addr) == ZREG_RSP) {
			dasm_put(Dst, 53092);
						} else {
			dasm_put(Dst, 53094, (Z_REG(op2_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 7432 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|2:
			dasm_put(Dst, 53097);
#line 7433 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
			dasm_put(Dst, 53099);
				} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 53101, ((uint64_t)(Z_ZV(op2_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 53104, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 53107, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
			dasm_put(Dst, 53110, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
			dasm_put(Dst, 53113, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 53116, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 53119, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 53122, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 53125, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 53128, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op2_addr)) {
				if (Z_OFFSET(op2_addr) == 0) {
			dasm_put(Dst, 53131, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
			dasm_put(Dst, 53134, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 53138, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 53141, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 53144, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 53147, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 53150, (Z_REG(op2_addr)));
				}
					} else {
						if (Z_REG(op2_addr) == ZREG_RSP) {
			dasm_put(Dst, 53153);
						} else {
			dasm_put(Dst, 53155, (Z_REG(op2_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 7435 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	EXT_CALL zend_compare, REG0
			if (arm64_may_use_b(zend_compare)) {
		dasm_put(Dst, 53158, (unsigned int)((ptrdiff_t)(zend_compare)), (unsigned int)(((ptrdiff_t)(zend_compare))>>32));
			} else {
			if (((uintptr_t)(zend_compare)) == 0) {
		dasm_put(Dst, 53161);
			} else if (((uintptr_t)(zend_compare)) <= MOVZ_IMM) {
		dasm_put(Dst, 53163, ((uint64_t)(zend_compare)));
			} else if (arm64_may_use_adr((void*)(zend_compare))) {
		dasm_put(Dst, 53166, (unsigned int)((ptrdiff_t)(zend_compare)), (unsigned int)(((ptrdiff_t)(zend_compare))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_compare))) {
		dasm_put(Dst, 53169, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_compare))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_compare)))))>>32));
				if (((uintptr_t)(zend_compare)) & 0xfff) {
		dasm_put(Dst, 53172, (((uintptr_t)(zend_compare)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_compare) & 0xffff) {
		dasm_put(Dst, 53175, ((uintptr_t)(zend_compare) & 0xffff));
				if (((uintptr_t)(zend_compare) >> 16) & 0xffff) {
		dasm_put(Dst, 53178, (((uintptr_t)(zend_compare) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_compare) >> 32) & 0xffff) {
		dasm_put(Dst, 53181, (((uintptr_t)(zend_compare) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_compare) >> 16) & 0xffff) {
		dasm_put(Dst, 53184, (((uintptr_t)(zend_compare) >> 16) & 0xffff));
				if (((uintptr_t)(zend_compare) >> 32) & 0xffff) {
		dasm_put(Dst, 53187, (((uintptr_t)(zend_compare) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 53190, (((uintptr_t)(zend_compare) >> 32) & 0xffff));
			}
		dasm_put(Dst, 53193);
			}
#line 7437 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if ((opline->opcode != ZEND_CASE &&
		     (opline->op1_type & (IS_VAR|IS_TMP_VAR)) &&
		     (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF))) ||
		    ((opline->op2_type & (IS_VAR|IS_TMP_VAR)) &&
		     (op2_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF)))) {
			//|	str RETVALw, T1 // save
			dasm_put(Dst, 53195);
#line 7443 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->opcode != ZEND_CASE) {
				//|	FREE_OP opline->op1_type, opline->op1, op1_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
					if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
						zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
					if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
						if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							if (0) {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 53197, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 53201, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 53205, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53209, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 53213, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 53218, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 53223, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 53226, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 53230, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 53234, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 53238, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53242, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 53246, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 53250);
				dasm_put(Dst, 53253);
							} else {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 53255, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 53259, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 53263, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53267, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 53271, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 53276, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 53281, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 53284, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 53288, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 53292, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 53296, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53300, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 53304, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 53308);
							}
						}
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 53311, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
					} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
				dasm_put(Dst, 53315, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 53319, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53323, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 53327, (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 53331, (Z_REG(addr)), (Z_OFFSET(addr)));
					}
				dasm_put(Dst, 53335, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
							if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
								if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 53343);
								} else {
				dasm_put(Dst, 53346);
								}
							}
					do {
						if (!((op1_info) & MAY_BE_GUARD)
						 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
							if (type == IS_STRING && !ZEND_DEBUG) {
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 53349, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 53352, (ZREG_X15));
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 53355, (ZREG_X15), ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 53359, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 53363, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 53367, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 53372, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 53376, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 53380, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 53384, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 53388, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53392, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 53396, (ZREG_X15));
					}
								break;
							} else if (type == IS_ARRAY) {
								if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
									if (NULL && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
					if (NULL == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 53399, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(NULL)) == 0) {
				dasm_put(Dst, 53402, (ZREG_X15));
					} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
				dasm_put(Dst, 53405, (ZREG_X15), ((uint64_t)(NULL)));
					} else if (arm64_may_use_adr((void*)(NULL))) {
				dasm_put(Dst, 53409, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
					} else if (arm64_may_use_adrp((void*)(NULL))) {
				dasm_put(Dst, 53413, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
						if (((uintptr_t)(NULL)) & 0xfff) {
				dasm_put(Dst, 53417, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
						}
					} else if ((uintptr_t)(NULL) & 0xffff) {
				dasm_put(Dst, 53422, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
						if (((uintptr_t)(NULL) >> 16) & 0xffff) {
				dasm_put(Dst, 53426, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
						}
						if (((uintptr_t)(NULL) >> 32) & 0xffff) {
				dasm_put(Dst, 53430, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
				dasm_put(Dst, 53434, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
						if (((uintptr_t)(NULL) >> 32) & 0xffff) {
				dasm_put(Dst, 53438, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53442, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				dasm_put(Dst, 53446, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
									}
					if (arm64_may_use_b(zend_array_destroy)) {
				dasm_put(Dst, 53450, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else {
					if (((uintptr_t)(zend_array_destroy)) == 0) {
				dasm_put(Dst, 53453, (ZREG_X15));
					} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
				dasm_put(Dst, 53456, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
					} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
				dasm_put(Dst, 53460, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
				dasm_put(Dst, 53464, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
						if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
				dasm_put(Dst, 53468, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
				dasm_put(Dst, 53473, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 53477, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 53481, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 53485, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 53489, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53493, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				dasm_put(Dst, 53497, (ZREG_X15));
					}
								} else {
					if (arm64_may_use_b(zend_jit_array_free)) {
				dasm_put(Dst, 53500, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else {
					if (((uintptr_t)(zend_jit_array_free)) == 0) {
				dasm_put(Dst, 53503, (ZREG_X15));
					} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
				dasm_put(Dst, 53506, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
					} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 53510, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 53514, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
						if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
				dasm_put(Dst, 53518, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
				dasm_put(Dst, 53523, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 53527, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 53531, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 53535, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 53539, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53543, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				dasm_put(Dst, 53547, (ZREG_X15));
					}
								}
								break;
							} else if (type == IS_OBJECT) {
								if (NULL) {
					if (NULL == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 53550, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(NULL)) == 0) {
				dasm_put(Dst, 53553);
					} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
				dasm_put(Dst, 53555, ((uint64_t)(NULL)));
					} else if (arm64_may_use_adr((void*)(NULL))) {
				dasm_put(Dst, 53558, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
					} else if (arm64_may_use_adrp((void*)(NULL))) {
				dasm_put(Dst, 53561, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
						if (((uintptr_t)(NULL)) & 0xfff) {
				dasm_put(Dst, 53564, (((uintptr_t)(NULL)) & 0xfff));
						}
					} else if ((uintptr_t)(NULL) & 0xffff) {
				dasm_put(Dst, 53567, ((uintptr_t)(NULL) & 0xffff));
						if (((uintptr_t)(NULL) >> 16) & 0xffff) {
				dasm_put(Dst, 53570, (((uintptr_t)(NULL) >> 16) & 0xffff));
						}
						if (((uintptr_t)(NULL) >> 32) & 0xffff) {
				dasm_put(Dst, 53573, (((uintptr_t)(NULL) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
				dasm_put(Dst, 53576, (((uintptr_t)(NULL) >> 16) & 0xffff));
						if (((uintptr_t)(NULL) >> 32) & 0xffff) {
				dasm_put(Dst, 53579, (((uintptr_t)(NULL) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53582, (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				dasm_put(Dst, 53585, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
								}
					if (arm64_may_use_b(zend_objects_store_del)) {
				dasm_put(Dst, 53588, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else {
					if (((uintptr_t)(zend_objects_store_del)) == 0) {
				dasm_put(Dst, 53591, (ZREG_X15));
					} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
				dasm_put(Dst, 53594, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
					} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 53598, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 53602, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
						if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
				dasm_put(Dst, 53606, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
				dasm_put(Dst, 53611, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 53615, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 53619, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 53623, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 53627, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53631, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				dasm_put(Dst, 53635, (ZREG_X15));
					}
								break;
							}
						}
						if (NULL) {
					if (NULL == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 53638, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(NULL)) == 0) {
				dasm_put(Dst, 53641, (ZREG_X15));
					} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
				dasm_put(Dst, 53644, (ZREG_X15), ((uint64_t)(NULL)));
					} else if (arm64_may_use_adr((void*)(NULL))) {
				dasm_put(Dst, 53648, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
					} else if (arm64_may_use_adrp((void*)(NULL))) {
				dasm_put(Dst, 53652, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
						if (((uintptr_t)(NULL)) & 0xfff) {
				dasm_put(Dst, 53656, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
						}
					} else if ((uintptr_t)(NULL) & 0xffff) {
				dasm_put(Dst, 53661, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
						if (((uintptr_t)(NULL) >> 16) & 0xffff) {
				dasm_put(Dst, 53665, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
						}
						if (((uintptr_t)(NULL) >> 32) & 0xffff) {
				dasm_put(Dst, 53669, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
				dasm_put(Dst, 53673, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
						if (((uintptr_t)(NULL) >> 32) & 0xffff) {
				dasm_put(Dst, 53677, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53681, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				dasm_put(Dst, 53685, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
						}
					if (arm64_may_use_b(rc_dtor_func)) {
				dasm_put(Dst, 53689, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else {
					if (((uintptr_t)(rc_dtor_func)) == 0) {
				dasm_put(Dst, 53692, (ZREG_X15));
					} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
				dasm_put(Dst, 53695, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
					} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
				dasm_put(Dst, 53699, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
				dasm_put(Dst, 53703, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
						if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
				dasm_put(Dst, 53707, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
						}
					} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
				dasm_put(Dst, 53712, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 53716, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						}
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 53720, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 53724, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 53728, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53732, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				dasm_put(Dst, 53736, (ZREG_X15));
					}
					} while(0);
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 53739);
							}
				dasm_put(Dst, 53742);
						}
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
							if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
								zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 53744, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 53748, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 53752, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53756, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 53760, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 53765, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 53770, (ZREG_X15));
					} else {
				dasm_put(Dst, 53774, (ZREG_X15), IS_REFERENCE);
					}
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 53780, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 53784, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 53788, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53792, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 53796, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 53801, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_COLLECTABLE == 0) {
				dasm_put(Dst, 53806, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
				dasm_put(Dst, 53809, (ZREG_X15), IS_TYPE_COLLECTABLE);
					} else {
					if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 53813, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
					} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
				dasm_put(Dst, 53817, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
						if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 53821, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53825, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				dasm_put(Dst, 53829, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 53833);
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 53836, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 53840, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 53844, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53848, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 53852, (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 53856, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
				dasm_put(Dst, 53860);
							}
				dasm_put(Dst, 53862, (ZREG_X15));
					if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
				dasm_put(Dst, 53865, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
				dasm_put(Dst, 53868, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
					} else {
					if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
				dasm_put(Dst, 53872, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
					} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
				dasm_put(Dst, 53876, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
						if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
				dasm_put(Dst, 53880, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53884, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 53888, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 53892);
					if (arm64_may_use_b(gc_possible_root)) {
				dasm_put(Dst, 53895, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else {
					if (((uintptr_t)(gc_possible_root)) == 0) {
				dasm_put(Dst, 53898, (ZREG_X15));
					} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
				dasm_put(Dst, 53901, (ZREG_X15), ((uint64_t)(gc_possible_root)));
					} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
				dasm_put(Dst, 53905, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
				dasm_put(Dst, 53909, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
						if (((uintptr_t)(gc_possible_root)) & 0xfff) {
				dasm_put(Dst, 53913, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
						}
					} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
				dasm_put(Dst, 53918, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 53922, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						}
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 53926, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 53930, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 53934, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 53938, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				dasm_put(Dst, 53942, (ZREG_X15));
					}
						}
						if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
				dasm_put(Dst, 53945);
						}
				dasm_put(Dst, 53948);
					}
					}
#line 7445 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, NULL, ZREG_TMP1, ZREG_TMP2
				if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
				if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (0) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 53950, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 53954, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 53958, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 53962, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 53966, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 53971, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 53976, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 53979, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 53983, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 53987, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 53991, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 53995, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 53999, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 54003);
			dasm_put(Dst, 54006);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 54008, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 54012, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 54016, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54020, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 54024, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 54029, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 54034, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 54037, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 54041, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 54045, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 54049, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54053, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 54057, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 54061);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 54064, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 54068, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 54072, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54076, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 54080, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 54084, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 54088, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
						if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
							if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 54096);
							} else {
			dasm_put(Dst, 54099);
							}
						}
				do {
					if (!((op2_info) & MAY_BE_GUARD)
					 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 54102, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 54105, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 54108, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 54112, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 54116, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 54120, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 54125, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 54129, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 54133, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 54137, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 54141, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54145, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 54149, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (NULL && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 54152, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 54155, (ZREG_X15));
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 54158, (ZREG_X15), ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 54162, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 54166, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 54170, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 54175, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 54179, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 54183, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 54187, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 54191, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54195, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 54199, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 54203, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 54206, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 54209, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 54213, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 54217, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 54221, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 54226, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 54230, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 54234, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 54238, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 54242, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54246, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 54250, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 54253, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 54256, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 54259, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 54263, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 54267, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 54271, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 54276, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 54280, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 54284, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 54288, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 54292, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54296, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 54300, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (NULL) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 54303, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 54306);
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 54308, ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 54311, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 54314, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 54317, (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 54320, ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 54323, (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 54326, (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 54329, (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 54332, (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54335, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 54338, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 54341, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 54344, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 54347, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 54351, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 54355, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 54359, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 54364, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 54368, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 54372, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 54376, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 54380, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54384, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 54388, (ZREG_X15));
				}
							break;
						}
					}
					if (NULL) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 54391, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 54394, (ZREG_X15));
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 54397, (ZREG_X15), ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 54401, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 54405, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 54409, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 54414, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 54418, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 54422, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 54426, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 54430, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54434, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 54438, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 54442, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 54445, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 54448, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 54452, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 54456, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 54460, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 54465, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 54469, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 54473, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 54477, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 54481, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54485, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 54489, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 54492);
						}
			dasm_put(Dst, 54495);
					}
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 54497, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 54501, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 54505, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54509, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 54513, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 54518, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 54523, (ZREG_X15));
				} else {
			dasm_put(Dst, 54527, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 54533, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 54537, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 54541, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54545, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 54549, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 54554, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 54559, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 54562, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 54566, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 54570, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 54574, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54578, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 54582, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 54586);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 54589, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 54593, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 54597, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54601, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 54605, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 54609, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 54613);
						}
			dasm_put(Dst, 54615, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 54618, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 54621, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 54625, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 54629, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 54633, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54637, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 54641, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 54645);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 54648, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 54651, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 54654, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 54658, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 54662, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 54666, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 54671, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 54675, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 54679, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 54683, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 54687, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 54691, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 54695, (ZREG_X15));
				}
					}
					if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 54698);
					}
			dasm_put(Dst, 54701);
				}
				}
#line 7447 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldr RETVALw, T1 // restore
			dasm_put(Dst, 54703);
#line 7448 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (may_throw) {
			zend_jit_check_exception_undef_result(Dst, opline);
		}
		if (!zend_jit_cmp_slow(Dst, opline, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr)) {
			return 0;
		}
		if (has_slow) {
			//|	b >6
			//|.code
			dasm_put(Dst, 54705);
#line 7458 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	//|6:
	dasm_put(Dst, 54708);
#line 7462 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_identical(dasm_State    **Dst,
                              const zend_op  *opline,
                              uint32_t        op1_info,
                              zend_ssa_range *op1_range,
                              zend_jit_addr   op1_addr,
                              uint32_t        op2_info,
                              zend_ssa_range *op2_range,
                              zend_jit_addr   op2_addr,
                              zend_jit_addr   res_addr,
                              int             may_throw,
                              zend_uchar      smart_branch_opcode,
                              uint32_t        target_label,
                              uint32_t        target_label2,
                              const void     *exit_addr,
                              bool            skip_comparison)
{
	uint32_t identical_label = (uint32_t)-1;
	uint32_t not_identical_label = (uint32_t)-1;

	if (smart_branch_opcode && !exit_addr) {
		if (opline->opcode != ZEND_IS_NOT_IDENTICAL) {
			if (smart_branch_opcode == ZEND_JMPZ) {
				not_identical_label = target_label;
			} else if (smart_branch_opcode == ZEND_JMPNZ) {
				identical_label = target_label;
			} else {
				ZEND_UNREACHABLE();
			}
		} else {
			if (smart_branch_opcode == ZEND_JMPZ) {
				identical_label = target_label;
			} else if (smart_branch_opcode == ZEND_JMPNZ) {
				not_identical_label = target_label;
			} else {
				ZEND_UNREACHABLE();
			}
		}
	}

	if ((op1_info & (MAY_BE_REF|MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_LONG &&
	    (op2_info & (MAY_BE_REF|MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_LONG) {
		if (!zend_jit_cmp_long_long(Dst, opline, op1_range, op1_addr, op2_range, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr, skip_comparison)) {
			return 0;
		}
		return 1;
	} else if ((op1_info & (MAY_BE_REF|MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_DOUBLE &&
	           (op2_info & (MAY_BE_REF|MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_DOUBLE) {
		if (!zend_jit_cmp_double_double(Dst, opline, op1_addr, op2_addr, res_addr, smart_branch_opcode, target_label, target_label2, exit_addr)) {
			return 0;
		}
		return 1;
	}

	if ((op1_info & MAY_BE_UNDEF) && (op2_info & MAY_BE_UNDEF)) {
		op1_info |= MAY_BE_NULL;
		op2_info |= MAY_BE_NULL;
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 54710);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 54712, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 54715, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 54718, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 54721, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 54724, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 54727, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 54730, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 54733, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 54736, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 54739, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 54742, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 54745, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 54749, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 54752, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 54755, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 54758, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 54761, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 54764);
					} else {
		dasm_put(Dst, 54766, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 7523 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	IF_Z_TYPE FCARG1x, IS_UNDEF, >1, TMP1w
		dasm_put(Dst, 54769, offsetof(zval, u1.v.type));
			if (IS_UNDEF == 0) {
		dasm_put(Dst, 54772);
			} else {
		dasm_put(Dst, 54775, IS_UNDEF);
			}
#line 7524 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|.cold_code
		dasm_put(Dst, 54780);
#line 7525 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	// zend_error(E_WARNING, "Undefined variable $%s", ZSTR_VAL(CV_DEF_OF(EX_VAR_TO_NUM(opline->op1.var))));
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 54781);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 54783, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 54786);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 54788, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 54791, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 54794, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 54797, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 54800, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 54803, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 54806, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 54809, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 54812, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 54815, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 54818, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 7528 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
			if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
		dasm_put(Dst, 54821, ((uint32_t)(opline->op1.var)));
			} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
		dasm_put(Dst, 54824, ((uint32_t)(opline->op1.var) & 0xffff));
				if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
		dasm_put(Dst, 54827, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 54830, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
			}
#line 7529 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_undefined_op_helper, REG0
			if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
		dasm_put(Dst, 54833, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
		dasm_put(Dst, 54836);
			} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 54838, ((uint64_t)(zend_jit_undefined_op_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 54841, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 54844, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
				if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
		dasm_put(Dst, 54847, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
		dasm_put(Dst, 54850, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 54853, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 54856, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 54859, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 54862, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 54865, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 54868);
			}
#line 7530 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			zend_jit_check_exception_undef_result(Dst, opline);
		}
		//|	LOAD_ADDR_ZTS FCARG1x, executor_globals, uninitialized_zval
			if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
		dasm_put(Dst, 54870);
			} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
		dasm_put(Dst, 54872, ((uint64_t)(&executor_globals.uninitialized_zval)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
		dasm_put(Dst, 54875, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
		dasm_put(Dst, 54878, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
		dasm_put(Dst, 54881, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
		dasm_put(Dst, 54884, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
		dasm_put(Dst, 54887, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
		dasm_put(Dst, 54890, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
		dasm_put(Dst, 54893, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
		dasm_put(Dst, 54896, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 54899, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
			}
#line 7534 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b >1
		//|.code
		dasm_put(Dst, 54902);
#line 7536 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
		dasm_put(Dst, 54905);
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 54907);
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 54909, ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 54912, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 54915, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 54918, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 54921, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 54924, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 54927, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 54930, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 54933, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 54936, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op2_addr)) {
			if (Z_OFFSET(op2_addr) == 0) {
		dasm_put(Dst, 54939, (Z_REG(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
		dasm_put(Dst, 54942, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 54946, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 54949, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 54952, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 54955, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 54958, (Z_REG(op2_addr)));
			}
				} else {
					if (Z_REG(op2_addr) == ZREG_RSP) {
		dasm_put(Dst, 54961);
					} else {
		dasm_put(Dst, 54963, (Z_REG(op2_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 7538 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	IF_Z_TYPE FCARG2x, IS_UNDEF, >1, TMP1w
		dasm_put(Dst, 54966, offsetof(zval, u1.v.type));
			if (IS_UNDEF == 0) {
		dasm_put(Dst, 54969);
			} else {
		dasm_put(Dst, 54972, IS_UNDEF);
			}
#line 7539 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|.cold_code
		dasm_put(Dst, 54977);
#line 7540 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	// zend_error(E_WARNING, "Undefined variable $%s", ZSTR_VAL(CV_DEF_OF(EX_VAR_TO_NUM(opline->op1.var))));
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 54978);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 54980, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 54983);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 54985, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 54988, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 54991, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 54994, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 54997, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 55000, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 55003, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 55006, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 55009, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55012, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 55015, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 7543 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	str FCARG1x, T1 // save
		//|	LOAD_32BIT_VAL FCARG1w, opline->op2.var
		dasm_put(Dst, 55018);
			if (((uint32_t)(opline->op2.var)) <= MOVZ_IMM) {
		dasm_put(Dst, 55020, ((uint32_t)(opline->op2.var)));
			} else if (((uint32_t)(opline->op2.var) & 0xffff)) {
		dasm_put(Dst, 55023, ((uint32_t)(opline->op2.var) & 0xffff));
				if ((((uint32_t)(opline->op2.var) >> 16) & 0xffff)) {
		dasm_put(Dst, 55026, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55029, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
			}
#line 7545 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_undefined_op_helper, REG0
			if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
		dasm_put(Dst, 55032, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
		dasm_put(Dst, 55035);
			} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 55037, ((uint64_t)(zend_jit_undefined_op_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 55040, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 55043, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
				if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
		dasm_put(Dst, 55046, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
		dasm_put(Dst, 55049, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 55052, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 55055, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 55058, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 55061, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55064, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 55067);
			}
#line 7546 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			zend_jit_check_exception_undef_result(Dst, opline);
		}
		//|	ldr FCARG1x, T1 // restore
		//|	LOAD_ADDR_ZTS FCARG2x, executor_globals, uninitialized_zval
		dasm_put(Dst, 55069);
			if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
		dasm_put(Dst, 55071);
			} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
		dasm_put(Dst, 55073, ((uint64_t)(&executor_globals.uninitialized_zval)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
		dasm_put(Dst, 55076, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
		dasm_put(Dst, 55079, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
		dasm_put(Dst, 55082, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
		dasm_put(Dst, 55085, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
		dasm_put(Dst, 55088, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
		dasm_put(Dst, 55091, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
		dasm_put(Dst, 55094, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
		dasm_put(Dst, 55097, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55100, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
			}
#line 7551 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b >1
		//|.code
		dasm_put(Dst, 55103);
#line 7553 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 55106);
#line 7554 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (op1_info & MAY_BE_UNDEF) {
		op1_info |= MAY_BE_NULL;
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 55108);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 55110, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 55113, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 55116, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 55119, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 55122, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 55125, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 55128, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 55131, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 55134, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55137, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 55140, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 55143, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 55147, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 55150, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 55153, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55156, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 55159, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 55162);
					} else {
		dasm_put(Dst, 55164, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 7557 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	IF_Z_TYPE FCARG1x, IS_UNDEF, >1, TMP1w
		dasm_put(Dst, 55167, offsetof(zval, u1.v.type));
			if (IS_UNDEF == 0) {
		dasm_put(Dst, 55170);
			} else {
		dasm_put(Dst, 55173, IS_UNDEF);
			}
#line 7558 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|.cold_code
		dasm_put(Dst, 55178);
#line 7559 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	// zend_error(E_WARNING, "Undefined variable $%s", ZSTR_VAL(CV_DEF_OF(EX_VAR_TO_NUM(opline->op1.var))));
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 55179);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 55181, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 55184);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 55186, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 55189, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 55192, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 55195, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 55198, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 55201, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 55204, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 55207, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 55210, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55213, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 55216, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 7562 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
			if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
		dasm_put(Dst, 55219, ((uint32_t)(opline->op1.var)));
			} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
		dasm_put(Dst, 55222, ((uint32_t)(opline->op1.var) & 0xffff));
				if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
		dasm_put(Dst, 55225, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55228, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
			}
#line 7563 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_undefined_op_helper, REG0
			if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
		dasm_put(Dst, 55231, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
		dasm_put(Dst, 55234);
			} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 55236, ((uint64_t)(zend_jit_undefined_op_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 55239, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 55242, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
				if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
		dasm_put(Dst, 55245, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
		dasm_put(Dst, 55248, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 55251, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 55254, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 55257, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 55260, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55263, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 55266);
			}
#line 7564 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			zend_jit_check_exception_undef_result(Dst, opline);
		}
		//|	LOAD_ADDR_ZTS FCARG1x, executor_globals, uninitialized_zval
			if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
		dasm_put(Dst, 55268);
			} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
		dasm_put(Dst, 55270, ((uint64_t)(&executor_globals.uninitialized_zval)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
		dasm_put(Dst, 55273, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
		dasm_put(Dst, 55276, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
		dasm_put(Dst, 55279, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
		dasm_put(Dst, 55282, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
		dasm_put(Dst, 55285, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
		dasm_put(Dst, 55288, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
		dasm_put(Dst, 55291, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
		dasm_put(Dst, 55294, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55297, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
			}
#line 7568 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b >1
		//|.code
		dasm_put(Dst, 55300);
#line 7570 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 55303);
#line 7571 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op2_type != IS_CONST) {
			//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
			dasm_put(Dst, 55305);
				} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 55307, ((uint64_t)(Z_ZV(op2_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 55310, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 55313, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
			dasm_put(Dst, 55316, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
			dasm_put(Dst, 55319, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 55322, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 55325, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 55328, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 55331, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 55334, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op2_addr)) {
				if (Z_OFFSET(op2_addr) == 0) {
			dasm_put(Dst, 55337, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
			dasm_put(Dst, 55340, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 55344, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 55347, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 55350, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 55353, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 55356, (Z_REG(op2_addr)));
				}
					} else {
						if (Z_REG(op2_addr) == ZREG_RSP) {
			dasm_put(Dst, 55359);
						} else {
			dasm_put(Dst, 55361, (Z_REG(op2_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 7573 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (op2_info & MAY_BE_UNDEF) {
		op2_info |= MAY_BE_NULL;
		//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
			if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
		dasm_put(Dst, 55364);
			} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 55366, ((uint64_t)(Z_ZV(op2_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 55369, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
		dasm_put(Dst, 55372, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
		dasm_put(Dst, 55375, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
		dasm_put(Dst, 55378, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 55381, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 55384, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 55387, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 55390, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55393, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op2_addr)) {
			if (Z_OFFSET(op2_addr) == 0) {
		dasm_put(Dst, 55396, (Z_REG(op2_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
		dasm_put(Dst, 55399, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 55403, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 55406, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 55409, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55412, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 55415, (Z_REG(op2_addr)));
			}
				} else {
					if (Z_REG(op2_addr) == ZREG_RSP) {
		dasm_put(Dst, 55418);
					} else {
		dasm_put(Dst, 55420, (Z_REG(op2_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 7577 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	IF_Z_TYPE FCARG2x, IS_UNDEF, >1, TMP1w
		dasm_put(Dst, 55423, offsetof(zval, u1.v.type));
			if (IS_UNDEF == 0) {
		dasm_put(Dst, 55426);
			} else {
		dasm_put(Dst, 55429, IS_UNDEF);
			}
#line 7578 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|.cold_code
		dasm_put(Dst, 55434);
#line 7579 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	// zend_error(E_WARNING, "Undefined variable $%s", ZSTR_VAL(CV_DEF_OF(EX_VAR_TO_NUM(opline->op1.var))));
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 55435);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 55437, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 55440);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 55442, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 55445, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 55448, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 55451, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 55454, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 55457, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 55460, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 55463, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 55466, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55469, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 55472, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 7582 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_32BIT_VAL FCARG1w, opline->op2.var
			if (((uint32_t)(opline->op2.var)) <= MOVZ_IMM) {
		dasm_put(Dst, 55475, ((uint32_t)(opline->op2.var)));
			} else if (((uint32_t)(opline->op2.var) & 0xffff)) {
		dasm_put(Dst, 55478, ((uint32_t)(opline->op2.var) & 0xffff));
				if ((((uint32_t)(opline->op2.var) >> 16) & 0xffff)) {
		dasm_put(Dst, 55481, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55484, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
			}
#line 7583 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_undefined_op_helper, REG0
			if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
		dasm_put(Dst, 55487, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
		dasm_put(Dst, 55490);
			} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 55492, ((uint64_t)(zend_jit_undefined_op_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 55495, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 55498, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
				if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
		dasm_put(Dst, 55501, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
		dasm_put(Dst, 55504, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 55507, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 55510, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 55513, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 55516, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55519, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 55522);
			}
#line 7584 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			zend_jit_check_exception_undef_result(Dst, opline);
		}
		//|	LOAD_ADDR_ZTS FCARG2x, executor_globals, uninitialized_zval
			if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
		dasm_put(Dst, 55524);
			} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
		dasm_put(Dst, 55526, ((uint64_t)(&executor_globals.uninitialized_zval)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
		dasm_put(Dst, 55529, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
		dasm_put(Dst, 55532, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
		dasm_put(Dst, 55535, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
		dasm_put(Dst, 55538, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
		dasm_put(Dst, 55541, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
		dasm_put(Dst, 55544, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
		dasm_put(Dst, 55547, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
		dasm_put(Dst, 55550, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 55553, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
			}
#line 7588 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b >1
		//|.code
		dasm_put(Dst, 55556);
#line 7590 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 55559);
#line 7591 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op1_type != IS_CONST) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 55561);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 55563, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 55566, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 55569, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 55572, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 55575, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 55578, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 55581, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 55584, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 55587, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 55590, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 55593, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 55596, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 55600, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 55603, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 55606, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 55609, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 55612, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 55615);
						} else {
			dasm_put(Dst, 55617, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 7593 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if ((op1_info & op2_info & MAY_BE_ANY) != 0) {
		if (opline->op1_type != IS_CONST) {
			if (Z_MODE(op1_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
				if (!zend_jit_spill_store(Dst, op1_addr, real_addr, op1_info, 1)) {
					return 0;
				}
				op1_addr = real_addr;
			}
		}
		if (opline->op2_type != IS_CONST) {
			if (Z_MODE(op2_addr) == IS_REG) {
				zend_jit_addr real_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
				if (!zend_jit_spill_store(Dst, op2_addr, real_addr, op2_info, 1)) {
					return 0;
				}
				op2_addr = real_addr;
			}
			//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
			dasm_put(Dst, 55620);
				} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 55622, ((uint64_t)(Z_ZV(op2_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 55625, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 55628, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
			dasm_put(Dst, 55631, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
			dasm_put(Dst, 55634, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 55637, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 55640, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 55643, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 55646, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 55649, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op2_addr)) {
				if (Z_OFFSET(op2_addr) == 0) {
			dasm_put(Dst, 55652, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
			dasm_put(Dst, 55655, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 55659, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 55662, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 55665, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 55668, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 55671, (Z_REG(op2_addr)));
				}
					} else {
						if (Z_REG(op2_addr) == ZREG_RSP) {
			dasm_put(Dst, 55674);
						} else {
			dasm_put(Dst, 55676, (Z_REG(op2_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 7613 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (opline->op1_type != IS_CONST) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 55679);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 55681, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 55684, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 55687, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 55690, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 55693, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 55696, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 55699, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 55702, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 55705, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 55708, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 55711, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 55714, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 55718, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 55721, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 55724, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 55727, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 55730, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 55733);
						} else {
			dasm_put(Dst, 55735, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 7616 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if ((op1_info & op2_info & MAY_BE_ANY) == 0) {
		if ((opline->opcode != ZEND_CASE_STRICT &&
		     (opline->op1_type & (IS_VAR|IS_TMP_VAR)) &&
		     (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF))) ||
		    ((opline->op2_type & (IS_VAR|IS_TMP_VAR)) &&
		     (op2_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF)))) {
			if (opline->opcode != ZEND_CASE_STRICT) {
				//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
					if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
						zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
					if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
						if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							if (1) {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 55738, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 55742, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 55746, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 55750, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 55754, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 55759, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 55764, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 55767, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 55771, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 55775, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 55779, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 55783, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 55787, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 55791);
				dasm_put(Dst, 55794);
							} else {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 55796, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 55800, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 55804, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 55808, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 55812, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 55817, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 55822, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 55825, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 55829, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 55833, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 55837, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 55841, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 55845, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 55849);
							}
						}
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 55852, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
					} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
				dasm_put(Dst, 55856, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 55860, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 55864, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 55868, (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 55872, (Z_REG(addr)), (Z_OFFSET(addr)));
					}
				dasm_put(Dst, 55876, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
							if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
								if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 55884);
								} else {
				dasm_put(Dst, 55887);
								}
							}
					do {
						if (!((op1_info) & MAY_BE_GUARD)
						 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
							if (type == IS_STRING && !ZEND_DEBUG) {
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 55890, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 55893, (ZREG_X15));
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 55896, (ZREG_X15), ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 55900, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 55904, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 55908, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 55913, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 55917, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 55921, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 55925, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 55929, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 55933, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 55937, (ZREG_X15));
					}
								break;
							} else if (type == IS_ARRAY) {
								if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
									if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 55940, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 55943, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 55946, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 55950, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 55954, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 55958, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 55963, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 55967, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 55971, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 55975, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 55979, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 55983, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 55987, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
									}
					if (arm64_may_use_b(zend_array_destroy)) {
				dasm_put(Dst, 55991, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else {
					if (((uintptr_t)(zend_array_destroy)) == 0) {
				dasm_put(Dst, 55994, (ZREG_X15));
					} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
				dasm_put(Dst, 55997, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
					} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
				dasm_put(Dst, 56001, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
				dasm_put(Dst, 56005, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
						if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
				dasm_put(Dst, 56009, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
				dasm_put(Dst, 56014, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 56018, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 56022, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 56026, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 56030, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56034, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				dasm_put(Dst, 56038, (ZREG_X15));
					}
								} else {
					if (arm64_may_use_b(zend_jit_array_free)) {
				dasm_put(Dst, 56041, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else {
					if (((uintptr_t)(zend_jit_array_free)) == 0) {
				dasm_put(Dst, 56044, (ZREG_X15));
					} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
				dasm_put(Dst, 56047, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
					} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 56051, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 56055, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
						if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
				dasm_put(Dst, 56059, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
				dasm_put(Dst, 56064, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 56068, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 56072, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 56076, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 56080, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56084, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				dasm_put(Dst, 56088, (ZREG_X15));
					}
								}
								break;
							} else if (type == IS_OBJECT) {
								if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 56091, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 56094);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 56096, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 56099, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 56102, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 56105, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 56108, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 56111, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 56114, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 56117, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 56120, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56123, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 56126, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
								}
					if (arm64_may_use_b(zend_objects_store_del)) {
				dasm_put(Dst, 56129, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else {
					if (((uintptr_t)(zend_objects_store_del)) == 0) {
				dasm_put(Dst, 56132, (ZREG_X15));
					} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
				dasm_put(Dst, 56135, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
					} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 56139, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 56143, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
						if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
				dasm_put(Dst, 56147, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
				dasm_put(Dst, 56152, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 56156, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 56160, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 56164, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 56168, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56172, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				dasm_put(Dst, 56176, (ZREG_X15));
					}
								break;
							}
						}
						if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 56179, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 56182, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 56185, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 56189, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 56193, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 56197, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 56202, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 56206, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 56210, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 56214, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 56218, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56222, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 56226, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
						}
					if (arm64_may_use_b(rc_dtor_func)) {
				dasm_put(Dst, 56230, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else {
					if (((uintptr_t)(rc_dtor_func)) == 0) {
				dasm_put(Dst, 56233, (ZREG_X15));
					} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
				dasm_put(Dst, 56236, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
					} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
				dasm_put(Dst, 56240, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
				dasm_put(Dst, 56244, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
						if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
				dasm_put(Dst, 56248, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
						}
					} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
				dasm_put(Dst, 56253, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 56257, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						}
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 56261, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 56265, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 56269, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56273, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				dasm_put(Dst, 56277, (ZREG_X15));
					}
					} while(0);
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 56280);
							}
				dasm_put(Dst, 56283);
						}
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
							if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
								zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 56285, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 56289, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 56293, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56297, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 56301, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 56306, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 56311, (ZREG_X15));
					} else {
				dasm_put(Dst, 56315, (ZREG_X15), IS_REFERENCE);
					}
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 56321, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 56325, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 56329, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56333, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 56337, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 56342, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_COLLECTABLE == 0) {
				dasm_put(Dst, 56347, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
				dasm_put(Dst, 56350, (ZREG_X15), IS_TYPE_COLLECTABLE);
					} else {
					if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 56354, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
					} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
				dasm_put(Dst, 56358, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
						if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 56362, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56366, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				dasm_put(Dst, 56370, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 56374);
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 56377, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 56381, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 56385, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56389, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 56393, (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 56397, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
				dasm_put(Dst, 56401);
							}
				dasm_put(Dst, 56403, (ZREG_X15));
					if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
				dasm_put(Dst, 56406, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
				dasm_put(Dst, 56409, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
					} else {
					if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
				dasm_put(Dst, 56413, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
					} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
				dasm_put(Dst, 56417, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
						if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
				dasm_put(Dst, 56421, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56425, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 56429, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 56433);
					if (arm64_may_use_b(gc_possible_root)) {
				dasm_put(Dst, 56436, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else {
					if (((uintptr_t)(gc_possible_root)) == 0) {
				dasm_put(Dst, 56439, (ZREG_X15));
					} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
				dasm_put(Dst, 56442, (ZREG_X15), ((uint64_t)(gc_possible_root)));
					} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
				dasm_put(Dst, 56446, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
				dasm_put(Dst, 56450, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
						if (((uintptr_t)(gc_possible_root)) & 0xfff) {
				dasm_put(Dst, 56454, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
						}
					} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
				dasm_put(Dst, 56459, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 56463, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						}
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 56467, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 56471, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 56475, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 56479, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				dasm_put(Dst, 56483, (ZREG_X15));
					}
						}
						if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
				dasm_put(Dst, 56486);
						}
				dasm_put(Dst, 56489);
					}
					}
#line 7627 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	FREE_OP opline->op2_type, opline->op2, op2_info, 1, opline, ZREG_TMP1, ZREG_TMP2
				if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
				if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (1) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 56491, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 56495, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 56499, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56503, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 56507, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 56512, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 56517, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 56520, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 56524, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 56528, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 56532, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56536, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 56540, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 56544);
			dasm_put(Dst, 56547);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 56549, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 56553, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 56557, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56561, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 56565, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 56570, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 56575, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 56578, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 56582, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 56586, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 56590, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56594, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 56598, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 56602);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 56605, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 56609, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 56613, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56617, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 56621, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 56625, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 56629, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
						if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
							if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 56637);
							} else {
			dasm_put(Dst, 56640);
							}
						}
				do {
					if (!((op2_info) & MAY_BE_GUARD)
					 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 56643, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 56646, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 56649, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 56653, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 56657, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 56661, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 56666, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 56670, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 56674, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 56678, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 56682, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56686, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 56690, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 56693, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 56696, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 56699, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 56703, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 56707, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 56711, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 56716, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 56720, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 56724, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 56728, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 56732, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56736, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 56740, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 56744, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 56747, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 56750, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 56754, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 56758, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 56762, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 56767, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 56771, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 56775, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 56779, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 56783, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56787, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 56791, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 56794, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 56797, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 56800, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 56804, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 56808, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 56812, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 56817, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 56821, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 56825, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 56829, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 56833, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56837, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 56841, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 56844, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 56847);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 56849, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 56852, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 56855, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 56858, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 56861, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 56864, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 56867, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 56870, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 56873, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56876, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 56879, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 56882, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 56885, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 56888, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 56892, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 56896, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 56900, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 56905, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 56909, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 56913, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 56917, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 56921, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56925, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 56929, (ZREG_X15));
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 56932, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 56935, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 56938, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 56942, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 56946, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 56950, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 56955, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 56959, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 56963, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 56967, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 56971, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 56975, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 56979, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 56983, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 56986, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 56989, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 56993, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 56997, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 57001, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 57006, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 57010, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 57014, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 57018, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 57022, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57026, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 57030, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 57033);
						}
			dasm_put(Dst, 57036);
					}
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 57038, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 57042, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 57046, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57050, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 57054, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 57059, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 57064, (ZREG_X15));
				} else {
			dasm_put(Dst, 57068, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 57074, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 57078, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 57082, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57086, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 57090, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 57095, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 57100, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 57103, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 57107, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 57111, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 57115, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57119, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 57123, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 57127);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 57130, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 57134, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 57138, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57142, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 57146, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 57150, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 57154);
						}
			dasm_put(Dst, 57156, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 57159, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 57162, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 57166, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 57170, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 57174, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57178, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 57182, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 57186);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 57189, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 57192, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 57195, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 57199, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 57203, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 57207, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 57212, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 57216, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 57220, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 57224, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 57228, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57232, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 57236, (ZREG_X15));
				}
					}
					if (1 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 57239);
					}
			dasm_put(Dst, 57242);
				}
				}
#line 7629 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (smart_branch_opcode) {
			if (may_throw) {
				zend_jit_check_exception_undef_result(Dst, opline);
			}
			if (exit_addr) {
				if (smart_branch_opcode == ZEND_JMPZ) {
					//|	b &exit_addr
					dasm_put(Dst, 57244, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7637 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (not_identical_label != (uint32_t)-1) {
				//|	b =>not_identical_label
				dasm_put(Dst, 57247, not_identical_label);
#line 7640 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			//|	SET_ZVAL_TYPE_INFO res_addr, (opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE), TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE))) <= MOVZ_IMM) {
			dasm_put(Dst, 57250, ((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE))));
				} else if (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) & 0xffff)) {
			dasm_put(Dst, 57253, ((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) & 0xffff));
					if ((((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) >> 16) & 0xffff)) {
			dasm_put(Dst, 57256, (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57259, (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 57262, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 57265, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 57268, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57271, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 57274, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 57277, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 7643 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (may_throw) {
				zend_jit_check_exception(Dst);
			}
		}
		return 1;
	}

	if (opline->op1_type & (IS_CV|IS_VAR)) {
		//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
			if (op1_info & MAY_BE_REF) {
		dasm_put(Dst, 57281, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 57284);
			} else {
		dasm_put(Dst, 57287, IS_REFERENCE);
			}
		dasm_put(Dst, 57292, offsetof(zend_reference, val));
			}
#line 7652 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (opline->op2_type & (IS_CV|IS_VAR)) {
		//|	ZVAL_DEREF FCARG2x, op2_info, TMP1w
			if (op2_info & MAY_BE_REF) {
		dasm_put(Dst, 57297, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 57300);
			} else {
		dasm_put(Dst, 57303, IS_REFERENCE);
			}
		dasm_put(Dst, 57308, offsetof(zend_reference, val));
			}
#line 7655 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (has_concrete_type(op1_info)
	 && has_concrete_type(op2_info)
	 && concrete_type(op1_info) == concrete_type(op2_info)
	 && concrete_type(op1_info) <= IS_TRUE) {
		if (smart_branch_opcode) {
			if (exit_addr) {
				if (smart_branch_opcode == ZEND_JMPNZ) {
					//|	b &exit_addr
					dasm_put(Dst, 57313, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7665 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (identical_label != (uint32_t)-1) {
				//|	b =>identical_label
				dasm_put(Dst, 57316, identical_label);
#line 7668 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			//|	SET_ZVAL_TYPE_INFO res_addr, (opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE), TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE))) <= MOVZ_IMM) {
			dasm_put(Dst, 57319, ((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE))));
				} else if (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) & 0xffff)) {
			dasm_put(Dst, 57322, ((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) & 0xffff));
					if ((((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) >> 16) & 0xffff)) {
			dasm_put(Dst, 57325, (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57328, (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 57331, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 57334, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 57337, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 57340, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 57343, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 57346, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 7671 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (Z_MODE(op1_addr) == IS_CONST_ZVAL && Z_MODE(op2_addr) == IS_CONST_ZVAL) {
		if (zend_is_identical(Z_ZV(op1_addr), Z_ZV(op2_addr))) {
			if (smart_branch_opcode) {
				if (exit_addr) {
					if (smart_branch_opcode == ZEND_JMPNZ) {
						//|	b &exit_addr
						dasm_put(Dst, 57350, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7678 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else if (identical_label != (uint32_t)-1) {
					//|	b =>identical_label
					dasm_put(Dst, 57353, identical_label);
#line 7681 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				//|	SET_ZVAL_TYPE_INFO res_addr, (opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE), TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE))) <= MOVZ_IMM) {
				dasm_put(Dst, 57356, ((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE))));
					} else if (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) & 0xffff)) {
				dasm_put(Dst, 57359, ((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) & 0xffff));
						if ((((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) >> 16) & 0xffff)) {
				dasm_put(Dst, 57362, (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57365, (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_TRUE : IS_FALSE)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 57368, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 57371, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 57374, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57377, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 57380, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 57383, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 7684 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (smart_branch_opcode) {
				if (exit_addr) {
					if (smart_branch_opcode == ZEND_JMPZ) {
						//|	b &exit_addr
						dasm_put(Dst, 57387, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7690 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else if (not_identical_label != (uint32_t)-1) {
					//|	b =>not_identical_label
					dasm_put(Dst, 57390, not_identical_label);
#line 7693 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				//|	SET_ZVAL_TYPE_INFO res_addr, (opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE), TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE))) <= MOVZ_IMM) {
				dasm_put(Dst, 57393, ((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE))));
					} else if (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) & 0xffff)) {
				dasm_put(Dst, 57396, ((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) & 0xffff));
						if ((((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) >> 16) & 0xffff)) {
				dasm_put(Dst, 57399, (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57402, (((uint32_t)((opline->opcode != ZEND_IS_NOT_IDENTICAL ? IS_FALSE : IS_TRUE)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 57405, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 57408, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 57411, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57414, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 57417, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 57420, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 7696 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else if (Z_MODE(op1_addr) == IS_CONST_ZVAL && Z_TYPE_P(Z_ZV(op1_addr)) <= IS_TRUE) {
		zval *val = Z_ZV(op1_addr);

		//|	ldrb TMP1w, [FCARG2x, #offsetof(zval, u1.v.type)]
		//|	cmp TMP1w, #Z_TYPE_P(val)
		dasm_put(Dst, 57424, offsetof(zval, u1.v.type), Z_TYPE_P(val));
#line 7703 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (smart_branch_opcode) {
			if (opline->op2_type == IS_VAR && (op2_info & MAY_BE_REF)) {
				//|	bne >8
				//|	FREE_OP opline->op2_type, opline->op2, op2_info, 1, opline, ZREG_TMP1, ZREG_TMP2
				dasm_put(Dst, 57429);
					if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
						zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
					if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
						if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							if (1) {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 57432, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 57436, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 57440, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57444, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 57448, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 57453, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 57458, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 57461, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 57465, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 57469, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 57473, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57477, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 57481, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 57485);
				dasm_put(Dst, 57488);
							} else {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 57490, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 57494, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 57498, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57502, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 57506, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 57511, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 57516, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 57519, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 57523, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 57527, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 57531, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57535, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 57539, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 57543);
							}
						}
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 57546, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
					} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
				dasm_put(Dst, 57550, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 57554, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57558, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 57562, (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 57566, (Z_REG(addr)), (Z_OFFSET(addr)));
					}
				dasm_put(Dst, 57570, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
						if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
							if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
								if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 57578);
								} else {
				dasm_put(Dst, 57581);
								}
							}
					do {
						if (!((op2_info) & MAY_BE_GUARD)
						 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
							if (type == IS_STRING && !ZEND_DEBUG) {
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 57584, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 57587, (ZREG_X15));
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 57590, (ZREG_X15), ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 57594, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 57598, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 57602, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 57607, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 57611, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 57615, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 57619, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 57623, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57627, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 57631, (ZREG_X15));
					}
								break;
							} else if (type == IS_ARRAY) {
								if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
									if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 57634, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 57637, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 57640, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 57644, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 57648, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 57652, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 57657, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 57661, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 57665, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 57669, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 57673, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57677, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 57681, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
									}
					if (arm64_may_use_b(zend_array_destroy)) {
				dasm_put(Dst, 57685, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else {
					if (((uintptr_t)(zend_array_destroy)) == 0) {
				dasm_put(Dst, 57688, (ZREG_X15));
					} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
				dasm_put(Dst, 57691, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
					} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
				dasm_put(Dst, 57695, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
				dasm_put(Dst, 57699, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
						if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
				dasm_put(Dst, 57703, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
				dasm_put(Dst, 57708, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 57712, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 57716, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 57720, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 57724, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57728, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				dasm_put(Dst, 57732, (ZREG_X15));
					}
								} else {
					if (arm64_may_use_b(zend_jit_array_free)) {
				dasm_put(Dst, 57735, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else {
					if (((uintptr_t)(zend_jit_array_free)) == 0) {
				dasm_put(Dst, 57738, (ZREG_X15));
					} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
				dasm_put(Dst, 57741, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
					} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 57745, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 57749, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
						if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
				dasm_put(Dst, 57753, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
				dasm_put(Dst, 57758, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 57762, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 57766, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 57770, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 57774, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57778, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				dasm_put(Dst, 57782, (ZREG_X15));
					}
								}
								break;
							} else if (type == IS_OBJECT) {
								if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 57785, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 57788);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 57790, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 57793, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 57796, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 57799, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 57802, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 57805, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 57808, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 57811, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 57814, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57817, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 57820, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
								}
					if (arm64_may_use_b(zend_objects_store_del)) {
				dasm_put(Dst, 57823, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else {
					if (((uintptr_t)(zend_objects_store_del)) == 0) {
				dasm_put(Dst, 57826, (ZREG_X15));
					} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
				dasm_put(Dst, 57829, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
					} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 57833, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 57837, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
						if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
				dasm_put(Dst, 57841, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
				dasm_put(Dst, 57846, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 57850, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 57854, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 57858, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 57862, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57866, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				dasm_put(Dst, 57870, (ZREG_X15));
					}
								break;
							}
						}
						if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 57873, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 57876, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 57879, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 57883, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 57887, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 57891, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 57896, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 57900, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 57904, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 57908, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 57912, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57916, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 57920, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
						}
					if (arm64_may_use_b(rc_dtor_func)) {
				dasm_put(Dst, 57924, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else {
					if (((uintptr_t)(rc_dtor_func)) == 0) {
				dasm_put(Dst, 57927, (ZREG_X15));
					} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
				dasm_put(Dst, 57930, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
					} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
				dasm_put(Dst, 57934, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
				dasm_put(Dst, 57938, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
						if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
				dasm_put(Dst, 57942, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
						}
					} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
				dasm_put(Dst, 57947, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 57951, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						}
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 57955, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 57959, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 57963, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57967, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				dasm_put(Dst, 57971, (ZREG_X15));
					}
					} while(0);
							if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 57974);
							}
				dasm_put(Dst, 57977);
						}
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
							if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
								zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 57979, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 57983, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 57987, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 57991, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 57995, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 58000, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 58005, (ZREG_X15));
					} else {
				dasm_put(Dst, 58009, (ZREG_X15), IS_REFERENCE);
					}
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 58015, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 58019, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 58023, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 58027, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 58031, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 58036, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_COLLECTABLE == 0) {
				dasm_put(Dst, 58041, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
				dasm_put(Dst, 58044, (ZREG_X15), IS_TYPE_COLLECTABLE);
					} else {
					if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 58048, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
					} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
				dasm_put(Dst, 58052, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
						if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 58056, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 58060, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				dasm_put(Dst, 58064, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 58068);
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 58071, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 58075, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 58079, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 58083, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 58087, (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 58091, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
				dasm_put(Dst, 58095);
							}
				dasm_put(Dst, 58097, (ZREG_X15));
					if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
				dasm_put(Dst, 58100, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
				dasm_put(Dst, 58103, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
					} else {
					if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
				dasm_put(Dst, 58107, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
					} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
				dasm_put(Dst, 58111, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
						if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
				dasm_put(Dst, 58115, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 58119, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 58123, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 58127);
					if (arm64_may_use_b(gc_possible_root)) {
				dasm_put(Dst, 58130, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else {
					if (((uintptr_t)(gc_possible_root)) == 0) {
				dasm_put(Dst, 58133, (ZREG_X15));
					} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
				dasm_put(Dst, 58136, (ZREG_X15), ((uint64_t)(gc_possible_root)));
					} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
				dasm_put(Dst, 58140, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
				dasm_put(Dst, 58144, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
						if (((uintptr_t)(gc_possible_root)) & 0xfff) {
				dasm_put(Dst, 58148, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
						}
					} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
				dasm_put(Dst, 58153, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 58157, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						}
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 58161, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 58165, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 58169, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 58173, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				dasm_put(Dst, 58177, (ZREG_X15));
					}
						}
						if (1 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
				dasm_put(Dst, 58180);
						}
				dasm_put(Dst, 58183);
					}
					}
#line 7707 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (may_throw) {
					zend_jit_check_exception_undef_result(Dst, opline);
				}
				if (exit_addr && smart_branch_opcode == ZEND_JMPNZ) {
					//|	b &exit_addr
					dasm_put(Dst, 58185, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7712 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (identical_label != (uint32_t)-1) {
					//|	b =>identical_label
					dasm_put(Dst, 58188, identical_label);
#line 7714 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	b >9
					dasm_put(Dst, 58191);
#line 7716 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|8:
				dasm_put(Dst, 58194);
#line 7718 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (exit_addr && smart_branch_opcode == ZEND_JMPNZ) {
				//|	beq &exit_addr
				dasm_put(Dst, 58196, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7720 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (identical_label != (uint32_t)-1) {
				//|	beq =>identical_label
				dasm_put(Dst, 58199, identical_label);
#line 7722 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	beq >9
				dasm_put(Dst, 58202);
#line 7724 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (opline->opcode != ZEND_IS_NOT_IDENTICAL) {
				//|	cset REG0w, eq
				dasm_put(Dst, 58205);
#line 7728 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	cset REG0w, ne
				dasm_put(Dst, 58207);
#line 7730 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	add REG0w, REG0w, #2
			//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
			dasm_put(Dst, 58209);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 58211, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 58214, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 58217, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58220, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 58223, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 58226, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 7733 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if ((opline->op2_type & (IS_VAR|IS_TMP_VAR)) &&
		    (op2_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF))) {
			//|	FREE_OP opline->op2_type, opline->op2, op2_info, 1, opline, ZREG_TMP1, ZREG_TMP2
				if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
				if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (1) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 58230, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 58234, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 58238, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58242, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 58246, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 58251, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 58256, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 58259, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 58263, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 58267, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 58271, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58275, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 58279, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 58283);
			dasm_put(Dst, 58286);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 58288, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 58292, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 58296, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58300, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 58304, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 58309, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 58314, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 58317, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 58321, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 58325, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 58329, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58333, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 58337, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 58341);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 58344, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 58348, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 58352, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58356, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 58360, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 58364, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 58368, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
						if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
							if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 58376);
							} else {
			dasm_put(Dst, 58379);
							}
						}
				do {
					if (!((op2_info) & MAY_BE_GUARD)
					 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 58382, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 58385, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 58388, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 58392, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 58396, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 58400, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 58405, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 58409, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 58413, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 58417, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 58421, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58425, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 58429, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 58432, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 58435, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 58438, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 58442, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 58446, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 58450, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 58455, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 58459, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 58463, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 58467, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 58471, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58475, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 58479, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 58483, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 58486, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 58489, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 58493, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 58497, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 58501, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 58506, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 58510, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 58514, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 58518, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 58522, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58526, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 58530, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 58533, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 58536, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 58539, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 58543, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 58547, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 58551, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 58556, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 58560, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 58564, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 58568, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 58572, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58576, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 58580, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 58583, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 58586);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 58588, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 58591, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 58594, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 58597, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 58600, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 58603, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 58606, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 58609, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 58612, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58615, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 58618, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 58621, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 58624, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 58627, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 58631, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 58635, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 58639, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 58644, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 58648, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 58652, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 58656, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 58660, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58664, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 58668, (ZREG_X15));
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 58671, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 58674, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 58677, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 58681, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 58685, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 58689, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 58694, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 58698, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 58702, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 58706, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 58710, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58714, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 58718, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 58722, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 58725, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 58728, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 58732, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 58736, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 58740, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 58745, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 58749, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 58753, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 58757, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 58761, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58765, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 58769, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 58772);
						}
			dasm_put(Dst, 58775);
					}
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 58777, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 58781, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 58785, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58789, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 58793, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 58798, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 58803, (ZREG_X15));
				} else {
			dasm_put(Dst, 58807, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 58813, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 58817, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 58821, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58825, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 58829, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 58834, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 58839, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 58842, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 58846, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 58850, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 58854, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58858, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 58862, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 58866);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 58869, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 58873, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 58877, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58881, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 58885, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 58889, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 58893);
						}
			dasm_put(Dst, 58895, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 58898, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 58901, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 58905, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 58909, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 58913, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58917, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 58921, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 58925);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 58928, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 58931, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 58934, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 58938, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 58942, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 58946, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 58951, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 58955, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 58959, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 58963, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 58967, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 58971, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 58975, (ZREG_X15));
				}
					}
					if (1 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 58978);
					}
			dasm_put(Dst, 58981);
				}
				}
#line 7737 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (may_throw) {
				zend_jit_check_exception_undef_result(Dst, opline);
			}
		}
		if (exit_addr) {
			if (smart_branch_opcode == ZEND_JMPZ) {
				//|	b &exit_addr
				dasm_put(Dst, 58983, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7744 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (smart_branch_opcode && not_identical_label != (uint32_t)-1) {
			//|	b =>not_identical_label
			dasm_put(Dst, 58986, not_identical_label);
#line 7747 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (Z_MODE(op2_addr) == IS_CONST_ZVAL && Z_TYPE_P(Z_ZV(op2_addr)) <= IS_TRUE) {
		zval *val = Z_ZV(op2_addr);

		//|	ldrb TMP1w, [FCARG1x, #offsetof(zval, u1.v.type)]
		//|	cmp TMP1w, #Z_TYPE_P(val)
		dasm_put(Dst, 58989, offsetof(zval, u1.v.type), Z_TYPE_P(val));
#line 7753 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (smart_branch_opcode) {
			if (opline->opcode != ZEND_CASE_STRICT
			 && opline->op1_type == IS_VAR && (op1_info & MAY_BE_REF)) {
				//|	bne >8
				//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
				dasm_put(Dst, 58994);
					if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
						zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
					if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
						if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							if (1) {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 58997, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 59001, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 59005, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59009, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59013, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 59018, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 59023, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 59026, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 59030, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 59034, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 59038, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59042, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59046, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 59050);
				dasm_put(Dst, 59053);
							} else {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 59055, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 59059, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 59063, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59067, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59071, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 59076, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 59081, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 59084, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 59088, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 59092, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 59096, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59100, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59104, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 59108);
							}
						}
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 59111, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
					} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
				dasm_put(Dst, 59115, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 59119, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59123, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59127, (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 59131, (Z_REG(addr)), (Z_OFFSET(addr)));
					}
				dasm_put(Dst, 59135, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
							if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
								if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 59143);
								} else {
				dasm_put(Dst, 59146);
								}
							}
					do {
						if (!((op1_info) & MAY_BE_GUARD)
						 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
							if (type == IS_STRING && !ZEND_DEBUG) {
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 59149, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 59152, (ZREG_X15));
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 59155, (ZREG_X15), ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 59159, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 59163, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 59167, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 59172, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 59176, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 59180, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 59184, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 59188, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59192, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 59196, (ZREG_X15));
					}
								break;
							} else if (type == IS_ARRAY) {
								if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
									if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 59199, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 59202, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 59205, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 59209, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 59213, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 59217, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 59222, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 59226, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 59230, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 59234, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 59238, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59242, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 59246, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
									}
					if (arm64_may_use_b(zend_array_destroy)) {
				dasm_put(Dst, 59250, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else {
					if (((uintptr_t)(zend_array_destroy)) == 0) {
				dasm_put(Dst, 59253, (ZREG_X15));
					} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
				dasm_put(Dst, 59256, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
					} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
				dasm_put(Dst, 59260, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
				dasm_put(Dst, 59264, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
						if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
				dasm_put(Dst, 59268, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
				dasm_put(Dst, 59273, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 59277, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 59281, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 59285, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 59289, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59293, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				dasm_put(Dst, 59297, (ZREG_X15));
					}
								} else {
					if (arm64_may_use_b(zend_jit_array_free)) {
				dasm_put(Dst, 59300, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else {
					if (((uintptr_t)(zend_jit_array_free)) == 0) {
				dasm_put(Dst, 59303, (ZREG_X15));
					} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
				dasm_put(Dst, 59306, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
					} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 59310, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 59314, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
						if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
				dasm_put(Dst, 59318, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
				dasm_put(Dst, 59323, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 59327, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 59331, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 59335, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 59339, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59343, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				dasm_put(Dst, 59347, (ZREG_X15));
					}
								}
								break;
							} else if (type == IS_OBJECT) {
								if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 59350, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 59353);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 59355, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 59358, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 59361, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 59364, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 59367, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 59370, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 59373, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 59376, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 59379, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59382, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 59385, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
								}
					if (arm64_may_use_b(zend_objects_store_del)) {
				dasm_put(Dst, 59388, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else {
					if (((uintptr_t)(zend_objects_store_del)) == 0) {
				dasm_put(Dst, 59391, (ZREG_X15));
					} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
				dasm_put(Dst, 59394, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
					} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 59398, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 59402, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
						if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
				dasm_put(Dst, 59406, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
				dasm_put(Dst, 59411, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 59415, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 59419, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 59423, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 59427, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59431, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				dasm_put(Dst, 59435, (ZREG_X15));
					}
								break;
							}
						}
						if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 59438, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 59441, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 59444, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 59448, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 59452, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 59456, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 59461, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 59465, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 59469, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 59473, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 59477, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59481, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 59485, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
						}
					if (arm64_may_use_b(rc_dtor_func)) {
				dasm_put(Dst, 59489, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else {
					if (((uintptr_t)(rc_dtor_func)) == 0) {
				dasm_put(Dst, 59492, (ZREG_X15));
					} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
				dasm_put(Dst, 59495, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
					} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
				dasm_put(Dst, 59499, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
				dasm_put(Dst, 59503, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
						if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
				dasm_put(Dst, 59507, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
						}
					} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
				dasm_put(Dst, 59512, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 59516, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						}
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 59520, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 59524, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 59528, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59532, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				dasm_put(Dst, 59536, (ZREG_X15));
					}
					} while(0);
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 59539);
							}
				dasm_put(Dst, 59542);
						}
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
							if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
								zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 59544, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 59548, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 59552, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59556, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59560, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 59565, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 59570, (ZREG_X15));
					} else {
				dasm_put(Dst, 59574, (ZREG_X15), IS_REFERENCE);
					}
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 59580, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 59584, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 59588, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59592, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59596, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 59601, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_COLLECTABLE == 0) {
				dasm_put(Dst, 59606, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
				dasm_put(Dst, 59609, (ZREG_X15), IS_TYPE_COLLECTABLE);
					} else {
					if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 59613, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
					} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
				dasm_put(Dst, 59617, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
						if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 59621, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59625, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59629, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 59633);
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 59636, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 59640, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 59644, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59648, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59652, (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 59656, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
				dasm_put(Dst, 59660);
							}
				dasm_put(Dst, 59662, (ZREG_X15));
					if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
				dasm_put(Dst, 59665, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
				dasm_put(Dst, 59668, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
					} else {
					if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
				dasm_put(Dst, 59672, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
					} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
				dasm_put(Dst, 59676, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
						if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
				dasm_put(Dst, 59680, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59684, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 59688, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 59692);
					if (arm64_may_use_b(gc_possible_root)) {
				dasm_put(Dst, 59695, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else {
					if (((uintptr_t)(gc_possible_root)) == 0) {
				dasm_put(Dst, 59698, (ZREG_X15));
					} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
				dasm_put(Dst, 59701, (ZREG_X15), ((uint64_t)(gc_possible_root)));
					} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
				dasm_put(Dst, 59705, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
				dasm_put(Dst, 59709, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
						if (((uintptr_t)(gc_possible_root)) & 0xfff) {
				dasm_put(Dst, 59713, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
						}
					} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
				dasm_put(Dst, 59718, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 59722, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						}
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 59726, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 59730, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 59734, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 59738, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				dasm_put(Dst, 59742, (ZREG_X15));
					}
						}
						if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
				dasm_put(Dst, 59745);
						}
				dasm_put(Dst, 59748);
					}
					}
#line 7758 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (may_throw) {
					zend_jit_check_exception_undef_result(Dst, opline);
				}
				if (exit_addr && smart_branch_opcode == ZEND_JMPNZ) {
					//|	b &exit_addr
					dasm_put(Dst, 59750, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7763 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (identical_label != (uint32_t)-1) {
					//|	b =>identical_label
					dasm_put(Dst, 59753, identical_label);
#line 7765 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	b >9
					dasm_put(Dst, 59756);
#line 7767 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|8:
				dasm_put(Dst, 59759);
#line 7769 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (exit_addr && smart_branch_opcode == ZEND_JMPNZ) {
				//|	beq &exit_addr
				dasm_put(Dst, 59761, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7771 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (identical_label != (uint32_t)-1) {
				//|	beq =>identical_label
				dasm_put(Dst, 59764, identical_label);
#line 7773 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	beq >9
				dasm_put(Dst, 59767);
#line 7775 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (opline->opcode != ZEND_IS_NOT_IDENTICAL) {
				//|	cset REG0w, eq
				dasm_put(Dst, 59770);
#line 7779 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	cset REG0w, ne
				dasm_put(Dst, 59772);
#line 7781 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	add REG0w, REG0w, #2
			//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
			dasm_put(Dst, 59774);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 59776, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 59779, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 59782, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 59785, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 59788, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 59791, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 7784 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (opline->opcode != ZEND_CASE_STRICT
		 && (opline->op1_type & (IS_VAR|IS_TMP_VAR)) &&
		    (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF))) {
			//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
				if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
				if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (1) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 59795, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 59799, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 59803, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 59807, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 59811, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 59816, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 59821, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 59824, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 59828, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 59832, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 59836, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 59840, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 59844, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 59848);
			dasm_put(Dst, 59851);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 59853, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 59857, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 59861, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 59865, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 59869, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 59874, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 59879, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 59882, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 59886, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 59890, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 59894, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 59898, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 59902, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 59906);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 59909, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 59913, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 59917, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 59921, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 59925, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 59929, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 59933, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 59941);
							} else {
			dasm_put(Dst, 59944);
							}
						}
				do {
					if (!((op1_info) & MAY_BE_GUARD)
					 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 59947, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 59950, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 59953, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 59957, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 59961, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 59965, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 59970, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 59974, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 59978, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 59982, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 59986, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 59990, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 59994, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 59997, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 60000, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 60003, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 60007, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 60011, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 60015, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 60020, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 60024, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 60028, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 60032, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 60036, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60040, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 60044, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 60048, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 60051, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 60054, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 60058, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 60062, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 60066, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 60071, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 60075, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 60079, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 60083, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 60087, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60091, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 60095, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 60098, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 60101, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 60104, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 60108, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 60112, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 60116, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 60121, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 60125, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 60129, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 60133, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 60137, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60141, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 60145, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 60148, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 60151);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 60153, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 60156, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 60159, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 60162, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 60165, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 60168, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 60171, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 60174, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 60177, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60180, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 60183, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 60186, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 60189, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 60192, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 60196, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 60200, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 60204, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 60209, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 60213, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 60217, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 60221, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 60225, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60229, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 60233, (ZREG_X15));
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 60236, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 60239, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 60242, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 60246, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 60250, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 60254, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 60259, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 60263, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 60267, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 60271, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 60275, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60279, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 60283, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 60287, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 60290, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 60293, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 60297, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 60301, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 60305, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 60310, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 60314, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 60318, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 60322, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 60326, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60330, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 60334, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 60337);
						}
			dasm_put(Dst, 60340);
					}
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 60342, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 60346, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 60350, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60354, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60358, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 60363, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 60368, (ZREG_X15));
				} else {
			dasm_put(Dst, 60372, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 60378, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 60382, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 60386, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60390, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60394, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 60399, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 60404, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 60407, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 60411, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 60415, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 60419, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60423, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60427, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 60431);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 60434, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 60438, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 60442, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60446, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60450, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 60454, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 60458);
						}
			dasm_put(Dst, 60460, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 60463, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 60466, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 60470, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 60474, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 60478, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60482, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60486, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 60490);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 60493, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 60496, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 60499, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 60503, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 60507, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 60511, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 60516, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 60520, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 60524, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 60528, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 60532, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60536, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 60540, (ZREG_X15));
				}
					}
					if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 60543);
					}
			dasm_put(Dst, 60546);
				}
				}
#line 7789 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (may_throw) {
				zend_jit_check_exception_undef_result(Dst, opline);
			}
		}
		if (smart_branch_opcode) {
			if (exit_addr) {
				if (smart_branch_opcode == ZEND_JMPZ) {
					//|	b &exit_addr
					dasm_put(Dst, 60548, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7797 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (not_identical_label != (uint32_t)-1) {
				//|	b =>not_identical_label
				dasm_put(Dst, 60551, not_identical_label);
#line 7800 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else {
		if (opline->op1_type == IS_CONST) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 60554);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 60556, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 60559, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 60562, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 60565, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 60568, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 60571, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 60574, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 60577, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 60580, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60583, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 60586, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 60589, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 60593, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 60596, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 60599, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60602, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60605, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 60608);
						} else {
			dasm_put(Dst, 60610, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 7805 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (opline->op2_type == IS_CONST) {
			//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
			dasm_put(Dst, 60613);
				} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 60615, ((uint64_t)(Z_ZV(op2_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 60618, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 60621, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
			dasm_put(Dst, 60624, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
			dasm_put(Dst, 60627, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 60630, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 60633, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 60636, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 60639, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60642, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op2_addr)) {
				if (Z_OFFSET(op2_addr) == 0) {
			dasm_put(Dst, 60645, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
			dasm_put(Dst, 60648, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 60652, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 60655, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 60658, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 60661, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 60664, (Z_REG(op2_addr)));
				}
					} else {
						if (Z_REG(op2_addr) == ZREG_RSP) {
			dasm_put(Dst, 60667);
						} else {
			dasm_put(Dst, 60669, (Z_REG(op2_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 7808 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	EXT_CALL zend_is_identical, REG0
			if (arm64_may_use_b(zend_is_identical)) {
		dasm_put(Dst, 60672, (unsigned int)((ptrdiff_t)(zend_is_identical)), (unsigned int)(((ptrdiff_t)(zend_is_identical))>>32));
			} else {
			if (((uintptr_t)(zend_is_identical)) == 0) {
		dasm_put(Dst, 60675);
			} else if (((uintptr_t)(zend_is_identical)) <= MOVZ_IMM) {
		dasm_put(Dst, 60677, ((uint64_t)(zend_is_identical)));
			} else if (arm64_may_use_adr((void*)(zend_is_identical))) {
		dasm_put(Dst, 60680, (unsigned int)((ptrdiff_t)(zend_is_identical)), (unsigned int)(((ptrdiff_t)(zend_is_identical))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_is_identical))) {
		dasm_put(Dst, 60683, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_is_identical))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_is_identical)))))>>32));
				if (((uintptr_t)(zend_is_identical)) & 0xfff) {
		dasm_put(Dst, 60686, (((uintptr_t)(zend_is_identical)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_is_identical) & 0xffff) {
		dasm_put(Dst, 60689, ((uintptr_t)(zend_is_identical) & 0xffff));
				if (((uintptr_t)(zend_is_identical) >> 16) & 0xffff) {
		dasm_put(Dst, 60692, (((uintptr_t)(zend_is_identical) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_is_identical) >> 32) & 0xffff) {
		dasm_put(Dst, 60695, (((uintptr_t)(zend_is_identical) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_is_identical) >> 16) & 0xffff) {
		dasm_put(Dst, 60698, (((uintptr_t)(zend_is_identical) >> 16) & 0xffff));
				if (((uintptr_t)(zend_is_identical) >> 32) & 0xffff) {
		dasm_put(Dst, 60701, (((uintptr_t)(zend_is_identical) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 60704, (((uintptr_t)(zend_is_identical) >> 32) & 0xffff));
			}
		dasm_put(Dst, 60707);
			}
#line 7810 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if ((opline->opcode != ZEND_CASE_STRICT &&
			     (opline->op1_type & (IS_VAR|IS_TMP_VAR)) &&
			     (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF))) ||
			    ((opline->op2_type & (IS_VAR|IS_TMP_VAR)) &&
			     (op2_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF)))) {
				//|	str RETVALw, T1 // save
				dasm_put(Dst, 60709);
#line 7816 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (opline->opcode != ZEND_CASE_STRICT) {
					//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
						if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
							zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
						if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
							if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
								if (1) {
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 60711, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 60715, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 60719, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 60723, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 60727, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 60732, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 60737, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 60740, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 60744, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 60748, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 60752, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 60756, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 60760, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 60764);
					dasm_put(Dst, 60767);
								} else {
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 60769, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 60773, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 60777, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 60781, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 60785, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 60790, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 60795, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 60798, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 60802, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 60806, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 60810, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 60814, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 60818, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 60822);
								}
							}
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 60825, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
						} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
					dasm_put(Dst, 60829, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 60833, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 60837, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 60841, (Z_REG(addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 60845, (Z_REG(addr)), (Z_OFFSET(addr)));
						}
					dasm_put(Dst, 60849, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
							if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
								if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
									if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					dasm_put(Dst, 60857);
									} else {
					dasm_put(Dst, 60860);
									}
								}
						do {
							if (!((op1_info) & MAY_BE_GUARD)
							 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
								zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
								if (type == IS_STRING && !ZEND_DEBUG) {
						if (arm64_may_use_b(_efree)) {
					dasm_put(Dst, 60863, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
						} else {
						if (((uintptr_t)(_efree)) == 0) {
					dasm_put(Dst, 60866, (ZREG_X15));
						} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
					dasm_put(Dst, 60869, (ZREG_X15), ((uint64_t)(_efree)));
						} else if (arm64_may_use_adr((void*)(_efree))) {
					dasm_put(Dst, 60873, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
						} else if (arm64_may_use_adrp((void*)(_efree))) {
					dasm_put(Dst, 60877, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
							if (((uintptr_t)(_efree)) & 0xfff) {
					dasm_put(Dst, 60881, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
							}
						} else if ((uintptr_t)(_efree) & 0xffff) {
					dasm_put(Dst, 60886, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
							if (((uintptr_t)(_efree) >> 16) & 0xffff) {
					dasm_put(Dst, 60890, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
							}
							if (((uintptr_t)(_efree) >> 32) & 0xffff) {
					dasm_put(Dst, 60894, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
					dasm_put(Dst, 60898, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
							if (((uintptr_t)(_efree) >> 32) & 0xffff) {
					dasm_put(Dst, 60902, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 60906, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					dasm_put(Dst, 60910, (ZREG_X15));
						}
									break;
								} else if (type == IS_ARRAY) {
									if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
										if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 60913, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 60916, (ZREG_X15));
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 60919, (ZREG_X15), ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 60923, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 60927, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 60931, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 60936, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 60940, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 60944, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 60948, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 60952, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 60956, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 60960, (ZREG_X15), Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
										}
						if (arm64_may_use_b(zend_array_destroy)) {
					dasm_put(Dst, 60964, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
						} else {
						if (((uintptr_t)(zend_array_destroy)) == 0) {
					dasm_put(Dst, 60967, (ZREG_X15));
						} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
					dasm_put(Dst, 60970, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
						} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
					dasm_put(Dst, 60974, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
					dasm_put(Dst, 60978, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
							if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
					dasm_put(Dst, 60982, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
					dasm_put(Dst, 60987, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
							if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
					dasm_put(Dst, 60991, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
					dasm_put(Dst, 60995, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
					dasm_put(Dst, 60999, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
							if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
					dasm_put(Dst, 61003, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61007, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					dasm_put(Dst, 61011, (ZREG_X15));
						}
									} else {
						if (arm64_may_use_b(zend_jit_array_free)) {
					dasm_put(Dst, 61014, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
						} else {
						if (((uintptr_t)(zend_jit_array_free)) == 0) {
					dasm_put(Dst, 61017, (ZREG_X15));
						} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
					dasm_put(Dst, 61020, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
						} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
					dasm_put(Dst, 61024, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
					dasm_put(Dst, 61028, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
							if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
					dasm_put(Dst, 61032, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
					dasm_put(Dst, 61037, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
							if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
					dasm_put(Dst, 61041, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
					dasm_put(Dst, 61045, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
					dasm_put(Dst, 61049, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
					dasm_put(Dst, 61053, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61057, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					dasm_put(Dst, 61061, (ZREG_X15));
						}
									}
									break;
								} else if (type == IS_OBJECT) {
									if (opline) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 61064, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 61067);
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 61069, ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 61072, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 61075, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 61078, (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 61081, ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 61084, (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 61087, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 61090, (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 61093, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61096, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 61099, Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
									}
						if (arm64_may_use_b(zend_objects_store_del)) {
					dasm_put(Dst, 61102, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
						} else {
						if (((uintptr_t)(zend_objects_store_del)) == 0) {
					dasm_put(Dst, 61105, (ZREG_X15));
						} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
					dasm_put(Dst, 61108, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
						} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
					dasm_put(Dst, 61112, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
					dasm_put(Dst, 61116, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
							if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
					dasm_put(Dst, 61120, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
					dasm_put(Dst, 61125, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
							if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
					dasm_put(Dst, 61129, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
					dasm_put(Dst, 61133, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
					dasm_put(Dst, 61137, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
							if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
					dasm_put(Dst, 61141, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61145, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					dasm_put(Dst, 61149, (ZREG_X15));
						}
									break;
								}
							}
							if (opline) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 61152, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 61155, (ZREG_X15));
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 61158, (ZREG_X15), ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 61162, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 61166, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 61170, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 61175, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 61179, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 61183, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 61187, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 61191, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61195, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 61199, (ZREG_X15), Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
							}
						if (arm64_may_use_b(rc_dtor_func)) {
					dasm_put(Dst, 61203, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
						} else {
						if (((uintptr_t)(rc_dtor_func)) == 0) {
					dasm_put(Dst, 61206, (ZREG_X15));
						} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
					dasm_put(Dst, 61209, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
						} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
					dasm_put(Dst, 61213, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
						} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
					dasm_put(Dst, 61217, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
							if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
					dasm_put(Dst, 61221, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
							}
						} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
					dasm_put(Dst, 61226, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
							if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
					dasm_put(Dst, 61230, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
							}
							if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
					dasm_put(Dst, 61234, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
					dasm_put(Dst, 61238, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
							if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
					dasm_put(Dst, 61242, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61246, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					dasm_put(Dst, 61250, (ZREG_X15));
						}
						} while(0);
								if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					dasm_put(Dst, 61253);
								}
					dasm_put(Dst, 61256);
							}
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
								if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
									zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 61258, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 61262, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 61266, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61270, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 61274, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 61279, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 61284, (ZREG_X15));
						} else {
					dasm_put(Dst, 61288, (ZREG_X15), IS_REFERENCE);
						}
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 61294, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 61298, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 61302, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61306, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 61310, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 61315, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_COLLECTABLE == 0) {
					dasm_put(Dst, 61320, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
					dasm_put(Dst, 61323, (ZREG_X15), IS_TYPE_COLLECTABLE);
						} else {
						if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
					dasm_put(Dst, 61327, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
						} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
					dasm_put(Dst, 61331, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
							if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
					dasm_put(Dst, 61335, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61339, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					dasm_put(Dst, 61343, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 61347);
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 61350, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 61354, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 61358, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61362, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 61366, (Z_REG(ref_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 61370, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
					dasm_put(Dst, 61374);
								}
					dasm_put(Dst, 61376, (ZREG_X15));
						if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
					dasm_put(Dst, 61379, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
					dasm_put(Dst, 61382, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
						} else {
						if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
					dasm_put(Dst, 61386, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
						} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
					dasm_put(Dst, 61390, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
							if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
					dasm_put(Dst, 61394, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61398, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					dasm_put(Dst, 61402, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 61406);
						if (arm64_may_use_b(gc_possible_root)) {
					dasm_put(Dst, 61409, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
						} else {
						if (((uintptr_t)(gc_possible_root)) == 0) {
					dasm_put(Dst, 61412, (ZREG_X15));
						} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
					dasm_put(Dst, 61415, (ZREG_X15), ((uint64_t)(gc_possible_root)));
						} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
					dasm_put(Dst, 61419, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
						} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
					dasm_put(Dst, 61423, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
							if (((uintptr_t)(gc_possible_root)) & 0xfff) {
					dasm_put(Dst, 61427, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
							}
						} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
					dasm_put(Dst, 61432, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
							if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
					dasm_put(Dst, 61436, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
							}
							if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
					dasm_put(Dst, 61440, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
					dasm_put(Dst, 61444, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
							if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
					dasm_put(Dst, 61448, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 61452, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					dasm_put(Dst, 61456, (ZREG_X15));
						}
							}
							if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
					dasm_put(Dst, 61459);
							}
					dasm_put(Dst, 61462);
						}
						}
#line 7818 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	FREE_OP opline->op2_type, opline->op2, op2_info, 1, opline, ZREG_TMP1, ZREG_TMP2
					if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
						zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
					if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
						if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							if (1) {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 61464, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 61468, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 61472, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 61476, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 61480, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 61485, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 61490, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 61493, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 61497, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 61501, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 61505, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 61509, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 61513, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 61517);
				dasm_put(Dst, 61520);
							} else {
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 61522, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 61526, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 61530, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 61534, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 61538, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 61543, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 61548, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 61551, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 61555, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 61559, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 61563, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 61567, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 61571, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 61575);
							}
						}
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 61578, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
					} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
				dasm_put(Dst, 61582, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 61586, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 61590, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 61594, (Z_REG(addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 61598, (Z_REG(addr)), (Z_OFFSET(addr)));
					}
				dasm_put(Dst, 61602, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
						if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
							if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
								if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 61610);
								} else {
				dasm_put(Dst, 61613);
								}
							}
					do {
						if (!((op2_info) & MAY_BE_GUARD)
						 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
							if (type == IS_STRING && !ZEND_DEBUG) {
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 61616, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 61619, (ZREG_X15));
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 61622, (ZREG_X15), ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 61626, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 61630, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 61634, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 61639, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 61643, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 61647, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 61651, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 61655, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 61659, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 61663, (ZREG_X15));
					}
								break;
							} else if (type == IS_ARRAY) {
								if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
									if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 61666, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 61669, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 61672, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 61676, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 61680, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 61684, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 61689, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 61693, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 61697, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 61701, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 61705, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 61709, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 61713, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
									}
					if (arm64_may_use_b(zend_array_destroy)) {
				dasm_put(Dst, 61717, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else {
					if (((uintptr_t)(zend_array_destroy)) == 0) {
				dasm_put(Dst, 61720, (ZREG_X15));
					} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
				dasm_put(Dst, 61723, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
					} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
				dasm_put(Dst, 61727, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
				dasm_put(Dst, 61731, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
						if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
				dasm_put(Dst, 61735, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
				dasm_put(Dst, 61740, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 61744, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 61748, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 61752, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 61756, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 61760, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				dasm_put(Dst, 61764, (ZREG_X15));
					}
								} else {
					if (arm64_may_use_b(zend_jit_array_free)) {
				dasm_put(Dst, 61767, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else {
					if (((uintptr_t)(zend_jit_array_free)) == 0) {
				dasm_put(Dst, 61770, (ZREG_X15));
					} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
				dasm_put(Dst, 61773, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
					} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 61777, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 61781, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
						if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
				dasm_put(Dst, 61785, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
				dasm_put(Dst, 61790, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 61794, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 61798, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 61802, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 61806, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 61810, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				dasm_put(Dst, 61814, (ZREG_X15));
					}
								}
								break;
							} else if (type == IS_OBJECT) {
								if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 61817, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 61820);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 61822, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 61825, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 61828, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 61831, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 61834, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 61837, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 61840, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 61843, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 61846, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 61849, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 61852, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
								}
					if (arm64_may_use_b(zend_objects_store_del)) {
				dasm_put(Dst, 61855, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else {
					if (((uintptr_t)(zend_objects_store_del)) == 0) {
				dasm_put(Dst, 61858, (ZREG_X15));
					} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
				dasm_put(Dst, 61861, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
					} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 61865, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 61869, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
						if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
				dasm_put(Dst, 61873, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
				dasm_put(Dst, 61878, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 61882, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 61886, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 61890, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 61894, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 61898, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				dasm_put(Dst, 61902, (ZREG_X15));
					}
								break;
							}
						}
						if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 61905, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 61908, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 61911, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 61915, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 61919, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 61923, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 61928, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 61932, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 61936, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 61940, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 61944, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 61948, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 61952, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
						}
					if (arm64_may_use_b(rc_dtor_func)) {
				dasm_put(Dst, 61956, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else {
					if (((uintptr_t)(rc_dtor_func)) == 0) {
				dasm_put(Dst, 61959, (ZREG_X15));
					} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
				dasm_put(Dst, 61962, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
					} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
				dasm_put(Dst, 61966, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
				dasm_put(Dst, 61970, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
						if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
				dasm_put(Dst, 61974, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
						}
					} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
				dasm_put(Dst, 61979, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 61983, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						}
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 61987, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 61991, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 61995, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 61999, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				dasm_put(Dst, 62003, (ZREG_X15));
					}
					} while(0);
							if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 62006);
							}
				dasm_put(Dst, 62009);
						}
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
							if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
								zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 62011, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 62015, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 62019, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62023, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 62027, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 62032, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 62037, (ZREG_X15));
					} else {
				dasm_put(Dst, 62041, (ZREG_X15), IS_REFERENCE);
					}
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 62047, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 62051, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 62055, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62059, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 62063, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 62068, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_COLLECTABLE == 0) {
				dasm_put(Dst, 62073, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
				dasm_put(Dst, 62076, (ZREG_X15), IS_TYPE_COLLECTABLE);
					} else {
					if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 62080, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
					} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
				dasm_put(Dst, 62084, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
						if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 62088, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62092, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				dasm_put(Dst, 62096, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 62100);
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 62103, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 62107, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 62111, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62115, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 62119, (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 62123, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
				dasm_put(Dst, 62127);
							}
				dasm_put(Dst, 62129, (ZREG_X15));
					if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
				dasm_put(Dst, 62132, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
				dasm_put(Dst, 62135, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
					} else {
					if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
				dasm_put(Dst, 62139, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
					} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
				dasm_put(Dst, 62143, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
						if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
				dasm_put(Dst, 62147, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62151, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 62155, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 62159);
					if (arm64_may_use_b(gc_possible_root)) {
				dasm_put(Dst, 62162, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else {
					if (((uintptr_t)(gc_possible_root)) == 0) {
				dasm_put(Dst, 62165, (ZREG_X15));
					} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
				dasm_put(Dst, 62168, (ZREG_X15), ((uint64_t)(gc_possible_root)));
					} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
				dasm_put(Dst, 62172, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
				dasm_put(Dst, 62176, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
						if (((uintptr_t)(gc_possible_root)) & 0xfff) {
				dasm_put(Dst, 62180, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
						}
					} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
				dasm_put(Dst, 62185, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 62189, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						}
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 62193, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 62197, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 62201, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62205, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				dasm_put(Dst, 62209, (ZREG_X15));
					}
						}
						if (1 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
				dasm_put(Dst, 62212);
						}
				dasm_put(Dst, 62215);
					}
					}
#line 7820 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (may_throw) {
					zend_jit_check_exception_undef_result(Dst, opline);
				}
				//|	ldr RETVALw, T1 // restore
				dasm_put(Dst, 62217);
#line 7824 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		if (smart_branch_opcode) {
			if (exit_addr) {
				if (smart_branch_opcode == ZEND_JMPNZ) {
					//|	cbnz RETVALw, &exit_addr
					dasm_put(Dst, 62219, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7829 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	cbz RETVALw, &exit_addr
					dasm_put(Dst, 62222, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7831 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (not_identical_label != (uint32_t)-1) {
				//|	cbz RETVALw, =>not_identical_label
				dasm_put(Dst, 62225, not_identical_label);
#line 7834 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (identical_label != (uint32_t)-1) {
					//|	b =>identical_label
					dasm_put(Dst, 62228, identical_label);
#line 7836 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (identical_label != (uint32_t)-1) {
				//|	cbnz RETVALw, =>identical_label
				dasm_put(Dst, 62231, identical_label);
#line 7839 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (opline->opcode != ZEND_IS_NOT_IDENTICAL) {
				//|	add RETVALw, RETVALw, #2
				dasm_put(Dst, 62234);
#line 7843 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	neg RETVALw, RETVALw
				//|	add RETVALw, RETVALw, #3
				dasm_put(Dst, 62236);
#line 7846 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, RETVALw, TMP1
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 62239, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 62242, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 62245, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 62248, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 62251, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 62254, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 7848 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	//|9:
	dasm_put(Dst, 62258);
#line 7852 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (may_throw) {
		zend_jit_check_exception(Dst);
	}
	return 1;
}

static int zend_jit_bool_jmpznz(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr, zend_jit_addr res_addr, uint32_t target_label, uint32_t target_label2, int may_throw, zend_uchar branch_opcode, const void *exit_addr)
{
	uint32_t true_label = -1;
	uint32_t false_label = -1;
	bool set_bool = 0;
	bool set_bool_not = 0;
	bool set_delayed = 0;
	bool jmp_done = 0;

	if (branch_opcode == ZEND_BOOL) {
		set_bool = 1;
	} else if (branch_opcode == ZEND_BOOL_NOT) {
		set_bool = 1;
		set_bool_not = 1;
	} else if (branch_opcode == ZEND_JMPZ) {
		false_label = target_label;
	} else if (branch_opcode == ZEND_JMPNZ) {
		true_label = target_label;
	} else if (branch_opcode == ZEND_JMPZ_EX) {
		set_bool = 1;
		false_label = target_label;
	} else if (branch_opcode == ZEND_JMPNZ_EX) {
		set_bool = 1;
		true_label = target_label;
	} else {
		ZEND_UNREACHABLE();
	}

	if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
		if (zend_is_true(Z_ZV(op1_addr))) {
			/* Always TRUE */
			if (set_bool) {
				if (set_bool_not) {
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
					dasm_put(Dst, 62260, ((uint32_t)(IS_FALSE)));
						} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
					dasm_put(Dst, 62263, ((uint32_t)(IS_FALSE) & 0xffff));
							if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
					dasm_put(Dst, 62266, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62269, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 62272, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 62275, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 62278, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62281, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 62284, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 62287, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 7892 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
					dasm_put(Dst, 62291, ((uint32_t)(IS_TRUE)));
						} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
					dasm_put(Dst, 62294, ((uint32_t)(IS_TRUE) & 0xffff));
							if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
					dasm_put(Dst, 62297, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62300, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 62303, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 62306, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 62309, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62312, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 62315, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 62318, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 7894 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (true_label != (uint32_t)-1) {
				//|	b =>true_label
				dasm_put(Dst, 62322, true_label);
#line 7898 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			/* Always FALSE */
			if (set_bool) {
				if (set_bool_not) {
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
					dasm_put(Dst, 62325, ((uint32_t)(IS_TRUE)));
						} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
					dasm_put(Dst, 62328, ((uint32_t)(IS_TRUE) & 0xffff));
							if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
					dasm_put(Dst, 62331, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62334, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 62337, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 62340, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 62343, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62346, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 62349, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 62352, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 7904 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
					dasm_put(Dst, 62356, ((uint32_t)(IS_FALSE)));
						} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
					dasm_put(Dst, 62359, ((uint32_t)(IS_FALSE) & 0xffff));
							if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
					dasm_put(Dst, 62362, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62365, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 62368, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 62371, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 62374, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62377, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 62380, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 62383, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 7906 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (false_label != (uint32_t)-1) {
				//|	b =>false_label
				dasm_put(Dst, 62387, false_label);
#line 7910 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		return 1;
	}

	if (opline->op1_type == IS_CV && (op1_info & MAY_BE_REF)) {
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 62390);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 62392, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 62395, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 62398, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 62401, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 62404, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 62407, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 62410, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 62413, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 62416, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 62419, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 62422, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 62425, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 62429, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 62432, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 62435, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 62438, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 62441, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 62444);
					} else {
		dasm_put(Dst, 62446, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 7917 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
			if (op1_info & MAY_BE_REF) {
		dasm_put(Dst, 62449, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 62452);
			} else {
		dasm_put(Dst, 62455, IS_REFERENCE);
			}
		dasm_put(Dst, 62460, offsetof(zend_reference, val));
			}
#line 7918 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	}

	if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE)) {
		if (!(op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY)-MAY_BE_TRUE))) {
			/* Always TRUE */
			if (set_bool) {
				if (set_bool_not) {
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
					dasm_put(Dst, 62465, ((uint32_t)(IS_FALSE)));
						} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
					dasm_put(Dst, 62468, ((uint32_t)(IS_FALSE) & 0xffff));
							if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
					dasm_put(Dst, 62471, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62474, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 62477, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 62480, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 62483, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62486, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 62489, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 62492, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 7927 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
					dasm_put(Dst, 62496, ((uint32_t)(IS_TRUE)));
						} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
					dasm_put(Dst, 62499, ((uint32_t)(IS_TRUE) & 0xffff));
							if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
					dasm_put(Dst, 62502, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62505, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 62508, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 62511, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 62514, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 62517, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 62520, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 62523, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 7929 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (true_label != (uint32_t)-1) {
				//|	b =>true_label
				dasm_put(Dst, 62527, true_label);
#line 7933 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (!(op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE)))) {
				/* Always FALSE */
				if (set_bool) {
					if (set_bool_not) {
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
						dasm_put(Dst, 62530, ((uint32_t)(IS_TRUE)));
							} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
						dasm_put(Dst, 62533, ((uint32_t)(IS_TRUE) & 0xffff));
								if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
						dasm_put(Dst, 62536, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 62539, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 62542, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 62545, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 62548, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 62551, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 62554, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 62557, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 7940 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
						dasm_put(Dst, 62561, ((uint32_t)(IS_FALSE)));
							} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
						dasm_put(Dst, 62564, ((uint32_t)(IS_FALSE) & 0xffff));
								if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
						dasm_put(Dst, 62567, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 62570, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 62573, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 62576, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 62579, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 62582, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 62585, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 62588, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 7942 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
			} else {
				//|	CMP_ZVAL_TYPE op1_addr, IS_TRUE, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 62592, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 62596, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 62600, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62604, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 62608, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 62613, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
				dasm_put(Dst, 62618, (ZREG_X15), IS_TRUE);
#line 7946 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				    if ((op1_info & MAY_BE_LONG) &&
				        !(op1_info & MAY_BE_UNDEF) &&
				        !set_bool) {
						if (exit_addr) {
							if (branch_opcode == ZEND_JMPNZ) {
								//|	blt >9
								dasm_put(Dst, 62622);
#line 7953 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							} else {
								//|	blt &exit_addr
								dasm_put(Dst, 62625, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7955 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							}
						} else if (false_label != (uint32_t)-1) {
							//|	blt =>false_label
							dasm_put(Dst, 62628, false_label);
#line 7958 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	blt >9
							dasm_put(Dst, 62631);
#line 7960 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						jmp_done = 1;
					} else {
						//|	bgt >2
						dasm_put(Dst, 62634);
#line 7964 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				if (!(op1_info & MAY_BE_TRUE)) {
					/* It's FALSE */
					if (set_bool) {
						if (set_bool_not) {
							//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
							dasm_put(Dst, 62637, ((uint32_t)(IS_TRUE)));
								} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
							dasm_put(Dst, 62640, ((uint32_t)(IS_TRUE) & 0xffff));
									if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
							dasm_put(Dst, 62643, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 62646, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 62649, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 62652, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 62655, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 62658, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 62661, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 62664, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 7971 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
							dasm_put(Dst, 62668, ((uint32_t)(IS_FALSE)));
								} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
							dasm_put(Dst, 62671, ((uint32_t)(IS_FALSE) & 0xffff));
									if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
							dasm_put(Dst, 62674, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 62677, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 62680, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 62683, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 62686, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 62689, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 62692, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 62695, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 7973 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
				} else {
					if (exit_addr) {
						if (set_bool) {
							//|	bne >1
							//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
							dasm_put(Dst, 62699);
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
							dasm_put(Dst, 62702, ((uint32_t)(IS_TRUE)));
								} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
							dasm_put(Dst, 62705, ((uint32_t)(IS_TRUE) & 0xffff));
									if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
							dasm_put(Dst, 62708, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 62711, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 62714, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 62717, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 62720, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 62723, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 62726, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 62729, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 7980 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							if (branch_opcode == ZEND_JMPNZ || branch_opcode == ZEND_JMPNZ_EX) {
								//|	b &exit_addr
								dasm_put(Dst, 62733, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7982 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							} else {
								//|	b >9
								dasm_put(Dst, 62736);
#line 7984 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							}
							//|1:
							//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
							dasm_put(Dst, 62739);
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
							dasm_put(Dst, 62741, ((uint32_t)(IS_FALSE)));
								} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
							dasm_put(Dst, 62744, ((uint32_t)(IS_FALSE) & 0xffff));
									if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
							dasm_put(Dst, 62747, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 62750, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 62753, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 62756, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 62759, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 62762, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 62765, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 62768, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 7987 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							if (branch_opcode == ZEND_JMPZ || branch_opcode == ZEND_JMPZ_EX) {
								if (!(op1_info & (MAY_BE_UNDEF|MAY_BE_LONG))) {
									//|	bne &exit_addr
									dasm_put(Dst, 62772, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7990 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
								}
							}
						} else {
							if (branch_opcode == ZEND_JMPNZ || branch_opcode == ZEND_JMPNZ_EX) {
								//|	beq &exit_addr
								dasm_put(Dst, 62775, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7995 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							} else if (!(op1_info & (MAY_BE_UNDEF|MAY_BE_LONG))) {
								//|	bne &exit_addr
								dasm_put(Dst, 62778, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 7997 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							} else {
								//|	beq >9
								dasm_put(Dst, 62781);
#line 7999 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							}
						}
					} else if (true_label != (uint32_t)-1 || false_label != (uint32_t)-1) {
						if (set_bool) {
							//|	bne >1
							//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
							dasm_put(Dst, 62784);
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
							dasm_put(Dst, 62787, ((uint32_t)(IS_TRUE)));
								} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
							dasm_put(Dst, 62790, ((uint32_t)(IS_TRUE) & 0xffff));
									if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
							dasm_put(Dst, 62793, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 62796, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 62799, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 62802, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 62805, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 62808, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 62811, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 62814, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 8005 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							if (true_label != (uint32_t)-1) {
								//|	b =>true_label
								dasm_put(Dst, 62818, true_label);
#line 8007 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							} else {
								//|	b >9
								dasm_put(Dst, 62821);
#line 8009 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							}
							//|1:
							//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
							dasm_put(Dst, 62824);
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
							dasm_put(Dst, 62826, ((uint32_t)(IS_FALSE)));
								} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
							dasm_put(Dst, 62829, ((uint32_t)(IS_FALSE) & 0xffff));
									if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
							dasm_put(Dst, 62832, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 62835, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 62838, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 62841, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 62844, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 62847, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 62850, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 62853, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 8012 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							if (true_label != (uint32_t)-1) {
								//|	beq =>true_label
								dasm_put(Dst, 62857, true_label);
#line 8015 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							} else if (!(op1_info & (MAY_BE_UNDEF|MAY_BE_LONG))) {
								//|	bne =>false_label
								dasm_put(Dst, 62860, false_label);
#line 8017 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
								jmp_done = 1;
							} else {
								//|	beq >9
								dasm_put(Dst, 62863);
#line 8020 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							}
						}
					} else if (set_bool) {
						//|	cset REG0w, eq
						dasm_put(Dst, 62866);
#line 8024 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						if (set_bool_not) {
							//|	neg REG0w, REG0w
							//|	add REG0w, REG0w, #3
							dasm_put(Dst, 62868);
#line 8027 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	add REG0w, REG0w, #2
							dasm_put(Dst, 62871);
#line 8029 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						if ((op1_info & MAY_BE_UNDEF) && (op1_info & MAY_BE_ANY)) {
							set_delayed = 1;
						} else {
							//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
								ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
								if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
							dasm_put(Dst, 62873, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
								} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
							dasm_put(Dst, 62876, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
							dasm_put(Dst, 62879, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 62882, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 62885, (Z_REG(res_addr)));
								} else {
							dasm_put(Dst, 62888, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
								}
#line 8034 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
				}
			}

			/* It's FALSE, but may be UNDEF */
			if (op1_info & MAY_BE_UNDEF) {
				if (op1_info & MAY_BE_ANY) {
					if (set_delayed) {
						//|	CMP_ZVAL_TYPE op1_addr, IS_UNDEF, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 62892, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 62896, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 62900, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 62904, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 62908, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 62913, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
							}
#line 8044 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
						dasm_put(Dst, 62918, (ZREG_X15), IS_UNDEF);
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 62922, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 62925, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 62928, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 62931, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 62934, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 62937, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 8045 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	beq >1
						dasm_put(Dst, 62941);
#line 8046 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	IF_ZVAL_TYPE op1_addr, IS_UNDEF, >1, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 62944, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 62948, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 62952, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 62956, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 62960, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 62965, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_UNDEF == 0) {
						dasm_put(Dst, 62970, (ZREG_X15));
							} else {
						dasm_put(Dst, 62974, (ZREG_X15), IS_UNDEF);
							}
#line 8048 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|.cold_code
					dasm_put(Dst, 62980);
#line 8050 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 62981);
#line 8051 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
					if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
				dasm_put(Dst, 62983, ((uint32_t)(opline->op1.var)));
					} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
				dasm_put(Dst, 62986, ((uint32_t)(opline->op1.var) & 0xffff));
						if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
				dasm_put(Dst, 62989, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 62992, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
					}
#line 8053 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 62995, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 62998);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 63000, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 63003, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 63006, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 63009, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 63012, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 63015, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 63018, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 63021, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 63024, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63027, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 63030, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 8054 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_undefined_op_helper, REG0
					if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
				dasm_put(Dst, 63033, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
				dasm_put(Dst, 63036);
					} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 63038, ((uint64_t)(zend_jit_undefined_op_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 63041, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 63044, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
						if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
				dasm_put(Dst, 63047, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
				dasm_put(Dst, 63050, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 63053, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 63056, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 63059, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 63062, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63065, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 63068);
					}
#line 8055 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

				if (may_throw) {
					if (!zend_jit_check_exception_undef_result(Dst, opline)) {
						return 0;
					}
				}

				if (exit_addr) {
					if (branch_opcode == ZEND_JMPZ || branch_opcode == ZEND_JMPZ_EX) {
						//|	b &exit_addr
						dasm_put(Dst, 63070, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8065 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else if (false_label != (uint32_t)-1) {
					//|	b =>false_label
					dasm_put(Dst, 63073, false_label);
#line 8068 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (op1_info & MAY_BE_ANY) {
					if (exit_addr) {
						if (branch_opcode == ZEND_JMPNZ || branch_opcode == ZEND_JMPNZ_EX) {
							//|	b >9
							dasm_put(Dst, 63076);
#line 8073 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else if (false_label == (uint32_t)-1) {
						//|	b >9
						dasm_put(Dst, 63079);
#line 8076 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|.code
					dasm_put(Dst, 63082);
#line 8078 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}

			if (!jmp_done) {
				if (exit_addr) {
					if (branch_opcode == ZEND_JMPNZ || branch_opcode == ZEND_JMPNZ_EX) {
						if (op1_info & MAY_BE_LONG) {
							//|	b >9
							dasm_put(Dst, 63083);
#line 8086 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else if (op1_info & MAY_BE_LONG) {
						//|	b &exit_addr
						dasm_put(Dst, 63086, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8089 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else if (false_label != (uint32_t)-1) {
					//|	b =>false_label
					dasm_put(Dst, 63089, false_label);
#line 8092 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if ((op1_info & MAY_BE_LONG) || (op1_info & MAY_BE_ANY) == MAY_BE_DOUBLE) {
					//|	b >9
					dasm_put(Dst, 63092);
#line 8094 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
		}
	}

	if (op1_info & MAY_BE_LONG) {
		//|2:
		dasm_put(Dst, 63095);
#line 8101 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG))) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >2, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 63097, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 63101, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 63105, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 63109, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 63113, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 63118, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_LONG == 0) {
			dasm_put(Dst, 63123, (ZREG_X15));
				} else {
			dasm_put(Dst, 63127, (ZREG_X15), IS_LONG);
				}
#line 8103 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (Z_MODE(op1_addr) == IS_REG) {
			//|	tst Rx(Z_REG(op1_addr)), Rx(Z_REG(op1_addr))
			dasm_put(Dst, 63133, (Z_REG(op1_addr)), (Z_REG(op1_addr)));
#line 8106 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LONG_CMP_WITH_CONST op1_addr, Z_L(0), TMP1, TMP2
				if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 63137, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 63140, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 63143, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 63146, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 63149, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 63152, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				if (Z_L(0) == 0) {
			dasm_put(Dst, 63156);
				} else if (arm64_may_encode_imm12((int64_t)(Z_L(0)))) {
			dasm_put(Dst, 63158, Z_L(0));
				} else if (arm64_may_encode_imm12((int64_t)(-Z_L(0)))) {
			dasm_put(Dst, 63161, -Z_L(0));
				} else {
				if (((uint64_t)(Z_L(0))) == 0) {
			dasm_put(Dst, 63164);
				} else if (((uint64_t)(Z_L(0))) <= MOVZ_IMM) {
			dasm_put(Dst, 63166, ((uint64_t)(Z_L(0))));
				} else if (~((uint64_t)(Z_L(0))) <= MOVZ_IMM) {
			dasm_put(Dst, 63169, (~((uint64_t)(Z_L(0)))));
				} else if ((uint64_t)(Z_L(0)) & 0xffff) {
			dasm_put(Dst, 63172, ((uint64_t)(Z_L(0)) & 0xffff));
					if (((uint64_t)(Z_L(0)) >> 16) & 0xffff) {
			dasm_put(Dst, 63175, (((uint64_t)(Z_L(0)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_L(0)) >> 32) & 0xffff) {
			dasm_put(Dst, 63178, (((uint64_t)(Z_L(0)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_L(0)) >> 48) & 0xffff)) {
			dasm_put(Dst, 63181, (((uint64_t)(Z_L(0)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_L(0)) >> 16) & 0xffff) {
			dasm_put(Dst, 63184, (((uint64_t)(Z_L(0)) >> 16) & 0xffff));
					if (((uint64_t)(Z_L(0)) >> 32) & 0xffff) {
			dasm_put(Dst, 63187, (((uint64_t)(Z_L(0)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_L(0)) >> 48) & 0xffff)) {
			dasm_put(Dst, 63190, (((uint64_t)(Z_L(0)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_L(0)) >> 32) & 0xffff) {
			dasm_put(Dst, 63193, (((uint64_t)(Z_L(0)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_L(0)) >> 48) & 0xffff)) {
			dasm_put(Dst, 63196, (((uint64_t)(Z_L(0)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 63199, (((uint64_t)(Z_L(0)) >> 48) & 0xffff));
				}
			dasm_put(Dst, 63202);
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_L(0) == 0) {
			dasm_put(Dst, 63204, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_L(0)))) {
			dasm_put(Dst, 63207, (Z_REG(op1_addr)), Z_L(0));
				} else if (arm64_may_encode_imm12((int64_t)(-Z_L(0)))) {
			dasm_put(Dst, 63211, (Z_REG(op1_addr)), -Z_L(0));
				} else {
				if (((uint64_t)(Z_L(0))) == 0) {
			dasm_put(Dst, 63215);
				} else if (((uint64_t)(Z_L(0))) <= MOVZ_IMM) {
			dasm_put(Dst, 63217, ((uint64_t)(Z_L(0))));
				} else if (~((uint64_t)(Z_L(0))) <= MOVZ_IMM) {
			dasm_put(Dst, 63220, (~((uint64_t)(Z_L(0)))));
				} else if ((uint64_t)(Z_L(0)) & 0xffff) {
			dasm_put(Dst, 63223, ((uint64_t)(Z_L(0)) & 0xffff));
					if (((uint64_t)(Z_L(0)) >> 16) & 0xffff) {
			dasm_put(Dst, 63226, (((uint64_t)(Z_L(0)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_L(0)) >> 32) & 0xffff) {
			dasm_put(Dst, 63229, (((uint64_t)(Z_L(0)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_L(0)) >> 48) & 0xffff)) {
			dasm_put(Dst, 63232, (((uint64_t)(Z_L(0)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_L(0)) >> 16) & 0xffff) {
			dasm_put(Dst, 63235, (((uint64_t)(Z_L(0)) >> 16) & 0xffff));
					if (((uint64_t)(Z_L(0)) >> 32) & 0xffff) {
			dasm_put(Dst, 63238, (((uint64_t)(Z_L(0)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_L(0)) >> 48) & 0xffff)) {
			dasm_put(Dst, 63241, (((uint64_t)(Z_L(0)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_L(0)) >> 32) & 0xffff) {
			dasm_put(Dst, 63244, (((uint64_t)(Z_L(0)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_L(0)) >> 48) & 0xffff)) {
			dasm_put(Dst, 63247, (((uint64_t)(Z_L(0)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 63250, (((uint64_t)(Z_L(0)) >> 48) & 0xffff));
				}
			dasm_put(Dst, 63253, (Z_REG(op1_addr)));
				}
				} else {
					ZEND_UNREACHABLE();
				}
#line 8108 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (set_bool) {
			//|	cset REG0w, ne
			dasm_put(Dst, 63256);
#line 8111 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (set_bool_not) {
				//|	neg REG0w, REG0w
				//|	add REG0w, REG0w, #3
				dasm_put(Dst, 63258);
#line 8114 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	add REG0w, REG0w, #2
				dasm_put(Dst, 63261);
#line 8116 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 63263, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 63266, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 63269, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 63272, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 63275, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 63278, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 8118 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (exit_addr) {
			if (branch_opcode == ZEND_JMPNZ || branch_opcode == ZEND_JMPNZ_EX) {
				//|	bne &exit_addr
				dasm_put(Dst, 63282, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8122 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	beq &exit_addr
				dasm_put(Dst, 63285, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8124 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (true_label != (uint32_t)-1 || false_label != (uint32_t)-1) {
			if (true_label != (uint32_t)-1) {
				//|	bne =>true_label
				dasm_put(Dst, 63288, true_label);
#line 8128 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (false_label != (uint32_t)-1) {
					//|	b =>false_label
					dasm_put(Dst, 63291, false_label);
#line 8130 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				//|	beq =>false_label
				dasm_put(Dst, 63294, false_label);
#line 8133 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	if ((op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG))) == MAY_BE_DOUBLE) {
		if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
			//|.cold_code
			dasm_put(Dst, 63297);
#line 8140 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	    //|2:
		//|	fmov FPR0, xzr  // TODO: "movi d0, #0" is not recognized by DynASM/arm64
		//|	DOUBLE_CMP ZREG_FPR0, op1_addr, ZREG_TMP1, ZREG_FPTMP
		dasm_put(Dst, 63298);
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 63301, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 63308, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V16-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 63316, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 63319, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 63323, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 63327, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 63331, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 63336, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 63340, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 63344, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 63348, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 63352, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 63356, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 63360, (ZREG_V16-ZREG_V0), (ZREG_X15));
			}
		dasm_put(Dst, 63364, (ZREG_V0-ZREG_V0), (ZREG_V16-ZREG_V0));
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 63368, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 63372, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 63376, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 63380, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 63384, (ZREG_V16-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 63389, (ZREG_V16-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
		dasm_put(Dst, 63394, (ZREG_V0-ZREG_V0), (ZREG_V16-ZREG_V0));
			} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 63398, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
			} else {
				ZEND_UNREACHABLE();
			}
#line 8144 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		if (set_bool) {
			if (exit_addr) {
				if (branch_opcode == ZEND_JMPNZ || branch_opcode == ZEND_JMPNZ_EX) {
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
					dasm_put(Dst, 63402, ((uint32_t)(IS_TRUE)));
						} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
					dasm_put(Dst, 63405, ((uint32_t)(IS_TRUE) & 0xffff));
							if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
					dasm_put(Dst, 63408, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 63411, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 63414, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 63417, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 63420, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 63423, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 63426, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 63429, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 8149 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	bvs &exit_addr
					//|	bne &exit_addr
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
					dasm_put(Dst, 63433, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
					dasm_put(Dst, 63438, ((uint32_t)(IS_FALSE)));
						} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
					dasm_put(Dst, 63441, ((uint32_t)(IS_FALSE) & 0xffff));
							if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
					dasm_put(Dst, 63444, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 63447, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 63450, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 63453, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 63456, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 63459, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 63462, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 63465, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 8152 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	bvs >1
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
					dasm_put(Dst, 63469);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
					dasm_put(Dst, 63472, ((uint32_t)(IS_FALSE)));
						} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
					dasm_put(Dst, 63475, ((uint32_t)(IS_FALSE) & 0xffff));
							if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
					dasm_put(Dst, 63478, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 63481, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 63484, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 63487, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 63490, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 63493, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 63496, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 63499, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 8155 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	beq &exit_addr
					//|1:
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
					dasm_put(Dst, 63503, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
					dasm_put(Dst, 63507, ((uint32_t)(IS_TRUE)));
						} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
					dasm_put(Dst, 63510, ((uint32_t)(IS_TRUE) & 0xffff));
							if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
					dasm_put(Dst, 63513, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 63516, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 63519, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 63522, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 63525, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 63528, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 63531, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 63534, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 8158 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (false_label != (uint32_t)-1) { // JMPZ_EX
				//|	bvs >1
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
				dasm_put(Dst, 63538);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
				dasm_put(Dst, 63541, ((uint32_t)(IS_FALSE)));
					} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
				dasm_put(Dst, 63544, ((uint32_t)(IS_FALSE) & 0xffff));
						if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
				dasm_put(Dst, 63547, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63550, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 63553, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 63556, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 63559, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63562, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 63565, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 63568, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 8162 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	beq => false_label
				//|1:
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
				dasm_put(Dst, 63572,  false_label);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
				dasm_put(Dst, 63576, ((uint32_t)(IS_TRUE)));
					} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
				dasm_put(Dst, 63579, ((uint32_t)(IS_TRUE) & 0xffff));
						if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
				dasm_put(Dst, 63582, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63585, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 63588, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 63591, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 63594, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63597, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 63600, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 63603, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 8165 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (true_label != (uint32_t)-1) { // JMPNZ_EX
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
				dasm_put(Dst, 63607, ((uint32_t)(IS_TRUE)));
					} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
				dasm_put(Dst, 63610, ((uint32_t)(IS_TRUE) & 0xffff));
						if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
				dasm_put(Dst, 63613, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63616, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 63619, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 63622, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 63625, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63628, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 63631, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 63634, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 8167 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	bvs => true_label
				//|	bne => true_label
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
				dasm_put(Dst, 63638,  true_label,  true_label);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
				dasm_put(Dst, 63643, ((uint32_t)(IS_FALSE)));
					} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
				dasm_put(Dst, 63646, ((uint32_t)(IS_FALSE) & 0xffff));
						if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
				dasm_put(Dst, 63649, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63652, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 63655, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 63658, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 63661, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63664, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 63667, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 63670, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 8170 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (set_bool_not) { // BOOL_NOT
				//|	mov REG0w, #IS_FALSE
				//|	bvs >1
				//|	bne >1
				//|	mov REG0w, #IS_TRUE
				//|1:
				//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
				dasm_put(Dst, 63674, IS_FALSE, IS_TRUE);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 63684, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 63687, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 63690, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63693, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 63696, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 63699, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 8177 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else { // BOOL
				//|	mov REG0w, #IS_TRUE
				//|	bvs >1
				//|	bne >1
				//|	mov REG0w, #IS_FALSE
				//|1:
				//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
				dasm_put(Dst, 63703, IS_TRUE, IS_FALSE);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 63713, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 63716, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 63719, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63722, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 63725, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 63728, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 8184 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
				//|	b >9
				//|.code
				dasm_put(Dst, 63732);
#line 8188 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (exit_addr) {
				if (branch_opcode == ZEND_JMPNZ || branch_opcode == ZEND_JMPNZ_EX) {
					//|	bvs &exit_addr
					//|	bne &exit_addr
					//|1:
					dasm_put(Dst, 63735, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8195 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	bvs >1
					//|	beq &exit_addr
					//|1:
					dasm_put(Dst, 63741, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8199 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
					//|	b >9
					dasm_put(Dst, 63747);
#line 8202 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				ZEND_ASSERT(true_label != (uint32_t)-1 || false_label != (uint32_t)-1);
				if (false_label != (uint32_t)-1 ) {
					//|	bvs  >1
					//|	beq  => false_label
					//|1:
					dasm_put(Dst, 63750,  false_label);
#line 8209 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (true_label != (uint32_t)-1) {
						//|	b =>true_label
						dasm_put(Dst, 63756, true_label);
#line 8211 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
						//|	b >9
						dasm_put(Dst, 63759);
#line 8213 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else {
					//|	bvs  => true_label
					//|	bne  => true_label
					dasm_put(Dst, 63762,  true_label,  true_label);
#line 8217 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
						//|	b >9
						dasm_put(Dst, 63767);
#line 8219 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
			}
			if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
				//|.code
				dasm_put(Dst, 63770);
#line 8224 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else if (op1_info & (MAY_BE_ANY - (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG))) {
		if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
			//|.cold_code
			dasm_put(Dst, 63771);
#line 8229 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|2:
			dasm_put(Dst, 63772);
#line 8230 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 63774);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 63776, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 63779, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 63782, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 63785, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 63788, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 63791, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 63794, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 63797, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 63800, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 63803, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 63806, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 63809, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 63813, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 63816, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 63819, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 63822, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 63825, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 63828);
						} else {
			dasm_put(Dst, 63830, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 8233 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 63833, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 63836);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 63838, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 63841, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 63844, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 63847, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 63850, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 63853, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 63856, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 63859, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 63862, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 63865, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 63868, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 8235 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_is_true, REG0
			if (arm64_may_use_b(zend_is_true)) {
		dasm_put(Dst, 63871, (unsigned int)((ptrdiff_t)(zend_is_true)), (unsigned int)(((ptrdiff_t)(zend_is_true))>>32));
			} else {
			if (((uintptr_t)(zend_is_true)) == 0) {
		dasm_put(Dst, 63874);
			} else if (((uintptr_t)(zend_is_true)) <= MOVZ_IMM) {
		dasm_put(Dst, 63876, ((uint64_t)(zend_is_true)));
			} else if (arm64_may_use_adr((void*)(zend_is_true))) {
		dasm_put(Dst, 63879, (unsigned int)((ptrdiff_t)(zend_is_true)), (unsigned int)(((ptrdiff_t)(zend_is_true))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_is_true))) {
		dasm_put(Dst, 63882, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_is_true))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_is_true)))))>>32));
				if (((uintptr_t)(zend_is_true)) & 0xfff) {
		dasm_put(Dst, 63885, (((uintptr_t)(zend_is_true)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_is_true) & 0xffff) {
		dasm_put(Dst, 63888, ((uintptr_t)(zend_is_true) & 0xffff));
				if (((uintptr_t)(zend_is_true) >> 16) & 0xffff) {
		dasm_put(Dst, 63891, (((uintptr_t)(zend_is_true) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_is_true) >> 32) & 0xffff) {
		dasm_put(Dst, 63894, (((uintptr_t)(zend_is_true) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_is_true) >> 16) & 0xffff) {
		dasm_put(Dst, 63897, (((uintptr_t)(zend_is_true) >> 16) & 0xffff));
				if (((uintptr_t)(zend_is_true) >> 32) & 0xffff) {
		dasm_put(Dst, 63900, (((uintptr_t)(zend_is_true) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 63903, (((uintptr_t)(zend_is_true) >> 32) & 0xffff));
			}
		dasm_put(Dst, 63906);
			}
#line 8236 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov REG0, RETVALx
		dasm_put(Dst, 63908);
#line 8237 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		if ((opline->op1_type & (IS_VAR|IS_TMP_VAR)) &&
			(op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);

			if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				//|	IF_NOT_ZVAL_REFCOUNTED op1_addr, >3, ZREG_TMP1, ZREG_TMP2
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 63910, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 63914, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 63918, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63922, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 63926, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 63931, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 63936, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 63939, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 63943, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 63947, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 63951, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 63955, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 63959, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 63963);
#line 8244 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 63966, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 63969, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 63972, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 63975, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 63978, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 63981, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 8246 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GC_DELREF FCARG1x, TMP1w
			//|	bne >3
			dasm_put(Dst, 63985);
#line 8248 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			// In x86, r0 is used in macro ZVAL_DTOR_FUNC as temporary register, hence, r0 should be saved/restored
			// before/after this macro. In AArch64, TMP1 is used, but we still have to store REG0,
			// because it's clobbered by function call.
			//|	str REG0, T1 // save
			//|	ZVAL_DTOR_FUNC op1_info, opline, TMP1
			dasm_put(Dst, 63991);
				do {
					if (!((op1_info) & MAY_BE_GUARD)
					 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 63993, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 63996);
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 63998, ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 64001, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 64004, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 64007, (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 64010, ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 64013, (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 64016, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 64019, (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 64022, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64025, (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 64028);
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 64030, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 64033);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 64035, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 64038, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 64041, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 64044, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 64047, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 64050, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 64053, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 64056, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 64059, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64062, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 64065, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 64068, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 64071);
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 64073, ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 64076, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 64079, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 64082, (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 64085, ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 64088, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 64091, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 64094, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 64097, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64100, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 64103);
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 64105, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 64108);
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 64110, ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 64113, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 64116, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 64119, (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 64122, ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 64125, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 64128, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 64131, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 64134, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64137, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 64140);
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 64142, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 64145);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 64147, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 64150, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 64153, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 64156, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 64159, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 64162, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 64165, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 64168, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 64171, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64174, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 64177, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 64180, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 64183);
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 64185, ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 64188, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 64191, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 64194, (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 64197, ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 64200, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 64203, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 64206, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 64209, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64212, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 64215);
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 64217, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 64220);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 64222, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 64225, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 64228, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 64231, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 64234, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 64237, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 64240, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 64243, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 64246, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64249, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 64252, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 64255, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 64258);
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 64260, ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 64263, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 64266, (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 64269, (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 64272, ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 64275, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 64278, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 64281, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 64284, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64287, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 64290);
				}
				} while(0);
#line 8253 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldr REG0, T1 // restore
			//|3:
			dasm_put(Dst, 64292);
#line 8255 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (may_throw) {
			//|	MEM_LOAD_64_ZTS ldr, REG1, executor_globals, exception, TMP1
				if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
			dasm_put(Dst, 64295, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
				} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
			dasm_put(Dst, 64299, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
				} else {
				if (((uintptr_t)(&executor_globals.exception)) == 0) {
			dasm_put(Dst, 64304);
				} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
			dasm_put(Dst, 64306, ((uint64_t)(&executor_globals.exception)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
			dasm_put(Dst, 64309, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
			dasm_put(Dst, 64312, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
					if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
			dasm_put(Dst, 64315, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
			dasm_put(Dst, 64318, ((uintptr_t)(&executor_globals.exception) & 0xffff));
					if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
			dasm_put(Dst, 64321, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
			dasm_put(Dst, 64324, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
			dasm_put(Dst, 64327, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
			dasm_put(Dst, 64330, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64333, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			dasm_put(Dst, 64336);
				}
#line 8258 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cbnz REG1, ->exception_handler_undef
			dasm_put(Dst, 64338);
#line 8259 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (set_bool) {
			if (set_bool_not) {
				//|	neg REG0w, REG0w
				//|	add REG0w, REG0w, #3
				dasm_put(Dst, 64341);
#line 8265 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	add REG0w, REG0w, #2
				dasm_put(Dst, 64344);
#line 8267 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 64346, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 64349, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 64352, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64355, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 64358, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 64361, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 8269 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (exit_addr) {
				//|	CMP_ZVAL_TYPE res_addr, IS_FALSE, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 64365, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 64369, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 64373, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 64377, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 64381, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 64386, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)));
					}
				dasm_put(Dst, 64391, (ZREG_X15), IS_FALSE);
#line 8271 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (branch_opcode == ZEND_JMPNZ || branch_opcode == ZEND_JMPNZ_EX) {
					//|	bne &exit_addr
					dasm_put(Dst, 64395, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8273 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	beq &exit_addr
					dasm_put(Dst, 64398, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8275 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (true_label != (uint32_t)-1 || false_label != (uint32_t)-1) {
				//|	CMP_ZVAL_TYPE res_addr, IS_FALSE, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 64401, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 64405, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 64409, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 64413, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 64417, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 64422, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)));
					}
				dasm_put(Dst, 64427, (ZREG_X15), IS_FALSE);
#line 8278 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (true_label != (uint32_t)-1) {
					//|	bne =>true_label
					dasm_put(Dst, 64431, true_label);
#line 8280 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (false_label != (uint32_t)-1) {
						//|	b =>false_label
						dasm_put(Dst, 64434, false_label);
#line 8282 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
						//|	b >9
						dasm_put(Dst, 64437);
#line 8284 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else {
					//|	beq =>false_label
					dasm_put(Dst, 64440, false_label);
#line 8287 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
				//|	b >9
				//|.code
				dasm_put(Dst, 64443);
#line 8292 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (exit_addr) {
				if (branch_opcode == ZEND_JMPNZ || branch_opcode == ZEND_JMPNZ_EX) {
					//|	cbnz REG0w, &exit_addr
					dasm_put(Dst, 64446, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8297 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
						//|	b >9
						dasm_put(Dst, 64449);
#line 8299 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else {
					//|	cbz REG0w, &exit_addr
					dasm_put(Dst, 64452, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8302 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
						//|	b >9
						dasm_put(Dst, 64455);
#line 8304 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
			} else if (true_label != (uint32_t)-1) {
				//|	cbnz REG0w, =>true_label
				dasm_put(Dst, 64458, true_label);
#line 8308 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (false_label != (uint32_t)-1) {
					//|	b =>false_label
					dasm_put(Dst, 64461, false_label);
#line 8310 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
					//|	b >9
					dasm_put(Dst, 64464);
#line 8312 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				//|	cbz REG0w, =>false_label
				dasm_put(Dst, 64467, false_label);
#line 8315 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
					//|	b >9
					dasm_put(Dst, 64470);
#line 8317 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}

			if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG)) {
				//|.code
				dasm_put(Dst, 64473);
#line 8322 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	//|9:
	dasm_put(Dst, 64474);
#line 8327 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_qm_assign(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr, zend_jit_addr op1_def_addr, uint32_t res_use_info, uint32_t res_info, zend_jit_addr res_addr)
{
	if (op1_addr != op1_def_addr) {
		if (!zend_jit_update_regs(Dst, opline->op1.var, op1_addr, op1_def_addr, op1_info)) {
			return 0;
		}
		if (Z_MODE(op1_def_addr) == IS_REG && Z_MODE(op1_addr) != IS_REG) {
			op1_addr = op1_def_addr;
		}
	}

	if (!zend_jit_simple_assign(Dst, opline, res_addr, res_use_info, res_info, opline->op1_type, op1_addr, op1_info, 0, 0, 0, 1)) {
		return 0;
	}
	if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, res_info)) {
		return 0;
	}
	if (op1_info & MAY_BE_UNDEF) {
		zend_jit_check_exception(Dst);
	}
	return 1;
}

static int zend_jit_assign(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_use_addr, uint32_t op1_def_info, zend_jit_addr op1_addr, uint32_t op2_info, zend_jit_addr op2_addr, zend_jit_addr op2_def_addr, uint32_t res_info, zend_jit_addr res_addr, int may_throw)
{
	ZEND_ASSERT(opline->op1_type == IS_CV);

	if (op2_addr != op2_def_addr) {
		if (!zend_jit_update_regs(Dst, opline->op2.var, op2_addr, op2_def_addr, op2_info)) {
			return 0;
		}
		if (Z_MODE(op2_def_addr) == IS_REG && Z_MODE(op2_addr) != IS_REG) {
			op2_addr = op2_def_addr;
		}
	}

	if (Z_MODE(op1_addr) != IS_REG
	 && Z_MODE(op1_use_addr) == IS_REG
	 && !Z_LOAD(op1_use_addr)
	 && !Z_STORE(op1_use_addr)) {
		/* Force type update */
		op1_info |= MAY_BE_UNDEF;
	}
	if (!zend_jit_assign_to_variable(Dst, opline, op1_use_addr, op1_addr, op1_info, op1_def_info, opline->op2_type, op2_addr, op2_info, res_addr,
			may_throw)) {
		return 0;
	}
	if (!zend_jit_store_var_if_necessary_ex(Dst, opline->op1.var, op1_addr, op1_def_info, op1_use_addr, op1_info)) {
		return 0;
	}
	if (opline->result_type != IS_UNUSED) {
		if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, res_info)) {
			return 0;
		}
	}

	return 1;
}

/* copy of hidden zend_closure */
typedef struct _zend_closure {
	zend_object       std;
	zend_function     func;
	zval              this_ptr;
	zend_class_entry *called_scope;
	zif_handler       orig_internal_handler;
} zend_closure;

static int zend_jit_stack_check(dasm_State **Dst, const zend_op *opline, uint32_t used_stack)
{
	int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
	const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

	if (!exit_addr) {
		return 0;
	}

	//|	// Check Stack Overflow
	//|	MEM_LOAD_64_ZTS ldr, REG1, executor_globals, vm_stack_end, TMP1
		if (((uintptr_t)(&executor_globals.vm_stack_end)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_stack_end))) {
	dasm_put(Dst, 64476, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_end)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_end))>>32));
		} else if (((uintptr_t)(&executor_globals.vm_stack_end)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_stack_end))) {
	dasm_put(Dst, 64480, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_end))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_end)))))>>32), (((uintptr_t)(&executor_globals.vm_stack_end)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.vm_stack_end)) == 0) {
	dasm_put(Dst, 64485);
		} else if (((uintptr_t)(&executor_globals.vm_stack_end)) <= MOVZ_IMM) {
	dasm_put(Dst, 64487, ((uint64_t)(&executor_globals.vm_stack_end)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.vm_stack_end))) {
	dasm_put(Dst, 64490, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_end)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_end))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_stack_end))) {
	dasm_put(Dst, 64493, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_end))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_end)))))>>32));
			if (((uintptr_t)(&executor_globals.vm_stack_end)) & 0xfff) {
	dasm_put(Dst, 64496, (((uintptr_t)(&executor_globals.vm_stack_end)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.vm_stack_end) & 0xffff) {
	dasm_put(Dst, 64499, ((uintptr_t)(&executor_globals.vm_stack_end) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_stack_end) >> 16) & 0xffff) {
	dasm_put(Dst, 64502, (((uintptr_t)(&executor_globals.vm_stack_end) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff) {
	dasm_put(Dst, 64505, (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.vm_stack_end) >> 16) & 0xffff) {
	dasm_put(Dst, 64508, (((uintptr_t)(&executor_globals.vm_stack_end) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff) {
	dasm_put(Dst, 64511, (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 64514, (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff));
		}
	dasm_put(Dst, 64517);
		}
#line 8410 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	MEM_LOAD_OP_ZTS sub, ldr, REG1, executor_globals, vm_stack_top, TMP1, TMP2
		if (((uintptr_t)(&executor_globals.vm_stack_top)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 64519, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
		} else if (((uintptr_t)(&executor_globals.vm_stack_top)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 64523, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32), (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.vm_stack_top)) == 0) {
	dasm_put(Dst, 64528);
		} else if (((uintptr_t)(&executor_globals.vm_stack_top)) <= MOVZ_IMM) {
	dasm_put(Dst, 64530, ((uint64_t)(&executor_globals.vm_stack_top)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 64533, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 64536, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32));
			if (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff) {
	dasm_put(Dst, 64539, (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff) {
	dasm_put(Dst, 64542, ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
	dasm_put(Dst, 64545, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
	dasm_put(Dst, 64548, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
	dasm_put(Dst, 64551, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
	dasm_put(Dst, 64554, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 64557, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
		}
	dasm_put(Dst, 64560);
		}
#line 8411 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	CMP_64_WITH_CONST_32 REG1, used_stack, TMP1
	dasm_put(Dst, 64562);
		if (used_stack == 0) {
	dasm_put(Dst, 64564);
		} else if (arm64_may_encode_imm12((int64_t)(used_stack))) {
	dasm_put(Dst, 64566, used_stack);
		} else if (arm64_may_encode_imm12((int64_t)(-used_stack))) {
	dasm_put(Dst, 64569, -used_stack);
		} else {
		if (((uint32_t)(used_stack)) <= MOVZ_IMM) {
	dasm_put(Dst, 64572, ((uint32_t)(used_stack)));
		} else if (((uint32_t)(used_stack) & 0xffff)) {
	dasm_put(Dst, 64575, ((uint32_t)(used_stack) & 0xffff));
			if ((((uint32_t)(used_stack) >> 16) & 0xffff)) {
	dasm_put(Dst, 64578, (((uint32_t)(used_stack) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 64581, (((uint32_t)(used_stack) >> 16) & 0xffff));
		}
	dasm_put(Dst, 64584);
		}
#line 8412 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	blo &exit_addr
	dasm_put(Dst, 64586, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8413 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_push_call_frame(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, zend_function *func, bool is_closure, bool delayed_fetch_this, int checked_stack)
{
	uint32_t used_stack;
	bool stack_check = 1;

	// REG0   -> zend_function
	// FCARG1 -> used_stack

	if (func) {
		used_stack = zend_vm_calc_used_stack(opline->extended_value, func);
		if ((int)used_stack <= checked_stack) {
			stack_check = 0;
		}
	} else {
		used_stack = (ZEND_CALL_FRAME_SLOT + opline->extended_value + ZEND_OBSERVER_ENABLED) * sizeof(zval);

		//|	// if (EXPECTED(ZEND_USER_CODE(func->type))) {
		if (!is_closure) {
			//|	LOAD_32BIT_VAL FCARG1w, used_stack
				if (((uint32_t)(used_stack)) <= MOVZ_IMM) {
			dasm_put(Dst, 64589, ((uint32_t)(used_stack)));
				} else if (((uint32_t)(used_stack) & 0xffff)) {
			dasm_put(Dst, 64592, ((uint32_t)(used_stack) & 0xffff));
					if ((((uint32_t)(used_stack) >> 16) & 0xffff)) {
			dasm_put(Dst, 64595, (((uint32_t)(used_stack) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64598, (((uint32_t)(used_stack) >> 16) & 0xffff));
				}
#line 8436 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	// Check whether REG0 is an internal function.
			//|	ldrb TMP1w, [REG0, #offsetof(zend_function, type)]
			//|	TST_32_WITH_CONST TMP1w, 1, TMP2w
			dasm_put(Dst, 64601, offsetof(zend_function, type));
				if (1 == 0) {
			dasm_put(Dst, 64604);
				} else if (logical_immediate_p((uint32_t)1, 32)) {
			dasm_put(Dst, 64606);
				} else {
				if (((uint32_t)(1)) <= MOVZ_IMM) {
			dasm_put(Dst, 64608, ((uint32_t)(1)));
				} else if (((uint32_t)(1) & 0xffff)) {
			dasm_put(Dst, 64611, ((uint32_t)(1) & 0xffff));
					if ((((uint32_t)(1) >> 16) & 0xffff)) {
			dasm_put(Dst, 64614, (((uint32_t)(1) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64617, (((uint32_t)(1) >> 16) & 0xffff));
				}
			dasm_put(Dst, 64620);
				}
#line 8439 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne >1
			dasm_put(Dst, 64622);
#line 8440 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LOAD_32BIT_VAL FCARG1w, used_stack
				if (((uint32_t)(used_stack)) <= MOVZ_IMM) {
			dasm_put(Dst, 64625, ((uint32_t)(used_stack)));
				} else if (((uint32_t)(used_stack) & 0xffff)) {
			dasm_put(Dst, 64628, ((uint32_t)(used_stack) & 0xffff));
					if ((((uint32_t)(used_stack) >> 16) & 0xffff)) {
			dasm_put(Dst, 64631, (((uint32_t)(used_stack) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64634, (((uint32_t)(used_stack) >> 16) & 0xffff));
				}
#line 8442 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	// used_stack += (func->op_array.last_var + func->op_array.T - MIN(func->op_array.num_args, num_args)) * sizeof(zval);
		//|	LOAD_32BIT_VAL REG2w, opline->extended_value
			if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
		dasm_put(Dst, 64637, ((uint32_t)(opline->extended_value)));
			} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
		dasm_put(Dst, 64640, ((uint32_t)(opline->extended_value) & 0xffff));
				if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
		dasm_put(Dst, 64643, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 64646, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
#line 8445 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!is_closure) {
			//|	ldr TMP1w, [REG0, #offsetof(zend_function, op_array.num_args)]
			//|	cmp REG2w, TMP1w
			//|	csel REG2w, REG2w, TMP1w, le
			//|	ldr TMP1w, [REG0, #offsetof(zend_function, op_array.last_var)]
			//|	sub REG2w, REG2w, TMP1w
			//|	ldr TMP1w, [REG0, #offsetof(zend_function, op_array.T)]
			//|	sub REG2w, REG2w, TMP1w
			dasm_put(Dst, 64649, offsetof(zend_function, op_array.num_args), offsetof(zend_function, op_array.last_var), offsetof(zend_function, op_array.T));
#line 8453 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	ldr TMP1w, [REG0, #offsetof(zend_closure, func.op_array.num_args)]
			//|	cmp REG2w, TMP1w
			//|	csel REG2w, REG2w, TMP1w, le
			//|	ldr TMP1w, [REG0, #offsetof(zend_closure, func.op_array.last_var)]
			//|	sub REG2w, REG2w, TMP1w
			//|	ldr TMP1w, [REG0, #offsetof(zend_closure, func.op_array.T)]
			//|	sub REG2w, REG2w, TMP1w
			dasm_put(Dst, 64660, offsetof(zend_closure, func.op_array.num_args), offsetof(zend_closure, func.op_array.last_var), offsetof(zend_closure, func.op_array.T));
#line 8461 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	sxtw REG2, REG2w
		//|	sub FCARG1x, FCARG1x, REG2, lsl #4
		//|1:
		dasm_put(Dst, 64671);
#line 8465 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	zend_jit_start_reuse_ip();

	//|	// if (UNEXPECTED(used_stack > (size_t)(((char*)EG(vm_stack_end)) - (char*)call))) {
	//|	MEM_LOAD_64_ZTS ldr, RX, executor_globals, vm_stack_top, TMP1
		if (((uintptr_t)(&executor_globals.vm_stack_top)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 64675, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
		} else if (((uintptr_t)(&executor_globals.vm_stack_top)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 64679, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32), (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.vm_stack_top)) == 0) {
	dasm_put(Dst, 64684);
		} else if (((uintptr_t)(&executor_globals.vm_stack_top)) <= MOVZ_IMM) {
	dasm_put(Dst, 64686, ((uint64_t)(&executor_globals.vm_stack_top)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 64689, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 64692, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32));
			if (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff) {
	dasm_put(Dst, 64695, (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff) {
	dasm_put(Dst, 64698, ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
	dasm_put(Dst, 64701, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
	dasm_put(Dst, 64704, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
	dasm_put(Dst, 64707, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
	dasm_put(Dst, 64710, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 64713, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
		}
	dasm_put(Dst, 64716);
		}
#line 8471 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (stack_check) {
		//|	// Check Stack Overflow
		//|	MEM_LOAD_64_ZTS ldr, REG2, executor_globals, vm_stack_end, TMP1
			if (((uintptr_t)(&executor_globals.vm_stack_end)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_stack_end))) {
		dasm_put(Dst, 64718, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_end)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_end))>>32));
			} else if (((uintptr_t)(&executor_globals.vm_stack_end)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_stack_end))) {
		dasm_put(Dst, 64722, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_end))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_end)))))>>32), (((uintptr_t)(&executor_globals.vm_stack_end)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.vm_stack_end)) == 0) {
		dasm_put(Dst, 64727);
			} else if (((uintptr_t)(&executor_globals.vm_stack_end)) <= MOVZ_IMM) {
		dasm_put(Dst, 64729, ((uint64_t)(&executor_globals.vm_stack_end)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.vm_stack_end))) {
		dasm_put(Dst, 64732, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_end)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_end))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_stack_end))) {
		dasm_put(Dst, 64735, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_end))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_end)))))>>32));
				if (((uintptr_t)(&executor_globals.vm_stack_end)) & 0xfff) {
		dasm_put(Dst, 64738, (((uintptr_t)(&executor_globals.vm_stack_end)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.vm_stack_end) & 0xffff) {
		dasm_put(Dst, 64741, ((uintptr_t)(&executor_globals.vm_stack_end) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_end) >> 16) & 0xffff) {
		dasm_put(Dst, 64744, (((uintptr_t)(&executor_globals.vm_stack_end) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff) {
		dasm_put(Dst, 64747, (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.vm_stack_end) >> 16) & 0xffff) {
		dasm_put(Dst, 64750, (((uintptr_t)(&executor_globals.vm_stack_end) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff) {
		dasm_put(Dst, 64753, (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 64756, (((uintptr_t)(&executor_globals.vm_stack_end) >> 32) & 0xffff));
			}
		dasm_put(Dst, 64759);
			}
#line 8475 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	sub REG2, REG2, RX
		dasm_put(Dst, 64761);
#line 8476 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (func) {
			//|	CMP_64_WITH_CONST_32 REG2, used_stack, TMP1
				if (used_stack == 0) {
			dasm_put(Dst, 64763);
				} else if (arm64_may_encode_imm12((int64_t)(used_stack))) {
			dasm_put(Dst, 64765, used_stack);
				} else if (arm64_may_encode_imm12((int64_t)(-used_stack))) {
			dasm_put(Dst, 64768, -used_stack);
				} else {
				if (((uint32_t)(used_stack)) <= MOVZ_IMM) {
			dasm_put(Dst, 64771, ((uint32_t)(used_stack)));
				} else if (((uint32_t)(used_stack) & 0xffff)) {
			dasm_put(Dst, 64774, ((uint32_t)(used_stack) & 0xffff));
					if ((((uint32_t)(used_stack) >> 16) & 0xffff)) {
			dasm_put(Dst, 64777, (((uint32_t)(used_stack) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 64780, (((uint32_t)(used_stack) >> 16) & 0xffff));
				}
			dasm_put(Dst, 64783);
				}
#line 8478 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	cmp REG2, FCARG1x
			dasm_put(Dst, 64785);
#line 8480 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
			int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
			const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

			if (!exit_addr) {
				return 0;
			}

			//|	blo &exit_addr
			dasm_put(Dst, 64787, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8491 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	blo >1
			//|	// EG(vm_stack_top) = (zval*)((char*)call + used_stack);
			//|.cold_code
			dasm_put(Dst, 64790);
#line 8495 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 64793);
#line 8496 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (func) {
				//|	LOAD_32BIT_VAL FCARG1w, used_stack
					if (((uint32_t)(used_stack)) <= MOVZ_IMM) {
				dasm_put(Dst, 64795, ((uint32_t)(used_stack)));
					} else if (((uint32_t)(used_stack) & 0xffff)) {
				dasm_put(Dst, 64798, ((uint32_t)(used_stack) & 0xffff));
						if ((((uint32_t)(used_stack) >> 16) & 0xffff)) {
				dasm_put(Dst, 64801, (((uint32_t)(used_stack) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 64804, (((uint32_t)(used_stack) >> 16) & 0xffff));
					}
#line 8498 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline->opcode == ZEND_INIT_FCALL && func && func->type == ZEND_INTERNAL_FUNCTION) {
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 64807, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 64810);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 64812, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 64815, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 64818, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 64821, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 64824, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 64827, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 64830, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 64833, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 64836, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 64839, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 64842, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 8501 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_int_extend_stack_helper, REG0
					if (arm64_may_use_b(zend_jit_int_extend_stack_helper)) {
				dasm_put(Dst, 64845, (unsigned int)((ptrdiff_t)(zend_jit_int_extend_stack_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_int_extend_stack_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_int_extend_stack_helper)) == 0) {
				dasm_put(Dst, 64848);
					} else if (((uintptr_t)(zend_jit_int_extend_stack_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 64850, ((uint64_t)(zend_jit_int_extend_stack_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_int_extend_stack_helper))) {
				dasm_put(Dst, 64853, (unsigned int)((ptrdiff_t)(zend_jit_int_extend_stack_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_int_extend_stack_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_int_extend_stack_helper))) {
				dasm_put(Dst, 64856, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_int_extend_stack_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_int_extend_stack_helper)))))>>32));
						if (((uintptr_t)(zend_jit_int_extend_stack_helper)) & 0xfff) {
				dasm_put(Dst, 64859, (((uintptr_t)(zend_jit_int_extend_stack_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_int_extend_stack_helper) & 0xffff) {
				dasm_put(Dst, 64862, ((uintptr_t)(zend_jit_int_extend_stack_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_int_extend_stack_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 64865, (((uintptr_t)(zend_jit_int_extend_stack_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_int_extend_stack_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 64868, (((uintptr_t)(zend_jit_int_extend_stack_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_int_extend_stack_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 64871, (((uintptr_t)(zend_jit_int_extend_stack_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_int_extend_stack_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 64874, (((uintptr_t)(zend_jit_int_extend_stack_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 64877, (((uintptr_t)(zend_jit_int_extend_stack_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 64880);
					}
#line 8502 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				if (!is_closure) {
					//|	mov FCARG2x, REG0
					dasm_put(Dst, 64882);
#line 8505 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	add FCARG2x, REG0, #offsetof(zend_closure, func)
					dasm_put(Dst, 64884, offsetof(zend_closure, func));
#line 8507 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 64887, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 64890);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 64892, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 64895, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 64898, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 64901, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 64904, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 64907, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 64910, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 64913, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 64916, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 64919, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 64922, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 8509 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_extend_stack_helper, REG0
					if (arm64_may_use_b(zend_jit_extend_stack_helper)) {
				dasm_put(Dst, 64925, (unsigned int)((ptrdiff_t)(zend_jit_extend_stack_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_extend_stack_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_extend_stack_helper)) == 0) {
				dasm_put(Dst, 64928);
					} else if (((uintptr_t)(zend_jit_extend_stack_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 64930, ((uint64_t)(zend_jit_extend_stack_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_extend_stack_helper))) {
				dasm_put(Dst, 64933, (unsigned int)((ptrdiff_t)(zend_jit_extend_stack_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_extend_stack_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_extend_stack_helper))) {
				dasm_put(Dst, 64936, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_extend_stack_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_extend_stack_helper)))))>>32));
						if (((uintptr_t)(zend_jit_extend_stack_helper)) & 0xfff) {
				dasm_put(Dst, 64939, (((uintptr_t)(zend_jit_extend_stack_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_extend_stack_helper) & 0xffff) {
				dasm_put(Dst, 64942, ((uintptr_t)(zend_jit_extend_stack_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_extend_stack_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 64945, (((uintptr_t)(zend_jit_extend_stack_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_extend_stack_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 64948, (((uintptr_t)(zend_jit_extend_stack_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_extend_stack_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 64951, (((uintptr_t)(zend_jit_extend_stack_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_extend_stack_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 64954, (((uintptr_t)(zend_jit_extend_stack_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 64957, (((uintptr_t)(zend_jit_extend_stack_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 64960);
					}
#line 8510 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	mov RX, RETVALx
			//|	b >1
			//|.code
			dasm_put(Dst, 64962);
#line 8514 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (func) {
			if (arm64_may_encode_imm12((int64_t)used_stack)) {
		//|		MEM_UPDATE_ZTS add, ldr, str, #used_stack, executor_globals, vm_stack_top, REG2, TMP1
			if (((uintptr_t)(&executor_globals.vm_stack_top)) == 0) {
		dasm_put(Dst, 64966);
			} else if (((uintptr_t)(&executor_globals.vm_stack_top)) <= MOVZ_IMM) {
		dasm_put(Dst, 64968, ((uint64_t)(&executor_globals.vm_stack_top)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 64971, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 64974, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32));
				if (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff) {
		dasm_put(Dst, 64977, (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff) {
		dasm_put(Dst, 64980, ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
		dasm_put(Dst, 64983, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
		dasm_put(Dst, 64986, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
		dasm_put(Dst, 64989, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
		dasm_put(Dst, 64992, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 64995, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
#line 8520 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		dasm_put(Dst, 64998, used_stack);
			} else {
#line 8521 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|		LOAD_32BIT_VAL TMP1w, used_stack
			if (((uint32_t)(used_stack)) <= MOVZ_IMM) {
		dasm_put(Dst, 65003, ((uint32_t)(used_stack)));
			} else if (((uint32_t)(used_stack) & 0xffff)) {
		dasm_put(Dst, 65006, ((uint32_t)(used_stack) & 0xffff));
				if ((((uint32_t)(used_stack) >> 16) & 0xffff)) {
		dasm_put(Dst, 65009, (((uint32_t)(used_stack) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65012, (((uint32_t)(used_stack) >> 16) & 0xffff));
			}
#line 8522 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|		MEM_UPDATE_ZTS add, ldr, str, TMP1, executor_globals, vm_stack_top, REG2, TMP2
			if (((uintptr_t)(&executor_globals.vm_stack_top)) == 0) {
		dasm_put(Dst, 65015);
			} else if (((uintptr_t)(&executor_globals.vm_stack_top)) <= MOVZ_IMM) {
		dasm_put(Dst, 65017, ((uint64_t)(&executor_globals.vm_stack_top)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 65020, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 65023, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32));
				if (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff) {
		dasm_put(Dst, 65026, (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff) {
		dasm_put(Dst, 65029, ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
		dasm_put(Dst, 65032, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
		dasm_put(Dst, 65035, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
		dasm_put(Dst, 65038, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
		dasm_put(Dst, 65041, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65044, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
#line 8523 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		dasm_put(Dst, 65047);
			}
#line 8524 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	MEM_UPDATE_ZTS add, ldr, str, FCARG1x, executor_globals, vm_stack_top, REG2, TMP1
			if (((uintptr_t)(&executor_globals.vm_stack_top)) == 0) {
		dasm_put(Dst, 65051);
			} else if (((uintptr_t)(&executor_globals.vm_stack_top)) <= MOVZ_IMM) {
		dasm_put(Dst, 65053, ((uint64_t)(&executor_globals.vm_stack_top)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 65056, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 65059, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32));
				if (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff) {
		dasm_put(Dst, 65062, (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff) {
		dasm_put(Dst, 65065, ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
		dasm_put(Dst, 65068, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
		dasm_put(Dst, 65071, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
		dasm_put(Dst, 65074, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
		dasm_put(Dst, 65077, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65080, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
		dasm_put(Dst, 65083);
#line 8526 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	// zend_vm_init_call_frame(call, call_info, func, num_args, called_scope, object);
	if (JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE || opline->opcode != ZEND_INIT_METHOD_CALL) {
		//|	// ZEND_SET_CALL_INFO(call, 0, call_info);
		//|	LOAD_32BIT_VAL TMP1w, (IS_UNDEF | ZEND_CALL_NESTED_FUNCTION)
			if (((uint32_t)((IS_UNDEF | ZEND_CALL_NESTED_FUNCTION))) <= MOVZ_IMM) {
		dasm_put(Dst, 65087, ((uint32_t)((IS_UNDEF | ZEND_CALL_NESTED_FUNCTION))));
			} else if (((uint32_t)((IS_UNDEF | ZEND_CALL_NESTED_FUNCTION)) & 0xffff)) {
		dasm_put(Dst, 65090, ((uint32_t)((IS_UNDEF | ZEND_CALL_NESTED_FUNCTION)) & 0xffff));
				if ((((uint32_t)((IS_UNDEF | ZEND_CALL_NESTED_FUNCTION)) >> 16) & 0xffff)) {
		dasm_put(Dst, 65093, (((uint32_t)((IS_UNDEF | ZEND_CALL_NESTED_FUNCTION)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65096, (((uint32_t)((IS_UNDEF | ZEND_CALL_NESTED_FUNCTION)) >> 16) & 0xffff));
			}
#line 8531 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	str TMP1w, EX:RX->This.u1.type_info
		dasm_put(Dst, 65099, Dt1(->This.u1.type_info));
#line 8532 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (opline->opcode == ZEND_INIT_FCALL && func && func->type == ZEND_INTERNAL_FUNCTION) {
		//|	// call->func = func;
		//|1:
		//|	ADDR_STORE EX:RX->func, func, REG1
		dasm_put(Dst, 65102);
			if (((uintptr_t)(func)) == 0) {
		dasm_put(Dst, 65104);
			} else if (((uintptr_t)(func)) <= MOVZ_IMM) {
		dasm_put(Dst, 65106, ((uint64_t)(func)));
			} else if (arm64_may_use_adr((void*)(func))) {
		dasm_put(Dst, 65109, (unsigned int)((ptrdiff_t)(func)), (unsigned int)(((ptrdiff_t)(func))>>32));
			} else if (arm64_may_use_adrp((void*)(func))) {
		dasm_put(Dst, 65112, (unsigned int)((ptrdiff_t)((((uintptr_t)(func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(func)))))>>32));
				if (((uintptr_t)(func)) & 0xfff) {
		dasm_put(Dst, 65115, (((uintptr_t)(func)) & 0xfff));
				}
			} else if ((uintptr_t)(func) & 0xffff) {
		dasm_put(Dst, 65118, ((uintptr_t)(func) & 0xffff));
				if (((uintptr_t)(func) >> 16) & 0xffff) {
		dasm_put(Dst, 65121, (((uintptr_t)(func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(func) >> 32) & 0xffff) {
		dasm_put(Dst, 65124, (((uintptr_t)(func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(func) >> 16) & 0xffff) {
		dasm_put(Dst, 65127, (((uintptr_t)(func) >> 16) & 0xffff));
				if (((uintptr_t)(func) >> 32) & 0xffff) {
		dasm_put(Dst, 65130, (((uintptr_t)(func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65133, (((uintptr_t)(func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 65136, Dt1(->func));
#line 8537 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if (!is_closure) {
			//|	// call->func = func;
			//|	str REG0, EX:RX->func
			dasm_put(Dst, 65139, Dt1(->func));
#line 8541 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	// call->func = &closure->func;
			//|	add REG1, REG0, #offsetof(zend_closure, func)
			//|	str REG1, EX:RX->func
			dasm_put(Dst, 65142, offsetof(zend_closure, func), Dt1(->func));
#line 8545 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|1:
		dasm_put(Dst, 65147);
#line 8547 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (opline->opcode == ZEND_INIT_METHOD_CALL) {
		//|	// Z_PTR(call->This) = obj;
		//|	ldr REG1, T1
		//|	str REG1, EX:RX->This.value.ptr
		dasm_put(Dst, 65149, Dt1(->This.value.ptr));
#line 8552 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	    if (opline->op1_type == IS_UNUSED || delayed_fetch_this) {
			//|	// call->call_info |= ZEND_CALL_HAS_THIS;
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				//|	LOAD_32BIT_VAL TMP1w, ZEND_CALL_HAS_THIS
					if (((uint32_t)(ZEND_CALL_HAS_THIS)) <= MOVZ_IMM) {
				dasm_put(Dst, 65153, ((uint32_t)(ZEND_CALL_HAS_THIS)));
					} else if (((uint32_t)(ZEND_CALL_HAS_THIS) & 0xffff)) {
				dasm_put(Dst, 65156, ((uint32_t)(ZEND_CALL_HAS_THIS) & 0xffff));
						if ((((uint32_t)(ZEND_CALL_HAS_THIS) >> 16) & 0xffff)) {
				dasm_put(Dst, 65159, (((uint32_t)(ZEND_CALL_HAS_THIS) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65162, (((uint32_t)(ZEND_CALL_HAS_THIS) >> 16) & 0xffff));
					}
#line 8556 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	str TMP1w, EX:RX->This.u1.type_info
				dasm_put(Dst, 65165, Dt1(->This.u1.type_info));
#line 8557 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ldr TMP1w, EX:RX->This.u1.type_info
				//|	BW_OP_32_WITH_CONST orr, TMP1w, TMP1w, ZEND_CALL_HAS_THIS, TMP2w
				dasm_put(Dst, 65168, Dt1(->This.u1.type_info));
					if (ZEND_CALL_HAS_THIS == 0) {
				dasm_put(Dst, 65171);
					} else if (logical_immediate_p((uint32_t)ZEND_CALL_HAS_THIS, 32)) {
				dasm_put(Dst, 65173, ZEND_CALL_HAS_THIS);
					} else {
					if (((uint32_t)(ZEND_CALL_HAS_THIS)) <= MOVZ_IMM) {
				dasm_put(Dst, 65176, ((uint32_t)(ZEND_CALL_HAS_THIS)));
					} else if (((uint32_t)(ZEND_CALL_HAS_THIS) & 0xffff)) {
				dasm_put(Dst, 65179, ((uint32_t)(ZEND_CALL_HAS_THIS) & 0xffff));
						if ((((uint32_t)(ZEND_CALL_HAS_THIS) >> 16) & 0xffff)) {
				dasm_put(Dst, 65182, (((uint32_t)(ZEND_CALL_HAS_THIS) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65185, (((uint32_t)(ZEND_CALL_HAS_THIS) >> 16) & 0xffff));
					}
				dasm_put(Dst, 65188);
					}
#line 8560 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	str TMP1w, EX:RX->This.u1.type_info
				dasm_put(Dst, 65190, Dt1(->This.u1.type_info));
#line 8561 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
	    } else {
			if (opline->op1_type == IS_CV) {
				//|	// GC_ADDREF(obj);
				//|	GC_ADDREF REG1, TMP1w
				dasm_put(Dst, 65193);
#line 8566 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	// call->call_info |= ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS;
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				//|	LOAD_32BIT_VAL TMP1w, (ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)
					if (((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS))) <= MOVZ_IMM) {
				dasm_put(Dst, 65197, ((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS))));
					} else if (((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) & 0xffff)) {
				dasm_put(Dst, 65200, ((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) & 0xffff));
						if ((((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) >> 16) & 0xffff)) {
				dasm_put(Dst, 65203, (((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65206, (((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) >> 16) & 0xffff));
					}
#line 8570 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	str TMP1w, EX:RX->This.u1.type_info
				dasm_put(Dst, 65209, Dt1(->This.u1.type_info));
#line 8571 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ldr TMP1w, EX:RX->This.u1.type_info
				//|	BW_OP_32_WITH_CONST orr, TMP1w, TMP1w, (ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS), TMP2w
				dasm_put(Dst, 65212, Dt1(->This.u1.type_info));
					if ((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS) == 0) {
				dasm_put(Dst, 65215);
					} else if (logical_immediate_p((uint32_t)(ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS), 32)) {
				dasm_put(Dst, 65217, (ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS));
					} else {
					if (((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS))) <= MOVZ_IMM) {
				dasm_put(Dst, 65220, ((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS))));
					} else if (((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) & 0xffff)) {
				dasm_put(Dst, 65223, ((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) & 0xffff));
						if ((((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) >> 16) & 0xffff)) {
				dasm_put(Dst, 65226, (((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65229, (((uint32_t)((ZEND_CALL_HAS_THIS | ZEND_CALL_RELEASE_THIS)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 65232);
					}
#line 8574 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	str TMP1w, EX:RX->This.u1.type_info
				dasm_put(Dst, 65234, Dt1(->This.u1.type_info));
#line 8575 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
	    }
	} else if (!is_closure) {
		//|	// Z_CE(call->This) = called_scope;
		//|	str xzr, EX:RX->This.value.ptr
		dasm_put(Dst, 65237, Dt1(->This.value.ptr));
#line 8580 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if (opline->op2_type == IS_CV) {
			//|	// GC_ADDREF(closure);
			//|	GC_ADDREF REG0, TMP1w
			dasm_put(Dst, 65240);
#line 8584 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	//	object_or_called_scope = closure->called_scope;
		//|	ldr REG1, [REG0, #offsetof(zend_closure, called_scope)]
		//|	str REG1, EX:RX->This.value.ptr
		//|	// call_info = ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE |
		//|	//	(closure->func->common.fn_flags & ZEND_ACC_FAKE_CLOSURE);
		//|	ldr REG2w, [REG0, #offsetof(zend_closure, func.common.fn_flags)]
		//|	BW_OP_32_WITH_CONST and, REG2w, REG2w, ZEND_ACC_FAKE_CLOSURE, TMP1w
		dasm_put(Dst, 65244, offsetof(zend_closure, called_scope), Dt1(->This.value.ptr), offsetof(zend_closure, func.common.fn_flags));
			if (ZEND_ACC_FAKE_CLOSURE == 0) {
		dasm_put(Dst, 65251);
			} else if (logical_immediate_p((uint32_t)ZEND_ACC_FAKE_CLOSURE, 32)) {
		dasm_put(Dst, 65253, ZEND_ACC_FAKE_CLOSURE);
			} else {
			if (((uint32_t)(ZEND_ACC_FAKE_CLOSURE)) <= MOVZ_IMM) {
		dasm_put(Dst, 65256, ((uint32_t)(ZEND_ACC_FAKE_CLOSURE)));
			} else if (((uint32_t)(ZEND_ACC_FAKE_CLOSURE) & 0xffff)) {
		dasm_put(Dst, 65259, ((uint32_t)(ZEND_ACC_FAKE_CLOSURE) & 0xffff));
				if ((((uint32_t)(ZEND_ACC_FAKE_CLOSURE) >> 16) & 0xffff)) {
		dasm_put(Dst, 65262, (((uint32_t)(ZEND_ACC_FAKE_CLOSURE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65265, (((uint32_t)(ZEND_ACC_FAKE_CLOSURE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 65268);
			}
#line 8592 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	BW_OP_32_WITH_CONST orr, REG2w, REG2w, (ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE), TMP1w
			if ((ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE) == 0) {
		dasm_put(Dst, 65270);
			} else if (logical_immediate_p((uint32_t)(ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE), 32)) {
		dasm_put(Dst, 65272, (ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE));
			} else {
			if (((uint32_t)((ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE))) <= MOVZ_IMM) {
		dasm_put(Dst, 65275, ((uint32_t)((ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE))));
			} else if (((uint32_t)((ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE)) & 0xffff)) {
		dasm_put(Dst, 65278, ((uint32_t)((ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE)) & 0xffff));
				if ((((uint32_t)((ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE)) >> 16) & 0xffff)) {
		dasm_put(Dst, 65281, (((uint32_t)((ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65284, (((uint32_t)((ZEND_CALL_NESTED_FUNCTION | ZEND_CALL_DYNAMIC | ZEND_CALL_CLOSURE)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 65287);
			}
#line 8593 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	//	if (Z_TYPE(closure->this_ptr) != IS_UNDEF) {
		//|	ldrb TMP1w, [REG0, #offsetof(zend_closure, this_ptr.u1.v.type)]
		//|	cmp TMP1w, #IS_UNDEF
		//|	beq >1
		//|	//	call_info |= ZEND_CALL_HAS_THIS;
		//|	BW_OP_32_WITH_CONST orr, REG2w, REG2w, ZEND_CALL_HAS_THIS, TMP1w
		dasm_put(Dst, 65289, offsetof(zend_closure, this_ptr.u1.v.type), IS_UNDEF);
			if (ZEND_CALL_HAS_THIS == 0) {
		dasm_put(Dst, 65296);
			} else if (logical_immediate_p((uint32_t)ZEND_CALL_HAS_THIS, 32)) {
		dasm_put(Dst, 65298, ZEND_CALL_HAS_THIS);
			} else {
			if (((uint32_t)(ZEND_CALL_HAS_THIS)) <= MOVZ_IMM) {
		dasm_put(Dst, 65301, ((uint32_t)(ZEND_CALL_HAS_THIS)));
			} else if (((uint32_t)(ZEND_CALL_HAS_THIS) & 0xffff)) {
		dasm_put(Dst, 65304, ((uint32_t)(ZEND_CALL_HAS_THIS) & 0xffff));
				if ((((uint32_t)(ZEND_CALL_HAS_THIS) >> 16) & 0xffff)) {
		dasm_put(Dst, 65307, (((uint32_t)(ZEND_CALL_HAS_THIS) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65310, (((uint32_t)(ZEND_CALL_HAS_THIS) >> 16) & 0xffff));
			}
		dasm_put(Dst, 65313);
			}
#line 8599 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	//	object_or_called_scope = Z_OBJ(closure->this_ptr);
		//|	ldr REG1, [REG0, #offsetof(zend_closure, this_ptr.value.ptr)]
	    //|1:
		//|	// ZEND_SET_CALL_INFO(call, 0, call_info);
		//|	ldr TMP1w, EX:RX->This.u1.type_info
		//|	orr TMP1w, TMP1w, REG2w
		//|	str TMP1w, EX:RX->This.u1.type_info
		//|	// Z_PTR(call->This) = object_or_called_scope;
		//|	str REG1, EX:RX->This.value.ptr
		//|	ldr TMP1, [REG0, #offsetof(zend_closure, func.op_array.run_time_cache__ptr)]
		//|	cbnz TMP1, >1
		//|	add FCARG1x, REG0, #offsetof(zend_closure, func)
		//|	EXT_CALL zend_jit_init_func_run_time_cache_helper, REG0
		dasm_put(Dst, 65315, offsetof(zend_closure, this_ptr.value.ptr), Dt1(->This.u1.type_info), Dt1(->This.u1.type_info), Dt1(->This.value.ptr), offsetof(zend_closure, func.op_array.run_time_cache__ptr), offsetof(zend_closure, func));
			if (arm64_may_use_b(zend_jit_init_func_run_time_cache_helper)) {
		dasm_put(Dst, 65332, (unsigned int)((ptrdiff_t)(zend_jit_init_func_run_time_cache_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_init_func_run_time_cache_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper)) == 0) {
		dasm_put(Dst, 65335);
			} else if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 65337, ((uint64_t)(zend_jit_init_func_run_time_cache_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_init_func_run_time_cache_helper))) {
		dasm_put(Dst, 65340, (unsigned int)((ptrdiff_t)(zend_jit_init_func_run_time_cache_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_init_func_run_time_cache_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_init_func_run_time_cache_helper))) {
		dasm_put(Dst, 65343, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_init_func_run_time_cache_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_init_func_run_time_cache_helper)))))>>32));
				if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper)) & 0xfff) {
		dasm_put(Dst, 65346, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_init_func_run_time_cache_helper) & 0xffff) {
		dasm_put(Dst, 65349, ((uintptr_t)(zend_jit_init_func_run_time_cache_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 65352, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 65355, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 65358, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 65361, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65364, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 65367);
			}
#line 8612 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 65369);
#line 8613 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	// ZEND_CALL_NUM_ARGS(call) = num_args;
	//|	LOAD_32BIT_VAL TMP1w, opline->extended_value
		if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
	dasm_put(Dst, 65371, ((uint32_t)(opline->extended_value)));
		} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
	dasm_put(Dst, 65374, ((uint32_t)(opline->extended_value) & 0xffff));
			if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
	dasm_put(Dst, 65377, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 65380, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
		}
#line 8616 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	str TMP1w, EX:RX->This.u2.num_args
	dasm_put(Dst, 65383, Dt1(->This.u2.num_args));
#line 8617 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_init_fcall_guard(dasm_State **Dst, uint32_t level, const zend_function *func, const zend_op *to_opline)
{
	int32_t exit_point;
	const void *exit_addr;

	if (func->type == ZEND_INTERNAL_FUNCTION) {
#ifdef ZEND_WIN32
		// TODO: ASLR may cause different addresses in different workers ???
		return 0;
#endif
	} else if (func->type == ZEND_USER_FUNCTION) {
		if (!zend_accel_in_shm(func->op_array.opcodes)) {
			/* op_array and op_array->opcodes are not persistent. We can't link. */
			return 0;
		}
	} else {
		ZEND_UNREACHABLE();
		return 0;
	}

	exit_point = zend_jit_trace_get_exit_point(to_opline, ZEND_JIT_EXIT_POLYMORPHISM);
	exit_addr = zend_jit_trace_get_exit_addr(exit_point);
	if (!exit_addr) {
		return 0;
	}

	//|	// call = EX(call);
	//|	ldr REG1, EX->call
	dasm_put(Dst, 65386, Dt1(->call));
#line 8649 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	while (level > 0) {
		//|	ldr REG1, EX:REG1->prev_execute_data
		dasm_put(Dst, 65389, Dt1(->prev_execute_data));
#line 8651 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		level--;
	}

	if (func->type == ZEND_USER_FUNCTION &&
	    (!(func->common.fn_flags & ZEND_ACC_IMMUTABLE) ||
	     (func->common.fn_flags & ZEND_ACC_CLOSURE) ||
	     !func->common.function_name)) {
		const zend_op *opcodes = func->op_array.opcodes;

		//|	ldr REG1, EX:REG1->func
		//|	LOAD_ADDR REG2, ((ptrdiff_t)opcodes)
		dasm_put(Dst, 65392, Dt1(->func));
			if (((uintptr_t)(((ptrdiff_t)opcodes))) == 0) {
		dasm_put(Dst, 65395);
			} else if (((uintptr_t)(((ptrdiff_t)opcodes))) <= MOVZ_IMM) {
		dasm_put(Dst, 65397, ((uint64_t)(((ptrdiff_t)opcodes))));
			} else if (arm64_may_use_adr((void*)(((ptrdiff_t)opcodes)))) {
		dasm_put(Dst, 65400, (unsigned int)((ptrdiff_t)(((ptrdiff_t)opcodes))), (unsigned int)(((ptrdiff_t)(((ptrdiff_t)opcodes)))>>32));
			} else if (arm64_may_use_adrp((void*)(((ptrdiff_t)opcodes)))) {
		dasm_put(Dst, 65403, (unsigned int)((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)opcodes)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)opcodes))))))>>32));
				if (((uintptr_t)(((ptrdiff_t)opcodes))) & 0xfff) {
		dasm_put(Dst, 65406, (((uintptr_t)(((ptrdiff_t)opcodes))) & 0xfff));
				}
			} else if ((uintptr_t)(((ptrdiff_t)opcodes)) & 0xffff) {
		dasm_put(Dst, 65409, ((uintptr_t)(((ptrdiff_t)opcodes)) & 0xffff));
				if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff) {
		dasm_put(Dst, 65412, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff) {
		dasm_put(Dst, 65415, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff) {
		dasm_put(Dst, 65418, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff));
				if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff) {
		dasm_put(Dst, 65421, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65424, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff));
			}
#line 8662 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr TMP1, [REG1, #offsetof(zend_op_array, opcodes)]
		//|	cmp TMP1, REG2
		//|	bne &exit_addr
		dasm_put(Dst, 65427, offsetof(zend_op_array, opcodes), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8665 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	LOAD_ADDR REG2, ((ptrdiff_t)func)
			if (((uintptr_t)(((ptrdiff_t)func))) == 0) {
		dasm_put(Dst, 65433);
			} else if (((uintptr_t)(((ptrdiff_t)func))) <= MOVZ_IMM) {
		dasm_put(Dst, 65435, ((uint64_t)(((ptrdiff_t)func))));
			} else if (arm64_may_use_adr((void*)(((ptrdiff_t)func)))) {
		dasm_put(Dst, 65438, (unsigned int)((ptrdiff_t)(((ptrdiff_t)func))), (unsigned int)(((ptrdiff_t)(((ptrdiff_t)func)))>>32));
			} else if (arm64_may_use_adrp((void*)(((ptrdiff_t)func)))) {
		dasm_put(Dst, 65441, (unsigned int)((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)func)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)func))))))>>32));
				if (((uintptr_t)(((ptrdiff_t)func))) & 0xfff) {
		dasm_put(Dst, 65444, (((uintptr_t)(((ptrdiff_t)func))) & 0xfff));
				}
			} else if ((uintptr_t)(((ptrdiff_t)func)) & 0xffff) {
		dasm_put(Dst, 65447, ((uintptr_t)(((ptrdiff_t)func)) & 0xffff));
				if (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff) {
		dasm_put(Dst, 65450, (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff) {
		dasm_put(Dst, 65453, (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff) {
		dasm_put(Dst, 65456, (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff));
				if (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff) {
		dasm_put(Dst, 65459, (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65462, (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff));
			}
#line 8667 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr TMP1, EX:REG1->func
		//|	cmp TMP1, REG2
		//|	bne &exit_addr
		dasm_put(Dst, 65465, Dt1(->func), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8670 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_init_fcall(dasm_State **Dst, const zend_op *opline, uint32_t b, const zend_op_array *op_array, zend_ssa *ssa, const zend_ssa_op *ssa_op, int call_level, zend_jit_trace_rec *trace, int checked_stack)
{
	zend_func_info *info = ZEND_FUNC_INFO(op_array);
	zend_call_info *call_info = NULL;
	zend_function *func = NULL;

	if (delayed_call_chain) {
		if (!zend_jit_save_call_chain(Dst, delayed_call_level)) {
			return 0;
		}
	}

	if (info) {
		call_info = info->callee_info;
		while (call_info && call_info->caller_init_opline != opline) {
			call_info = call_info->next_callee;
		}
		if (call_info && call_info->callee_func && !call_info->is_prototype) {
			func = call_info->callee_func;
		}
	}

	if (!func
	 && trace
	 && trace->op == ZEND_JIT_TRACE_INIT_CALL) {
		func = (zend_function*)trace->func;
	}

	if (opline->opcode == ZEND_INIT_FCALL
	 && func
	 && func->type == ZEND_INTERNAL_FUNCTION) {
		/* load constant address later */
	} else if (func && op_array == &func->op_array) {
		/* recursive call */
		//|	ldr REG0, EX->func
		dasm_put(Dst, 65471, Dt1(->func));
#line 8710 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	// if (CACHED_PTR(opline->result.num))
		//|	ldr REG2, EX->run_time_cache
		//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, REG2, opline->result.num, TMP1
		dasm_put(Dst, 65474, Dt1(->run_time_cache));
			if (((uintptr_t)(opline->result.num)) > LDR_STR_PIMM64) {
			if (((uint32_t)(opline->result.num)) <= MOVZ_IMM) {
		dasm_put(Dst, 65477, ((uint32_t)(opline->result.num)));
			} else if (((uint32_t)(opline->result.num) & 0xffff)) {
		dasm_put(Dst, 65480, ((uint32_t)(opline->result.num) & 0xffff));
				if ((((uint32_t)(opline->result.num) >> 16) & 0xffff)) {
		dasm_put(Dst, 65483, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 65486, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
			}
		dasm_put(Dst, 65489);
			} else {
		dasm_put(Dst, 65491, (opline->result.num));
			}
#line 8714 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
		 && func
		 && (func->common.fn_flags & ZEND_ACC_IMMUTABLE)
		 && opline->opcode != ZEND_INIT_FCALL) {
			/* Called func may be changed because of recompilation. See ext/opcache/tests/jit/init_fcall_003.phpt */
			//|	LOAD_ADDR REG1, ((ptrdiff_t)func)
				if (((uintptr_t)(((ptrdiff_t)func))) == 0) {
			dasm_put(Dst, 65494);
				} else if (((uintptr_t)(((ptrdiff_t)func))) <= MOVZ_IMM) {
			dasm_put(Dst, 65496, ((uint64_t)(((ptrdiff_t)func))));
				} else if (arm64_may_use_adr((void*)(((ptrdiff_t)func)))) {
			dasm_put(Dst, 65499, (unsigned int)((ptrdiff_t)(((ptrdiff_t)func))), (unsigned int)(((ptrdiff_t)(((ptrdiff_t)func)))>>32));
				} else if (arm64_may_use_adrp((void*)(((ptrdiff_t)func)))) {
			dasm_put(Dst, 65502, (unsigned int)((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)func)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)func))))))>>32));
					if (((uintptr_t)(((ptrdiff_t)func))) & 0xfff) {
			dasm_put(Dst, 65505, (((uintptr_t)(((ptrdiff_t)func))) & 0xfff));
					}
				} else if ((uintptr_t)(((ptrdiff_t)func)) & 0xffff) {
			dasm_put(Dst, 65508, ((uintptr_t)(((ptrdiff_t)func)) & 0xffff));
					if (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff) {
			dasm_put(Dst, 65511, (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff) {
			dasm_put(Dst, 65514, (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff) {
			dasm_put(Dst, 65517, (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff));
					if (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff) {
			dasm_put(Dst, 65520, (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 65523, (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff));
				}
#line 8720 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cmp REG0, REG1
			//|	bne >1
			dasm_put(Dst, 65526);
#line 8722 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	cbz REG0, >1
			dasm_put(Dst, 65530);
#line 8724 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|.cold_code
		dasm_put(Dst, 65533);
#line 8726 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 65534);
#line 8727 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->opcode == ZEND_INIT_FCALL
		 && func
		 && func->type == ZEND_USER_FUNCTION
		 && (func->op_array.fn_flags & ZEND_ACC_IMMUTABLE)) {
			//|	LOAD_ADDR FCARG1x, func
				if (((uintptr_t)(func)) == 0) {
			dasm_put(Dst, 65536);
				} else if (((uintptr_t)(func)) <= MOVZ_IMM) {
			dasm_put(Dst, 65538, ((uint64_t)(func)));
				} else if (arm64_may_use_adr((void*)(func))) {
			dasm_put(Dst, 65541, (unsigned int)((ptrdiff_t)(func)), (unsigned int)(((ptrdiff_t)(func))>>32));
				} else if (arm64_may_use_adrp((void*)(func))) {
			dasm_put(Dst, 65544, (unsigned int)((ptrdiff_t)((((uintptr_t)(func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(func)))))>>32));
					if (((uintptr_t)(func)) & 0xfff) {
			dasm_put(Dst, 65547, (((uintptr_t)(func)) & 0xfff));
					}
				} else if ((uintptr_t)(func) & 0xffff) {
			dasm_put(Dst, 65550, ((uintptr_t)(func) & 0xffff));
					if (((uintptr_t)(func) >> 16) & 0xffff) {
			dasm_put(Dst, 65553, (((uintptr_t)(func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(func) >> 32) & 0xffff) {
			dasm_put(Dst, 65556, (((uintptr_t)(func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(func) >> 16) & 0xffff) {
			dasm_put(Dst, 65559, (((uintptr_t)(func) >> 16) & 0xffff));
					if (((uintptr_t)(func) >> 32) & 0xffff) {
			dasm_put(Dst, 65562, (((uintptr_t)(func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 65565, (((uintptr_t)(func) >> 32) & 0xffff));
				}
#line 8732 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	MEM_ACCESS_64_WITH_UOFFSET str, FCARG1x, REG2, opline->result.num, TMP1
				if (((uintptr_t)(opline->result.num)) > LDR_STR_PIMM64) {
				if (((uint32_t)(opline->result.num)) <= MOVZ_IMM) {
			dasm_put(Dst, 65568, ((uint32_t)(opline->result.num)));
				} else if (((uint32_t)(opline->result.num) & 0xffff)) {
			dasm_put(Dst, 65571, ((uint32_t)(opline->result.num) & 0xffff));
					if ((((uint32_t)(opline->result.num) >> 16) & 0xffff)) {
			dasm_put(Dst, 65574, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 65577, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
				}
			dasm_put(Dst, 65580);
				} else {
			dasm_put(Dst, 65582, (opline->result.num));
				}
#line 8733 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_init_func_run_time_cache_helper, REG0
				if (arm64_may_use_b(zend_jit_init_func_run_time_cache_helper)) {
			dasm_put(Dst, 65585, (unsigned int)((ptrdiff_t)(zend_jit_init_func_run_time_cache_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_init_func_run_time_cache_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper)) == 0) {
			dasm_put(Dst, 65588);
				} else if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 65590, ((uint64_t)(zend_jit_init_func_run_time_cache_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_init_func_run_time_cache_helper))) {
			dasm_put(Dst, 65593, (unsigned int)((ptrdiff_t)(zend_jit_init_func_run_time_cache_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_init_func_run_time_cache_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_init_func_run_time_cache_helper))) {
			dasm_put(Dst, 65596, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_init_func_run_time_cache_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_init_func_run_time_cache_helper)))))>>32));
					if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper)) & 0xfff) {
			dasm_put(Dst, 65599, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_init_func_run_time_cache_helper) & 0xffff) {
			dasm_put(Dst, 65602, ((uintptr_t)(zend_jit_init_func_run_time_cache_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 65605, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 65608, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 65611, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 65614, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 65617, (((uintptr_t)(zend_jit_init_func_run_time_cache_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 65620);
				}
#line 8734 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	mov REG0, RETVALx
			//|	b >3
			dasm_put(Dst, 65622);
#line 8736 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			zval *zv = RT_CONSTANT(opline, opline->op2);

			if (opline->opcode == ZEND_INIT_FCALL) {
				//|	LOAD_ADDR FCARG1x, Z_STR_P(zv);
					if (((uintptr_t)(Z_STR_P(zv))) == 0) {
				dasm_put(Dst, 65626);
					} else if (((uintptr_t)(Z_STR_P(zv))) <= MOVZ_IMM) {
				dasm_put(Dst, 65628, ((uint64_t)(Z_STR_P(zv))));
					} else if (arm64_may_use_adr((void*)(Z_STR_P(zv)))) {
				dasm_put(Dst, 65631, (unsigned int)((ptrdiff_t)(Z_STR_P(zv))), (unsigned int)(((ptrdiff_t)(Z_STR_P(zv)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_STR_P(zv)))) {
				dasm_put(Dst, 65634, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_STR_P(zv)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_STR_P(zv))))))>>32));
						if (((uintptr_t)(Z_STR_P(zv))) & 0xfff) {
				dasm_put(Dst, 65637, (((uintptr_t)(Z_STR_P(zv))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_STR_P(zv)) & 0xffff) {
				dasm_put(Dst, 65640, ((uintptr_t)(Z_STR_P(zv)) & 0xffff));
						if (((uintptr_t)(Z_STR_P(zv)) >> 16) & 0xffff) {
				dasm_put(Dst, 65643, (((uintptr_t)(Z_STR_P(zv)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_STR_P(zv)) >> 32) & 0xffff) {
				dasm_put(Dst, 65646, (((uintptr_t)(Z_STR_P(zv)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_STR_P(zv)) >> 16) & 0xffff) {
				dasm_put(Dst, 65649, (((uintptr_t)(Z_STR_P(zv)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_STR_P(zv)) >> 32) & 0xffff) {
				dasm_put(Dst, 65652, (((uintptr_t)(Z_STR_P(zv)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65655, (((uintptr_t)(Z_STR_P(zv)) >> 32) & 0xffff));
					}
#line 8741 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	ADD_SUB_64_WITH_CONST_32 add, FCARG2x, REG2, opline->result.num, TMP1
					if (opline->result.num == 0) {
				dasm_put(Dst, 65658);
					} else if (arm64_may_encode_imm12((int64_t)(opline->result.num))) {
				dasm_put(Dst, 65660, opline->result.num);
					} else {
					if (((uint32_t)(opline->result.num)) <= MOVZ_IMM) {
				dasm_put(Dst, 65663, ((uint32_t)(opline->result.num)));
					} else if (((uint32_t)(opline->result.num) & 0xffff)) {
				dasm_put(Dst, 65666, ((uint32_t)(opline->result.num) & 0xffff));
						if ((((uint32_t)(opline->result.num) >> 16) & 0xffff)) {
				dasm_put(Dst, 65669, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65672, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
					}
				dasm_put(Dst, 65675);
					}
#line 8742 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_find_func_helper, REG0
					if (arm64_may_use_b(zend_jit_find_func_helper)) {
				dasm_put(Dst, 65677, (unsigned int)((ptrdiff_t)(zend_jit_find_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_func_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_find_func_helper)) == 0) {
				dasm_put(Dst, 65680);
					} else if (((uintptr_t)(zend_jit_find_func_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 65682, ((uint64_t)(zend_jit_find_func_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_find_func_helper))) {
				dasm_put(Dst, 65685, (unsigned int)((ptrdiff_t)(zend_jit_find_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_func_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_find_func_helper))) {
				dasm_put(Dst, 65688, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_find_func_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_find_func_helper)))))>>32));
						if (((uintptr_t)(zend_jit_find_func_helper)) & 0xfff) {
				dasm_put(Dst, 65691, (((uintptr_t)(zend_jit_find_func_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_find_func_helper) & 0xffff) {
				dasm_put(Dst, 65694, ((uintptr_t)(zend_jit_find_func_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_find_func_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 65697, (((uintptr_t)(zend_jit_find_func_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 65700, (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_find_func_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 65703, (((uintptr_t)(zend_jit_find_func_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 65706, (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65709, (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 65712);
					}
#line 8743 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (opline->opcode == ZEND_INIT_FCALL_BY_NAME) {
				//|	LOAD_ADDR FCARG1x, Z_STR_P(zv + 1);
					if (((uintptr_t)(Z_STR_P(zv + 1))) == 0) {
				dasm_put(Dst, 65714);
					} else if (((uintptr_t)(Z_STR_P(zv + 1))) <= MOVZ_IMM) {
				dasm_put(Dst, 65716, ((uint64_t)(Z_STR_P(zv + 1))));
					} else if (arm64_may_use_adr((void*)(Z_STR_P(zv + 1)))) {
				dasm_put(Dst, 65719, (unsigned int)((ptrdiff_t)(Z_STR_P(zv + 1))), (unsigned int)(((ptrdiff_t)(Z_STR_P(zv + 1)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_STR_P(zv + 1)))) {
				dasm_put(Dst, 65722, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_STR_P(zv + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_STR_P(zv + 1))))))>>32));
						if (((uintptr_t)(Z_STR_P(zv + 1))) & 0xfff) {
				dasm_put(Dst, 65725, (((uintptr_t)(Z_STR_P(zv + 1))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_STR_P(zv + 1)) & 0xffff) {
				dasm_put(Dst, 65728, ((uintptr_t)(Z_STR_P(zv + 1)) & 0xffff));
						if (((uintptr_t)(Z_STR_P(zv + 1)) >> 16) & 0xffff) {
				dasm_put(Dst, 65731, (((uintptr_t)(Z_STR_P(zv + 1)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_STR_P(zv + 1)) >> 32) & 0xffff) {
				dasm_put(Dst, 65734, (((uintptr_t)(Z_STR_P(zv + 1)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_STR_P(zv + 1)) >> 16) & 0xffff) {
				dasm_put(Dst, 65737, (((uintptr_t)(Z_STR_P(zv + 1)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_STR_P(zv + 1)) >> 32) & 0xffff) {
				dasm_put(Dst, 65740, (((uintptr_t)(Z_STR_P(zv + 1)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65743, (((uintptr_t)(Z_STR_P(zv + 1)) >> 32) & 0xffff));
					}
#line 8745 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	ADD_SUB_64_WITH_CONST_32 add, FCARG2x, REG2, opline->result.num, TMP1
					if (opline->result.num == 0) {
				dasm_put(Dst, 65746);
					} else if (arm64_may_encode_imm12((int64_t)(opline->result.num))) {
				dasm_put(Dst, 65748, opline->result.num);
					} else {
					if (((uint32_t)(opline->result.num)) <= MOVZ_IMM) {
				dasm_put(Dst, 65751, ((uint32_t)(opline->result.num)));
					} else if (((uint32_t)(opline->result.num) & 0xffff)) {
				dasm_put(Dst, 65754, ((uint32_t)(opline->result.num) & 0xffff));
						if ((((uint32_t)(opline->result.num) >> 16) & 0xffff)) {
				dasm_put(Dst, 65757, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65760, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
					}
				dasm_put(Dst, 65763);
					}
#line 8746 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_find_func_helper, REG0
					if (arm64_may_use_b(zend_jit_find_func_helper)) {
				dasm_put(Dst, 65765, (unsigned int)((ptrdiff_t)(zend_jit_find_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_func_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_find_func_helper)) == 0) {
				dasm_put(Dst, 65768);
					} else if (((uintptr_t)(zend_jit_find_func_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 65770, ((uint64_t)(zend_jit_find_func_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_find_func_helper))) {
				dasm_put(Dst, 65773, (unsigned int)((ptrdiff_t)(zend_jit_find_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_func_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_find_func_helper))) {
				dasm_put(Dst, 65776, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_find_func_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_find_func_helper)))))>>32));
						if (((uintptr_t)(zend_jit_find_func_helper)) & 0xfff) {
				dasm_put(Dst, 65779, (((uintptr_t)(zend_jit_find_func_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_find_func_helper) & 0xffff) {
				dasm_put(Dst, 65782, ((uintptr_t)(zend_jit_find_func_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_find_func_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 65785, (((uintptr_t)(zend_jit_find_func_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 65788, (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_find_func_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 65791, (((uintptr_t)(zend_jit_find_func_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 65794, (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65797, (((uintptr_t)(zend_jit_find_func_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 65800);
					}
#line 8747 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (opline->opcode == ZEND_INIT_NS_FCALL_BY_NAME) {
				//|	LOAD_ADDR FCARG1x, zv;
					if (((uintptr_t)(zv)) == 0) {
				dasm_put(Dst, 65802);
					} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
				dasm_put(Dst, 65804, ((uint64_t)(zv)));
					} else if (arm64_may_use_adr((void*)(zv))) {
				dasm_put(Dst, 65807, (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
					} else if (arm64_may_use_adrp((void*)(zv))) {
				dasm_put(Dst, 65810, (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
						if (((uintptr_t)(zv)) & 0xfff) {
				dasm_put(Dst, 65813, (((uintptr_t)(zv)) & 0xfff));
						}
					} else if ((uintptr_t)(zv) & 0xffff) {
				dasm_put(Dst, 65816, ((uintptr_t)(zv) & 0xffff));
						if (((uintptr_t)(zv) >> 16) & 0xffff) {
				dasm_put(Dst, 65819, (((uintptr_t)(zv) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zv) >> 32) & 0xffff) {
				dasm_put(Dst, 65822, (((uintptr_t)(zv) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
				dasm_put(Dst, 65825, (((uintptr_t)(zv) >> 16) & 0xffff));
						if (((uintptr_t)(zv) >> 32) & 0xffff) {
				dasm_put(Dst, 65828, (((uintptr_t)(zv) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65831, (((uintptr_t)(zv) >> 32) & 0xffff));
					}
#line 8749 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	ADD_SUB_64_WITH_CONST_32 add, FCARG2x, REG2, opline->result.num, TMP1
					if (opline->result.num == 0) {
				dasm_put(Dst, 65834);
					} else if (arm64_may_encode_imm12((int64_t)(opline->result.num))) {
				dasm_put(Dst, 65836, opline->result.num);
					} else {
					if (((uint32_t)(opline->result.num)) <= MOVZ_IMM) {
				dasm_put(Dst, 65839, ((uint32_t)(opline->result.num)));
					} else if (((uint32_t)(opline->result.num) & 0xffff)) {
				dasm_put(Dst, 65842, ((uint32_t)(opline->result.num) & 0xffff));
						if ((((uint32_t)(opline->result.num) >> 16) & 0xffff)) {
				dasm_put(Dst, 65845, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65848, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
					}
				dasm_put(Dst, 65851);
					}
#line 8750 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_find_ns_func_helper, REG0
					if (arm64_may_use_b(zend_jit_find_ns_func_helper)) {
				dasm_put(Dst, 65853, (unsigned int)((ptrdiff_t)(zend_jit_find_ns_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_ns_func_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_find_ns_func_helper)) == 0) {
				dasm_put(Dst, 65856);
					} else if (((uintptr_t)(zend_jit_find_ns_func_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 65858, ((uint64_t)(zend_jit_find_ns_func_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_find_ns_func_helper))) {
				dasm_put(Dst, 65861, (unsigned int)((ptrdiff_t)(zend_jit_find_ns_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_ns_func_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_find_ns_func_helper))) {
				dasm_put(Dst, 65864, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_find_ns_func_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_find_ns_func_helper)))))>>32));
						if (((uintptr_t)(zend_jit_find_ns_func_helper)) & 0xfff) {
				dasm_put(Dst, 65867, (((uintptr_t)(zend_jit_find_ns_func_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_find_ns_func_helper) & 0xffff) {
				dasm_put(Dst, 65870, ((uintptr_t)(zend_jit_find_ns_func_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_find_ns_func_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 65873, (((uintptr_t)(zend_jit_find_ns_func_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_find_ns_func_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 65876, (((uintptr_t)(zend_jit_find_ns_func_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_find_ns_func_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 65879, (((uintptr_t)(zend_jit_find_ns_func_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_find_ns_func_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 65882, (((uintptr_t)(zend_jit_find_ns_func_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 65885, (((uintptr_t)(zend_jit_find_ns_func_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 65888);
					}
#line 8751 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				ZEND_UNREACHABLE();
			}
			//|	// Get the return value of function zend_jit_find_func_helper/zend_jit_find_ns_func_helper
			//|	mov REG0, RETVALx
			dasm_put(Dst, 65890);
#line 8756 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline,
					func && (func->common.fn_flags & ZEND_ACC_IMMUTABLE) ? ZEND_JIT_EXIT_INVALIDATE : 0);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}

				if (!func || opline->opcode == ZEND_INIT_FCALL) {
					//|	cbnz REG0, >3
					dasm_put(Dst, 65892);
#line 8767 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (func->type == ZEND_USER_FUNCTION
					 && !(func->common.fn_flags & ZEND_ACC_IMMUTABLE)) {
					const zend_op *opcodes = func->op_array.opcodes;

					//|	LOAD_ADDR REG1, ((ptrdiff_t)opcodes)
						if (((uintptr_t)(((ptrdiff_t)opcodes))) == 0) {
					dasm_put(Dst, 65895);
						} else if (((uintptr_t)(((ptrdiff_t)opcodes))) <= MOVZ_IMM) {
					dasm_put(Dst, 65897, ((uint64_t)(((ptrdiff_t)opcodes))));
						} else if (arm64_may_use_adr((void*)(((ptrdiff_t)opcodes)))) {
					dasm_put(Dst, 65900, (unsigned int)((ptrdiff_t)(((ptrdiff_t)opcodes))), (unsigned int)(((ptrdiff_t)(((ptrdiff_t)opcodes)))>>32));
						} else if (arm64_may_use_adrp((void*)(((ptrdiff_t)opcodes)))) {
					dasm_put(Dst, 65903, (unsigned int)((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)opcodes)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)opcodes))))))>>32));
							if (((uintptr_t)(((ptrdiff_t)opcodes))) & 0xfff) {
					dasm_put(Dst, 65906, (((uintptr_t)(((ptrdiff_t)opcodes))) & 0xfff));
							}
						} else if ((uintptr_t)(((ptrdiff_t)opcodes)) & 0xffff) {
					dasm_put(Dst, 65909, ((uintptr_t)(((ptrdiff_t)opcodes)) & 0xffff));
							if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff) {
					dasm_put(Dst, 65912, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff) {
					dasm_put(Dst, 65915, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff) {
					dasm_put(Dst, 65918, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff));
							if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff) {
					dasm_put(Dst, 65921, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 65924, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff));
						}
#line 8772 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	ldr TMP1, [REG0, #offsetof(zend_op_array, opcodes)]
					//|	cmp TMP1, REG1
					//|	beq >3
					dasm_put(Dst, 65927, offsetof(zend_op_array, opcodes));
#line 8775 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	LOAD_ADDR REG1, ((ptrdiff_t)func)
						if (((uintptr_t)(((ptrdiff_t)func))) == 0) {
					dasm_put(Dst, 65933);
						} else if (((uintptr_t)(((ptrdiff_t)func))) <= MOVZ_IMM) {
					dasm_put(Dst, 65935, ((uint64_t)(((ptrdiff_t)func))));
						} else if (arm64_may_use_adr((void*)(((ptrdiff_t)func)))) {
					dasm_put(Dst, 65938, (unsigned int)((ptrdiff_t)(((ptrdiff_t)func))), (unsigned int)(((ptrdiff_t)(((ptrdiff_t)func)))>>32));
						} else if (arm64_may_use_adrp((void*)(((ptrdiff_t)func)))) {
					dasm_put(Dst, 65941, (unsigned int)((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)func)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)func))))))>>32));
							if (((uintptr_t)(((ptrdiff_t)func))) & 0xfff) {
					dasm_put(Dst, 65944, (((uintptr_t)(((ptrdiff_t)func))) & 0xfff));
							}
						} else if ((uintptr_t)(((ptrdiff_t)func)) & 0xffff) {
					dasm_put(Dst, 65947, ((uintptr_t)(((ptrdiff_t)func)) & 0xffff));
							if (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff) {
					dasm_put(Dst, 65950, (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff) {
					dasm_put(Dst, 65953, (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff) {
					dasm_put(Dst, 65956, (((uintptr_t)(((ptrdiff_t)func)) >> 16) & 0xffff));
							if (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff) {
					dasm_put(Dst, 65959, (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 65962, (((uintptr_t)(((ptrdiff_t)func)) >> 32) & 0xffff));
						}
#line 8777 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	cmp REG0, REG1
					//|	beq >3
					dasm_put(Dst, 65965);
#line 8779 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	b &exit_addr
				dasm_put(Dst, 65969, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8781 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	cbnz REG0, >3
				//|	// SAVE_OPLINE();
				//|	SET_EX_OPLINE opline, REG0
				dasm_put(Dst, 65972);
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 65975, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 65978);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 65980, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 65983, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 65986, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 65989, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 65992, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 65995, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 65998, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 66001, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 66004, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 66007, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 66010, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 8785 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b ->undefined_function
				dasm_put(Dst, 66013);
#line 8786 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|.code
		dasm_put(Dst, 66016);
#line 8789 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|3:
		dasm_put(Dst, 66017);
#line 8790 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (!zend_jit_push_call_frame(Dst, opline, op_array, func, 0, 0, checked_stack)) {
		return 0;
	}

	if (zend_jit_needs_call_chain(call_info, b, op_array, ssa, ssa_op, opline, call_level, trace)) {
		if (!zend_jit_save_call_chain(Dst, call_level)) {
			return 0;
		}
	} else {
		delayed_call_chain = 1;
		delayed_call_level = call_level;
	}

	return 1;
}

static int zend_jit_init_method_call(dasm_State          **Dst,
                                     const zend_op        *opline,
                                     uint32_t              b,
                                     const zend_op_array  *op_array,
                                     zend_ssa             *ssa,
                                     const zend_ssa_op    *ssa_op,
                                     int                   call_level,
                                     uint32_t              op1_info,
                                     zend_jit_addr         op1_addr,
                                     zend_class_entry     *ce,
                                     bool                  ce_is_instanceof,
                                     bool                  on_this,
                                     bool                  delayed_fetch_this,
                                     zend_class_entry     *trace_ce,
                                     zend_jit_trace_rec   *trace,
                                     int                   checked_stack,
                                     bool                  polymorphic_side_trace)
{
	zend_func_info *info = ZEND_FUNC_INFO(op_array);
	zend_call_info *call_info = NULL;
	zend_function *func = NULL;
	zval *function_name;

	ZEND_ASSERT(opline->op2_type == IS_CONST);
	ZEND_ASSERT(op1_info & MAY_BE_OBJECT);

	function_name = RT_CONSTANT(opline, opline->op2);

	if (info) {
		call_info = info->callee_info;
		while (call_info && call_info->caller_init_opline != opline) {
			call_info = call_info->next_callee;
		}
		if (call_info && call_info->callee_func && !call_info->is_prototype) {
			func = call_info->callee_func;
		}
	}

	if (polymorphic_side_trace) {
		/* function is passed in r0 from parent_trace */
	} else {
		if (on_this) {
			zend_jit_addr this_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, offsetof(zend_execute_data, This));

			//|	GET_ZVAL_PTR FCARG1x, this_addr, TMP1
				ZEND_ASSERT(Z_MODE(this_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(this_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(this_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 66019, ((uint32_t)(Z_OFFSET(this_addr))));
				} else if (((uint32_t)(Z_OFFSET(this_addr)) & 0xffff)) {
			dasm_put(Dst, 66022, ((uint32_t)(Z_OFFSET(this_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 66025, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 66028, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 66031, (Z_REG(this_addr)));
				} else {
			dasm_put(Dst, 66034, (Z_REG(this_addr)), (Z_OFFSET(this_addr)));
				}
#line 8853 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
		    if (op1_info & MAY_BE_REF) {
				if (opline->op1_type == IS_CV) {
					if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
						//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
							if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
							if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
						dasm_put(Dst, 66038);
							} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 66040, ((uint64_t)(Z_ZV(op1_addr))));
							} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
						dasm_put(Dst, 66043, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
							} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
						dasm_put(Dst, 66046, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
								if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
						dasm_put(Dst, 66049, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
								}
							} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
						dasm_put(Dst, 66052, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
								if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
						dasm_put(Dst, 66055, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
						dasm_put(Dst, 66058, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
						dasm_put(Dst, 66061, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
								if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
						dasm_put(Dst, 66064, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 66067, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
							} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
								if (Z_OFFSET(op1_addr)) {
							if (Z_OFFSET(op1_addr) == 0) {
						dasm_put(Dst, 66070, (Z_REG(op1_addr)));
							} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
						dasm_put(Dst, 66073, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
							} else {
							if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 66077, ((uint32_t)(Z_OFFSET(op1_addr))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
						dasm_put(Dst, 66080, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 66083, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 66086, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 66089, (Z_REG(op1_addr)));
							}
								} else {
									if (Z_REG(op1_addr) == ZREG_RSP) {
						dasm_put(Dst, 66092);
									} else {
						dasm_put(Dst, 66094, (Z_REG(op1_addr)));
									}
								}
							} else {
								ZEND_UNREACHABLE();
							}
#line 8858 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
						if (op1_info & MAY_BE_REF) {
					dasm_put(Dst, 66097, offsetof(zval, u1.v.type));
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 66100);
						} else {
					dasm_put(Dst, 66103, IS_REFERENCE);
						}
					dasm_put(Dst, 66108, offsetof(zend_reference, val));
						}
#line 8860 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
				} else {
					/* Hack: Convert reference to regular value to simplify JIT code */
					ZEND_ASSERT(Z_REG(op1_addr) == ZREG_FP);
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_REFERENCE, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 66113, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 66117, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 66121, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 66125, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 66129, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 66134, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 66139, (ZREG_X15));
						} else {
					dasm_put(Dst, 66143, (ZREG_X15), IS_REFERENCE);
						}
#line 8865 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
					dasm_put(Dst, 66149);
						} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 66151, ((uint64_t)(Z_ZV(op1_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 66154, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 66157, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
					dasm_put(Dst, 66160, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
					dasm_put(Dst, 66163, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 66166, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 66169, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 66172, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 66175, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 66178, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(op1_addr)) {
						if (Z_OFFSET(op1_addr) == 0) {
					dasm_put(Dst, 66181, (Z_REG(op1_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
					dasm_put(Dst, 66184, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 66188, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 66191, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 66194, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 66197, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 66200, (Z_REG(op1_addr)));
						}
							} else {
								if (Z_REG(op1_addr) == ZREG_RSP) {
					dasm_put(Dst, 66203);
								} else {
					dasm_put(Dst, 66205, (Z_REG(op1_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 8866 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_unref_helper, REG0
						if (arm64_may_use_b(zend_jit_unref_helper)) {
					dasm_put(Dst, 66208, (unsigned int)((ptrdiff_t)(zend_jit_unref_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_unref_helper))>>32));
						} else {
						if (((uintptr_t)(zend_jit_unref_helper)) == 0) {
					dasm_put(Dst, 66211);
						} else if (((uintptr_t)(zend_jit_unref_helper)) <= MOVZ_IMM) {
					dasm_put(Dst, 66213, ((uint64_t)(zend_jit_unref_helper)));
						} else if (arm64_may_use_adr((void*)(zend_jit_unref_helper))) {
					dasm_put(Dst, 66216, (unsigned int)((ptrdiff_t)(zend_jit_unref_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_unref_helper))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_unref_helper))) {
					dasm_put(Dst, 66219, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_unref_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_unref_helper)))))>>32));
							if (((uintptr_t)(zend_jit_unref_helper)) & 0xfff) {
					dasm_put(Dst, 66222, (((uintptr_t)(zend_jit_unref_helper)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_unref_helper) & 0xffff) {
					dasm_put(Dst, 66225, ((uintptr_t)(zend_jit_unref_helper) & 0xffff));
							if (((uintptr_t)(zend_jit_unref_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 66228, (((uintptr_t)(zend_jit_unref_helper) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 66231, (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_unref_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 66234, (((uintptr_t)(zend_jit_unref_helper) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 66237, (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 66240, (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff));
						}
					dasm_put(Dst, 66243);
						}
#line 8867 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 66245);
#line 8868 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY)- MAY_BE_OBJECT)) {
				if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
					int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
					const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

					if (!exit_addr) {
						return 0;
					}
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, &exit_addr, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 66247, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 66251, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 66255, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 66259, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 66263, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 66268, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_OBJECT == 0) {
					dasm_put(Dst, 66273, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						} else {
					dasm_put(Dst, 66277, (ZREG_X15), IS_OBJECT, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						}
#line 8879 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 66283, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 66287, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 66291, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 66295, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 66299, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 66304, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_OBJECT == 0) {
					dasm_put(Dst, 66309, (ZREG_X15));
						} else {
					dasm_put(Dst, 66313, (ZREG_X15), IS_OBJECT);
						}
#line 8881 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|.cold_code
					dasm_put(Dst, 66319);
#line 8882 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 66320);
#line 8883 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
						//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
							if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
							if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
						dasm_put(Dst, 66322);
							} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 66324, ((uint64_t)(Z_ZV(op1_addr))));
							} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
						dasm_put(Dst, 66327, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
							} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
						dasm_put(Dst, 66330, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
								if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
						dasm_put(Dst, 66333, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
								}
							} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
						dasm_put(Dst, 66336, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
								if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
						dasm_put(Dst, 66339, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
						dasm_put(Dst, 66342, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
						dasm_put(Dst, 66345, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
								if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
						dasm_put(Dst, 66348, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 66351, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
							} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
								if (Z_OFFSET(op1_addr)) {
							if (Z_OFFSET(op1_addr) == 0) {
						dasm_put(Dst, 66354, (Z_REG(op1_addr)));
							} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
						dasm_put(Dst, 66357, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
							} else {
							if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 66361, ((uint32_t)(Z_OFFSET(op1_addr))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
						dasm_put(Dst, 66364, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 66367, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 66370, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 66373, (Z_REG(op1_addr)));
							}
								} else {
									if (Z_REG(op1_addr) == ZREG_RSP) {
						dasm_put(Dst, 66376);
									} else {
						dasm_put(Dst, 66378, (Z_REG(op1_addr)));
									}
								}
							} else {
								ZEND_UNREACHABLE();
							}
#line 8885 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	SET_EX_OPLINE opline, REG0
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 66381, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 66384);
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 66386, ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 66389, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 66392, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 66395, (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 66398, ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 66401, (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 66404, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 66407, (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 66410, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 66413, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 66416, Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
#line 8887 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if ((opline->op1_type & (IS_VAR|IS_TMP_VAR)) && !delayed_fetch_this) {
						//|	EXT_CALL zend_jit_invalid_method_call_tmp, REG0
							if (arm64_may_use_b(zend_jit_invalid_method_call_tmp)) {
						dasm_put(Dst, 66419, (unsigned int)((ptrdiff_t)(zend_jit_invalid_method_call_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_method_call_tmp))>>32));
							} else {
							if (((uintptr_t)(zend_jit_invalid_method_call_tmp)) == 0) {
						dasm_put(Dst, 66422);
							} else if (((uintptr_t)(zend_jit_invalid_method_call_tmp)) <= MOVZ_IMM) {
						dasm_put(Dst, 66424, ((uint64_t)(zend_jit_invalid_method_call_tmp)));
							} else if (arm64_may_use_adr((void*)(zend_jit_invalid_method_call_tmp))) {
						dasm_put(Dst, 66427, (unsigned int)((ptrdiff_t)(zend_jit_invalid_method_call_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_method_call_tmp))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_invalid_method_call_tmp))) {
						dasm_put(Dst, 66430, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_method_call_tmp))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_method_call_tmp)))))>>32));
								if (((uintptr_t)(zend_jit_invalid_method_call_tmp)) & 0xfff) {
						dasm_put(Dst, 66433, (((uintptr_t)(zend_jit_invalid_method_call_tmp)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_invalid_method_call_tmp) & 0xffff) {
						dasm_put(Dst, 66436, ((uintptr_t)(zend_jit_invalid_method_call_tmp) & 0xffff));
								if (((uintptr_t)(zend_jit_invalid_method_call_tmp) >> 16) & 0xffff) {
						dasm_put(Dst, 66439, (((uintptr_t)(zend_jit_invalid_method_call_tmp) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_invalid_method_call_tmp) >> 32) & 0xffff) {
						dasm_put(Dst, 66442, (((uintptr_t)(zend_jit_invalid_method_call_tmp) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_invalid_method_call_tmp) >> 16) & 0xffff) {
						dasm_put(Dst, 66445, (((uintptr_t)(zend_jit_invalid_method_call_tmp) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_invalid_method_call_tmp) >> 32) & 0xffff) {
						dasm_put(Dst, 66448, (((uintptr_t)(zend_jit_invalid_method_call_tmp) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 66451, (((uintptr_t)(zend_jit_invalid_method_call_tmp) >> 32) & 0xffff));
							}
						dasm_put(Dst, 66454);
							}
#line 8889 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	EXT_CALL zend_jit_invalid_method_call, REG0
							if (arm64_may_use_b(zend_jit_invalid_method_call)) {
						dasm_put(Dst, 66456, (unsigned int)((ptrdiff_t)(zend_jit_invalid_method_call)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_method_call))>>32));
							} else {
							if (((uintptr_t)(zend_jit_invalid_method_call)) == 0) {
						dasm_put(Dst, 66459);
							} else if (((uintptr_t)(zend_jit_invalid_method_call)) <= MOVZ_IMM) {
						dasm_put(Dst, 66461, ((uint64_t)(zend_jit_invalid_method_call)));
							} else if (arm64_may_use_adr((void*)(zend_jit_invalid_method_call))) {
						dasm_put(Dst, 66464, (unsigned int)((ptrdiff_t)(zend_jit_invalid_method_call)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_method_call))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_invalid_method_call))) {
						dasm_put(Dst, 66467, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_method_call))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_method_call)))))>>32));
								if (((uintptr_t)(zend_jit_invalid_method_call)) & 0xfff) {
						dasm_put(Dst, 66470, (((uintptr_t)(zend_jit_invalid_method_call)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_invalid_method_call) & 0xffff) {
						dasm_put(Dst, 66473, ((uintptr_t)(zend_jit_invalid_method_call) & 0xffff));
								if (((uintptr_t)(zend_jit_invalid_method_call) >> 16) & 0xffff) {
						dasm_put(Dst, 66476, (((uintptr_t)(zend_jit_invalid_method_call) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_invalid_method_call) >> 32) & 0xffff) {
						dasm_put(Dst, 66479, (((uintptr_t)(zend_jit_invalid_method_call) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_invalid_method_call) >> 16) & 0xffff) {
						dasm_put(Dst, 66482, (((uintptr_t)(zend_jit_invalid_method_call) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_invalid_method_call) >> 32) & 0xffff) {
						dasm_put(Dst, 66485, (((uintptr_t)(zend_jit_invalid_method_call) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 66488, (((uintptr_t)(zend_jit_invalid_method_call) >> 32) & 0xffff));
							}
						dasm_put(Dst, 66491);
							}
#line 8891 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	b ->exception_handler
					//|.code
					dasm_put(Dst, 66493);
#line 8894 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 66496, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 66499, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 66502, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 66505, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 66508, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 66511, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 8897 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (delayed_call_chain) {
			if (!zend_jit_save_call_chain(Dst, delayed_call_level)) {
				return 0;
			}
		}

		//|	str FCARG1x, T1 // save
		dasm_put(Dst, 66515);
#line 8906 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		if (func) {
			//|	// fbc = CACHED_PTR(opline->result.num + sizeof(void*));
			//|	ldr REG0, EX->run_time_cache
			//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, REG0, (opline->result.num + sizeof(void*)), TMP1
			dasm_put(Dst, 66517, Dt1(->run_time_cache));
				if (((uintptr_t)((opline->result.num + sizeof(void*)))) > LDR_STR_PIMM64) {
				if (((uint32_t)((opline->result.num + sizeof(void*)))) <= MOVZ_IMM) {
			dasm_put(Dst, 66520, ((uint32_t)((opline->result.num + sizeof(void*)))));
				} else if (((uint32_t)((opline->result.num + sizeof(void*))) & 0xffff)) {
			dasm_put(Dst, 66523, ((uint32_t)((opline->result.num + sizeof(void*))) & 0xffff));
					if ((((uint32_t)((opline->result.num + sizeof(void*))) >> 16) & 0xffff)) {
			dasm_put(Dst, 66526, (((uint32_t)((opline->result.num + sizeof(void*))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 66529, (((uint32_t)((opline->result.num + sizeof(void*))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 66532);
				} else {
			dasm_put(Dst, 66534, ((opline->result.num + sizeof(void*))));
				}
#line 8911 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cbz REG0, >1
			dasm_put(Dst, 66537);
#line 8912 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	// if (CACHED_PTR(opline->result.num) == obj->ce)) {
			//|	ldr REG0, EX->run_time_cache
			//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG2, REG0, opline->result.num, TMP1
			dasm_put(Dst, 66540, Dt1(->run_time_cache));
				if (((uintptr_t)(opline->result.num)) > LDR_STR_PIMM64) {
				if (((uint32_t)(opline->result.num)) <= MOVZ_IMM) {
			dasm_put(Dst, 66543, ((uint32_t)(opline->result.num)));
				} else if (((uint32_t)(opline->result.num) & 0xffff)) {
			dasm_put(Dst, 66546, ((uint32_t)(opline->result.num) & 0xffff));
					if ((((uint32_t)(opline->result.num) >> 16) & 0xffff)) {
			dasm_put(Dst, 66549, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 66552, (((uint32_t)(opline->result.num) >> 16) & 0xffff));
				}
			dasm_put(Dst, 66555);
				} else {
			dasm_put(Dst, 66557, (opline->result.num));
				}
#line 8916 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldr TMP1, [FCARG1x, #offsetof(zend_object, ce)]
			//|	cmp REG2, TMP1
			//|	bne >1
			//|	// fbc = CACHED_PTR(opline->result.num + sizeof(void*));
			//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, REG0, (opline->result.num + sizeof(void*)), TMP1
			dasm_put(Dst, 66560, offsetof(zend_object, ce));
				if (((uintptr_t)((opline->result.num + sizeof(void*)))) > LDR_STR_PIMM64) {
				if (((uint32_t)((opline->result.num + sizeof(void*)))) <= MOVZ_IMM) {
			dasm_put(Dst, 66566, ((uint32_t)((opline->result.num + sizeof(void*)))));
				} else if (((uint32_t)((opline->result.num + sizeof(void*))) & 0xffff)) {
			dasm_put(Dst, 66569, ((uint32_t)((opline->result.num + sizeof(void*))) & 0xffff));
					if ((((uint32_t)((opline->result.num + sizeof(void*))) >> 16) & 0xffff)) {
			dasm_put(Dst, 66572, (((uint32_t)((opline->result.num + sizeof(void*))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 66575, (((uint32_t)((opline->result.num + sizeof(void*))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 66578);
				} else {
			dasm_put(Dst, 66580, ((opline->result.num + sizeof(void*))));
				}
#line 8921 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		//|.cold_code
		dasm_put(Dst, 66583);
#line 8924 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	LOAD_ADDR FCARG2x, function_name
		dasm_put(Dst, 66584);
			if (((uintptr_t)(function_name)) == 0) {
		dasm_put(Dst, 66586);
			} else if (((uintptr_t)(function_name)) <= MOVZ_IMM) {
		dasm_put(Dst, 66588, ((uint64_t)(function_name)));
			} else if (arm64_may_use_adr((void*)(function_name))) {
		dasm_put(Dst, 66591, (unsigned int)((ptrdiff_t)(function_name)), (unsigned int)(((ptrdiff_t)(function_name))>>32));
			} else if (arm64_may_use_adrp((void*)(function_name))) {
		dasm_put(Dst, 66594, (unsigned int)((ptrdiff_t)((((uintptr_t)(function_name))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(function_name)))))>>32));
				if (((uintptr_t)(function_name)) & 0xfff) {
		dasm_put(Dst, 66597, (((uintptr_t)(function_name)) & 0xfff));
				}
			} else if ((uintptr_t)(function_name) & 0xffff) {
		dasm_put(Dst, 66600, ((uintptr_t)(function_name) & 0xffff));
				if (((uintptr_t)(function_name) >> 16) & 0xffff) {
		dasm_put(Dst, 66603, (((uintptr_t)(function_name) >> 16) & 0xffff));
				}
				if (((uintptr_t)(function_name) >> 32) & 0xffff) {
		dasm_put(Dst, 66606, (((uintptr_t)(function_name) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(function_name) >> 16) & 0xffff) {
		dasm_put(Dst, 66609, (((uintptr_t)(function_name) >> 16) & 0xffff));
				if (((uintptr_t)(function_name) >> 32) & 0xffff) {
		dasm_put(Dst, 66612, (((uintptr_t)(function_name) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 66615, (((uintptr_t)(function_name) >> 32) & 0xffff));
			}
#line 8926 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (TMP_ZVAL_OFFSET == 0) {
			//|	mov CARG3, sp
			dasm_put(Dst, 66618);
#line 8928 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	add CARG3, sp, #TMP_ZVAL_OFFSET
			dasm_put(Dst, 66620, TMP_ZVAL_OFFSET);
#line 8930 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 66623, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 66626);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 66628, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 66631, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 66634, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 66637, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 66640, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 66643, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 66646, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 66649, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 66652, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 66655, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 66658, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 8932 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if ((opline->op1_type & (IS_VAR|IS_TMP_VAR)) && !delayed_fetch_this) {
			//|	EXT_CALL zend_jit_find_method_tmp_helper, REG0
				if (arm64_may_use_b(zend_jit_find_method_tmp_helper)) {
			dasm_put(Dst, 66661, (unsigned int)((ptrdiff_t)(zend_jit_find_method_tmp_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_method_tmp_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_find_method_tmp_helper)) == 0) {
			dasm_put(Dst, 66664);
				} else if (((uintptr_t)(zend_jit_find_method_tmp_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 66666, ((uint64_t)(zend_jit_find_method_tmp_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_find_method_tmp_helper))) {
			dasm_put(Dst, 66669, (unsigned int)((ptrdiff_t)(zend_jit_find_method_tmp_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_method_tmp_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_find_method_tmp_helper))) {
			dasm_put(Dst, 66672, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_find_method_tmp_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_find_method_tmp_helper)))))>>32));
					if (((uintptr_t)(zend_jit_find_method_tmp_helper)) & 0xfff) {
			dasm_put(Dst, 66675, (((uintptr_t)(zend_jit_find_method_tmp_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_find_method_tmp_helper) & 0xffff) {
			dasm_put(Dst, 66678, ((uintptr_t)(zend_jit_find_method_tmp_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_find_method_tmp_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 66681, (((uintptr_t)(zend_jit_find_method_tmp_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_find_method_tmp_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 66684, (((uintptr_t)(zend_jit_find_method_tmp_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_find_method_tmp_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 66687, (((uintptr_t)(zend_jit_find_method_tmp_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_find_method_tmp_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 66690, (((uintptr_t)(zend_jit_find_method_tmp_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 66693, (((uintptr_t)(zend_jit_find_method_tmp_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 66696);
				}
#line 8934 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	EXT_CALL zend_jit_find_method_helper, REG0
				if (arm64_may_use_b(zend_jit_find_method_helper)) {
			dasm_put(Dst, 66698, (unsigned int)((ptrdiff_t)(zend_jit_find_method_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_method_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_find_method_helper)) == 0) {
			dasm_put(Dst, 66701);
				} else if (((uintptr_t)(zend_jit_find_method_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 66703, ((uint64_t)(zend_jit_find_method_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_find_method_helper))) {
			dasm_put(Dst, 66706, (unsigned int)((ptrdiff_t)(zend_jit_find_method_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_find_method_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_find_method_helper))) {
			dasm_put(Dst, 66709, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_find_method_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_find_method_helper)))))>>32));
					if (((uintptr_t)(zend_jit_find_method_helper)) & 0xfff) {
			dasm_put(Dst, 66712, (((uintptr_t)(zend_jit_find_method_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_find_method_helper) & 0xffff) {
			dasm_put(Dst, 66715, ((uintptr_t)(zend_jit_find_method_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_find_method_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 66718, (((uintptr_t)(zend_jit_find_method_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_find_method_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 66721, (((uintptr_t)(zend_jit_find_method_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_find_method_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 66724, (((uintptr_t)(zend_jit_find_method_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_find_method_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 66727, (((uintptr_t)(zend_jit_find_method_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 66730, (((uintptr_t)(zend_jit_find_method_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 66733);
				}
#line 8936 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	mov REG0, RETVALx
		//|	cbnz REG0, >2
		//|	b ->exception_handler
		//|.code
		dasm_put(Dst, 66735);
#line 8941 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|2:
		dasm_put(Dst, 66741);
#line 8942 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if ((!func || zend_jit_may_be_modified(func, op_array))
	 && trace
	 && trace->op == ZEND_JIT_TRACE_INIT_CALL
	 && trace->func
	) {
		int32_t exit_point;
		const void *exit_addr;

		exit_point = zend_jit_trace_get_exit_point(opline, func ? ZEND_JIT_EXIT_INVALIDATE : ZEND_JIT_EXIT_METHOD_CALL);
		exit_addr = zend_jit_trace_get_exit_addr(exit_point);
		if (!exit_addr) {
			return 0;
		}

		func = (zend_function*)trace->func;

		if (func->type == ZEND_USER_FUNCTION &&
		    (!(func->common.fn_flags & ZEND_ACC_IMMUTABLE) ||
		     (func->common.fn_flags & ZEND_ACC_CLOSURE) ||
		     !func->common.function_name)) {
			const zend_op *opcodes = func->op_array.opcodes;

			//|	LOAD_ADDR TMP1, opcodes
				if (((uintptr_t)(opcodes)) == 0) {
			dasm_put(Dst, 66743);
				} else if (((uintptr_t)(opcodes)) <= MOVZ_IMM) {
			dasm_put(Dst, 66745, ((uint64_t)(opcodes)));
				} else if (arm64_may_use_adr((void*)(opcodes))) {
			dasm_put(Dst, 66748, (unsigned int)((ptrdiff_t)(opcodes)), (unsigned int)(((ptrdiff_t)(opcodes))>>32));
				} else if (arm64_may_use_adrp((void*)(opcodes))) {
			dasm_put(Dst, 66751, (unsigned int)((ptrdiff_t)((((uintptr_t)(opcodes))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opcodes)))))>>32));
					if (((uintptr_t)(opcodes)) & 0xfff) {
			dasm_put(Dst, 66754, (((uintptr_t)(opcodes)) & 0xfff));
					}
				} else if ((uintptr_t)(opcodes) & 0xffff) {
			dasm_put(Dst, 66757, ((uintptr_t)(opcodes) & 0xffff));
					if (((uintptr_t)(opcodes) >> 16) & 0xffff) {
			dasm_put(Dst, 66760, (((uintptr_t)(opcodes) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opcodes) >> 32) & 0xffff) {
			dasm_put(Dst, 66763, (((uintptr_t)(opcodes) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opcodes) >> 16) & 0xffff) {
			dasm_put(Dst, 66766, (((uintptr_t)(opcodes) >> 16) & 0xffff));
					if (((uintptr_t)(opcodes) >> 32) & 0xffff) {
			dasm_put(Dst, 66769, (((uintptr_t)(opcodes) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 66772, (((uintptr_t)(opcodes) >> 32) & 0xffff));
				}
#line 8967 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldr TMP2, [REG0, #offsetof(zend_op_array, opcodes)]
			//|	cmp TMP2, TMP1
			//|	bne &exit_addr
			dasm_put(Dst, 66775, offsetof(zend_op_array, opcodes), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8970 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LOAD_ADDR TMP1, func
				if (((uintptr_t)(func)) == 0) {
			dasm_put(Dst, 66781);
				} else if (((uintptr_t)(func)) <= MOVZ_IMM) {
			dasm_put(Dst, 66783, ((uint64_t)(func)));
				} else if (arm64_may_use_adr((void*)(func))) {
			dasm_put(Dst, 66786, (unsigned int)((ptrdiff_t)(func)), (unsigned int)(((ptrdiff_t)(func))>>32));
				} else if (arm64_may_use_adrp((void*)(func))) {
			dasm_put(Dst, 66789, (unsigned int)((ptrdiff_t)((((uintptr_t)(func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(func)))))>>32));
					if (((uintptr_t)(func)) & 0xfff) {
			dasm_put(Dst, 66792, (((uintptr_t)(func)) & 0xfff));
					}
				} else if ((uintptr_t)(func) & 0xffff) {
			dasm_put(Dst, 66795, ((uintptr_t)(func) & 0xffff));
					if (((uintptr_t)(func) >> 16) & 0xffff) {
			dasm_put(Dst, 66798, (((uintptr_t)(func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(func) >> 32) & 0xffff) {
			dasm_put(Dst, 66801, (((uintptr_t)(func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(func) >> 16) & 0xffff) {
			dasm_put(Dst, 66804, (((uintptr_t)(func) >> 16) & 0xffff));
					if (((uintptr_t)(func) >> 32) & 0xffff) {
			dasm_put(Dst, 66807, (((uintptr_t)(func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 66810, (((uintptr_t)(func) >> 32) & 0xffff));
				}
#line 8972 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cmp REG0, TMP1
			//|	bne &exit_addr
			dasm_put(Dst, 66813, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 8974 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (!func) {
		//|	// if (fbc->common.fn_flags & ZEND_ACC_STATIC) {
		//|	ldr TMP1w, [REG0, #offsetof(zend_function, common.fn_flags)]
		//|	TST_32_WITH_CONST TMP1w, ZEND_ACC_STATIC, TMP2w
		dasm_put(Dst, 66817, offsetof(zend_function, common.fn_flags));
			if (ZEND_ACC_STATIC == 0) {
		dasm_put(Dst, 66820);
			} else if (logical_immediate_p((uint32_t)ZEND_ACC_STATIC, 32)) {
		dasm_put(Dst, 66822, ZEND_ACC_STATIC);
			} else {
			if (((uint32_t)(ZEND_ACC_STATIC)) <= MOVZ_IMM) {
		dasm_put(Dst, 66825, ((uint32_t)(ZEND_ACC_STATIC)));
			} else if (((uint32_t)(ZEND_ACC_STATIC) & 0xffff)) {
		dasm_put(Dst, 66828, ((uint32_t)(ZEND_ACC_STATIC) & 0xffff));
				if ((((uint32_t)(ZEND_ACC_STATIC) >> 16) & 0xffff)) {
		dasm_put(Dst, 66831, (((uint32_t)(ZEND_ACC_STATIC) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 66834, (((uint32_t)(ZEND_ACC_STATIC) >> 16) & 0xffff));
			}
		dasm_put(Dst, 66837);
			}
#line 8981 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	bne >1
		//|.cold_code
		dasm_put(Dst, 66839);
#line 8983 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 66842);
#line 8984 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (!func || (func->common.fn_flags & ZEND_ACC_STATIC) != 0) {
		//|	ldr FCARG1x, T1 // restore
		//|	mov FCARG2x, REG0
		//|	LOAD_32BIT_VAL CARG3w, opline->extended_value
		dasm_put(Dst, 66844);
			if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
		dasm_put(Dst, 66847, ((uint32_t)(opline->extended_value)));
			} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
		dasm_put(Dst, 66850, ((uint32_t)(opline->extended_value) & 0xffff));
				if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
		dasm_put(Dst, 66853, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 66856, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
#line 8990 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if ((opline->op1_type & (IS_VAR|IS_TMP_VAR)) && !delayed_fetch_this) {
			//|	EXT_CALL zend_jit_push_static_metod_call_frame_tmp, REG0
				if (arm64_may_use_b(zend_jit_push_static_metod_call_frame_tmp)) {
			dasm_put(Dst, 66859, (unsigned int)((ptrdiff_t)(zend_jit_push_static_metod_call_frame_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_push_static_metod_call_frame_tmp))>>32));
				} else {
				if (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp)) == 0) {
			dasm_put(Dst, 66862);
				} else if (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp)) <= MOVZ_IMM) {
			dasm_put(Dst, 66864, ((uint64_t)(zend_jit_push_static_metod_call_frame_tmp)));
				} else if (arm64_may_use_adr((void*)(zend_jit_push_static_metod_call_frame_tmp))) {
			dasm_put(Dst, 66867, (unsigned int)((ptrdiff_t)(zend_jit_push_static_metod_call_frame_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_push_static_metod_call_frame_tmp))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_push_static_metod_call_frame_tmp))) {
			dasm_put(Dst, 66870, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp)))))>>32));
					if (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp)) & 0xfff) {
			dasm_put(Dst, 66873, (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) & 0xffff) {
			dasm_put(Dst, 66876, ((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) & 0xffff));
					if (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) >> 16) & 0xffff) {
			dasm_put(Dst, 66879, (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) >> 32) & 0xffff) {
			dasm_put(Dst, 66882, (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) >> 16) & 0xffff) {
			dasm_put(Dst, 66885, (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) >> 32) & 0xffff) {
			dasm_put(Dst, 66888, (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 66891, (((uintptr_t)(zend_jit_push_static_metod_call_frame_tmp) >> 32) & 0xffff));
				}
			dasm_put(Dst, 66894);
				}
#line 8992 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	EXT_CALL zend_jit_push_static_metod_call_frame, REG0
				if (arm64_may_use_b(zend_jit_push_static_metod_call_frame)) {
			dasm_put(Dst, 66896, (unsigned int)((ptrdiff_t)(zend_jit_push_static_metod_call_frame)), (unsigned int)(((ptrdiff_t)(zend_jit_push_static_metod_call_frame))>>32));
				} else {
				if (((uintptr_t)(zend_jit_push_static_metod_call_frame)) == 0) {
			dasm_put(Dst, 66899);
				} else if (((uintptr_t)(zend_jit_push_static_metod_call_frame)) <= MOVZ_IMM) {
			dasm_put(Dst, 66901, ((uint64_t)(zend_jit_push_static_metod_call_frame)));
				} else if (arm64_may_use_adr((void*)(zend_jit_push_static_metod_call_frame))) {
			dasm_put(Dst, 66904, (unsigned int)((ptrdiff_t)(zend_jit_push_static_metod_call_frame)), (unsigned int)(((ptrdiff_t)(zend_jit_push_static_metod_call_frame))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_push_static_metod_call_frame))) {
			dasm_put(Dst, 66907, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_push_static_metod_call_frame))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_push_static_metod_call_frame)))))>>32));
					if (((uintptr_t)(zend_jit_push_static_metod_call_frame)) & 0xfff) {
			dasm_put(Dst, 66910, (((uintptr_t)(zend_jit_push_static_metod_call_frame)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_push_static_metod_call_frame) & 0xffff) {
			dasm_put(Dst, 66913, ((uintptr_t)(zend_jit_push_static_metod_call_frame) & 0xffff));
					if (((uintptr_t)(zend_jit_push_static_metod_call_frame) >> 16) & 0xffff) {
			dasm_put(Dst, 66916, (((uintptr_t)(zend_jit_push_static_metod_call_frame) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_push_static_metod_call_frame) >> 32) & 0xffff) {
			dasm_put(Dst, 66919, (((uintptr_t)(zend_jit_push_static_metod_call_frame) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_push_static_metod_call_frame) >> 16) & 0xffff) {
			dasm_put(Dst, 66922, (((uintptr_t)(zend_jit_push_static_metod_call_frame) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_push_static_metod_call_frame) >> 32) & 0xffff) {
			dasm_put(Dst, 66925, (((uintptr_t)(zend_jit_push_static_metod_call_frame) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 66928, (((uintptr_t)(zend_jit_push_static_metod_call_frame) >> 32) & 0xffff));
				}
			dasm_put(Dst, 66931);
				}
#line 8994 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if ((opline->op1_type & (IS_VAR|IS_TMP_VAR) && !delayed_fetch_this)) {
			//|	cbz RETVALx, ->exception_handler
			dasm_put(Dst, 66933);
#line 8997 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	mov RX, RETVALx
		dasm_put(Dst, 66936);
#line 8999 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (!func) {
		//|	b >9
		//|.code
		dasm_put(Dst, 66938);
#line 9004 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (!func || (func->common.fn_flags & ZEND_ACC_STATIC) == 0) {
		if (!zend_jit_push_call_frame(Dst, opline, NULL, func, 0, delayed_fetch_this, checked_stack)) {
			return 0;
		}
	}

	if (!func) {
		//|9:
		dasm_put(Dst, 66941);
#line 9014 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	zend_jit_start_reuse_ip();

	if (zend_jit_needs_call_chain(call_info, b, op_array, ssa, ssa_op, opline, call_level, trace)) {
		if (!zend_jit_save_call_chain(Dst, call_level)) {
			return 0;
		}
	} else {
		delayed_call_chain = 1;
		delayed_call_level = call_level;
	}

	return 1;
}

static int zend_jit_init_closure_call(dasm_State          **Dst,
                                      const zend_op        *opline,
                                      uint32_t              b,
                                      const zend_op_array  *op_array,
                                      zend_ssa             *ssa,
                                      const zend_ssa_op    *ssa_op,
                                      int                   call_level,
                                      zend_jit_trace_rec   *trace,
                                      int                   checked_stack)
{
	zend_function *func = NULL;
	zend_jit_addr op2_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);

	//|	GET_ZVAL_PTR REG0, op2_addr, TMP1
		ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 66943, ((uint32_t)(Z_OFFSET(op2_addr))));
		} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
	dasm_put(Dst, 66946, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 66949, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 66952, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 66955, (Z_REG(op2_addr)));
		} else {
	dasm_put(Dst, 66958, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
		}
#line 9043 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (ssa->var_info[ssa_op->op2_use].ce != zend_ce_closure
	 && !(ssa->var_info[ssa_op->op2_use].type & MAY_BE_CLASS_GUARD)) {
		int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
		const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

		if (!exit_addr) {
			return 0;
		}

		//|	LOAD_ADDR FCARG1x, ((ptrdiff_t)zend_ce_closure)
			if (((uintptr_t)(((ptrdiff_t)zend_ce_closure))) == 0) {
		dasm_put(Dst, 66962);
			} else if (((uintptr_t)(((ptrdiff_t)zend_ce_closure))) <= MOVZ_IMM) {
		dasm_put(Dst, 66964, ((uint64_t)(((ptrdiff_t)zend_ce_closure))));
			} else if (arm64_may_use_adr((void*)(((ptrdiff_t)zend_ce_closure)))) {
		dasm_put(Dst, 66967, (unsigned int)((ptrdiff_t)(((ptrdiff_t)zend_ce_closure))), (unsigned int)(((ptrdiff_t)(((ptrdiff_t)zend_ce_closure)))>>32));
			} else if (arm64_may_use_adrp((void*)(((ptrdiff_t)zend_ce_closure)))) {
		dasm_put(Dst, 66970, (unsigned int)((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)zend_ce_closure)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)zend_ce_closure))))))>>32));
				if (((uintptr_t)(((ptrdiff_t)zend_ce_closure))) & 0xfff) {
		dasm_put(Dst, 66973, (((uintptr_t)(((ptrdiff_t)zend_ce_closure))) & 0xfff));
				}
			} else if ((uintptr_t)(((ptrdiff_t)zend_ce_closure)) & 0xffff) {
		dasm_put(Dst, 66976, ((uintptr_t)(((ptrdiff_t)zend_ce_closure)) & 0xffff));
				if (((uintptr_t)(((ptrdiff_t)zend_ce_closure)) >> 16) & 0xffff) {
		dasm_put(Dst, 66979, (((uintptr_t)(((ptrdiff_t)zend_ce_closure)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(((ptrdiff_t)zend_ce_closure)) >> 32) & 0xffff) {
		dasm_put(Dst, 66982, (((uintptr_t)(((ptrdiff_t)zend_ce_closure)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(((ptrdiff_t)zend_ce_closure)) >> 16) & 0xffff) {
		dasm_put(Dst, 66985, (((uintptr_t)(((ptrdiff_t)zend_ce_closure)) >> 16) & 0xffff));
				if (((uintptr_t)(((ptrdiff_t)zend_ce_closure)) >> 32) & 0xffff) {
		dasm_put(Dst, 66988, (((uintptr_t)(((ptrdiff_t)zend_ce_closure)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 66991, (((uintptr_t)(((ptrdiff_t)zend_ce_closure)) >> 32) & 0xffff));
			}
#line 9054 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr, TMP1, [REG0, #offsetof(zend_object, ce)]
		//|	cmp TMP1, FCARG1x
		//|	bne &exit_addr
		dasm_put(Dst, 66994, offsetof(zend_object, ce), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 9057 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (ssa->var_info && ssa_op->op2_use >= 0) {
			ssa->var_info[ssa_op->op2_use].type |= MAY_BE_CLASS_GUARD;
			ssa->var_info[ssa_op->op2_use].ce = zend_ce_closure;
			ssa->var_info[ssa_op->op2_use].is_instanceof = 0;
		}
	}

	if (trace
	 && trace->op == ZEND_JIT_TRACE_INIT_CALL
	 && trace->func
	 && trace->func->type == ZEND_USER_FUNCTION) {
		const zend_op *opcodes;
		int32_t exit_point;
		const void *exit_addr;

		func = (zend_function*)trace->func;
		opcodes = func->op_array.opcodes;
		exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_CLOSURE_CALL);
		exit_addr = zend_jit_trace_get_exit_addr(exit_point);
		if (!exit_addr) {
			return 0;
		}

		//|	LOAD_ADDR FCARG1x, ((ptrdiff_t)opcodes)
			if (((uintptr_t)(((ptrdiff_t)opcodes))) == 0) {
		dasm_put(Dst, 67000);
			} else if (((uintptr_t)(((ptrdiff_t)opcodes))) <= MOVZ_IMM) {
		dasm_put(Dst, 67002, ((uint64_t)(((ptrdiff_t)opcodes))));
			} else if (arm64_may_use_adr((void*)(((ptrdiff_t)opcodes)))) {
		dasm_put(Dst, 67005, (unsigned int)((ptrdiff_t)(((ptrdiff_t)opcodes))), (unsigned int)(((ptrdiff_t)(((ptrdiff_t)opcodes)))>>32));
			} else if (arm64_may_use_adrp((void*)(((ptrdiff_t)opcodes)))) {
		dasm_put(Dst, 67008, (unsigned int)((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)opcodes)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)opcodes))))))>>32));
				if (((uintptr_t)(((ptrdiff_t)opcodes))) & 0xfff) {
		dasm_put(Dst, 67011, (((uintptr_t)(((ptrdiff_t)opcodes))) & 0xfff));
				}
			} else if ((uintptr_t)(((ptrdiff_t)opcodes)) & 0xffff) {
		dasm_put(Dst, 67014, ((uintptr_t)(((ptrdiff_t)opcodes)) & 0xffff));
				if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff) {
		dasm_put(Dst, 67017, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff) {
		dasm_put(Dst, 67020, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff) {
		dasm_put(Dst, 67023, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 16) & 0xffff));
				if (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff) {
		dasm_put(Dst, 67026, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 67029, (((uintptr_t)(((ptrdiff_t)opcodes)) >> 32) & 0xffff));
			}
#line 9081 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr TMP1, [REG0, #offsetof(zend_closure, func.op_array.opcodes)]
		//|	cmp TMP1, FCARG1x
		//|	bne &exit_addr
		dasm_put(Dst, 67032, offsetof(zend_closure, func.op_array.opcodes), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 9084 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (delayed_call_chain) {
		if (!zend_jit_save_call_chain(Dst, delayed_call_level)) {
			return 0;
		}
	}

	if (!zend_jit_push_call_frame(Dst, opline, NULL, func, 1, 0, checked_stack)) {
		return 0;
	}

	if (zend_jit_needs_call_chain(NULL, b, op_array, ssa, ssa_op, opline, call_level, trace)) {
		if (!zend_jit_save_call_chain(Dst, call_level)) {
			return 0;
		}
	} else {
		delayed_call_chain = 1;
		delayed_call_level = call_level;
	}

	if (trace
	 && trace->op == ZEND_JIT_TRACE_END
	 && trace->stop == ZEND_JIT_TRACE_STOP_INTERPRETER) {
		if (!zend_jit_set_valid_ip(Dst, opline + 1)) {
			return 0;
		}
	}

	return 1;
}

static int zend_jit_do_fcall(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, zend_ssa *ssa, int call_level, unsigned int next_block, zend_jit_trace_rec *trace)
{
	zend_func_info *info = ZEND_FUNC_INFO(op_array);
	zend_call_info *call_info = NULL;
	const zend_function *func = NULL;
	uint32_t i;
	zend_jit_addr res_addr;
	uint32_t call_num_args = 0;
	bool unknown_num_args = 0;
	const void *exit_addr = NULL;
	const zend_op *prev_opline;

	if (RETURN_VALUE_USED(opline)) {
		res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);
	} else {
		/* CPU stack allocated temporary zval */
		res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_RSP, TMP_ZVAL_OFFSET);
	}

	prev_opline = opline - 1;
	while (prev_opline->opcode == ZEND_EXT_FCALL_BEGIN || prev_opline->opcode == ZEND_TICKS) {
		prev_opline--;
	}
	if (prev_opline->opcode == ZEND_SEND_UNPACK || prev_opline->opcode == ZEND_SEND_ARRAY ||
			prev_opline->opcode == ZEND_CHECK_UNDEF_ARGS) {
		unknown_num_args = 1;
	}

	if (info) {
		call_info = info->callee_info;
		while (call_info && call_info->caller_call_opline != opline) {
			call_info = call_info->next_callee;
		}
		if (call_info && call_info->callee_func && !call_info->is_prototype) {
			func = call_info->callee_func;
		}
		if ((op_array->fn_flags & ZEND_ACC_TRAIT_CLONE)
		 && JIT_G(current_frame)
		 && JIT_G(current_frame)->call
		 && !JIT_G(current_frame)->call->func) {
			call_info = NULL; func = NULL; /* megamorphic call from trait */
		}
	}
	if (!func) {
		/* resolve function at run time */
	} else if (func->type == ZEND_USER_FUNCTION) {
		ZEND_ASSERT(opline->opcode != ZEND_DO_ICALL);
		call_num_args = call_info->num_args;
	} else if (func->type == ZEND_INTERNAL_FUNCTION) {
		ZEND_ASSERT(opline->opcode != ZEND_DO_UCALL);
		call_num_args = call_info->num_args;
	} else {
		ZEND_UNREACHABLE();
	}

	if (trace && !func) {
		if (trace->op == ZEND_JIT_TRACE_DO_ICALL) {
			ZEND_ASSERT(trace->func->type == ZEND_INTERNAL_FUNCTION);
#ifndef ZEND_WIN32
			// TODO: ASLR may cause different addresses in different workers ???
			func = trace->func;
			if (JIT_G(current_frame) &&
			    JIT_G(current_frame)->call &&
			    TRACE_FRAME_NUM_ARGS(JIT_G(current_frame)->call) >= 0) {
				call_num_args = TRACE_FRAME_NUM_ARGS(JIT_G(current_frame)->call);
			} else {
				unknown_num_args = 1;
			}
#endif
		} else if (trace->op == ZEND_JIT_TRACE_ENTER) {
			ZEND_ASSERT(trace->func->type == ZEND_USER_FUNCTION);
			if (zend_accel_in_shm(trace->func->op_array.opcodes)) {
				func = trace->func;
				if (JIT_G(current_frame) &&
				    JIT_G(current_frame)->call &&
				    TRACE_FRAME_NUM_ARGS(JIT_G(current_frame)->call) >= 0) {
					call_num_args = TRACE_FRAME_NUM_ARGS(JIT_G(current_frame)->call);
				} else {
					unknown_num_args = 1;
				}
			}
		}
	}

	bool may_have_extra_named_params =
		opline->extended_value == ZEND_FCALL_MAY_HAVE_EXTRA_NAMED_PARAMS &&
		(!func || func->common.fn_flags & ZEND_ACC_VARIADIC);

	if (!reuse_ip) {
		zend_jit_start_reuse_ip();
		//|	// call = EX(call);
		//|	ldr RX, EX->call
		dasm_put(Dst, 67038, Dt1(->call));
#line 9208 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	zend_jit_stop_reuse_ip();

	//|	// fbc = call->func;
	//|	// mov r2, EX:RX->func ???
	//|	// SAVE_OPLINE();
	//|	SET_EX_OPLINE opline, REG0
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 67041, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 67044);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 67046, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 67049, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 67052, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 67055, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 67058, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 67061, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 67064, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 67067, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 67070, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 67073, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 67076, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
#line 9215 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (opline->opcode == ZEND_DO_FCALL) {
		if (!func) {
			if (trace) {
				uint32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);

				exit_addr = zend_jit_trace_get_exit_addr(exit_point);
				if (!exit_addr) {
					return 0;
				}
				//|	ldr REG0, EX:RX->func
				//|	ldr TMP1w, [REG0, #offsetof(zend_op_array, fn_flags)]
				//|	TST_32_WITH_CONST TMP1w, ZEND_ACC_DEPRECATED, TMP2w
				dasm_put(Dst, 67079, Dt1(->func), offsetof(zend_op_array, fn_flags));
					if (ZEND_ACC_DEPRECATED == 0) {
				dasm_put(Dst, 67084);
					} else if (logical_immediate_p((uint32_t)ZEND_ACC_DEPRECATED, 32)) {
				dasm_put(Dst, 67086, ZEND_ACC_DEPRECATED);
					} else {
					if (((uint32_t)(ZEND_ACC_DEPRECATED)) <= MOVZ_IMM) {
				dasm_put(Dst, 67089, ((uint32_t)(ZEND_ACC_DEPRECATED)));
					} else if (((uint32_t)(ZEND_ACC_DEPRECATED) & 0xffff)) {
				dasm_put(Dst, 67092, ((uint32_t)(ZEND_ACC_DEPRECATED) & 0xffff));
						if ((((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff)) {
				dasm_put(Dst, 67095, (((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 67098, (((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 67101);
					}
#line 9228 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	bne &exit_addr
				dasm_put(Dst, 67103, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 9229 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	if (!delayed_call_chain) {
		if (call_level == 1) {
			//|	str xzr, EX->call
			dasm_put(Dst, 67106, Dt1(->call));
#line 9236 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	//EX(call) = call->prev_execute_data;
			//|	ldr REG0, EX:RX->prev_execute_data
			//|	str REG0, EX->call
			dasm_put(Dst, 67109, Dt1(->prev_execute_data), Dt1(->call));
#line 9240 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	delayed_call_chain = 0;

	//|	//call->prev_execute_data = execute_data;
	//|	str EX, EX:RX->prev_execute_data
	dasm_put(Dst, 67114, Dt1(->prev_execute_data));
#line 9246 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (!func) {
		//|	ldr REG0, EX:RX->func
		dasm_put(Dst, 67117, Dt1(->func));
#line 9249 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (opline->opcode == ZEND_DO_FCALL) {
		if (!func) {
			if (!trace) {
				//|	ldr TMP1w, [REG0, #offsetof(zend_op_array, fn_flags)]
				//|	TST_32_WITH_CONST TMP1w, ZEND_ACC_DEPRECATED, TMP2w
				dasm_put(Dst, 67120, offsetof(zend_op_array, fn_flags));
					if (ZEND_ACC_DEPRECATED == 0) {
				dasm_put(Dst, 67123);
					} else if (logical_immediate_p((uint32_t)ZEND_ACC_DEPRECATED, 32)) {
				dasm_put(Dst, 67125, ZEND_ACC_DEPRECATED);
					} else {
					if (((uint32_t)(ZEND_ACC_DEPRECATED)) <= MOVZ_IMM) {
				dasm_put(Dst, 67128, ((uint32_t)(ZEND_ACC_DEPRECATED)));
					} else if (((uint32_t)(ZEND_ACC_DEPRECATED) & 0xffff)) {
				dasm_put(Dst, 67131, ((uint32_t)(ZEND_ACC_DEPRECATED) & 0xffff));
						if ((((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff)) {
				dasm_put(Dst, 67134, (((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 67137, (((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 67140);
					}
#line 9256 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	bne >1
				//|.cold_code
				dasm_put(Dst, 67142);
#line 9258 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				dasm_put(Dst, 67145);
#line 9259 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (!GCC_GLOBAL_REGS) {
					//|	mov FCARG1x, RX
					dasm_put(Dst, 67147);
#line 9261 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	EXT_CALL zend_jit_deprecated_helper, REG0
					if (arm64_may_use_b(zend_jit_deprecated_helper)) {
				dasm_put(Dst, 67149, (unsigned int)((ptrdiff_t)(zend_jit_deprecated_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_deprecated_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_deprecated_helper)) == 0) {
				dasm_put(Dst, 67152);
					} else if (((uintptr_t)(zend_jit_deprecated_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 67154, ((uint64_t)(zend_jit_deprecated_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_deprecated_helper))) {
				dasm_put(Dst, 67157, (unsigned int)((ptrdiff_t)(zend_jit_deprecated_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_deprecated_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_deprecated_helper))) {
				dasm_put(Dst, 67160, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_deprecated_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_deprecated_helper)))))>>32));
						if (((uintptr_t)(zend_jit_deprecated_helper)) & 0xfff) {
				dasm_put(Dst, 67163, (((uintptr_t)(zend_jit_deprecated_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_deprecated_helper) & 0xffff) {
				dasm_put(Dst, 67166, ((uintptr_t)(zend_jit_deprecated_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 67169, (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 67172, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 67175, (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 67178, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 67181, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 67184);
					}
#line 9263 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GET_LOW_8BITS RETVALw, RETVALw
				//|	ldr REG0, EX:RX->func // reload
				//|	cbnz RETVALw, >1      // Result is 0 on exception
				//|	b ->exception_handler
				//|.code
				dasm_put(Dst, 67186, Dt1(->func));
#line 9268 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				dasm_put(Dst, 67194);
#line 9269 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (func->common.fn_flags & ZEND_ACC_DEPRECATED) {
			if (!GCC_GLOBAL_REGS) {
				//|	mov FCARG1x, RX
				dasm_put(Dst, 67196);
#line 9273 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	EXT_CALL zend_jit_deprecated_helper, REG0
				if (arm64_may_use_b(zend_jit_deprecated_helper)) {
			dasm_put(Dst, 67198, (unsigned int)((ptrdiff_t)(zend_jit_deprecated_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_deprecated_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_deprecated_helper)) == 0) {
			dasm_put(Dst, 67201);
				} else if (((uintptr_t)(zend_jit_deprecated_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 67203, ((uint64_t)(zend_jit_deprecated_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_deprecated_helper))) {
			dasm_put(Dst, 67206, (unsigned int)((ptrdiff_t)(zend_jit_deprecated_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_deprecated_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_deprecated_helper))) {
			dasm_put(Dst, 67209, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_deprecated_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_deprecated_helper)))))>>32));
					if (((uintptr_t)(zend_jit_deprecated_helper)) & 0xfff) {
			dasm_put(Dst, 67212, (((uintptr_t)(zend_jit_deprecated_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_deprecated_helper) & 0xffff) {
			dasm_put(Dst, 67215, ((uintptr_t)(zend_jit_deprecated_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 67218, (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 67221, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 67224, (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 67227, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 67230, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 67233);
				}
#line 9275 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cbz RETVALw, ->exception_handler
			dasm_put(Dst, 67235);
#line 9276 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (!func
	 && opline->opcode != ZEND_DO_UCALL
	 && opline->opcode != ZEND_DO_ICALL) {
		//|	ldrb TMP1w, [REG0, #offsetof(zend_function, type)]
		//|	cmp TMP1w, #ZEND_USER_FUNCTION
		//|	bne >8
		dasm_put(Dst, 67238, offsetof(zend_function, type), ZEND_USER_FUNCTION);
#line 9285 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if ((!func || func->type == ZEND_USER_FUNCTION)
	 && opline->opcode != ZEND_DO_ICALL) {
		//|	// EX(call) = NULL;
		//|	str xzr, EX:RX->call
		dasm_put(Dst, 67245, Dt1(->call));
#line 9291 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		if (RETURN_VALUE_USED(opline)) {
			//|	// EX(return_value) = EX_VAR(opline->result.var);
			//|	LOAD_ZVAL_ADDR REG2, res_addr
				if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
			dasm_put(Dst, 67248);
				} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 67250, ((uint64_t)(Z_ZV(res_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 67253, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 67256, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
			dasm_put(Dst, 67259, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
			dasm_put(Dst, 67262, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 67265, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 67268, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 67271, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 67274, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 67277, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(res_addr)) {
				if (Z_OFFSET(res_addr) == 0) {
			dasm_put(Dst, 67280, (Z_REG(res_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
			dasm_put(Dst, 67283, (Z_REG(res_addr)), Z_OFFSET(res_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 67287, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 67290, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 67293, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 67296, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 67299, (Z_REG(res_addr)));
				}
					} else {
						if (Z_REG(res_addr) == ZREG_RSP) {
			dasm_put(Dst, 67302);
						} else {
			dasm_put(Dst, 67304, (Z_REG(res_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 9295 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	str REG2, EX:RX->return_value
			dasm_put(Dst, 67307, Dt1(->return_value));
#line 9296 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	// EX(return_value) = 0;
			//|	str xzr, EX:RX->return_value
			dasm_put(Dst, 67310, Dt1(->return_value));
#line 9299 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		//EX_LOAD_RUN_TIME_CACHE(op_array);
		if (!func || func->op_array.cache_size) {
			if (func && op_array == &func->op_array) {
				/* recursive call */
				if (trace || func->op_array.cache_size > sizeof(void*)) {
					//|	ldr REG2, EX->run_time_cache
					//|	str REG2, EX:RX->run_time_cache
					dasm_put(Dst, 67313, Dt1(->run_time_cache), Dt1(->run_time_cache));
#line 9308 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				if (func
				 && !(func->op_array.fn_flags & ZEND_ACC_CLOSURE)
				 && ZEND_MAP_PTR_IS_OFFSET(func->op_array.run_time_cache)) {
					//|	MEM_LOAD_64_ZTS ldr, REG2, compiler_globals, map_ptr_base, TMP1
						if (((uintptr_t)(&compiler_globals.map_ptr_base)) > MOVZ_IMM && arm64_may_use_adr((void*)(&compiler_globals.map_ptr_base))) {
					dasm_put(Dst, 67318, (unsigned int)((ptrdiff_t)(&compiler_globals.map_ptr_base)), (unsigned int)(((ptrdiff_t)(&compiler_globals.map_ptr_base))>>32));
						} else if (((uintptr_t)(&compiler_globals.map_ptr_base)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&compiler_globals.map_ptr_base))) {
					dasm_put(Dst, 67322, (unsigned int)((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base)))))>>32), (((uintptr_t)(&compiler_globals.map_ptr_base)) & 0xfff));
						} else {
						if (((uintptr_t)(&compiler_globals.map_ptr_base)) == 0) {
					dasm_put(Dst, 67327);
						} else if (((uintptr_t)(&compiler_globals.map_ptr_base)) <= MOVZ_IMM) {
					dasm_put(Dst, 67329, ((uint64_t)(&compiler_globals.map_ptr_base)));
						} else if (arm64_may_use_adr((void*)(&compiler_globals.map_ptr_base))) {
					dasm_put(Dst, 67332, (unsigned int)((ptrdiff_t)(&compiler_globals.map_ptr_base)), (unsigned int)(((ptrdiff_t)(&compiler_globals.map_ptr_base))>>32));
						} else if (arm64_may_use_adrp((void*)(&compiler_globals.map_ptr_base))) {
					dasm_put(Dst, 67335, (unsigned int)((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base)))))>>32));
							if (((uintptr_t)(&compiler_globals.map_ptr_base)) & 0xfff) {
					dasm_put(Dst, 67338, (((uintptr_t)(&compiler_globals.map_ptr_base)) & 0xfff));
							}
						} else if ((uintptr_t)(&compiler_globals.map_ptr_base) & 0xffff) {
					dasm_put(Dst, 67341, ((uintptr_t)(&compiler_globals.map_ptr_base) & 0xffff));
							if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff) {
					dasm_put(Dst, 67344, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff));
							}
							if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff) {
					dasm_put(Dst, 67347, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff) {
					dasm_put(Dst, 67350, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff));
							if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff) {
					dasm_put(Dst, 67353, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 67356, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff));
						}
					dasm_put(Dst, 67359);
						}
#line 9314 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	ADD_SUB_64_WITH_CONST add, REG2, REG2, (uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache), TMP1
						if ((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache) == 0) {
					dasm_put(Dst, 67361);
						} else if (arm64_may_encode_imm12((int64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)))) {
					dasm_put(Dst, 67363, (uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache));
						} else {
						if (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache))) == 0) {
					dasm_put(Dst, 67366);
						} else if (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache))) <= MOVZ_IMM) {
					dasm_put(Dst, 67368, ((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache))));
						} else if (~((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache))) <= MOVZ_IMM) {
					dasm_put(Dst, 67371, (~((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)))));
						} else if ((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) & 0xffff) {
					dasm_put(Dst, 67374, ((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) & 0xffff));
							if (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 16) & 0xffff) {
					dasm_put(Dst, 67377, (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 16) & 0xffff));
							}
							if (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 32) & 0xffff) {
					dasm_put(Dst, 67380, (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 32) & 0xffff));
							}
							if ((((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 48) & 0xffff)) {
					dasm_put(Dst, 67383, (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 48) & 0xffff));
							}
						} else if (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 16) & 0xffff) {
					dasm_put(Dst, 67386, (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 16) & 0xffff));
							if (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 32) & 0xffff) {
					dasm_put(Dst, 67389, (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 32) & 0xffff));
							}
							if ((((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 48) & 0xffff)) {
					dasm_put(Dst, 67392, (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 48) & 0xffff));
							}
						} else if (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 32) & 0xffff) {
					dasm_put(Dst, 67395, (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 32) & 0xffff));
							if ((((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 48) & 0xffff)) {
					dasm_put(Dst, 67398, (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 67401, (((uint64_t)((uintptr_t)ZEND_MAP_PTR(func->op_array.run_time_cache)) >> 48) & 0xffff));
						}
					dasm_put(Dst, 67404);
						}
#line 9315 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	ldr REG2, [REG2]
					dasm_put(Dst, 67406);
#line 9316 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if ((func && (func->op_array.fn_flags & ZEND_ACC_CLOSURE)) ||
						(JIT_G(current_frame) &&
						 JIT_G(current_frame)->call &&
						 TRACE_FRAME_IS_CLOSURE_CALL(JIT_G(current_frame)->call))) {
					/* Closures always use direct pointers */
					//|	ldr REG0, EX:RX->func
					//|	ldr REG2, [REG0, #offsetof(zend_op_array, run_time_cache__ptr)]
					dasm_put(Dst, 67408, Dt1(->func), offsetof(zend_op_array, run_time_cache__ptr));
#line 9323 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					if (func) {
						//|	ldr REG0, EX:RX->func
						dasm_put(Dst, 67413, Dt1(->func));
#line 9326 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	ldr REG2, [REG0, #offsetof(zend_op_array, run_time_cache__ptr)]
					//|	TST_64_WITH_ONE REG2
					//|	beq >1
					//|	MEM_LOAD_OP_ZTS add, ldr, REG2, compiler_globals, map_ptr_base, REG1, TMP1
					dasm_put(Dst, 67416, offsetof(zend_op_array, run_time_cache__ptr));
						if (((uintptr_t)(&compiler_globals.map_ptr_base)) > MOVZ_IMM && arm64_may_use_adr((void*)(&compiler_globals.map_ptr_base))) {
					dasm_put(Dst, 67422, (unsigned int)((ptrdiff_t)(&compiler_globals.map_ptr_base)), (unsigned int)(((ptrdiff_t)(&compiler_globals.map_ptr_base))>>32));
						} else if (((uintptr_t)(&compiler_globals.map_ptr_base)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&compiler_globals.map_ptr_base))) {
					dasm_put(Dst, 67426, (unsigned int)((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base)))))>>32), (((uintptr_t)(&compiler_globals.map_ptr_base)) & 0xfff));
						} else {
						if (((uintptr_t)(&compiler_globals.map_ptr_base)) == 0) {
					dasm_put(Dst, 67431);
						} else if (((uintptr_t)(&compiler_globals.map_ptr_base)) <= MOVZ_IMM) {
					dasm_put(Dst, 67433, ((uint64_t)(&compiler_globals.map_ptr_base)));
						} else if (arm64_may_use_adr((void*)(&compiler_globals.map_ptr_base))) {
					dasm_put(Dst, 67436, (unsigned int)((ptrdiff_t)(&compiler_globals.map_ptr_base)), (unsigned int)(((ptrdiff_t)(&compiler_globals.map_ptr_base))>>32));
						} else if (arm64_may_use_adrp((void*)(&compiler_globals.map_ptr_base))) {
					dasm_put(Dst, 67439, (unsigned int)((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&compiler_globals.map_ptr_base)))))>>32));
							if (((uintptr_t)(&compiler_globals.map_ptr_base)) & 0xfff) {
					dasm_put(Dst, 67442, (((uintptr_t)(&compiler_globals.map_ptr_base)) & 0xfff));
							}
						} else if ((uintptr_t)(&compiler_globals.map_ptr_base) & 0xffff) {
					dasm_put(Dst, 67445, ((uintptr_t)(&compiler_globals.map_ptr_base) & 0xffff));
							if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff) {
					dasm_put(Dst, 67448, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff));
							}
							if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff) {
					dasm_put(Dst, 67451, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff) {
					dasm_put(Dst, 67454, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 16) & 0xffff));
							if (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff) {
					dasm_put(Dst, 67457, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 67460, (((uintptr_t)(&compiler_globals.map_ptr_base) >> 32) & 0xffff));
						}
					dasm_put(Dst, 67463);
						}
#line 9331 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	ldr REG2, [REG2]
					//|1:
					dasm_put(Dst, 67465);
#line 9333 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	str REG2, EX:RX->run_time_cache
				dasm_put(Dst, 67469, Dt1(->run_time_cache));
#line 9335 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}

		//|	// EG(current_execute_data) = execute_data;
		//|	MEM_STORE_64_ZTS str, RX, executor_globals, current_execute_data, REG1
			if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 67472, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 67476, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
		dasm_put(Dst, 67481);
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
		dasm_put(Dst, 67483, ((uint64_t)(&executor_globals.current_execute_data)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 67486, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 67489, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
				if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
		dasm_put(Dst, 67492, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
		dasm_put(Dst, 67495, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 67498, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 67501, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 67504, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 67507, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 67510, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		dasm_put(Dst, 67513);
			}
#line 9340 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov FP, RX
		dasm_put(Dst, 67515);
#line 9341 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		//|	// opline = op_array->opcodes;
		if (func && !unknown_num_args) {
			//|	ADD_SUB_64_WITH_CONST_32 add, TMP1, RX, (EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info)), TMP1 // induction variable
				if ((EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info)) == 0) {
			dasm_put(Dst, 67517);
				} else if (arm64_may_encode_imm12((int64_t)((EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info))))) {
			dasm_put(Dst, 67519, (EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info)));
				} else {
				if (((uint32_t)((EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info)))) <= MOVZ_IMM) {
			dasm_put(Dst, 67522, ((uint32_t)((EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info)))));
				} else if (((uint32_t)((EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info))) & 0xffff)) {
			dasm_put(Dst, 67525, ((uint32_t)((EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info))) & 0xffff));
					if ((((uint32_t)((EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info))) >> 16) & 0xffff)) {
			dasm_put(Dst, 67528, (((uint32_t)((EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 67531, (((uint32_t)((EX_NUM_TO_VAR(call_num_args) + offsetof(zval, u1.type_info))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 67534);
				}
#line 9345 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			for (i = call_num_args; i < func->op_array.last_var; i++) {
				//|	// ZVAL_UNDEF(EX_VAR(n))
				//|	str wzr, [TMP1], #16
				dasm_put(Dst, 67536);
#line 9348 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}

			if (call_num_args <= func->op_array.num_args) {
				if (!trace || (trace->op == ZEND_JIT_TRACE_END
				 && trace->stop == ZEND_JIT_TRACE_STOP_INTERPRETER)) {
					uint32_t num_args;

					if ((func->op_array.fn_flags & ZEND_ACC_HAS_TYPE_HINTS) != 0) {
						if (trace) {
							num_args = 0;
						} else if (call_info) {
							num_args = skip_valid_arguments(op_array, ssa, call_info);
						} else {
							num_args = call_num_args;
						}
					} else {
						num_args = call_num_args;
					}
					if (zend_accel_in_shm(func->op_array.opcodes)) {
						//|	LOAD_IP_ADDR (func->op_array.opcodes + num_args)
							if (GCC_GLOBAL_REGS) {
							if (((uintptr_t)((func->op_array.opcodes + num_args))) == 0) {
						dasm_put(Dst, 67538);
							} else if (((uintptr_t)((func->op_array.opcodes + num_args))) <= MOVZ_IMM) {
						dasm_put(Dst, 67540, ((uint64_t)((func->op_array.opcodes + num_args))));
							} else if (arm64_may_use_adr((void*)((func->op_array.opcodes + num_args)))) {
						dasm_put(Dst, 67543, (unsigned int)((ptrdiff_t)((func->op_array.opcodes + num_args))), (unsigned int)(((ptrdiff_t)((func->op_array.opcodes + num_args)))>>32));
							} else if (arm64_may_use_adrp((void*)((func->op_array.opcodes + num_args)))) {
						dasm_put(Dst, 67546, (unsigned int)((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes + num_args)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes + num_args))))))>>32));
								if (((uintptr_t)((func->op_array.opcodes + num_args))) & 0xfff) {
						dasm_put(Dst, 67549, (((uintptr_t)((func->op_array.opcodes + num_args))) & 0xfff));
								}
							} else if ((uintptr_t)((func->op_array.opcodes + num_args)) & 0xffff) {
						dasm_put(Dst, 67552, ((uintptr_t)((func->op_array.opcodes + num_args)) & 0xffff));
								if (((uintptr_t)((func->op_array.opcodes + num_args)) >> 16) & 0xffff) {
						dasm_put(Dst, 67555, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 16) & 0xffff));
								}
								if (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff) {
						dasm_put(Dst, 67558, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)((func->op_array.opcodes + num_args)) >> 16) & 0xffff) {
						dasm_put(Dst, 67561, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 16) & 0xffff));
								if (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff) {
						dasm_put(Dst, 67564, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 67567, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff));
							}
							} else {
							if (((uintptr_t)((func->op_array.opcodes + num_args))) == 0) {
						dasm_put(Dst, 67570);
							} else if (((uintptr_t)((func->op_array.opcodes + num_args))) <= MOVZ_IMM) {
						dasm_put(Dst, 67572, ((uint64_t)((func->op_array.opcodes + num_args))));
							} else if (arm64_may_use_adr((void*)((func->op_array.opcodes + num_args)))) {
						dasm_put(Dst, 67575, (unsigned int)((ptrdiff_t)((func->op_array.opcodes + num_args))), (unsigned int)(((ptrdiff_t)((func->op_array.opcodes + num_args)))>>32));
							} else if (arm64_may_use_adrp((void*)((func->op_array.opcodes + num_args)))) {
						dasm_put(Dst, 67578, (unsigned int)((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes + num_args)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes + num_args))))))>>32));
								if (((uintptr_t)((func->op_array.opcodes + num_args))) & 0xfff) {
						dasm_put(Dst, 67581, (((uintptr_t)((func->op_array.opcodes + num_args))) & 0xfff));
								}
							} else if ((uintptr_t)((func->op_array.opcodes + num_args)) & 0xffff) {
						dasm_put(Dst, 67584, ((uintptr_t)((func->op_array.opcodes + num_args)) & 0xffff));
								if (((uintptr_t)((func->op_array.opcodes + num_args)) >> 16) & 0xffff) {
						dasm_put(Dst, 67587, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 16) & 0xffff));
								}
								if (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff) {
						dasm_put(Dst, 67590, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)((func->op_array.opcodes + num_args)) >> 16) & 0xffff) {
						dasm_put(Dst, 67593, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 16) & 0xffff));
								if (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff) {
						dasm_put(Dst, 67596, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 67599, (((uintptr_t)((func->op_array.opcodes + num_args)) >> 32) & 0xffff));
							}
						dasm_put(Dst, 67602, Dt1(->opline));
							}
#line 9368 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	ldr REG0, EX->func
						dasm_put(Dst, 67605, Dt1(->func));
							ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(num_args * sizeof(zend_op))));
#line 9371 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						if (GCC_GLOBAL_REGS) {
							//|	ldr IP, [REG0, #offsetof(zend_op_array, opcodes)]
							dasm_put(Dst, 67608, offsetof(zend_op_array, opcodes));
#line 9373 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							if (num_args) {
								//|	add IP, IP, #(num_args * sizeof(zend_op))
								dasm_put(Dst, 67611, (num_args * sizeof(zend_op)));
#line 9375 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							}
						} else {
							//|	ldr FCARG1x, [REG0, #offsetof(zend_op_array, opcodes)]
							dasm_put(Dst, 67614, offsetof(zend_op_array, opcodes));
#line 9378 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							if (num_args) {
								//|	add FCARG1x, FCARG1x, #(num_args * sizeof(zend_op))
								dasm_put(Dst, 67617, (num_args * sizeof(zend_op)));
#line 9380 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							}
							//|	str FCARG1x, EX->opline
							dasm_put(Dst, 67620, Dt1(->opline));
#line 9382 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}

					if (GCC_GLOBAL_REGS && !trace && op_array == &func->op_array
							&& num_args >= op_array->required_num_args) {
						/* recursive call */
						if (ZEND_OBSERVER_ENABLED) {
							//|	SAVE_IP
								if (GCC_GLOBAL_REGS) {
							dasm_put(Dst, 67623, Dt1(->opline));
								}
#line 9390 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							//|	mov FCARG1x, FP
							//|	EXT_CALL zend_observer_fcall_begin, REG0
							dasm_put(Dst, 67626);
								if (arm64_may_use_b(zend_observer_fcall_begin)) {
							dasm_put(Dst, 67628, (unsigned int)((ptrdiff_t)(zend_observer_fcall_begin)), (unsigned int)(((ptrdiff_t)(zend_observer_fcall_begin))>>32));
								} else {
								if (((uintptr_t)(zend_observer_fcall_begin)) == 0) {
							dasm_put(Dst, 67631);
								} else if (((uintptr_t)(zend_observer_fcall_begin)) <= MOVZ_IMM) {
							dasm_put(Dst, 67633, ((uint64_t)(zend_observer_fcall_begin)));
								} else if (arm64_may_use_adr((void*)(zend_observer_fcall_begin))) {
							dasm_put(Dst, 67636, (unsigned int)((ptrdiff_t)(zend_observer_fcall_begin)), (unsigned int)(((ptrdiff_t)(zend_observer_fcall_begin))>>32));
								} else if (arm64_may_use_adrp((void*)(zend_observer_fcall_begin))) {
							dasm_put(Dst, 67639, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_observer_fcall_begin))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_observer_fcall_begin)))))>>32));
									if (((uintptr_t)(zend_observer_fcall_begin)) & 0xfff) {
							dasm_put(Dst, 67642, (((uintptr_t)(zend_observer_fcall_begin)) & 0xfff));
									}
								} else if ((uintptr_t)(zend_observer_fcall_begin) & 0xffff) {
							dasm_put(Dst, 67645, ((uintptr_t)(zend_observer_fcall_begin) & 0xffff));
									if (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff) {
							dasm_put(Dst, 67648, (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff));
									}
									if (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff) {
							dasm_put(Dst, 67651, (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff));
									}
								} else if (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff) {
							dasm_put(Dst, 67654, (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff));
									if (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff) {
							dasm_put(Dst, 67657, (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff));
									}
								} else {
							dasm_put(Dst, 67660, (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff));
								}
							dasm_put(Dst, 67663);
								}
#line 9392 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
#ifdef CONTEXT_THREADED_JIT
						//|	NIY	// TODO
							//ZEND_ASSERT(0);
						dasm_put(Dst, 67665);
#line 9395 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#else
						//|	b =>num_args
						dasm_put(Dst, 67667, num_args);
#line 9397 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
						return 1;
					}
				}
			} else {
				if (!trace || (trace->op == ZEND_JIT_TRACE_END
				 && trace->stop == ZEND_JIT_TRACE_STOP_INTERPRETER)) {
					if (func && zend_accel_in_shm(func->op_array.opcodes)) {
						//|	LOAD_IP_ADDR (func->op_array.opcodes)
							if (GCC_GLOBAL_REGS) {
							if (((uintptr_t)((func->op_array.opcodes))) == 0) {
						dasm_put(Dst, 67670);
							} else if (((uintptr_t)((func->op_array.opcodes))) <= MOVZ_IMM) {
						dasm_put(Dst, 67672, ((uint64_t)((func->op_array.opcodes))));
							} else if (arm64_may_use_adr((void*)((func->op_array.opcodes)))) {
						dasm_put(Dst, 67675, (unsigned int)((ptrdiff_t)((func->op_array.opcodes))), (unsigned int)(((ptrdiff_t)((func->op_array.opcodes)))>>32));
							} else if (arm64_may_use_adrp((void*)((func->op_array.opcodes)))) {
						dasm_put(Dst, 67678, (unsigned int)((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes))))))>>32));
								if (((uintptr_t)((func->op_array.opcodes))) & 0xfff) {
						dasm_put(Dst, 67681, (((uintptr_t)((func->op_array.opcodes))) & 0xfff));
								}
							} else if ((uintptr_t)((func->op_array.opcodes)) & 0xffff) {
						dasm_put(Dst, 67684, ((uintptr_t)((func->op_array.opcodes)) & 0xffff));
								if (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff) {
						dasm_put(Dst, 67687, (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff));
								}
								if (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff) {
						dasm_put(Dst, 67690, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff) {
						dasm_put(Dst, 67693, (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff));
								if (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff) {
						dasm_put(Dst, 67696, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 67699, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
							}
							} else {
							if (((uintptr_t)((func->op_array.opcodes))) == 0) {
						dasm_put(Dst, 67702);
							} else if (((uintptr_t)((func->op_array.opcodes))) <= MOVZ_IMM) {
						dasm_put(Dst, 67704, ((uint64_t)((func->op_array.opcodes))));
							} else if (arm64_may_use_adr((void*)((func->op_array.opcodes)))) {
						dasm_put(Dst, 67707, (unsigned int)((ptrdiff_t)((func->op_array.opcodes))), (unsigned int)(((ptrdiff_t)((func->op_array.opcodes)))>>32));
							} else if (arm64_may_use_adrp((void*)((func->op_array.opcodes)))) {
						dasm_put(Dst, 67710, (unsigned int)((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes))))))>>32));
								if (((uintptr_t)((func->op_array.opcodes))) & 0xfff) {
						dasm_put(Dst, 67713, (((uintptr_t)((func->op_array.opcodes))) & 0xfff));
								}
							} else if ((uintptr_t)((func->op_array.opcodes)) & 0xffff) {
						dasm_put(Dst, 67716, ((uintptr_t)((func->op_array.opcodes)) & 0xffff));
								if (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff) {
						dasm_put(Dst, 67719, (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff));
								}
								if (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff) {
						dasm_put(Dst, 67722, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff) {
						dasm_put(Dst, 67725, (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff));
								if (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff) {
						dasm_put(Dst, 67728, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 67731, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
							}
						dasm_put(Dst, 67734, Dt1(->opline));
							}
#line 9406 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (GCC_GLOBAL_REGS) {
						//|	ldr IP, [REG0, #offsetof(zend_op_array, opcodes)]
						dasm_put(Dst, 67737, offsetof(zend_op_array, opcodes));
#line 9408 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	ldr FCARG1x, [REG0, #offsetof(zend_op_array, opcodes)]
						//|	str FCARG1x, EX->opline
						dasm_put(Dst, 67740, offsetof(zend_op_array, opcodes), Dt1(->opline));
#line 9411 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				if (!GCC_GLOBAL_REGS) {
					//|	mov FCARG1x, FP
					dasm_put(Dst, 67745);
#line 9415 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	EXT_CALL zend_jit_copy_extra_args_helper, REG0
					if (arm64_may_use_b(zend_jit_copy_extra_args_helper)) {
				dasm_put(Dst, 67747, (unsigned int)((ptrdiff_t)(zend_jit_copy_extra_args_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_copy_extra_args_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_copy_extra_args_helper)) == 0) {
				dasm_put(Dst, 67750);
					} else if (((uintptr_t)(zend_jit_copy_extra_args_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 67752, ((uint64_t)(zend_jit_copy_extra_args_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_copy_extra_args_helper))) {
				dasm_put(Dst, 67755, (unsigned int)((ptrdiff_t)(zend_jit_copy_extra_args_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_copy_extra_args_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_copy_extra_args_helper))) {
				dasm_put(Dst, 67758, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_copy_extra_args_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_copy_extra_args_helper)))))>>32));
						if (((uintptr_t)(zend_jit_copy_extra_args_helper)) & 0xfff) {
				dasm_put(Dst, 67761, (((uintptr_t)(zend_jit_copy_extra_args_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_copy_extra_args_helper) & 0xffff) {
				dasm_put(Dst, 67764, ((uintptr_t)(zend_jit_copy_extra_args_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 67767, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 67770, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 67773, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 67776, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 67779, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 67782);
					}
#line 9417 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			//|	// opline = op_array->opcodes
			if (func && zend_accel_in_shm(func->op_array.opcodes)) {
				//|	LOAD_IP_ADDR (func->op_array.opcodes)
					if (GCC_GLOBAL_REGS) {
					if (((uintptr_t)((func->op_array.opcodes))) == 0) {
				dasm_put(Dst, 67784);
					} else if (((uintptr_t)((func->op_array.opcodes))) <= MOVZ_IMM) {
				dasm_put(Dst, 67786, ((uint64_t)((func->op_array.opcodes))));
					} else if (arm64_may_use_adr((void*)((func->op_array.opcodes)))) {
				dasm_put(Dst, 67789, (unsigned int)((ptrdiff_t)((func->op_array.opcodes))), (unsigned int)(((ptrdiff_t)((func->op_array.opcodes)))>>32));
					} else if (arm64_may_use_adrp((void*)((func->op_array.opcodes)))) {
				dasm_put(Dst, 67792, (unsigned int)((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes))))))>>32));
						if (((uintptr_t)((func->op_array.opcodes))) & 0xfff) {
				dasm_put(Dst, 67795, (((uintptr_t)((func->op_array.opcodes))) & 0xfff));
						}
					} else if ((uintptr_t)((func->op_array.opcodes)) & 0xffff) {
				dasm_put(Dst, 67798, ((uintptr_t)((func->op_array.opcodes)) & 0xffff));
						if (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff) {
				dasm_put(Dst, 67801, (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff));
						}
						if (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff) {
				dasm_put(Dst, 67804, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff) {
				dasm_put(Dst, 67807, (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff));
						if (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff) {
				dasm_put(Dst, 67810, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 67813, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
					}
					} else {
					if (((uintptr_t)((func->op_array.opcodes))) == 0) {
				dasm_put(Dst, 67816);
					} else if (((uintptr_t)((func->op_array.opcodes))) <= MOVZ_IMM) {
				dasm_put(Dst, 67818, ((uint64_t)((func->op_array.opcodes))));
					} else if (arm64_may_use_adr((void*)((func->op_array.opcodes)))) {
				dasm_put(Dst, 67821, (unsigned int)((ptrdiff_t)((func->op_array.opcodes))), (unsigned int)(((ptrdiff_t)((func->op_array.opcodes)))>>32));
					} else if (arm64_may_use_adrp((void*)((func->op_array.opcodes)))) {
				dasm_put(Dst, 67824, (unsigned int)((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((func->op_array.opcodes))))))>>32));
						if (((uintptr_t)((func->op_array.opcodes))) & 0xfff) {
				dasm_put(Dst, 67827, (((uintptr_t)((func->op_array.opcodes))) & 0xfff));
						}
					} else if ((uintptr_t)((func->op_array.opcodes)) & 0xffff) {
				dasm_put(Dst, 67830, ((uintptr_t)((func->op_array.opcodes)) & 0xffff));
						if (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff) {
				dasm_put(Dst, 67833, (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff));
						}
						if (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff) {
				dasm_put(Dst, 67836, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff) {
				dasm_put(Dst, 67839, (((uintptr_t)((func->op_array.opcodes)) >> 16) & 0xffff));
						if (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff) {
				dasm_put(Dst, 67842, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 67845, (((uintptr_t)((func->op_array.opcodes)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 67848, Dt1(->opline));
					}
#line 9422 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (GCC_GLOBAL_REGS) {
				//|	ldr IP, [REG0, #offsetof(zend_op_array, opcodes)]
				dasm_put(Dst, 67851, offsetof(zend_op_array, opcodes));
#line 9424 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ldr FCARG1x, [REG0, #offsetof(zend_op_array, opcodes)]
				//|	str FCARG1x, EX->opline
				dasm_put(Dst, 67854, offsetof(zend_op_array, opcodes), Dt1(->opline));
#line 9427 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (func) {
				//|	// num_args = EX_NUM_ARGS();
				//|	ldr REG1w, [FP, #offsetof(zend_execute_data, This.u2.num_args)]
				//|	// if (UNEXPECTED(num_args > first_extra_arg))
				//|	CMP_32_WITH_CONST REG1w, (func->op_array.num_args), TMP1w
				dasm_put(Dst, 67859, offsetof(zend_execute_data, This.u2.num_args));
					if ((func->op_array.num_args) == 0) {
				dasm_put(Dst, 67862);
					} else if (arm64_may_encode_imm12((int64_t)((func->op_array.num_args)))) {
				dasm_put(Dst, 67864, (func->op_array.num_args));
					} else if (arm64_may_encode_imm12((int64_t)(-(func->op_array.num_args)))) {
				dasm_put(Dst, 67867, -(func->op_array.num_args));
					} else {
					if (((uint32_t)((func->op_array.num_args))) <= MOVZ_IMM) {
				dasm_put(Dst, 67870, ((uint32_t)((func->op_array.num_args))));
					} else if (((uint32_t)((func->op_array.num_args)) & 0xffff)) {
				dasm_put(Dst, 67873, ((uint32_t)((func->op_array.num_args)) & 0xffff));
						if ((((uint32_t)((func->op_array.num_args)) >> 16) & 0xffff)) {
				dasm_put(Dst, 67876, (((uint32_t)((func->op_array.num_args)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 67879, (((uint32_t)((func->op_array.num_args)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 67882);
					}
#line 9433 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	// first_extra_arg = op_array->num_args;
				//|	ldr REG2w, [REG0, #offsetof(zend_op_array, num_args)]
				//|	// num_args = EX_NUM_ARGS();
				//|	ldr REG1w, [FP, #offsetof(zend_execute_data, This.u2.num_args)]
				//|	// if (UNEXPECTED(num_args > first_extra_arg))
				//|	cmp REG1w, REG2w
				dasm_put(Dst, 67884, offsetof(zend_op_array, num_args), offsetof(zend_execute_data, This.u2.num_args));
#line 9440 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	bgt >1
			//|.cold_code
			dasm_put(Dst, 67890);
#line 9443 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 67893);
#line 9444 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!GCC_GLOBAL_REGS) {
				//|	mov FCARG1x, FP
				dasm_put(Dst, 67895);
#line 9446 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	EXT_CALL zend_jit_copy_extra_args_helper, REG0
				if (arm64_may_use_b(zend_jit_copy_extra_args_helper)) {
			dasm_put(Dst, 67897, (unsigned int)((ptrdiff_t)(zend_jit_copy_extra_args_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_copy_extra_args_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_copy_extra_args_helper)) == 0) {
			dasm_put(Dst, 67900);
				} else if (((uintptr_t)(zend_jit_copy_extra_args_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 67902, ((uint64_t)(zend_jit_copy_extra_args_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_copy_extra_args_helper))) {
			dasm_put(Dst, 67905, (unsigned int)((ptrdiff_t)(zend_jit_copy_extra_args_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_copy_extra_args_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_copy_extra_args_helper))) {
			dasm_put(Dst, 67908, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_copy_extra_args_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_copy_extra_args_helper)))))>>32));
					if (((uintptr_t)(zend_jit_copy_extra_args_helper)) & 0xfff) {
			dasm_put(Dst, 67911, (((uintptr_t)(zend_jit_copy_extra_args_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_copy_extra_args_helper) & 0xffff) {
			dasm_put(Dst, 67914, ((uintptr_t)(zend_jit_copy_extra_args_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 67917, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 67920, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 67923, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 67926, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 67929, (((uintptr_t)(zend_jit_copy_extra_args_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 67932);
				}
#line 9448 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!func) {
				//|	ldr REG0, EX->func // reload
				dasm_put(Dst, 67934, Dt1(->func));
#line 9450 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	ldr REG1w, [FP, #offsetof(zend_execute_data, This.u2.num_args)] // reload
			//|	b >1
			//|.code
			dasm_put(Dst, 67937, offsetof(zend_execute_data, This.u2.num_args));
#line 9454 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!func || (func->op_array.fn_flags & ZEND_ACC_HAS_TYPE_HINTS) == 0) {
				if (!func) {
					//|	// if (EXPECTED((op_array->fn_flags & ZEND_ACC_HAS_TYPE_HINTS) == 0))
					//|	ldr TMP1w, [REG0, #offsetof(zend_op_array, fn_flags)]
					//|	TST_32_WITH_CONST TMP1w, ZEND_ACC_HAS_TYPE_HINTS, TMP2w
					dasm_put(Dst, 67942, offsetof(zend_op_array, fn_flags));
						if (ZEND_ACC_HAS_TYPE_HINTS == 0) {
					dasm_put(Dst, 67945);
						} else if (logical_immediate_p((uint32_t)ZEND_ACC_HAS_TYPE_HINTS, 32)) {
					dasm_put(Dst, 67947, ZEND_ACC_HAS_TYPE_HINTS);
						} else {
						if (((uint32_t)(ZEND_ACC_HAS_TYPE_HINTS)) <= MOVZ_IMM) {
					dasm_put(Dst, 67950, ((uint32_t)(ZEND_ACC_HAS_TYPE_HINTS)));
						} else if (((uint32_t)(ZEND_ACC_HAS_TYPE_HINTS) & 0xffff)) {
					dasm_put(Dst, 67953, ((uint32_t)(ZEND_ACC_HAS_TYPE_HINTS) & 0xffff));
							if ((((uint32_t)(ZEND_ACC_HAS_TYPE_HINTS) >> 16) & 0xffff)) {
					dasm_put(Dst, 67956, (((uint32_t)(ZEND_ACC_HAS_TYPE_HINTS) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 67959, (((uint32_t)(ZEND_ACC_HAS_TYPE_HINTS) >> 16) & 0xffff));
						}
					dasm_put(Dst, 67962);
						}
#line 9459 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	bne >1
					dasm_put(Dst, 67964);
#line 9460 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	// opline += num_args;
					ZEND_ASSERT(sizeof(zend_op) == 32);
				//|	mov REG2w, REG1w
				//|	ADD_IP_SHIFT REG2, lsl #5, TMP1
				dasm_put(Dst, 67967);
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 67969);
					} else {
				dasm_put(Dst, 67971, Dt1(->opline), Dt1(->opline));
					}
#line 9465 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|1:
			//|	// if (EXPECTED((int)num_args < op_array->last_var)) {
			dasm_put(Dst, 67977);
#line 9468 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (func) {
				//|	LOAD_32BIT_VAL REG2w, func->op_array.last_var
					if (((uint32_t)(func->op_array.last_var)) <= MOVZ_IMM) {
				dasm_put(Dst, 67979, ((uint32_t)(func->op_array.last_var)));
					} else if (((uint32_t)(func->op_array.last_var) & 0xffff)) {
				dasm_put(Dst, 67982, ((uint32_t)(func->op_array.last_var) & 0xffff));
						if ((((uint32_t)(func->op_array.last_var) >> 16) & 0xffff)) {
				dasm_put(Dst, 67985, (((uint32_t)(func->op_array.last_var) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 67988, (((uint32_t)(func->op_array.last_var) >> 16) & 0xffff));
					}
#line 9470 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ldr REG2w, [REG0, #offsetof(zend_op_array, last_var)]
				dasm_put(Dst, 67991, offsetof(zend_op_array, last_var));
#line 9472 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	subs REG2w, REG2w, REG1w
			//|	ble >3
			//|	// zval *var = EX_VAR_NUM(num_args);
			//|	add REG1, FP, REG1, lsl #4
			dasm_put(Dst, 67994);
				ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(ZEND_CALL_FRAME_SLOT * sizeof(zval))));
#line 9478 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	add REG1, REG1, #(ZEND_CALL_FRAME_SLOT * sizeof(zval))
			//|2:
			//|	SET_Z_TYPE_INFO REG1, IS_UNDEF, TMP1w
			dasm_put(Dst, 67999, (ZEND_CALL_FRAME_SLOT * sizeof(zval)));
				if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
			dasm_put(Dst, 68003, ((uint32_t)(IS_UNDEF)));
				} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
			dasm_put(Dst, 68006, ((uint32_t)(IS_UNDEF) & 0xffff));
					if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
			dasm_put(Dst, 68009, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 68012, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
				}
#line 9481 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	add REG1, REG1, #16
			//|	subs REG2w, REG2w, #1
			//|	bne <2
			//|3:
			dasm_put(Dst, 68015, offsetof(zval,u1.type_info));
#line 9485 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (ZEND_OBSERVER_ENABLED) {
			if (trace && (trace->op != ZEND_JIT_TRACE_END || trace->stop != ZEND_JIT_TRACE_STOP_INTERPRETER)) {
				ZEND_ASSERT(trace[1].op == ZEND_JIT_TRACE_VM || trace[1].op == ZEND_JIT_TRACE_END);
				//|	SET_EX_OPLINE trace[1].opline, REG0
					if (trace[1].opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 68023, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(trace[1].opline)) == 0) {
				dasm_put(Dst, 68026);
					} else if (((uintptr_t)(trace[1].opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 68028, ((uint64_t)(trace[1].opline)));
					} else if (arm64_may_use_adr((void*)(trace[1].opline))) {
				dasm_put(Dst, 68031, (unsigned int)((ptrdiff_t)(trace[1].opline)), (unsigned int)(((ptrdiff_t)(trace[1].opline))>>32));
					} else if (arm64_may_use_adrp((void*)(trace[1].opline))) {
				dasm_put(Dst, 68034, (unsigned int)((ptrdiff_t)((((uintptr_t)(trace[1].opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(trace[1].opline)))))>>32));
						if (((uintptr_t)(trace[1].opline)) & 0xfff) {
				dasm_put(Dst, 68037, (((uintptr_t)(trace[1].opline)) & 0xfff));
						}
					} else if ((uintptr_t)(trace[1].opline) & 0xffff) {
				dasm_put(Dst, 68040, ((uintptr_t)(trace[1].opline) & 0xffff));
						if (((uintptr_t)(trace[1].opline) >> 16) & 0xffff) {
				dasm_put(Dst, 68043, (((uintptr_t)(trace[1].opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(trace[1].opline) >> 32) & 0xffff) {
				dasm_put(Dst, 68046, (((uintptr_t)(trace[1].opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(trace[1].opline) >> 16) & 0xffff) {
				dasm_put(Dst, 68049, (((uintptr_t)(trace[1].opline) >> 16) & 0xffff));
						if (((uintptr_t)(trace[1].opline) >> 32) & 0xffff) {
				dasm_put(Dst, 68052, (((uintptr_t)(trace[1].opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 68055, (((uintptr_t)(trace[1].opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 68058, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 9491 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	SAVE_IP
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 68061, Dt1(->opline));
					}
#line 9493 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	mov FCARG1x, FP
			//|	EXT_CALL zend_observer_fcall_begin, REG0
			dasm_put(Dst, 68064);
				if (arm64_may_use_b(zend_observer_fcall_begin)) {
			dasm_put(Dst, 68066, (unsigned int)((ptrdiff_t)(zend_observer_fcall_begin)), (unsigned int)(((ptrdiff_t)(zend_observer_fcall_begin))>>32));
				} else {
				if (((uintptr_t)(zend_observer_fcall_begin)) == 0) {
			dasm_put(Dst, 68069);
				} else if (((uintptr_t)(zend_observer_fcall_begin)) <= MOVZ_IMM) {
			dasm_put(Dst, 68071, ((uint64_t)(zend_observer_fcall_begin)));
				} else if (arm64_may_use_adr((void*)(zend_observer_fcall_begin))) {
			dasm_put(Dst, 68074, (unsigned int)((ptrdiff_t)(zend_observer_fcall_begin)), (unsigned int)(((ptrdiff_t)(zend_observer_fcall_begin))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_observer_fcall_begin))) {
			dasm_put(Dst, 68077, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_observer_fcall_begin))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_observer_fcall_begin)))))>>32));
					if (((uintptr_t)(zend_observer_fcall_begin)) & 0xfff) {
			dasm_put(Dst, 68080, (((uintptr_t)(zend_observer_fcall_begin)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_observer_fcall_begin) & 0xffff) {
			dasm_put(Dst, 68083, ((uintptr_t)(zend_observer_fcall_begin) & 0xffff));
					if (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff) {
			dasm_put(Dst, 68086, (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff) {
			dasm_put(Dst, 68089, (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff) {
			dasm_put(Dst, 68092, (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff));
					if (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff) {
			dasm_put(Dst, 68095, (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 68098, (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff));
				}
			dasm_put(Dst, 68101);
				}
#line 9496 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (trace) {
			if (!func && (opline->opcode != ZEND_DO_UCALL)) {
				//|	b >9
				dasm_put(Dst, 68103);
#line 9501 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
#ifdef CONTEXT_THREADED_JIT
			//|	NIY	// TODO: CONTEXT_THREADED_JIT is always undefined.
				//ZEND_ASSERT(0);
			dasm_put(Dst, 68106);
#line 9505 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#else
			if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
				//|	ADD_HYBRID_SPAD
				#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
				dasm_put(Dst, 68108);
				#endif
#line 9508 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	JMP_IP TMP1
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 68110);
					} else {
				dasm_put(Dst, 68113, Dt1(->opline));
					}
#line 9509 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (GCC_GLOBAL_REGS) {
				//|	ldp x29, x30, [sp], # SPAD // stack alignment
				//|	JMP_IP TMP1
				dasm_put(Dst, 68117);
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 68119);
					} else {
				dasm_put(Dst, 68122, Dt1(->opline));
					}
#line 9512 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ldp FP, RX, T2                // restore FP and IP
				//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
				//|	mov RETVALx, #1     // ZEND_VM_ENTER
				//|	ret
				dasm_put(Dst, 68126);
#line 9517 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
#endif
	}

	if ((!func || func->type == ZEND_INTERNAL_FUNCTION)
	 && (opline->opcode != ZEND_DO_UCALL)) {
		if (!func && (opline->opcode != ZEND_DO_ICALL)) {
			//|8:
			dasm_put(Dst, 68131);
#line 9526 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (opline->opcode == ZEND_DO_FCALL_BY_NAME) {
			if (!func) {
				if (trace) {
					uint32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);

					exit_addr = zend_jit_trace_get_exit_addr(exit_point);
					if (!exit_addr) {
						return 0;
					}
					//|	ldr TMP1w, [REG0, #offsetof(zend_op_array, fn_flags)]
					//|	TST_32_WITH_CONST TMP1w, ZEND_ACC_DEPRECATED, TMP2w
					dasm_put(Dst, 68133, offsetof(zend_op_array, fn_flags));
						if (ZEND_ACC_DEPRECATED == 0) {
					dasm_put(Dst, 68136);
						} else if (logical_immediate_p((uint32_t)ZEND_ACC_DEPRECATED, 32)) {
					dasm_put(Dst, 68138, ZEND_ACC_DEPRECATED);
						} else {
						if (((uint32_t)(ZEND_ACC_DEPRECATED)) <= MOVZ_IMM) {
					dasm_put(Dst, 68141, ((uint32_t)(ZEND_ACC_DEPRECATED)));
						} else if (((uint32_t)(ZEND_ACC_DEPRECATED) & 0xffff)) {
					dasm_put(Dst, 68144, ((uint32_t)(ZEND_ACC_DEPRECATED) & 0xffff));
							if ((((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff)) {
					dasm_put(Dst, 68147, (((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 68150, (((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 68153);
						}
#line 9538 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	bne &exit_addr
					dasm_put(Dst, 68155, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 9539 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	ldr TMP1w, [REG0, #offsetof(zend_op_array, fn_flags)]
					//|	TST_32_WITH_CONST TMP1w, ZEND_ACC_DEPRECATED, TMP2w
					dasm_put(Dst, 68158, offsetof(zend_op_array, fn_flags));
						if (ZEND_ACC_DEPRECATED == 0) {
					dasm_put(Dst, 68161);
						} else if (logical_immediate_p((uint32_t)ZEND_ACC_DEPRECATED, 32)) {
					dasm_put(Dst, 68163, ZEND_ACC_DEPRECATED);
						} else {
						if (((uint32_t)(ZEND_ACC_DEPRECATED)) <= MOVZ_IMM) {
					dasm_put(Dst, 68166, ((uint32_t)(ZEND_ACC_DEPRECATED)));
						} else if (((uint32_t)(ZEND_ACC_DEPRECATED) & 0xffff)) {
					dasm_put(Dst, 68169, ((uint32_t)(ZEND_ACC_DEPRECATED) & 0xffff));
							if ((((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff)) {
					dasm_put(Dst, 68172, (((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 68175, (((uint32_t)(ZEND_ACC_DEPRECATED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 68178);
						}
#line 9542 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	bne >1
					//|.cold_code
					dasm_put(Dst, 68180);
#line 9544 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 68183);
#line 9545 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (!GCC_GLOBAL_REGS) {
						//|	mov FCARG1x, RX
						dasm_put(Dst, 68185);
#line 9547 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	EXT_CALL zend_jit_deprecated_helper, REG0
						if (arm64_may_use_b(zend_jit_deprecated_helper)) {
					dasm_put(Dst, 68187, (unsigned int)((ptrdiff_t)(zend_jit_deprecated_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_deprecated_helper))>>32));
						} else {
						if (((uintptr_t)(zend_jit_deprecated_helper)) == 0) {
					dasm_put(Dst, 68190);
						} else if (((uintptr_t)(zend_jit_deprecated_helper)) <= MOVZ_IMM) {
					dasm_put(Dst, 68192, ((uint64_t)(zend_jit_deprecated_helper)));
						} else if (arm64_may_use_adr((void*)(zend_jit_deprecated_helper))) {
					dasm_put(Dst, 68195, (unsigned int)((ptrdiff_t)(zend_jit_deprecated_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_deprecated_helper))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_deprecated_helper))) {
					dasm_put(Dst, 68198, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_deprecated_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_deprecated_helper)))))>>32));
							if (((uintptr_t)(zend_jit_deprecated_helper)) & 0xfff) {
					dasm_put(Dst, 68201, (((uintptr_t)(zend_jit_deprecated_helper)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_deprecated_helper) & 0xffff) {
					dasm_put(Dst, 68204, ((uintptr_t)(zend_jit_deprecated_helper) & 0xffff));
							if (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 68207, (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 68210, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 68213, (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 68216, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 68219, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
						}
					dasm_put(Dst, 68222);
						}
#line 9549 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GET_LOW_8BITS RETVALw, RETVALw
					//|	ldr REG0, EX:RX->func // reload
					//|	cbnz RETVALw, >1      // Result is 0 on exception
					//|	b ->exception_handler
					//|.code
					dasm_put(Dst, 68224, Dt1(->func));
#line 9554 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 68232);
#line 9555 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (func->common.fn_flags & ZEND_ACC_DEPRECATED) {
				if (!GCC_GLOBAL_REGS) {
					//|	mov FCARG1x, RX
					dasm_put(Dst, 68234);
#line 9559 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	EXT_CALL zend_jit_deprecated_helper, REG0
					if (arm64_may_use_b(zend_jit_deprecated_helper)) {
				dasm_put(Dst, 68236, (unsigned int)((ptrdiff_t)(zend_jit_deprecated_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_deprecated_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_deprecated_helper)) == 0) {
				dasm_put(Dst, 68239);
					} else if (((uintptr_t)(zend_jit_deprecated_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 68241, ((uint64_t)(zend_jit_deprecated_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_deprecated_helper))) {
				dasm_put(Dst, 68244, (unsigned int)((ptrdiff_t)(zend_jit_deprecated_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_deprecated_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_deprecated_helper))) {
				dasm_put(Dst, 68247, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_deprecated_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_deprecated_helper)))))>>32));
						if (((uintptr_t)(zend_jit_deprecated_helper)) & 0xfff) {
				dasm_put(Dst, 68250, (((uintptr_t)(zend_jit_deprecated_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_deprecated_helper) & 0xffff) {
				dasm_put(Dst, 68253, ((uintptr_t)(zend_jit_deprecated_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 68256, (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 68259, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 68262, (((uintptr_t)(zend_jit_deprecated_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 68265, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 68268, (((uintptr_t)(zend_jit_deprecated_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 68271);
					}
#line 9561 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	cbz RETVALw, ->exception_handler
				//|	ldr REG0, EX:RX->func // reload
				dasm_put(Dst, 68273, Dt1(->func));
#line 9563 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}

		//|	// EG(current_execute_data) = execute_data;
		//|	MEM_STORE_64_ZTS str, RX, executor_globals, current_execute_data, REG1
			if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 68278, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 68282, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
		dasm_put(Dst, 68287);
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
		dasm_put(Dst, 68289, ((uint64_t)(&executor_globals.current_execute_data)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 68292, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 68295, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
				if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
		dasm_put(Dst, 68298, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
		dasm_put(Dst, 68301, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 68304, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 68307, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 68310, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 68313, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 68316, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		dasm_put(Dst, 68319);
			}
#line 9568 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		if (ZEND_OBSERVER_ENABLED) {
			//|	mov FCARG1x, RX
			//|	EXT_CALL zend_observer_fcall_begin, REG0
			dasm_put(Dst, 68321);
				if (arm64_may_use_b(zend_observer_fcall_begin)) {
			dasm_put(Dst, 68323, (unsigned int)((ptrdiff_t)(zend_observer_fcall_begin)), (unsigned int)(((ptrdiff_t)(zend_observer_fcall_begin))>>32));
				} else {
				if (((uintptr_t)(zend_observer_fcall_begin)) == 0) {
			dasm_put(Dst, 68326);
				} else if (((uintptr_t)(zend_observer_fcall_begin)) <= MOVZ_IMM) {
			dasm_put(Dst, 68328, ((uint64_t)(zend_observer_fcall_begin)));
				} else if (arm64_may_use_adr((void*)(zend_observer_fcall_begin))) {
			dasm_put(Dst, 68331, (unsigned int)((ptrdiff_t)(zend_observer_fcall_begin)), (unsigned int)(((ptrdiff_t)(zend_observer_fcall_begin))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_observer_fcall_begin))) {
			dasm_put(Dst, 68334, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_observer_fcall_begin))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_observer_fcall_begin)))))>>32));
					if (((uintptr_t)(zend_observer_fcall_begin)) & 0xfff) {
			dasm_put(Dst, 68337, (((uintptr_t)(zend_observer_fcall_begin)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_observer_fcall_begin) & 0xffff) {
			dasm_put(Dst, 68340, ((uintptr_t)(zend_observer_fcall_begin) & 0xffff));
					if (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff) {
			dasm_put(Dst, 68343, (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff) {
			dasm_put(Dst, 68346, (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff) {
			dasm_put(Dst, 68349, (((uintptr_t)(zend_observer_fcall_begin) >> 16) & 0xffff));
					if (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff) {
			dasm_put(Dst, 68352, (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 68355, (((uintptr_t)(zend_observer_fcall_begin) >> 32) & 0xffff));
				}
			dasm_put(Dst, 68358);
				}
#line 9572 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldr REG0, EX:RX->func // reload
			dasm_put(Dst, 68360, Dt1(->func));
#line 9573 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		//|	// ZVAL_NULL(EX_VAR(opline->result.var));
		//|	LOAD_ZVAL_ADDR FCARG2x, res_addr
			if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
		dasm_put(Dst, 68363);
			} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 68365, ((uint64_t)(Z_ZV(res_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
		dasm_put(Dst, 68368, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
		dasm_put(Dst, 68371, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
		dasm_put(Dst, 68374, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
		dasm_put(Dst, 68377, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 68380, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 68383, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 68386, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 68389, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 68392, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(res_addr)) {
			if (Z_OFFSET(res_addr) == 0) {
		dasm_put(Dst, 68395, (Z_REG(res_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
		dasm_put(Dst, 68398, (Z_REG(res_addr)), Z_OFFSET(res_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 68402, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 68405, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 68408, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 68411, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 68414, (Z_REG(res_addr)));
			}
				} else {
					if (Z_REG(res_addr) == ZREG_RSP) {
		dasm_put(Dst, 68417);
					} else {
		dasm_put(Dst, 68419, (Z_REG(res_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 9577 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_Z_TYPE_INFO FCARG2x, IS_NULL, TMP1w
			if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 68422, ((uint32_t)(IS_NULL)));
			} else if (((uint32_t)(IS_NULL) & 0xffff)) {
		dasm_put(Dst, 68425, ((uint32_t)(IS_NULL) & 0xffff));
				if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
		dasm_put(Dst, 68428, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 68431, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
			}
		dasm_put(Dst, 68434, offsetof(zval,u1.type_info));
#line 9578 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		zend_jit_reset_last_valid_opline();

		//|	// (zend_execute_internal ? zend_execute_internal : fbc->internal_function.handler)(call, ret);
		//|	mov FCARG1x, RX
		dasm_put(Dst, 68437);
#line 9583 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (zend_execute_internal) {
			//|	EXT_CALL zend_execute_internal, REG0
				if (arm64_may_use_b(zend_execute_internal)) {
			dasm_put(Dst, 68439, (unsigned int)((ptrdiff_t)(zend_execute_internal)), (unsigned int)(((ptrdiff_t)(zend_execute_internal))>>32));
				} else {
				if (((uintptr_t)(zend_execute_internal)) == 0) {
			dasm_put(Dst, 68442);
				} else if (((uintptr_t)(zend_execute_internal)) <= MOVZ_IMM) {
			dasm_put(Dst, 68444, ((uint64_t)(zend_execute_internal)));
				} else if (arm64_may_use_adr((void*)(zend_execute_internal))) {
			dasm_put(Dst, 68447, (unsigned int)((ptrdiff_t)(zend_execute_internal)), (unsigned int)(((ptrdiff_t)(zend_execute_internal))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_execute_internal))) {
			dasm_put(Dst, 68450, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_execute_internal))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_execute_internal)))))>>32));
					if (((uintptr_t)(zend_execute_internal)) & 0xfff) {
			dasm_put(Dst, 68453, (((uintptr_t)(zend_execute_internal)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_execute_internal) & 0xffff) {
			dasm_put(Dst, 68456, ((uintptr_t)(zend_execute_internal) & 0xffff));
					if (((uintptr_t)(zend_execute_internal) >> 16) & 0xffff) {
			dasm_put(Dst, 68459, (((uintptr_t)(zend_execute_internal) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_execute_internal) >> 32) & 0xffff) {
			dasm_put(Dst, 68462, (((uintptr_t)(zend_execute_internal) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_execute_internal) >> 16) & 0xffff) {
			dasm_put(Dst, 68465, (((uintptr_t)(zend_execute_internal) >> 16) & 0xffff));
					if (((uintptr_t)(zend_execute_internal) >> 32) & 0xffff) {
			dasm_put(Dst, 68468, (((uintptr_t)(zend_execute_internal) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 68471, (((uintptr_t)(zend_execute_internal) >> 32) & 0xffff));
				}
			dasm_put(Dst, 68474);
				}
#line 9585 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			if (func) {
				//|	EXT_CALL func->internal_function.handler, REG0
					if (arm64_may_use_b(func->internal_function.handler)) {
				dasm_put(Dst, 68476, (unsigned int)((ptrdiff_t)(func->internal_function.handler)), (unsigned int)(((ptrdiff_t)(func->internal_function.handler))>>32));
					} else {
					if (((uintptr_t)(func->internal_function.handler)) == 0) {
				dasm_put(Dst, 68479);
					} else if (((uintptr_t)(func->internal_function.handler)) <= MOVZ_IMM) {
				dasm_put(Dst, 68481, ((uint64_t)(func->internal_function.handler)));
					} else if (arm64_may_use_adr((void*)(func->internal_function.handler))) {
				dasm_put(Dst, 68484, (unsigned int)((ptrdiff_t)(func->internal_function.handler)), (unsigned int)(((ptrdiff_t)(func->internal_function.handler))>>32));
					} else if (arm64_may_use_adrp((void*)(func->internal_function.handler))) {
				dasm_put(Dst, 68487, (unsigned int)((ptrdiff_t)((((uintptr_t)(func->internal_function.handler))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(func->internal_function.handler)))))>>32));
						if (((uintptr_t)(func->internal_function.handler)) & 0xfff) {
				dasm_put(Dst, 68490, (((uintptr_t)(func->internal_function.handler)) & 0xfff));
						}
					} else if ((uintptr_t)(func->internal_function.handler) & 0xffff) {
				dasm_put(Dst, 68493, ((uintptr_t)(func->internal_function.handler) & 0xffff));
						if (((uintptr_t)(func->internal_function.handler) >> 16) & 0xffff) {
				dasm_put(Dst, 68496, (((uintptr_t)(func->internal_function.handler) >> 16) & 0xffff));
						}
						if (((uintptr_t)(func->internal_function.handler) >> 32) & 0xffff) {
				dasm_put(Dst, 68499, (((uintptr_t)(func->internal_function.handler) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(func->internal_function.handler) >> 16) & 0xffff) {
				dasm_put(Dst, 68502, (((uintptr_t)(func->internal_function.handler) >> 16) & 0xffff));
						if (((uintptr_t)(func->internal_function.handler) >> 32) & 0xffff) {
				dasm_put(Dst, 68505, (((uintptr_t)(func->internal_function.handler) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 68508, (((uintptr_t)(func->internal_function.handler) >> 32) & 0xffff));
					}
				dasm_put(Dst, 68511);
					}
#line 9588 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ldr TMP1, [REG0, #offsetof(zend_internal_function, handler)]
				//|	blr TMP1
				dasm_put(Dst, 68513, offsetof(zend_internal_function, handler));
#line 9591 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}

		if (ZEND_OBSERVER_ENABLED) {
			//|	LOAD_ZVAL_ADDR FCARG2x, res_addr
				if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
			dasm_put(Dst, 68517);
				} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 68519, ((uint64_t)(Z_ZV(res_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 68522, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 68525, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
			dasm_put(Dst, 68528, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
			dasm_put(Dst, 68531, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 68534, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 68537, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 68540, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 68543, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 68546, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(res_addr)) {
				if (Z_OFFSET(res_addr) == 0) {
			dasm_put(Dst, 68549, (Z_REG(res_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
			dasm_put(Dst, 68552, (Z_REG(res_addr)), Z_OFFSET(res_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 68556, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 68559, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 68562, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 68565, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 68568, (Z_REG(res_addr)));
				}
					} else {
						if (Z_REG(res_addr) == ZREG_RSP) {
			dasm_put(Dst, 68571);
						} else {
			dasm_put(Dst, 68573, (Z_REG(res_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 9596 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	mov FCARG1x, RX
			//|	EXT_CALL zend_observer_fcall_end, REG0
			dasm_put(Dst, 68576);
				if (arm64_may_use_b(zend_observer_fcall_end)) {
			dasm_put(Dst, 68578, (unsigned int)((ptrdiff_t)(zend_observer_fcall_end)), (unsigned int)(((ptrdiff_t)(zend_observer_fcall_end))>>32));
				} else {
				if (((uintptr_t)(zend_observer_fcall_end)) == 0) {
			dasm_put(Dst, 68581);
				} else if (((uintptr_t)(zend_observer_fcall_end)) <= MOVZ_IMM) {
			dasm_put(Dst, 68583, ((uint64_t)(zend_observer_fcall_end)));
				} else if (arm64_may_use_adr((void*)(zend_observer_fcall_end))) {
			dasm_put(Dst, 68586, (unsigned int)((ptrdiff_t)(zend_observer_fcall_end)), (unsigned int)(((ptrdiff_t)(zend_observer_fcall_end))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_observer_fcall_end))) {
			dasm_put(Dst, 68589, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_observer_fcall_end))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_observer_fcall_end)))))>>32));
					if (((uintptr_t)(zend_observer_fcall_end)) & 0xfff) {
			dasm_put(Dst, 68592, (((uintptr_t)(zend_observer_fcall_end)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_observer_fcall_end) & 0xffff) {
			dasm_put(Dst, 68595, ((uintptr_t)(zend_observer_fcall_end) & 0xffff));
					if (((uintptr_t)(zend_observer_fcall_end) >> 16) & 0xffff) {
			dasm_put(Dst, 68598, (((uintptr_t)(zend_observer_fcall_end) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_observer_fcall_end) >> 32) & 0xffff) {
			dasm_put(Dst, 68601, (((uintptr_t)(zend_observer_fcall_end) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_observer_fcall_end) >> 16) & 0xffff) {
			dasm_put(Dst, 68604, (((uintptr_t)(zend_observer_fcall_end) >> 16) & 0xffff));
					if (((uintptr_t)(zend_observer_fcall_end) >> 32) & 0xffff) {
			dasm_put(Dst, 68607, (((uintptr_t)(zend_observer_fcall_end) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 68610, (((uintptr_t)(zend_observer_fcall_end) >> 32) & 0xffff));
				}
			dasm_put(Dst, 68613);
				}
#line 9598 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		//|	// EG(current_execute_data) = execute_data;
		//|	MEM_STORE_64_ZTS str, FP, executor_globals, current_execute_data, REG0
			if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 68615, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 68619, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
		dasm_put(Dst, 68624);
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
		dasm_put(Dst, 68626, ((uint64_t)(&executor_globals.current_execute_data)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 68629, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 68632, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
				if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
		dasm_put(Dst, 68635, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
		dasm_put(Dst, 68638, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 68641, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 68644, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 68647, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 68650, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 68653, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		dasm_put(Dst, 68656);
			}
#line 9602 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		//|	// zend_vm_stack_free_args(call);
		if (func && !unknown_num_args) {
			for (i = 0; i < call_num_args; i++ ) {
				if (zend_jit_needs_arg_dtor(func, i, call_info)) {
					uint32_t offset = EX_NUM_TO_VAR(i);
					zend_jit_addr arg_addr = ZEND_ADDR_MEM_ZVAL(ZREG_RX, offset);
					//|	ZVAL_PTR_DTOR arg_addr, (MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN), 0, 1, opline, ZREG_TMP1, ZREG_TMP2
						if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
							if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
								if (1) {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 68658, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 68662, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 68666, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 68670, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 68674, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 68679, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 68684, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 68687, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 68691, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 68695, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 68699, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 68703, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 68707, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 68711);
					dasm_put(Dst, 68714);
								} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 68716, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 68720, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 68724, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 68728, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 68732, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 68737, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 68742, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 68745, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 68749, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 68753, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 68757, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 68761, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 68765, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 68769);
								}
							}
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 68772, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr))));
						} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
					dasm_put(Dst, 68776, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 68780, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 68784, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 68788, (Z_REG(arg_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 68792, (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
						}
					dasm_put(Dst, 68796, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
							if ((((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & MAY_BE_GUARD) || RC_MAY_BE_1((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN))) {
								if ((((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & MAY_BE_GUARD) || RC_MAY_BE_N((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN))) {
									if (0 && ((((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & MAY_BE_GUARD) || (RC_MAY_BE_N((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					dasm_put(Dst, 68804);
									} else {
					dasm_put(Dst, 68807);
									}
								}
						do {
							if (!(((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & MAY_BE_GUARD)
							 && has_concrete_type(((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
								zend_uchar type = concrete_type(((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
								if (type == IS_STRING && !ZEND_DEBUG) {
						if (arm64_may_use_b(_efree)) {
					dasm_put(Dst, 68810, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
						} else {
						if (((uintptr_t)(_efree)) == 0) {
					dasm_put(Dst, 68813, (ZREG_X15));
						} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
					dasm_put(Dst, 68816, (ZREG_X15), ((uint64_t)(_efree)));
						} else if (arm64_may_use_adr((void*)(_efree))) {
					dasm_put(Dst, 68820, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
						} else if (arm64_may_use_adrp((void*)(_efree))) {
					dasm_put(Dst, 68824, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
							if (((uintptr_t)(_efree)) & 0xfff) {
					dasm_put(Dst, 68828, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
							}
						} else if ((uintptr_t)(_efree) & 0xffff) {
					dasm_put(Dst, 68833, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
							if (((uintptr_t)(_efree) >> 16) & 0xffff) {
					dasm_put(Dst, 68837, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
							}
							if (((uintptr_t)(_efree) >> 32) & 0xffff) {
					dasm_put(Dst, 68841, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
					dasm_put(Dst, 68845, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
							if (((uintptr_t)(_efree) >> 32) & 0xffff) {
					dasm_put(Dst, 68849, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 68853, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					dasm_put(Dst, 68857, (ZREG_X15));
						}
									break;
								} else if (type == IS_ARRAY) {
									if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
										if (opline && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 68860, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 68863, (ZREG_X15));
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 68866, (ZREG_X15), ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 68870, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 68874, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 68878, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 68883, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 68887, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 68891, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 68895, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 68899, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 68903, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 68907, (ZREG_X15), Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
										}
						if (arm64_may_use_b(zend_array_destroy)) {
					dasm_put(Dst, 68911, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
						} else {
						if (((uintptr_t)(zend_array_destroy)) == 0) {
					dasm_put(Dst, 68914, (ZREG_X15));
						} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
					dasm_put(Dst, 68917, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
						} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
					dasm_put(Dst, 68921, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
					dasm_put(Dst, 68925, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
							if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
					dasm_put(Dst, 68929, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
					dasm_put(Dst, 68934, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
							if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
					dasm_put(Dst, 68938, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
					dasm_put(Dst, 68942, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
					dasm_put(Dst, 68946, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
							if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
					dasm_put(Dst, 68950, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 68954, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					dasm_put(Dst, 68958, (ZREG_X15));
						}
									} else {
						if (arm64_may_use_b(zend_jit_array_free)) {
					dasm_put(Dst, 68961, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
						} else {
						if (((uintptr_t)(zend_jit_array_free)) == 0) {
					dasm_put(Dst, 68964, (ZREG_X15));
						} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
					dasm_put(Dst, 68967, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
						} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
					dasm_put(Dst, 68971, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
					dasm_put(Dst, 68975, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
							if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
					dasm_put(Dst, 68979, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
					dasm_put(Dst, 68984, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
							if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
					dasm_put(Dst, 68988, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
					dasm_put(Dst, 68992, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
					dasm_put(Dst, 68996, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
					dasm_put(Dst, 69000, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69004, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					dasm_put(Dst, 69008, (ZREG_X15));
						}
									}
									break;
								} else if (type == IS_OBJECT) {
									if (opline) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 69011, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 69014);
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 69016, ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 69019, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 69022, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 69025, (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 69028, ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 69031, (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 69034, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 69037, (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 69040, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69043, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 69046, Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
									}
						if (arm64_may_use_b(zend_objects_store_del)) {
					dasm_put(Dst, 69049, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
						} else {
						if (((uintptr_t)(zend_objects_store_del)) == 0) {
					dasm_put(Dst, 69052, (ZREG_X15));
						} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
					dasm_put(Dst, 69055, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
						} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
					dasm_put(Dst, 69059, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
					dasm_put(Dst, 69063, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
							if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
					dasm_put(Dst, 69067, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
					dasm_put(Dst, 69072, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
							if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
					dasm_put(Dst, 69076, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
					dasm_put(Dst, 69080, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
					dasm_put(Dst, 69084, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
							if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
					dasm_put(Dst, 69088, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69092, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					dasm_put(Dst, 69096, (ZREG_X15));
						}
									break;
								}
							}
							if (opline) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 69099, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 69102, (ZREG_X15));
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 69105, (ZREG_X15), ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 69109, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 69113, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 69117, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 69122, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 69126, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 69130, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 69134, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 69138, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69142, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 69146, (ZREG_X15), Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
							}
						if (arm64_may_use_b(rc_dtor_func)) {
					dasm_put(Dst, 69150, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
						} else {
						if (((uintptr_t)(rc_dtor_func)) == 0) {
					dasm_put(Dst, 69153, (ZREG_X15));
						} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
					dasm_put(Dst, 69156, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
						} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
					dasm_put(Dst, 69160, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
						} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
					dasm_put(Dst, 69164, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
							if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
					dasm_put(Dst, 69168, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
							}
						} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
					dasm_put(Dst, 69173, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
							if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
					dasm_put(Dst, 69177, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
							}
							if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
					dasm_put(Dst, 69181, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
					dasm_put(Dst, 69185, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
							if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
					dasm_put(Dst, 69189, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69193, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					dasm_put(Dst, 69197, (ZREG_X15));
						}
						} while(0);
								if (0 && ((((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & MAY_BE_GUARD) || (RC_MAY_BE_N((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					dasm_put(Dst, 69200);
								}
					dasm_put(Dst, 69203);
							}
							if (0 && ((((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & MAY_BE_GUARD) || (RC_MAY_BE_N((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
								if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & (MAY_BE_REF|MAY_BE_GUARD)) {
									zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 69205, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 69209, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 69213, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69217, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 69221, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 69226, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 69231, (ZREG_X15));
						} else {
					dasm_put(Dst, 69235, (ZREG_X15), IS_REFERENCE);
						}
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 69241, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 69245, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 69249, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69253, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 69257, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 69262, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_COLLECTABLE == 0) {
					dasm_put(Dst, 69267, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
					dasm_put(Dst, 69270, (ZREG_X15), IS_TYPE_COLLECTABLE);
						} else {
						if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
					dasm_put(Dst, 69274, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
						} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
					dasm_put(Dst, 69278, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
							if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
					dasm_put(Dst, 69282, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69286, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					dasm_put(Dst, 69290, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 69294);
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 69297, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 69301, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 69305, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69309, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 69313, (Z_REG(ref_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 69317, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
					dasm_put(Dst, 69321);
								}
					dasm_put(Dst, 69323, (ZREG_X15));
						if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
					dasm_put(Dst, 69326, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
					dasm_put(Dst, 69329, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
						} else {
						if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
					dasm_put(Dst, 69333, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
						} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
					dasm_put(Dst, 69337, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
							if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
					dasm_put(Dst, 69341, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69345, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					dasm_put(Dst, 69349, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 69353);
						if (arm64_may_use_b(gc_possible_root)) {
					dasm_put(Dst, 69356, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
						} else {
						if (((uintptr_t)(gc_possible_root)) == 0) {
					dasm_put(Dst, 69359, (ZREG_X15));
						} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
					dasm_put(Dst, 69362, (ZREG_X15), ((uint64_t)(gc_possible_root)));
						} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
					dasm_put(Dst, 69366, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
						} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
					dasm_put(Dst, 69370, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
							if (((uintptr_t)(gc_possible_root)) & 0xfff) {
					dasm_put(Dst, 69374, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
							}
						} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
					dasm_put(Dst, 69379, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
							if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
					dasm_put(Dst, 69383, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
							}
							if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
					dasm_put(Dst, 69387, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
					dasm_put(Dst, 69391, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
							if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
					dasm_put(Dst, 69395, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 69399, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					dasm_put(Dst, 69403, (ZREG_X15));
						}
							}
							if (1 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
					dasm_put(Dst, 69406);
							}
					dasm_put(Dst, 69409);
						}
#line 9610 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
		} else {
			//|	mov FCARG1x, RX
			//|	EXT_CALL zend_jit_vm_stack_free_args_helper, REG0
			dasm_put(Dst, 69411);
				if (arm64_may_use_b(zend_jit_vm_stack_free_args_helper)) {
			dasm_put(Dst, 69413, (unsigned int)((ptrdiff_t)(zend_jit_vm_stack_free_args_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_vm_stack_free_args_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_vm_stack_free_args_helper)) == 0) {
			dasm_put(Dst, 69416);
				} else if (((uintptr_t)(zend_jit_vm_stack_free_args_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 69418, ((uint64_t)(zend_jit_vm_stack_free_args_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_vm_stack_free_args_helper))) {
			dasm_put(Dst, 69421, (unsigned int)((ptrdiff_t)(zend_jit_vm_stack_free_args_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_vm_stack_free_args_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_vm_stack_free_args_helper))) {
			dasm_put(Dst, 69424, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_vm_stack_free_args_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_vm_stack_free_args_helper)))))>>32));
					if (((uintptr_t)(zend_jit_vm_stack_free_args_helper)) & 0xfff) {
			dasm_put(Dst, 69427, (((uintptr_t)(zend_jit_vm_stack_free_args_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_vm_stack_free_args_helper) & 0xffff) {
			dasm_put(Dst, 69430, ((uintptr_t)(zend_jit_vm_stack_free_args_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_vm_stack_free_args_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 69433, (((uintptr_t)(zend_jit_vm_stack_free_args_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_vm_stack_free_args_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 69436, (((uintptr_t)(zend_jit_vm_stack_free_args_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_vm_stack_free_args_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 69439, (((uintptr_t)(zend_jit_vm_stack_free_args_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_vm_stack_free_args_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 69442, (((uintptr_t)(zend_jit_vm_stack_free_args_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 69445, (((uintptr_t)(zend_jit_vm_stack_free_args_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 69448);
				}
#line 9615 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (may_have_extra_named_params) {
		    //|	ldrb TMP1w, [RX, #(offsetof(zend_execute_data, This.u1.type_info) + 3)]
			//|	TST_32_WITH_CONST TMP1w, (ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24), TMP2w
			dasm_put(Dst, 69450, (offsetof(zend_execute_data, This.u1.type_info) + 3));
				if ((ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24) == 0) {
			dasm_put(Dst, 69453);
				} else if (logical_immediate_p((uint32_t)(ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24), 32)) {
			dasm_put(Dst, 69455, (ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24));
				} else {
				if (((uint32_t)((ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24))) <= MOVZ_IMM) {
			dasm_put(Dst, 69458, ((uint32_t)((ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24))));
				} else if (((uint32_t)((ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24)) & 0xffff)) {
			dasm_put(Dst, 69461, ((uint32_t)((ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24)) & 0xffff));
					if ((((uint32_t)((ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24)) >> 16) & 0xffff)) {
			dasm_put(Dst, 69464, (((uint32_t)((ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 69467, (((uint32_t)((ZEND_CALL_HAS_EXTRA_NAMED_PARAMS >> 24)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 69470);
				}
#line 9619 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne >1
			//|.cold_code
			dasm_put(Dst, 69472);
#line 9621 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	ldr FCARG1x, [RX, #offsetof(zend_execute_data, extra_named_params)]
			//|	EXT_CALL zend_free_extra_named_params, REG0
			dasm_put(Dst, 69475, offsetof(zend_execute_data, extra_named_params));
				if (arm64_may_use_b(zend_free_extra_named_params)) {
			dasm_put(Dst, 69479, (unsigned int)((ptrdiff_t)(zend_free_extra_named_params)), (unsigned int)(((ptrdiff_t)(zend_free_extra_named_params))>>32));
				} else {
				if (((uintptr_t)(zend_free_extra_named_params)) == 0) {
			dasm_put(Dst, 69482);
				} else if (((uintptr_t)(zend_free_extra_named_params)) <= MOVZ_IMM) {
			dasm_put(Dst, 69484, ((uint64_t)(zend_free_extra_named_params)));
				} else if (arm64_may_use_adr((void*)(zend_free_extra_named_params))) {
			dasm_put(Dst, 69487, (unsigned int)((ptrdiff_t)(zend_free_extra_named_params)), (unsigned int)(((ptrdiff_t)(zend_free_extra_named_params))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_free_extra_named_params))) {
			dasm_put(Dst, 69490, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_free_extra_named_params))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_free_extra_named_params)))))>>32));
					if (((uintptr_t)(zend_free_extra_named_params)) & 0xfff) {
			dasm_put(Dst, 69493, (((uintptr_t)(zend_free_extra_named_params)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_free_extra_named_params) & 0xffff) {
			dasm_put(Dst, 69496, ((uintptr_t)(zend_free_extra_named_params) & 0xffff));
					if (((uintptr_t)(zend_free_extra_named_params) >> 16) & 0xffff) {
			dasm_put(Dst, 69499, (((uintptr_t)(zend_free_extra_named_params) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_free_extra_named_params) >> 32) & 0xffff) {
			dasm_put(Dst, 69502, (((uintptr_t)(zend_free_extra_named_params) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_free_extra_named_params) >> 16) & 0xffff) {
			dasm_put(Dst, 69505, (((uintptr_t)(zend_free_extra_named_params) >> 16) & 0xffff));
					if (((uintptr_t)(zend_free_extra_named_params) >> 32) & 0xffff) {
			dasm_put(Dst, 69508, (((uintptr_t)(zend_free_extra_named_params) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 69511, (((uintptr_t)(zend_free_extra_named_params) >> 32) & 0xffff));
				}
			dasm_put(Dst, 69514);
				}
#line 9624 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >2
			//|.code
			dasm_put(Dst, 69516);
#line 9626 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|2:
			dasm_put(Dst, 69519);
#line 9627 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		//|8:
		dasm_put(Dst, 69521);
#line 9630 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->opcode == ZEND_DO_FCALL) {
			// TODO: optimize ???
			//|	// if (UNEXPECTED(ZEND_CALL_INFO(call) & ZEND_CALL_RELEASE_THIS))
			//|	ldrb TMP1w, [RX, #(offsetof(zend_execute_data, This.u1.type_info) + 2)]
			//|	TST_32_WITH_CONST TMP1w, (ZEND_CALL_RELEASE_THIS >> 16), TMP2w
			dasm_put(Dst, 69523, (offsetof(zend_execute_data, This.u1.type_info) + 2));
				if ((ZEND_CALL_RELEASE_THIS >> 16) == 0) {
			dasm_put(Dst, 69526);
				} else if (logical_immediate_p((uint32_t)(ZEND_CALL_RELEASE_THIS >> 16), 32)) {
			dasm_put(Dst, 69528, (ZEND_CALL_RELEASE_THIS >> 16));
				} else {
				if (((uint32_t)((ZEND_CALL_RELEASE_THIS >> 16))) <= MOVZ_IMM) {
			dasm_put(Dst, 69531, ((uint32_t)((ZEND_CALL_RELEASE_THIS >> 16))));
				} else if (((uint32_t)((ZEND_CALL_RELEASE_THIS >> 16)) & 0xffff)) {
			dasm_put(Dst, 69534, ((uint32_t)((ZEND_CALL_RELEASE_THIS >> 16)) & 0xffff));
					if ((((uint32_t)((ZEND_CALL_RELEASE_THIS >> 16)) >> 16) & 0xffff)) {
			dasm_put(Dst, 69537, (((uint32_t)((ZEND_CALL_RELEASE_THIS >> 16)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 69540, (((uint32_t)((ZEND_CALL_RELEASE_THIS >> 16)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 69543);
				}
#line 9635 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne >1
			//|.cold_code
			dasm_put(Dst, 69545);
#line 9637 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	add TMP1, RX, #offsetof(zend_execute_data, This)
			//|	GET_Z_PTR FCARG1x, TMP1
			//|	// OBJ_RELEASE(object);
			//|	OBJ_RELEASE ZREG_FCARG1, >2, ZREG_TMP1, ZREG_TMP2
			dasm_put(Dst, 69548, offsetof(zend_execute_data, This), (ZREG_X15), (ZREG_FCARG1), (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_FCARG1));
				if (ZREG_FCARG1 != ZREG_FCARG1) {
			dasm_put(Dst, 69564, (ZREG_FCARG1));
				}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 69567, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 69570, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 69573, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 69577, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 69581, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 69585, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 69590, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 69594, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 69598, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 69602, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 69606, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 69610, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 69614, (ZREG_X15));
				}
			dasm_put(Dst, 69617, (ZREG_X15), (ZREG_FCARG1));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 69624, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 69627, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 69631, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 69635, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 69639, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 69643, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 69647, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 69651);
				if (ZREG_FCARG1 != ZREG_FCARG1) {
			dasm_put(Dst, 69654, (ZREG_FCARG1));
				}
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 69657, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 69660, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 69663, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 69667, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 69671, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 69675, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 69680, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 69684, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 69688, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 69692, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 69696, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 69700, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 69704, (ZREG_X15));
				}
#line 9642 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >2
			//|.code
			dasm_put(Dst, 69707);
#line 9644 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|2:
			dasm_put(Dst, 69711);
#line 9645 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE ||
		    !JIT_G(current_frame) ||
		    !JIT_G(current_frame)->call ||
		    !TRACE_FRAME_IS_NESTED(JIT_G(current_frame)->call) ||
		    prev_opline->opcode == ZEND_SEND_UNPACK ||
		    prev_opline->opcode == ZEND_SEND_ARRAY ||
			prev_opline->opcode == ZEND_CHECK_UNDEF_ARGS) {

			//|	// zend_vm_stack_free_call_frame(call);
			//|	ldrb TMP1w, [RX, #(offsetof(zend_execute_data, This.u1.type_info) + 2)]
			//|	TST_32_WITH_CONST TMP1w, ((ZEND_CALL_ALLOCATED >> 16) & 0xff), TMP2w
			dasm_put(Dst, 69713, (offsetof(zend_execute_data, This.u1.type_info) + 2));
				if (((ZEND_CALL_ALLOCATED >> 16) & 0xff) == 0) {
			dasm_put(Dst, 69716);
				} else if (logical_immediate_p((uint32_t)((ZEND_CALL_ALLOCATED >> 16) & 0xff), 32)) {
			dasm_put(Dst, 69718, ((ZEND_CALL_ALLOCATED >> 16) & 0xff));
				} else {
				if (((uint32_t)(((ZEND_CALL_ALLOCATED >> 16) & 0xff))) <= MOVZ_IMM) {
			dasm_put(Dst, 69721, ((uint32_t)(((ZEND_CALL_ALLOCATED >> 16) & 0xff))));
				} else if (((uint32_t)(((ZEND_CALL_ALLOCATED >> 16) & 0xff)) & 0xffff)) {
			dasm_put(Dst, 69724, ((uint32_t)(((ZEND_CALL_ALLOCATED >> 16) & 0xff)) & 0xffff));
					if ((((uint32_t)(((ZEND_CALL_ALLOCATED >> 16) & 0xff)) >> 16) & 0xffff)) {
			dasm_put(Dst, 69727, (((uint32_t)(((ZEND_CALL_ALLOCATED >> 16) & 0xff)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 69730, (((uint32_t)(((ZEND_CALL_ALLOCATED >> 16) & 0xff)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 69733);
				}
#line 9658 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne >1
			//|.cold_code
			dasm_put(Dst, 69735);
#line 9660 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	mov FCARG1x, RX
			//|	EXT_CALL zend_jit_free_call_frame, REG0
			dasm_put(Dst, 69738);
				if (arm64_may_use_b(zend_jit_free_call_frame)) {
			dasm_put(Dst, 69741, (unsigned int)((ptrdiff_t)(zend_jit_free_call_frame)), (unsigned int)(((ptrdiff_t)(zend_jit_free_call_frame))>>32));
				} else {
				if (((uintptr_t)(zend_jit_free_call_frame)) == 0) {
			dasm_put(Dst, 69744);
				} else if (((uintptr_t)(zend_jit_free_call_frame)) <= MOVZ_IMM) {
			dasm_put(Dst, 69746, ((uint64_t)(zend_jit_free_call_frame)));
				} else if (arm64_may_use_adr((void*)(zend_jit_free_call_frame))) {
			dasm_put(Dst, 69749, (unsigned int)((ptrdiff_t)(zend_jit_free_call_frame)), (unsigned int)(((ptrdiff_t)(zend_jit_free_call_frame))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_free_call_frame))) {
			dasm_put(Dst, 69752, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_free_call_frame))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_free_call_frame)))))>>32));
					if (((uintptr_t)(zend_jit_free_call_frame)) & 0xfff) {
			dasm_put(Dst, 69755, (((uintptr_t)(zend_jit_free_call_frame)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_free_call_frame) & 0xffff) {
			dasm_put(Dst, 69758, ((uintptr_t)(zend_jit_free_call_frame) & 0xffff));
					if (((uintptr_t)(zend_jit_free_call_frame) >> 16) & 0xffff) {
			dasm_put(Dst, 69761, (((uintptr_t)(zend_jit_free_call_frame) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_free_call_frame) >> 32) & 0xffff) {
			dasm_put(Dst, 69764, (((uintptr_t)(zend_jit_free_call_frame) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_free_call_frame) >> 16) & 0xffff) {
			dasm_put(Dst, 69767, (((uintptr_t)(zend_jit_free_call_frame) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_free_call_frame) >> 32) & 0xffff) {
			dasm_put(Dst, 69770, (((uintptr_t)(zend_jit_free_call_frame) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 69773, (((uintptr_t)(zend_jit_free_call_frame) >> 32) & 0xffff));
				}
			dasm_put(Dst, 69776);
				}
#line 9663 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >1
			//|.code
			dasm_put(Dst, 69778);
#line 9665 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	MEM_STORE_64_ZTS str, RX, executor_globals, vm_stack_top, REG0
			if (((uintptr_t)(&executor_globals.vm_stack_top)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 69781, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
			} else if (((uintptr_t)(&executor_globals.vm_stack_top)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 69785, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32), (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.vm_stack_top)) == 0) {
		dasm_put(Dst, 69790);
			} else if (((uintptr_t)(&executor_globals.vm_stack_top)) <= MOVZ_IMM) {
		dasm_put(Dst, 69792, ((uint64_t)(&executor_globals.vm_stack_top)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 69795, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
		dasm_put(Dst, 69798, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32));
				if (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff) {
		dasm_put(Dst, 69801, (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff) {
		dasm_put(Dst, 69804, ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
		dasm_put(Dst, 69807, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
		dasm_put(Dst, 69810, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
		dasm_put(Dst, 69813, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
		dasm_put(Dst, 69816, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 69819, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
		dasm_put(Dst, 69822);
			}
#line 9667 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 69824);
#line 9668 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		if (!RETURN_VALUE_USED(opline)) {
			zend_class_entry *ce;
			bool ce_is_instanceof;
			uint32_t func_info = call_info ?
				zend_get_func_info(call_info, ssa, &ce, &ce_is_instanceof) :
				(MAY_BE_ANY|MAY_BE_REF|MAY_BE_RC1|MAY_BE_RCN);

			/* If an exception is thrown, the return_value may stay at the
			 * original value of null. */
			func_info |= MAY_BE_NULL;

			if (func_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF)) {
				//|	ZVAL_PTR_DTOR res_addr, func_info, 1, 1, opline, ZREG_TMP1, ZREG_TMP2
					if ((func_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
						if ((func_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							if (1) {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 69826, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 69830, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 69834, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 69838, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 69842, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 69847, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 69852, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 69855, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 69859, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 69863, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 69867, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 69871, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 69875, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 69879);
				dasm_put(Dst, 69882);
							} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 69884, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 69888, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 69892, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 69896, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 69900, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 69905, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_REFCOUNTED == 0) {
				dasm_put(Dst, 69910, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
				dasm_put(Dst, 69913, (ZREG_X15), IS_TYPE_REFCOUNTED);
					} else {
					if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
				dasm_put(Dst, 69917, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
					} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
				dasm_put(Dst, 69921, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
						if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
				dasm_put(Dst, 69925, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 69929, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				dasm_put(Dst, 69933, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 69937);
							}
						}
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 69940, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 69944, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 69948, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 69952, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 69956, (Z_REG(res_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 69960, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
				dasm_put(Dst, 69964, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
						if (((func_info) & MAY_BE_GUARD) || RC_MAY_BE_1(func_info)) {
							if (((func_info) & MAY_BE_GUARD) || RC_MAY_BE_N(func_info)) {
								if (1 && (((func_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(func_info) && ((func_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 69972);
								} else {
				dasm_put(Dst, 69975);
								}
							}
					do {
						if (!((func_info) & MAY_BE_GUARD)
						 && has_concrete_type((func_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							zend_uchar type = concrete_type((func_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
							if (type == IS_STRING && !ZEND_DEBUG) {
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 69978, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 69981, (ZREG_X15));
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 69984, (ZREG_X15), ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 69988, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 69992, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 69996, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 70001, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 70005, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 70009, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 70013, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 70017, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70021, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 70025, (ZREG_X15));
					}
								break;
							} else if (type == IS_ARRAY) {
								if ((func_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
									if (opline && ((func_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 70028, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 70031, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 70034, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 70038, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 70042, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 70046, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 70051, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 70055, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 70059, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 70063, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 70067, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70071, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 70075, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
									}
					if (arm64_may_use_b(zend_array_destroy)) {
				dasm_put(Dst, 70079, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else {
					if (((uintptr_t)(zend_array_destroy)) == 0) {
				dasm_put(Dst, 70082, (ZREG_X15));
					} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
				dasm_put(Dst, 70085, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
					} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
				dasm_put(Dst, 70089, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
				dasm_put(Dst, 70093, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
						if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
				dasm_put(Dst, 70097, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
				dasm_put(Dst, 70102, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 70106, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 70110, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 70114, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 70118, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70122, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				dasm_put(Dst, 70126, (ZREG_X15));
					}
								} else {
					if (arm64_may_use_b(zend_jit_array_free)) {
				dasm_put(Dst, 70129, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else {
					if (((uintptr_t)(zend_jit_array_free)) == 0) {
				dasm_put(Dst, 70132, (ZREG_X15));
					} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
				dasm_put(Dst, 70135, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
					} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 70139, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 70143, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
						if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
				dasm_put(Dst, 70147, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
				dasm_put(Dst, 70152, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 70156, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 70160, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 70164, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 70168, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70172, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				dasm_put(Dst, 70176, (ZREG_X15));
					}
								}
								break;
							} else if (type == IS_OBJECT) {
								if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 70179, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 70182);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 70184, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 70187, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 70190, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 70193, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 70196, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 70199, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 70202, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 70205, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 70208, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70211, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 70214, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
								}
					if (arm64_may_use_b(zend_objects_store_del)) {
				dasm_put(Dst, 70217, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else {
					if (((uintptr_t)(zend_objects_store_del)) == 0) {
				dasm_put(Dst, 70220, (ZREG_X15));
					} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
				dasm_put(Dst, 70223, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
					} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 70227, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 70231, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
						if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
				dasm_put(Dst, 70235, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
				dasm_put(Dst, 70240, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 70244, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 70248, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 70252, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 70256, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70260, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				dasm_put(Dst, 70264, (ZREG_X15));
					}
								break;
							}
						}
						if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 70267, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 70270, (ZREG_X15));
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 70273, (ZREG_X15), ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 70277, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 70281, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 70285, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 70290, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 70294, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 70298, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 70302, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 70306, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70310, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 70314, (ZREG_X15), Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
						}
					if (arm64_may_use_b(rc_dtor_func)) {
				dasm_put(Dst, 70318, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else {
					if (((uintptr_t)(rc_dtor_func)) == 0) {
				dasm_put(Dst, 70321, (ZREG_X15));
					} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
				dasm_put(Dst, 70324, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
					} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
				dasm_put(Dst, 70328, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
				dasm_put(Dst, 70332, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
						if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
				dasm_put(Dst, 70336, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
						}
					} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
				dasm_put(Dst, 70341, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 70345, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						}
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 70349, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 70353, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 70357, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70361, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				dasm_put(Dst, 70365, (ZREG_X15));
					}
					} while(0);
							if (1 && (((func_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(func_info) && ((func_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				dasm_put(Dst, 70368);
							}
				dasm_put(Dst, 70371);
						}
						if (1 && (((func_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(func_info) && ((func_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
							if ((func_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
								zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 70373, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 70377, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 70381, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70385, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 70389, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 70394, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 70399, (ZREG_X15));
					} else {
				dasm_put(Dst, 70403, (ZREG_X15), IS_REFERENCE);
					}
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
				dasm_put(Dst, 70409, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
				dasm_put(Dst, 70413, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
				dasm_put(Dst, 70417, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70421, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 70425, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 70430, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
					}
					if (IS_TYPE_COLLECTABLE == 0) {
				dasm_put(Dst, 70435, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
				dasm_put(Dst, 70438, (ZREG_X15), IS_TYPE_COLLECTABLE);
					} else {
					if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 70442, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
					} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
				dasm_put(Dst, 70446, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
						if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 70450, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70454, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				dasm_put(Dst, 70458, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 70462);
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 70465, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 70469, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 70473, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70477, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 70481, (Z_REG(ref_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 70485, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
				dasm_put(Dst, 70489);
							}
				dasm_put(Dst, 70491, (ZREG_X15));
					if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
				dasm_put(Dst, 70494, (ZREG_X15));
					} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
				dasm_put(Dst, 70497, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
					} else {
					if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
				dasm_put(Dst, 70501, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
					} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
				dasm_put(Dst, 70505, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
						if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
				dasm_put(Dst, 70509, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70513, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 70517, (ZREG_X15), (ZREG_X16));
					}
				dasm_put(Dst, 70521);
					if (arm64_may_use_b(gc_possible_root)) {
				dasm_put(Dst, 70524, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else {
					if (((uintptr_t)(gc_possible_root)) == 0) {
				dasm_put(Dst, 70527, (ZREG_X15));
					} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
				dasm_put(Dst, 70530, (ZREG_X15), ((uint64_t)(gc_possible_root)));
					} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
				dasm_put(Dst, 70534, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
					} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
				dasm_put(Dst, 70538, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
						if (((uintptr_t)(gc_possible_root)) & 0xfff) {
				dasm_put(Dst, 70542, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
						}
					} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
				dasm_put(Dst, 70547, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 70551, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						}
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 70555, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
				dasm_put(Dst, 70559, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
						if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
				dasm_put(Dst, 70563, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70567, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				dasm_put(Dst, 70571, (ZREG_X15));
					}
						}
						if (1 && ((func_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
				dasm_put(Dst, 70574);
						}
				dasm_put(Dst, 70577);
					}
#line 9682 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}

		//|	// if (UNEXPECTED(EG(exception) != NULL)) {
		//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, exception, TMP1
			if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 70579, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 70583, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.exception)) == 0) {
		dasm_put(Dst, 70588);
			} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
		dasm_put(Dst, 70590, ((uint64_t)(&executor_globals.exception)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 70593, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 70596, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
				if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
		dasm_put(Dst, 70599, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
		dasm_put(Dst, 70602, ((uintptr_t)(&executor_globals.exception) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 70605, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 70608, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 70611, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 70614, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 70617, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
			}
		dasm_put(Dst, 70620);
			}
#line 9687 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbnz REG0, ->icall_throw_handler
		dasm_put(Dst, 70622);
#line 9688 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		// TODO: Can we avoid checking for interrupts after each call ???
		if (trace && last_valid_opline != opline) {
			int32_t exit_point = zend_jit_trace_get_exit_point(opline + 1, ZEND_JIT_EXIT_TO_VM);

			exit_addr = zend_jit_trace_get_exit_addr(exit_point);
			if (!exit_addr) {
				return 0;
			}
		} else {
			exit_addr = NULL;
		}
		if (!zend_jit_check_timeout(Dst, opline + 1, exit_addr)) {
			return 0;
		}

		if ((!trace || !func) && opline->opcode != ZEND_DO_ICALL) {
			//|	LOAD_IP_ADDR (opline + 1)
				if (GCC_GLOBAL_REGS) {
				if (((uintptr_t)((opline + 1))) == 0) {
			dasm_put(Dst, 70625);
				} else if (((uintptr_t)((opline + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 70627, ((uint64_t)((opline + 1))));
				} else if (arm64_may_use_adr((void*)((opline + 1)))) {
			dasm_put(Dst, 70630, (unsigned int)((ptrdiff_t)((opline + 1))), (unsigned int)(((ptrdiff_t)((opline + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((opline + 1)))) {
			dasm_put(Dst, 70633, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline + 1))))))>>32));
					if (((uintptr_t)((opline + 1))) & 0xfff) {
			dasm_put(Dst, 70636, (((uintptr_t)((opline + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((opline + 1)) & 0xffff) {
			dasm_put(Dst, 70639, ((uintptr_t)((opline + 1)) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 70642, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 70645, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 70648, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 70651, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 70654, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
				}
				} else {
				if (((uintptr_t)((opline + 1))) == 0) {
			dasm_put(Dst, 70657);
				} else if (((uintptr_t)((opline + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 70659, ((uint64_t)((opline + 1))));
				} else if (arm64_may_use_adr((void*)((opline + 1)))) {
			dasm_put(Dst, 70662, (unsigned int)((ptrdiff_t)((opline + 1))), (unsigned int)(((ptrdiff_t)((opline + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((opline + 1)))) {
			dasm_put(Dst, 70665, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline + 1))))))>>32));
					if (((uintptr_t)((opline + 1))) & 0xfff) {
			dasm_put(Dst, 70668, (((uintptr_t)((opline + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((opline + 1)) & 0xffff) {
			dasm_put(Dst, 70671, ((uintptr_t)((opline + 1)) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 70674, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 70677, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 70680, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 70683, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 70686, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 70689, Dt1(->opline));
				}
#line 9706 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (trace
		 && trace->op == ZEND_JIT_TRACE_END
		 && trace->stop == ZEND_JIT_TRACE_STOP_INTERPRETER) {
			//|	LOAD_IP_ADDR (opline + 1)
				if (GCC_GLOBAL_REGS) {
				if (((uintptr_t)((opline + 1))) == 0) {
			dasm_put(Dst, 70692);
				} else if (((uintptr_t)((opline + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 70694, ((uint64_t)((opline + 1))));
				} else if (arm64_may_use_adr((void*)((opline + 1)))) {
			dasm_put(Dst, 70697, (unsigned int)((ptrdiff_t)((opline + 1))), (unsigned int)(((ptrdiff_t)((opline + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((opline + 1)))) {
			dasm_put(Dst, 70700, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline + 1))))))>>32));
					if (((uintptr_t)((opline + 1))) & 0xfff) {
			dasm_put(Dst, 70703, (((uintptr_t)((opline + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((opline + 1)) & 0xffff) {
			dasm_put(Dst, 70706, ((uintptr_t)((opline + 1)) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 70709, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 70712, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 70715, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 70718, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 70721, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
				}
				} else {
				if (((uintptr_t)((opline + 1))) == 0) {
			dasm_put(Dst, 70724);
				} else if (((uintptr_t)((opline + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 70726, ((uint64_t)((opline + 1))));
				} else if (arm64_may_use_adr((void*)((opline + 1)))) {
			dasm_put(Dst, 70729, (unsigned int)((ptrdiff_t)((opline + 1))), (unsigned int)(((ptrdiff_t)((opline + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((opline + 1)))) {
			dasm_put(Dst, 70732, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline + 1))))))>>32));
					if (((uintptr_t)((opline + 1))) & 0xfff) {
			dasm_put(Dst, 70735, (((uintptr_t)((opline + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((opline + 1)) & 0xffff) {
			dasm_put(Dst, 70738, ((uintptr_t)((opline + 1)) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 70741, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 70744, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 70747, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 70750, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 70753, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 70756, Dt1(->opline));
				}
#line 9710 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (!func) {
		//|9:
		dasm_put(Dst, 70759);
#line 9715 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_send_val(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr)
{
	uint32_t arg_num = opline->op2.num;
	zend_jit_addr arg_addr;

	ZEND_ASSERT(opline->opcode == ZEND_SEND_VAL || arg_num <= MAX_ARG_FLAG_NUM);

	if (!zend_jit_reuse_ip(Dst)) {
		return 0;
	}

	if (opline->opcode == ZEND_SEND_VAL_EX) {
		uint32_t mask = ZEND_SEND_BY_REF << ((arg_num + 3) * 2);

		ZEND_ASSERT(arg_num <= MAX_ARG_FLAG_NUM);

		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
		 && JIT_G(current_frame)
		 && JIT_G(current_frame)->call
		 && JIT_G(current_frame)->call->func) {
			if (ARG_MUST_BE_SENT_BY_REF(JIT_G(current_frame)->call->func, arg_num)) {
				/* Don't generate code that always throws exception */
				return 0;
			}
		} else if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
			int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
			const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);
			if (!exit_addr) {
				return 0;
			}
			//|	ldr REG0, EX:RX->func
			//|	ldr TMP1w, [REG0, #offsetof(zend_function, quick_arg_flags)]
			//|	TST_32_WITH_CONST TMP1w, mask, TMP2w
			dasm_put(Dst, 70761, Dt1(->func), offsetof(zend_function, quick_arg_flags));
				if (mask == 0) {
			dasm_put(Dst, 70766);
				} else if (logical_immediate_p((uint32_t)mask, 32)) {
			dasm_put(Dst, 70768, mask);
				} else {
				if (((uint32_t)(mask)) <= MOVZ_IMM) {
			dasm_put(Dst, 70771, ((uint32_t)(mask)));
				} else if (((uint32_t)(mask) & 0xffff)) {
			dasm_put(Dst, 70774, ((uint32_t)(mask) & 0xffff));
					if ((((uint32_t)(mask) >> 16) & 0xffff)) {
			dasm_put(Dst, 70777, (((uint32_t)(mask) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 70780, (((uint32_t)(mask) >> 16) & 0xffff));
				}
			dasm_put(Dst, 70783);
				}
#line 9753 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne &exit_addr
			dasm_put(Dst, 70785, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 9754 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	ldr REG0, EX:RX->func
			//|	ldr TMP1w, [REG0, #offsetof(zend_function, quick_arg_flags)]
			//|	TST_32_WITH_CONST TMP1w, mask, TMP2w
			dasm_put(Dst, 70788, Dt1(->func), offsetof(zend_function, quick_arg_flags));
				if (mask == 0) {
			dasm_put(Dst, 70793);
				} else if (logical_immediate_p((uint32_t)mask, 32)) {
			dasm_put(Dst, 70795, mask);
				} else {
				if (((uint32_t)(mask)) <= MOVZ_IMM) {
			dasm_put(Dst, 70798, ((uint32_t)(mask)));
				} else if (((uint32_t)(mask) & 0xffff)) {
			dasm_put(Dst, 70801, ((uint32_t)(mask) & 0xffff));
					if ((((uint32_t)(mask) >> 16) & 0xffff)) {
			dasm_put(Dst, 70804, (((uint32_t)(mask) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 70807, (((uint32_t)(mask) >> 16) & 0xffff));
				}
			dasm_put(Dst, 70810);
				}
#line 9758 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne >1
			//|.cold_code
			dasm_put(Dst, 70812);
#line 9760 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 70815);
#line 9761 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_MODE(op1_addr) == IS_REG) {
				/* set type to avoid zval_ptr_dtor() on uninitialized value */
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
				//|	SET_ZVAL_TYPE_INFO addr, IS_UNDEF, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
				dasm_put(Dst, 70817, ((uint32_t)(IS_UNDEF)));
					} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
				dasm_put(Dst, 70820, ((uint32_t)(IS_UNDEF) & 0xffff));
						if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
				dasm_put(Dst, 70823, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70826, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 70829, ((uint32_t)(Z_OFFSET(addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 70832, ((uint32_t)(Z_OFFSET(addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 70835, (((uint32_t)(Z_OFFSET(addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 70838, (((uint32_t)(Z_OFFSET(addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 70841, (Z_REG(addr)));
					} else {
				dasm_put(Dst, 70844, (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval,u1.type_info)));
					}
#line 9765 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 70848, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 70851);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 70853, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 70856, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 70859, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 70862, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 70865, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 70868, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 70871, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 70874, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 70877, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 70880, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 70883, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 9767 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b ->throw_cannot_pass_by_ref
			//|.code
			dasm_put(Dst, 70886);
#line 9769 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	arg_addr = ZEND_ADDR_MEM_ZVAL(ZREG_RX, opline->result.var);

	if (opline->op1_type == IS_CONST) {
		zval *zv = RT_CONSTANT(opline, opline->op1);

		//|	ZVAL_COPY_CONST arg_addr, MAY_BE_ANY, MAY_BE_ANY, zv, ZREG_REG0, ZREG_TMP1, ZREG_FPR0
			if (Z_TYPE_P(zv) > IS_TRUE) {
				if (Z_TYPE_P(zv) == IS_DOUBLE) {
					zend_reg dst_reg = (Z_MODE(arg_addr) == IS_REG) ? Z_REG(arg_addr) : ZREG_V0;
			if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adr((void*)(zv))) {
		dasm_put(Dst, 70889, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32), (dst_reg-ZREG_V0), (ZREG_X8));
			} else if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adrp((void*)(zv))) {
		dasm_put(Dst, 70896, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32), (dst_reg-ZREG_V0), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
			} else {
			if (((uintptr_t)(zv)) == 0) {
		dasm_put(Dst, 70904, (ZREG_X8));
			} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
		dasm_put(Dst, 70907, (ZREG_X8), ((uint64_t)(zv)));
			} else if (arm64_may_use_adr((void*)(zv))) {
		dasm_put(Dst, 70911, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
			} else if (arm64_may_use_adrp((void*)(zv))) {
		dasm_put(Dst, 70915, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
				if (((uintptr_t)(zv)) & 0xfff) {
		dasm_put(Dst, 70919, (ZREG_X8), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
				}
			} else if ((uintptr_t)(zv) & 0xffff) {
		dasm_put(Dst, 70924, (ZREG_X8), ((uintptr_t)(zv) & 0xffff));
				if (((uintptr_t)(zv) >> 16) & 0xffff) {
		dasm_put(Dst, 70928, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zv) >> 32) & 0xffff) {
		dasm_put(Dst, 70932, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
		dasm_put(Dst, 70936, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
				if (((uintptr_t)(zv) >> 32) & 0xffff) {
		dasm_put(Dst, 70940, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 70944, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
			}
		dasm_put(Dst, 70948, (dst_reg-ZREG_V0), (ZREG_X8));
			}
			if (Z_MODE(arg_addr) == IS_REG) {
				if (dst_reg != Z_REG(arg_addr)) {
		dasm_put(Dst, 70952, (Z_REG(arg_addr)-ZREG_V0), (dst_reg-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 70956, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 70960, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 70964, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 70968, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 70972, (dst_reg-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 70977, (dst_reg-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
				} else if (Z_TYPE_P(zv) == IS_LONG && MAY_BE_ANY == MAY_BE_DOUBLE) {
					zend_reg dst_reg = (Z_MODE(arg_addr) == IS_REG) ? Z_REG(arg_addr) : ZREG_V0;
			if (Z_LVAL_P(zv) == 0) {
		dasm_put(Dst, 70982, (dst_reg-ZREG_V0));
			} else {
			if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
		dasm_put(Dst, 70985, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 70988, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
			} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 70992, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
			} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
		dasm_put(Dst, 70996, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 71000, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 71004, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 71008, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 71012, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 71016, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 71020, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 71024, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 71028, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71032, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
			}
		dasm_put(Dst, 71036, (dst_reg-ZREG_V0), (ZREG_X8));
			}
			if (Z_MODE(arg_addr) == IS_REG) {
				if (dst_reg != Z_REG(arg_addr)) {
		dasm_put(Dst, 71040, (Z_REG(arg_addr)-ZREG_V0), (dst_reg-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71044, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 71048, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71052, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71056, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71060, (dst_reg-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71065, (dst_reg-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
				} else {
			if (Z_LVAL_P(zv) == 0) {
			if (Z_MODE(arg_addr) == IS_REG) {
		dasm_put(Dst, 71070, (Z_REG(arg_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71073, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 71077, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71081, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71085, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71089, (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71093, (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
			} else {
			if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
		dasm_put(Dst, 71097, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 71100, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
			} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 71104, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
			} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
		dasm_put(Dst, 71108, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 71112, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 71116, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 71120, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 71124, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 71128, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 71132, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 71136, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 71140, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71144, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
			}
			if (Z_MODE(arg_addr) == IS_REG) {
		dasm_put(Dst, 71148, (Z_REG(arg_addr)), (ZREG_X8));
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71152, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 71156, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71160, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71164, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71168, (ZREG_X8), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71173, (ZREG_X8), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
			}
				}
			}
			if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
				if (MAY_BE_ANY == MAY_BE_DOUBLE) {
					if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 71178, (ZREG_X8), ((uint32_t)(IS_DOUBLE)));
			} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
		dasm_put(Dst, 71182, (ZREG_X8), ((uint32_t)(IS_DOUBLE) & 0xffff));
				if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 71186, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71190, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 71194, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 71198, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71202, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71206, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71210, (ZREG_X8), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71215, (ZREG_X8), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
			}
					}
				} else if (((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (1<<Z_TYPE_P(zv))) || (MAY_BE_ANY & (MAY_BE_STRING|MAY_BE_ARRAY)) != 0) {
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(Z_TYPE_INFO_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 71220, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv))));
			} else if (((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff)) {
		dasm_put(Dst, 71224, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff));
				if ((((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71228, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71232, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 71236, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 71240, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71244, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71248, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71252, (ZREG_X8), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71257, (ZREG_X8), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
			}
				}
			}
#line 9778 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_REFCOUNTED_P(zv)) {
			//|	ADDREF_CONST zv, REG0, TMP1
				if (((uintptr_t)(Z_PTR_P(zv))) == 0) {
			dasm_put(Dst, 71262);
				} else if (((uintptr_t)(Z_PTR_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 71264, ((uint64_t)(Z_PTR_P(zv))));
				} else if (arm64_may_use_adr((void*)(Z_PTR_P(zv)))) {
			dasm_put(Dst, 71267, (unsigned int)((ptrdiff_t)(Z_PTR_P(zv))), (unsigned int)(((ptrdiff_t)(Z_PTR_P(zv)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_PTR_P(zv)))) {
			dasm_put(Dst, 71270, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv))))))>>32));
					if (((uintptr_t)(Z_PTR_P(zv))) & 0xfff) {
			dasm_put(Dst, 71273, (((uintptr_t)(Z_PTR_P(zv))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_PTR_P(zv)) & 0xffff) {
			dasm_put(Dst, 71276, ((uintptr_t)(Z_PTR_P(zv)) & 0xffff));
					if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 71279, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 71282, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 71285, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 71288, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 71291, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 71294);
#line 9780 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		//|	ZVAL_COPY_VALUE arg_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_MODE(arg_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
			if (Z_MODE(arg_addr) == IS_REG) {
		dasm_put(Dst, 71298, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71302, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 71306, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71310, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71314, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71318, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71323, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
						}
					} else if (Z_MODE(arg_addr) == IS_REG) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 71328, (Z_REG(arg_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 71331, (Z_REG(arg_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 71334, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 71338, (Z_REG(arg_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 71342, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 71346, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 71350, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 71354, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 71358, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 71362, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 71366, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 71370, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 71374, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71378, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71382, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 71386, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71390, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71394, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71398, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71403, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_REG(arg_addr) != Z_REG(op1_addr)) {
		dasm_put(Dst, 71408, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 71412, (ZREG_X10));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 71415, (ZREG_X10));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 71418, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 71422, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 71426, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 71430, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 71434, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 71438, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 71442, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 71446, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 71450, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 71454, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 71458, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71462, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71466, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 71470, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71474, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71478, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71482, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71487, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X10 != Z_REG(op1_addr)) {
		dasm_put(Dst, 71492, (ZREG_X10), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(arg_addr) == IS_REG) {
		dasm_put(Dst, 71496, (Z_REG(arg_addr)), (ZREG_X10));
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71500, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 71504, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71508, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71512, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71516, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71521, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
					}
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(op1_addr) == IS_REG) {
			if (Z_MODE(arg_addr) == IS_REG) {
				if (Z_REG(op1_addr) != Z_REG(arg_addr)) {
		dasm_put(Dst, 71526, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71530, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 71534, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71538, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71542, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71546, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71551, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
					} else if (Z_MODE(arg_addr) == IS_REG) {
			if (Z_MODE(op1_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 71556, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 71563, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 71571, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71574, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 71578, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 71582, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 71586, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 71591, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 71595, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 71599, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 71603, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 71607, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71611, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 71615, (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71619, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 71623, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71627, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71631, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71635, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71640, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 71645, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 71649, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 71656, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 71664, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71667, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 71671, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 71675, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 71679, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 71684, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 71688, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 71692, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 71696, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 71700, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71704, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 71708, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71712, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 71716, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71720, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71724, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71728, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71733, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 71738, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(arg_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(arg_addr)) {
		dasm_put(Dst, 71742, (Z_REG(arg_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71746, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 71750, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71754, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71758, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71762, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71767, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71772, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 71776, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71780, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71784, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71788, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71793, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 71798, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 71802, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71806, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71810, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71814, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71819, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
				}
			}
			if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(op1_info & MAY_BE_GUARD) &&
				has_concrete_type(op1_info & MAY_BE_ANY)) {
				if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
					if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(op1_info);
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 71824, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 71828, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 71832, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71836, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 71840, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 71844, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71848, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71852, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71856, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 71861, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 71866, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 71870, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71874, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71878, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71882, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71887, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 71892, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 71896, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 71900, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 71904, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 71908, (ZREG_X8), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 71913, (ZREG_X8), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
			}
			}
#line 9783 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_check_undef_args(dasm_State **Dst, const zend_op *opline)
{
	//|	ldr FCARG1x, EX->call
	//|	ldrb TMP1w, [FCARG1x, #(offsetof(zend_execute_data, This.u1.type_info) + 3)]
	//|	TST_32_WITH_CONST TMP1w, (ZEND_CALL_MAY_HAVE_UNDEF >> 24), TMP2w
	dasm_put(Dst, 71918, Dt1(->call), (offsetof(zend_execute_data, This.u1.type_info) + 3));
		if ((ZEND_CALL_MAY_HAVE_UNDEF >> 24) == 0) {
	dasm_put(Dst, 71923);
		} else if (logical_immediate_p((uint32_t)(ZEND_CALL_MAY_HAVE_UNDEF >> 24), 32)) {
	dasm_put(Dst, 71925, (ZEND_CALL_MAY_HAVE_UNDEF >> 24));
		} else {
		if (((uint32_t)((ZEND_CALL_MAY_HAVE_UNDEF >> 24))) <= MOVZ_IMM) {
	dasm_put(Dst, 71928, ((uint32_t)((ZEND_CALL_MAY_HAVE_UNDEF >> 24))));
		} else if (((uint32_t)((ZEND_CALL_MAY_HAVE_UNDEF >> 24)) & 0xffff)) {
	dasm_put(Dst, 71931, ((uint32_t)((ZEND_CALL_MAY_HAVE_UNDEF >> 24)) & 0xffff));
			if ((((uint32_t)((ZEND_CALL_MAY_HAVE_UNDEF >> 24)) >> 16) & 0xffff)) {
	dasm_put(Dst, 71934, (((uint32_t)((ZEND_CALL_MAY_HAVE_UNDEF >> 24)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 71937, (((uint32_t)((ZEND_CALL_MAY_HAVE_UNDEF >> 24)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 71940);
		}
#line 9793 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	bne >1
	//|.cold_code
	dasm_put(Dst, 71942);
#line 9795 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|1:
	//|	SET_EX_OPLINE opline, REG0
	dasm_put(Dst, 71945);
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 71947, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 71950);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 71952, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 71955, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 71958, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 71961, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 71964, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 71967, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 71970, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 71973, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 71976, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 71979, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 71982, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
#line 9797 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_CALL zend_handle_undef_args, REG0
		if (arm64_may_use_b(zend_handle_undef_args)) {
	dasm_put(Dst, 71985, (unsigned int)((ptrdiff_t)(zend_handle_undef_args)), (unsigned int)(((ptrdiff_t)(zend_handle_undef_args))>>32));
		} else {
		if (((uintptr_t)(zend_handle_undef_args)) == 0) {
	dasm_put(Dst, 71988);
		} else if (((uintptr_t)(zend_handle_undef_args)) <= MOVZ_IMM) {
	dasm_put(Dst, 71990, ((uint64_t)(zend_handle_undef_args)));
		} else if (arm64_may_use_adr((void*)(zend_handle_undef_args))) {
	dasm_put(Dst, 71993, (unsigned int)((ptrdiff_t)(zend_handle_undef_args)), (unsigned int)(((ptrdiff_t)(zend_handle_undef_args))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_handle_undef_args))) {
	dasm_put(Dst, 71996, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_handle_undef_args))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_handle_undef_args)))))>>32));
			if (((uintptr_t)(zend_handle_undef_args)) & 0xfff) {
	dasm_put(Dst, 71999, (((uintptr_t)(zend_handle_undef_args)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_handle_undef_args) & 0xffff) {
	dasm_put(Dst, 72002, ((uintptr_t)(zend_handle_undef_args) & 0xffff));
			if (((uintptr_t)(zend_handle_undef_args) >> 16) & 0xffff) {
	dasm_put(Dst, 72005, (((uintptr_t)(zend_handle_undef_args) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_handle_undef_args) >> 32) & 0xffff) {
	dasm_put(Dst, 72008, (((uintptr_t)(zend_handle_undef_args) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_handle_undef_args) >> 16) & 0xffff) {
	dasm_put(Dst, 72011, (((uintptr_t)(zend_handle_undef_args) >> 16) & 0xffff));
			if (((uintptr_t)(zend_handle_undef_args) >> 32) & 0xffff) {
	dasm_put(Dst, 72014, (((uintptr_t)(zend_handle_undef_args) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 72017, (((uintptr_t)(zend_handle_undef_args) >> 32) & 0xffff));
		}
	dasm_put(Dst, 72020);
		}
#line 9798 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	cbz RETVALw, >2
	//|	b ->exception_handler
	//|.code
	dasm_put(Dst, 72022);
#line 9801 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|2:
	dasm_put(Dst, 72027);
#line 9802 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_send_ref(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, uint32_t op1_info, int cold)
{
	zend_jit_addr op1_addr, arg_addr, ref_addr;

	op1_addr = OP1_ADDR();
	arg_addr = ZEND_ADDR_MEM_ZVAL(ZREG_RX, opline->result.var);

	if (!zend_jit_reuse_ip(Dst)) {
		return 0;
	}

	if (opline->op1_type == IS_VAR) {
		if (op1_info & MAY_BE_INDIRECT) {
			//|	LOAD_ZVAL_ADDR REG0, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 72029);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72031, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 72034, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 72037, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 72040, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 72043, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 72046, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 72049, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 72052, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 72055, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72058, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 72061, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 72064, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72068, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 72071, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72074, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72077, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 72080, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 72083);
						} else {
			dasm_put(Dst, 72085, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 9820 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	// if (EXPECTED(Z_TYPE_P(ret) == IS_INDIRECT)) {
			//|	IF_NOT_Z_TYPE REG0, IS_INDIRECT, >1, TMP1w
			dasm_put(Dst, 72088, offsetof(zval, u1.v.type));
				if (IS_INDIRECT == 0) {
			dasm_put(Dst, 72091);
				} else {
			dasm_put(Dst, 72094, IS_INDIRECT);
				}
#line 9822 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	// ret = Z_INDIRECT_P(ret);
			//|	GET_Z_PTR REG0, REG0
			//|1:
			dasm_put(Dst, 72099);
#line 9825 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);
		}
	} else if (opline->op1_type == IS_CV) {
		if (op1_info & MAY_BE_UNDEF) {
			if (op1_info & (MAY_BE_ANY|MAY_BE_REF)) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, >1, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 72102, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 72106, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 72110, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 72114, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 72118, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 72123, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 72128, (ZREG_X15));
					} else {
				dasm_put(Dst, 72132, (ZREG_X15), IS_UNDEF);
					}
#line 9831 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_TYPE_INFO op1_addr, IS_NULL, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
				dasm_put(Dst, 72138, ((uint32_t)(IS_NULL)));
					} else if (((uint32_t)(IS_NULL) & 0xffff)) {
				dasm_put(Dst, 72141, ((uint32_t)(IS_NULL) & 0xffff));
						if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
				dasm_put(Dst, 72144, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 72147, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 72150, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 72153, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 72156, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 72159, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 72162, (Z_REG(op1_addr)));
					} else {
				dasm_put(Dst, 72165, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
					}
#line 9832 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b >2
				//|1:
				dasm_put(Dst, 72169);
#line 9834 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			op1_info &= ~MAY_BE_UNDEF;
			op1_info |= MAY_BE_NULL;
		}
	} else {
		ZEND_UNREACHABLE();
	}

	if (op1_info & (MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF)) {
		if (op1_info & MAY_BE_REF) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_REFERENCE, >2, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 72173, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 72177, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72181, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72185, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 72189, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 72194, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 72199, (ZREG_X15));
				} else {
			dasm_put(Dst, 72203, (ZREG_X15), IS_REFERENCE);
				}
#line 9845 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_ZVAL_PTR REG1, op1_addr, TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72209, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 72212, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72215, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72218, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 72221, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 72224, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 9846 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GC_ADDREF REG1, TMP1w
			//|	SET_ZVAL_PTR arg_addr, REG1, TMP1
			dasm_put(Dst, 72228);
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72232, ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 72235, ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72238, (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72241, (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 72244, (Z_REG(arg_addr)));
				} else {
			dasm_put(Dst, 72247, (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
#line 9848 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO arg_addr, IS_REFERENCE_EX, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_REFERENCE_EX)) <= MOVZ_IMM) {
			dasm_put(Dst, 72251, ((uint32_t)(IS_REFERENCE_EX)));
				} else if (((uint32_t)(IS_REFERENCE_EX) & 0xffff)) {
			dasm_put(Dst, 72254, ((uint32_t)(IS_REFERENCE_EX) & 0xffff));
					if ((((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff)) {
			dasm_put(Dst, 72257, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72260, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 72263, ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 72266, ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72269, (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72272, (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 72275, (Z_REG(arg_addr)));
				} else {
			dasm_put(Dst, 72278, (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
				}
#line 9849 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >6
			dasm_put(Dst, 72282);
#line 9850 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|2:
		//|	// ZVAL_NEW_REF(arg, varptr);
		dasm_put(Dst, 72285);
#line 9853 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op1_type == IS_VAR) {
			if (Z_REG(op1_addr) != ZREG_REG0 || Z_OFFSET(op1_addr) != 0) {
				//|	LOAD_ZVAL_ADDR REG0, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 72287);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 72289, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 72292, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 72295, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 72298, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 72301, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 72304, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 72307, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 72310, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 72313, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 72316, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 72319, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 72322, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 72326, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 72329, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 72332, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 72335, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 72338, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 72341);
							} else {
				dasm_put(Dst, 72343, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 9856 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	str REG0, T1  // save
			dasm_put(Dst, 72346);
#line 9858 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	EMALLOC sizeof(zend_reference), op_array, opline  // Allocate space in REG0
		#if ZEND_DEBUG
				const char *filename = op_array->filename ? op_array->filename->val : NULL;
		dasm_put(Dst, 72348, sizeof(zend_reference));
			if (((uintptr_t)(filename)) == 0) {
		dasm_put(Dst, 72351);
			} else if (((uintptr_t)(filename)) <= MOVZ_IMM) {
		dasm_put(Dst, 72353, ((uint64_t)(filename)));
			} else if (arm64_may_use_adr((void*)(filename))) {
		dasm_put(Dst, 72356, (unsigned int)((ptrdiff_t)(filename)), (unsigned int)(((ptrdiff_t)(filename))>>32));
			} else if (arm64_may_use_adrp((void*)(filename))) {
		dasm_put(Dst, 72359, (unsigned int)((ptrdiff_t)((((uintptr_t)(filename))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(filename)))))>>32));
				if (((uintptr_t)(filename)) & 0xfff) {
		dasm_put(Dst, 72362, (((uintptr_t)(filename)) & 0xfff));
				}
			} else if ((uintptr_t)(filename) & 0xffff) {
		dasm_put(Dst, 72365, ((uintptr_t)(filename) & 0xffff));
				if (((uintptr_t)(filename) >> 16) & 0xffff) {
		dasm_put(Dst, 72368, (((uintptr_t)(filename) >> 16) & 0xffff));
				}
				if (((uintptr_t)(filename) >> 32) & 0xffff) {
		dasm_put(Dst, 72371, (((uintptr_t)(filename) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(filename) >> 16) & 0xffff) {
		dasm_put(Dst, 72374, (((uintptr_t)(filename) >> 16) & 0xffff));
				if (((uintptr_t)(filename) >> 32) & 0xffff) {
		dasm_put(Dst, 72377, (((uintptr_t)(filename) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 72380, (((uintptr_t)(filename) >> 32) & 0xffff));
			}
			if (((uint32_t)(opline->lineno)) <= MOVZ_IMM) {
		dasm_put(Dst, 72383, ((uint32_t)(opline->lineno)));
			} else if (((uint32_t)(opline->lineno) & 0xffff)) {
		dasm_put(Dst, 72386, ((uint32_t)(opline->lineno) & 0xffff));
				if ((((uint32_t)(opline->lineno) >> 16) & 0xffff)) {
		dasm_put(Dst, 72389, (((uint32_t)(opline->lineno) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 72392, (((uint32_t)(opline->lineno) >> 16) & 0xffff));
			}
		dasm_put(Dst, 72395);
			if (arm64_may_use_b(_emalloc)) {
		dasm_put(Dst, 72398, (unsigned int)((ptrdiff_t)(_emalloc)), (unsigned int)(((ptrdiff_t)(_emalloc))>>32));
			} else {
			if (((uintptr_t)(_emalloc)) == 0) {
		dasm_put(Dst, 72401);
			} else if (((uintptr_t)(_emalloc)) <= MOVZ_IMM) {
		dasm_put(Dst, 72403, ((uint64_t)(_emalloc)));
			} else if (arm64_may_use_adr((void*)(_emalloc))) {
		dasm_put(Dst, 72406, (unsigned int)((ptrdiff_t)(_emalloc)), (unsigned int)(((ptrdiff_t)(_emalloc))>>32));
			} else if (arm64_may_use_adrp((void*)(_emalloc))) {
		dasm_put(Dst, 72409, (unsigned int)((ptrdiff_t)((((uintptr_t)(_emalloc))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_emalloc)))))>>32));
				if (((uintptr_t)(_emalloc)) & 0xfff) {
		dasm_put(Dst, 72412, (((uintptr_t)(_emalloc)) & 0xfff));
				}
			} else if ((uintptr_t)(_emalloc) & 0xffff) {
		dasm_put(Dst, 72415, ((uintptr_t)(_emalloc) & 0xffff));
				if (((uintptr_t)(_emalloc) >> 16) & 0xffff) {
		dasm_put(Dst, 72418, (((uintptr_t)(_emalloc) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_emalloc) >> 32) & 0xffff) {
		dasm_put(Dst, 72421, (((uintptr_t)(_emalloc) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_emalloc) >> 16) & 0xffff) {
		dasm_put(Dst, 72424, (((uintptr_t)(_emalloc) >> 16) & 0xffff));
				if (((uintptr_t)(_emalloc) >> 32) & 0xffff) {
		dasm_put(Dst, 72427, (((uintptr_t)(_emalloc) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 72430, (((uintptr_t)(_emalloc) >> 32) & 0xffff));
			}
		dasm_put(Dst, 72433);
			}
		dasm_put(Dst, 72435);
		#else
		#ifdef HAVE_BUILTIN_CONSTANT_P
			if (sizeof(zend_reference) > 24 && sizeof(zend_reference) <= 32) {
			if (arm64_may_use_b(_emalloc_32)) {
		dasm_put(Dst, 72437, (unsigned int)((ptrdiff_t)(_emalloc_32)), (unsigned int)(((ptrdiff_t)(_emalloc_32))>>32));
			} else {
			if (((uintptr_t)(_emalloc_32)) == 0) {
		dasm_put(Dst, 72440);
			} else if (((uintptr_t)(_emalloc_32)) <= MOVZ_IMM) {
		dasm_put(Dst, 72442, ((uint64_t)(_emalloc_32)));
			} else if (arm64_may_use_adr((void*)(_emalloc_32))) {
		dasm_put(Dst, 72445, (unsigned int)((ptrdiff_t)(_emalloc_32)), (unsigned int)(((ptrdiff_t)(_emalloc_32))>>32));
			} else if (arm64_may_use_adrp((void*)(_emalloc_32))) {
		dasm_put(Dst, 72448, (unsigned int)((ptrdiff_t)((((uintptr_t)(_emalloc_32))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_emalloc_32)))))>>32));
				if (((uintptr_t)(_emalloc_32)) & 0xfff) {
		dasm_put(Dst, 72451, (((uintptr_t)(_emalloc_32)) & 0xfff));
				}
			} else if ((uintptr_t)(_emalloc_32) & 0xffff) {
		dasm_put(Dst, 72454, ((uintptr_t)(_emalloc_32) & 0xffff));
				if (((uintptr_t)(_emalloc_32) >> 16) & 0xffff) {
		dasm_put(Dst, 72457, (((uintptr_t)(_emalloc_32) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_emalloc_32) >> 32) & 0xffff) {
		dasm_put(Dst, 72460, (((uintptr_t)(_emalloc_32) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_emalloc_32) >> 16) & 0xffff) {
		dasm_put(Dst, 72463, (((uintptr_t)(_emalloc_32) >> 16) & 0xffff));
				if (((uintptr_t)(_emalloc_32) >> 32) & 0xffff) {
		dasm_put(Dst, 72466, (((uintptr_t)(_emalloc_32) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 72469, (((uintptr_t)(_emalloc_32) >> 32) & 0xffff));
			}
		dasm_put(Dst, 72472);
			}
		dasm_put(Dst, 72474);
			} else {
		dasm_put(Dst, 72476, sizeof(zend_reference));
			if (arm64_may_use_b(_emalloc)) {
		dasm_put(Dst, 72479, (unsigned int)((ptrdiff_t)(_emalloc)), (unsigned int)(((ptrdiff_t)(_emalloc))>>32));
			} else {
			if (((uintptr_t)(_emalloc)) == 0) {
		dasm_put(Dst, 72482);
			} else if (((uintptr_t)(_emalloc)) <= MOVZ_IMM) {
		dasm_put(Dst, 72484, ((uint64_t)(_emalloc)));
			} else if (arm64_may_use_adr((void*)(_emalloc))) {
		dasm_put(Dst, 72487, (unsigned int)((ptrdiff_t)(_emalloc)), (unsigned int)(((ptrdiff_t)(_emalloc))>>32));
			} else if (arm64_may_use_adrp((void*)(_emalloc))) {
		dasm_put(Dst, 72490, (unsigned int)((ptrdiff_t)((((uintptr_t)(_emalloc))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_emalloc)))))>>32));
				if (((uintptr_t)(_emalloc)) & 0xfff) {
		dasm_put(Dst, 72493, (((uintptr_t)(_emalloc)) & 0xfff));
				}
			} else if ((uintptr_t)(_emalloc) & 0xffff) {
		dasm_put(Dst, 72496, ((uintptr_t)(_emalloc) & 0xffff));
				if (((uintptr_t)(_emalloc) >> 16) & 0xffff) {
		dasm_put(Dst, 72499, (((uintptr_t)(_emalloc) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_emalloc) >> 32) & 0xffff) {
		dasm_put(Dst, 72502, (((uintptr_t)(_emalloc) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_emalloc) >> 16) & 0xffff) {
		dasm_put(Dst, 72505, (((uintptr_t)(_emalloc) >> 16) & 0xffff));
				if (((uintptr_t)(_emalloc) >> 32) & 0xffff) {
		dasm_put(Dst, 72508, (((uintptr_t)(_emalloc) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 72511, (((uintptr_t)(_emalloc) >> 32) & 0xffff));
			}
		dasm_put(Dst, 72514);
			}
		dasm_put(Dst, 72516);
			}
		#else
		dasm_put(Dst, 72518, sizeof(zend_reference));
			if (arm64_may_use_b(_emalloc)) {
		dasm_put(Dst, 72521, (unsigned int)((ptrdiff_t)(_emalloc)), (unsigned int)(((ptrdiff_t)(_emalloc))>>32));
			} else {
			if (((uintptr_t)(_emalloc)) == 0) {
		dasm_put(Dst, 72524);
			} else if (((uintptr_t)(_emalloc)) <= MOVZ_IMM) {
		dasm_put(Dst, 72526, ((uint64_t)(_emalloc)));
			} else if (arm64_may_use_adr((void*)(_emalloc))) {
		dasm_put(Dst, 72529, (unsigned int)((ptrdiff_t)(_emalloc)), (unsigned int)(((ptrdiff_t)(_emalloc))>>32));
			} else if (arm64_may_use_adrp((void*)(_emalloc))) {
		dasm_put(Dst, 72532, (unsigned int)((ptrdiff_t)((((uintptr_t)(_emalloc))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_emalloc)))))>>32));
				if (((uintptr_t)(_emalloc)) & 0xfff) {
		dasm_put(Dst, 72535, (((uintptr_t)(_emalloc)) & 0xfff));
				}
			} else if ((uintptr_t)(_emalloc) & 0xffff) {
		dasm_put(Dst, 72538, ((uintptr_t)(_emalloc) & 0xffff));
				if (((uintptr_t)(_emalloc) >> 16) & 0xffff) {
		dasm_put(Dst, 72541, (((uintptr_t)(_emalloc) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_emalloc) >> 32) & 0xffff) {
		dasm_put(Dst, 72544, (((uintptr_t)(_emalloc) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_emalloc) >> 16) & 0xffff) {
		dasm_put(Dst, 72547, (((uintptr_t)(_emalloc) >> 16) & 0xffff));
				if (((uintptr_t)(_emalloc) >> 32) & 0xffff) {
		dasm_put(Dst, 72550, (((uintptr_t)(_emalloc) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 72553, (((uintptr_t)(_emalloc) >> 32) & 0xffff));
			}
		dasm_put(Dst, 72556);
			}
		dasm_put(Dst, 72558);
		#endif
		#endif
#line 9860 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov TMP1w, #2
		//|	str TMP1w, [REG0]
		dasm_put(Dst, 72560);
			ZEND_ASSERT(GC_REFERENCE <= MOVZ_IMM);
#line 9863 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	movz TMP1w, #GC_REFERENCE
		//|	str TMP1w, [REG0, #offsetof(zend_reference, gc.u.type_info)]
		//|	str xzr, [REG0, #offsetof(zend_reference, sources.ptr)]
		dasm_put(Dst, 72563, GC_REFERENCE, offsetof(zend_reference, gc.u.type_info), offsetof(zend_reference, sources.ptr));
#line 9866 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, offsetof(zend_reference, val));
		if (opline->op1_type == IS_VAR) {
			zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG1, 0);

			//|	ldr REG1, T1  // restore
			//|	ZVAL_COPY_VALUE ref_addr, MAY_BE_ANY, val_addr, op1_info, ZREG_REG2, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			dasm_put(Dst, 72570);
				if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(val_addr) == IS_REG) {
							if (Z_MODE(ref_addr) != IS_REG || Z_REG(ref_addr) != Z_REG(val_addr)) {
				if (Z_MODE(ref_addr) == IS_REG) {
			dasm_put(Dst, 72572, (Z_REG(ref_addr)), (Z_REG(val_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72576, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 72580, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72584, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72588, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 72592, (Z_REG(val_addr)), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 72597, (Z_REG(val_addr)), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				}
							}
						} else if (Z_MODE(ref_addr) == IS_REG) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 72602, (Z_REG(ref_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 72605, (Z_REG(ref_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 72608, (Z_REG(ref_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 72612, (Z_REG(ref_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 72616, (Z_REG(ref_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 72620, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 72624, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 72628, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 72632, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 72636, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 72640, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 72644, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 72648, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72652, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72656, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 72660, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72664, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72668, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 72672, (Z_REG(ref_addr)), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 72677, (Z_REG(ref_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (Z_REG(ref_addr) != Z_REG(val_addr)) {
			dasm_put(Dst, 72682, (Z_REG(ref_addr)), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 72686, (ZREG_X10));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 72689, (ZREG_X10));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 72692, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 72696, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 72700, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 72704, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 72708, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 72712, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 72716, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 72720, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 72724, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 72728, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 72732, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72736, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72740, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 72744, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72748, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72752, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 72756, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 72761, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (ZREG_X10 != Z_REG(val_addr)) {
			dasm_put(Dst, 72766, (ZREG_X10), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(ref_addr) == IS_REG) {
			dasm_put(Dst, 72770, (Z_REG(ref_addr)), (ZREG_X10));
				} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72774, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 72778, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72782, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72786, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 72790, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 72795, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				}
						}
					} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(val_addr) == IS_REG) {
				if (Z_MODE(ref_addr) == IS_REG) {
					if (Z_REG(val_addr) != Z_REG(ref_addr)) {
			dasm_put(Dst, 72800, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72804, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 72808, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72812, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72816, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 72820, (Z_REG(val_addr)-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 72825, (Z_REG(val_addr)-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				}
						} else if (Z_MODE(ref_addr) == IS_REG) {
				if (Z_MODE(val_addr) != IS_REG || Z_REG(ref_addr) != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 72830, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(ref_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 72837, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(ref_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 72845, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72848, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 72852, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 72856, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 72860, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 72865, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 72869, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 72873, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 72877, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 72881, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72885, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 72889, (Z_REG(ref_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72893, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 72897, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72901, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72905, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 72909, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 72914, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 72919, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 72923, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 72930, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 72938, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72941, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 72945, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 72949, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 72953, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 72958, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 72962, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 72966, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 72970, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 72974, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72978, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 72982, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 72986, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 72990, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 72994, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 72998, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73002, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73007, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 73012, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(ref_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(ref_addr)) {
			dasm_put(Dst, 73016, (Z_REG(ref_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73020, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 73024, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73028, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73032, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73036, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73041, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73046, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 73050, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73054, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73058, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73062, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73067, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73072, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 73076, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73080, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73084, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73088, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73093, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
					}
				}
				if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(op1_info & MAY_BE_GUARD) &&
					has_concrete_type(op1_info & MAY_BE_ANY)) {
					if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(op1_info);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 73098, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 73102, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 73106, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73110, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 73114, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 73118, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73122, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73126, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73130, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 73135, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 73140, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 73144, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73148, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73152, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73156, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73161, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 73166, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 73170, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73174, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73178, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73182, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73187, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 9872 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_PTR val_addr, REG0, TMP1
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73192, ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 73195, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73198, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73201, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73204, (Z_REG(val_addr)));
				} else {
			dasm_put(Dst, 73207, (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
#line 9873 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO val_addr, IS_REFERENCE_EX, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_REFERENCE_EX)) <= MOVZ_IMM) {
			dasm_put(Dst, 73211, ((uint32_t)(IS_REFERENCE_EX)));
				} else if (((uint32_t)(IS_REFERENCE_EX) & 0xffff)) {
			dasm_put(Dst, 73214, ((uint32_t)(IS_REFERENCE_EX) & 0xffff));
					if ((((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff)) {
			dasm_put(Dst, 73217, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73220, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 73223, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 73226, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73229, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73232, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73235, (Z_REG(val_addr)));
				} else {
			dasm_put(Dst, 73238, (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
				}
#line 9874 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	ZVAL_COPY_VALUE ref_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG1, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(op1_addr) == IS_REG) {
							if (Z_MODE(ref_addr) != IS_REG || Z_REG(ref_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(ref_addr) == IS_REG) {
			dasm_put(Dst, 73242, (Z_REG(ref_addr)), (Z_REG(op1_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73246, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 73250, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73254, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73258, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73262, (Z_REG(op1_addr)), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73267, (Z_REG(op1_addr)), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				}
							}
						} else if (Z_MODE(ref_addr) == IS_REG) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 73272, (Z_REG(ref_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 73275, (Z_REG(ref_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 73278, (Z_REG(ref_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 73282, (Z_REG(ref_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 73286, (Z_REG(ref_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 73290, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 73294, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 73298, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 73302, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 73306, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 73310, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 73314, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 73318, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73322, (Z_REG(ref_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73326, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 73330, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73334, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73338, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73342, (Z_REG(ref_addr)), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73347, (Z_REG(ref_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (Z_REG(ref_addr) != Z_REG(op1_addr)) {
			dasm_put(Dst, 73352, (Z_REG(ref_addr)), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 73356, (ZREG_X10));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 73359, (ZREG_X10));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 73362, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 73366, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 73370, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 73374, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 73378, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 73382, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 73386, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 73390, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 73394, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 73398, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 73402, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73406, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73410, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 73414, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73418, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73422, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73426, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73431, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (ZREG_X10 != Z_REG(op1_addr)) {
			dasm_put(Dst, 73436, (ZREG_X10), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(ref_addr) == IS_REG) {
			dasm_put(Dst, 73440, (Z_REG(ref_addr)), (ZREG_X10));
				} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73444, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 73448, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73452, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73456, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73460, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73465, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				}
						}
					} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_MODE(ref_addr) == IS_REG) {
					if (Z_REG(op1_addr) != Z_REG(ref_addr)) {
			dasm_put(Dst, 73470, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73474, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 73478, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73482, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73486, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73490, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73495, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				}
						} else if (Z_MODE(ref_addr) == IS_REG) {
				if (Z_MODE(op1_addr) != IS_REG || Z_REG(ref_addr) != Z_REG(op1_addr)) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 73500, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(ref_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 73507, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(ref_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 73515, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73518, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 73522, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 73526, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 73530, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 73535, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 73539, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 73543, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 73547, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 73551, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73555, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 73559, (Z_REG(ref_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73563, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 73567, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73571, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73575, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73579, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73584, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
					} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 73589, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 73593, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 73600, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 73608, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73611, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 73615, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 73619, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 73623, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 73628, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 73632, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 73636, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 73640, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 73644, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73648, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 73652, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73656, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 73660, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73664, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73668, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73672, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73677, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
					} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 73682, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(ref_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(ref_addr)) {
			dasm_put(Dst, 73686, (Z_REG(ref_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73690, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 73694, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73698, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73702, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73706, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73711, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73716, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 73720, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73724, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73728, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73732, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73737, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73742, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 73746, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73750, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73754, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73758, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73763, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
					}
				}
				if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(op1_info & MAY_BE_GUARD) &&
					has_concrete_type(op1_info & MAY_BE_ANY)) {
					if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
						if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(op1_info);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 73768, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 73772, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 73776, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73780, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 73784, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 73788, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73792, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73796, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73800, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 73805, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 73810, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 73814, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73818, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73822, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73826, (ZREG_X9), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73831, (ZREG_X9), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 73836, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 73840, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73844, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73848, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73852, (ZREG_X9), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 73857, (ZREG_X9), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 9876 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_PTR op1_addr, REG0, TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 73862, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 73865, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73868, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73871, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73874, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 73877, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 9877 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO op1_addr, IS_REFERENCE_EX, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_REFERENCE_EX)) <= MOVZ_IMM) {
			dasm_put(Dst, 73881, ((uint32_t)(IS_REFERENCE_EX)));
				} else if (((uint32_t)(IS_REFERENCE_EX) & 0xffff)) {
			dasm_put(Dst, 73884, ((uint32_t)(IS_REFERENCE_EX) & 0xffff));
					if ((((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff)) {
			dasm_put(Dst, 73887, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73890, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 73893, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 73896, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 73899, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 73902, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 73905, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 73908, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
				}
#line 9878 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_ZVAL_PTR arg_addr, REG0, TMP1
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 73912, ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 73915, ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 73918, (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 73921, (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 73924, (Z_REG(arg_addr)));
			} else {
		dasm_put(Dst, 73927, (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
#line 9880 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO arg_addr, IS_REFERENCE_EX, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_REFERENCE_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 73931, ((uint32_t)(IS_REFERENCE_EX)));
			} else if (((uint32_t)(IS_REFERENCE_EX) & 0xffff)) {
		dasm_put(Dst, 73934, ((uint32_t)(IS_REFERENCE_EX) & 0xffff));
				if ((((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 73937, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 73940, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 73943, ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 73946, ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 73949, (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 73952, (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 73955, (Z_REG(arg_addr)));
			} else {
		dasm_put(Dst, 73958, (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
			}
#line 9881 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|6:
	//|	FREE_OP opline->op1_type, opline->op1, op1_info, !cold, opline, ZREG_TMP1, ZREG_TMP2
	dasm_put(Dst, 73962);
		if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
			zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
		if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (!cold) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 73964, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 73968, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 73972, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 73976, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 73980, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 73985, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 73990, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 73993, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 73997, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 74001, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 74005, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74009, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 74013, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 74017);
	dasm_put(Dst, 74020);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 74022, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 74026, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 74030, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74034, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 74038, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 74043, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 74048, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 74051, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 74055, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 74059, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 74063, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74067, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 74071, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 74075);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 74078, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 74082, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 74086, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74090, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 74094, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 74098, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 74102, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 74110);
					} else {
	dasm_put(Dst, 74113);
					}
				}
		do {
			if (!((op1_info) & MAY_BE_GUARD)
			 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 74116, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 74119, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 74122, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 74126, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 74130, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 74134, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 74139, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 74143, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 74147, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 74151, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 74155, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74159, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 74163, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 74166, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 74169, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 74172, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 74176, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 74180, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 74184, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 74189, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 74193, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 74197, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 74201, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 74205, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74209, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 74213, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 74217, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 74220, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 74223, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 74227, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 74231, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 74235, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 74240, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 74244, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 74248, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 74252, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 74256, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74260, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 74264, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 74267, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 74270, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 74273, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 74277, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 74281, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 74285, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 74290, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 74294, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 74298, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 74302, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 74306, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74310, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 74314, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 74317, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 74320);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 74322, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 74325, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 74328, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 74331, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 74334, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 74337, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 74340, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 74343, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 74346, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74349, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 74352, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 74355, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 74358, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 74361, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 74365, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 74369, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 74373, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 74378, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 74382, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 74386, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 74390, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 74394, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74398, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 74402, (ZREG_X15));
		}
					break;
				}
			}
			if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 74405, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 74408, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 74411, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 74415, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 74419, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 74423, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 74428, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 74432, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 74436, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 74440, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 74444, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74448, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 74452, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 74456, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 74459, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 74462, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 74466, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 74470, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 74474, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 74479, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 74483, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 74487, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 74491, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 74495, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74499, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 74503, (ZREG_X15));
		}
		} while(0);
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 74506);
				}
	dasm_put(Dst, 74509);
			}
			if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 74511, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 74515, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 74519, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74523, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 74527, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 74532, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 74537, (ZREG_X15));
		} else {
	dasm_put(Dst, 74541, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 74547, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 74551, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 74555, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74559, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 74563, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 74568, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 74573, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 74576, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 74580, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 74584, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 74588, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74592, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 74596, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 74600);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 74603, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 74607, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 74611, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74615, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 74619, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 74623, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 74627);
				}
	dasm_put(Dst, 74629, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 74632, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 74635, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 74639, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 74643, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 74647, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74651, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 74655, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 74659);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 74662, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 74665, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 74668, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 74672, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 74676, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 74680, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 74685, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 74689, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 74693, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 74697, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 74701, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 74705, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 74709, (ZREG_X15));
		}
			}
			if (!cold && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 74712);
			}
	dasm_put(Dst, 74715);
		}
		}
#line 9885 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|7:
	dasm_put(Dst, 74717);
#line 9886 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_send_var(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, uint32_t op1_info, zend_jit_addr op1_addr, zend_jit_addr op1_def_addr)
{
	uint32_t arg_num = opline->op2.num;
	zend_jit_addr arg_addr;

	ZEND_ASSERT((opline->opcode != ZEND_SEND_VAR_EX &&
	     opline->opcode != ZEND_SEND_VAR_NO_REF_EX) ||
	    arg_num <= MAX_ARG_FLAG_NUM);

	arg_addr = ZEND_ADDR_MEM_ZVAL(ZREG_RX, opline->result.var);

	if (!zend_jit_reuse_ip(Dst)) {
		return 0;
	}

	if (opline->opcode == ZEND_SEND_VAR_EX) {
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
		 && JIT_G(current_frame)
		 && JIT_G(current_frame)->call
		 && JIT_G(current_frame)->call->func) {
			if (ARG_SHOULD_BE_SENT_BY_REF(JIT_G(current_frame)->call->func, arg_num)) {
				if (!zend_jit_send_ref(Dst, opline, op_array, op1_info, 0)) {
					return 0;
				}
				return 1;
			}
		} else {
			uint32_t mask = (ZEND_SEND_BY_REF|ZEND_SEND_PREFER_REF) << ((arg_num + 3) * 2);

			//|	ldr REG0, EX:RX->func
			//|	ldr TMP1w, [REG0, #offsetof(zend_function, quick_arg_flags)]
			//|	TST_32_WITH_CONST TMP1w, mask, TMP2w
			dasm_put(Dst, 74719, Dt1(->func), offsetof(zend_function, quick_arg_flags));
				if (mask == 0) {
			dasm_put(Dst, 74724);
				} else if (logical_immediate_p((uint32_t)mask, 32)) {
			dasm_put(Dst, 74726, mask);
				} else {
				if (((uint32_t)(mask)) <= MOVZ_IMM) {
			dasm_put(Dst, 74729, ((uint32_t)(mask)));
				} else if (((uint32_t)(mask) & 0xffff)) {
			dasm_put(Dst, 74732, ((uint32_t)(mask) & 0xffff));
					if ((((uint32_t)(mask) >> 16) & 0xffff)) {
			dasm_put(Dst, 74735, (((uint32_t)(mask) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 74738, (((uint32_t)(mask) >> 16) & 0xffff));
				}
			dasm_put(Dst, 74741);
				}
#line 9922 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne >1
			//|.cold_code
			dasm_put(Dst, 74743);
#line 9924 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 74746);
#line 9925 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!zend_jit_send_ref(Dst, opline, op_array, op1_info, 1)) {
				return 0;
			}
			//|	b >7
			//|.code
			dasm_put(Dst, 74748);
#line 9930 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (opline->opcode == ZEND_SEND_VAR_NO_REF_EX) {
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
		 && JIT_G(current_frame)
		 && JIT_G(current_frame)->call
		 && JIT_G(current_frame)->call->func) {
			if (ARG_SHOULD_BE_SENT_BY_REF(JIT_G(current_frame)->call->func, arg_num)) {

				//|	ZVAL_COPY_VALUE arg_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG1, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
					if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
						if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
							if (Z_MODE(op1_addr) == IS_REG) {
								if (Z_MODE(arg_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
					if (Z_MODE(arg_addr) == IS_REG) {
				dasm_put(Dst, 74751, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 74755, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 74759, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 74763, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 74767, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 74771, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 74776, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
								}
							} else if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 74781, (Z_REG(arg_addr)));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 74784, (Z_REG(arg_addr)));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 74787, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 74791, (Z_REG(arg_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 74795, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 74799, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 74803, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 74807, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 74811, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 74815, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 74819, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 74823, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 74827, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 74831, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 74835, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 74839, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 74843, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 74847, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 74851, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 74856, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_REG(arg_addr) != Z_REG(op1_addr)) {
				dasm_put(Dst, 74861, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
							} else {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 74865, (ZREG_X10));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 74868, (ZREG_X10));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 74871, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 74875, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 74879, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 74883, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 74887, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 74891, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 74895, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 74899, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 74903, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 74907, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 74911, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 74915, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 74919, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 74923, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 74927, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 74931, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 74935, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 74940, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (ZREG_X10 != Z_REG(op1_addr)) {
				dasm_put(Dst, 74945, (ZREG_X10), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
					if (Z_MODE(arg_addr) == IS_REG) {
				dasm_put(Dst, 74949, (Z_REG(arg_addr)), (ZREG_X10));
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 74953, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 74957, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 74961, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 74965, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 74969, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 74974, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							}
						} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
							if (Z_MODE(op1_addr) == IS_REG) {
					if (Z_MODE(arg_addr) == IS_REG) {
						if (Z_REG(op1_addr) != Z_REG(arg_addr)) {
				dasm_put(Dst, 74979, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 74983, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 74987, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 74991, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 74995, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 74999, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75004, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							} else if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_MODE(op1_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 75009, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 75016, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 75024, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 75027, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 75031, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 75035, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 75039, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 75044, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 75048, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 75052, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 75056, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 75060, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75064, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 75068, (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 75072, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 75076, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75080, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75084, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75088, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75093, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
						} else if (Z_MODE(op1_addr) == IS_REG) {
				dasm_put(Dst, 75098, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
							} else {
					if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 75102, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 75109, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 75117, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 75120, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 75124, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 75128, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 75132, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 75137, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 75141, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 75145, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 75149, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 75153, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75157, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 75161, (ZREG_V0-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 75165, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 75169, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75173, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75177, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75181, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75186, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
						} else if (Z_MODE(op1_addr) == IS_REG) {
				dasm_put(Dst, 75191, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
					if (Z_MODE(arg_addr) == IS_REG) {
						if (ZREG_V0 != Z_REG(arg_addr)) {
				dasm_put(Dst, 75195, (Z_REG(arg_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 75199, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 75203, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75207, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75211, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75215, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75220, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							}
						// Combine the following two branches.
						// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
						} else {
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 75225, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 75229, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75233, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75237, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75241, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75246, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 75251, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 75255, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75259, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75263, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75267, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75272, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
						}
					}
					if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
						!(op1_info & MAY_BE_GUARD) &&
						has_concrete_type(op1_info & MAY_BE_ANY)) {
						if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
							if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
								uint32_t type = concrete_type(op1_info);
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(type)) <= MOVZ_IMM) {
				dasm_put(Dst, 75277, (ZREG_X15), ((uint32_t)(type)));
					} else if (((uint32_t)(type) & 0xffff)) {
				dasm_put(Dst, 75281, (ZREG_X15), ((uint32_t)(type) & 0xffff));
						if ((((uint32_t)(type) >> 16) & 0xffff)) {
				dasm_put(Dst, 75285, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75289, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 75293, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 75297, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75301, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75305, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75309, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 75314, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
					}
							}
						}
					} else {
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 75319, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 75323, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75327, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75331, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75335, (ZREG_X9), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75340, (ZREG_X9), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
					}
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 75345, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 75349, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 75353, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 75357, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 75361, (ZREG_X9), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 75366, (ZREG_X9), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
					}
					}
#line 9939 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

				if (!ARG_MAY_BE_SENT_BY_REF(JIT_G(current_frame)->call->func, arg_num)) {
					if (!(op1_info & MAY_BE_REF)) {
						/* Don't generate code that always throws exception */
						return 0;
					} else {
						int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
						const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);
						if (!exit_addr) {
							return 0;
						}
						//|	GET_LOW_8BITS TMP1w, REG1w
						//|	cmp TMP1w, #IS_REFERENCE
						//|	bne &exit_addr
						dasm_put(Dst, 75371, IS_REFERENCE, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 9953 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				return 1;
			}
		} else {
			uint32_t mask = (ZEND_SEND_BY_REF|ZEND_SEND_PREFER_REF) << ((arg_num + 3) * 2);

			//|	ldr REG0, EX:RX->func
			//|	ldr TMP1w, [REG0, #offsetof(zend_function, quick_arg_flags)]
			//|	TST_32_WITH_CONST TMP1w, mask, TMP2w
			dasm_put(Dst, 75377, Dt1(->func), offsetof(zend_function, quick_arg_flags));
				if (mask == 0) {
			dasm_put(Dst, 75382);
				} else if (logical_immediate_p((uint32_t)mask, 32)) {
			dasm_put(Dst, 75384, mask);
				} else {
				if (((uint32_t)(mask)) <= MOVZ_IMM) {
			dasm_put(Dst, 75387, ((uint32_t)(mask)));
				} else if (((uint32_t)(mask) & 0xffff)) {
			dasm_put(Dst, 75390, ((uint32_t)(mask) & 0xffff));
					if ((((uint32_t)(mask) >> 16) & 0xffff)) {
			dasm_put(Dst, 75393, (((uint32_t)(mask) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75396, (((uint32_t)(mask) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75399);
				}
#line 9963 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne >1
			//|.cold_code
			dasm_put(Dst, 75401);
#line 9965 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 75404);
#line 9966 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

			mask = ZEND_SEND_PREFER_REF << ((arg_num + 3) * 2);

			//|	ZVAL_COPY_VALUE arg_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG1, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(op1_addr) == IS_REG) {
							if (Z_MODE(arg_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(arg_addr) == IS_REG) {
			dasm_put(Dst, 75406, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 75410, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 75414, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 75418, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75422, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75426, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 75431, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
				}
							}
						} else if (Z_MODE(arg_addr) == IS_REG) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 75436, (Z_REG(arg_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 75439, (Z_REG(arg_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 75442, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 75446, (Z_REG(arg_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 75450, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 75454, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 75458, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 75462, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 75466, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 75470, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 75474, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 75478, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 75482, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75486, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 75490, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 75494, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 75498, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75502, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75506, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 75511, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (Z_REG(arg_addr) != Z_REG(op1_addr)) {
			dasm_put(Dst, 75516, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 75520, (ZREG_X10));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 75523, (ZREG_X10));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 75526, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 75530, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 75534, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 75538, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 75542, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 75546, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 75550, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 75554, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 75558, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 75562, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 75566, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75570, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 75574, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 75578, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 75582, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75586, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75590, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 75595, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (ZREG_X10 != Z_REG(op1_addr)) {
			dasm_put(Dst, 75600, (ZREG_X10), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(arg_addr) == IS_REG) {
			dasm_put(Dst, 75604, (Z_REG(arg_addr)), (ZREG_X10));
				} else {
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 75608, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 75612, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 75616, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75620, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75624, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 75629, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
				}
						}
					} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_REG(op1_addr) != Z_REG(arg_addr)) {
			dasm_put(Dst, 75634, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 75638, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 75642, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 75646, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75650, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75654, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 75659, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
				}
						} else if (Z_MODE(arg_addr) == IS_REG) {
				if (Z_MODE(op1_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 75664, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 75671, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 75679, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 75682, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 75686, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 75690, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 75694, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 75699, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 75703, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 75707, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 75711, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 75715, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75719, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 75723, (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 75727, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 75731, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 75735, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75739, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75743, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 75748, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
					} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 75753, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 75757, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 75764, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 75772, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 75775, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 75779, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 75783, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 75787, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 75792, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 75796, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 75800, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 75804, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 75808, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75812, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 75816, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 75820, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 75824, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 75828, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75832, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75836, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 75841, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
					} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 75846, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(arg_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(arg_addr)) {
			dasm_put(Dst, 75850, (Z_REG(arg_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 75854, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 75858, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 75862, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75866, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75870, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 75875, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 75880, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 75884, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 75888, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75892, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75896, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 75901, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 75906, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 75910, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 75914, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75918, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75922, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 75927, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
					}
				}
				if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(op1_info & MAY_BE_GUARD) &&
					has_concrete_type(op1_info & MAY_BE_ANY)) {
					if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
						if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(op1_info);
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 75932, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 75936, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 75940, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75944, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 75948, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 75952, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 75956, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75960, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75964, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 75969, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 75974, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 75978, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 75982, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 75986, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 75990, (ZREG_X9), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 75995, (ZREG_X9), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 76000, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 76004, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 76008, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 76012, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 76016, (ZREG_X9), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 76021, (ZREG_X9), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 9970 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op1_info & MAY_BE_REF) {
				//|	GET_LOW_8BITS TMP1w, REG1w
				//|	cmp TMP1w, #IS_REFERENCE
				//|	beq >7
				dasm_put(Dst, 76026, IS_REFERENCE);
#line 9974 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	ldr TMP1w, [REG0, #offsetof(zend_function, quick_arg_flags)]
			//|	TST_32_WITH_CONST TMP1w, mask, TMP2w
			dasm_put(Dst, 76032, offsetof(zend_function, quick_arg_flags));
				if (mask == 0) {
			dasm_put(Dst, 76035);
				} else if (logical_immediate_p((uint32_t)mask, 32)) {
			dasm_put(Dst, 76037, mask);
				} else {
				if (((uint32_t)(mask)) <= MOVZ_IMM) {
			dasm_put(Dst, 76040, ((uint32_t)(mask)));
				} else if (((uint32_t)(mask) & 0xffff)) {
			dasm_put(Dst, 76043, ((uint32_t)(mask) & 0xffff));
					if ((((uint32_t)(mask) >> 16) & 0xffff)) {
			dasm_put(Dst, 76046, (((uint32_t)(mask) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 76049, (((uint32_t)(mask) >> 16) & 0xffff));
				}
			dasm_put(Dst, 76052);
				}
#line 9977 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne >7
			dasm_put(Dst, 76054);
#line 9978 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);
				if (!exit_addr) {
					return 0;
				}
				//|	b &exit_addr
				dasm_put(Dst, 76057, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 9985 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 76060, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 76063);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 76065, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 76068, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 76071, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 76074, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 76077, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 76080, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 76083, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 76086, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 76089, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 76092, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 76095, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 9987 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	LOAD_ZVAL_ADDR FCARG1x, arg_addr
					if (Z_MODE(arg_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(arg_addr))) == 0) {
				dasm_put(Dst, 76098);
					} else if (((uintptr_t)(Z_ZV(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 76100, ((uint64_t)(Z_ZV(arg_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(arg_addr)))) {
				dasm_put(Dst, 76103, (unsigned int)((ptrdiff_t)(Z_ZV(arg_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(arg_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(arg_addr)))) {
				dasm_put(Dst, 76106, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(arg_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(arg_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(arg_addr))) & 0xfff) {
				dasm_put(Dst, 76109, (((uintptr_t)(Z_ZV(arg_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(arg_addr)) & 0xffff) {
				dasm_put(Dst, 76112, ((uintptr_t)(Z_ZV(arg_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(arg_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 76115, (((uintptr_t)(Z_ZV(arg_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 76118, (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(arg_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 76121, (((uintptr_t)(Z_ZV(arg_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 76124, (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 76127, (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(arg_addr)) {
					if (Z_OFFSET(arg_addr) == 0) {
				dasm_put(Dst, 76130, (Z_REG(arg_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(arg_addr)))) {
				dasm_put(Dst, 76133, (Z_REG(arg_addr)), Z_OFFSET(arg_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 76137, ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 76140, ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 76143, (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 76146, (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 76149, (Z_REG(arg_addr)));
					}
						} else {
							if (Z_REG(arg_addr) == ZREG_RSP) {
				dasm_put(Dst, 76152);
							} else {
				dasm_put(Dst, 76154, (Z_REG(arg_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 9988 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_only_vars_by_reference, REG0
					if (arm64_may_use_b(zend_jit_only_vars_by_reference)) {
				dasm_put(Dst, 76157, (unsigned int)((ptrdiff_t)(zend_jit_only_vars_by_reference)), (unsigned int)(((ptrdiff_t)(zend_jit_only_vars_by_reference))>>32));
					} else {
					if (((uintptr_t)(zend_jit_only_vars_by_reference)) == 0) {
				dasm_put(Dst, 76160);
					} else if (((uintptr_t)(zend_jit_only_vars_by_reference)) <= MOVZ_IMM) {
				dasm_put(Dst, 76162, ((uint64_t)(zend_jit_only_vars_by_reference)));
					} else if (arm64_may_use_adr((void*)(zend_jit_only_vars_by_reference))) {
				dasm_put(Dst, 76165, (unsigned int)((ptrdiff_t)(zend_jit_only_vars_by_reference)), (unsigned int)(((ptrdiff_t)(zend_jit_only_vars_by_reference))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_only_vars_by_reference))) {
				dasm_put(Dst, 76168, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_only_vars_by_reference))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_only_vars_by_reference)))))>>32));
						if (((uintptr_t)(zend_jit_only_vars_by_reference)) & 0xfff) {
				dasm_put(Dst, 76171, (((uintptr_t)(zend_jit_only_vars_by_reference)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_only_vars_by_reference) & 0xffff) {
				dasm_put(Dst, 76174, ((uintptr_t)(zend_jit_only_vars_by_reference) & 0xffff));
						if (((uintptr_t)(zend_jit_only_vars_by_reference) >> 16) & 0xffff) {
				dasm_put(Dst, 76177, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff) {
				dasm_put(Dst, 76180, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_only_vars_by_reference) >> 16) & 0xffff) {
				dasm_put(Dst, 76183, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff) {
				dasm_put(Dst, 76186, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 76189, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff));
					}
				dasm_put(Dst, 76192);
					}
#line 9989 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (!zend_jit_check_exception(Dst)) {
					return 0;
				}
				//|	b >7
				dasm_put(Dst, 76194);
#line 9993 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}

			//|.code
			dasm_put(Dst, 76197);
#line 9996 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (opline->opcode == ZEND_SEND_FUNC_ARG) {
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
		 && JIT_G(current_frame)
		 && JIT_G(current_frame)->call
		 && JIT_G(current_frame)->call->func) {
			if (ARG_SHOULD_BE_SENT_BY_REF(JIT_G(current_frame)->call->func, arg_num)) {
				if (!zend_jit_send_ref(Dst, opline, op_array, op1_info, 0)) {
					return 0;
				}
				return 1;
			}
		} else {
			//|	ldr TMP1w, [RX, #offsetof(zend_execute_data, This.u1.type_info)]
			//|	TST_32_WITH_CONST TMP1w, ZEND_CALL_SEND_ARG_BY_REF, TMP2w
			dasm_put(Dst, 76198, offsetof(zend_execute_data, This.u1.type_info));
				if (ZEND_CALL_SEND_ARG_BY_REF == 0) {
			dasm_put(Dst, 76201);
				} else if (logical_immediate_p((uint32_t)ZEND_CALL_SEND_ARG_BY_REF, 32)) {
			dasm_put(Dst, 76203, ZEND_CALL_SEND_ARG_BY_REF);
				} else {
				if (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF)) <= MOVZ_IMM) {
			dasm_put(Dst, 76206, ((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF)));
				} else if (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) & 0xffff)) {
			dasm_put(Dst, 76209, ((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) & 0xffff));
					if ((((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff)) {
			dasm_put(Dst, 76212, (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 76215, (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff));
				}
			dasm_put(Dst, 76218);
				}
#line 10011 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne >1
			//|.cold_code
			dasm_put(Dst, 76220);
#line 10013 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 76223);
#line 10014 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!zend_jit_send_ref(Dst, opline, op_array, op1_info, 1)) {
				return 0;
			}
			//|	b >7
			//|.code
			dasm_put(Dst, 76225);
#line 10019 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (op1_info & MAY_BE_UNDEF) {
		if (op1_info & (MAY_BE_ANY|MAY_BE_REF)) {
			//|	IF_ZVAL_TYPE op1_addr, IS_UNDEF, >1, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 76228, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 76232, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 76236, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 76240, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 76244, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 76249, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 76254, (ZREG_X15));
				} else {
			dasm_put(Dst, 76258, (ZREG_X15), IS_UNDEF);
				}
#line 10025 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|.cold_code
			dasm_put(Dst, 76264);
#line 10026 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 76265);
#line 10027 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 76267, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 76270);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 76272, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 76275, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 76278, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 76281, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 76284, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 76287, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 76290, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 76293, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 76296, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76299, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 76302, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 10030 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
			if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
		dasm_put(Dst, 76305, ((uint32_t)(opline->op1.var)));
			} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
		dasm_put(Dst, 76308, ((uint32_t)(opline->op1.var) & 0xffff));
				if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
		dasm_put(Dst, 76311, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76314, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
			}
#line 10031 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_undefined_op_helper, REG0
			if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
		dasm_put(Dst, 76317, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
		dasm_put(Dst, 76320);
			} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 76322, ((uint64_t)(zend_jit_undefined_op_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 76325, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 76328, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
				if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
		dasm_put(Dst, 76331, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
		dasm_put(Dst, 76334, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 76337, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 76340, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 76343, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 76346, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76349, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 76352);
			}
#line 10032 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO arg_addr, IS_NULL, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 76354, ((uint32_t)(IS_NULL)));
			} else if (((uint32_t)(IS_NULL) & 0xffff)) {
		dasm_put(Dst, 76357, ((uint32_t)(IS_NULL) & 0xffff));
				if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
		dasm_put(Dst, 76360, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76363, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 76366, ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 76369, ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76372, (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76375, (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76378, (Z_REG(arg_addr)));
			} else {
		dasm_put(Dst, 76381, (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
			}
#line 10033 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbz RETVALx, ->exception_handler
		dasm_put(Dst, 76385);
#line 10034 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		if (op1_info & (MAY_BE_ANY|MAY_BE_REF)) {
			//|	b >7
			//|.code
			dasm_put(Dst, 76388);
#line 10038 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|7:
			dasm_put(Dst, 76391);
#line 10040 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			return 1;
		}
	}

	if (opline->opcode == ZEND_SEND_VAR_NO_REF) {
		//|	ZVAL_COPY_VALUE arg_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG1, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_MODE(arg_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
			if (Z_MODE(arg_addr) == IS_REG) {
		dasm_put(Dst, 76393, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76397, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 76401, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76405, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76409, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76413, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 76418, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
						}
					} else if (Z_MODE(arg_addr) == IS_REG) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 76423, (Z_REG(arg_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 76426, (Z_REG(arg_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 76429, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 76433, (Z_REG(arg_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 76437, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 76441, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 76445, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 76449, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 76453, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 76457, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 76461, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 76465, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 76469, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76473, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76477, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 76481, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76485, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76489, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76493, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 76498, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_REG(arg_addr) != Z_REG(op1_addr)) {
		dasm_put(Dst, 76503, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 76507, (ZREG_X10));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 76510, (ZREG_X10));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 76513, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 76517, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 76521, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 76525, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 76529, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 76533, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 76537, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 76541, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 76545, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 76549, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 76553, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76557, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76561, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 76565, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76569, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76573, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76577, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 76582, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X10 != Z_REG(op1_addr)) {
		dasm_put(Dst, 76587, (ZREG_X10), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(arg_addr) == IS_REG) {
		dasm_put(Dst, 76591, (Z_REG(arg_addr)), (ZREG_X10));
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76595, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 76599, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76603, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76607, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76611, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 76616, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
					}
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(op1_addr) == IS_REG) {
			if (Z_MODE(arg_addr) == IS_REG) {
				if (Z_REG(op1_addr) != Z_REG(arg_addr)) {
		dasm_put(Dst, 76621, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76625, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 76629, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76633, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76637, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76641, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 76646, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
					} else if (Z_MODE(arg_addr) == IS_REG) {
			if (Z_MODE(op1_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 76651, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 76658, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 76666, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76669, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 76673, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 76677, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 76681, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 76686, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 76690, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 76694, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 76698, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 76702, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76706, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 76710, (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76714, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 76718, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76722, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76726, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76730, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 76735, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 76740, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 76744, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 76751, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 76759, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76762, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 76766, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 76770, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 76774, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 76779, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 76783, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 76787, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 76791, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 76795, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76799, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 76803, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76807, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 76811, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76815, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76819, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76823, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 76828, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 76833, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(arg_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(arg_addr)) {
		dasm_put(Dst, 76837, (Z_REG(arg_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76841, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 76845, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76849, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76853, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76857, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 76862, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76867, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 76871, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76875, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76879, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76883, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 76888, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 76893, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
		dasm_put(Dst, 76897, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76901, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76905, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76909, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 76914, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
			}
				}
			}
			if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(op1_info & MAY_BE_GUARD) &&
				has_concrete_type(op1_info & MAY_BE_ANY)) {
				if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
					if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(op1_info);
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 76919, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 76923, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 76927, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76931, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 76935, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 76939, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76943, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76947, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76951, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 76956, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 76961, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 76965, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76969, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76973, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 76977, (ZREG_X9), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 76982, (ZREG_X9), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 76987, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 76991, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 76995, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 76999, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 77003, (ZREG_X9), (Z_REG(arg_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 77008, (ZREG_X9), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
			}
			}
#line 10046 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & MAY_BE_REF) {
			//|	GET_LOW_8BITS TMP1w, REG1w
			//|	cmp TMP1w, #IS_REFERENCE
			//|	beq >7
			dasm_put(Dst, 77013, IS_REFERENCE);
#line 10050 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
			int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
			const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);
			if (!exit_addr) {
				return 0;
			}
			//|	b &exit_addr
			dasm_put(Dst, 77019, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10058 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 77022, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 77025);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 77027, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 77030, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 77033, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 77036, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 77039, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 77042, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 77045, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 77048, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 77051, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 77054, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 77057, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 10060 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_ZVAL_ADDR FCARG1x, arg_addr
				if (Z_MODE(arg_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(arg_addr))) == 0) {
			dasm_put(Dst, 77060);
				} else if (((uintptr_t)(Z_ZV(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 77062, ((uint64_t)(Z_ZV(arg_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(arg_addr)))) {
			dasm_put(Dst, 77065, (unsigned int)((ptrdiff_t)(Z_ZV(arg_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(arg_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(arg_addr)))) {
			dasm_put(Dst, 77068, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(arg_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(arg_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(arg_addr))) & 0xfff) {
			dasm_put(Dst, 77071, (((uintptr_t)(Z_ZV(arg_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(arg_addr)) & 0xffff) {
			dasm_put(Dst, 77074, ((uintptr_t)(Z_ZV(arg_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(arg_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 77077, (((uintptr_t)(Z_ZV(arg_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 77080, (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(arg_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 77083, (((uintptr_t)(Z_ZV(arg_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 77086, (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 77089, (((uintptr_t)(Z_ZV(arg_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(arg_addr)) {
				if (Z_OFFSET(arg_addr) == 0) {
			dasm_put(Dst, 77092, (Z_REG(arg_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(arg_addr)))) {
			dasm_put(Dst, 77095, (Z_REG(arg_addr)), Z_OFFSET(arg_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 77099, ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 77102, ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 77105, (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 77108, (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 77111, (Z_REG(arg_addr)));
				}
					} else {
						if (Z_REG(arg_addr) == ZREG_RSP) {
			dasm_put(Dst, 77114);
						} else {
			dasm_put(Dst, 77116, (Z_REG(arg_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 10061 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_only_vars_by_reference, REG0
				if (arm64_may_use_b(zend_jit_only_vars_by_reference)) {
			dasm_put(Dst, 77119, (unsigned int)((ptrdiff_t)(zend_jit_only_vars_by_reference)), (unsigned int)(((ptrdiff_t)(zend_jit_only_vars_by_reference))>>32));
				} else {
				if (((uintptr_t)(zend_jit_only_vars_by_reference)) == 0) {
			dasm_put(Dst, 77122);
				} else if (((uintptr_t)(zend_jit_only_vars_by_reference)) <= MOVZ_IMM) {
			dasm_put(Dst, 77124, ((uint64_t)(zend_jit_only_vars_by_reference)));
				} else if (arm64_may_use_adr((void*)(zend_jit_only_vars_by_reference))) {
			dasm_put(Dst, 77127, (unsigned int)((ptrdiff_t)(zend_jit_only_vars_by_reference)), (unsigned int)(((ptrdiff_t)(zend_jit_only_vars_by_reference))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_only_vars_by_reference))) {
			dasm_put(Dst, 77130, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_only_vars_by_reference))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_only_vars_by_reference)))))>>32));
					if (((uintptr_t)(zend_jit_only_vars_by_reference)) & 0xfff) {
			dasm_put(Dst, 77133, (((uintptr_t)(zend_jit_only_vars_by_reference)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_only_vars_by_reference) & 0xffff) {
			dasm_put(Dst, 77136, ((uintptr_t)(zend_jit_only_vars_by_reference) & 0xffff));
					if (((uintptr_t)(zend_jit_only_vars_by_reference) >> 16) & 0xffff) {
			dasm_put(Dst, 77139, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff) {
			dasm_put(Dst, 77142, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_only_vars_by_reference) >> 16) & 0xffff) {
			dasm_put(Dst, 77145, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff) {
			dasm_put(Dst, 77148, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 77151, (((uintptr_t)(zend_jit_only_vars_by_reference) >> 32) & 0xffff));
				}
			dasm_put(Dst, 77154);
				}
#line 10062 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!zend_jit_check_exception(Dst)) {
				return 0;
			}
		}
	} else {
		if (op1_info & MAY_BE_REF) {
			if (opline->op1_type == IS_CV) {
				zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);

				//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 77156);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77158, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 77161, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 77164, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 77167, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 77170, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 77173, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 77176, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 77179, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 77182, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77185, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 77188, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 77191, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77195, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 77198, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77201, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77204, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77207, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 77210);
							} else {
				dasm_put(Dst, 77212, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 10072 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
					if (op1_info & MAY_BE_REF) {
				dasm_put(Dst, 77215, offsetof(zval, u1.v.type));
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 77218);
					} else {
				dasm_put(Dst, 77221, IS_REFERENCE);
					}
				dasm_put(Dst, 77226, offsetof(zend_reference, val));
					}
#line 10073 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	ZVAL_COPY_VALUE arg_addr, MAY_BE_ANY, val_addr, op1_info, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
					if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
						if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
							if (Z_MODE(val_addr) == IS_REG) {
								if (Z_MODE(arg_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(val_addr)) {
					if (Z_MODE(arg_addr) == IS_REG) {
				dasm_put(Dst, 77231, (Z_REG(arg_addr)), (Z_REG(val_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77235, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 77239, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77243, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77247, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77251, (Z_REG(val_addr)), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77256, (Z_REG(val_addr)), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
								}
							} else if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
				dasm_put(Dst, 77261, (Z_REG(arg_addr)));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
				dasm_put(Dst, 77264, (Z_REG(arg_addr)));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 77267, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 77271, (Z_REG(arg_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
				dasm_put(Dst, 77275, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 77279, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 77283, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 77287, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 77291, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 77295, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 77299, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 77303, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 77307, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77311, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77315, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 77319, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77323, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77327, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77331, (Z_REG(arg_addr)), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77336, (Z_REG(arg_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
					} else if (Z_MODE(val_addr) == IS_REG) {
						if (Z_REG(arg_addr) != Z_REG(val_addr)) {
				dasm_put(Dst, 77341, (Z_REG(arg_addr)), (Z_REG(val_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
							} else {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
				dasm_put(Dst, 77345, (ZREG_X10));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
				dasm_put(Dst, 77348, (ZREG_X10));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 77351, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 77355, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
				dasm_put(Dst, 77359, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 77363, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 77367, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 77371, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 77375, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 77379, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 77383, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 77387, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 77391, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77395, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77399, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 77403, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77407, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77411, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77415, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77420, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
					} else if (Z_MODE(val_addr) == IS_REG) {
						if (ZREG_X10 != Z_REG(val_addr)) {
				dasm_put(Dst, 77425, (ZREG_X10), (Z_REG(val_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
					if (Z_MODE(arg_addr) == IS_REG) {
				dasm_put(Dst, 77429, (Z_REG(arg_addr)), (ZREG_X10));
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77433, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 77437, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77441, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77445, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77449, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77454, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							}
						} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
							if (Z_MODE(val_addr) == IS_REG) {
					if (Z_MODE(arg_addr) == IS_REG) {
						if (Z_REG(val_addr) != Z_REG(arg_addr)) {
				dasm_put(Dst, 77459, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77463, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 77467, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77471, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77475, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77479, (Z_REG(val_addr)-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77484, (Z_REG(val_addr)-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							} else if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_MODE(val_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(val_addr)) {
						if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 77489, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 77496, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
				dasm_put(Dst, 77504, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77507, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 77511, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 77515, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
				dasm_put(Dst, 77519, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
				dasm_put(Dst, 77524, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 77528, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 77532, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 77536, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 77540, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77544, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 77548, (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77552, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 77556, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77560, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77564, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77568, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77573, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
						} else if (Z_MODE(val_addr) == IS_REG) {
				dasm_put(Dst, 77578, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
							} else {
					if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
						if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 77582, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 77589, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
				dasm_put(Dst, 77597, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77600, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 77604, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 77608, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
				dasm_put(Dst, 77612, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
				dasm_put(Dst, 77617, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 77621, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 77625, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 77629, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 77633, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77637, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 77641, (ZREG_V0-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77645, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 77649, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77653, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77657, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77661, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77666, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
						} else if (Z_MODE(val_addr) == IS_REG) {
				dasm_put(Dst, 77671, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
					if (Z_MODE(arg_addr) == IS_REG) {
						if (ZREG_V0 != Z_REG(arg_addr)) {
				dasm_put(Dst, 77675, (Z_REG(arg_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77679, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 77683, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77687, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77691, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77695, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77700, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							}
						// Combine the following two branches.
						// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
						} else {
					ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77705, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 77709, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77713, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77717, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77721, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77726, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
					}
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77731, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 77735, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77739, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77743, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77747, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77752, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
						}
					}
					if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
						!(op1_info & MAY_BE_GUARD) &&
						has_concrete_type(op1_info & MAY_BE_ANY)) {
						if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
							if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
								uint32_t type = concrete_type(op1_info);
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(type)) <= MOVZ_IMM) {
				dasm_put(Dst, 77757, (ZREG_X15), ((uint32_t)(type)));
					} else if (((uint32_t)(type) & 0xffff)) {
				dasm_put(Dst, 77761, (ZREG_X15), ((uint32_t)(type) & 0xffff));
						if ((((uint32_t)(type) >> 16) & 0xffff)) {
				dasm_put(Dst, 77765, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77769, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 77773, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 77777, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77781, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77785, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77789, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 77794, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
					}
							}
						}
					} else {
					ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 77799, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 77803, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77807, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77811, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77815, (ZREG_X8), (Z_REG(val_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77820, (ZREG_X8), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
					}
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 77825, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 77829, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77833, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77837, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77841, (ZREG_X8), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77846, (ZREG_X8), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
					}
					}
#line 10074 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	TRY_ADDREF op1_info, REG0w, REG2, TMP1w
					if (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
						if (op1_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 77851);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 77853, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 77856, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 77859, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77862, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77865, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77868);
					}
				dasm_put(Dst, 77870);
						}
				dasm_put(Dst, 77873);
					}
#line 10075 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 8);

				//|	IF_ZVAL_TYPE op1_addr, IS_REFERENCE, >1, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 77878, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 77882, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77886, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77890, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77894, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77899, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 77904, (ZREG_X15));
					} else {
				dasm_put(Dst, 77908, (ZREG_X15), IS_REFERENCE);
					}
#line 10079 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|.cold_code
				dasm_put(Dst, 77914);
#line 10080 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	// zend_refcounted *ref = Z_COUNTED_P(retval_ptr);
				//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
				dasm_put(Dst, 77915);
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77917, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 77920, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77923, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77926, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77929, (Z_REG(op1_addr)));
					} else {
				dasm_put(Dst, 77932, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
#line 10083 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	// ZVAL_COPY_VALUE(return_value, &ref->value);
				//|	ZVAL_COPY_VALUE arg_addr, MAY_BE_ANY, ref_addr, op1_info, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
					if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
						if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
							if (Z_MODE(ref_addr) == IS_REG) {
								if (Z_MODE(arg_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(ref_addr)) {
					if (Z_MODE(arg_addr) == IS_REG) {
				dasm_put(Dst, 77936, (Z_REG(arg_addr)), (Z_REG(ref_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 77940, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 77944, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 77948, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 77952, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 77956, (Z_REG(ref_addr)), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 77961, (Z_REG(ref_addr)), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
								}
							} else if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(ref_addr)) == 0) {
				dasm_put(Dst, 77966, (Z_REG(arg_addr)));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) == 0) {
				dasm_put(Dst, 77969, (Z_REG(arg_addr)));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 77972, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 77976, (Z_REG(arg_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff) {
				dasm_put(Dst, 77980, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 77984, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 77988, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 77992, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 77996, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 78000, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 78004, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 78008, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 78012, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78016, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78020, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 78024, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78028, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78032, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78036, (Z_REG(arg_addr)), (Z_REG(ref_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78041, (Z_REG(arg_addr)), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
					} else if (Z_MODE(ref_addr) == IS_REG) {
						if (Z_REG(arg_addr) != Z_REG(ref_addr)) {
				dasm_put(Dst, 78046, (Z_REG(arg_addr)), (Z_REG(ref_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
							} else {
					if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(ref_addr)) == 0) {
				dasm_put(Dst, 78050, (ZREG_X10));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) == 0) {
				dasm_put(Dst, 78053, (ZREG_X10));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 78056, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 78060, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff) {
				dasm_put(Dst, 78064, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 78068, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 78072, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 78076, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 78080, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 78084, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 78088, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 78092, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 78096, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78100, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78104, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 78108, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78112, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78116, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78120, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78125, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
					} else if (Z_MODE(ref_addr) == IS_REG) {
						if (ZREG_X10 != Z_REG(ref_addr)) {
				dasm_put(Dst, 78130, (ZREG_X10), (Z_REG(ref_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
					if (Z_MODE(arg_addr) == IS_REG) {
				dasm_put(Dst, 78134, (Z_REG(arg_addr)), (ZREG_X10));
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78138, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 78142, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78146, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78150, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78154, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78159, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							}
						} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
							if (Z_MODE(ref_addr) == IS_REG) {
					if (Z_MODE(arg_addr) == IS_REG) {
						if (Z_REG(ref_addr) != Z_REG(arg_addr)) {
				dasm_put(Dst, 78164, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78168, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 78172, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78176, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78180, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78184, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78189, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							} else if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_MODE(ref_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(ref_addr)) {
						if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
				dasm_put(Dst, 78194, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
				dasm_put(Dst, 78201, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(ref_addr))) == 0) {
				dasm_put(Dst, 78209, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78212, (ZREG_X15), ((uint64_t)(Z_ZV(ref_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
				dasm_put(Dst, 78216, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
				dasm_put(Dst, 78220, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff) {
				dasm_put(Dst, 78224, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff) {
				dasm_put(Dst, 78229, (ZREG_X15), ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 78233, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 78237, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 78241, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 78245, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78249, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 78253, (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78257, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 78261, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78265, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78269, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78273, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78278, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
						} else if (Z_MODE(ref_addr) == IS_REG) {
				dasm_put(Dst, 78283, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
							} else {
					if (Z_MODE(ref_addr) != IS_REG || ZREG_V0 != Z_REG(ref_addr)) {
						if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
				dasm_put(Dst, 78287, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
				dasm_put(Dst, 78294, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(ref_addr))) == 0) {
				dasm_put(Dst, 78302, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78305, (ZREG_X15), ((uint64_t)(Z_ZV(ref_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
				dasm_put(Dst, 78309, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
				dasm_put(Dst, 78313, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff) {
				dasm_put(Dst, 78317, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff) {
				dasm_put(Dst, 78322, (ZREG_X15), ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 78326, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 78330, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 78334, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 78338, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78342, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 78346, (ZREG_V0-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78350, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 78354, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78358, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78362, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78366, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78371, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
						} else if (Z_MODE(ref_addr) == IS_REG) {
				dasm_put(Dst, 78376, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
					if (Z_MODE(arg_addr) == IS_REG) {
						if (ZREG_V0 != Z_REG(arg_addr)) {
				dasm_put(Dst, 78380, (Z_REG(arg_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78384, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 78388, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78392, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78396, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78400, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78405, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							}
						// Combine the following two branches.
						// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
						} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78410, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
				dasm_put(Dst, 78414, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78418, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78422, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78426, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78431, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
					}
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78436, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 78440, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78444, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78448, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78452, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78457, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
						}
					}
					if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
						!(op1_info & MAY_BE_GUARD) &&
						has_concrete_type(op1_info & MAY_BE_ANY)) {
						if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
							if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
								uint32_t type = concrete_type(op1_info);
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(type)) <= MOVZ_IMM) {
				dasm_put(Dst, 78462, (ZREG_X15), ((uint32_t)(type)));
					} else if (((uint32_t)(type) & 0xffff)) {
				dasm_put(Dst, 78466, (ZREG_X15), ((uint32_t)(type) & 0xffff));
						if ((((uint32_t)(type) >> 16) & 0xffff)) {
				dasm_put(Dst, 78470, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78474, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 78478, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 78482, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78486, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78490, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78494, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 78499, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
					}
							}
						}
					} else {
					ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 78504, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 78508, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78512, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78516, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78520, (ZREG_X8), (Z_REG(ref_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78525, (ZREG_X8), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)));
					}
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 78530, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 78534, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78538, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78542, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78546, (ZREG_X8), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78551, (ZREG_X8), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
					}
					}
#line 10085 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GC_DELREF FCARG1x, TMP1w
				//|	beq >1
				//|	IF_NOT_REFCOUNTED REG0w, >2, TMP1w
				dasm_put(Dst, 78556);
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 78562);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 78564, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 78567, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 78570, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78573, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78576, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78579);
					}
#line 10088 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GC_ADDREF REG2, TMP1w
				//|	b >2
				//|1:
				//|	EFREE_REFERENCE
				dasm_put(Dst, 78581);
				#if ZEND_DEBUG
				dasm_put(Dst, 78590);
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 78595, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 78598);
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 78600, ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 78603, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 78606, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 78609, (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 78612, ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 78615, (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 78618, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 78621, (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 78624, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78627, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 78630);
					}
				#else
				#ifdef HAVE_BUILTIN_CONSTANT_P
					if (arm64_may_use_b(_efree_32)) {
				dasm_put(Dst, 78632, (unsigned int)((ptrdiff_t)(_efree_32)), (unsigned int)(((ptrdiff_t)(_efree_32))>>32));
					} else {
					if (((uintptr_t)(_efree_32)) == 0) {
				dasm_put(Dst, 78635);
					} else if (((uintptr_t)(_efree_32)) <= MOVZ_IMM) {
				dasm_put(Dst, 78637, ((uint64_t)(_efree_32)));
					} else if (arm64_may_use_adr((void*)(_efree_32))) {
				dasm_put(Dst, 78640, (unsigned int)((ptrdiff_t)(_efree_32)), (unsigned int)(((ptrdiff_t)(_efree_32))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree_32))) {
				dasm_put(Dst, 78643, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree_32))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree_32)))))>>32));
						if (((uintptr_t)(_efree_32)) & 0xfff) {
				dasm_put(Dst, 78646, (((uintptr_t)(_efree_32)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree_32) & 0xffff) {
				dasm_put(Dst, 78649, ((uintptr_t)(_efree_32) & 0xffff));
						if (((uintptr_t)(_efree_32) >> 16) & 0xffff) {
				dasm_put(Dst, 78652, (((uintptr_t)(_efree_32) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree_32) >> 32) & 0xffff) {
				dasm_put(Dst, 78655, (((uintptr_t)(_efree_32) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree_32) >> 16) & 0xffff) {
				dasm_put(Dst, 78658, (((uintptr_t)(_efree_32) >> 16) & 0xffff));
						if (((uintptr_t)(_efree_32) >> 32) & 0xffff) {
				dasm_put(Dst, 78661, (((uintptr_t)(_efree_32) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78664, (((uintptr_t)(_efree_32) >> 32) & 0xffff));
					}
				dasm_put(Dst, 78667);
					}
				#else
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 78669, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 78672);
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 78674, ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 78677, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 78680, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 78683, (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 78686, ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 78689, (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 78692, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 78695, (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 78698, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78701, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 78704);
					}
				#endif
				#endif
#line 10092 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b >2
				//|.code
				dasm_put(Dst, 78706);
#line 10094 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	ZVAL_COPY_VALUE arg_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
					if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
						if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
							if (Z_MODE(op1_addr) == IS_REG) {
								if (Z_MODE(arg_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
					if (Z_MODE(arg_addr) == IS_REG) {
				dasm_put(Dst, 78709, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78713, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 78717, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78721, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78725, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78729, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78734, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
								}
							} else if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 78739, (Z_REG(arg_addr)));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 78742, (Z_REG(arg_addr)));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 78745, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 78749, (Z_REG(arg_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 78753, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 78757, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 78761, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 78765, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 78769, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 78773, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 78777, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 78781, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 78785, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78789, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78793, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 78797, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78801, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78805, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78809, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78814, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_REG(arg_addr) != Z_REG(op1_addr)) {
				dasm_put(Dst, 78819, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
							} else {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
				dasm_put(Dst, 78823, (ZREG_X10));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
				dasm_put(Dst, 78826, (ZREG_X10));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 78829, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 78833, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
				dasm_put(Dst, 78837, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 78841, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 78845, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 78849, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 78853, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 78857, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 78861, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 78865, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 78869, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78873, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78877, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 78881, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78885, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78889, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78893, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78898, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					} else if (Z_MODE(op1_addr) == IS_REG) {
						if (ZREG_X10 != Z_REG(op1_addr)) {
				dasm_put(Dst, 78903, (ZREG_X10), (Z_REG(op1_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
					if (Z_MODE(arg_addr) == IS_REG) {
				dasm_put(Dst, 78907, (Z_REG(arg_addr)), (ZREG_X10));
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78911, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 78915, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78919, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78923, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78927, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78932, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							}
						} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
							if (Z_MODE(op1_addr) == IS_REG) {
					if (Z_MODE(arg_addr) == IS_REG) {
						if (Z_REG(op1_addr) != Z_REG(arg_addr)) {
				dasm_put(Dst, 78937, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78941, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 78945, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 78949, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 78953, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 78957, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 78962, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							} else if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_MODE(op1_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 78967, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 78974, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 78982, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 78985, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 78989, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 78993, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 78997, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 79002, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 79006, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 79010, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 79014, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 79018, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79022, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 79026, (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 79030, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 79034, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79038, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79042, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79046, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 79051, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
						} else if (Z_MODE(op1_addr) == IS_REG) {
				dasm_put(Dst, 79056, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
							} else {
					if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 79060, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 79067, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 79075, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 79078, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 79082, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 79086, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 79090, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 79095, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 79099, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 79103, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 79107, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 79111, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79115, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 79119, (ZREG_V0-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 79123, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 79127, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79131, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79135, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79139, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 79144, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
						} else if (Z_MODE(op1_addr) == IS_REG) {
				dasm_put(Dst, 79149, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
					if (Z_MODE(arg_addr) == IS_REG) {
						if (ZREG_V0 != Z_REG(arg_addr)) {
				dasm_put(Dst, 79153, (Z_REG(arg_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 79157, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 79161, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79165, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79169, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79173, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 79178, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
					}
							}
						// Combine the following two branches.
						// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
						} else {
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 79183, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 79187, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79191, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79195, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79199, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 79204, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
					}
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 79209, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
				dasm_put(Dst, 79213, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79217, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79221, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79225, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 79230, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
					}
						}
					}
					if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
						!(op1_info & MAY_BE_GUARD) &&
						has_concrete_type(op1_info & MAY_BE_ANY)) {
						if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
							if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
								uint32_t type = concrete_type(op1_info);
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(type)) <= MOVZ_IMM) {
				dasm_put(Dst, 79235, (ZREG_X15), ((uint32_t)(type)));
					} else if (((uint32_t)(type) & 0xffff)) {
				dasm_put(Dst, 79239, (ZREG_X15), ((uint32_t)(type) & 0xffff));
						if ((((uint32_t)(type) >> 16) & 0xffff)) {
				dasm_put(Dst, 79243, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79247, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 79251, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 79255, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79259, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79263, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79267, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 79272, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
					}
							}
						}
					} else {
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 79277, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 79281, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79285, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79289, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79293, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 79298, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
					}
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 79303, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 79307, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79311, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79315, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79319, (ZREG_X8), (Z_REG(arg_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 79324, (ZREG_X8), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
					}
					}
#line 10095 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|2:
				dasm_put(Dst, 79329);
#line 10096 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (op1_addr != op1_def_addr) {
				if (!zend_jit_update_regs(Dst, opline->op1.var, op1_addr, op1_def_addr, op1_info)) {
					return 0;
				}
				if (Z_MODE(op1_def_addr) == IS_REG && Z_MODE(op1_addr) != IS_REG) {
					op1_addr= op1_def_addr;
				}
			}
			//|	ZVAL_COPY_VALUE arg_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(op1_addr) == IS_REG) {
							if (Z_MODE(arg_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(arg_addr) == IS_REG) {
			dasm_put(Dst, 79331, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79335, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 79339, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79343, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79347, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79351, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 79356, (Z_REG(op1_addr)), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
				}
							}
						} else if (Z_MODE(arg_addr) == IS_REG) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 79361, (Z_REG(arg_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 79364, (Z_REG(arg_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 79367, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 79371, (Z_REG(arg_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 79375, (Z_REG(arg_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 79379, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 79383, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 79387, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 79391, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 79395, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 79399, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 79403, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 79407, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79411, (Z_REG(arg_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79415, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 79419, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79423, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79427, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79431, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 79436, (Z_REG(arg_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (Z_REG(arg_addr) != Z_REG(op1_addr)) {
			dasm_put(Dst, 79441, (Z_REG(arg_addr)), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 79445, (ZREG_X10));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 79448, (ZREG_X10));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 79451, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 79455, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 79459, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 79463, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 79467, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 79471, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 79475, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 79479, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 79483, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 79487, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 79491, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79495, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79499, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 79503, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79507, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79511, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79515, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 79520, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (ZREG_X10 != Z_REG(op1_addr)) {
			dasm_put(Dst, 79525, (ZREG_X10), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(arg_addr) == IS_REG) {
			dasm_put(Dst, 79529, (Z_REG(arg_addr)), (ZREG_X10));
				} else {
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79533, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 79537, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79541, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79545, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79549, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 79554, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
				}
						}
					} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_MODE(arg_addr) == IS_REG) {
					if (Z_REG(op1_addr) != Z_REG(arg_addr)) {
			dasm_put(Dst, 79559, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79563, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 79567, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79571, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79575, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79579, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 79584, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
				}
						} else if (Z_MODE(arg_addr) == IS_REG) {
				if (Z_MODE(op1_addr) != IS_REG || Z_REG(arg_addr) != Z_REG(op1_addr)) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 79589, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 79596, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 79604, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79607, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 79611, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 79615, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 79619, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 79624, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 79628, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 79632, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 79636, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 79640, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79644, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 79648, (Z_REG(arg_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79652, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 79656, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79660, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79664, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79668, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 79673, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
					} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 79678, (Z_REG(arg_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 79682, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 79689, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 79697, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79700, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 79704, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 79708, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 79712, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 79717, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 79721, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 79725, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 79729, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 79733, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79737, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 79741, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79745, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 79749, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79753, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79757, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79761, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 79766, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
					} else if (Z_MODE(op1_addr) == IS_REG) {
			dasm_put(Dst, 79771, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(arg_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(arg_addr)) {
			dasm_put(Dst, 79775, (Z_REG(arg_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79779, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 79783, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79787, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79791, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79795, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 79800, (ZREG_V0-ZREG_V0), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79805, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 79809, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79813, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79817, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79821, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 79826, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(arg_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 79831, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff)) {
			dasm_put(Dst, 79835, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79839, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79843, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79847, (ZREG_X10), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 79852, (ZREG_X10), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)));
				}
					}
				}
				if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(op1_info & MAY_BE_GUARD) &&
					has_concrete_type(op1_info & MAY_BE_ANY)) {
					if (Z_MODE(arg_addr) == IS_MEM_ZVAL) {
						if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(op1_info);
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 79857, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 79861, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 79865, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79869, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 79873, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 79877, (ZREG_X16), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79881, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79885, (ZREG_X16), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79889, (ZREG_X15), (Z_REG(arg_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 79894, (ZREG_X15), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 79899, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 79903, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79907, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79911, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79915, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 79920, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(arg_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 79925, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 79929, (ZREG_X15), ((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 79933, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 79937, (ZREG_X15), (((uint32_t)(Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 79941, (ZREG_X8), (Z_REG(arg_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 79946, (ZREG_X8), (Z_REG(arg_addr)), (Z_OFFSET(arg_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 10107 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->op1_type == IS_CV) {
				//|	TRY_ADDREF op1_info, REG0w, REG2, TMP1w
					if (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
						if (op1_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 79951);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 79953, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 79956, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 79959, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 79962, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79965, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 79968);
					}
				dasm_put(Dst, 79970);
						}
				dasm_put(Dst, 79973);
					}
#line 10109 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}
	//|7:
	dasm_put(Dst, 79978);
#line 10113 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_check_func_arg(dasm_State **Dst, const zend_op *opline)
{
	uint32_t arg_num = opline->op2.num;

	if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
	 && JIT_G(current_frame)
	 && JIT_G(current_frame)->call
	 && JIT_G(current_frame)->call->func) {
		if (ARG_SHOULD_BE_SENT_BY_REF(JIT_G(current_frame)->call->func, arg_num)) {
			if (!TRACE_FRAME_IS_LAST_SEND_BY_REF(JIT_G(current_frame)->call)) {
				TRACE_FRAME_SET_LAST_SEND_BY_REF(JIT_G(current_frame)->call);
				//|	// ZEND_ADD_CALL_FLAG(EX(call), ZEND_CALL_SEND_ARG_BY_REF);
					if (reuse_ip) {
				//|		ldr TMP1w, [RX, #offsetof(zend_execute_data, This.u1.type_info)]
				//|		BW_OP_32_WITH_CONST orr, TMP1w, TMP1w, ZEND_CALL_SEND_ARG_BY_REF, TMP2w
				dasm_put(Dst, 79980, offsetof(zend_execute_data, This.u1.type_info));
					if (ZEND_CALL_SEND_ARG_BY_REF == 0) {
				dasm_put(Dst, 79983);
					} else if (logical_immediate_p((uint32_t)ZEND_CALL_SEND_ARG_BY_REF, 32)) {
				dasm_put(Dst, 79985, ZEND_CALL_SEND_ARG_BY_REF);
					} else {
					if (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF)) <= MOVZ_IMM) {
				dasm_put(Dst, 79988, ((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF)));
					} else if (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) & 0xffff)) {
				dasm_put(Dst, 79991, ((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) & 0xffff));
						if ((((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff)) {
				dasm_put(Dst, 79994, (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 79997, (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff));
					}
				dasm_put(Dst, 80000);
					}
#line 10132 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		str TMP1w, [RX, #offsetof(zend_execute_data, This.u1.type_info)]
				dasm_put(Dst, 80002, offsetof(zend_execute_data, This.u1.type_info));
					} else {
#line 10134 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		ldr REG0, EX->call
				//|		ldr TMP1w, [REG0, #offsetof(zend_execute_data, This.u1.type_info)]
				//|		BW_OP_32_WITH_CONST orr, TMP1w, TMP1w, ZEND_CALL_SEND_ARG_BY_REF, TMP2w
				dasm_put(Dst, 80005, Dt1(->call), offsetof(zend_execute_data, This.u1.type_info));
					if (ZEND_CALL_SEND_ARG_BY_REF == 0) {
				dasm_put(Dst, 80010);
					} else if (logical_immediate_p((uint32_t)ZEND_CALL_SEND_ARG_BY_REF, 32)) {
				dasm_put(Dst, 80012, ZEND_CALL_SEND_ARG_BY_REF);
					} else {
					if (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF)) <= MOVZ_IMM) {
				dasm_put(Dst, 80015, ((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF)));
					} else if (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) & 0xffff)) {
				dasm_put(Dst, 80018, ((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) & 0xffff));
						if ((((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff)) {
				dasm_put(Dst, 80021, (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 80024, (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff));
					}
				dasm_put(Dst, 80027);
					}
#line 10137 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		str TMP1w, [REG0, #offsetof(zend_execute_data, This.u1.type_info)]
				dasm_put(Dst, 80029, offsetof(zend_execute_data, This.u1.type_info));
					}
#line 10139 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (!TRACE_FRAME_IS_LAST_SEND_BY_VAL(JIT_G(current_frame)->call)) {
				TRACE_FRAME_SET_LAST_SEND_BY_VAL(JIT_G(current_frame)->call);
				//|	// ZEND_DEL_CALL_FLAG(EX(call), ZEND_CALL_SEND_ARG_BY_REF);
					if (reuse_ip) {
				//|		ldr TMP1w, [RX, #offsetof(zend_execute_data, This.u1.type_info)]
				//|		BW_OP_32_WITH_CONST and, TMP1w, TMP1w, (~ZEND_CALL_SEND_ARG_BY_REF), TMP2w
				dasm_put(Dst, 80032, offsetof(zend_execute_data, This.u1.type_info));
					if ((~ZEND_CALL_SEND_ARG_BY_REF) == 0) {
				dasm_put(Dst, 80035);
					} else if (logical_immediate_p((uint32_t)(~ZEND_CALL_SEND_ARG_BY_REF), 32)) {
				dasm_put(Dst, 80037, (~ZEND_CALL_SEND_ARG_BY_REF));
					} else {
					if (((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF))) <= MOVZ_IMM) {
				dasm_put(Dst, 80040, ((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF))));
					} else if (((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) & 0xffff)) {
				dasm_put(Dst, 80043, ((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) & 0xffff));
						if ((((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) >> 16) & 0xffff)) {
				dasm_put(Dst, 80046, (((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 80049, (((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 80052);
					}
#line 10147 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		str TMP1w, [RX, #offsetof(zend_execute_data, This.u1.type_info)]
				dasm_put(Dst, 80054, offsetof(zend_execute_data, This.u1.type_info));
					} else {
#line 10149 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		ldr REG0, EX->call
				//|		ldr TMP1w, [REG0, #offsetof(zend_execute_data, This.u1.type_info)]
				//|		BW_OP_32_WITH_CONST and, TMP1w, TMP1w, (~ZEND_CALL_SEND_ARG_BY_REF), TMP2w
				dasm_put(Dst, 80057, Dt1(->call), offsetof(zend_execute_data, This.u1.type_info));
					if ((~ZEND_CALL_SEND_ARG_BY_REF) == 0) {
				dasm_put(Dst, 80062);
					} else if (logical_immediate_p((uint32_t)(~ZEND_CALL_SEND_ARG_BY_REF), 32)) {
				dasm_put(Dst, 80064, (~ZEND_CALL_SEND_ARG_BY_REF));
					} else {
					if (((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF))) <= MOVZ_IMM) {
				dasm_put(Dst, 80067, ((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF))));
					} else if (((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) & 0xffff)) {
				dasm_put(Dst, 80070, ((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) & 0xffff));
						if ((((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) >> 16) & 0xffff)) {
				dasm_put(Dst, 80073, (((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 80076, (((uint32_t)((~ZEND_CALL_SEND_ARG_BY_REF)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 80079);
					}
#line 10152 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|		str TMP1w, [REG0, #offsetof(zend_execute_data, This.u1.type_info)]
				dasm_put(Dst, 80081, offsetof(zend_execute_data, This.u1.type_info));
					}
#line 10154 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else {
		// if (QUICK_ARG_SHOULD_BE_SENT_BY_REF(EX(call)->func, arg_num)) {
		uint32_t mask = (ZEND_SEND_BY_REF|ZEND_SEND_PREFER_REF) << ((arg_num + 3) * 2);

		if (!zend_jit_reuse_ip(Dst)) {
			return 0;
		}

		//|	ldr REG0, EX:RX->func
		//|	ldr TMP1w, [REG0, #offsetof(zend_function, quick_arg_flags)]
		//|	TST_32_WITH_CONST TMP1w, mask, TMP2w
		dasm_put(Dst, 80084, Dt1(->func), offsetof(zend_function, quick_arg_flags));
			if (mask == 0) {
		dasm_put(Dst, 80089);
			} else if (logical_immediate_p((uint32_t)mask, 32)) {
		dasm_put(Dst, 80091, mask);
			} else {
			if (((uint32_t)(mask)) <= MOVZ_IMM) {
		dasm_put(Dst, 80094, ((uint32_t)(mask)));
			} else if (((uint32_t)(mask) & 0xffff)) {
		dasm_put(Dst, 80097, ((uint32_t)(mask) & 0xffff));
				if ((((uint32_t)(mask) >> 16) & 0xffff)) {
		dasm_put(Dst, 80100, (((uint32_t)(mask) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80103, (((uint32_t)(mask) >> 16) & 0xffff));
			}
		dasm_put(Dst, 80106);
			}
#line 10167 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	bne >1
		//|.cold_code
		dasm_put(Dst, 80108);
#line 10169 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	// ZEND_ADD_CALL_FLAG(EX(call), ZEND_CALL_SEND_ARG_BY_REF);
		//|	ldr TMP1w, [RX, #offsetof(zend_execute_data, This.u1.type_info)]
		//|	BW_OP_32_WITH_CONST orr, TMP1w, TMP1w, ZEND_CALL_SEND_ARG_BY_REF, TMP2w
		dasm_put(Dst, 80111, offsetof(zend_execute_data, This.u1.type_info));
			if (ZEND_CALL_SEND_ARG_BY_REF == 0) {
		dasm_put(Dst, 80115);
			} else if (logical_immediate_p((uint32_t)ZEND_CALL_SEND_ARG_BY_REF, 32)) {
		dasm_put(Dst, 80117, ZEND_CALL_SEND_ARG_BY_REF);
			} else {
			if (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF)) <= MOVZ_IMM) {
		dasm_put(Dst, 80120, ((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF)));
			} else if (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) & 0xffff)) {
		dasm_put(Dst, 80123, ((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) & 0xffff));
				if ((((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff)) {
		dasm_put(Dst, 80126, (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80129, (((uint32_t)(ZEND_CALL_SEND_ARG_BY_REF) >> 16) & 0xffff));
			}
		dasm_put(Dst, 80132);
			}
#line 10173 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	str TMP1w, [RX, #offsetof(zend_execute_data, This.u1.type_info)]
		//|	b >1
		//|.code
		dasm_put(Dst, 80134, offsetof(zend_execute_data, This.u1.type_info));
#line 10176 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	// ZEND_DEL_CALL_FLAG(EX(call), ZEND_CALL_SEND_ARG_BY_REF);
		//|	ldr TMP1w, [RX, #offsetof(zend_execute_data, This.u1.type_info)]
		//|	BW_OP_32_WITH_CONST and, TMP1w, TMP1w, (~(ZEND_CALL_SEND_ARG_BY_REF)), TMP2w
		dasm_put(Dst, 80139, offsetof(zend_execute_data, This.u1.type_info));
			if ((~(ZEND_CALL_SEND_ARG_BY_REF)) == 0) {
		dasm_put(Dst, 80142);
			} else if (logical_immediate_p((uint32_t)(~(ZEND_CALL_SEND_ARG_BY_REF)), 32)) {
		dasm_put(Dst, 80144, (~(ZEND_CALL_SEND_ARG_BY_REF)));
			} else {
			if (((uint32_t)((~(ZEND_CALL_SEND_ARG_BY_REF)))) <= MOVZ_IMM) {
		dasm_put(Dst, 80147, ((uint32_t)((~(ZEND_CALL_SEND_ARG_BY_REF)))));
			} else if (((uint32_t)((~(ZEND_CALL_SEND_ARG_BY_REF))) & 0xffff)) {
		dasm_put(Dst, 80150, ((uint32_t)((~(ZEND_CALL_SEND_ARG_BY_REF))) & 0xffff));
				if ((((uint32_t)((~(ZEND_CALL_SEND_ARG_BY_REF))) >> 16) & 0xffff)) {
		dasm_put(Dst, 80153, (((uint32_t)((~(ZEND_CALL_SEND_ARG_BY_REF))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80156, (((uint32_t)((~(ZEND_CALL_SEND_ARG_BY_REF))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 80159);
			}
#line 10179 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	str TMP1w, [RX, #offsetof(zend_execute_data, This.u1.type_info)]
		//|1:
		dasm_put(Dst, 80161, offsetof(zend_execute_data, This.u1.type_info));
#line 10181 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_smart_true(dasm_State **Dst, const zend_op *opline, int jmp, zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2)
{
	if (smart_branch_opcode) {
		if (smart_branch_opcode == ZEND_JMPZ) {
			if (jmp) {
				//|	b >7
				dasm_put(Dst, 80165);
#line 10192 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (smart_branch_opcode == ZEND_JMPNZ) {
			//|	b =>target_label
			dasm_put(Dst, 80168, target_label);
#line 10195 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			ZEND_UNREACHABLE();
		}
	} else {
		zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

		//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
		dasm_put(Dst, 80171, ((uint32_t)(IS_TRUE)));
			} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
		dasm_put(Dst, 80174, ((uint32_t)(IS_TRUE) & 0xffff));
				if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
		dasm_put(Dst, 80177, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80180, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 80183, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 80186, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 80189, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80192, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 80195, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 80198, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 10202 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (jmp) {
			//|	b >7
			dasm_put(Dst, 80202);
#line 10204 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	return 1;
}

static int zend_jit_smart_false(dasm_State **Dst, const zend_op *opline, int jmp, zend_uchar smart_branch_opcode, uint32_t target_label)
{
	if (smart_branch_opcode) {
		if (smart_branch_opcode == ZEND_JMPZ) {
			//|	b =>target_label
			dasm_put(Dst, 80205, target_label);
#line 10215 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (smart_branch_opcode == ZEND_JMPNZ) {
			if (jmp) {
				//|	b >7
				dasm_put(Dst, 80208);
#line 10218 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			ZEND_UNREACHABLE();
		}
	} else {
		zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

		//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
		dasm_put(Dst, 80211, ((uint32_t)(IS_FALSE)));
			} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
		dasm_put(Dst, 80214, ((uint32_t)(IS_FALSE) & 0xffff));
				if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
		dasm_put(Dst, 80217, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80220, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 80223, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 80226, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 80229, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80232, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 80235, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 80238, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 10226 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (jmp) {
			//|	b >7
			dasm_put(Dst, 80242);
#line 10228 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	return 1;
}

static int zend_jit_defined(dasm_State **Dst, const zend_op *opline, zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2, const void *exit_addr)
{
	uint32_t defined_label = (uint32_t)-1;
	uint32_t undefined_label = (uint32_t)-1;
	zval *zv = RT_CONSTANT(opline, opline->op1);
	zend_jit_addr res_addr = 0;

	if (smart_branch_opcode && !exit_addr) {
		if (smart_branch_opcode == ZEND_JMPZ) {
			undefined_label = target_label;
		} else if (smart_branch_opcode == ZEND_JMPNZ) {
			defined_label = target_label;
		} else {
			ZEND_UNREACHABLE();
		}
	}

	//|	// if (CACHED_PTR(opline->extended_value)) {
	//|	ldr REG0, EX->run_time_cache
	//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, REG0, opline->extended_value, TMP1
	dasm_put(Dst, 80245, Dt1(->run_time_cache));
		if (((uintptr_t)(opline->extended_value)) > LDR_STR_PIMM64) {
		if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
	dasm_put(Dst, 80248, ((uint32_t)(opline->extended_value)));
		} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
	dasm_put(Dst, 80251, ((uint32_t)(opline->extended_value) & 0xffff));
			if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
	dasm_put(Dst, 80254, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 80257, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
		}
	dasm_put(Dst, 80260);
		} else {
	dasm_put(Dst, 80262, (opline->extended_value));
		}
#line 10254 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	cbz REG0, >1
	//|	TST_64_WITH_ONE REG0
	//|	bne >4
	//|.cold_code
	dasm_put(Dst, 80265);
#line 10258 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|4:
	//|	MEM_LOAD_64_ZTS ldr, FCARG1x, executor_globals, zend_constants, FCARG1x
	dasm_put(Dst, 80271);
		if (((uintptr_t)(&executor_globals.zend_constants)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.zend_constants))) {
	dasm_put(Dst, 80273, (unsigned int)((ptrdiff_t)(&executor_globals.zend_constants)), (unsigned int)(((ptrdiff_t)(&executor_globals.zend_constants))>>32));
		} else if (((uintptr_t)(&executor_globals.zend_constants)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.zend_constants))) {
	dasm_put(Dst, 80277, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.zend_constants))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.zend_constants)))))>>32), (((uintptr_t)(&executor_globals.zend_constants)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.zend_constants)) == 0) {
	dasm_put(Dst, 80282);
		} else if (((uintptr_t)(&executor_globals.zend_constants)) <= MOVZ_IMM) {
	dasm_put(Dst, 80284, ((uint64_t)(&executor_globals.zend_constants)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.zend_constants))) {
	dasm_put(Dst, 80287, (unsigned int)((ptrdiff_t)(&executor_globals.zend_constants)), (unsigned int)(((ptrdiff_t)(&executor_globals.zend_constants))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.zend_constants))) {
	dasm_put(Dst, 80290, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.zend_constants))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.zend_constants)))))>>32));
			if (((uintptr_t)(&executor_globals.zend_constants)) & 0xfff) {
	dasm_put(Dst, 80293, (((uintptr_t)(&executor_globals.zend_constants)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.zend_constants) & 0xffff) {
	dasm_put(Dst, 80296, ((uintptr_t)(&executor_globals.zend_constants) & 0xffff));
			if (((uintptr_t)(&executor_globals.zend_constants) >> 16) & 0xffff) {
	dasm_put(Dst, 80299, (((uintptr_t)(&executor_globals.zend_constants) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.zend_constants) >> 32) & 0xffff) {
	dasm_put(Dst, 80302, (((uintptr_t)(&executor_globals.zend_constants) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.zend_constants) >> 16) & 0xffff) {
	dasm_put(Dst, 80305, (((uintptr_t)(&executor_globals.zend_constants) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.zend_constants) >> 32) & 0xffff) {
	dasm_put(Dst, 80308, (((uintptr_t)(&executor_globals.zend_constants) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 80311, (((uintptr_t)(&executor_globals.zend_constants) >> 32) & 0xffff));
		}
	dasm_put(Dst, 80314);
		}
#line 10260 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldr TMP1w, [FCARG1x, #offsetof(HashTable, nNumOfElements)]
	//|	cmp TMP1, REG0, lsr #1
	dasm_put(Dst, 80316, offsetof(HashTable, nNumOfElements));
#line 10262 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (smart_branch_opcode) {
		if (exit_addr) {
			if (smart_branch_opcode == ZEND_JMPZ) {
				//|	beq &exit_addr
				dasm_put(Dst, 80320, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10267 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	beq >3
				dasm_put(Dst, 80323);
#line 10269 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (undefined_label != (uint32_t)-1) {
			//|	beq =>undefined_label
			dasm_put(Dst, 80326, undefined_label);
#line 10272 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	beq >3
			dasm_put(Dst, 80329);
#line 10274 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		//|	beq >2
		dasm_put(Dst, 80332);
#line 10277 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|1:
	//|	SET_EX_OPLINE opline, REG0
	dasm_put(Dst, 80335);
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 80337, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 80340);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 80342, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 80345, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 80348, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 80351, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 80354, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 80357, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 80360, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 80363, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 80366, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 80369, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 80372, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
#line 10280 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	LOAD_ADDR FCARG1x, zv
		if (((uintptr_t)(zv)) == 0) {
	dasm_put(Dst, 80375);
		} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
	dasm_put(Dst, 80377, ((uint64_t)(zv)));
		} else if (arm64_may_use_adr((void*)(zv))) {
	dasm_put(Dst, 80380, (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
		} else if (arm64_may_use_adrp((void*)(zv))) {
	dasm_put(Dst, 80383, (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
			if (((uintptr_t)(zv)) & 0xfff) {
	dasm_put(Dst, 80386, (((uintptr_t)(zv)) & 0xfff));
			}
		} else if ((uintptr_t)(zv) & 0xffff) {
	dasm_put(Dst, 80389, ((uintptr_t)(zv) & 0xffff));
			if (((uintptr_t)(zv) >> 16) & 0xffff) {
	dasm_put(Dst, 80392, (((uintptr_t)(zv) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zv) >> 32) & 0xffff) {
	dasm_put(Dst, 80395, (((uintptr_t)(zv) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
	dasm_put(Dst, 80398, (((uintptr_t)(zv) >> 16) & 0xffff));
			if (((uintptr_t)(zv) >> 32) & 0xffff) {
	dasm_put(Dst, 80401, (((uintptr_t)(zv) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 80404, (((uintptr_t)(zv) >> 32) & 0xffff));
		}
#line 10281 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_CALL zend_jit_check_constant, REG0
		if (arm64_may_use_b(zend_jit_check_constant)) {
	dasm_put(Dst, 80407, (unsigned int)((ptrdiff_t)(zend_jit_check_constant)), (unsigned int)(((ptrdiff_t)(zend_jit_check_constant))>>32));
		} else {
		if (((uintptr_t)(zend_jit_check_constant)) == 0) {
	dasm_put(Dst, 80410);
		} else if (((uintptr_t)(zend_jit_check_constant)) <= MOVZ_IMM) {
	dasm_put(Dst, 80412, ((uint64_t)(zend_jit_check_constant)));
		} else if (arm64_may_use_adr((void*)(zend_jit_check_constant))) {
	dasm_put(Dst, 80415, (unsigned int)((ptrdiff_t)(zend_jit_check_constant)), (unsigned int)(((ptrdiff_t)(zend_jit_check_constant))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_check_constant))) {
	dasm_put(Dst, 80418, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_check_constant))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_check_constant)))))>>32));
			if (((uintptr_t)(zend_jit_check_constant)) & 0xfff) {
	dasm_put(Dst, 80421, (((uintptr_t)(zend_jit_check_constant)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_check_constant) & 0xffff) {
	dasm_put(Dst, 80424, ((uintptr_t)(zend_jit_check_constant) & 0xffff));
			if (((uintptr_t)(zend_jit_check_constant) >> 16) & 0xffff) {
	dasm_put(Dst, 80427, (((uintptr_t)(zend_jit_check_constant) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_check_constant) >> 32) & 0xffff) {
	dasm_put(Dst, 80430, (((uintptr_t)(zend_jit_check_constant) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_check_constant) >> 16) & 0xffff) {
	dasm_put(Dst, 80433, (((uintptr_t)(zend_jit_check_constant) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_check_constant) >> 32) & 0xffff) {
	dasm_put(Dst, 80436, (((uintptr_t)(zend_jit_check_constant) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 80439, (((uintptr_t)(zend_jit_check_constant) >> 32) & 0xffff));
		}
	dasm_put(Dst, 80442);
		}
#line 10282 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (exit_addr) {
		if (smart_branch_opcode == ZEND_JMPNZ) {
			//|	cbz RETVALx, >3
			dasm_put(Dst, 80444);
#line 10285 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	cbnz RETVALx, >3
			dasm_put(Dst, 80447);
#line 10287 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	b &exit_addr
		dasm_put(Dst, 80450, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10289 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (smart_branch_opcode) {
		if (undefined_label != (uint32_t)-1) {
			//|	cbz RETVALx, =>undefined_label
			dasm_put(Dst, 80453, undefined_label);
#line 10292 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	cbz RETVALx, >3
			dasm_put(Dst, 80456);
#line 10294 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (defined_label != (uint32_t)-1) {
			//|	b =>defined_label
			dasm_put(Dst, 80459, defined_label);
#line 10297 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	b >3
			dasm_put(Dst, 80462);
#line 10299 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);
		//|	cbnz RETVALx, >1
		//|2:
		//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
		dasm_put(Dst, 80465);
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
		dasm_put(Dst, 80469, ((uint32_t)(IS_FALSE)));
			} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
		dasm_put(Dst, 80472, ((uint32_t)(IS_FALSE) & 0xffff));
				if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
		dasm_put(Dst, 80475, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80478, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 80481, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 80484, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 80487, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80490, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 80493, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 80496, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 10305 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b >3
		dasm_put(Dst, 80500);
#line 10306 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|.code
	dasm_put(Dst, 80503);
#line 10308 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (smart_branch_opcode) {
		if (exit_addr) {
			if (smart_branch_opcode == ZEND_JMPNZ) {
				//|	b &exit_addr
				dasm_put(Dst, 80504, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10312 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (defined_label != (uint32_t)-1) {
			//|	b =>defined_label
			dasm_put(Dst, 80507, defined_label);
#line 10315 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		//|1:
		//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
		dasm_put(Dst, 80510);
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
		dasm_put(Dst, 80512, ((uint32_t)(IS_TRUE)));
			} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
		dasm_put(Dst, 80515, ((uint32_t)(IS_TRUE) & 0xffff));
				if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
		dasm_put(Dst, 80518, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80521, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 80524, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 80527, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 80530, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80533, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 80536, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 80539, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 10319 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|3:
	dasm_put(Dst, 80543);
#line 10321 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_type_check(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2, const void *exit_addr)
{
	uint32_t  mask;
	zend_jit_addr op1_addr = OP1_ADDR();

	// TODO: support for is_resource() ???
	ZEND_ASSERT(opline->extended_value != MAY_BE_RESOURCE);

	if (op1_info & MAY_BE_UNDEF) {
		if (op1_info & (MAY_BE_ANY|MAY_BE_REF)) {
			//|	IF_ZVAL_TYPE op1_addr, IS_UNDEF, >1, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 80545, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 80549, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 80553, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80557, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 80561, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 80566, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 80571, (ZREG_X15));
				} else {
			dasm_put(Dst, 80575, (ZREG_X15), IS_UNDEF);
				}
#line 10336 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|.cold_code
			dasm_put(Dst, 80581);
#line 10337 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 80582);
#line 10338 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 80584, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 80587);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 80589, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 80592, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 80595, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 80598, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 80601, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 80604, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 80607, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 80610, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 80613, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80616, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 80619, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 10340 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
			if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
		dasm_put(Dst, 80622, ((uint32_t)(opline->op1.var)));
			} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
		dasm_put(Dst, 80625, ((uint32_t)(opline->op1.var) & 0xffff));
				if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
		dasm_put(Dst, 80628, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80631, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
			}
#line 10341 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_undefined_op_helper, REG0
			if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
		dasm_put(Dst, 80634, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
		dasm_put(Dst, 80637);
			} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 80639, ((uint64_t)(zend_jit_undefined_op_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 80642, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
		dasm_put(Dst, 80645, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
				if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
		dasm_put(Dst, 80648, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
		dasm_put(Dst, 80651, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 80654, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 80657, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 80660, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 80663, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 80666, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 80669);
			}
#line 10342 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		zend_jit_check_exception_undef_result(Dst, opline);
		if (opline->extended_value & MAY_BE_NULL) {
			if (exit_addr) {
				if (smart_branch_opcode == ZEND_JMPNZ) {
					//|	b &exit_addr
					dasm_put(Dst, 80671, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10347 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_REF)) != 0) {
					//|	b >7
					dasm_put(Dst, 80674);
#line 10349 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (!zend_jit_smart_true(Dst, opline, (op1_info & (MAY_BE_ANY|MAY_BE_REF)) != 0, smart_branch_opcode, target_label, target_label2)) {
				return 0;
			}
		} else {
			if (exit_addr) {
				if (smart_branch_opcode == ZEND_JMPZ) {
					//|	b &exit_addr
					dasm_put(Dst, 80677, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10357 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_REF)) != 0) {
					//|	b >7
					dasm_put(Dst, 80680);
#line 10359 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (!zend_jit_smart_false(Dst, opline, (op1_info & (MAY_BE_ANY|MAY_BE_REF)) != 0, smart_branch_opcode, target_label)) {
				return 0;
			}
		}
		if (op1_info & (MAY_BE_ANY|MAY_BE_REF)) {
			//|.code
			dasm_put(Dst, 80683);
#line 10366 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (op1_info & (MAY_BE_ANY|MAY_BE_REF)) {
		mask = opline->extended_value;
		if (!(op1_info & MAY_BE_GUARD) && !(op1_info & (MAY_BE_ANY - mask))) {
			//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
				if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
				if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (1) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 80684, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 80688, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 80692, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80696, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 80700, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 80705, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 80710, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 80713, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 80717, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 80721, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 80725, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80729, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 80733, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 80737);
			dasm_put(Dst, 80740);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 80742, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 80746, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 80750, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80754, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 80758, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 80763, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 80768, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 80771, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 80775, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 80779, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 80783, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80787, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 80791, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 80795);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 80798, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 80802, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 80806, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80810, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 80814, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 80818, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 80822, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 80830);
							} else {
			dasm_put(Dst, 80833);
							}
						}
				do {
					if (!((op1_info) & MAY_BE_GUARD)
					 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 80836, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 80839, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 80842, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 80846, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 80850, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 80854, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 80859, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 80863, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 80867, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 80871, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 80875, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80879, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 80883, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 80886, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 80889, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 80892, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 80896, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 80900, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 80904, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 80909, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 80913, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 80917, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 80921, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 80925, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80929, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 80933, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 80937, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 80940, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 80943, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 80947, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 80951, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 80955, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 80960, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 80964, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 80968, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 80972, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 80976, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 80980, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 80984, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 80987, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 80990, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 80993, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 80997, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 81001, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 81005, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 81010, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 81014, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 81018, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 81022, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 81026, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81030, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81034, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 81037, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 81040);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 81042, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 81045, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 81048, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 81051, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 81054, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 81057, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 81060, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 81063, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 81066, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81069, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81072, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 81075, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 81078, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 81081, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 81085, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 81089, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 81093, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 81098, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 81102, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 81106, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 81110, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 81114, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81118, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81122, (ZREG_X15));
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 81125, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 81128, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 81131, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 81135, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 81139, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 81143, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 81148, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 81152, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 81156, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 81160, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 81164, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81168, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81172, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 81176, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 81179, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 81182, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 81186, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 81190, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 81194, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 81199, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 81203, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 81207, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 81211, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 81215, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81219, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81223, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 81226);
						}
			dasm_put(Dst, 81229);
					}
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 81231, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 81235, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 81239, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81243, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81247, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 81252, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 81257, (ZREG_X15));
				} else {
			dasm_put(Dst, 81261, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 81267, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 81271, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 81275, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81279, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81283, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 81288, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 81293, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 81296, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 81300, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 81304, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 81308, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81312, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81316, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 81320);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 81323, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 81327, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 81331, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81335, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81339, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 81343, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 81347);
						}
			dasm_put(Dst, 81349, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 81352, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 81355, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 81359, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 81363, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 81367, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81371, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81375, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 81379);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 81382, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 81385, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 81388, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 81392, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 81396, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 81400, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 81405, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 81409, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 81413, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 81417, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 81421, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81425, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81429, (ZREG_X15));
				}
					}
					if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 81432);
					}
			dasm_put(Dst, 81435);
				}
				}
#line 10373 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (exit_addr) {
				if (smart_branch_opcode == ZEND_JMPNZ) {
					//|	b &exit_addr
					dasm_put(Dst, 81437, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10376 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (!zend_jit_smart_true(Dst, opline, 0, smart_branch_opcode, target_label, target_label2)) {
				return 0;
			}
	    } else if (!(op1_info & MAY_BE_GUARD) && !(op1_info & mask)) {
			//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
				if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
				if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (1) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 81440, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 81444, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 81448, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81452, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81456, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 81461, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 81466, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 81469, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 81473, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 81477, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 81481, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81485, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81489, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 81493);
			dasm_put(Dst, 81496);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 81498, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 81502, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 81506, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81510, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81514, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 81519, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 81524, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 81527, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 81531, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 81535, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 81539, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81543, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81547, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 81551);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 81554, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 81558, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 81562, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81566, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 81570, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 81574, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 81578, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 81586);
							} else {
			dasm_put(Dst, 81589);
							}
						}
				do {
					if (!((op1_info) & MAY_BE_GUARD)
					 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 81592, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 81595, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 81598, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 81602, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 81606, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 81610, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 81615, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 81619, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 81623, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 81627, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 81631, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81635, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81639, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 81642, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 81645, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 81648, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 81652, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 81656, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 81660, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 81665, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 81669, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 81673, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 81677, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 81681, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81685, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81689, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 81693, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 81696, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 81699, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 81703, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 81707, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 81711, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 81716, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 81720, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 81724, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 81728, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 81732, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81736, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81740, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 81743, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 81746, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 81749, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 81753, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 81757, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 81761, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 81766, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 81770, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 81774, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 81778, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 81782, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81786, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81790, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 81793, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 81796);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 81798, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 81801, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 81804, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 81807, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 81810, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 81813, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 81816, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 81819, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 81822, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81825, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81828, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 81831, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 81834, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 81837, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 81841, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 81845, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 81849, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 81854, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 81858, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 81862, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 81866, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 81870, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81874, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81878, (ZREG_X15));
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 81881, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 81884, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 81887, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 81891, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 81895, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 81899, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 81904, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 81908, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 81912, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 81916, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 81920, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81924, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81928, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 81932, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 81935, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 81938, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 81942, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 81946, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 81950, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 81955, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 81959, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 81963, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 81967, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 81971, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81975, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 81979, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 81982);
						}
			dasm_put(Dst, 81985);
					}
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 81987, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 81991, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 81995, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 81999, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 82003, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 82008, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 82013, (ZREG_X15));
				} else {
			dasm_put(Dst, 82017, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 82023, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 82027, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 82031, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 82035, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 82039, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 82044, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 82049, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 82052, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 82056, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 82060, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 82064, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 82068, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 82072, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 82076);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 82079, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 82083, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 82087, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 82091, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 82095, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 82099, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 82103);
						}
			dasm_put(Dst, 82105, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 82108, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 82111, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 82115, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 82119, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 82123, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 82127, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 82131, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 82135);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 82138, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 82141, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 82144, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 82148, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 82152, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 82156, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 82161, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 82165, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 82169, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 82173, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 82177, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 82181, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 82185, (ZREG_X15));
				}
					}
					if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 82188);
					}
			dasm_put(Dst, 82191);
				}
				}
#line 10382 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (exit_addr) {
				if (smart_branch_opcode == ZEND_JMPZ) {
					//|	b &exit_addr
					dasm_put(Dst, 82193, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10385 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (!zend_jit_smart_false(Dst, opline, 0, smart_branch_opcode, target_label)) {
				return 0;
			}
		} else {
			bool invert = 0;
			zend_uchar type;

			switch (mask) {
				case MAY_BE_NULL:   type = IS_NULL;   break;
				case MAY_BE_FALSE:  type = IS_FALSE;  break;
				case MAY_BE_TRUE:   type = IS_TRUE;   break;
				case MAY_BE_LONG:   type = IS_LONG;   break;
				case MAY_BE_DOUBLE: type = IS_DOUBLE; break;
				case MAY_BE_STRING: type = IS_STRING; break;
				case MAY_BE_ARRAY:  type = IS_ARRAY;  break;
				case MAY_BE_OBJECT: type = IS_OBJECT; break;
				case MAY_BE_ANY - MAY_BE_NULL:     type = IS_NULL;   invert = 1; break;
				case MAY_BE_ANY - MAY_BE_FALSE:    type = IS_FALSE;  invert = 1; break;
				case MAY_BE_ANY - MAY_BE_TRUE:     type = IS_TRUE;   invert = 1; break;
				case MAY_BE_ANY - MAY_BE_LONG:     type = IS_LONG;   invert = 1; break;
				case MAY_BE_ANY - MAY_BE_DOUBLE:   type = IS_DOUBLE; invert = 1; break;
				case MAY_BE_ANY - MAY_BE_STRING:   type = IS_STRING; invert = 1; break;
				case MAY_BE_ANY - MAY_BE_ARRAY:    type = IS_ARRAY;  invert = 1; break;
				case MAY_BE_ANY - MAY_BE_OBJECT:   type = IS_OBJECT; invert = 1; break;
				case MAY_BE_ANY - MAY_BE_RESOURCE: type = IS_OBJECT; invert = 1; break;
				default:
					type = 0;
			}

			if (op1_info & MAY_BE_REF) {
				//|	LOAD_ZVAL_ADDR REG0, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 82196);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 82198, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 82201, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 82204, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 82207, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 82210, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 82213, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 82216, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 82219, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 82222, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 82225, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 82228, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 82231, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 82235, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 82238, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 82241, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 82244, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 82247, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 82250);
							} else {
				dasm_put(Dst, 82252, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 10417 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	ZVAL_DEREF REG0, op1_info, TMP1w
					if (op1_info & MAY_BE_REF) {
				dasm_put(Dst, 82255, offsetof(zval, u1.v.type));
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 82258);
					} else {
				dasm_put(Dst, 82261, IS_REFERENCE);
					}
				dasm_put(Dst, 82266, offsetof(zend_reference, val));
					}
#line 10418 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (type == 0) {
				if (smart_branch_opcode &&
				    (opline->op1_type & (IS_VAR|IS_TMP_VAR)) &&
				    (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((op1_info) & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						//|	// if (Z_REFCOUNTED_P(cv)) {
						//|	IF_ZVAL_REFCOUNTED op1_addr, >1, ZREG_TMP1, ZREG_TMP2
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
						dasm_put(Dst, 82271, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
						dasm_put(Dst, 82275, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
						dasm_put(Dst, 82279, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82283, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 82287, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
							} else {
						dasm_put(Dst, 82292, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
							}
							if (IS_TYPE_REFCOUNTED == 0) {
						dasm_put(Dst, 82297, (ZREG_X15));
							} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
						dasm_put(Dst, 82300, (ZREG_X15), IS_TYPE_REFCOUNTED);
							} else {
							if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
						dasm_put(Dst, 82304, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
							} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
						dasm_put(Dst, 82308, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
								if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
						dasm_put(Dst, 82312, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82316, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						dasm_put(Dst, 82320, (ZREG_X15), (ZREG_X16));
							}
#line 10426 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						//|.cold_code
						dasm_put(Dst, 82324);
#line 10427 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						//|1:
						dasm_put(Dst, 82327);
#line 10428 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	// if (!Z_DELREF_P(cv)) {
					//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 82329, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 82332, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 82335, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 82338, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 82341, (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 82344, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
#line 10431 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GC_DELREF FCARG1x, TMP1w
					dasm_put(Dst, 82348);
#line 10432 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (RC_MAY_BE_1(op1_info)) {
						if (RC_MAY_BE_N(op1_info)) {
							//|	bne >3
							dasm_put(Dst, 82352);
#line 10435 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						if (op1_info & MAY_BE_REF) {
							//|	ldrb REG0w, [REG0, #offsetof(zval,u1.v.type)]
							dasm_put(Dst, 82355, offsetof(zval,u1.v.type));
#line 10438 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, REG0w, FP, (opline->op1.var + offsetof(zval,u1.v.type)), TMP1
								if (((uintptr_t)((opline->op1.var + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
								if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
							dasm_put(Dst, 82358, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))));
								} else if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff)) {
							dasm_put(Dst, 82361, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff));
									if ((((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
							dasm_put(Dst, 82364, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 82367, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
								}
							dasm_put(Dst, 82370);
								} else {
							dasm_put(Dst, 82372, ((opline->op1.var + offsetof(zval,u1.v.type))));
								}
#line 10440 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						//|	str REG0w, T1 // save
						//|	// zval_dtor_func(r);
						//|	ZVAL_DTOR_FUNC op1_info, opline, TMP1
						dasm_put(Dst, 82375);
							do {
								if (!((op1_info) & MAY_BE_GUARD)
								 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
									zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
									if (type == IS_STRING && !ZEND_DEBUG) {
							if (arm64_may_use_b(_efree)) {
						dasm_put(Dst, 82377, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
							} else {
							if (((uintptr_t)(_efree)) == 0) {
						dasm_put(Dst, 82380);
							} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
						dasm_put(Dst, 82382, ((uint64_t)(_efree)));
							} else if (arm64_may_use_adr((void*)(_efree))) {
						dasm_put(Dst, 82385, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
							} else if (arm64_may_use_adrp((void*)(_efree))) {
						dasm_put(Dst, 82388, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
								if (((uintptr_t)(_efree)) & 0xfff) {
						dasm_put(Dst, 82391, (((uintptr_t)(_efree)) & 0xfff));
								}
							} else if ((uintptr_t)(_efree) & 0xffff) {
						dasm_put(Dst, 82394, ((uintptr_t)(_efree) & 0xffff));
								if (((uintptr_t)(_efree) >> 16) & 0xffff) {
						dasm_put(Dst, 82397, (((uintptr_t)(_efree) >> 16) & 0xffff));
								}
								if (((uintptr_t)(_efree) >> 32) & 0xffff) {
						dasm_put(Dst, 82400, (((uintptr_t)(_efree) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
						dasm_put(Dst, 82403, (((uintptr_t)(_efree) >> 16) & 0xffff));
								if (((uintptr_t)(_efree) >> 32) & 0xffff) {
						dasm_put(Dst, 82406, (((uintptr_t)(_efree) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82409, (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						dasm_put(Dst, 82412);
							}
										break;
									} else if (type == IS_ARRAY) {
										if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
											if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
							if (opline == last_valid_opline) {
								zend_jit_use_last_valid_opline();
							if (GCC_GLOBAL_REGS) {
						dasm_put(Dst, 82414, Dt1(->opline));
							}
							} else {
							if (((uintptr_t)(opline)) == 0) {
						dasm_put(Dst, 82417);
							} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
						dasm_put(Dst, 82419, ((uint64_t)(opline)));
							} else if (arm64_may_use_adr((void*)(opline))) {
						dasm_put(Dst, 82422, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
							} else if (arm64_may_use_adrp((void*)(opline))) {
						dasm_put(Dst, 82425, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
								if (((uintptr_t)(opline)) & 0xfff) {
						dasm_put(Dst, 82428, (((uintptr_t)(opline)) & 0xfff));
								}
							} else if ((uintptr_t)(opline) & 0xffff) {
						dasm_put(Dst, 82431, ((uintptr_t)(opline) & 0xffff));
								if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 82434, (((uintptr_t)(opline) >> 16) & 0xffff));
								}
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 82437, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 82440, (((uintptr_t)(opline) >> 16) & 0xffff));
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 82443, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82446, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						dasm_put(Dst, 82449, Dt1(->opline));
								if (!GCC_GLOBAL_REGS) {
									zend_jit_reset_last_valid_opline();
								}
							}
											}
							if (arm64_may_use_b(zend_array_destroy)) {
						dasm_put(Dst, 82452, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
							} else {
							if (((uintptr_t)(zend_array_destroy)) == 0) {
						dasm_put(Dst, 82455);
							} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
						dasm_put(Dst, 82457, ((uint64_t)(zend_array_destroy)));
							} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
						dasm_put(Dst, 82460, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
						dasm_put(Dst, 82463, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
								if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
						dasm_put(Dst, 82466, (((uintptr_t)(zend_array_destroy)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
						dasm_put(Dst, 82469, ((uintptr_t)(zend_array_destroy) & 0xffff));
								if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
						dasm_put(Dst, 82472, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
						dasm_put(Dst, 82475, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
						dasm_put(Dst, 82478, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
								if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
						dasm_put(Dst, 82481, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82484, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						dasm_put(Dst, 82487);
							}
										} else {
							if (arm64_may_use_b(zend_jit_array_free)) {
						dasm_put(Dst, 82489, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
							} else {
							if (((uintptr_t)(zend_jit_array_free)) == 0) {
						dasm_put(Dst, 82492);
							} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
						dasm_put(Dst, 82494, ((uint64_t)(zend_jit_array_free)));
							} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
						dasm_put(Dst, 82497, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
						dasm_put(Dst, 82500, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
								if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
						dasm_put(Dst, 82503, (((uintptr_t)(zend_jit_array_free)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
						dasm_put(Dst, 82506, ((uintptr_t)(zend_jit_array_free) & 0xffff));
								if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
						dasm_put(Dst, 82509, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
						dasm_put(Dst, 82512, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
						dasm_put(Dst, 82515, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
						dasm_put(Dst, 82518, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82521, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						dasm_put(Dst, 82524);
							}
										}
										break;
									} else if (type == IS_OBJECT) {
										if (opline) {
							if (opline == last_valid_opline) {
								zend_jit_use_last_valid_opline();
							if (GCC_GLOBAL_REGS) {
						dasm_put(Dst, 82526, Dt1(->opline));
							}
							} else {
							if (((uintptr_t)(opline)) == 0) {
						dasm_put(Dst, 82529);
							} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
						dasm_put(Dst, 82531, ((uint64_t)(opline)));
							} else if (arm64_may_use_adr((void*)(opline))) {
						dasm_put(Dst, 82534, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
							} else if (arm64_may_use_adrp((void*)(opline))) {
						dasm_put(Dst, 82537, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
								if (((uintptr_t)(opline)) & 0xfff) {
						dasm_put(Dst, 82540, (((uintptr_t)(opline)) & 0xfff));
								}
							} else if ((uintptr_t)(opline) & 0xffff) {
						dasm_put(Dst, 82543, ((uintptr_t)(opline) & 0xffff));
								if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 82546, (((uintptr_t)(opline) >> 16) & 0xffff));
								}
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 82549, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 82552, (((uintptr_t)(opline) >> 16) & 0xffff));
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 82555, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82558, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						dasm_put(Dst, 82561, Dt1(->opline));
								if (!GCC_GLOBAL_REGS) {
									zend_jit_reset_last_valid_opline();
								}
							}
										}
							if (arm64_may_use_b(zend_objects_store_del)) {
						dasm_put(Dst, 82564, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
							} else {
							if (((uintptr_t)(zend_objects_store_del)) == 0) {
						dasm_put(Dst, 82567);
							} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
						dasm_put(Dst, 82569, ((uint64_t)(zend_objects_store_del)));
							} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
						dasm_put(Dst, 82572, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
						dasm_put(Dst, 82575, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
								if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
						dasm_put(Dst, 82578, (((uintptr_t)(zend_objects_store_del)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
						dasm_put(Dst, 82581, ((uintptr_t)(zend_objects_store_del) & 0xffff));
								if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
						dasm_put(Dst, 82584, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
						dasm_put(Dst, 82587, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
						dasm_put(Dst, 82590, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
								if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
						dasm_put(Dst, 82593, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82596, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						dasm_put(Dst, 82599);
							}
										break;
									}
								}
								if (opline) {
							if (opline == last_valid_opline) {
								zend_jit_use_last_valid_opline();
							if (GCC_GLOBAL_REGS) {
						dasm_put(Dst, 82601, Dt1(->opline));
							}
							} else {
							if (((uintptr_t)(opline)) == 0) {
						dasm_put(Dst, 82604);
							} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
						dasm_put(Dst, 82606, ((uint64_t)(opline)));
							} else if (arm64_may_use_adr((void*)(opline))) {
						dasm_put(Dst, 82609, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
							} else if (arm64_may_use_adrp((void*)(opline))) {
						dasm_put(Dst, 82612, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
								if (((uintptr_t)(opline)) & 0xfff) {
						dasm_put(Dst, 82615, (((uintptr_t)(opline)) & 0xfff));
								}
							} else if ((uintptr_t)(opline) & 0xffff) {
						dasm_put(Dst, 82618, ((uintptr_t)(opline) & 0xffff));
								if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 82621, (((uintptr_t)(opline) >> 16) & 0xffff));
								}
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 82624, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 82627, (((uintptr_t)(opline) >> 16) & 0xffff));
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 82630, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82633, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						dasm_put(Dst, 82636, Dt1(->opline));
								if (!GCC_GLOBAL_REGS) {
									zend_jit_reset_last_valid_opline();
								}
							}
								}
							if (arm64_may_use_b(rc_dtor_func)) {
						dasm_put(Dst, 82639, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
							} else {
							if (((uintptr_t)(rc_dtor_func)) == 0) {
						dasm_put(Dst, 82642);
							} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
						dasm_put(Dst, 82644, ((uint64_t)(rc_dtor_func)));
							} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
						dasm_put(Dst, 82647, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
							} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
						dasm_put(Dst, 82650, (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
								if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
						dasm_put(Dst, 82653, (((uintptr_t)(rc_dtor_func)) & 0xfff));
								}
							} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
						dasm_put(Dst, 82656, ((uintptr_t)(rc_dtor_func) & 0xffff));
								if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
						dasm_put(Dst, 82659, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
								}
								if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
						dasm_put(Dst, 82662, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
						dasm_put(Dst, 82665, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
								if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
						dasm_put(Dst, 82668, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82671, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						dasm_put(Dst, 82674);
							}
							} while(0);
#line 10444 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	ldr REG1w, T1 // restore
						//|	b >2
						dasm_put(Dst, 82676);
#line 10446 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					if ((op1_info) & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (!RC_MAY_BE_1(op1_info)) {
							//|	b >3
							dasm_put(Dst, 82680);
#line 10450 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						//|.code
						dasm_put(Dst, 82683);
#line 10452 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|3:
					dasm_put(Dst, 82684);
#line 10454 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (op1_info & MAY_BE_REF) {
						//|	ldrb REG1w, [REG0, #offsetof(zval,u1.v.type)]
						dasm_put(Dst, 82686, offsetof(zval,u1.v.type));
#line 10456 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, REG1w, FP, (opline->op1.var + offsetof(zval,u1.v.type)), TMP1
							if (((uintptr_t)((opline->op1.var + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
							if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
						dasm_put(Dst, 82689, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))));
							} else if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff)) {
						dasm_put(Dst, 82692, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff));
								if ((((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
						dasm_put(Dst, 82695, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82698, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
							}
						dasm_put(Dst, 82701);
							} else {
						dasm_put(Dst, 82703, ((opline->op1.var + offsetof(zval,u1.v.type))));
							}
#line 10458 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|2:
					dasm_put(Dst, 82706);
#line 10460 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					if (op1_info & MAY_BE_REF) {
						//|	ldrb REG1w, [REG0, #offsetof(zval,u1.v.type)]
						dasm_put(Dst, 82708, offsetof(zval,u1.v.type));
#line 10463 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, REG1w, FP, (opline->op1.var + offsetof(zval,u1.v.type)), TMP1
							if (((uintptr_t)((opline->op1.var + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
							if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
						dasm_put(Dst, 82711, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))));
							} else if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff)) {
						dasm_put(Dst, 82714, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff));
								if ((((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
						dasm_put(Dst, 82717, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 82720, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
							}
						dasm_put(Dst, 82723);
							} else {
						dasm_put(Dst, 82725, ((opline->op1.var + offsetof(zval,u1.v.type))));
							}
#line 10465 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				//|	mov REG0w, #1
				//|	lsl REG0w, REG0w, REG1w
				//|	TST_32_WITH_CONST REG0w, mask, TMP1w
				dasm_put(Dst, 82728);
					if (mask == 0) {
				dasm_put(Dst, 82731);
					} else if (logical_immediate_p((uint32_t)mask, 32)) {
				dasm_put(Dst, 82733, mask);
					} else {
					if (((uint32_t)(mask)) <= MOVZ_IMM) {
				dasm_put(Dst, 82736, ((uint32_t)(mask)));
					} else if (((uint32_t)(mask) & 0xffff)) {
				dasm_put(Dst, 82739, ((uint32_t)(mask) & 0xffff));
						if ((((uint32_t)(mask) >> 16) & 0xffff)) {
				dasm_put(Dst, 82742, (((uint32_t)(mask) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 82745, (((uint32_t)(mask) >> 16) & 0xffff));
					}
				dasm_put(Dst, 82748);
					}
#line 10470 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (exit_addr) {
					if (smart_branch_opcode == ZEND_JMPNZ) {
						//|	bne &exit_addr
						dasm_put(Dst, 82750, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10473 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	beq &exit_addr
						dasm_put(Dst, 82753, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10475 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else if (smart_branch_opcode) {
					if (smart_branch_opcode == ZEND_JMPZ) {
						//|	beq =>target_label
						dasm_put(Dst, 82756, target_label);
#line 10479 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (smart_branch_opcode == ZEND_JMPNZ) {
						//|	bne =>target_label
						dasm_put(Dst, 82759, target_label);
#line 10481 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						ZEND_UNREACHABLE();
					}
				} else {
					zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

					//|	cset REG0w, ne
					//|	add REG0w, REG0w, #2
					//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
					dasm_put(Dst, 82762);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 82765, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 82768, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 82771, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 82774, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 82777, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 82780, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 10490 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
						if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
							zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
						if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
							if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
								if (1) {
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 82784, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 82788, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 82792, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 82796, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 82800, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 82805, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 82810, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 82813, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 82817, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 82821, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 82825, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 82829, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 82833, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 82837);
					dasm_put(Dst, 82840);
								} else {
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 82842, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 82846, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 82850, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 82854, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 82858, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 82863, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 82868, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 82871, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 82875, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 82879, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 82883, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 82887, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 82891, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 82895);
								}
							}
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 82898, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
						} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
					dasm_put(Dst, 82902, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 82906, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 82910, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 82914, (Z_REG(addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 82918, (Z_REG(addr)), (Z_OFFSET(addr)));
						}
					dasm_put(Dst, 82922, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
							if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
								if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
									if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					dasm_put(Dst, 82930);
									} else {
					dasm_put(Dst, 82933);
									}
								}
						do {
							if (!((op1_info) & MAY_BE_GUARD)
							 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
								zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
								if (type == IS_STRING && !ZEND_DEBUG) {
						if (arm64_may_use_b(_efree)) {
					dasm_put(Dst, 82936, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
						} else {
						if (((uintptr_t)(_efree)) == 0) {
					dasm_put(Dst, 82939, (ZREG_X15));
						} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
					dasm_put(Dst, 82942, (ZREG_X15), ((uint64_t)(_efree)));
						} else if (arm64_may_use_adr((void*)(_efree))) {
					dasm_put(Dst, 82946, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
						} else if (arm64_may_use_adrp((void*)(_efree))) {
					dasm_put(Dst, 82950, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
							if (((uintptr_t)(_efree)) & 0xfff) {
					dasm_put(Dst, 82954, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
							}
						} else if ((uintptr_t)(_efree) & 0xffff) {
					dasm_put(Dst, 82959, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
							if (((uintptr_t)(_efree) >> 16) & 0xffff) {
					dasm_put(Dst, 82963, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
							}
							if (((uintptr_t)(_efree) >> 32) & 0xffff) {
					dasm_put(Dst, 82967, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
					dasm_put(Dst, 82971, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
							if (((uintptr_t)(_efree) >> 32) & 0xffff) {
					dasm_put(Dst, 82975, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 82979, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					dasm_put(Dst, 82983, (ZREG_X15));
						}
									break;
								} else if (type == IS_ARRAY) {
									if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
										if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 82986, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 82989, (ZREG_X15));
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 82992, (ZREG_X15), ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 82996, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 83000, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 83004, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 83009, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 83013, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 83017, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 83021, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 83025, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83029, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 83033, (ZREG_X15), Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
										}
						if (arm64_may_use_b(zend_array_destroy)) {
					dasm_put(Dst, 83037, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
						} else {
						if (((uintptr_t)(zend_array_destroy)) == 0) {
					dasm_put(Dst, 83040, (ZREG_X15));
						} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
					dasm_put(Dst, 83043, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
						} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
					dasm_put(Dst, 83047, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
					dasm_put(Dst, 83051, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
							if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
					dasm_put(Dst, 83055, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
					dasm_put(Dst, 83060, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
							if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
					dasm_put(Dst, 83064, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
					dasm_put(Dst, 83068, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
					dasm_put(Dst, 83072, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
							if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
					dasm_put(Dst, 83076, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83080, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					dasm_put(Dst, 83084, (ZREG_X15));
						}
									} else {
						if (arm64_may_use_b(zend_jit_array_free)) {
					dasm_put(Dst, 83087, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
						} else {
						if (((uintptr_t)(zend_jit_array_free)) == 0) {
					dasm_put(Dst, 83090, (ZREG_X15));
						} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
					dasm_put(Dst, 83093, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
						} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
					dasm_put(Dst, 83097, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
					dasm_put(Dst, 83101, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
							if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
					dasm_put(Dst, 83105, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
					dasm_put(Dst, 83110, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
							if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
					dasm_put(Dst, 83114, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
					dasm_put(Dst, 83118, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
					dasm_put(Dst, 83122, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
					dasm_put(Dst, 83126, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83130, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					dasm_put(Dst, 83134, (ZREG_X15));
						}
									}
									break;
								} else if (type == IS_OBJECT) {
									if (opline) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 83137, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 83140);
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 83142, ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 83145, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 83148, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 83151, (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 83154, ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 83157, (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 83160, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 83163, (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 83166, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83169, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 83172, Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
									}
						if (arm64_may_use_b(zend_objects_store_del)) {
					dasm_put(Dst, 83175, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
						} else {
						if (((uintptr_t)(zend_objects_store_del)) == 0) {
					dasm_put(Dst, 83178, (ZREG_X15));
						} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
					dasm_put(Dst, 83181, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
						} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
					dasm_put(Dst, 83185, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
					dasm_put(Dst, 83189, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
							if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
					dasm_put(Dst, 83193, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
					dasm_put(Dst, 83198, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
							if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
					dasm_put(Dst, 83202, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
					dasm_put(Dst, 83206, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
					dasm_put(Dst, 83210, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
							if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
					dasm_put(Dst, 83214, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83218, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					dasm_put(Dst, 83222, (ZREG_X15));
						}
									break;
								}
							}
							if (opline) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 83225, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 83228, (ZREG_X15));
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 83231, (ZREG_X15), ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 83235, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 83239, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 83243, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 83248, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 83252, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 83256, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 83260, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 83264, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83268, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 83272, (ZREG_X15), Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
							}
						if (arm64_may_use_b(rc_dtor_func)) {
					dasm_put(Dst, 83276, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
						} else {
						if (((uintptr_t)(rc_dtor_func)) == 0) {
					dasm_put(Dst, 83279, (ZREG_X15));
						} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
					dasm_put(Dst, 83282, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
						} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
					dasm_put(Dst, 83286, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
						} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
					dasm_put(Dst, 83290, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
							if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
					dasm_put(Dst, 83294, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
							}
						} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
					dasm_put(Dst, 83299, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
							if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
					dasm_put(Dst, 83303, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
							}
							if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
					dasm_put(Dst, 83307, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
					dasm_put(Dst, 83311, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
							if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
					dasm_put(Dst, 83315, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83319, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					dasm_put(Dst, 83323, (ZREG_X15));
						}
						} while(0);
								if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					dasm_put(Dst, 83326);
								}
					dasm_put(Dst, 83329);
							}
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
								if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
									zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 83331, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 83335, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 83339, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83343, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 83347, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 83352, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 83357, (ZREG_X15));
						} else {
					dasm_put(Dst, 83361, (ZREG_X15), IS_REFERENCE);
						}
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 83367, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 83371, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 83375, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83379, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 83383, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 83388, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_COLLECTABLE == 0) {
					dasm_put(Dst, 83393, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
					dasm_put(Dst, 83396, (ZREG_X15), IS_TYPE_COLLECTABLE);
						} else {
						if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
					dasm_put(Dst, 83400, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
						} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
					dasm_put(Dst, 83404, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
							if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
					dasm_put(Dst, 83408, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83412, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					dasm_put(Dst, 83416, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 83420);
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 83423, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 83427, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 83431, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83435, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 83439, (Z_REG(ref_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 83443, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
					dasm_put(Dst, 83447);
								}
					dasm_put(Dst, 83449, (ZREG_X15));
						if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
					dasm_put(Dst, 83452, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
					dasm_put(Dst, 83455, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
						} else {
						if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
					dasm_put(Dst, 83459, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
						} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
					dasm_put(Dst, 83463, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
							if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
					dasm_put(Dst, 83467, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83471, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					dasm_put(Dst, 83475, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 83479);
						if (arm64_may_use_b(gc_possible_root)) {
					dasm_put(Dst, 83482, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
						} else {
						if (((uintptr_t)(gc_possible_root)) == 0) {
					dasm_put(Dst, 83485, (ZREG_X15));
						} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
					dasm_put(Dst, 83488, (ZREG_X15), ((uint64_t)(gc_possible_root)));
						} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
					dasm_put(Dst, 83492, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
						} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
					dasm_put(Dst, 83496, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
							if (((uintptr_t)(gc_possible_root)) & 0xfff) {
					dasm_put(Dst, 83500, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
							}
						} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
					dasm_put(Dst, 83505, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
							if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
					dasm_put(Dst, 83509, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
							}
							if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
					dasm_put(Dst, 83513, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
					dasm_put(Dst, 83517, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
							if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
					dasm_put(Dst, 83521, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83525, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					dasm_put(Dst, 83529, (ZREG_X15));
						}
							}
							if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
					dasm_put(Dst, 83532);
							}
					dasm_put(Dst, 83535);
						}
						}
#line 10491 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				if (smart_branch_opcode &&
				    (opline->op1_type & (IS_VAR|IS_TMP_VAR)) &&
				    (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((op1_info) & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						//|	// if (Z_REFCOUNTED_P(cv)) {
						//|	IF_ZVAL_REFCOUNTED op1_addr, >1, ZREG_TMP1, ZREG_TMP2
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
						dasm_put(Dst, 83537, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
						dasm_put(Dst, 83541, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
						dasm_put(Dst, 83545, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 83549, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 83553, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
							} else {
						dasm_put(Dst, 83558, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
							}
							if (IS_TYPE_REFCOUNTED == 0) {
						dasm_put(Dst, 83563, (ZREG_X15));
							} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
						dasm_put(Dst, 83566, (ZREG_X15), IS_TYPE_REFCOUNTED);
							} else {
							if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
						dasm_put(Dst, 83570, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
							} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
						dasm_put(Dst, 83574, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
								if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
						dasm_put(Dst, 83578, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 83582, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						dasm_put(Dst, 83586, (ZREG_X15), (ZREG_X16));
							}
#line 10499 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						//|.cold_code
						dasm_put(Dst, 83590);
#line 10500 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						//|1:
						dasm_put(Dst, 83593);
#line 10501 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	// if (!Z_DELREF_P(cv)) {
					//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 83595, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 83598, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 83601, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 83604, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 83607, (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 83610, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
#line 10504 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GC_DELREF FCARG1x, TMP1w
					dasm_put(Dst, 83614);
#line 10505 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (RC_MAY_BE_1(op1_info)) {
						if (RC_MAY_BE_N(op1_info)) {
							//|	bne >3
							dasm_put(Dst, 83618);
#line 10508 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						if (op1_info & MAY_BE_REF) {
							//|	ldrb REG0w, [REG0, #offsetof(zval,u1.v.type)]
							dasm_put(Dst, 83621, offsetof(zval,u1.v.type));
#line 10511 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, REG0w, FP, (opline->op1.var + offsetof(zval,u1.v.type)), TMP1
								if (((uintptr_t)((opline->op1.var + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
								if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
							dasm_put(Dst, 83624, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))));
								} else if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff)) {
							dasm_put(Dst, 83627, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff));
									if ((((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
							dasm_put(Dst, 83630, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 83633, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
								}
							dasm_put(Dst, 83636);
								} else {
							dasm_put(Dst, 83638, ((opline->op1.var + offsetof(zval,u1.v.type))));
								}
#line 10513 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						//|	str REG0w, T1 // save
						//|	// zval_dtor_func(r);
						//|	ZVAL_DTOR_FUNC op1_info, opline, TMP1
						dasm_put(Dst, 83641);
							do {
								if (!((op1_info) & MAY_BE_GUARD)
								 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
									zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
									if (type == IS_STRING && !ZEND_DEBUG) {
							if (arm64_may_use_b(_efree)) {
						dasm_put(Dst, 83643, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
							} else {
							if (((uintptr_t)(_efree)) == 0) {
						dasm_put(Dst, 83646);
							} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
						dasm_put(Dst, 83648, ((uint64_t)(_efree)));
							} else if (arm64_may_use_adr((void*)(_efree))) {
						dasm_put(Dst, 83651, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
							} else if (arm64_may_use_adrp((void*)(_efree))) {
						dasm_put(Dst, 83654, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
								if (((uintptr_t)(_efree)) & 0xfff) {
						dasm_put(Dst, 83657, (((uintptr_t)(_efree)) & 0xfff));
								}
							} else if ((uintptr_t)(_efree) & 0xffff) {
						dasm_put(Dst, 83660, ((uintptr_t)(_efree) & 0xffff));
								if (((uintptr_t)(_efree) >> 16) & 0xffff) {
						dasm_put(Dst, 83663, (((uintptr_t)(_efree) >> 16) & 0xffff));
								}
								if (((uintptr_t)(_efree) >> 32) & 0xffff) {
						dasm_put(Dst, 83666, (((uintptr_t)(_efree) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
						dasm_put(Dst, 83669, (((uintptr_t)(_efree) >> 16) & 0xffff));
								if (((uintptr_t)(_efree) >> 32) & 0xffff) {
						dasm_put(Dst, 83672, (((uintptr_t)(_efree) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 83675, (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						dasm_put(Dst, 83678);
							}
										break;
									} else if (type == IS_ARRAY) {
										if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
											if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
							if (opline == last_valid_opline) {
								zend_jit_use_last_valid_opline();
							if (GCC_GLOBAL_REGS) {
						dasm_put(Dst, 83680, Dt1(->opline));
							}
							} else {
							if (((uintptr_t)(opline)) == 0) {
						dasm_put(Dst, 83683);
							} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
						dasm_put(Dst, 83685, ((uint64_t)(opline)));
							} else if (arm64_may_use_adr((void*)(opline))) {
						dasm_put(Dst, 83688, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
							} else if (arm64_may_use_adrp((void*)(opline))) {
						dasm_put(Dst, 83691, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
								if (((uintptr_t)(opline)) & 0xfff) {
						dasm_put(Dst, 83694, (((uintptr_t)(opline)) & 0xfff));
								}
							} else if ((uintptr_t)(opline) & 0xffff) {
						dasm_put(Dst, 83697, ((uintptr_t)(opline) & 0xffff));
								if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 83700, (((uintptr_t)(opline) >> 16) & 0xffff));
								}
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 83703, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 83706, (((uintptr_t)(opline) >> 16) & 0xffff));
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 83709, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 83712, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						dasm_put(Dst, 83715, Dt1(->opline));
								if (!GCC_GLOBAL_REGS) {
									zend_jit_reset_last_valid_opline();
								}
							}
											}
							if (arm64_may_use_b(zend_array_destroy)) {
						dasm_put(Dst, 83718, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
							} else {
							if (((uintptr_t)(zend_array_destroy)) == 0) {
						dasm_put(Dst, 83721);
							} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
						dasm_put(Dst, 83723, ((uint64_t)(zend_array_destroy)));
							} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
						dasm_put(Dst, 83726, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
						dasm_put(Dst, 83729, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
								if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
						dasm_put(Dst, 83732, (((uintptr_t)(zend_array_destroy)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
						dasm_put(Dst, 83735, ((uintptr_t)(zend_array_destroy) & 0xffff));
								if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
						dasm_put(Dst, 83738, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
						dasm_put(Dst, 83741, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
						dasm_put(Dst, 83744, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
								if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
						dasm_put(Dst, 83747, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 83750, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						dasm_put(Dst, 83753);
							}
										} else {
							if (arm64_may_use_b(zend_jit_array_free)) {
						dasm_put(Dst, 83755, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
							} else {
							if (((uintptr_t)(zend_jit_array_free)) == 0) {
						dasm_put(Dst, 83758);
							} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
						dasm_put(Dst, 83760, ((uint64_t)(zend_jit_array_free)));
							} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
						dasm_put(Dst, 83763, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
						dasm_put(Dst, 83766, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
								if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
						dasm_put(Dst, 83769, (((uintptr_t)(zend_jit_array_free)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
						dasm_put(Dst, 83772, ((uintptr_t)(zend_jit_array_free) & 0xffff));
								if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
						dasm_put(Dst, 83775, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
						dasm_put(Dst, 83778, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
						dasm_put(Dst, 83781, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
						dasm_put(Dst, 83784, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 83787, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						dasm_put(Dst, 83790);
							}
										}
										break;
									} else if (type == IS_OBJECT) {
										if (opline) {
							if (opline == last_valid_opline) {
								zend_jit_use_last_valid_opline();
							if (GCC_GLOBAL_REGS) {
						dasm_put(Dst, 83792, Dt1(->opline));
							}
							} else {
							if (((uintptr_t)(opline)) == 0) {
						dasm_put(Dst, 83795);
							} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
						dasm_put(Dst, 83797, ((uint64_t)(opline)));
							} else if (arm64_may_use_adr((void*)(opline))) {
						dasm_put(Dst, 83800, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
							} else if (arm64_may_use_adrp((void*)(opline))) {
						dasm_put(Dst, 83803, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
								if (((uintptr_t)(opline)) & 0xfff) {
						dasm_put(Dst, 83806, (((uintptr_t)(opline)) & 0xfff));
								}
							} else if ((uintptr_t)(opline) & 0xffff) {
						dasm_put(Dst, 83809, ((uintptr_t)(opline) & 0xffff));
								if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 83812, (((uintptr_t)(opline) >> 16) & 0xffff));
								}
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 83815, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 83818, (((uintptr_t)(opline) >> 16) & 0xffff));
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 83821, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 83824, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						dasm_put(Dst, 83827, Dt1(->opline));
								if (!GCC_GLOBAL_REGS) {
									zend_jit_reset_last_valid_opline();
								}
							}
										}
							if (arm64_may_use_b(zend_objects_store_del)) {
						dasm_put(Dst, 83830, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
							} else {
							if (((uintptr_t)(zend_objects_store_del)) == 0) {
						dasm_put(Dst, 83833);
							} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
						dasm_put(Dst, 83835, ((uint64_t)(zend_objects_store_del)));
							} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
						dasm_put(Dst, 83838, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
						dasm_put(Dst, 83841, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
								if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
						dasm_put(Dst, 83844, (((uintptr_t)(zend_objects_store_del)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
						dasm_put(Dst, 83847, ((uintptr_t)(zend_objects_store_del) & 0xffff));
								if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
						dasm_put(Dst, 83850, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
						dasm_put(Dst, 83853, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
						dasm_put(Dst, 83856, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
								if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
						dasm_put(Dst, 83859, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 83862, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						dasm_put(Dst, 83865);
							}
										break;
									}
								}
								if (opline) {
							if (opline == last_valid_opline) {
								zend_jit_use_last_valid_opline();
							if (GCC_GLOBAL_REGS) {
						dasm_put(Dst, 83867, Dt1(->opline));
							}
							} else {
							if (((uintptr_t)(opline)) == 0) {
						dasm_put(Dst, 83870);
							} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
						dasm_put(Dst, 83872, ((uint64_t)(opline)));
							} else if (arm64_may_use_adr((void*)(opline))) {
						dasm_put(Dst, 83875, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
							} else if (arm64_may_use_adrp((void*)(opline))) {
						dasm_put(Dst, 83878, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
								if (((uintptr_t)(opline)) & 0xfff) {
						dasm_put(Dst, 83881, (((uintptr_t)(opline)) & 0xfff));
								}
							} else if ((uintptr_t)(opline) & 0xffff) {
						dasm_put(Dst, 83884, ((uintptr_t)(opline) & 0xffff));
								if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 83887, (((uintptr_t)(opline) >> 16) & 0xffff));
								}
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 83890, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
						dasm_put(Dst, 83893, (((uintptr_t)(opline) >> 16) & 0xffff));
								if (((uintptr_t)(opline) >> 32) & 0xffff) {
						dasm_put(Dst, 83896, (((uintptr_t)(opline) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 83899, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						dasm_put(Dst, 83902, Dt1(->opline));
								if (!GCC_GLOBAL_REGS) {
									zend_jit_reset_last_valid_opline();
								}
							}
								}
							if (arm64_may_use_b(rc_dtor_func)) {
						dasm_put(Dst, 83905, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
							} else {
							if (((uintptr_t)(rc_dtor_func)) == 0) {
						dasm_put(Dst, 83908);
							} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
						dasm_put(Dst, 83910, ((uint64_t)(rc_dtor_func)));
							} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
						dasm_put(Dst, 83913, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
							} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
						dasm_put(Dst, 83916, (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
								if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
						dasm_put(Dst, 83919, (((uintptr_t)(rc_dtor_func)) & 0xfff));
								}
							} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
						dasm_put(Dst, 83922, ((uintptr_t)(rc_dtor_func) & 0xffff));
								if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
						dasm_put(Dst, 83925, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
								}
								if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
						dasm_put(Dst, 83928, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
						dasm_put(Dst, 83931, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
								if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
						dasm_put(Dst, 83934, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 83937, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						dasm_put(Dst, 83940);
							}
							} while(0);
#line 10517 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	ldr REG1w, T1 // restore
						//|	b >2
						dasm_put(Dst, 83942);
#line 10519 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					if ((op1_info) & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (!RC_MAY_BE_1(op1_info)) {
							//|	b >3
							dasm_put(Dst, 83946);
#line 10523 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
						//|.code
						dasm_put(Dst, 83949);
#line 10525 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|3:
					dasm_put(Dst, 83950);
#line 10527 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (op1_info & MAY_BE_REF) {
						//|	ldrb REG1w, [REG0, #offsetof(zval,u1.v.type)]
						dasm_put(Dst, 83952, offsetof(zval,u1.v.type));
#line 10529 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, REG1w, FP, (opline->op1.var + offsetof(zval,u1.v.type)), TMP1
							if (((uintptr_t)((opline->op1.var + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
							if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
						dasm_put(Dst, 83955, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))));
							} else if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff)) {
						dasm_put(Dst, 83958, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff));
								if ((((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
						dasm_put(Dst, 83961, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 83964, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
							}
						dasm_put(Dst, 83967);
							} else {
						dasm_put(Dst, 83969, ((opline->op1.var + offsetof(zval,u1.v.type))));
							}
#line 10531 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|2:
					dasm_put(Dst, 83972);
#line 10533 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					// Note: 'type' is of uchar type and holds a positive value,
					// hence it's safe to directly encode it as the imm field of 'cmp' instruction.
					//|	cmp REG1w, #type
					dasm_put(Dst, 83974, type);
#line 10536 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					if (op1_info & MAY_BE_REF) {
						//|	ldrb TMP1w, [REG0, #offsetof(zval,u1.v.type)]
						//|	cmp TMP1w, #type
						dasm_put(Dst, 83977, offsetof(zval,u1.v.type), type);
#line 10540 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, TMP1w, FP, (opline->op1.var + offsetof(zval,u1.v.type)), TMP1
							if (((uintptr_t)((opline->op1.var + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
							if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
						dasm_put(Dst, 83982, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type)))));
							} else if (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff)) {
						dasm_put(Dst, 83985, ((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) & 0xffff));
								if ((((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
						dasm_put(Dst, 83988, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 83991, (((uint32_t)((opline->op1.var + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
							}
						dasm_put(Dst, 83994);
							} else {
						dasm_put(Dst, 83996, ((opline->op1.var + offsetof(zval,u1.v.type))));
							}
#line 10542 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						//|	cmp TMP1w, #type
						dasm_put(Dst, 83999, type);
#line 10543 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				if (exit_addr) {
					if (invert) {
						if (smart_branch_opcode == ZEND_JMPNZ) {
							//|	bne &exit_addr
							dasm_put(Dst, 84002, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10549 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	beq &exit_addr
							dasm_put(Dst, 84005, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10551 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					} else {
						if (smart_branch_opcode == ZEND_JMPNZ) {
							//|	beq &exit_addr
							dasm_put(Dst, 84008, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10555 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	bne &exit_addr
							dasm_put(Dst, 84011, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 10557 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
				} else if (smart_branch_opcode) {
					if (invert) {
						if (smart_branch_opcode == ZEND_JMPZ) {
							//|	beq =>target_label
							dasm_put(Dst, 84014, target_label);
#line 10563 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else if (smart_branch_opcode == ZEND_JMPNZ) {
							//|	bne =>target_label
							dasm_put(Dst, 84017, target_label);
#line 10565 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							ZEND_UNREACHABLE();
						}
					} else {
						if (smart_branch_opcode == ZEND_JMPZ) {
							//|	bne =>target_label
							dasm_put(Dst, 84020, target_label);
#line 10571 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else if (smart_branch_opcode == ZEND_JMPNZ) {
							//|	beq =>target_label
							dasm_put(Dst, 84023, target_label);
#line 10573 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							ZEND_UNREACHABLE();
						}
					}
				} else {
					zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

					if (invert) {
						//|	cset REG0w, ne
						dasm_put(Dst, 84026);
#line 10582 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	cset REG0w, eq
						dasm_put(Dst, 84028);
#line 10584 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	add REG0w, REG0w, #2
					//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
					dasm_put(Dst, 84030);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 84032, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 84035, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 84038, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84041, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84044, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 84047, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 10587 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
						if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
							zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
						if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
							if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
								if (1) {
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 84051, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 84055, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 84059, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84063, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84067, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 84072, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 84077, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 84080, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 84084, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 84088, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 84092, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84096, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84100, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 84104);
					dasm_put(Dst, 84107);
								} else {
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 84109, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 84113, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 84117, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84121, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84125, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 84130, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 84135, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 84138, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 84142, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 84146, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 84150, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84154, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84158, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 84162);
								}
							}
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 84165, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
						} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
					dasm_put(Dst, 84169, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 84173, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84177, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84181, (Z_REG(addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 84185, (Z_REG(addr)), (Z_OFFSET(addr)));
						}
					dasm_put(Dst, 84189, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
							if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
								if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
									if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					dasm_put(Dst, 84197);
									} else {
					dasm_put(Dst, 84200);
									}
								}
						do {
							if (!((op1_info) & MAY_BE_GUARD)
							 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
								zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
								if (type == IS_STRING && !ZEND_DEBUG) {
						if (arm64_may_use_b(_efree)) {
					dasm_put(Dst, 84203, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
						} else {
						if (((uintptr_t)(_efree)) == 0) {
					dasm_put(Dst, 84206, (ZREG_X15));
						} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
					dasm_put(Dst, 84209, (ZREG_X15), ((uint64_t)(_efree)));
						} else if (arm64_may_use_adr((void*)(_efree))) {
					dasm_put(Dst, 84213, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
						} else if (arm64_may_use_adrp((void*)(_efree))) {
					dasm_put(Dst, 84217, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
							if (((uintptr_t)(_efree)) & 0xfff) {
					dasm_put(Dst, 84221, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
							}
						} else if ((uintptr_t)(_efree) & 0xffff) {
					dasm_put(Dst, 84226, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
							if (((uintptr_t)(_efree) >> 16) & 0xffff) {
					dasm_put(Dst, 84230, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
							}
							if (((uintptr_t)(_efree) >> 32) & 0xffff) {
					dasm_put(Dst, 84234, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
					dasm_put(Dst, 84238, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
							if (((uintptr_t)(_efree) >> 32) & 0xffff) {
					dasm_put(Dst, 84242, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84246, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					dasm_put(Dst, 84250, (ZREG_X15));
						}
									break;
								} else if (type == IS_ARRAY) {
									if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
										if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 84253, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 84256, (ZREG_X15));
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 84259, (ZREG_X15), ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 84263, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 84267, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 84271, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 84276, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 84280, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 84284, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 84288, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 84292, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84296, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 84300, (ZREG_X15), Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
										}
						if (arm64_may_use_b(zend_array_destroy)) {
					dasm_put(Dst, 84304, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
						} else {
						if (((uintptr_t)(zend_array_destroy)) == 0) {
					dasm_put(Dst, 84307, (ZREG_X15));
						} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
					dasm_put(Dst, 84310, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
						} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
					dasm_put(Dst, 84314, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
					dasm_put(Dst, 84318, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
							if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
					dasm_put(Dst, 84322, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
					dasm_put(Dst, 84327, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
							if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
					dasm_put(Dst, 84331, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
					dasm_put(Dst, 84335, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
					dasm_put(Dst, 84339, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
							if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
					dasm_put(Dst, 84343, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84347, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					dasm_put(Dst, 84351, (ZREG_X15));
						}
									} else {
						if (arm64_may_use_b(zend_jit_array_free)) {
					dasm_put(Dst, 84354, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
						} else {
						if (((uintptr_t)(zend_jit_array_free)) == 0) {
					dasm_put(Dst, 84357, (ZREG_X15));
						} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
					dasm_put(Dst, 84360, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
						} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
					dasm_put(Dst, 84364, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
					dasm_put(Dst, 84368, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
							if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
					dasm_put(Dst, 84372, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
					dasm_put(Dst, 84377, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
							if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
					dasm_put(Dst, 84381, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
					dasm_put(Dst, 84385, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
					dasm_put(Dst, 84389, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
					dasm_put(Dst, 84393, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84397, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					dasm_put(Dst, 84401, (ZREG_X15));
						}
									}
									break;
								} else if (type == IS_OBJECT) {
									if (opline) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 84404, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 84407);
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 84409, ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 84412, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 84415, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 84418, (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 84421, ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 84424, (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 84427, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 84430, (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 84433, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84436, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 84439, Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
									}
						if (arm64_may_use_b(zend_objects_store_del)) {
					dasm_put(Dst, 84442, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
						} else {
						if (((uintptr_t)(zend_objects_store_del)) == 0) {
					dasm_put(Dst, 84445, (ZREG_X15));
						} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
					dasm_put(Dst, 84448, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
						} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
					dasm_put(Dst, 84452, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
					dasm_put(Dst, 84456, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
							if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
					dasm_put(Dst, 84460, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
					dasm_put(Dst, 84465, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
							if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
					dasm_put(Dst, 84469, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
					dasm_put(Dst, 84473, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
					dasm_put(Dst, 84477, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
							if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
					dasm_put(Dst, 84481, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84485, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					dasm_put(Dst, 84489, (ZREG_X15));
						}
									break;
								}
							}
							if (opline) {
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 84492, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 84495, (ZREG_X15));
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 84498, (ZREG_X15), ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 84502, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 84506, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 84510, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 84515, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 84519, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 84523, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 84527, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 84531, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84535, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 84539, (ZREG_X15), Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
							}
						if (arm64_may_use_b(rc_dtor_func)) {
					dasm_put(Dst, 84543, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
						} else {
						if (((uintptr_t)(rc_dtor_func)) == 0) {
					dasm_put(Dst, 84546, (ZREG_X15));
						} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
					dasm_put(Dst, 84549, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
						} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
					dasm_put(Dst, 84553, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
						} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
					dasm_put(Dst, 84557, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
							if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
					dasm_put(Dst, 84561, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
							}
						} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
					dasm_put(Dst, 84566, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
							if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
					dasm_put(Dst, 84570, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
							}
							if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
					dasm_put(Dst, 84574, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
					dasm_put(Dst, 84578, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
							if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
					dasm_put(Dst, 84582, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84586, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					dasm_put(Dst, 84590, (ZREG_X15));
						}
						} while(0);
								if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					dasm_put(Dst, 84593);
								}
					dasm_put(Dst, 84596);
							}
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
								if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
									zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
						ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 84598, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 84602, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 84606, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84610, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84614, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 84619, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 84624, (ZREG_X15));
						} else {
					dasm_put(Dst, 84628, (ZREG_X15), IS_REFERENCE);
						}
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 84634, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 84638, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 84642, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84646, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84650, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 84655, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_COLLECTABLE == 0) {
					dasm_put(Dst, 84660, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
					dasm_put(Dst, 84663, (ZREG_X15), IS_TYPE_COLLECTABLE);
						} else {
						if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
					dasm_put(Dst, 84667, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
						} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
					dasm_put(Dst, 84671, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
							if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
					dasm_put(Dst, 84675, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84679, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84683, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 84687);
						ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 84690, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
						} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
					dasm_put(Dst, 84694, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 84698, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84702, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84706, (Z_REG(ref_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 84710, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
						}
					dasm_put(Dst, 84714);
								}
					dasm_put(Dst, 84716, (ZREG_X15));
						if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
					dasm_put(Dst, 84719, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
					dasm_put(Dst, 84722, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
						} else {
						if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
					dasm_put(Dst, 84726, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
						} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
					dasm_put(Dst, 84730, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
							if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
					dasm_put(Dst, 84734, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84738, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
						}
					dasm_put(Dst, 84742, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 84746);
						if (arm64_may_use_b(gc_possible_root)) {
					dasm_put(Dst, 84749, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
						} else {
						if (((uintptr_t)(gc_possible_root)) == 0) {
					dasm_put(Dst, 84752, (ZREG_X15));
						} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
					dasm_put(Dst, 84755, (ZREG_X15), ((uint64_t)(gc_possible_root)));
						} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
					dasm_put(Dst, 84759, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
						} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
					dasm_put(Dst, 84763, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
							if (((uintptr_t)(gc_possible_root)) & 0xfff) {
					dasm_put(Dst, 84767, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
							}
						} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
					dasm_put(Dst, 84772, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
							if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
					dasm_put(Dst, 84776, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
							}
							if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
					dasm_put(Dst, 84780, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
					dasm_put(Dst, 84784, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
							if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
					dasm_put(Dst, 84788, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 84792, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
						}
					dasm_put(Dst, 84796, (ZREG_X15));
						}
							}
							if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
					dasm_put(Dst, 84799);
							}
					dasm_put(Dst, 84802);
						}
						}
#line 10588 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
	    }
	}

	//|7:
	dasm_put(Dst, 84804);
#line 10594 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_leave_frame(dasm_State **Dst)
{
	//|	// EG(current_execute_data) = EX(prev_execute_data);
	//|	ldr REG0, EX->prev_execute_data
	//|	MEM_STORE_64_ZTS str, REG0, executor_globals, current_execute_data, REG2
	dasm_put(Dst, 84806, Dt1(->prev_execute_data));
		if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 84809, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 84813, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
	dasm_put(Dst, 84818);
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
	dasm_put(Dst, 84820, ((uint64_t)(&executor_globals.current_execute_data)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 84823, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 84826, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
			if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
	dasm_put(Dst, 84829, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
	dasm_put(Dst, 84832, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 84835, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 84838, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 84841, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 84844, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 84847, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
		}
	dasm_put(Dst, 84850);
		}
#line 10603 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_free_cvs(dasm_State **Dst)
{
	//|	// EG(current_execute_data) = EX(prev_execute_data);
	//|	ldr FCARG1x, EX->prev_execute_data
	//|	MEM_STORE_64_ZTS str, FCARG1x, executor_globals, current_execute_data, REG0
	dasm_put(Dst, 84852, Dt1(->prev_execute_data));
		if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 84855, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 84859, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
	dasm_put(Dst, 84864);
		} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
	dasm_put(Dst, 84866, ((uint64_t)(&executor_globals.current_execute_data)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 84869, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
	dasm_put(Dst, 84872, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
			if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
	dasm_put(Dst, 84875, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
	dasm_put(Dst, 84878, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 84881, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 84884, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
	dasm_put(Dst, 84887, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
	dasm_put(Dst, 84890, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 84893, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
		}
	dasm_put(Dst, 84896);
		}
#line 10611 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// zend_free_compiled_variables(execute_data);
	//|	mov FCARG1x, FP
	//|	EXT_CALL zend_free_compiled_variables, REG0
	dasm_put(Dst, 84898);
		if (arm64_may_use_b(zend_free_compiled_variables)) {
	dasm_put(Dst, 84900, (unsigned int)((ptrdiff_t)(zend_free_compiled_variables)), (unsigned int)(((ptrdiff_t)(zend_free_compiled_variables))>>32));
		} else {
		if (((uintptr_t)(zend_free_compiled_variables)) == 0) {
	dasm_put(Dst, 84903);
		} else if (((uintptr_t)(zend_free_compiled_variables)) <= MOVZ_IMM) {
	dasm_put(Dst, 84905, ((uint64_t)(zend_free_compiled_variables)));
		} else if (arm64_may_use_adr((void*)(zend_free_compiled_variables))) {
	dasm_put(Dst, 84908, (unsigned int)((ptrdiff_t)(zend_free_compiled_variables)), (unsigned int)(((ptrdiff_t)(zend_free_compiled_variables))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_free_compiled_variables))) {
	dasm_put(Dst, 84911, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_free_compiled_variables))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_free_compiled_variables)))))>>32));
			if (((uintptr_t)(zend_free_compiled_variables)) & 0xfff) {
	dasm_put(Dst, 84914, (((uintptr_t)(zend_free_compiled_variables)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_free_compiled_variables) & 0xffff) {
	dasm_put(Dst, 84917, ((uintptr_t)(zend_free_compiled_variables) & 0xffff));
			if (((uintptr_t)(zend_free_compiled_variables) >> 16) & 0xffff) {
	dasm_put(Dst, 84920, (((uintptr_t)(zend_free_compiled_variables) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_free_compiled_variables) >> 32) & 0xffff) {
	dasm_put(Dst, 84923, (((uintptr_t)(zend_free_compiled_variables) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_free_compiled_variables) >> 16) & 0xffff) {
	dasm_put(Dst, 84926, (((uintptr_t)(zend_free_compiled_variables) >> 16) & 0xffff));
			if (((uintptr_t)(zend_free_compiled_variables) >> 32) & 0xffff) {
	dasm_put(Dst, 84929, (((uintptr_t)(zend_free_compiled_variables) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 84932, (((uintptr_t)(zend_free_compiled_variables) >> 32) & 0xffff));
		}
	dasm_put(Dst, 84935);
		}
#line 10614 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_free_cv(dasm_State **Dst, uint32_t info, uint32_t var)
{
	if (info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF)) {
		uint32_t offset = EX_NUM_TO_VAR(var);
		zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, offset);
		//|	ZVAL_PTR_DTOR addr, info, 1, 1, NULL, ZREG_TMP1, ZREG_TMP2
			if ((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (1) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 84937, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 84941, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 84945, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 84949, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 84953, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 84958, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 84963, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 84966, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 84970, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 84974, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 84978, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 84982, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 84986, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 84990);
		dasm_put(Dst, 84993);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 84995, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 84999, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 85003, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85007, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85011, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 85016, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 85021, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 85024, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 85028, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 85032, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 85036, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85040, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85044, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 85048);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 85051, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 85055, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 85059, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85063, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85067, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 85071, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 85075, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((info) & MAY_BE_GUARD) || RC_MAY_BE_1(info)) {
					if (((info) & MAY_BE_GUARD) || RC_MAY_BE_N(info)) {
						if (1 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 85083);
						} else {
		dasm_put(Dst, 85086);
						}
					}
			do {
				if (!((info) & MAY_BE_GUARD)
				 && has_concrete_type((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 85089, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 85092, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 85095, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 85099, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 85103, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 85107, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 85112, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 85116, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 85120, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 85124, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 85128, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85132, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85136, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (NULL && ((info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 85139, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 85142, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 85145, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 85149, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 85153, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 85157, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 85162, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 85166, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 85170, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 85174, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 85178, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85182, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85186, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 85190, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 85193, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 85196, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 85200, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 85204, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 85208, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 85213, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 85217, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 85221, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 85225, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 85229, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85233, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85237, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 85240, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 85243, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 85246, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 85250, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 85254, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 85258, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 85263, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 85267, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 85271, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 85275, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 85279, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85283, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85287, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 85290, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 85293);
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 85295, ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 85298, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 85301, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 85304, (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 85307, ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 85310, (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 85313, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 85316, (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 85319, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85322, (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85325, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 85328, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 85331, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 85334, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 85338, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 85342, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 85346, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 85351, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 85355, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 85359, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 85363, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 85367, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85371, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85375, (ZREG_X15));
			}
						break;
					}
				}
				if (NULL) {
			if (NULL == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 85378, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(NULL)) == 0) {
		dasm_put(Dst, 85381, (ZREG_X15));
			} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
		dasm_put(Dst, 85384, (ZREG_X15), ((uint64_t)(NULL)));
			} else if (arm64_may_use_adr((void*)(NULL))) {
		dasm_put(Dst, 85388, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
			} else if (arm64_may_use_adrp((void*)(NULL))) {
		dasm_put(Dst, 85392, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
				if (((uintptr_t)(NULL)) & 0xfff) {
		dasm_put(Dst, 85396, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
				}
			} else if ((uintptr_t)(NULL) & 0xffff) {
		dasm_put(Dst, 85401, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
				if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 85405, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 85409, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
		dasm_put(Dst, 85413, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
				if (((uintptr_t)(NULL) >> 32) & 0xffff) {
		dasm_put(Dst, 85417, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85421, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85425, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 85429, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 85432, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 85435, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 85439, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 85443, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 85447, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 85452, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 85456, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 85460, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 85464, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 85468, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85472, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85476, (ZREG_X15));
			}
			} while(0);
					if (1 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 85479);
					}
		dasm_put(Dst, 85482);
				}
				if (1 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 85484, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 85488, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 85492, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85496, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85500, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 85505, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 85510, (ZREG_X15));
			} else {
		dasm_put(Dst, 85514, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 85520, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 85524, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 85528, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85532, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85536, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 85541, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 85546, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 85549, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 85553, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 85557, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 85561, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85565, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85569, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 85573);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 85576, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 85580, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 85584, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85588, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85592, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 85596, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 85600);
					}
		dasm_put(Dst, 85602, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 85605, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 85608, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 85612, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 85616, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 85620, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85624, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85628, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 85632);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 85635, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 85638, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 85641, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 85645, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 85649, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 85653, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 85658, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 85662, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 85666, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 85670, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 85674, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85678, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85682, (ZREG_X15));
			}
				}
				if (1 && ((info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 85685);
				}
		dasm_put(Dst, 85688);
			}
#line 10623 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_free_op(dasm_State **Dst, const zend_op *opline, uint32_t info, uint32_t var_offset)
{
	if (info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF)) {
		zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, var_offset);
		//|	ZVAL_PTR_DTOR addr, info, 0, 1, opline, ZREG_TMP1, ZREG_TMP2
			if ((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (1) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 85690, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 85694, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 85698, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85702, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85706, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 85711, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 85716, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 85719, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 85723, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 85727, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 85731, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85735, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85739, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 85743);
		dasm_put(Dst, 85746);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 85748, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 85752, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 85756, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85760, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85764, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 85769, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 85774, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 85777, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 85781, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 85785, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 85789, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85793, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85797, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 85801);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 85804, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 85808, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 85812, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85816, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 85820, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 85824, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 85828, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((info) & MAY_BE_GUARD) || RC_MAY_BE_1(info)) {
					if (((info) & MAY_BE_GUARD) || RC_MAY_BE_N(info)) {
						if (0 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 85836);
						} else {
		dasm_put(Dst, 85839);
						}
					}
			do {
				if (!((info) & MAY_BE_GUARD)
				 && has_concrete_type((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 85842, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 85845, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 85848, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 85852, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 85856, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 85860, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 85865, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 85869, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 85873, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 85877, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 85881, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85885, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85889, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 85892, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 85895, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 85898, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 85902, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 85906, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 85910, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 85915, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 85919, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 85923, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 85927, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 85931, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85935, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85939, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 85943, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 85946, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 85949, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 85953, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 85957, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 85961, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 85966, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 85970, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 85974, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 85978, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 85982, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 85986, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 85990, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 85993, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 85996, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 85999, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 86003, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 86007, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 86011, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 86016, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 86020, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 86024, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 86028, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 86032, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86036, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86040, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 86043, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 86046);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 86048, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 86051, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 86054, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 86057, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 86060, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 86063, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 86066, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 86069, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 86072, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86075, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86078, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 86081, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 86084, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 86087, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 86091, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 86095, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 86099, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 86104, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 86108, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 86112, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 86116, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 86120, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86124, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86128, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 86131, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 86134, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 86137, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 86141, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 86145, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 86149, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 86154, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 86158, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 86162, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 86166, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 86170, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86174, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86178, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 86182, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 86185, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 86188, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 86192, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 86196, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 86200, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 86205, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 86209, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 86213, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 86217, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 86221, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86225, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86229, (ZREG_X15));
			}
			} while(0);
					if (0 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 86232);
					}
		dasm_put(Dst, 86235);
				}
				if (0 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 86237, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 86241, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 86245, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86249, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 86253, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 86258, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 86263, (ZREG_X15));
			} else {
		dasm_put(Dst, 86267, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 86273, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 86277, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 86281, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86285, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 86289, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 86294, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 86299, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 86302, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 86306, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 86310, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 86314, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86318, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 86322, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 86326);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 86329, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 86333, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 86337, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86341, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 86345, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 86349, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 86353);
					}
		dasm_put(Dst, 86355, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 86358, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 86361, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 86365, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 86369, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 86373, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86377, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 86381, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 86385);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 86388, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 86391, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 86394, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 86398, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 86402, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 86406, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 86411, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 86415, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 86419, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 86423, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 86427, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86431, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86435, (ZREG_X15));
			}
				}
				if (1 && ((info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 86438);
				}
		dasm_put(Dst, 86441);
			}
#line 10632 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_leave_func(dasm_State          **Dst,
                               const zend_op_array  *op_array,
                               const zend_op        *opline,
                               uint32_t              op1_info,
                               bool                  left_frame,
                               zend_jit_trace_rec   *trace,
                               zend_jit_trace_info  *trace_info,
                               int                   indirect_var_access,
                               int                   may_throw)
{
	bool may_be_top_frame =
		JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE ||
		!JIT_G(current_frame) ||
		!TRACE_FRAME_IS_NESTED(JIT_G(current_frame));
	bool may_need_call_helper =
		indirect_var_access || /* may have symbol table */
		!op_array->function_name || /* may have symbol table */
		may_be_top_frame ||
		(op_array->fn_flags & ZEND_ACC_VARIADIC) || /* may have extra named args */
		JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE ||
		!JIT_G(current_frame) ||
		TRACE_FRAME_NUM_ARGS(JIT_G(current_frame)) == -1 || /* unknown number of args */
		(uint32_t)TRACE_FRAME_NUM_ARGS(JIT_G(current_frame)) > op_array->num_args; /* extra args */
	bool may_need_release_this =
		!(op_array->fn_flags & ZEND_ACC_CLOSURE) &&
		op_array->scope &&
		!(op_array->fn_flags & ZEND_ACC_STATIC) &&
		(JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE ||
		 !JIT_G(current_frame) ||
		 !TRACE_FRAME_NO_NEED_RELEASE_THIS(JIT_G(current_frame)));

	if (may_need_call_helper || may_need_release_this) {
		//|	ldr FCARG1w, [FP, #offsetof(zend_execute_data, This.u1.type_info)]
		dasm_put(Dst, 86443, offsetof(zend_execute_data, This.u1.type_info));
#line 10669 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (may_need_call_helper) {
		if (!left_frame) {
			left_frame = 1;
		    if (!zend_jit_leave_frame(Dst)) {
				return 0;
		    }
		}
		/* ZEND_CALL_FAKE_CLOSURE handled on slow path to eliminate check for ZEND_CALL_CLOSURE on fast path */

		//|	TST_32_WITH_CONST FCARG1w, (ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE), TMP1w
			if ((ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE) == 0) {
		dasm_put(Dst, 86446);
			} else if (logical_immediate_p((uint32_t)(ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE), 32)) {
		dasm_put(Dst, 86448, (ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE));
			} else {
			if (((uint32_t)((ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE))) <= MOVZ_IMM) {
		dasm_put(Dst, 86451, ((uint32_t)((ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE))));
			} else if (((uint32_t)((ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE)) & 0xffff)) {
		dasm_put(Dst, 86454, ((uint32_t)((ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE)) & 0xffff));
				if ((((uint32_t)((ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE)) >> 16) & 0xffff)) {
		dasm_put(Dst, 86457, (((uint32_t)((ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86460, (((uint32_t)((ZEND_CALL_TOP|ZEND_CALL_HAS_SYMBOL_TABLE|ZEND_CALL_FREE_EXTRA_ARGS|ZEND_CALL_ALLOCATED|ZEND_CALL_HAS_EXTRA_NAMED_PARAMS|ZEND_CALL_FAKE_CLOSURE)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 86463);
			}
#line 10680 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (trace && trace->op != ZEND_JIT_TRACE_END) {
			//|	bne >1
			//|.cold_code
			dasm_put(Dst, 86465);
#line 10683 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 86468);
#line 10684 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!GCC_GLOBAL_REGS) {
				//|	mov FCARG1x, FP
				dasm_put(Dst, 86470);
#line 10686 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	EXT_CALL zend_jit_leave_func_helper, REG0
				if (arm64_may_use_b(zend_jit_leave_func_helper)) {
			dasm_put(Dst, 86472, (unsigned int)((ptrdiff_t)(zend_jit_leave_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_func_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_leave_func_helper)) == 0) {
			dasm_put(Dst, 86475);
				} else if (((uintptr_t)(zend_jit_leave_func_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 86477, ((uint64_t)(zend_jit_leave_func_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_leave_func_helper))) {
			dasm_put(Dst, 86480, (unsigned int)((ptrdiff_t)(zend_jit_leave_func_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_leave_func_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_leave_func_helper))) {
			dasm_put(Dst, 86483, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_leave_func_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_leave_func_helper)))))>>32));
					if (((uintptr_t)(zend_jit_leave_func_helper)) & 0xfff) {
			dasm_put(Dst, 86486, (((uintptr_t)(zend_jit_leave_func_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_leave_func_helper) & 0xffff) {
			dasm_put(Dst, 86489, ((uintptr_t)(zend_jit_leave_func_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_leave_func_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 86492, (((uintptr_t)(zend_jit_leave_func_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_leave_func_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 86495, (((uintptr_t)(zend_jit_leave_func_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_leave_func_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 86498, (((uintptr_t)(zend_jit_leave_func_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_leave_func_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 86501, (((uintptr_t)(zend_jit_leave_func_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 86504, (((uintptr_t)(zend_jit_leave_func_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 86507);
				}
#line 10688 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

			if (may_be_top_frame) {
				// TODO: try to avoid this check ???
				if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
#if 0
					/* this check should be handled by the following OPLINE guard */
					//|	LOAD_ADDR TMP1, zend_jit_halt_op
						if (((uintptr_t)(zend_jit_halt_op)) == 0) {
					dasm_put(Dst, 86509);
						} else if (((uintptr_t)(zend_jit_halt_op)) <= MOVZ_IMM) {
					dasm_put(Dst, 86511, ((uint64_t)(zend_jit_halt_op)));
						} else if (arm64_may_use_adr((void*)(zend_jit_halt_op))) {
					dasm_put(Dst, 86514, (unsigned int)((ptrdiff_t)(zend_jit_halt_op)), (unsigned int)(((ptrdiff_t)(zend_jit_halt_op))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_halt_op))) {
					dasm_put(Dst, 86517, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_halt_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_halt_op)))))>>32));
							if (((uintptr_t)(zend_jit_halt_op)) & 0xfff) {
					dasm_put(Dst, 86520, (((uintptr_t)(zend_jit_halt_op)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_halt_op) & 0xffff) {
					dasm_put(Dst, 86523, ((uintptr_t)(zend_jit_halt_op) & 0xffff));
							if (((uintptr_t)(zend_jit_halt_op) >> 16) & 0xffff) {
					dasm_put(Dst, 86526, (((uintptr_t)(zend_jit_halt_op) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff) {
					dasm_put(Dst, 86529, (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_halt_op) >> 16) & 0xffff) {
					dasm_put(Dst, 86532, (((uintptr_t)(zend_jit_halt_op) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff) {
					dasm_put(Dst, 86535, (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 86538, (((uintptr_t)(zend_jit_halt_op) >> 32) & 0xffff));
						}
#line 10695 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	cmp IP, TMP1
					//|	beq ->trace_halt
					dasm_put(Dst, 86541);
#line 10697 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
				} else if (GCC_GLOBAL_REGS) {
					//|	cbz IP, ->trace_halt
					dasm_put(Dst, 86545);
#line 10700 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	tst RETVALw, RETVALw
					//|	blt ->trace_halt
					dasm_put(Dst, 86548);
#line 10703 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}

			if (!GCC_GLOBAL_REGS) {
				//|	// execute_data = EG(current_execute_data)
				//|	MEM_LOAD_64_ZTS ldr, FP, executor_globals, current_execute_data, TMP1
					if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
				dasm_put(Dst, 86552, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
					} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
				dasm_put(Dst, 86556, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
					} else {
					if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
				dasm_put(Dst, 86561);
					} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
				dasm_put(Dst, 86563, ((uint64_t)(&executor_globals.current_execute_data)));
					} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
				dasm_put(Dst, 86566, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
					} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
				dasm_put(Dst, 86569, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
						if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
				dasm_put(Dst, 86572, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
						}
					} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
				dasm_put(Dst, 86575, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
						if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
				dasm_put(Dst, 86578, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
						}
						if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
				dasm_put(Dst, 86581, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
				dasm_put(Dst, 86584, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
						if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
				dasm_put(Dst, 86587, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 86590, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
					}
				dasm_put(Dst, 86593);
					}
#line 10709 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	b >8
			//|.code
			dasm_put(Dst, 86595);
#line 10712 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	bne ->leave_function_handler
			dasm_put(Dst, 86598);
#line 10714 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (op_array->fn_flags & ZEND_ACC_CLOSURE) {
		if (!left_frame) {
			left_frame = 1;
		    if (!zend_jit_leave_frame(Dst)) {
				return 0;
		    }
		}
		//|	// OBJ_RELEASE(ZEND_CLOSURE_OBJECT(EX(func)));
		//|	ldr FCARG1x, EX->func
		//|	sub FCARG1x, FCARG1x, #sizeof(zend_object)
		//|	OBJ_RELEASE ZREG_FCARG1, >4, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 86601, Dt1(->func), sizeof(zend_object), (ZREG_X15), (ZREG_FCARG1), (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_FCARG1));
			if (ZREG_FCARG1 != ZREG_FCARG1) {
		dasm_put(Dst, 86617, (ZREG_FCARG1));
			}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 86620, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 86623, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 86626, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 86630, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 86634, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 86638, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 86643, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 86647, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 86651, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 86655, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 86659, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86663, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86667, (ZREG_X15));
			}
		dasm_put(Dst, 86670, (ZREG_X15), (ZREG_FCARG1));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 86677, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 86680, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 86684, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 86688, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 86692, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86696, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 86700, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 86704);
			if (ZREG_FCARG1 != ZREG_FCARG1) {
		dasm_put(Dst, 86707, (ZREG_FCARG1));
			}
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 86710, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 86713, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 86716, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 86720, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 86724, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 86728, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 86733, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 86737, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 86741, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 86745, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 86749, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86753, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86757, (ZREG_X15));
			}
#line 10728 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|4:
		dasm_put(Dst, 86760);
#line 10729 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (may_need_release_this) {
		if (!left_frame) {
			left_frame = 1;
		    if (!zend_jit_leave_frame(Dst)) {
				return 0;
		    }
		}
		if (!JIT_G(current_frame) || !TRACE_FRAME_ALWAYS_RELEASE_THIS(JIT_G(current_frame))) {
			//|	// if (call_info & ZEND_CALL_RELEASE_THIS)
			//|	TST_32_WITH_CONST FCARG1w, ZEND_CALL_RELEASE_THIS, TMP1w
				if (ZEND_CALL_RELEASE_THIS == 0) {
			dasm_put(Dst, 86763);
				} else if (logical_immediate_p((uint32_t)ZEND_CALL_RELEASE_THIS, 32)) {
			dasm_put(Dst, 86765, ZEND_CALL_RELEASE_THIS);
				} else {
				if (((uint32_t)(ZEND_CALL_RELEASE_THIS)) <= MOVZ_IMM) {
			dasm_put(Dst, 86768, ((uint32_t)(ZEND_CALL_RELEASE_THIS)));
				} else if (((uint32_t)(ZEND_CALL_RELEASE_THIS) & 0xffff)) {
			dasm_put(Dst, 86771, ((uint32_t)(ZEND_CALL_RELEASE_THIS) & 0xffff));
					if ((((uint32_t)(ZEND_CALL_RELEASE_THIS) >> 16) & 0xffff)) {
			dasm_put(Dst, 86774, (((uint32_t)(ZEND_CALL_RELEASE_THIS) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 86777, (((uint32_t)(ZEND_CALL_RELEASE_THIS) >> 16) & 0xffff));
				}
			dasm_put(Dst, 86780);
				}
#line 10739 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	beq >4
			dasm_put(Dst, 86782);
#line 10740 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	// zend_object *object = Z_OBJ(execute_data->This);
		//|	ldr FCARG1x, EX->This.value.obj
		//|	// OBJ_RELEASE(object);
		//|	OBJ_RELEASE ZREG_FCARG1, >4, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 86785, Dt1(->This.value.obj), (ZREG_X15), (ZREG_FCARG1), (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_FCARG1));
			if (ZREG_FCARG1 != ZREG_FCARG1) {
		dasm_put(Dst, 86799, (ZREG_FCARG1));
			}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 86802, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 86805, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 86808, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 86812, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 86816, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 86820, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 86825, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 86829, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 86833, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 86837, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 86841, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86845, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86849, (ZREG_X15));
			}
		dasm_put(Dst, 86852, (ZREG_X15), (ZREG_FCARG1));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 86859, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 86862, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 86866, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 86870, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 86874, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86878, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 86882, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 86886);
			if (ZREG_FCARG1 != ZREG_FCARG1) {
		dasm_put(Dst, 86889, (ZREG_FCARG1));
			}
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 86892, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 86895, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 86898, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 86902, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 86906, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 86910, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 86915, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 86919, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 86923, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 86927, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 86931, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 86935, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 86939, (ZREG_X15));
			}
#line 10745 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|4:
		dasm_put(Dst, 86942);
#line 10746 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		// TODO: avoid EG(excption) check for $this->foo() calls
		may_throw = 1;
	}

	//|	// EG(vm_stack_top) = (zval*)execute_data;
	//|	MEM_STORE_64_ZTS str, FP, executor_globals, vm_stack_top, REG0
		if (((uintptr_t)(&executor_globals.vm_stack_top)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 86945, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
		} else if (((uintptr_t)(&executor_globals.vm_stack_top)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 86949, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32), (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.vm_stack_top)) == 0) {
	dasm_put(Dst, 86954);
		} else if (((uintptr_t)(&executor_globals.vm_stack_top)) <= MOVZ_IMM) {
	dasm_put(Dst, 86956, ((uint64_t)(&executor_globals.vm_stack_top)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 86959, (unsigned int)((ptrdiff_t)(&executor_globals.vm_stack_top)), (unsigned int)(((ptrdiff_t)(&executor_globals.vm_stack_top))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.vm_stack_top))) {
	dasm_put(Dst, 86962, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.vm_stack_top)))))>>32));
			if (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff) {
	dasm_put(Dst, 86965, (((uintptr_t)(&executor_globals.vm_stack_top)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff) {
	dasm_put(Dst, 86968, ((uintptr_t)(&executor_globals.vm_stack_top) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
	dasm_put(Dst, 86971, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
	dasm_put(Dst, 86974, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff) {
	dasm_put(Dst, 86977, (((uintptr_t)(&executor_globals.vm_stack_top) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff) {
	dasm_put(Dst, 86980, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 86983, (((uintptr_t)(&executor_globals.vm_stack_top) >> 32) & 0xffff));
		}
	dasm_put(Dst, 86986);
		}
#line 10752 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// execute_data = EX(prev_execute_data);
	//|	ldr FP, EX->prev_execute_data
	dasm_put(Dst, 86988, Dt1(->prev_execute_data));
#line 10754 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (!left_frame) {
		//|	// EG(current_execute_data) = execute_data;
		//|	MEM_STORE_64_ZTS str, FP, executor_globals, current_execute_data, REG0
			if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 86991, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 86995, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32), (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.current_execute_data)) == 0) {
		dasm_put(Dst, 87000);
			} else if (((uintptr_t)(&executor_globals.current_execute_data)) <= MOVZ_IMM) {
		dasm_put(Dst, 87002, ((uint64_t)(&executor_globals.current_execute_data)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 87005, (unsigned int)((ptrdiff_t)(&executor_globals.current_execute_data)), (unsigned int)(((ptrdiff_t)(&executor_globals.current_execute_data))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.current_execute_data))) {
		dasm_put(Dst, 87008, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.current_execute_data)))))>>32));
				if (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff) {
		dasm_put(Dst, 87011, (((uintptr_t)(&executor_globals.current_execute_data)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff) {
		dasm_put(Dst, 87014, ((uintptr_t)(&executor_globals.current_execute_data) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 87017, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 87020, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff) {
		dasm_put(Dst, 87023, (((uintptr_t)(&executor_globals.current_execute_data) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff) {
		dasm_put(Dst, 87026, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 87029, (((uintptr_t)(&executor_globals.current_execute_data) >> 32) & 0xffff));
			}
		dasm_put(Dst, 87032);
			}
#line 10758 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|9:
	dasm_put(Dst, 87034);
#line 10761 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (trace) {
		if (trace->op != ZEND_JIT_TRACE_END
		 && (JIT_G(current_frame) && !TRACE_FRAME_IS_UNKNOWN_RETURN(JIT_G(current_frame)))) {
			zend_jit_reset_last_valid_opline();
		} else {
			//|	LOAD_IP
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 87036, Dt1(->opline));
				}
#line 10767 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ADD_IP_WITH_CONST sizeof(zend_op), TMP1
				ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(sizeof(zend_op))));
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 87039, sizeof(zend_op));
				} else {
			dasm_put(Dst, 87042, Dt1(->opline), sizeof(zend_op), Dt1(->opline));
				}
#line 10768 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		//|8:
		dasm_put(Dst, 87049);
#line 10771 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		if (trace->op == ZEND_JIT_TRACE_BACK
		 && (!JIT_G(current_frame) || TRACE_FRAME_IS_UNKNOWN_RETURN(JIT_G(current_frame)))) {
			const zend_op *next_opline = trace->opline;

			if ((opline->op1_type & (IS_VAR|IS_TMP_VAR))
			 && (op1_info & MAY_BE_RC1)
			 && (op1_info & (MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_ARRAY))) {
				/* exception might be thrown during destruction of unused return value */
				//|	// if (EG(exception))
				//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, exception, TMP1
					if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 87051, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
					} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 87055, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
					} else {
					if (((uintptr_t)(&executor_globals.exception)) == 0) {
				dasm_put(Dst, 87060);
					} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
				dasm_put(Dst, 87062, ((uint64_t)(&executor_globals.exception)));
					} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 87065, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
					} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
				dasm_put(Dst, 87068, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
						if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
				dasm_put(Dst, 87071, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
						}
					} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
				dasm_put(Dst, 87074, ((uintptr_t)(&executor_globals.exception) & 0xffff));
						if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
				dasm_put(Dst, 87077, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
						}
						if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
				dasm_put(Dst, 87080, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
				dasm_put(Dst, 87083, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
						if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
				dasm_put(Dst, 87086, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 87089, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
					}
				dasm_put(Dst, 87092);
					}
#line 10782 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	cbnz REG0, ->leave_throw_handler
				dasm_put(Dst, 87094);
#line 10783 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			do {
				trace++;
			} while (trace->op == ZEND_JIT_TRACE_INIT_CALL);
			ZEND_ASSERT(trace->op == ZEND_JIT_TRACE_VM || trace->op == ZEND_JIT_TRACE_END);
			next_opline = trace->opline;
			ZEND_ASSERT(next_opline != NULL);

			if (trace->op == ZEND_JIT_TRACE_END
			 && trace->stop == ZEND_JIT_TRACE_STOP_RECURSIVE_RET) {
				trace_info->flags |= ZEND_JIT_TRACE_LOOP;
				//|	CMP_IP next_opline, TMP1, TMP2
					if (((uintptr_t)(next_opline)) == 0) {
				dasm_put(Dst, 87097);
					} else if (((uintptr_t)(next_opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 87099, ((uint64_t)(next_opline)));
					} else if (arm64_may_use_adr((void*)(next_opline))) {
				dasm_put(Dst, 87102, (unsigned int)((ptrdiff_t)(next_opline)), (unsigned int)(((ptrdiff_t)(next_opline))>>32));
					} else if (arm64_may_use_adrp((void*)(next_opline))) {
				dasm_put(Dst, 87105, (unsigned int)((ptrdiff_t)((((uintptr_t)(next_opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(next_opline)))))>>32));
						if (((uintptr_t)(next_opline)) & 0xfff) {
				dasm_put(Dst, 87108, (((uintptr_t)(next_opline)) & 0xfff));
						}
					} else if ((uintptr_t)(next_opline) & 0xffff) {
				dasm_put(Dst, 87111, ((uintptr_t)(next_opline) & 0xffff));
						if (((uintptr_t)(next_opline) >> 16) & 0xffff) {
				dasm_put(Dst, 87114, (((uintptr_t)(next_opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(next_opline) >> 32) & 0xffff) {
				dasm_put(Dst, 87117, (((uintptr_t)(next_opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(next_opline) >> 16) & 0xffff) {
				dasm_put(Dst, 87120, (((uintptr_t)(next_opline) >> 16) & 0xffff));
						if (((uintptr_t)(next_opline) >> 32) & 0xffff) {
				dasm_put(Dst, 87123, (((uintptr_t)(next_opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 87126, (((uintptr_t)(next_opline) >> 32) & 0xffff));
					}
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 87129);
					} else {
				dasm_put(Dst, 87131, Dt1(->opline));
					}
#line 10795 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	beq =>0 // LOOP
				dasm_put(Dst, 87135, 0);
#line 10796 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#ifdef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
				//|	JMP_IP TMP1
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 87138);
					} else {
				dasm_put(Dst, 87141, Dt1(->opline));
					}
#line 10798 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#else
				//|	b ->trace_escape
				dasm_put(Dst, 87145);
#line 10800 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
			} else {
				//|	CMP_IP next_opline, TMP1, TMP2
					if (((uintptr_t)(next_opline)) == 0) {
				dasm_put(Dst, 87148);
					} else if (((uintptr_t)(next_opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 87150, ((uint64_t)(next_opline)));
					} else if (arm64_may_use_adr((void*)(next_opline))) {
				dasm_put(Dst, 87153, (unsigned int)((ptrdiff_t)(next_opline)), (unsigned int)(((ptrdiff_t)(next_opline))>>32));
					} else if (arm64_may_use_adrp((void*)(next_opline))) {
				dasm_put(Dst, 87156, (unsigned int)((ptrdiff_t)((((uintptr_t)(next_opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(next_opline)))))>>32));
						if (((uintptr_t)(next_opline)) & 0xfff) {
				dasm_put(Dst, 87159, (((uintptr_t)(next_opline)) & 0xfff));
						}
					} else if ((uintptr_t)(next_opline) & 0xffff) {
				dasm_put(Dst, 87162, ((uintptr_t)(next_opline) & 0xffff));
						if (((uintptr_t)(next_opline) >> 16) & 0xffff) {
				dasm_put(Dst, 87165, (((uintptr_t)(next_opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(next_opline) >> 32) & 0xffff) {
				dasm_put(Dst, 87168, (((uintptr_t)(next_opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(next_opline) >> 16) & 0xffff) {
				dasm_put(Dst, 87171, (((uintptr_t)(next_opline) >> 16) & 0xffff));
						if (((uintptr_t)(next_opline) >> 32) & 0xffff) {
				dasm_put(Dst, 87174, (((uintptr_t)(next_opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 87177, (((uintptr_t)(next_opline) >> 32) & 0xffff));
					}
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 87180);
					} else {
				dasm_put(Dst, 87182, Dt1(->opline));
					}
#line 10803 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	bne ->trace_escape
				dasm_put(Dst, 87186);
#line 10804 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}

			zend_jit_set_last_valid_opline(trace->opline);

			return 1;
		} else if (may_throw ||
				(((opline->op1_type & (IS_VAR|IS_TMP_VAR))
				  && (op1_info & MAY_BE_RC1)
				  && (op1_info & (MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_ARRAY)))
				 && (!JIT_G(current_frame) || TRACE_FRAME_IS_RETURN_VALUE_UNUSED(JIT_G(current_frame))))) {
			//|	// if (EG(exception))
			//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, exception, TMP1
				if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
			dasm_put(Dst, 87189, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
				} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
			dasm_put(Dst, 87193, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
				} else {
				if (((uintptr_t)(&executor_globals.exception)) == 0) {
			dasm_put(Dst, 87198);
				} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
			dasm_put(Dst, 87200, ((uint64_t)(&executor_globals.exception)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
			dasm_put(Dst, 87203, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
			dasm_put(Dst, 87206, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
					if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
			dasm_put(Dst, 87209, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
			dasm_put(Dst, 87212, ((uintptr_t)(&executor_globals.exception) & 0xffff));
					if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
			dasm_put(Dst, 87215, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
			dasm_put(Dst, 87218, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
			dasm_put(Dst, 87221, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
			dasm_put(Dst, 87224, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 87227, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			dasm_put(Dst, 87230);
				}
#line 10816 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cbnz REG0, ->leave_throw_handler
			dasm_put(Dst, 87232);
#line 10817 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		return 1;
	} else {
		//|	// if (EG(exception))
		//|	MEM_LOAD_64_ZTS ldr, REG0, executor_globals, exception, TMP1
			if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 87235, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (((uintptr_t)(&executor_globals.exception)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 87239, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32), (((uintptr_t)(&executor_globals.exception)) & 0xfff));
			} else {
			if (((uintptr_t)(&executor_globals.exception)) == 0) {
		dasm_put(Dst, 87244);
			} else if (((uintptr_t)(&executor_globals.exception)) <= MOVZ_IMM) {
		dasm_put(Dst, 87246, ((uint64_t)(&executor_globals.exception)));
			} else if (arm64_may_use_adr((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 87249, (unsigned int)((ptrdiff_t)(&executor_globals.exception)), (unsigned int)(((ptrdiff_t)(&executor_globals.exception))>>32));
			} else if (arm64_may_use_adrp((void*)(&executor_globals.exception))) {
		dasm_put(Dst, 87252, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.exception))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.exception)))))>>32));
				if (((uintptr_t)(&executor_globals.exception)) & 0xfff) {
		dasm_put(Dst, 87255, (((uintptr_t)(&executor_globals.exception)) & 0xfff));
				}
			} else if ((uintptr_t)(&executor_globals.exception) & 0xffff) {
		dasm_put(Dst, 87258, ((uintptr_t)(&executor_globals.exception) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 87261, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				}
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 87264, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff) {
		dasm_put(Dst, 87267, (((uintptr_t)(&executor_globals.exception) >> 16) & 0xffff));
				if (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff) {
		dasm_put(Dst, 87270, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 87273, (((uintptr_t)(&executor_globals.exception) >> 32) & 0xffff));
			}
		dasm_put(Dst, 87276);
			}
#line 10823 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_IP
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 87278, Dt1(->opline));
			}
#line 10824 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbnz REG0, ->leave_throw_handler
		//|	// opline = EX(opline) + 1
		//|	ADD_IP_WITH_CONST sizeof(zend_op), TMP1
		dasm_put(Dst, 87281);
			ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(sizeof(zend_op))));
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 87284, sizeof(zend_op));
			} else {
		dasm_put(Dst, 87287, Dt1(->opline), sizeof(zend_op), Dt1(->opline));
			}
#line 10827 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (zend_jit_vm_kind == ZEND_VM_KIND_HYBRID) {
		//|	ADD_HYBRID_SPAD
		#ifndef ZEND_VM_HYBRID_JIT_RED_ZONE_SIZE
		dasm_put(Dst, 87294);
		#endif
#line 10831 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#ifdef CONTEXT_THREADED_JIT
		//|	NIY	// TODO: CONTEXT_THREADED_JIT is always undefined
			//ZEND_ASSERT(0);
		dasm_put(Dst, 87296);
#line 10833 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#else
		//|	JMP_IP TMP1
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 87298);
			} else {
		dasm_put(Dst, 87301, Dt1(->opline));
			}
#line 10835 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
	} else if (GCC_GLOBAL_REGS) {
		//|	ldp x29, x30, [sp], # SPAD // stack alignment
		dasm_put(Dst, 87305);
#line 10838 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#ifdef CONTEXT_THREADED_JIT
		//|	NIY	// TODO
			//ZEND_ASSERT(0);
		dasm_put(Dst, 87307);
#line 10840 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#else
		//|	JMP_IP TMP1
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 87309);
			} else {
		dasm_put(Dst, 87312, Dt1(->opline));
			}
#line 10842 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
	} else {
#ifdef CONTEXT_THREADED_JIT
		ZEND_UNREACHABLE();
		// TODO: context threading can't work without GLOBAL REGS because we have to change
		//       the value of execute_data in execute_ex()
		//|	NIY	// TODO
			//ZEND_ASSERT(0);
		dasm_put(Dst, 87316);
#line 10849 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#else
		//|	ldp FP, RX, T2                // restore FP and IP
		//|	ldp x29, x30, [sp], # NR_SPAD // stack alignment
		//|	mov RETVALx, #2               // ZEND_VM_LEAVE ????
		//|	ret
		dasm_put(Dst, 87318);
#line 10854 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
#endif
	}

	return 1;
}

static int zend_jit_return(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, uint32_t op1_info, zend_jit_addr op1_addr)
{
	zend_jit_addr ret_addr;
	int8_t return_value_used;

	ZEND_ASSERT(op_array->type != ZEND_EVAL_CODE && op_array->function_name);
	ZEND_ASSERT(!(op1_info & MAY_BE_UNDEF));

	if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE && JIT_G(current_frame)) {
		if (TRACE_FRAME_IS_RETURN_VALUE_USED(JIT_G(current_frame))) {
			return_value_used = 1;
		} else if (TRACE_FRAME_IS_RETURN_VALUE_UNUSED(JIT_G(current_frame))) {
			return_value_used = 0;
		} else {
			return_value_used = -1;
		}
	} else {
		return_value_used = -1;
	}

	if (ZEND_OBSERVER_ENABLED) {
		if (Z_MODE(op1_addr) == IS_REG) {
			zend_jit_addr dst = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);

			if (!zend_jit_spill_store(Dst, op1_addr, dst, op1_info, 1)) {
				return 0;
			}
			op1_addr = dst;
		}
		//|	LOAD_ZVAL_ADDR FCARG2x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 87323);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 87325, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 87328, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 87331, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 87334, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 87337, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 87340, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 87343, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 87346, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 87349, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 87352, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 87355, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 87358, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 87362, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 87365, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 87368, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 87371, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 87374, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 87377);
					} else {
		dasm_put(Dst, 87379, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 10890 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov FCARG1x, FP
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 87382);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 87384, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 87387);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 87389, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 87392, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 87395, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 87398, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 87401, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 87404, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 87407, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 87410, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 87413, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 87416, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 87419, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 10892 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_observer_fcall_end, REG0
			if (arm64_may_use_b(zend_observer_fcall_end)) {
		dasm_put(Dst, 87422, (unsigned int)((ptrdiff_t)(zend_observer_fcall_end)), (unsigned int)(((ptrdiff_t)(zend_observer_fcall_end))>>32));
			} else {
			if (((uintptr_t)(zend_observer_fcall_end)) == 0) {
		dasm_put(Dst, 87425);
			} else if (((uintptr_t)(zend_observer_fcall_end)) <= MOVZ_IMM) {
		dasm_put(Dst, 87427, ((uint64_t)(zend_observer_fcall_end)));
			} else if (arm64_may_use_adr((void*)(zend_observer_fcall_end))) {
		dasm_put(Dst, 87430, (unsigned int)((ptrdiff_t)(zend_observer_fcall_end)), (unsigned int)(((ptrdiff_t)(zend_observer_fcall_end))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_observer_fcall_end))) {
		dasm_put(Dst, 87433, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_observer_fcall_end))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_observer_fcall_end)))))>>32));
				if (((uintptr_t)(zend_observer_fcall_end)) & 0xfff) {
		dasm_put(Dst, 87436, (((uintptr_t)(zend_observer_fcall_end)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_observer_fcall_end) & 0xffff) {
		dasm_put(Dst, 87439, ((uintptr_t)(zend_observer_fcall_end) & 0xffff));
				if (((uintptr_t)(zend_observer_fcall_end) >> 16) & 0xffff) {
		dasm_put(Dst, 87442, (((uintptr_t)(zend_observer_fcall_end) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_observer_fcall_end) >> 32) & 0xffff) {
		dasm_put(Dst, 87445, (((uintptr_t)(zend_observer_fcall_end) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_observer_fcall_end) >> 16) & 0xffff) {
		dasm_put(Dst, 87448, (((uintptr_t)(zend_observer_fcall_end) >> 16) & 0xffff));
				if (((uintptr_t)(zend_observer_fcall_end) >> 32) & 0xffff) {
		dasm_put(Dst, 87451, (((uintptr_t)(zend_observer_fcall_end) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 87454, (((uintptr_t)(zend_observer_fcall_end) >> 32) & 0xffff));
			}
		dasm_put(Dst, 87457);
			}
#line 10893 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	// if (!EX(return_value))
	if (Z_MODE(op1_addr) == IS_REG && Z_REG(op1_addr) == ZREG_REG1) {
		if (return_value_used != 0) {
			//|	ldr REG2, EX->return_value
			dasm_put(Dst, 87459, Dt1(->return_value));
#line 10899 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		ret_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG2, 0);
	} else {
		if (return_value_used != 0) {
			//|	ldr REG1, EX->return_value
			dasm_put(Dst, 87462, Dt1(->return_value));
#line 10904 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		ret_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG1, 0);
	}
	if ((opline->op1_type & (IS_VAR|IS_TMP_VAR)) &&
	    (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
		if (return_value_used == -1) {
			//|	cbz Rx(Z_REG(ret_addr)), >1
			//|.cold_code
			dasm_put(Dst, 87465, (Z_REG(ret_addr)));
#line 10912 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 87469);
#line 10913 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (return_value_used != 1) {
			if (op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (jit_return_label >= 0) {
					//|	IF_NOT_ZVAL_REFCOUNTED op1_addr, =>jit_return_label, ZREG_TMP1, ZREG_TMP2
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 87471, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 87475, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 87479, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 87483, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 87487, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 87492, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 87497, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 87500, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 87504, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 87508, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 87512, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 87516, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 87520, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 87524, jit_return_label);
#line 10918 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_NOT_ZVAL_REFCOUNTED op1_addr, >9, ZREG_TMP1, ZREG_TMP2
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
					dasm_put(Dst, 87527, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
					dasm_put(Dst, 87531, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
					dasm_put(Dst, 87535, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 87539, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 87543, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 87548, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
						}
						if (IS_TYPE_REFCOUNTED == 0) {
					dasm_put(Dst, 87553, (ZREG_X15));
						} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
					dasm_put(Dst, 87556, (ZREG_X15), IS_TYPE_REFCOUNTED);
						} else {
						if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
					dasm_put(Dst, 87560, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
						} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
					dasm_put(Dst, 87564, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
							if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
					dasm_put(Dst, 87568, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 87572, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 87576, (ZREG_X15), (ZREG_X16));
						}
					dasm_put(Dst, 87580);
#line 10920 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 87583, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 87586, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 87589, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 87592, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 87595, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 87598, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 10923 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GC_DELREF FCARG1x, TMP1w
			dasm_put(Dst, 87602);
#line 10924 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (RC_MAY_BE_1(op1_info)) {
				if (RC_MAY_BE_N(op1_info)) {
					if (jit_return_label >= 0) {
						//|	bne =>jit_return_label
						dasm_put(Dst, 87606, jit_return_label);
#line 10928 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bne >9
						dasm_put(Dst, 87609);
#line 10930 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				//|	//SAVE_OPLINE()
				//|	ZVAL_DTOR_FUNC op1_info, opline, TMP1
					do {
						if (!((op1_info) & MAY_BE_GUARD)
						 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
							if (type == IS_STRING && !ZEND_DEBUG) {
					if (arm64_may_use_b(_efree)) {
				dasm_put(Dst, 87612, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else {
					if (((uintptr_t)(_efree)) == 0) {
				dasm_put(Dst, 87615);
					} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
				dasm_put(Dst, 87617, ((uint64_t)(_efree)));
					} else if (arm64_may_use_adr((void*)(_efree))) {
				dasm_put(Dst, 87620, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
					} else if (arm64_may_use_adrp((void*)(_efree))) {
				dasm_put(Dst, 87623, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
						if (((uintptr_t)(_efree)) & 0xfff) {
				dasm_put(Dst, 87626, (((uintptr_t)(_efree)) & 0xfff));
						}
					} else if ((uintptr_t)(_efree) & 0xffff) {
				dasm_put(Dst, 87629, ((uintptr_t)(_efree) & 0xffff));
						if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 87632, (((uintptr_t)(_efree) >> 16) & 0xffff));
						}
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 87635, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
				dasm_put(Dst, 87638, (((uintptr_t)(_efree) >> 16) & 0xffff));
						if (((uintptr_t)(_efree) >> 32) & 0xffff) {
				dasm_put(Dst, 87641, (((uintptr_t)(_efree) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 87644, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				dasm_put(Dst, 87647);
					}
								break;
							} else if (type == IS_ARRAY) {
								if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
									if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 87649, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 87652);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 87654, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 87657, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 87660, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 87663, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 87666, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 87669, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 87672, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 87675, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 87678, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 87681, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 87684, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
									}
					if (arm64_may_use_b(zend_array_destroy)) {
				dasm_put(Dst, 87687, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else {
					if (((uintptr_t)(zend_array_destroy)) == 0) {
				dasm_put(Dst, 87690);
					} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
				dasm_put(Dst, 87692, ((uint64_t)(zend_array_destroy)));
					} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
				dasm_put(Dst, 87695, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
				dasm_put(Dst, 87698, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
						if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
				dasm_put(Dst, 87701, (((uintptr_t)(zend_array_destroy)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
				dasm_put(Dst, 87704, ((uintptr_t)(zend_array_destroy) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 87707, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 87710, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
				dasm_put(Dst, 87713, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
						if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
				dasm_put(Dst, 87716, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 87719, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				dasm_put(Dst, 87722);
					}
								} else {
					if (arm64_may_use_b(zend_jit_array_free)) {
				dasm_put(Dst, 87724, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else {
					if (((uintptr_t)(zend_jit_array_free)) == 0) {
				dasm_put(Dst, 87727);
					} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
				dasm_put(Dst, 87729, ((uint64_t)(zend_jit_array_free)));
					} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 87732, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
				dasm_put(Dst, 87735, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
						if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
				dasm_put(Dst, 87738, (((uintptr_t)(zend_jit_array_free)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
				dasm_put(Dst, 87741, ((uintptr_t)(zend_jit_array_free) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 87744, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 87747, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
				dasm_put(Dst, 87750, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
				dasm_put(Dst, 87753, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 87756, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				dasm_put(Dst, 87759);
					}
								}
								break;
							} else if (type == IS_OBJECT) {
								if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 87761, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 87764);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 87766, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 87769, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 87772, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 87775, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 87778, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 87781, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 87784, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 87787, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 87790, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 87793, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 87796, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
								}
					if (arm64_may_use_b(zend_objects_store_del)) {
				dasm_put(Dst, 87799, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else {
					if (((uintptr_t)(zend_objects_store_del)) == 0) {
				dasm_put(Dst, 87802);
					} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
				dasm_put(Dst, 87804, ((uint64_t)(zend_objects_store_del)));
					} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 87807, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
				dasm_put(Dst, 87810, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
						if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
				dasm_put(Dst, 87813, (((uintptr_t)(zend_objects_store_del)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
				dasm_put(Dst, 87816, ((uintptr_t)(zend_objects_store_del) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 87819, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 87822, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
				dasm_put(Dst, 87825, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
						if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
				dasm_put(Dst, 87828, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 87831, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				dasm_put(Dst, 87834);
					}
								break;
							}
						}
						if (opline) {
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 87836, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 87839);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 87841, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 87844, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 87847, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 87850, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 87853, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 87856, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 87859, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 87862, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 87865, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 87868, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 87871, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
						}
					if (arm64_may_use_b(rc_dtor_func)) {
				dasm_put(Dst, 87874, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else {
					if (((uintptr_t)(rc_dtor_func)) == 0) {
				dasm_put(Dst, 87877);
					} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
				dasm_put(Dst, 87879, ((uint64_t)(rc_dtor_func)));
					} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
				dasm_put(Dst, 87882, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
					} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
				dasm_put(Dst, 87885, (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
						if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
				dasm_put(Dst, 87888, (((uintptr_t)(rc_dtor_func)) & 0xfff));
						}
					} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
				dasm_put(Dst, 87891, ((uintptr_t)(rc_dtor_func) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 87894, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						}
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 87897, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
				dasm_put(Dst, 87900, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
						if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
				dasm_put(Dst, 87903, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 87906, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				dasm_put(Dst, 87909);
					}
					} while(0);
#line 10934 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	//????ldr REG1, EX->return_value // reload ???
			}
			if (return_value_used == -1) {
				if (jit_return_label >= 0) {
					//|	b =>jit_return_label
					dasm_put(Dst, 87911, jit_return_label);
#line 10939 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	b >9
					dasm_put(Dst, 87914);
#line 10941 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|.code
				dasm_put(Dst, 87917);
#line 10943 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else if (return_value_used == -1) {
		if (jit_return_label >= 0) {
			//|	cbz Rx(Z_REG(ret_addr)), =>jit_return_label
			dasm_put(Dst, 87918, (Z_REG(ret_addr)), jit_return_label);
#line 10948 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	cbz Rx(Z_REG(ret_addr)), >9
			dasm_put(Dst, 87922, (Z_REG(ret_addr)));
#line 10950 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (return_value_used == 0) {
		//|9:
		dasm_put(Dst, 87926);
#line 10955 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		return 1;
	}

	if (opline->op1_type == IS_CONST) {
		zval *zv = RT_CONSTANT(opline, opline->op1);
		//|	ZVAL_COPY_CONST ret_addr, MAY_BE_ANY, MAY_BE_ANY, zv, ZREG_REG0, ZREG_TMP1, ZREG_FPR0
			if (Z_TYPE_P(zv) > IS_TRUE) {
				if (Z_TYPE_P(zv) == IS_DOUBLE) {
					zend_reg dst_reg = (Z_MODE(ret_addr) == IS_REG) ? Z_REG(ret_addr) : ZREG_V0;
			if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adr((void*)(zv))) {
		dasm_put(Dst, 87928, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32), (dst_reg-ZREG_V0), (ZREG_X8));
			} else if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adrp((void*)(zv))) {
		dasm_put(Dst, 87935, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32), (dst_reg-ZREG_V0), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
			} else {
			if (((uintptr_t)(zv)) == 0) {
		dasm_put(Dst, 87943, (ZREG_X8));
			} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
		dasm_put(Dst, 87946, (ZREG_X8), ((uint64_t)(zv)));
			} else if (arm64_may_use_adr((void*)(zv))) {
		dasm_put(Dst, 87950, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
			} else if (arm64_may_use_adrp((void*)(zv))) {
		dasm_put(Dst, 87954, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
				if (((uintptr_t)(zv)) & 0xfff) {
		dasm_put(Dst, 87958, (ZREG_X8), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
				}
			} else if ((uintptr_t)(zv) & 0xffff) {
		dasm_put(Dst, 87963, (ZREG_X8), ((uintptr_t)(zv) & 0xffff));
				if (((uintptr_t)(zv) >> 16) & 0xffff) {
		dasm_put(Dst, 87967, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zv) >> 32) & 0xffff) {
		dasm_put(Dst, 87971, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
		dasm_put(Dst, 87975, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
				if (((uintptr_t)(zv) >> 32) & 0xffff) {
		dasm_put(Dst, 87979, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 87983, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
			}
		dasm_put(Dst, 87987, (dst_reg-ZREG_V0), (ZREG_X8));
			}
			if (Z_MODE(ret_addr) == IS_REG) {
				if (dst_reg != Z_REG(ret_addr)) {
		dasm_put(Dst, 87991, (Z_REG(ret_addr)-ZREG_V0), (dst_reg-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 87995, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 87999, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88003, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88007, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88011, (dst_reg-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88016, (dst_reg-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
				} else if (Z_TYPE_P(zv) == IS_LONG && MAY_BE_ANY == MAY_BE_DOUBLE) {
					zend_reg dst_reg = (Z_MODE(ret_addr) == IS_REG) ? Z_REG(ret_addr) : ZREG_V0;
			if (Z_LVAL_P(zv) == 0) {
		dasm_put(Dst, 88021, (dst_reg-ZREG_V0));
			} else {
			if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
		dasm_put(Dst, 88024, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 88027, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
			} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 88031, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
			} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
		dasm_put(Dst, 88035, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 88039, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 88043, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 88047, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 88051, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 88055, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 88059, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 88063, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 88067, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88071, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
			}
		dasm_put(Dst, 88075, (dst_reg-ZREG_V0), (ZREG_X8));
			}
			if (Z_MODE(ret_addr) == IS_REG) {
				if (dst_reg != Z_REG(ret_addr)) {
		dasm_put(Dst, 88079, (Z_REG(ret_addr)-ZREG_V0), (dst_reg-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88083, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 88087, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88091, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88095, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88099, (dst_reg-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88104, (dst_reg-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
				} else {
			if (Z_LVAL_P(zv) == 0) {
			if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 88109, (Z_REG(ret_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88112, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 88116, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88120, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88124, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88128, (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88132, (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
			} else {
			if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
		dasm_put(Dst, 88136, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 88139, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
			} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 88143, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
			} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
		dasm_put(Dst, 88147, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 88151, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 88155, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 88159, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 88163, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 88167, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 88171, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 88175, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 88179, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88183, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
			}
			if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 88187, (Z_REG(ret_addr)), (ZREG_X8));
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88191, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 88195, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88199, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88203, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88207, (ZREG_X8), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88212, (ZREG_X8), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
			}
				}
			}
			if (Z_MODE(ret_addr) == IS_MEM_ZVAL) {
				if (MAY_BE_ANY == MAY_BE_DOUBLE) {
					if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 88217, (ZREG_X8), ((uint32_t)(IS_DOUBLE)));
			} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
		dasm_put(Dst, 88221, (ZREG_X8), ((uint32_t)(IS_DOUBLE) & 0xffff));
				if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 88225, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88229, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 88233, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 88237, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88241, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88245, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88249, (ZREG_X8), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88254, (ZREG_X8), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
			}
					}
				} else if (((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (1<<Z_TYPE_P(zv))) || (MAY_BE_ANY & (MAY_BE_STRING|MAY_BE_ARRAY)) != 0) {
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(Z_TYPE_INFO_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 88259, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv))));
			} else if (((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff)) {
		dasm_put(Dst, 88263, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff));
				if ((((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88267, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88271, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 88275, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 88279, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88283, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88287, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88291, (ZREG_X8), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88296, (ZREG_X8), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
			}
				}
			}
#line 10961 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_REFCOUNTED_P(zv)) {
			//|	ADDREF_CONST zv, REG0, TMP1
				if (((uintptr_t)(Z_PTR_P(zv))) == 0) {
			dasm_put(Dst, 88301);
				} else if (((uintptr_t)(Z_PTR_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 88303, ((uint64_t)(Z_PTR_P(zv))));
				} else if (arm64_may_use_adr((void*)(Z_PTR_P(zv)))) {
			dasm_put(Dst, 88306, (unsigned int)((ptrdiff_t)(Z_PTR_P(zv))), (unsigned int)(((ptrdiff_t)(Z_PTR_P(zv)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_PTR_P(zv)))) {
			dasm_put(Dst, 88309, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv))))))>>32));
					if (((uintptr_t)(Z_PTR_P(zv))) & 0xfff) {
			dasm_put(Dst, 88312, (((uintptr_t)(Z_PTR_P(zv))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_PTR_P(zv)) & 0xffff) {
			dasm_put(Dst, 88315, ((uintptr_t)(Z_PTR_P(zv)) & 0xffff));
					if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 88318, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 88321, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 88324, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 88327, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 88330, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 88333);
#line 10963 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (opline->op1_type == IS_TMP_VAR) {
		//|	ZVAL_COPY_VALUE ret_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_MODE(ret_addr) != IS_REG || Z_REG(ret_addr) != Z_REG(op1_addr)) {
			if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 88337, (Z_REG(ret_addr)), (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88341, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 88345, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88349, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88353, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88357, (Z_REG(op1_addr)), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88362, (Z_REG(op1_addr)), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
						}
					} else if (Z_MODE(ret_addr) == IS_REG) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 88367, (Z_REG(ret_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 88370, (Z_REG(ret_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 88373, (Z_REG(ret_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 88377, (Z_REG(ret_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 88381, (Z_REG(ret_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 88385, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 88389, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 88393, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 88397, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 88401, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 88405, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 88409, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 88413, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88417, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88421, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 88425, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88429, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88433, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88437, (Z_REG(ret_addr)), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88442, (Z_REG(ret_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_REG(ret_addr) != Z_REG(op1_addr)) {
		dasm_put(Dst, 88447, (Z_REG(ret_addr)), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 88451, (ZREG_X10));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 88454, (ZREG_X10));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 88457, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 88461, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 88465, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 88469, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 88473, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 88477, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 88481, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 88485, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 88489, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 88493, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 88497, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88501, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88505, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 88509, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88513, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88517, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88521, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88526, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X10 != Z_REG(op1_addr)) {
		dasm_put(Dst, 88531, (ZREG_X10), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 88535, (Z_REG(ret_addr)), (ZREG_X10));
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88539, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 88543, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88547, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88551, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88555, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88560, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
					}
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(op1_addr) == IS_REG) {
			if (Z_MODE(ret_addr) == IS_REG) {
				if (Z_REG(op1_addr) != Z_REG(ret_addr)) {
		dasm_put(Dst, 88565, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88569, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 88573, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88577, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88581, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88585, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88590, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
					} else if (Z_MODE(ret_addr) == IS_REG) {
			if (Z_MODE(op1_addr) != IS_REG || Z_REG(ret_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 88595, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 88602, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 88610, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88613, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 88617, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 88621, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 88625, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 88630, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 88634, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 88638, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 88642, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 88646, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88650, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 88654, (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88658, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 88662, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88666, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88670, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88674, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88679, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 88684, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 88688, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 88695, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 88703, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88706, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 88710, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 88714, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 88718, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 88723, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 88727, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 88731, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 88735, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 88739, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88743, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 88747, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88751, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 88755, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88759, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88763, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88767, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88772, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 88777, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(ret_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(ret_addr)) {
		dasm_put(Dst, 88781, (Z_REG(ret_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88785, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 88789, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88793, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88797, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88801, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88806, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88811, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 88815, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88819, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88823, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88827, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88832, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 88837, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 88841, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88845, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88849, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88853, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88858, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
				}
			}
			if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(op1_info & MAY_BE_GUARD) &&
				has_concrete_type(op1_info & MAY_BE_ANY)) {
				if (Z_MODE(ret_addr) == IS_MEM_ZVAL) {
					if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(op1_info);
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 88863, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 88867, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 88871, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88875, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 88879, (ZREG_X16), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 88883, (ZREG_X16), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88887, (ZREG_X16), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88891, (ZREG_X16), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88895, (ZREG_X15), (Z_REG(ret_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 88900, (ZREG_X15), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 88905, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 88909, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88913, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88917, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88921, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88926, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 88931, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 88935, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 88939, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 88943, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 88947, (ZREG_X8), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 88952, (ZREG_X8), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
			}
			}
#line 10966 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (opline->op1_type == IS_CV) {
		if (op1_info & MAY_BE_REF) {
			//|	LOAD_ZVAL_ADDR REG0, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 88957);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 88959, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 88962, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 88965, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 88968, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 88971, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 88974, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 88977, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 88980, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 88983, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 88986, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 88989, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 88992, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 88996, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 88999, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 89002, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 89005, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 89008, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 89011);
						} else {
			dasm_put(Dst, 89013, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 10969 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ZVAL_DEREF REG0, op1_info, TMP1w
				if (op1_info & MAY_BE_REF) {
			dasm_put(Dst, 89016, offsetof(zval, u1.v.type));
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 89019);
				} else {
			dasm_put(Dst, 89022, IS_REFERENCE);
				}
			dasm_put(Dst, 89027, offsetof(zend_reference, val));
				}
#line 10970 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);
		}
		//|	ZVAL_COPY_VALUE ret_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_MODE(ret_addr) != IS_REG || Z_REG(ret_addr) != Z_REG(op1_addr)) {
			if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 89032, (Z_REG(ret_addr)), (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89036, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 89040, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89044, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89048, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89052, (Z_REG(op1_addr)), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89057, (Z_REG(op1_addr)), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
						}
					} else if (Z_MODE(ret_addr) == IS_REG) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 89062, (Z_REG(ret_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 89065, (Z_REG(ret_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 89068, (Z_REG(ret_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 89072, (Z_REG(ret_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 89076, (Z_REG(ret_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 89080, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 89084, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 89088, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 89092, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 89096, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 89100, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 89104, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 89108, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89112, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89116, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 89120, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89124, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89128, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89132, (Z_REG(ret_addr)), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89137, (Z_REG(ret_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_REG(ret_addr) != Z_REG(op1_addr)) {
		dasm_put(Dst, 89142, (Z_REG(ret_addr)), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 89146, (ZREG_X10));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 89149, (ZREG_X10));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 89152, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 89156, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 89160, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 89164, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 89168, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 89172, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 89176, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 89180, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 89184, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 89188, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 89192, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89196, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89200, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 89204, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89208, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89212, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89216, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89221, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X10 != Z_REG(op1_addr)) {
		dasm_put(Dst, 89226, (ZREG_X10), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 89230, (Z_REG(ret_addr)), (ZREG_X10));
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89234, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 89238, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89242, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89246, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89250, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89255, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
					}
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(op1_addr) == IS_REG) {
			if (Z_MODE(ret_addr) == IS_REG) {
				if (Z_REG(op1_addr) != Z_REG(ret_addr)) {
		dasm_put(Dst, 89260, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89264, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 89268, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89272, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89276, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89280, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89285, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
					} else if (Z_MODE(ret_addr) == IS_REG) {
			if (Z_MODE(op1_addr) != IS_REG || Z_REG(ret_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 89290, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 89297, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 89305, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89308, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 89312, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 89316, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 89320, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 89325, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 89329, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 89333, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 89337, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 89341, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89345, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 89349, (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89353, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 89357, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89361, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89365, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89369, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89374, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 89379, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 89383, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 89390, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 89398, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89401, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 89405, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 89409, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 89413, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 89418, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 89422, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 89426, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 89430, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 89434, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89438, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 89442, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89446, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 89450, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89454, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89458, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89462, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89467, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 89472, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(ret_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(ret_addr)) {
		dasm_put(Dst, 89476, (Z_REG(ret_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89480, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 89484, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89488, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89492, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89496, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89501, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89506, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 89510, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89514, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89518, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89522, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89527, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 89532, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 89536, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89540, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89544, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89548, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89553, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
				}
			}
			if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(op1_info & MAY_BE_GUARD) &&
				has_concrete_type(op1_info & MAY_BE_ANY)) {
				if (Z_MODE(ret_addr) == IS_MEM_ZVAL) {
					if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(op1_info);
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 89558, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 89562, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 89566, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89570, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 89574, (ZREG_X16), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 89578, (ZREG_X16), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89582, (ZREG_X16), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89586, (ZREG_X16), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89590, (ZREG_X15), (Z_REG(ret_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 89595, (ZREG_X15), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 89600, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 89604, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89608, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89612, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89616, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89621, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 89626, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 89630, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 89634, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 89638, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 89642, (ZREG_X8), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 89647, (ZREG_X8), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
			}
			}
#line 10973 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
			if (JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE ||
			    (op1_info & (MAY_BE_REF|MAY_BE_OBJECT)) ||
			    !op_array->function_name) {
				//|	TRY_ADDREF op1_info, REG0w, REG2, TMP1w
					if (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
						if (op1_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 89652);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 89654, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 89657, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 89660, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 89663, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 89666, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 89669);
					}
				dasm_put(Dst, 89671);
						}
				dasm_put(Dst, 89674);
					}
#line 10978 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (return_value_used != 1) {
				//|	// if (EXPECTED(!(EX_CALL_INFO() & ZEND_CALL_CODE))) ZVAL_NULL(retval_ptr);
				//|	SET_ZVAL_TYPE_INFO op1_addr, IS_NULL, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
				dasm_put(Dst, 89679, ((uint32_t)(IS_NULL)));
					} else if (((uint32_t)(IS_NULL) & 0xffff)) {
				dasm_put(Dst, 89682, ((uint32_t)(IS_NULL) & 0xffff));
						if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
				dasm_put(Dst, 89685, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 89688, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 89691, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 89694, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 89697, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 89700, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 89703, (Z_REG(op1_addr)));
					} else {
				dasm_put(Dst, 89706, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
					}
#line 10981 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else {
		if (op1_info & MAY_BE_REF) {
			zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, offsetof(zend_reference, val));

			//|	IF_ZVAL_TYPE op1_addr, IS_REFERENCE, >1, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 89710, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 89714, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 89718, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 89722, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 89726, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 89731, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 89736, (ZREG_X15));
				} else {
			dasm_put(Dst, 89740, (ZREG_X15), IS_REFERENCE);
				}
#line 10988 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|.cold_code
			dasm_put(Dst, 89746);
#line 10989 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	// zend_refcounted *ref = Z_COUNTED_P(retval_ptr);
			//|	GET_ZVAL_PTR REG0, op1_addr, TMP1
			dasm_put(Dst, 89747);
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 89749, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 89752, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 89755, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 89758, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 89761, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 89764, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 10992 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	// ZVAL_COPY_VALUE(return_value, &ref->value);
			//|	ZVAL_COPY_VALUE ret_addr, MAY_BE_ANY, ref_addr, op1_info, ZREG_REG2, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(ref_addr) == IS_REG) {
							if (Z_MODE(ret_addr) != IS_REG || Z_REG(ret_addr) != Z_REG(ref_addr)) {
				if (Z_MODE(ret_addr) == IS_REG) {
			dasm_put(Dst, 89768, (Z_REG(ret_addr)), (Z_REG(ref_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 89772, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
				} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
			dasm_put(Dst, 89776, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 89780, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 89784, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 89788, (Z_REG(ref_addr)), (Z_REG(ret_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 89793, (Z_REG(ref_addr)), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
				}
				}
							}
						} else if (Z_MODE(ret_addr) == IS_REG) {
				if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(ref_addr)) == 0) {
			dasm_put(Dst, 89798, (Z_REG(ret_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) == 0) {
			dasm_put(Dst, 89801, (Z_REG(ret_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 89804, (Z_REG(ret_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 89808, (Z_REG(ret_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff) {
			dasm_put(Dst, 89812, (Z_REG(ret_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 89816, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 89820, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 89824, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 89828, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 89832, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 89836, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 89840, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 89844, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 89848, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 89852, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 89856, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 89860, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 89864, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 89868, (Z_REG(ret_addr)), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 89873, (Z_REG(ret_addr)), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				} else if (Z_MODE(ref_addr) == IS_REG) {
					if (Z_REG(ret_addr) != Z_REG(ref_addr)) {
			dasm_put(Dst, 89878, (Z_REG(ret_addr)), (Z_REG(ref_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(ref_addr)) == 0) {
			dasm_put(Dst, 89882, (ZREG_X10));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) == 0) {
			dasm_put(Dst, 89885, (ZREG_X10));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 89888, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 89892, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff) {
			dasm_put(Dst, 89896, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 89900, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 89904, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 89908, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 89912, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 89916, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 89920, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 89924, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 89928, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 89932, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(ref_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 89936, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 89940, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 89944, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 89948, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 89952, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 89957, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				} else if (Z_MODE(ref_addr) == IS_REG) {
					if (ZREG_X10 != Z_REG(ref_addr)) {
			dasm_put(Dst, 89962, (ZREG_X10), (Z_REG(ref_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(ret_addr) == IS_REG) {
			dasm_put(Dst, 89966, (Z_REG(ret_addr)), (ZREG_X10));
				} else {
					ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 89970, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
				} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
			dasm_put(Dst, 89974, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 89978, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 89982, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 89986, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 89991, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
				}
				}
						}
					} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(ref_addr) == IS_REG) {
				if (Z_MODE(ret_addr) == IS_REG) {
					if (Z_REG(ref_addr) != Z_REG(ret_addr)) {
			dasm_put(Dst, 89996, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90000, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
				} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
			dasm_put(Dst, 90004, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90008, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90012, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90016, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90021, (Z_REG(ref_addr)-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
				}
				}
						} else if (Z_MODE(ret_addr) == IS_REG) {
				if (Z_MODE(ref_addr) != IS_REG || Z_REG(ret_addr) != Z_REG(ref_addr)) {
					if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
			dasm_put(Dst, 90026, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32), (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
			dasm_put(Dst, 90033, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32), (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(ref_addr))) == 0) {
			dasm_put(Dst, 90041, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90044, (ZREG_X15), ((uint64_t)(Z_ZV(ref_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
			dasm_put(Dst, 90048, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
			dasm_put(Dst, 90052, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff) {
			dasm_put(Dst, 90056, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff) {
			dasm_put(Dst, 90061, (ZREG_X15), ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 90065, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 90069, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 90073, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 90077, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90081, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 90085, (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90089, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 90093, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90097, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90101, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90105, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90110, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
					} else if (Z_MODE(ref_addr) == IS_REG) {
			dasm_put(Dst, 90115, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(ref_addr) != IS_REG || ZREG_V0 != Z_REG(ref_addr)) {
					if (Z_MODE(ref_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
			dasm_put(Dst, 90119, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(ref_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
			dasm_put(Dst, 90126, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(ref_addr))) == 0) {
			dasm_put(Dst, 90134, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90137, (ZREG_X15), ((uint64_t)(Z_ZV(ref_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(ref_addr)))) {
			dasm_put(Dst, 90141, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(ref_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(ref_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(ref_addr)))) {
			dasm_put(Dst, 90145, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(ref_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff) {
			dasm_put(Dst, 90149, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff) {
			dasm_put(Dst, 90154, (ZREG_X15), ((uintptr_t)(Z_ZV(ref_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 90158, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 90162, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 90166, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 90170, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90174, (ZREG_X15), (((uintptr_t)(Z_ZV(ref_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 90178, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(ref_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90182, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 90186, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90190, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90194, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90198, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90203, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
					} else if (Z_MODE(ref_addr) == IS_REG) {
			dasm_put(Dst, 90208, (ZREG_V0-ZREG_V0), (Z_REG(ref_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(ret_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(ret_addr)) {
			dasm_put(Dst, 90212, (Z_REG(ret_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90216, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
				} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
			dasm_put(Dst, 90220, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90224, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90228, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90232, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90237, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90242, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 90246, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90250, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90254, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90258, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90263, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90268, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
				} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
			dasm_put(Dst, 90272, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90276, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90280, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90284, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90289, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
				}
					}
				}
				if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(op1_info & MAY_BE_GUARD) &&
					has_concrete_type(op1_info & MAY_BE_ANY)) {
					if (Z_MODE(ret_addr) == IS_MEM_ZVAL) {
						if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(op1_info);
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 90294, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 90298, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 90302, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90306, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 90310, (ZREG_X16), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 90314, (ZREG_X16), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90318, (ZREG_X16), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90322, (ZREG_X16), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90326, (ZREG_X15), (Z_REG(ret_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 90331, (ZREG_X15), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 90336, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 90340, (ZREG_X15), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90344, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90348, (ZREG_X15), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90352, (ZREG_X10), (Z_REG(ref_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90357, (ZREG_X10), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 90362, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 90366, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90370, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90374, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90378, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 90383, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 10994 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GC_DELREF REG0, TMP1w
			//|	beq >2
			//|	// if (IS_REFCOUNTED())
			dasm_put(Dst, 90388);
#line 10997 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (jit_return_label >= 0) {
				//|	IF_NOT_REFCOUNTED REG2w, =>jit_return_label, TMP1w
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 90394);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 90396, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 90399, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 90402, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 90405, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 90408, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 90411);
					}
				dasm_put(Dst, 90413, jit_return_label);
#line 10999 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_REFCOUNTED REG2w, >9, TMP1w
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 90416);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 90418, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 90421, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 90424, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 90427, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 90430, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 90433);
					}
				dasm_put(Dst, 90435);
#line 11001 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	// ADDREF
			//|	GET_ZVAL_PTR REG2, ret_addr, TMP1 // reload
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 90438, ((uint32_t)(Z_OFFSET(ret_addr))));
				} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
			dasm_put(Dst, 90441, ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 90444, (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90447, (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 90450, (Z_REG(ret_addr)));
				} else {
			dasm_put(Dst, 90453, (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
				}
#line 11004 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GC_ADDREF REG2, TMP1w
			dasm_put(Dst, 90457);
#line 11005 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (jit_return_label >= 0) {
				//|	b =>jit_return_label
				dasm_put(Dst, 90461, jit_return_label);
#line 11007 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	b >9
				dasm_put(Dst, 90464);
#line 11009 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|2:
			//|	mov FCARG1x, REG0
			//|	EFREE_REFERENCE
			dasm_put(Dst, 90467);
			#if ZEND_DEBUG
			dasm_put(Dst, 90470);
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 90475, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 90478);
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 90480, ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 90483, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 90486, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 90489, (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 90492, ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 90495, (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 90498, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 90501, (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 90504, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90507, (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 90510);
				}
			#else
			#ifdef HAVE_BUILTIN_CONSTANT_P
				if (arm64_may_use_b(_efree_32)) {
			dasm_put(Dst, 90512, (unsigned int)((ptrdiff_t)(_efree_32)), (unsigned int)(((ptrdiff_t)(_efree_32))>>32));
				} else {
				if (((uintptr_t)(_efree_32)) == 0) {
			dasm_put(Dst, 90515);
				} else if (((uintptr_t)(_efree_32)) <= MOVZ_IMM) {
			dasm_put(Dst, 90517, ((uint64_t)(_efree_32)));
				} else if (arm64_may_use_adr((void*)(_efree_32))) {
			dasm_put(Dst, 90520, (unsigned int)((ptrdiff_t)(_efree_32)), (unsigned int)(((ptrdiff_t)(_efree_32))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree_32))) {
			dasm_put(Dst, 90523, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree_32))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree_32)))))>>32));
					if (((uintptr_t)(_efree_32)) & 0xfff) {
			dasm_put(Dst, 90526, (((uintptr_t)(_efree_32)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree_32) & 0xffff) {
			dasm_put(Dst, 90529, ((uintptr_t)(_efree_32) & 0xffff));
					if (((uintptr_t)(_efree_32) >> 16) & 0xffff) {
			dasm_put(Dst, 90532, (((uintptr_t)(_efree_32) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree_32) >> 32) & 0xffff) {
			dasm_put(Dst, 90535, (((uintptr_t)(_efree_32) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree_32) >> 16) & 0xffff) {
			dasm_put(Dst, 90538, (((uintptr_t)(_efree_32) >> 16) & 0xffff));
					if (((uintptr_t)(_efree_32) >> 32) & 0xffff) {
			dasm_put(Dst, 90541, (((uintptr_t)(_efree_32) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90544, (((uintptr_t)(_efree_32) >> 32) & 0xffff));
				}
			dasm_put(Dst, 90547);
				}
			#else
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 90549, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 90552);
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 90554, ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 90557, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 90560, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 90563, (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 90566, ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 90569, (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 90572, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 90575, (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 90578, (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 90581, (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 90584);
				}
			#endif
			#endif
#line 11013 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (jit_return_label >= 0) {
				//|	b =>jit_return_label
				dasm_put(Dst, 90586, jit_return_label);
#line 11015 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	b >9
				dasm_put(Dst, 90589);
#line 11017 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|.code
			dasm_put(Dst, 90592);
#line 11019 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	ZVAL_COPY_VALUE ret_addr, MAY_BE_ANY, op1_addr, op1_info, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_MODE(ret_addr) != IS_REG || Z_REG(ret_addr) != Z_REG(op1_addr)) {
			if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 90593, (Z_REG(ret_addr)), (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 90597, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 90601, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 90605, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 90609, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 90613, (Z_REG(op1_addr)), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 90618, (Z_REG(op1_addr)), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
						}
					} else if (Z_MODE(ret_addr) == IS_REG) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 90623, (Z_REG(ret_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 90626, (Z_REG(ret_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 90629, (Z_REG(ret_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 90633, (Z_REG(ret_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 90637, (Z_REG(ret_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 90641, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 90645, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 90649, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 90653, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 90657, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 90661, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 90665, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 90669, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 90673, (Z_REG(ret_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 90677, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 90681, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 90685, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 90689, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 90693, (Z_REG(ret_addr)), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 90698, (Z_REG(ret_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_REG(ret_addr) != Z_REG(op1_addr)) {
		dasm_put(Dst, 90703, (Z_REG(ret_addr)), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 90707, (ZREG_X10));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 90710, (ZREG_X10));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 90713, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 90717, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 90721, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 90725, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 90729, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 90733, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 90737, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 90741, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 90745, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 90749, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 90753, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 90757, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 90761, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 90765, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 90769, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 90773, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 90777, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 90782, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X10 != Z_REG(op1_addr)) {
		dasm_put(Dst, 90787, (ZREG_X10), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(ret_addr) == IS_REG) {
		dasm_put(Dst, 90791, (Z_REG(ret_addr)), (ZREG_X10));
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 90795, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 90799, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 90803, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 90807, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 90811, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 90816, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
					}
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(op1_addr) == IS_REG) {
			if (Z_MODE(ret_addr) == IS_REG) {
				if (Z_REG(op1_addr) != Z_REG(ret_addr)) {
		dasm_put(Dst, 90821, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 90825, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 90829, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 90833, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 90837, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 90841, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 90846, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
					} else if (Z_MODE(ret_addr) == IS_REG) {
			if (Z_MODE(op1_addr) != IS_REG || Z_REG(ret_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 90851, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 90858, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 90866, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 90869, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 90873, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 90877, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 90881, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 90886, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 90890, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 90894, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 90898, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 90902, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 90906, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 90910, (Z_REG(ret_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 90914, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 90918, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 90922, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 90926, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 90930, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 90935, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 90940, (Z_REG(ret_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 90944, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 90951, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 90959, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 90962, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 90966, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 90970, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 90974, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 90979, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 90983, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 90987, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 90991, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 90995, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 90999, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 91003, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91007, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 91011, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91015, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91019, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91023, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 91028, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 91033, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(ret_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(ret_addr)) {
		dasm_put(Dst, 91037, (Z_REG(ret_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91041, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 91045, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91049, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91053, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91057, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 91062, (ZREG_V0-ZREG_V0), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91067, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 91071, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91075, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91079, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91083, (ZREG_X10), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 91088, (ZREG_X10), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ret_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91093, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff)) {
		dasm_put(Dst, 91097, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91101, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91105, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91109, (ZREG_X10), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 91114, (ZREG_X10), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)));
			}
				}
			}
			if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(op1_info & MAY_BE_GUARD) &&
				has_concrete_type(op1_info & MAY_BE_ANY)) {
				if (Z_MODE(ret_addr) == IS_MEM_ZVAL) {
					if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(op1_info);
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 91119, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 91123, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 91127, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91131, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 91135, (ZREG_X16), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 91139, (ZREG_X16), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91143, (ZREG_X16), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91147, (ZREG_X16), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91151, (ZREG_X15), (Z_REG(ret_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 91156, (ZREG_X15), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 91161, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 91165, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91169, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91173, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91177, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 91182, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(ret_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 91187, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 91191, (ZREG_X15), ((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91195, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91199, (ZREG_X15), (((uint32_t)(Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91203, (ZREG_X8), (Z_REG(ret_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 91208, (ZREG_X8), (Z_REG(ret_addr)), (Z_OFFSET(ret_addr)+offsetof(zval,u1.type_info)));
			}
			}
#line 11021 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|9:
	dasm_put(Dst, 91213);
#line 11024 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_zval_copy_deref(dasm_State **Dst, zend_jit_addr res_addr, zend_jit_addr val_addr, zend_reg type_reg)
{
	ZEND_ASSERT(type_reg == ZREG_REG2);

	//|	GET_ZVAL_PTR REG1, val_addr, TMP1
		ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 91215, ((uint32_t)(Z_OFFSET(val_addr))));
		} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
	dasm_put(Dst, 91218, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 91221, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 91224, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 91227, (Z_REG(val_addr)));
		} else {
	dasm_put(Dst, 91230, (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
		}
#line 11032 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	IF_NOT_REFCOUNTED REG2w, >2, TMP1w
		if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
	dasm_put(Dst, 91234);
		} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
	dasm_put(Dst, 91236, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
		} else {
		if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
	dasm_put(Dst, 91239, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
		} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
	dasm_put(Dst, 91242, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
			if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
	dasm_put(Dst, 91245, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 91248, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 91251);
		}
#line 11033 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	GET_LOW_8BITS TMP2w, REG2w
	//|	IF_NOT_TYPE TMP2w, IS_REFERENCE, >1
	dasm_put(Dst, 91253);
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 91257);
		} else {
	dasm_put(Dst, 91260, IS_REFERENCE);
		}
#line 11035 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	add REG1, REG1, #offsetof(zend_reference, val)
	//|	GET_Z_TYPE_INFO REG2w, REG1
	//|	GET_Z_PTR REG1, REG1
	//|	IF_NOT_REFCOUNTED REG2w, >2, TMP1w
	dasm_put(Dst, 91265, offsetof(zend_reference, val), offsetof(zval,u1.type_info));
		if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
	dasm_put(Dst, 91271);
		} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
	dasm_put(Dst, 91273, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
		} else {
		if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
	dasm_put(Dst, 91276, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
		} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
	dasm_put(Dst, 91279, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
			if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
	dasm_put(Dst, 91282, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 91285, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 91288);
		}
#line 11039 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|1:
	//|	GC_ADDREF REG1, TMP2w
	//|2:
	//|	SET_ZVAL_PTR res_addr, REG1, TMP1
	dasm_put(Dst, 91290);
		ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 91298, ((uint32_t)(Z_OFFSET(res_addr))));
		} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
	dasm_put(Dst, 91301, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 91304, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 91307, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 91310, (Z_REG(res_addr)));
		} else {
	dasm_put(Dst, 91313, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
		}
#line 11043 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG2w, TMP1
		ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
		if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
	dasm_put(Dst, 91317, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
		} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
	dasm_put(Dst, 91320, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
	dasm_put(Dst, 91323, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 91326, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 91329, (Z_REG(res_addr)));
		} else {
	dasm_put(Dst, 91332, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
		}
#line 11044 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_fetch_dim_read(dasm_State        **Dst,
                                   const zend_op      *opline,
                                   zend_ssa           *ssa,
                                   const zend_ssa_op  *ssa_op,
                                   uint32_t            op1_info,
                                   zend_jit_addr       op1_addr,
                                   bool                op1_avoid_refcounting,
                                   uint32_t            op2_info,
                                   uint32_t            res_info,
                                   zend_jit_addr       res_addr,
                                   uint8_t             dim_type)
{
	zend_jit_addr orig_op1_addr, op2_addr;
	const void *exit_addr = NULL;
	const void *not_found_exit_addr = NULL;
	const void *res_exit_addr = NULL;
	bool result_avoid_refcounting = 0;
	uint32_t may_be_string = (opline->opcode != ZEND_FETCH_LIST_R) ? MAY_BE_STRING : 0;
	int may_throw = 0;

	orig_op1_addr = OP1_ADDR();
	op2_addr = OP2_ADDR();

	if (opline->opcode != ZEND_FETCH_DIM_IS
	 && JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
		int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
		exit_addr = zend_jit_trace_get_exit_addr(exit_point);
		if (!exit_addr) {
			return 0;
		}
	}

	if ((res_info & MAY_BE_GUARD)
	 && JIT_G(current_frame)
	 && (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_ARRAY) {
		uint32_t flags = 0;
		uint32_t old_op1_info = 0;
		uint32_t old_info;
		zend_jit_trace_stack *stack = JIT_G(current_frame)->stack;
		int32_t exit_point;

		if (opline->opcode != ZEND_FETCH_LIST_R
		 && (opline->op1_type & (IS_VAR|IS_TMP_VAR))
		 && !op1_avoid_refcounting) {
			flags |= ZEND_JIT_EXIT_FREE_OP1;
		}
		if ((opline->op2_type & (IS_VAR|IS_TMP_VAR))
		 && (op2_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
			flags |= ZEND_JIT_EXIT_FREE_OP2;
		}
		if ((opline->result_type & (IS_VAR|IS_TMP_VAR))
		 && !(flags & ZEND_JIT_EXIT_FREE_OP1)
		 && (res_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))
		 && (ssa_op+1)->op1_use == ssa_op->result_def
		 && !(op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF) - (MAY_BE_STRING|MAY_BE_LONG)))
		 && zend_jit_may_avoid_refcounting(opline+1, res_info)) {
			result_avoid_refcounting = 1;
			ssa->var_info[ssa_op->result_def].avoid_refcounting = 1;
		}

		if (op1_avoid_refcounting) {
			old_op1_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->op1.var));
			SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->op1.var), ZREG_NONE);
		}

		if (!(op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF) - (MAY_BE_STRING|MAY_BE_LONG)))) {
			old_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var));
			SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_UNKNOWN, 1);
			SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->result.var), ZREG_ZVAL_COPY_GPR0);
			exit_point = zend_jit_trace_get_exit_point(opline+1, flags);
			SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var), old_info);
			res_exit_addr = zend_jit_trace_get_exit_addr(exit_point);
			if (!res_exit_addr) {
				return 0;
			}
			res_info &= ~MAY_BE_GUARD;
			ssa->var_info[ssa_op->result_def].type &= ~MAY_BE_GUARD;
		}

		if (opline->opcode == ZEND_FETCH_DIM_IS
		 && !(res_info & MAY_BE_NULL)) {
			old_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var));
			SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_NULL, 0);
			SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->result.var), ZREG_NULL);
			exit_point = zend_jit_trace_get_exit_point(opline+1, flags);
			SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var), old_info);
			not_found_exit_addr = zend_jit_trace_get_exit_addr(exit_point);
			if (!not_found_exit_addr) {
				return 0;
			}
		}

		if (op1_avoid_refcounting) {
			SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->op1.var), old_op1_info);
		}
	}

	if (op1_info & MAY_BE_REF) {
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 91336);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91338, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 91341, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 91344, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 91347, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 91350, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 91353, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 91356, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 91359, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 91362, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91365, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 91368, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 91371, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91375, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 91378, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91381, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91384, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91387, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 91390);
					} else {
		dasm_put(Dst, 91392, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 11147 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
			if (op1_info & MAY_BE_REF) {
		dasm_put(Dst, 91395, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 91398);
			} else {
		dasm_put(Dst, 91401, IS_REFERENCE);
			}
		dasm_put(Dst, 91406, offsetof(zend_reference, val));
			}
#line 11148 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	}

	if (op1_info & MAY_BE_ARRAY) {
		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - MAY_BE_ARRAY)) {
			if (exit_addr && !(op1_info & (MAY_BE_OBJECT|may_be_string))) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_ARRAY, &exit_addr, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 91411, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 91415, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 91419, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 91423, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 91427, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 91432, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_ARRAY == 0) {
				dasm_put(Dst, 91437, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					} else {
				dasm_put(Dst, 91441, (ZREG_X15), IS_ARRAY, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					}
#line 11155 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_ARRAY, >7, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 91447, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 91451, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 91455, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 91459, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 91463, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 91468, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_ARRAY == 0) {
				dasm_put(Dst, 91473, (ZREG_X15));
					} else {
				dasm_put(Dst, 91477, (ZREG_X15), IS_ARRAY);
					}
#line 11157 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|	GET_ZVAL_LVAL ZREG_FCARG1, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 91483, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 91486, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 91489, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 91493, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 91497, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 91501, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 91505, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 91509, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 91513, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 91517, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 91521, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 91525, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 91529, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91533, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 91537, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 91540, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 91543, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 91546, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 91549, (ZREG_FCARG1), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 91553, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 91558, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 11160 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if ((op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - (MAY_BE_LONG|MAY_BE_STRING))) ||
		    (opline->opcode != ZEND_FETCH_DIM_IS && JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE)) {
			may_throw = 1;
		}
		if (!zend_jit_fetch_dimension_address_inner(Dst, opline, (opline->opcode != ZEND_FETCH_DIM_IS) ? BP_VAR_R : BP_VAR_IS, op1_info, op2_info, dim_type, res_exit_addr, not_found_exit_addr, exit_addr)) {
			return 0;
		}
	}

	if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_ARRAY)) {
		if (op1_info & MAY_BE_ARRAY) {
			//|.cold_code
			dasm_put(Dst, 91562);
#line 11172 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|7:
			dasm_put(Dst, 91563);
#line 11173 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (opline->opcode != ZEND_FETCH_LIST_R && (op1_info & MAY_BE_STRING)) {
			may_throw = 1;
			if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_ARRAY|MAY_BE_STRING))) {
				if (exit_addr && !(op1_info & MAY_BE_OBJECT)) {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, &exit_addr, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 91565, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 91569, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 91573, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 91577, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 91581, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 91586, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_STRING == 0) {
					dasm_put(Dst, 91591, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						} else {
					dasm_put(Dst, 91595, (ZREG_X15), IS_STRING, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						}
#line 11180 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, >6, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 91601, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 91605, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 91609, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 91613, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 91617, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 91622, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_STRING == 0) {
					dasm_put(Dst, 91627, (ZREG_X15));
						} else {
					dasm_put(Dst, 91631, (ZREG_X15), IS_STRING);
						}
#line 11182 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 91637, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 91640);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 91642, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 91645, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 91648, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 91651, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 91654, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 91657, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 91660, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 91663, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 91666, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 91669, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 91672, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 11185 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_ZVAL_LVAL ZREG_FCARG1, op1_addr, TMP1
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
			dasm_put(Dst, 91675, (ZREG_FCARG1));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
			dasm_put(Dst, 91678, (ZREG_FCARG1));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 91681, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 91685, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
			dasm_put(Dst, 91689, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 91693, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 91697, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 91701, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 91705, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 91709, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 91713, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 91717, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 91721, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 91725, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 91729, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 91732, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 91735, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 91738, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 91741, (ZREG_FCARG1), (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 91745, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
				} else if (Z_MODE(op1_addr) == IS_REG) {
					if (ZREG_FCARG1 != Z_REG(op1_addr)) {
			dasm_put(Dst, 91750, (ZREG_FCARG1), (Z_REG(op1_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 11186 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->opcode != ZEND_FETCH_DIM_IS) {
				if ((op2_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) == MAY_BE_LONG) {
					//|	GET_ZVAL_LVAL ZREG_FCARG2, op2_addr, TMP1
						if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(op2_addr)) == 0) {
					dasm_put(Dst, 91754, (ZREG_FCARG2));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) == 0) {
					dasm_put(Dst, 91757, (ZREG_FCARG2));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 91760, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 91764, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff) {
					dasm_put(Dst, 91768, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 91772, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 91776, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 91780, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 91784, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 91788, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 91792, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 91796, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 91800, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 91804, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op2_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 91808, ((uint32_t)(Z_OFFSET(op2_addr))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
					dasm_put(Dst, 91811, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 91814, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 91817, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 91820, (ZREG_FCARG2), (Z_REG(op2_addr)));
						} else {
					dasm_put(Dst, 91824, (ZREG_FCARG2), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
						}
						} else if (Z_MODE(op2_addr) == IS_REG) {
							if (ZREG_FCARG2 != Z_REG(op2_addr)) {
					dasm_put(Dst, 91829, (ZREG_FCARG2), (Z_REG(op2_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 11189 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_fetch_dim_str_offset_r_helper, REG0
						if (arm64_may_use_b(zend_jit_fetch_dim_str_offset_r_helper)) {
					dasm_put(Dst, 91833, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_str_offset_r_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_str_offset_r_helper))>>32));
						} else {
						if (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper)) == 0) {
					dasm_put(Dst, 91836);
						} else if (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper)) <= MOVZ_IMM) {
					dasm_put(Dst, 91838, ((uint64_t)(zend_jit_fetch_dim_str_offset_r_helper)));
						} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_str_offset_r_helper))) {
					dasm_put(Dst, 91841, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_str_offset_r_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_str_offset_r_helper))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_str_offset_r_helper))) {
					dasm_put(Dst, 91844, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper)))))>>32));
							if (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper)) & 0xfff) {
					dasm_put(Dst, 91847, (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) & 0xffff) {
					dasm_put(Dst, 91850, ((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) & 0xffff));
							if (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 91853, (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 91856, (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 91859, (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 91862, (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 91865, (((uintptr_t)(zend_jit_fetch_dim_str_offset_r_helper) >> 32) & 0xffff));
						}
					dasm_put(Dst, 91868);
						}
#line 11190 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
						if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
					dasm_put(Dst, 91870);
						} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 91872, ((uint64_t)(Z_ZV(op2_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
					dasm_put(Dst, 91875, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
					dasm_put(Dst, 91878, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
					dasm_put(Dst, 91881, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
					dasm_put(Dst, 91884, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 91887, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 91890, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 91893, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 91896, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 91899, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(op2_addr)) {
						if (Z_OFFSET(op2_addr) == 0) {
					dasm_put(Dst, 91902, (Z_REG(op2_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
					dasm_put(Dst, 91905, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 91909, ((uint32_t)(Z_OFFSET(op2_addr))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
					dasm_put(Dst, 91912, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 91915, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 91918, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 91921, (Z_REG(op2_addr)));
						}
							} else {
								if (Z_REG(op2_addr) == ZREG_RSP) {
					dasm_put(Dst, 91924);
								} else {
					dasm_put(Dst, 91926, (Z_REG(op2_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 11192 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_fetch_dim_str_r_helper, REG0
						if (arm64_may_use_b(zend_jit_fetch_dim_str_r_helper)) {
					dasm_put(Dst, 91929, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_str_r_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_str_r_helper))>>32));
						} else {
						if (((uintptr_t)(zend_jit_fetch_dim_str_r_helper)) == 0) {
					dasm_put(Dst, 91932);
						} else if (((uintptr_t)(zend_jit_fetch_dim_str_r_helper)) <= MOVZ_IMM) {
					dasm_put(Dst, 91934, ((uint64_t)(zend_jit_fetch_dim_str_r_helper)));
						} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_str_r_helper))) {
					dasm_put(Dst, 91937, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_str_r_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_str_r_helper))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_str_r_helper))) {
					dasm_put(Dst, 91940, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_str_r_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_str_r_helper)))))>>32));
							if (((uintptr_t)(zend_jit_fetch_dim_str_r_helper)) & 0xfff) {
					dasm_put(Dst, 91943, (((uintptr_t)(zend_jit_fetch_dim_str_r_helper)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_fetch_dim_str_r_helper) & 0xffff) {
					dasm_put(Dst, 91946, ((uintptr_t)(zend_jit_fetch_dim_str_r_helper) & 0xffff));
							if (((uintptr_t)(zend_jit_fetch_dim_str_r_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 91949, (((uintptr_t)(zend_jit_fetch_dim_str_r_helper) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_fetch_dim_str_r_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 91952, (((uintptr_t)(zend_jit_fetch_dim_str_r_helper) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_fetch_dim_str_r_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 91955, (((uintptr_t)(zend_jit_fetch_dim_str_r_helper) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_fetch_dim_str_r_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 91958, (((uintptr_t)(zend_jit_fetch_dim_str_r_helper) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 91961, (((uintptr_t)(zend_jit_fetch_dim_str_r_helper) >> 32) & 0xffff));
						}
					dasm_put(Dst, 91964);
						}
#line 11193 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	SET_ZVAL_PTR res_addr, RETVALx, TMP1
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 91966, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 91969, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 91972, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 91975, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 91978, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 91981, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
#line 11195 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_STRING, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_STRING)) <= MOVZ_IMM) {
				dasm_put(Dst, 91985, ((uint32_t)(IS_STRING)));
					} else if (((uint32_t)(IS_STRING) & 0xffff)) {
				dasm_put(Dst, 91988, ((uint32_t)(IS_STRING) & 0xffff));
						if ((((uint32_t)(IS_STRING) >> 16) & 0xffff)) {
				dasm_put(Dst, 91991, (((uint32_t)(IS_STRING) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 91994, (((uint32_t)(IS_STRING) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 91997, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 92000, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 92003, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92006, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 92009, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 92012, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 11196 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
					if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
				dasm_put(Dst, 92016);
					} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 92018, ((uint64_t)(Z_ZV(op2_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
				dasm_put(Dst, 92021, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
				dasm_put(Dst, 92024, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
				dasm_put(Dst, 92027, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
				dasm_put(Dst, 92030, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 92033, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 92036, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 92039, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 92042, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92045, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op2_addr)) {
					if (Z_OFFSET(op2_addr) == 0) {
				dasm_put(Dst, 92048, (Z_REG(op2_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
				dasm_put(Dst, 92051, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 92055, ((uint32_t)(Z_OFFSET(op2_addr))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
				dasm_put(Dst, 92058, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 92061, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92064, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 92067, (Z_REG(op2_addr)));
					}
						} else {
							if (Z_REG(op2_addr) == ZREG_RSP) {
				dasm_put(Dst, 92070);
							} else {
				dasm_put(Dst, 92072, (Z_REG(op2_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 11198 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	LOAD_ZVAL_ADDR CARG3, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 92075);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 92077, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 92080, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 92083, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 92086, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 92089, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 92092, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 92095, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 92098, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 92101, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92104, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 92107, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 92110, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 92114, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 92117, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 92120, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92123, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 92126, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 92129);
							} else {
				dasm_put(Dst, 92131, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 11199 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_fetch_dim_str_is_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_str_is_helper)) {
				dasm_put(Dst, 92134, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_str_is_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_str_is_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_str_is_helper)) == 0) {
				dasm_put(Dst, 92137);
					} else if (((uintptr_t)(zend_jit_fetch_dim_str_is_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 92139, ((uint64_t)(zend_jit_fetch_dim_str_is_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_str_is_helper))) {
				dasm_put(Dst, 92142, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_str_is_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_str_is_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_str_is_helper))) {
				dasm_put(Dst, 92145, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_str_is_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_str_is_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_str_is_helper)) & 0xfff) {
				dasm_put(Dst, 92148, (((uintptr_t)(zend_jit_fetch_dim_str_is_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_str_is_helper) & 0xffff) {
				dasm_put(Dst, 92151, ((uintptr_t)(zend_jit_fetch_dim_str_is_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_str_is_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 92154, (((uintptr_t)(zend_jit_fetch_dim_str_is_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_str_is_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 92157, (((uintptr_t)(zend_jit_fetch_dim_str_is_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_str_is_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 92160, (((uintptr_t)(zend_jit_fetch_dim_str_is_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_str_is_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 92163, (((uintptr_t)(zend_jit_fetch_dim_str_is_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92166, (((uintptr_t)(zend_jit_fetch_dim_str_is_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 92169);
					}
#line 11200 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if ((op1_info & MAY_BE_ARRAY) ||
				(op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_ARRAY|MAY_BE_STRING)))) {
				//|	b >9 // END
				dasm_put(Dst, 92171);
#line 11204 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|6:
			dasm_put(Dst, 92174);
#line 11206 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (op1_info & MAY_BE_OBJECT) {
			may_throw = 1;
			if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_ARRAY|MAY_BE_OBJECT|may_be_string))) {
				if (exit_addr) {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, &exit_addr, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 92176, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 92180, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 92184, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92188, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 92192, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 92197, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_OBJECT == 0) {
					dasm_put(Dst, 92202, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						} else {
					dasm_put(Dst, 92206, (ZREG_X15), IS_OBJECT, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						}
#line 11213 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, >6, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 92212, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 92216, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 92220, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92224, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 92228, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 92233, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_OBJECT == 0) {
					dasm_put(Dst, 92238, (ZREG_X15));
						} else {
					dasm_put(Dst, 92242, (ZREG_X15), IS_OBJECT);
						}
#line 11215 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 92248, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 92251);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 92253, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 92256, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 92259, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 92262, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 92265, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 92268, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 92271, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 92274, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 92277, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 92280, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 92283, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 11218 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		    if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 92286);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 92288, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 92291, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 92294, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 92297, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 92300, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 92303, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 92306, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 92309, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 92312, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92315, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 92318, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 92321, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 92325, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 92328, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 92331, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92334, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 92337, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 92340);
							} else {
				dasm_put(Dst, 92342, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 11220 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		    }
			if (opline->op2_type == IS_CONST && Z_EXTRA_P(RT_CONSTANT(opline, opline->op2)) == ZEND_EXTRA_VALUE) {
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_CONST_ZVAL);
				//|	LOAD_ADDR FCARG2x, (Z_ZV(op2_addr) + 1)
					if (((uintptr_t)((Z_ZV(op2_addr) + 1))) == 0) {
				dasm_put(Dst, 92345);
					} else if (((uintptr_t)((Z_ZV(op2_addr) + 1))) <= MOVZ_IMM) {
				dasm_put(Dst, 92347, ((uint64_t)((Z_ZV(op2_addr) + 1))));
					} else if (arm64_may_use_adr((void*)((Z_ZV(op2_addr) + 1)))) {
				dasm_put(Dst, 92350, (unsigned int)((ptrdiff_t)((Z_ZV(op2_addr) + 1))), (unsigned int)(((ptrdiff_t)((Z_ZV(op2_addr) + 1)))>>32));
					} else if (arm64_may_use_adrp((void*)((Z_ZV(op2_addr) + 1)))) {
				dasm_put(Dst, 92353, (unsigned int)((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1))))))>>32));
						if (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff) {
				dasm_put(Dst, 92356, (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff));
						}
					} else if ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff) {
				dasm_put(Dst, 92359, ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff));
						if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
				dasm_put(Dst, 92362, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
						}
						if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
				dasm_put(Dst, 92365, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
				dasm_put(Dst, 92368, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
						if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
				dasm_put(Dst, 92371, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92374, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
					}
#line 11224 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
					if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
				dasm_put(Dst, 92377);
					} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 92379, ((uint64_t)(Z_ZV(op2_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
				dasm_put(Dst, 92382, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
				dasm_put(Dst, 92385, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
				dasm_put(Dst, 92388, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
				dasm_put(Dst, 92391, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 92394, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 92397, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 92400, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 92403, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92406, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op2_addr)) {
					if (Z_OFFSET(op2_addr) == 0) {
				dasm_put(Dst, 92409, (Z_REG(op2_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
				dasm_put(Dst, 92412, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 92416, ((uint32_t)(Z_OFFSET(op2_addr))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
				dasm_put(Dst, 92419, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 92422, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92425, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 92428, (Z_REG(op2_addr)));
					}
						} else {
							if (Z_REG(op2_addr) == ZREG_RSP) {
				dasm_put(Dst, 92431);
							} else {
				dasm_put(Dst, 92433, (Z_REG(op2_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 11226 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ZVAL_ADDR CARG3, res_addr
				if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
			dasm_put(Dst, 92436);
				} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 92438, ((uint64_t)(Z_ZV(res_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 92441, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 92444, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
			dasm_put(Dst, 92447, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
			dasm_put(Dst, 92450, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 92453, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 92456, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 92459, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 92462, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 92465, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(res_addr)) {
				if (Z_OFFSET(res_addr) == 0) {
			dasm_put(Dst, 92468, (Z_REG(res_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
			dasm_put(Dst, 92471, (Z_REG(res_addr)), Z_OFFSET(res_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 92475, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 92478, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 92481, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 92484, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 92487, (Z_REG(res_addr)));
				}
					} else {
						if (Z_REG(res_addr) == ZREG_RSP) {
			dasm_put(Dst, 92490);
						} else {
			dasm_put(Dst, 92492, (Z_REG(res_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 11228 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->opcode != ZEND_FETCH_DIM_IS) {
				//|	EXT_CALL zend_jit_fetch_dim_obj_r_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_obj_r_helper)) {
				dasm_put(Dst, 92495, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_obj_r_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_obj_r_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper)) == 0) {
				dasm_put(Dst, 92498);
					} else if (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 92500, ((uint64_t)(zend_jit_fetch_dim_obj_r_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_obj_r_helper))) {
				dasm_put(Dst, 92503, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_obj_r_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_obj_r_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_obj_r_helper))) {
				dasm_put(Dst, 92506, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_obj_r_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_obj_r_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper)) & 0xfff) {
				dasm_put(Dst, 92509, (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) & 0xffff) {
				dasm_put(Dst, 92512, ((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 92515, (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 92518, (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 92521, (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 92524, (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92527, (((uintptr_t)(zend_jit_fetch_dim_obj_r_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 92530);
					}
#line 11230 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	EXT_CALL zend_jit_fetch_dim_obj_is_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_obj_is_helper)) {
				dasm_put(Dst, 92532, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_obj_is_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_obj_is_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper)) == 0) {
				dasm_put(Dst, 92535);
					} else if (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 92537, ((uint64_t)(zend_jit_fetch_dim_obj_is_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_obj_is_helper))) {
				dasm_put(Dst, 92540, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_obj_is_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_obj_is_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_obj_is_helper))) {
				dasm_put(Dst, 92543, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_obj_is_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_obj_is_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper)) & 0xfff) {
				dasm_put(Dst, 92546, (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) & 0xffff) {
				dasm_put(Dst, 92549, ((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 92552, (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 92555, (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 92558, (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 92561, (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92564, (((uintptr_t)(zend_jit_fetch_dim_obj_is_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 92567);
					}
#line 11232 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if ((op1_info & MAY_BE_ARRAY) ||
				(op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_ARRAY|MAY_BE_OBJECT|may_be_string)))) {
				//|	b >9 // END
				dasm_put(Dst, 92569);
#line 11236 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|6:
			dasm_put(Dst, 92572);
#line 11238 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if ((op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_ARRAY|MAY_BE_OBJECT|may_be_string)))
		 && (!exit_addr || !(op1_info & (MAY_BE_ARRAY|MAY_BE_OBJECT|may_be_string)))) {
			if ((opline->opcode != ZEND_FETCH_DIM_IS && (op1_info & MAY_BE_UNDEF)) || (op2_info & MAY_BE_UNDEF)) {
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 92574, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 92577);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 92579, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 92582, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 92585, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 92588, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 92591, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 92594, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 92597, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 92600, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 92603, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92606, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 92609, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 11244 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (opline->opcode != ZEND_FETCH_DIM_IS && (op1_info & MAY_BE_UNDEF)) {
					may_throw = 1;
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 92612, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 92616, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 92620, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92624, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 92628, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 92633, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_UNDEF == 0) {
					dasm_put(Dst, 92638, (ZREG_X15));
						} else {
					dasm_put(Dst, 92642, (ZREG_X15), IS_UNDEF);
						}
#line 11247 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	// zend_error(E_WARNING, "Undefined variable $%s", ZSTR_VAL(CV_DEF_OF(EX_VAR_TO_NUM(opline->op1.var))));
					//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
						if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
					dasm_put(Dst, 92648, ((uint32_t)(opline->op1.var)));
						} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
					dasm_put(Dst, 92651, ((uint32_t)(opline->op1.var) & 0xffff));
							if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
					dasm_put(Dst, 92654, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92657, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
						}
#line 11249 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_undefined_op_helper, REG0
						if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
					dasm_put(Dst, 92660, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
						} else {
						if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
					dasm_put(Dst, 92663);
						} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
					dasm_put(Dst, 92665, ((uint64_t)(zend_jit_undefined_op_helper)));
						} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
					dasm_put(Dst, 92668, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
					dasm_put(Dst, 92671, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
							if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
					dasm_put(Dst, 92674, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
					dasm_put(Dst, 92677, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
							if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 92680, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 92683, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 92686, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 92689, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92692, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					dasm_put(Dst, 92695);
						}
#line 11250 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 92697);
#line 11251 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}

				if (op2_info & MAY_BE_UNDEF) {
					may_throw = 1;
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_UNDEF, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 92699, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 92703, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 92707, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92711, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 92715, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 92720, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_UNDEF == 0) {
					dasm_put(Dst, 92725, (ZREG_X15));
						} else {
					dasm_put(Dst, 92729, (ZREG_X15), IS_UNDEF);
						}
#line 11256 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	LOAD_32BIT_VAL FCARG1w, opline->op2.var
						if (((uint32_t)(opline->op2.var)) <= MOVZ_IMM) {
					dasm_put(Dst, 92735, ((uint32_t)(opline->op2.var)));
						} else if (((uint32_t)(opline->op2.var) & 0xffff)) {
					dasm_put(Dst, 92738, ((uint32_t)(opline->op2.var) & 0xffff));
							if ((((uint32_t)(opline->op2.var) >> 16) & 0xffff)) {
					dasm_put(Dst, 92741, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92744, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
						}
#line 11257 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_undefined_op_helper, REG0
						if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
					dasm_put(Dst, 92747, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
						} else {
						if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
					dasm_put(Dst, 92750);
						} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
					dasm_put(Dst, 92752, ((uint64_t)(zend_jit_undefined_op_helper)));
						} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
					dasm_put(Dst, 92755, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
					dasm_put(Dst, 92758, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
							if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
					dasm_put(Dst, 92761, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
					dasm_put(Dst, 92764, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
							if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 92767, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 92770, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
					dasm_put(Dst, 92773, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
					dasm_put(Dst, 92776, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92779, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					dasm_put(Dst, 92782);
						}
#line 11258 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 92784);
#line 11259 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}

			if (opline->opcode != ZEND_FETCH_DIM_IS && opline->opcode != ZEND_FETCH_LIST_R) {
				may_throw = 1;
				if ((op1_info & MAY_BE_UNDEF) || (op2_info & MAY_BE_UNDEF)) {
					//|	LOAD_ZVAL_ADDR FCARG1x, orig_op1_addr
						if (Z_MODE(orig_op1_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(orig_op1_addr))) == 0) {
					dasm_put(Dst, 92786);
						} else if (((uintptr_t)(Z_ZV(orig_op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 92788, ((uint64_t)(Z_ZV(orig_op1_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(orig_op1_addr)))) {
					dasm_put(Dst, 92791, (unsigned int)((ptrdiff_t)(Z_ZV(orig_op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(orig_op1_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(orig_op1_addr)))) {
					dasm_put(Dst, 92794, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(orig_op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(orig_op1_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(orig_op1_addr))) & 0xfff) {
					dasm_put(Dst, 92797, (((uintptr_t)(Z_ZV(orig_op1_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(orig_op1_addr)) & 0xffff) {
					dasm_put(Dst, 92800, ((uintptr_t)(Z_ZV(orig_op1_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 92803, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 92806, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 92809, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 92812, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92815, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(orig_op1_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(orig_op1_addr)) {
						if (Z_OFFSET(orig_op1_addr) == 0) {
					dasm_put(Dst, 92818, (Z_REG(orig_op1_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(orig_op1_addr)))) {
					dasm_put(Dst, 92821, (Z_REG(orig_op1_addr)), Z_OFFSET(orig_op1_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(orig_op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 92825, ((uint32_t)(Z_OFFSET(orig_op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(orig_op1_addr)) & 0xffff)) {
					dasm_put(Dst, 92828, ((uint32_t)(Z_OFFSET(orig_op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(orig_op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 92831, (((uint32_t)(Z_OFFSET(orig_op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92834, (((uint32_t)(Z_OFFSET(orig_op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 92837, (Z_REG(orig_op1_addr)));
						}
							} else {
								if (Z_REG(orig_op1_addr) == ZREG_RSP) {
					dasm_put(Dst, 92840);
								} else {
					dasm_put(Dst, 92842, (Z_REG(orig_op1_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 11266 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	SET_EX_OPLINE opline, REG0
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 92845, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 92848);
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 92850, ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 92853, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 92856, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 92859, (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 92862, ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 92865, (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 92868, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 92871, (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 92874, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 92877, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 92880, Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
#line 11268 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (Z_MODE(op1_addr) != IS_MEM_ZVAL ||
					    Z_REG(op1_addr) != ZREG_FCARG1 ||
					    Z_OFFSET(op1_addr) != 0) {
						//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
							if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
							if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
						dasm_put(Dst, 92883);
							} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 92885, ((uint64_t)(Z_ZV(op1_addr))));
							} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
						dasm_put(Dst, 92888, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
							} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
						dasm_put(Dst, 92891, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
								if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
						dasm_put(Dst, 92894, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
								}
							} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
						dasm_put(Dst, 92897, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
								if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
						dasm_put(Dst, 92900, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
						dasm_put(Dst, 92903, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
						dasm_put(Dst, 92906, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
								if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
						dasm_put(Dst, 92909, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 92912, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
							} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
								if (Z_OFFSET(op1_addr)) {
							if (Z_OFFSET(op1_addr) == 0) {
						dasm_put(Dst, 92915, (Z_REG(op1_addr)));
							} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
						dasm_put(Dst, 92918, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
							} else {
							if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 92922, ((uint32_t)(Z_OFFSET(op1_addr))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
						dasm_put(Dst, 92925, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 92928, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 92931, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 92934, (Z_REG(op1_addr)));
							}
								} else {
									if (Z_REG(op1_addr) == ZREG_RSP) {
						dasm_put(Dst, 92937);
									} else {
						dasm_put(Dst, 92939, (Z_REG(op1_addr)));
									}
								}
							} else {
								ZEND_UNREACHABLE();
							}
#line 11272 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				//|	EXT_CALL zend_jit_invalid_array_access, REG0
					if (arm64_may_use_b(zend_jit_invalid_array_access)) {
				dasm_put(Dst, 92942, (unsigned int)((ptrdiff_t)(zend_jit_invalid_array_access)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_array_access))>>32));
					} else {
					if (((uintptr_t)(zend_jit_invalid_array_access)) == 0) {
				dasm_put(Dst, 92945);
					} else if (((uintptr_t)(zend_jit_invalid_array_access)) <= MOVZ_IMM) {
				dasm_put(Dst, 92947, ((uint64_t)(zend_jit_invalid_array_access)));
					} else if (arm64_may_use_adr((void*)(zend_jit_invalid_array_access))) {
				dasm_put(Dst, 92950, (unsigned int)((ptrdiff_t)(zend_jit_invalid_array_access)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_array_access))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_invalid_array_access))) {
				dasm_put(Dst, 92953, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_array_access))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_array_access)))))>>32));
						if (((uintptr_t)(zend_jit_invalid_array_access)) & 0xfff) {
				dasm_put(Dst, 92956, (((uintptr_t)(zend_jit_invalid_array_access)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_invalid_array_access) & 0xffff) {
				dasm_put(Dst, 92959, ((uintptr_t)(zend_jit_invalid_array_access) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_array_access) >> 16) & 0xffff) {
				dasm_put(Dst, 92962, (((uintptr_t)(zend_jit_invalid_array_access) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_invalid_array_access) >> 32) & 0xffff) {
				dasm_put(Dst, 92965, (((uintptr_t)(zend_jit_invalid_array_access) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_invalid_array_access) >> 16) & 0xffff) {
				dasm_put(Dst, 92968, (((uintptr_t)(zend_jit_invalid_array_access) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_array_access) >> 32) & 0xffff) {
				dasm_put(Dst, 92971, (((uintptr_t)(zend_jit_invalid_array_access) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 92974, (((uintptr_t)(zend_jit_invalid_array_access) >> 32) & 0xffff));
					}
				dasm_put(Dst, 92977);
					}
#line 11275 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_NULL, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 92979, ((uint32_t)(IS_NULL)));
				} else if (((uint32_t)(IS_NULL) & 0xffff)) {
			dasm_put(Dst, 92982, ((uint32_t)(IS_NULL) & 0xffff));
					if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
			dasm_put(Dst, 92985, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 92988, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 92991, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 92994, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 92997, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93000, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93003, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 93006, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 11277 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op1_info & MAY_BE_ARRAY) {
				//|	b >9 // END
				dasm_put(Dst, 93010);
#line 11279 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}

		if (op1_info & MAY_BE_ARRAY) {
			//|.code
			dasm_put(Dst, 93013);
#line 11284 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (op1_info & MAY_BE_ARRAY) {
		zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);

		//|8:
		dasm_put(Dst, 93014);
#line 11291 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (res_exit_addr) {
			uint32_t type = concrete_type(res_info);
			if ((op1_info & MAY_BE_ARRAY_OF_REF)
			 && dim_type != IS_UNKNOWN
			 && dim_type != IS_REFERENCE) {
				if (type < IS_STRING) {
					//|	IF_NOT_ZVAL_TYPE val_addr, type, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 93016, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 93020, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 93024, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 93028, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 93032, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 93037, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
						}
						if (type == 0) {
					dasm_put(Dst, 93042, (ZREG_X15));
						} else {
					dasm_put(Dst, 93046, (ZREG_X15), type);
						}
#line 11298 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|.cold_code
					dasm_put(Dst, 93052);
#line 11299 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					//|	IF_NOT_ZVAL_TYPE val_addr, IS_REFERENCE, &res_exit_addr, ZREG_TMP1
					dasm_put(Dst, 93053);
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 93055, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 93059, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 93063, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 93067, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 93071, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 93076, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 93081, (ZREG_X15), (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
						} else {
					dasm_put(Dst, 93085, (ZREG_X15), IS_REFERENCE, (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
						}
#line 11301 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GET_Z_PTR REG0, REG0
					//|	add REG0, REG0, #offsetof(zend_reference, val)
					//|	IF_ZVAL_TYPE val_addr, type, >1, ZREG_TMP1
					dasm_put(Dst, 93091, offsetof(zend_reference, val));
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 93095, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 93099, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 93103, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 93107, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 93111, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 93116, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
						}
						if (type == 0) {
					dasm_put(Dst, 93121, (ZREG_X15));
						} else {
					dasm_put(Dst, 93125, (ZREG_X15), type);
						}
#line 11304 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	b &res_exit_addr
					//|.code
					dasm_put(Dst, 93131, (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
#line 11306 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 93134);
#line 11307 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	GET_ZVAL_TYPE_INFO REG2w, val_addr, TMP1
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 93136, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 93139, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 93142, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 93145, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 93148, (Z_REG(val_addr)));
						} else {
					dasm_put(Dst, 93151, (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
						}
#line 11309 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GET_LOW_8BITS TMP1w, REG2w
					//|	IF_NOT_TYPE TMP1w, type, >1
					dasm_put(Dst, 93155);
						if (type == 0) {
					dasm_put(Dst, 93157);
						} else {
					dasm_put(Dst, 93160, type);
						}
#line 11311 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|.cold_code
					dasm_put(Dst, 93165);
#line 11312 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					//|	IF_NOT_TYPE TMP1w, IS_REFERENCE, &res_exit_addr
					dasm_put(Dst, 93166);
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 93168, (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
						} else {
					dasm_put(Dst, 93171, IS_REFERENCE, (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
						}
#line 11314 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GET_Z_PTR REG0, REG0
					//|	add REG0, REG0, #offsetof(zend_reference, val)
					//|	GET_ZVAL_TYPE_INFO REG2w, val_addr, TMP1
					dasm_put(Dst, 93176, offsetof(zend_reference, val));
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 93180, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 93183, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 93186, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 93189, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 93192, (Z_REG(val_addr)));
						} else {
					dasm_put(Dst, 93195, (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
						}
#line 11317 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GET_LOW_8BITS TMP1w, REG2w
					//|	IF_TYPE TMP1w, type, >1
					dasm_put(Dst, 93199);
						if (type == 0) {
					dasm_put(Dst, 93201);
						} else {
					dasm_put(Dst, 93204, type);
						}
#line 11319 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	b &res_exit_addr
					//|.code
					dasm_put(Dst, 93209, (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
#line 11321 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 93212);
#line 11322 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				if (op1_info & MAY_BE_ARRAY_OF_REF) {
					//|	ZVAL_DEREF REG0, MAY_BE_REF, TMP1w
						if (MAY_BE_REF & MAY_BE_REF) {
					dasm_put(Dst, 93214, offsetof(zval, u1.v.type));
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 93217);
						} else {
					dasm_put(Dst, 93220, IS_REFERENCE);
						}
					dasm_put(Dst, 93225, offsetof(zend_reference, val));
						}
#line 11326 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (type < IS_STRING) {
					//|	IF_NOT_ZVAL_TYPE val_addr, type, &res_exit_addr, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 93230, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 93234, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 93238, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 93242, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 93246, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 93251, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
						}
						if (type == 0) {
					dasm_put(Dst, 93256, (ZREG_X15), (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
						} else {
					dasm_put(Dst, 93260, (ZREG_X15), type, (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
						}
#line 11329 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	GET_ZVAL_TYPE_INFO REG2w, val_addr, TMP1
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 93266, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 93269, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 93272, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 93275, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 93278, (Z_REG(val_addr)));
						} else {
					dasm_put(Dst, 93281, (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
						}
#line 11331 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GET_LOW_8BITS TMP1w, REG2w
					//|	IF_NOT_TYPE TMP1w, type, &res_exit_addr
					dasm_put(Dst, 93285);
						if (type == 0) {
					dasm_put(Dst, 93287, (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
						} else {
					dasm_put(Dst, 93290, type, (unsigned int)((ptrdiff_t)(res_exit_addr)), (unsigned int)(((ptrdiff_t)(res_exit_addr))>>32));
						}
#line 11333 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			//|	// ZVAL_COPY
			//|7:
			//|	ZVAL_COPY_VALUE_V res_addr, -1, val_addr, res_info, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_FPR0
			dasm_put(Dst, 93295);
				if (res_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((res_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(val_addr) == IS_REG) {
							if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 93297, (Z_REG(res_addr)), (Z_REG(val_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93301, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 93305, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93309, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93313, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93317, (Z_REG(val_addr)), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 93322, (Z_REG(val_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
							}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 93327, (Z_REG(res_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 93330, (Z_REG(res_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 93333, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 93337, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 93341, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 93345, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 93349, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 93353, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 93357, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 93361, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 93365, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 93369, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 93373, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93377, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93381, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 93385, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93389, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93393, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93397, (Z_REG(res_addr)), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 93402, (Z_REG(res_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(val_addr)) {
			dasm_put(Dst, 93407, (Z_REG(res_addr)), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 93411, (ZREG_X9));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 93414, (ZREG_X9));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 93417, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 93421, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 93425, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 93429, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 93433, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 93437, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 93441, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 93445, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 93449, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 93453, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 93457, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93461, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93465, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 93469, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93473, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93477, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93481, (ZREG_X9), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 93486, (ZREG_X9), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (ZREG_X9 != Z_REG(val_addr)) {
			dasm_put(Dst, 93491, (ZREG_X9), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 93495, (Z_REG(res_addr)), (ZREG_X9));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93499, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 93503, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93507, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93511, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93515, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 93520, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else if ((res_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(val_addr) == IS_REG) {
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(val_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 93525, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93529, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 93533, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93537, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93541, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93545, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 93550, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(val_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 93555, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 93562, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 93570, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93573, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 93577, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 93581, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 93585, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 93590, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 93594, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 93598, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 93602, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 93606, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93610, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 93614, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93618, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 93622, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93626, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93630, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93634, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 93639, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 93644, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 93648, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 93655, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 93663, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93666, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 93670, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 93674, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 93678, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 93683, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 93687, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 93691, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 93695, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 93699, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93703, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 93707, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93711, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 93715, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93719, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93723, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93727, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 93732, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 93737, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(res_addr)) {
			dasm_put(Dst, 93741, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93745, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 93749, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93753, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93757, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93761, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 93766, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(res_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93771, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 93775, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93779, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93783, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93787, (ZREG_X9), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 93792, (ZREG_X9), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93797, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 93801, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93805, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93809, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93813, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 93818, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
					}
				}
#line 11338 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
				if (type < IS_STRING) {
					if (Z_REG(res_addr) != ZREG_FP ||
					    JIT_G(current_frame) == NULL ||
					    STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(Z_OFFSET(res_addr))) != type) {
						//|	SET_ZVAL_TYPE_INFO res_addr, type, TMP1w, TMP2
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
							if (((uint32_t)(type)) <= MOVZ_IMM) {
						dasm_put(Dst, 93823, ((uint32_t)(type)));
							} else if (((uint32_t)(type) & 0xffff)) {
						dasm_put(Dst, 93826, ((uint32_t)(type) & 0xffff));
								if ((((uint32_t)(type) >> 16) & 0xffff)) {
						dasm_put(Dst, 93829, (((uint32_t)(type) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 93832, (((uint32_t)(type) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
							if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
						dasm_put(Dst, 93835, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
							} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
						dasm_put(Dst, 93838, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
						dasm_put(Dst, 93841, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 93844, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 93847, (Z_REG(res_addr)));
							} else {
						dasm_put(Dst, 93850, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
							}
#line 11344 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				} else {
					//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG2w, TMP1
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 93854, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 93857, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 93860, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 93863, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 93866, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 93869, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 11347 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (!result_avoid_refcounting) {
						//|	TRY_ADDREF res_info, REG2w, REG1, TMP1w
							if (res_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
								if (res_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
							if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
						dasm_put(Dst, 93873);
							} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
						dasm_put(Dst, 93875, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
							} else {
							if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
						dasm_put(Dst, 93878, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
							} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
						dasm_put(Dst, 93881, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
								if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
						dasm_put(Dst, 93884, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 93887, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 93890);
							}
						dasm_put(Dst, 93892);
								}
						dasm_put(Dst, 93895);
							}
#line 11349 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
			} else if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, res_info)) {
				return 0;
			}
		} else if (op1_info & MAY_BE_ARRAY_OF_REF) {
			//|	// ZVAL_COPY_DEREF
			//|	GET_ZVAL_TYPE_INFO Rw(ZREG_REG2), val_addr, TMP1
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 93900, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 93903, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93906, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93909, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93912, (ZREG_X10), (Z_REG(val_addr)));
				} else {
			dasm_put(Dst, 93916, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
				}
#line 11357 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!zend_jit_zval_copy_deref(Dst, res_addr, val_addr, ZREG_REG2)) {
				return 0;
			}
		} else  {
			//|	// ZVAL_COPY
			//|	ZVAL_COPY_VALUE res_addr, -1, val_addr, res_info, ZREG_REG1, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (res_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((res_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(val_addr) == IS_REG) {
							if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 93921, (Z_REG(res_addr)), (Z_REG(val_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 93925, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 93929, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 93933, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 93937, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 93941, (Z_REG(val_addr)), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 93946, (Z_REG(val_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
							}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 93951, (Z_REG(res_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 93954, (Z_REG(res_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 93957, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 93961, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 93965, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 93969, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 93973, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 93977, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 93981, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 93985, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 93989, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 93993, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 93997, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94001, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94005, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 94009, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94013, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94017, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94021, (Z_REG(res_addr)), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94026, (Z_REG(res_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(val_addr)) {
			dasm_put(Dst, 94031, (Z_REG(res_addr)), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 94035, (ZREG_X10));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 94038, (ZREG_X10));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 94041, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 94045, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 94049, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 94053, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 94057, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 94061, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 94065, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 94069, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 94073, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 94077, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 94081, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94085, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94089, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 94093, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94097, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94101, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94105, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94110, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (ZREG_X10 != Z_REG(val_addr)) {
			dasm_put(Dst, 94115, (ZREG_X10), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 94119, (Z_REG(res_addr)), (ZREG_X10));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94123, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 94127, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94131, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94135, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94139, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94144, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else if ((res_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(val_addr) == IS_REG) {
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(val_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 94149, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94153, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 94157, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94161, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94165, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94169, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94174, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(val_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 94179, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 94186, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 94194, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94197, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 94201, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 94205, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 94209, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 94214, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 94218, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 94222, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 94226, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 94230, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94234, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 94238, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94242, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 94246, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94250, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94254, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94258, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94263, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 94268, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 94272, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 94279, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 94287, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94290, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 94294, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 94298, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 94302, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 94307, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 94311, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 94315, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 94319, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 94323, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94327, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 94331, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94335, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 94339, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94343, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94347, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94351, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94356, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 94361, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(res_addr)) {
			dasm_put(Dst, 94365, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94369, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 94373, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94377, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94381, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94385, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94390, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(res_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94395, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 94399, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94403, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94407, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94411, (ZREG_X10), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94416, (ZREG_X10), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 94421, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 94425, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94429, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94433, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94437, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94442, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
					}
				}
				if ((res_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(res_info & MAY_BE_GUARD) &&
					has_concrete_type(res_info & MAY_BE_ANY)) {
					if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (res_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(res_info);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 94447, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 94451, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 94455, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94459, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 94463, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 94467, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94471, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94475, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94479, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 94484, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 94489, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 94493, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94497, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94501, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94505, (ZREG_X9), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94510, (ZREG_X9), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 94515, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 94519, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94523, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94527, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94531, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 94536, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 11363 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	TRY_ADDREF res_info, REG1w, REG2, TMP1w
				if (res_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
					if (res_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
			dasm_put(Dst, 94541);
				} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
			dasm_put(Dst, 94543, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
				} else {
				if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
			dasm_put(Dst, 94546, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
				} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
			dasm_put(Dst, 94549, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
					if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
			dasm_put(Dst, 94552, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 94555, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 94558);
				}
			dasm_put(Dst, 94560);
					}
			dasm_put(Dst, 94563);
				}
#line 11364 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	//|9: // END
	dasm_put(Dst, 94568);
#line 11367 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

#ifdef ZEND_JIT_USE_RC_INFERENCE
	if ((opline->op2_type & (IS_TMP_VAR|IS_VAR)) && (op1_info & MAY_BE_OBJECT)) {
		/* Magic offsetGet() may increase refcount of the key */
		op2_info |= MAY_BE_RCN;
	}
#endif

    if (opline->op2_type & (IS_TMP_VAR|IS_VAR)) {
		if ((op2_info & MAY_HAVE_DTOR) && (op2_info & MAY_BE_RC1)) {
			may_throw = 1;
		}
		//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, opline, ZREG_TMP1, ZREG_TMP2
			if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
			if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 94570, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 94574, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 94578, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 94582, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 94586, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 94591, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 94596, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 94599, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 94603, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 94607, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 94611, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 94615, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 94619, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 94623);
		dasm_put(Dst, 94626);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 94628, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 94632, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 94636, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 94640, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 94644, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 94649, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 94654, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 94657, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 94661, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 94665, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 94669, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 94673, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 94677, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 94681);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 94684, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 94688, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 94692, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 94696, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 94700, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 94704, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 94708, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 94716);
						} else {
		dasm_put(Dst, 94719);
						}
					}
			do {
				if (!((op2_info) & MAY_BE_GUARD)
				 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 94722, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 94725, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 94728, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 94732, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 94736, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 94740, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 94745, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 94749, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 94753, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 94757, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 94761, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 94765, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 94769, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 94772, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 94775, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 94778, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 94782, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 94786, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 94790, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 94795, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 94799, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 94803, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 94807, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 94811, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 94815, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 94819, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 94823, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 94826, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 94829, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 94833, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 94837, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 94841, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 94846, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 94850, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 94854, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 94858, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 94862, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 94866, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 94870, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 94873, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 94876, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 94879, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 94883, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 94887, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 94891, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 94896, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 94900, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 94904, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 94908, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 94912, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 94916, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 94920, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 94923, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 94926);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 94928, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 94931, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 94934, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 94937, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 94940, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 94943, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 94946, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 94949, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 94952, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 94955, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 94958, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 94961, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 94964, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 94967, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 94971, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 94975, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 94979, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 94984, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 94988, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 94992, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 94996, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 95000, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95004, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 95008, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 95011, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 95014, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 95017, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 95021, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 95025, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 95029, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 95034, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 95038, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 95042, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 95046, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 95050, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95054, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 95058, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 95062, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 95065, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 95068, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 95072, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 95076, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 95080, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 95085, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 95089, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 95093, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 95097, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 95101, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95105, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 95109, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 95112);
					}
		dasm_put(Dst, 95115);
				}
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 95117, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 95121, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 95125, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95129, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 95133, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 95138, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 95143, (ZREG_X15));
			} else {
		dasm_put(Dst, 95147, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 95153, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 95157, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 95161, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95165, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 95169, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 95174, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 95179, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 95182, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 95186, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 95190, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 95194, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95198, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 95202, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 95206);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 95209, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 95213, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 95217, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95221, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 95225, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 95229, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 95233);
					}
		dasm_put(Dst, 95235, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 95238, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 95241, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 95245, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 95249, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 95253, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95257, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 95261, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 95265);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 95268, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 95271, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 95274, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 95278, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 95282, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 95286, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 95291, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 95295, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 95299, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 95303, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 95307, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 95311, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 95315, (ZREG_X15));
			}
				}
				if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 95318);
				}
		dasm_put(Dst, 95321);
			}
			}
#line 11380 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (opline->opcode != ZEND_FETCH_LIST_R && !op1_avoid_refcounting) {
		if (opline->op1_type & (IS_TMP_VAR|IS_VAR)) {
			if ((op1_info & MAY_HAVE_DTOR) && (op1_info & MAY_BE_RC1)) {
				may_throw = 1;
			}
			//|	FREE_OP opline->op1_type, opline->op1, op1_info, 0, opline, ZREG_TMP1, ZREG_TMP2
				if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
				if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (0) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 95323, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 95327, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 95331, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95335, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 95339, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 95344, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 95349, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 95352, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 95356, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 95360, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 95364, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95368, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 95372, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 95376);
			dasm_put(Dst, 95379);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 95381, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 95385, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 95389, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95393, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 95397, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 95402, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 95407, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 95410, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 95414, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 95418, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 95422, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95426, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 95430, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 95434);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 95437, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 95441, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 95445, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95449, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 95453, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 95457, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 95461, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 95469);
							} else {
			dasm_put(Dst, 95472);
							}
						}
				do {
					if (!((op1_info) & MAY_BE_GUARD)
					 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 95475, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 95478, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 95481, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 95485, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 95489, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 95493, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 95498, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 95502, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 95506, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 95510, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 95514, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95518, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 95522, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 95525, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 95528, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 95531, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 95535, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 95539, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 95543, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 95548, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 95552, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 95556, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 95560, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 95564, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95568, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 95572, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 95576, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 95579, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 95582, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 95586, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 95590, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 95594, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 95599, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 95603, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 95607, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 95611, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 95615, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95619, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 95623, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 95626, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 95629, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 95632, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 95636, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 95640, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 95644, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 95649, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 95653, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 95657, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 95661, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 95665, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95669, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 95673, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 95676, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 95679);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 95681, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 95684, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 95687, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 95690, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 95693, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 95696, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 95699, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 95702, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 95705, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95708, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 95711, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 95714, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 95717, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 95720, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 95724, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 95728, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 95732, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 95737, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 95741, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 95745, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 95749, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 95753, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95757, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 95761, (ZREG_X15));
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 95764, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 95767, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 95770, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 95774, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 95778, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 95782, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 95787, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 95791, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 95795, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 95799, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 95803, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95807, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 95811, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 95815, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 95818, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 95821, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 95825, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 95829, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 95833, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 95838, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 95842, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 95846, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 95850, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 95854, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95858, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 95862, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 95865);
						}
			dasm_put(Dst, 95868);
					}
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 95870, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 95874, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 95878, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95882, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 95886, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 95891, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 95896, (ZREG_X15));
				} else {
			dasm_put(Dst, 95900, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 95906, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 95910, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 95914, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95918, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 95922, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 95927, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 95932, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 95935, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 95939, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 95943, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 95947, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95951, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 95955, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 95959);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 95962, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 95966, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 95970, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 95974, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 95978, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 95982, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 95986);
						}
			dasm_put(Dst, 95988, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 95991, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 95994, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 95998, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 96002, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 96006, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 96010, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 96014, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 96018);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 96021, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 96024, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 96027, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 96031, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 96035, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 96039, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 96044, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 96048, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 96052, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 96056, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 96060, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 96064, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 96068, (ZREG_X15));
				}
					}
					if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 96071);
					}
			dasm_put(Dst, 96074);
				}
				}
#line 11387 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (may_throw) {
		if (!zend_jit_check_exception(Dst)) {
			return 0;
		}
	}

	return 1;
}

static int zend_jit_fetch_dim(dasm_State    **Dst,
                              const zend_op  *opline,
                              uint32_t        op1_info,
                              zend_jit_addr   op1_addr,
                              uint32_t        op2_info,
                              zend_jit_addr   res_addr,
                              uint8_t         dim_type)
{
	zend_jit_addr op2_addr;
	int may_throw = 0;

	op2_addr = (opline->op2_type != IS_UNUSED) ? OP2_ADDR() : 0;

	if (opline->opcode == ZEND_FETCH_DIM_RW) {
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 96076, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 96079);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 96081, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 96084, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 96087, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 96090, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 96093, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 96096, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 96099, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 96102, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 96105, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96108, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 96111, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 11414 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (op1_info & MAY_BE_REF) {
		may_throw = 1;
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 96114);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 96116, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 96119, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 96122, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 96125, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 96128, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 96131, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 96134, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 96137, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 96140, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96143, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 96146, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 96149, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 96153, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 96156, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 96159, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96162, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 96165, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 96168);
					} else {
		dasm_put(Dst, 96170, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 11418 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	IF_NOT_Z_TYPE FCARG1x, IS_REFERENCE, >1, TMP1w
		dasm_put(Dst, 96173, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 96176);
			} else {
		dasm_put(Dst, 96179, IS_REFERENCE);
			}
#line 11419 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_Z_PTR FCARG2x, FCARG1x
		//|	ldrb TMP1w, [FCARG2x, #(offsetof(zend_reference, val) + offsetof(zval, u1.v.type))]
		//|	cmp TMP1w, #IS_ARRAY
		//|	bne >2
		//|	add FCARG1x, FCARG2x, #offsetof(zend_reference, val)
		//|	b >3
		//|.cold_code
		dasm_put(Dst, 96184, (offsetof(zend_reference, val) + offsetof(zval, u1.v.type)), IS_ARRAY, offsetof(zend_reference, val));
#line 11426 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|2:
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 96196);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 96198, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 96201);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 96203, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 96206, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 96209, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 96212, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 96215, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 96218, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 96221, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 96224, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 96227, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96230, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 96233, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 11428 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->opcode != ZEND_FETCH_DIM_RW) {
			//|	EXT_CALL zend_jit_prepare_assign_dim_ref, REG0
				if (arm64_may_use_b(zend_jit_prepare_assign_dim_ref)) {
			dasm_put(Dst, 96236, (unsigned int)((ptrdiff_t)(zend_jit_prepare_assign_dim_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_prepare_assign_dim_ref))>>32));
				} else {
				if (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) == 0) {
			dasm_put(Dst, 96239);
				} else if (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) <= MOVZ_IMM) {
			dasm_put(Dst, 96241, ((uint64_t)(zend_jit_prepare_assign_dim_ref)));
				} else if (arm64_may_use_adr((void*)(zend_jit_prepare_assign_dim_ref))) {
			dasm_put(Dst, 96244, (unsigned int)((ptrdiff_t)(zend_jit_prepare_assign_dim_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_prepare_assign_dim_ref))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_prepare_assign_dim_ref))) {
			dasm_put(Dst, 96247, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_prepare_assign_dim_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_prepare_assign_dim_ref)))))>>32));
					if (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) & 0xfff) {
			dasm_put(Dst, 96250, (((uintptr_t)(zend_jit_prepare_assign_dim_ref)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_prepare_assign_dim_ref) & 0xffff) {
			dasm_put(Dst, 96253, ((uintptr_t)(zend_jit_prepare_assign_dim_ref) & 0xffff));
					if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff) {
			dasm_put(Dst, 96256, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff) {
			dasm_put(Dst, 96259, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff) {
			dasm_put(Dst, 96262, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff) {
			dasm_put(Dst, 96265, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 96268, (((uintptr_t)(zend_jit_prepare_assign_dim_ref) >> 32) & 0xffff));
				}
			dasm_put(Dst, 96271);
				}
#line 11430 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	mov FCARG1x, RETVALx
		//|	cbnz FCARG1x, >1
		//|	b ->exception_handler_undef
		//|.code
		dasm_put(Dst, 96273);
#line 11435 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 96279);
#line 11436 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	}

	if (op1_info & MAY_BE_ARRAY) {
		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - MAY_BE_ARRAY)) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_ARRAY, >7, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 96281, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 96285, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 96289, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 96293, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 96297, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 96302, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_ARRAY == 0) {
			dasm_put(Dst, 96307, (ZREG_X15));
				} else {
			dasm_put(Dst, 96311, (ZREG_X15), IS_ARRAY);
				}
#line 11442 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|3:
		//|	SEPARATE_ARRAY op1_addr, op1_info, 1, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 96317);
			if (RC_MAY_BE_N(op1_info)) {
				if (Z_REG(op1_addr) != ZREG_FP) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 96319, (ZREG_X8));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 96322, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 96325, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 96329, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 96333, (ZREG_X8), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 96337, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 96341, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 96345, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 96349, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 96353, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 96357, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 96361, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 96365, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96369, (ZREG_X8), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 96373, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 96377, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 96381, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96385, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 96389, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 96394, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_X8 != Z_REG(op1_addr)) {
		dasm_put(Dst, 96399, (ZREG_X8), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					if (RC_MAY_BE_1(op1_info)) {
		dasm_put(Dst, 96403, (ZREG_X15), (ZREG_X15));
					}
					if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 96410);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 96412, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 96415, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 96418, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 96421, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 96424, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 96427, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 96430, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 96433, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 96436, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96439, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 96442, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 96445, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 96449, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 96452, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 96455, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96458, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 96461, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 96464);
					} else {
		dasm_put(Dst, 96466, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
					}
			if (arm64_may_use_b(zend_jit_zval_array_dup)) {
		dasm_put(Dst, 96469, (unsigned int)((ptrdiff_t)(zend_jit_zval_array_dup)), (unsigned int)(((ptrdiff_t)(zend_jit_zval_array_dup))>>32));
			} else {
			if (((uintptr_t)(zend_jit_zval_array_dup)) == 0) {
		dasm_put(Dst, 96472);
			} else if (((uintptr_t)(zend_jit_zval_array_dup)) <= MOVZ_IMM) {
		dasm_put(Dst, 96474, ((uint64_t)(zend_jit_zval_array_dup)));
			} else if (arm64_may_use_adr((void*)(zend_jit_zval_array_dup))) {
		dasm_put(Dst, 96477, (unsigned int)((ptrdiff_t)(zend_jit_zval_array_dup)), (unsigned int)(((ptrdiff_t)(zend_jit_zval_array_dup))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_zval_array_dup))) {
		dasm_put(Dst, 96480, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_zval_array_dup))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_zval_array_dup)))))>>32));
				if (((uintptr_t)(zend_jit_zval_array_dup)) & 0xfff) {
		dasm_put(Dst, 96483, (((uintptr_t)(zend_jit_zval_array_dup)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_zval_array_dup) & 0xffff) {
		dasm_put(Dst, 96486, ((uintptr_t)(zend_jit_zval_array_dup) & 0xffff));
				if (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 96489, (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 96492, (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 96495, (((uintptr_t)(zend_jit_zval_array_dup) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 96498, (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96501, (((uintptr_t)(zend_jit_zval_array_dup) >> 32) & 0xffff));
			}
		dasm_put(Dst, 96504);
			}
		dasm_put(Dst, 96506);
				} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 96510, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 96513, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 96516, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 96520, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 96524, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 96528, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 96532, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 96536, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 96540, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 96544, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 96548, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 96552, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 96556, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96560, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 96564, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 96568, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 96572, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96576, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 96580, (ZREG_FCARG1), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 96585, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 96590, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					if (RC_MAY_BE_1(op1_info)) {
		dasm_put(Dst, 96594, (ZREG_X15), (ZREG_X15));
						if (1) {
		dasm_put(Dst, 96599);
		dasm_put(Dst, 96602);
						} else {
		dasm_put(Dst, 96604);
						}
					}
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 96607, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 96611, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 96615, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96619, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 96623, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 96628, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 96633, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 96636, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 96640, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 96644, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 96648, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96652, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 96656, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 96660, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (arm64_may_use_b(zend_array_dup)) {
		dasm_put(Dst, 96671, (unsigned int)((ptrdiff_t)(zend_array_dup)), (unsigned int)(((ptrdiff_t)(zend_array_dup))>>32));
			} else {
			if (((uintptr_t)(zend_array_dup)) == 0) {
		dasm_put(Dst, 96674);
			} else if (((uintptr_t)(zend_array_dup)) <= MOVZ_IMM) {
		dasm_put(Dst, 96676, ((uint64_t)(zend_array_dup)));
			} else if (arm64_may_use_adr((void*)(zend_array_dup))) {
		dasm_put(Dst, 96679, (unsigned int)((ptrdiff_t)(zend_array_dup)), (unsigned int)(((ptrdiff_t)(zend_array_dup))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_dup))) {
		dasm_put(Dst, 96682, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_dup))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_dup)))))>>32));
				if (((uintptr_t)(zend_array_dup)) & 0xfff) {
		dasm_put(Dst, 96685, (((uintptr_t)(zend_array_dup)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_dup) & 0xffff) {
		dasm_put(Dst, 96688, ((uintptr_t)(zend_array_dup) & 0xffff));
				if (((uintptr_t)(zend_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 96691, (((uintptr_t)(zend_array_dup) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 96694, (((uintptr_t)(zend_array_dup) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_dup) >> 16) & 0xffff) {
		dasm_put(Dst, 96697, (((uintptr_t)(zend_array_dup) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_dup) >> 32) & 0xffff) {
		dasm_put(Dst, 96700, (((uintptr_t)(zend_array_dup) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96703, (((uintptr_t)(zend_array_dup) >> 32) & 0xffff));
			}
		dasm_put(Dst, 96706);
			}
		dasm_put(Dst, 96708);
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 96710, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 96714, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 96718, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96722, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 96726, (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 96730, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_ARRAY_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 96734, (ZREG_X15), ((uint32_t)(IS_ARRAY_EX)));
			} else if (((uint32_t)(IS_ARRAY_EX) & 0xffff)) {
		dasm_put(Dst, 96738, (ZREG_X15), ((uint32_t)(IS_ARRAY_EX) & 0xffff));
				if ((((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 96742, (ZREG_X15), (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96746, (ZREG_X15), (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 96750, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 96754, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 96758, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96762, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 96766, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 96771, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
		dasm_put(Dst, 96776);
					if (RC_MAY_BE_1(op1_info)) {
						if (1) {
		dasm_put(Dst, 96778);
						}
					}
		dasm_put(Dst, 96781);
				}
			} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 96783, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 96786, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 96789, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 96793, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 96797, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 96801, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 96805, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 96809, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 96813, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 96817, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 96821, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 96825, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 96829, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96833, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 96837, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 96841, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 96845, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 96849, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 96853, (ZREG_FCARG1), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 96858, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 96863, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			}
#line 11445 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL)) {
		if (op1_info & MAY_BE_ARRAY) {
			//|.cold_code
			dasm_put(Dst, 96867);
#line 11449 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|7:
			dasm_put(Dst, 96868);
#line 11450 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_ARRAY))) {
			//|	CMP_ZVAL_TYPE op1_addr, IS_NULL, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 96870, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 96874, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 96878, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 96882, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 96886, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 96891, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
#line 11453 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bgt >7
			dasm_put(Dst, 96896, (ZREG_X15), IS_NULL);
#line 11454 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (Z_REG(op1_addr) != ZREG_FP) {
			//|	str Rx(Z_REG(op1_addr)), T1 // save
			dasm_put(Dst, 96902, (Z_REG(op1_addr)));
#line 11457 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if ((op1_info & MAY_BE_UNDEF)
		 && opline->opcode == ZEND_FETCH_DIM_RW) {
			may_throw = 1;
			if (op1_info & MAY_BE_NULL) {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, >1, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 96905, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 96909, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 96913, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 96917, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 96921, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 96926, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 96931, (ZREG_X15));
					} else {
				dasm_put(Dst, 96935, (ZREG_X15), IS_UNDEF);
					}
#line 11463 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
				if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
			dasm_put(Dst, 96941, ((uint32_t)(opline->op1.var)));
				} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
			dasm_put(Dst, 96944, ((uint32_t)(opline->op1.var) & 0xffff));
					if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
			dasm_put(Dst, 96947, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 96950, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
				}
#line 11465 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_undefined_op_helper, REG0
				if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
			dasm_put(Dst, 96953, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
			dasm_put(Dst, 96956);
				} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 96958, ((uint64_t)(zend_jit_undefined_op_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 96961, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 96964, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
					if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
			dasm_put(Dst, 96967, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
			dasm_put(Dst, 96970, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 96973, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 96976, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 96979, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 96982, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 96985, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 96988);
				}
#line 11466 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 96990);
#line 11467 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	// ZVAL_ARR(container, zend_new_array(8));
		//|	EXT_CALL _zend_new_array_0, REG0
			if (arm64_may_use_b(_zend_new_array_0)) {
		dasm_put(Dst, 96992, (unsigned int)((ptrdiff_t)(_zend_new_array_0)), (unsigned int)(((ptrdiff_t)(_zend_new_array_0))>>32));
			} else {
			if (((uintptr_t)(_zend_new_array_0)) == 0) {
		dasm_put(Dst, 96995);
			} else if (((uintptr_t)(_zend_new_array_0)) <= MOVZ_IMM) {
		dasm_put(Dst, 96997, ((uint64_t)(_zend_new_array_0)));
			} else if (arm64_may_use_adr((void*)(_zend_new_array_0))) {
		dasm_put(Dst, 97000, (unsigned int)((ptrdiff_t)(_zend_new_array_0)), (unsigned int)(((ptrdiff_t)(_zend_new_array_0))>>32));
			} else if (arm64_may_use_adrp((void*)(_zend_new_array_0))) {
		dasm_put(Dst, 97003, (unsigned int)((ptrdiff_t)((((uintptr_t)(_zend_new_array_0))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_zend_new_array_0)))))>>32));
				if (((uintptr_t)(_zend_new_array_0)) & 0xfff) {
		dasm_put(Dst, 97006, (((uintptr_t)(_zend_new_array_0)) & 0xfff));
				}
			} else if ((uintptr_t)(_zend_new_array_0) & 0xffff) {
		dasm_put(Dst, 97009, ((uintptr_t)(_zend_new_array_0) & 0xffff));
				if (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff) {
		dasm_put(Dst, 97012, (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff) {
		dasm_put(Dst, 97015, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff) {
		dasm_put(Dst, 97018, (((uintptr_t)(_zend_new_array_0) >> 16) & 0xffff));
				if (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff) {
		dasm_put(Dst, 97021, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 97024, (((uintptr_t)(_zend_new_array_0) >> 32) & 0xffff));
			}
		dasm_put(Dst, 97027);
			}
#line 11470 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov REG0, RETVALx
		dasm_put(Dst, 97029);
#line 11471 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_REG(op1_addr) != ZREG_FP) {
			//|	ldr Rx(Z_REG(op1_addr)), T1 // restore
			dasm_put(Dst, 97031, (Z_REG(op1_addr)));
#line 11473 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_ZVAL_LVAL_FROM_REG op1_addr, REG0, TMP1
			if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 97034, (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 97037, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 97040, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 97043, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 97046, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 97049, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 97052, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			}
#line 11475 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO op1_addr, IS_ARRAY_EX, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_ARRAY_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 97056, ((uint32_t)(IS_ARRAY_EX)));
			} else if (((uint32_t)(IS_ARRAY_EX) & 0xffff)) {
		dasm_put(Dst, 97059, ((uint32_t)(IS_ARRAY_EX) & 0xffff));
				if ((((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 97062, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 97065, (((uint32_t)(IS_ARRAY_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 97068, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 97071, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 97074, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 97077, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 97080, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 97083, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
#line 11476 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov FCARG1x, REG0
		dasm_put(Dst, 97087);
#line 11477 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & MAY_BE_ARRAY) {
			//|	b >1
			//|.code
			dasm_put(Dst, 97089);
#line 11480 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 97092);
#line 11481 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY)) {
		//|6:
		dasm_put(Dst, 97094);
#line 11486 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op2_type == IS_UNUSED) {
			may_throw = 1;
			//|	// var_ptr = zend_hash_next_index_insert(Z_ARRVAL_P(container), &EG(uninitialized_zval));
			//|	LOAD_ADDR_ZTS FCARG2x, executor_globals, uninitialized_zval
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
			dasm_put(Dst, 97096);
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
			dasm_put(Dst, 97098, ((uint64_t)(&executor_globals.uninitialized_zval)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 97101, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 97104, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
					if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
			dasm_put(Dst, 97107, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
			dasm_put(Dst, 97110, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 97113, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 97116, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 97119, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 97122, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97125, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
#line 11490 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_hash_next_index_insert, REG0
				if (arm64_may_use_b(zend_hash_next_index_insert)) {
			dasm_put(Dst, 97128, (unsigned int)((ptrdiff_t)(zend_hash_next_index_insert)), (unsigned int)(((ptrdiff_t)(zend_hash_next_index_insert))>>32));
				} else {
				if (((uintptr_t)(zend_hash_next_index_insert)) == 0) {
			dasm_put(Dst, 97131);
				} else if (((uintptr_t)(zend_hash_next_index_insert)) <= MOVZ_IMM) {
			dasm_put(Dst, 97133, ((uint64_t)(zend_hash_next_index_insert)));
				} else if (arm64_may_use_adr((void*)(zend_hash_next_index_insert))) {
			dasm_put(Dst, 97136, (unsigned int)((ptrdiff_t)(zend_hash_next_index_insert)), (unsigned int)(((ptrdiff_t)(zend_hash_next_index_insert))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_hash_next_index_insert))) {
			dasm_put(Dst, 97139, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_next_index_insert))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_next_index_insert)))))>>32));
					if (((uintptr_t)(zend_hash_next_index_insert)) & 0xfff) {
			dasm_put(Dst, 97142, (((uintptr_t)(zend_hash_next_index_insert)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_hash_next_index_insert) & 0xffff) {
			dasm_put(Dst, 97145, ((uintptr_t)(zend_hash_next_index_insert) & 0xffff));
					if (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff) {
			dasm_put(Dst, 97148, (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff) {
			dasm_put(Dst, 97151, (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff) {
			dasm_put(Dst, 97154, (((uintptr_t)(zend_hash_next_index_insert) >> 16) & 0xffff));
					if (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff) {
			dasm_put(Dst, 97157, (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97160, (((uintptr_t)(zend_hash_next_index_insert) >> 32) & 0xffff));
				}
			dasm_put(Dst, 97163);
				}
#line 11491 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	// if (UNEXPECTED(!var_ptr)) {
			//|	cbz RETVALx, >1
			//|.cold_code
			dasm_put(Dst, 97165);
#line 11494 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	// zend_throw_error(NULL, "Cannot add element to the array as the next element is already occupied");
			//|	CANNOT_ADD_ELEMENT opline
			dasm_put(Dst, 97168);
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
			dasm_put(Dst, 97170);
				} else {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 97173, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 97176);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 97178, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 97181, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 97184, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 97187, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 97190, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 97193, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 97196, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 97199, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 97202, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97205, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 97208, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
			dasm_put(Dst, 97211);
				}
#line 11497 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_UNDEF, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
			dasm_put(Dst, 97214, ((uint32_t)(IS_UNDEF)));
				} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
			dasm_put(Dst, 97217, ((uint32_t)(IS_UNDEF) & 0xffff));
					if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
			dasm_put(Dst, 97220, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97223, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 97226, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 97229, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 97232, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97235, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 97238, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 97241, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 11498 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	//ZEND_VM_C_GOTO(assign_dim_op_ret_null);
			//|	b >8
			//|.code
			dasm_put(Dst, 97245);
#line 11501 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_PTR res_addr, RETVALx, TMP1
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 97248, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 97251, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 97254, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97257, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 97260, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 97263, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
#line 11502 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_INDIRECT, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_INDIRECT)) <= MOVZ_IMM) {
			dasm_put(Dst, 97267, ((uint32_t)(IS_INDIRECT)));
				} else if (((uint32_t)(IS_INDIRECT) & 0xffff)) {
			dasm_put(Dst, 97270, ((uint32_t)(IS_INDIRECT) & 0xffff));
					if ((((uint32_t)(IS_INDIRECT) >> 16) & 0xffff)) {
			dasm_put(Dst, 97273, (((uint32_t)(IS_INDIRECT) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97276, (((uint32_t)(IS_INDIRECT) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 97279, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 97282, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 97285, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97288, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 97291, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 97294, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 11503 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			uint32_t type;

			switch (opline->opcode) {
				case ZEND_FETCH_DIM_W:
				case ZEND_FETCH_LIST_W:
					type = BP_VAR_W;
					break;
				case ZEND_FETCH_DIM_RW:
					may_throw = 1;
					type = BP_VAR_RW;
					break;
				case ZEND_FETCH_DIM_UNSET:
					type = BP_VAR_UNSET;
					break;
				default:
					ZEND_UNREACHABLE();
			}

			if (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - (MAY_BE_LONG|MAY_BE_STRING))) {
				may_throw = 1;
			}
			if (!zend_jit_fetch_dimension_address_inner(Dst, opline, type, op1_info, op2_info, dim_type, NULL, NULL, NULL)) {
				return 0;
			}

			//|8:
			//|	SET_ZVAL_PTR res_addr, REG0, TMP1
			dasm_put(Dst, 97298);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 97300, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 97303, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 97306, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97309, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 97312, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 97315, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
#line 11531 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_INDIRECT, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_INDIRECT)) <= MOVZ_IMM) {
			dasm_put(Dst, 97319, ((uint32_t)(IS_INDIRECT)));
				} else if (((uint32_t)(IS_INDIRECT) & 0xffff)) {
			dasm_put(Dst, 97322, ((uint32_t)(IS_INDIRECT) & 0xffff));
					if ((((uint32_t)(IS_INDIRECT) >> 16) & 0xffff)) {
			dasm_put(Dst, 97325, (((uint32_t)(IS_INDIRECT) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97328, (((uint32_t)(IS_INDIRECT) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 97331, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 97334, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 97337, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97340, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 97343, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 97346, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 11532 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

			if (type == BP_VAR_RW || (op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - (MAY_BE_LONG|MAY_BE_STRING)))) {
				//|.cold_code
				dasm_put(Dst, 97350);
#line 11535 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|9:
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_NULL, TMP1w, TMP2
				dasm_put(Dst, 97351);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
				dasm_put(Dst, 97353, ((uint32_t)(IS_NULL)));
					} else if (((uint32_t)(IS_NULL) & 0xffff)) {
				dasm_put(Dst, 97356, ((uint32_t)(IS_NULL) & 0xffff));
						if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
				dasm_put(Dst, 97359, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 97362, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 97365, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 97368, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 97371, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 97374, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 97377, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 97380, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 11537 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b >8
				//|.code
				dasm_put(Dst, 97384);
#line 11539 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_ARRAY))) {
		may_throw = 1;
		if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY)) {
			//|.cold_code
			dasm_put(Dst, 97387);
#line 11547 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|7:
			dasm_put(Dst, 97388);
#line 11548 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (opline->opcode != ZEND_FETCH_DIM_RW) {
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 97390, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 97393);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 97395, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 97398, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 97401, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 97404, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 97407, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 97410, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 97413, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 97416, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 97419, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97422, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 97425, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 11552 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 97428);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 97430, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 97433, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 97436, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 97439, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 97442, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 97445, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 97448, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 97451, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 97454, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97457, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 97460, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 97463, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 97467, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 97470, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 97473, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97476, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 97479, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 97482);
						} else {
			dasm_put(Dst, 97484, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 11555 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	    if (opline->op2_type == IS_UNUSED) {
			//|	mov FCARG2x, xzr
			dasm_put(Dst, 97487);
#line 11558 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opline->op2_type == IS_CONST && Z_EXTRA_P(RT_CONSTANT(opline, opline->op2)) == ZEND_EXTRA_VALUE) {
			ZEND_ASSERT(Z_MODE(op2_addr) == IS_CONST_ZVAL);
			//|	LOAD_ADDR FCARG2x, (Z_ZV(op2_addr) + 1)
				if (((uintptr_t)((Z_ZV(op2_addr) + 1))) == 0) {
			dasm_put(Dst, 97489);
				} else if (((uintptr_t)((Z_ZV(op2_addr) + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 97491, ((uint64_t)((Z_ZV(op2_addr) + 1))));
				} else if (arm64_may_use_adr((void*)((Z_ZV(op2_addr) + 1)))) {
			dasm_put(Dst, 97494, (unsigned int)((ptrdiff_t)((Z_ZV(op2_addr) + 1))), (unsigned int)(((ptrdiff_t)((Z_ZV(op2_addr) + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((Z_ZV(op2_addr) + 1)))) {
			dasm_put(Dst, 97497, (unsigned int)((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1))))))>>32));
					if (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff) {
			dasm_put(Dst, 97500, (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff) {
			dasm_put(Dst, 97503, ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff));
					if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 97506, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 97509, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 97512, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 97515, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97518, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
				}
#line 11561 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
				if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
			dasm_put(Dst, 97521);
				} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 97523, ((uint64_t)(Z_ZV(op2_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 97526, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
			dasm_put(Dst, 97529, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
			dasm_put(Dst, 97532, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
			dasm_put(Dst, 97535, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 97538, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 97541, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 97544, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 97547, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97550, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op2_addr)) {
				if (Z_OFFSET(op2_addr) == 0) {
			dasm_put(Dst, 97553, (Z_REG(op2_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
			dasm_put(Dst, 97556, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 97560, ((uint32_t)(Z_OFFSET(op2_addr))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
			dasm_put(Dst, 97563, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 97566, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 97569, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 97572, (Z_REG(op2_addr)));
				}
					} else {
						if (Z_REG(op2_addr) == ZREG_RSP) {
			dasm_put(Dst, 97575);
						} else {
			dasm_put(Dst, 97577, (Z_REG(op2_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 11563 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	LOAD_ZVAL_ADDR CARG3, res_addr
			if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
		dasm_put(Dst, 97580);
			} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 97582, ((uint64_t)(Z_ZV(res_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
		dasm_put(Dst, 97585, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
		dasm_put(Dst, 97588, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
		dasm_put(Dst, 97591, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
		dasm_put(Dst, 97594, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 97597, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 97600, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 97603, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 97606, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 97609, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(res_addr)) {
			if (Z_OFFSET(res_addr) == 0) {
		dasm_put(Dst, 97612, (Z_REG(res_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
		dasm_put(Dst, 97615, (Z_REG(res_addr)), Z_OFFSET(res_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 97619, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 97622, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 97625, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 97628, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 97631, (Z_REG(res_addr)));
			}
				} else {
					if (Z_REG(res_addr) == ZREG_RSP) {
		dasm_put(Dst, 97634);
					} else {
		dasm_put(Dst, 97636, (Z_REG(res_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 11565 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		switch (opline->opcode) {
			case ZEND_FETCH_DIM_W:
			case ZEND_FETCH_LIST_W:
				//|	EXT_CALL zend_jit_fetch_dim_obj_w_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_obj_w_helper)) {
				dasm_put(Dst, 97639, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_obj_w_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_obj_w_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper)) == 0) {
				dasm_put(Dst, 97642);
					} else if (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 97644, ((uint64_t)(zend_jit_fetch_dim_obj_w_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_obj_w_helper))) {
				dasm_put(Dst, 97647, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_obj_w_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_obj_w_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_obj_w_helper))) {
				dasm_put(Dst, 97650, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_obj_w_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_obj_w_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper)) & 0xfff) {
				dasm_put(Dst, 97653, (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) & 0xffff) {
				dasm_put(Dst, 97656, ((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 97659, (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 97662, (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 97665, (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 97668, (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 97671, (((uintptr_t)(zend_jit_fetch_dim_obj_w_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 97674);
					}
#line 11569 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_FETCH_DIM_RW:
				//|	EXT_CALL zend_jit_fetch_dim_obj_rw_helper, REG0
					if (arm64_may_use_b(zend_jit_fetch_dim_obj_rw_helper)) {
				dasm_put(Dst, 97676, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_obj_rw_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_obj_rw_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper)) == 0) {
				dasm_put(Dst, 97679);
					} else if (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 97681, ((uint64_t)(zend_jit_fetch_dim_obj_rw_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_fetch_dim_obj_rw_helper))) {
				dasm_put(Dst, 97684, (unsigned int)((ptrdiff_t)(zend_jit_fetch_dim_obj_rw_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_dim_obj_rw_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_dim_obj_rw_helper))) {
				dasm_put(Dst, 97687, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper)))))>>32));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper)) & 0xfff) {
				dasm_put(Dst, 97690, (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) & 0xffff) {
				dasm_put(Dst, 97693, ((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 97696, (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 97699, (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 97702, (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 97705, (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 97708, (((uintptr_t)(zend_jit_fetch_dim_obj_rw_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 97711);
					}
#line 11572 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
//			case ZEND_FETCH_DIM_UNSET:
//				|	EXT_CALL zend_jit_fetch_dim_obj_unset_helper, REG0
//				break;
			default:
				ZEND_UNREACHABLE();
		}

		if (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_ARRAY)) {
			//|	b >8 // END
			//|.code
			dasm_put(Dst, 97713);
#line 11583 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

#ifdef ZEND_JIT_USE_RC_INFERENCE
	if ((opline->op2_type & (IS_TMP_VAR|IS_VAR)) && (op1_info & (MAY_BE_UNDEF|MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_ARRAY|MAY_BE_OBJECT))) {
		/* ASSIGN_DIM may increase refcount of the key */
		op2_info |= MAY_BE_RCN;
	}
#endif

	if ((opline->op2_type & (IS_TMP_VAR|IS_VAR))
	 && (op2_info & MAY_HAVE_DTOR)
	 && (op2_info & MAY_BE_RC1)) {
		may_throw = 1;
	}
	//|8:
	//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, opline, ZREG_TMP1, ZREG_TMP2
	dasm_put(Dst, 97716);
		if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
			zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
		if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (0) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 97718, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 97722, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 97726, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 97730, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 97734, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 97739, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 97744, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 97747, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 97751, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 97755, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 97759, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 97763, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 97767, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 97771);
	dasm_put(Dst, 97774);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 97776, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 97780, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 97784, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 97788, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 97792, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 97797, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 97802, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 97805, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 97809, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 97813, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 97817, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 97821, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 97825, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 97829);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 97832, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 97836, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 97840, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 97844, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 97848, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 97852, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 97856, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 97864);
					} else {
	dasm_put(Dst, 97867);
					}
				}
		do {
			if (!((op2_info) & MAY_BE_GUARD)
			 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 97870, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 97873, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 97876, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 97880, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 97884, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 97888, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 97893, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 97897, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 97901, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 97905, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 97909, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 97913, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 97917, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 97920, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 97923, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 97926, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 97930, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 97934, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 97938, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 97943, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 97947, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 97951, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 97955, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 97959, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 97963, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 97967, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 97971, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 97974, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 97977, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 97981, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 97985, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 97989, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 97994, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 97998, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 98002, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 98006, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 98010, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98014, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 98018, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 98021, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 98024, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 98027, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 98031, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 98035, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 98039, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 98044, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 98048, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 98052, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 98056, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 98060, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98064, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 98068, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 98071, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 98074);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 98076, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 98079, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 98082, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 98085, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 98088, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 98091, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 98094, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 98097, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 98100, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98103, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 98106, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 98109, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 98112, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 98115, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 98119, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 98123, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 98127, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 98132, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 98136, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 98140, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 98144, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 98148, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98152, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 98156, (ZREG_X15));
		}
					break;
				}
			}
			if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 98159, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 98162, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 98165, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 98169, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 98173, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 98177, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 98182, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 98186, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 98190, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 98194, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 98198, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98202, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 98206, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 98210, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 98213, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 98216, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 98220, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 98224, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 98228, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 98233, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 98237, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 98241, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 98245, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 98249, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98253, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 98257, (ZREG_X15));
		}
		} while(0);
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 98260);
				}
	dasm_put(Dst, 98263);
			}
			if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 98265, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 98269, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 98273, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98277, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 98281, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 98286, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 98291, (ZREG_X15));
		} else {
	dasm_put(Dst, 98295, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 98301, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 98305, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 98309, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98313, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 98317, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 98322, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 98327, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 98330, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 98334, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 98338, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 98342, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98346, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 98350, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 98354);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 98357, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 98361, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 98365, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98369, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 98373, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 98377, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 98381);
				}
	dasm_put(Dst, 98383, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 98386, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 98389, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 98393, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 98397, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 98401, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98405, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 98409, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 98413);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 98416, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 98419, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 98422, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 98426, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 98430, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 98434, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 98439, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 98443, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 98447, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 98451, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 98455, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 98459, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 98463, (ZREG_X15));
		}
			}
			if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 98466);
			}
	dasm_put(Dst, 98469);
		}
		}
#line 11600 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (may_throw) {
		if (!zend_jit_check_exception(Dst)) {
			return 0;
		}
	}
	return 1;
}

static int zend_jit_isset_isempty_dim(dasm_State    **Dst,
                                      const zend_op  *opline,
                                      uint32_t        op1_info,
                                      zend_jit_addr   op1_addr,
                                      bool            op1_avoid_refcounting,
                                      uint32_t        op2_info,
                                      uint8_t         dim_type,
                                      int             may_throw,
                                      zend_uchar      smart_branch_opcode,
                                      uint32_t        target_label,
                                      uint32_t        target_label2,
                                      const void     *exit_addr)
{
	zend_jit_addr op2_addr, res_addr;

	// TODO: support for empty() ???
	ZEND_ASSERT(!(opline->extended_value & ZEND_ISEMPTY));

	op2_addr = OP2_ADDR();
	res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

	if (op1_info & MAY_BE_REF) {
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 98471);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 98473, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 98476, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 98479, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 98482, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 98485, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 98488, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 98491, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 98494, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 98497, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 98500, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 98503, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 98506, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 98510, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 98513, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 98516, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 98519, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 98522, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 98525);
					} else {
		dasm_put(Dst, 98527, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 11632 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
			if (op1_info & MAY_BE_REF) {
		dasm_put(Dst, 98530, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 98533);
			} else {
		dasm_put(Dst, 98536, IS_REFERENCE);
			}
		dasm_put(Dst, 98541, offsetof(zend_reference, val));
			}
#line 11633 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	}

	if (op1_info & MAY_BE_ARRAY) {
		const void *found_exit_addr = NULL;
		const void *not_found_exit_addr = NULL;

		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - MAY_BE_ARRAY)) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_ARRAY, >7, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 98546, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 98550, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 98554, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 98558, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 98562, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 98567, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_ARRAY == 0) {
			dasm_put(Dst, 98572, (ZREG_X15));
				} else {
			dasm_put(Dst, 98576, (ZREG_X15), IS_ARRAY);
				}
#line 11642 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	GET_ZVAL_LVAL ZREG_FCARG1, op1_addr, TMP1
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 98582, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 98585, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 98588, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 98592, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 98596, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 98600, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 98604, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 98608, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 98612, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 98616, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 98620, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 98624, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 98628, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 98632, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 98636, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 98639, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 98642, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 98645, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 98648, (ZREG_FCARG1), (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 98652, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 98657, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 11644 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (exit_addr
		 && !(op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_ARRAY))
		 && !may_throw
		 && (!(opline->op1_type & (IS_TMP_VAR|IS_VAR)) || op1_avoid_refcounting)
		 && (!(opline->op2_type & (IS_TMP_VAR|IS_VAR)) || !(op2_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG)))) {
			if (smart_branch_opcode == ZEND_JMPNZ) {
				found_exit_addr = exit_addr;
			} else {
				not_found_exit_addr = exit_addr;
			}
		}
		if (!zend_jit_fetch_dimension_address_inner(Dst, opline, BP_JIT_IS, op1_info, op2_info, dim_type, found_exit_addr, not_found_exit_addr, NULL)) {
			return 0;
		}

		if (found_exit_addr) {
			//|9:
			dasm_put(Dst, 98661);
#line 11661 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			return 1;
		} else if (not_found_exit_addr) {
			//|8:
			dasm_put(Dst, 98663);
#line 11664 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			return 1;
		}
	}

	if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_ARRAY)) {
		if (op1_info & MAY_BE_ARRAY) {
			//|.cold_code
			dasm_put(Dst, 98665);
#line 11671 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|7:
			dasm_put(Dst, 98666);
#line 11672 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (op1_info & (MAY_BE_STRING|MAY_BE_OBJECT)) {
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 98668, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 98671);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 98673, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 98676, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 98679, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 98682, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 98685, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 98688, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 98691, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 98694, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 98697, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 98700, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 98703, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 11676 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		    if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 98706);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 98708, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 98711, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 98714, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 98717, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 98720, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 98723, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 98726, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 98729, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 98732, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 98735, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 98738, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 98741, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 98745, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 98748, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 98751, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 98754, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 98757, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 98760);
							} else {
				dasm_put(Dst, 98762, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 11678 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline->op2_type == IS_CONST && Z_EXTRA_P(RT_CONSTANT(opline, opline->op2)) == ZEND_EXTRA_VALUE) {
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_CONST_ZVAL);
				//|	LOAD_ADDR FCARG2x, (Z_ZV(op2_addr) + 1)
					if (((uintptr_t)((Z_ZV(op2_addr) + 1))) == 0) {
				dasm_put(Dst, 98765);
					} else if (((uintptr_t)((Z_ZV(op2_addr) + 1))) <= MOVZ_IMM) {
				dasm_put(Dst, 98767, ((uint64_t)((Z_ZV(op2_addr) + 1))));
					} else if (arm64_may_use_adr((void*)((Z_ZV(op2_addr) + 1)))) {
				dasm_put(Dst, 98770, (unsigned int)((ptrdiff_t)((Z_ZV(op2_addr) + 1))), (unsigned int)(((ptrdiff_t)((Z_ZV(op2_addr) + 1)))>>32));
					} else if (arm64_may_use_adrp((void*)((Z_ZV(op2_addr) + 1)))) {
				dasm_put(Dst, 98773, (unsigned int)((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((Z_ZV(op2_addr) + 1))))))>>32));
						if (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff) {
				dasm_put(Dst, 98776, (((uintptr_t)((Z_ZV(op2_addr) + 1))) & 0xfff));
						}
					} else if ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff) {
				dasm_put(Dst, 98779, ((uintptr_t)((Z_ZV(op2_addr) + 1)) & 0xffff));
						if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
				dasm_put(Dst, 98782, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
						}
						if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
				dasm_put(Dst, 98785, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff) {
				dasm_put(Dst, 98788, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 16) & 0xffff));
						if (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff) {
				dasm_put(Dst, 98791, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 98794, (((uintptr_t)((Z_ZV(op2_addr) + 1)) >> 32) & 0xffff));
					}
#line 11682 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	LOAD_ZVAL_ADDR FCARG2x, op2_addr
					if (Z_MODE(op2_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op2_addr))) == 0) {
				dasm_put(Dst, 98797);
					} else if (((uintptr_t)(Z_ZV(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 98799, ((uint64_t)(Z_ZV(op2_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op2_addr)))) {
				dasm_put(Dst, 98802, (unsigned int)((ptrdiff_t)(Z_ZV(op2_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op2_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op2_addr)))) {
				dasm_put(Dst, 98805, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op2_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff) {
				dasm_put(Dst, 98808, (((uintptr_t)(Z_ZV(op2_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff) {
				dasm_put(Dst, 98811, ((uintptr_t)(Z_ZV(op2_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 98814, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 98817, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 98820, (((uintptr_t)(Z_ZV(op2_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 98823, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 98826, (((uintptr_t)(Z_ZV(op2_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op2_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op2_addr)) {
					if (Z_OFFSET(op2_addr) == 0) {
				dasm_put(Dst, 98829, (Z_REG(op2_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op2_addr)))) {
				dasm_put(Dst, 98832, (Z_REG(op2_addr)), Z_OFFSET(op2_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 98836, ((uint32_t)(Z_OFFSET(op2_addr))));
					} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
				dasm_put(Dst, 98839, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 98842, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 98845, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 98848, (Z_REG(op2_addr)));
					}
						} else {
							if (Z_REG(op2_addr) == ZREG_RSP) {
				dasm_put(Dst, 98851);
							} else {
				dasm_put(Dst, 98853, (Z_REG(op2_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 11684 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	EXT_CALL zend_jit_isset_dim_helper, REG0
				if (arm64_may_use_b(zend_jit_isset_dim_helper)) {
			dasm_put(Dst, 98856, (unsigned int)((ptrdiff_t)(zend_jit_isset_dim_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_isset_dim_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_isset_dim_helper)) == 0) {
			dasm_put(Dst, 98859);
				} else if (((uintptr_t)(zend_jit_isset_dim_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 98861, ((uint64_t)(zend_jit_isset_dim_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_isset_dim_helper))) {
			dasm_put(Dst, 98864, (unsigned int)((ptrdiff_t)(zend_jit_isset_dim_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_isset_dim_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_isset_dim_helper))) {
			dasm_put(Dst, 98867, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_isset_dim_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_isset_dim_helper)))))>>32));
					if (((uintptr_t)(zend_jit_isset_dim_helper)) & 0xfff) {
			dasm_put(Dst, 98870, (((uintptr_t)(zend_jit_isset_dim_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_isset_dim_helper) & 0xffff) {
			dasm_put(Dst, 98873, ((uintptr_t)(zend_jit_isset_dim_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_isset_dim_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 98876, (((uintptr_t)(zend_jit_isset_dim_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_isset_dim_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 98879, (((uintptr_t)(zend_jit_isset_dim_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_isset_dim_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 98882, (((uintptr_t)(zend_jit_isset_dim_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_isset_dim_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 98885, (((uintptr_t)(zend_jit_isset_dim_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 98888, (((uintptr_t)(zend_jit_isset_dim_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 98891);
				}
#line 11686 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cbz RETVALw, >9
			dasm_put(Dst, 98893);
#line 11687 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (op1_info & MAY_BE_ARRAY) {
				//|	b >8
				//|.code
				dasm_put(Dst, 98896);
#line 11690 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			if (op2_info & MAY_BE_UNDEF) {
				if (op2_info & MAY_BE_ANY) {
					//|	IF_NOT_ZVAL_TYPE op2_addr, IS_UNDEF, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 98899, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 98903, (ZREG_X15), ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 98907, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 98911, (ZREG_X15), (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 98915, (ZREG_X15), (Z_REG(op2_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 98920, (ZREG_X15), (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_UNDEF == 0) {
					dasm_put(Dst, 98925, (ZREG_X15));
						} else {
					dasm_put(Dst, 98929, (ZREG_X15), IS_UNDEF);
						}
#line 11695 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 98935, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 98938);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 98940, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 98943, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 98946, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 98949, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 98952, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 98955, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 98958, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 98961, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 98964, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 98967, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 98970, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 11697 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	LOAD_32BIT_VAL FCARG1w, opline->op2.var
					if (((uint32_t)(opline->op2.var)) <= MOVZ_IMM) {
				dasm_put(Dst, 98973, ((uint32_t)(opline->op2.var)));
					} else if (((uint32_t)(opline->op2.var) & 0xffff)) {
				dasm_put(Dst, 98976, ((uint32_t)(opline->op2.var) & 0xffff));
						if ((((uint32_t)(opline->op2.var) >> 16) & 0xffff)) {
				dasm_put(Dst, 98979, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 98982, (((uint32_t)(opline->op2.var) >> 16) & 0xffff));
					}
#line 11698 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_undefined_op_helper, REG0
					if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
				dasm_put(Dst, 98985, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
				dasm_put(Dst, 98988);
					} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 98990, ((uint64_t)(zend_jit_undefined_op_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 98993, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 98996, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
						if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
				dasm_put(Dst, 98999, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
				dasm_put(Dst, 99002, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 99005, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 99008, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 99011, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 99014, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 99017, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 99020);
					}
#line 11699 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				dasm_put(Dst, 99022);
#line 11700 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (op1_info & MAY_BE_ARRAY) {
				//|	b >9
				//|.code
				dasm_put(Dst, 99024);
#line 11704 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

#ifdef ZEND_JIT_USE_RC_INFERENCE
	if ((opline->op2_type & (IS_TMP_VAR|IS_VAR)) && (op1_info & MAY_BE_OBJECT)) {
		/* Magic offsetExists() may increase refcount of the key */
		op2_info |= MAY_BE_RCN;
	}
#endif

	if (op1_info & (MAY_BE_ARRAY|MAY_BE_STRING|MAY_BE_OBJECT)) {
		//|8:
		//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, opline, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 99027);
			if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
			if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 99029, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 99033, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 99037, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99041, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99045, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 99050, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 99055, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 99058, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 99062, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 99066, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 99070, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99074, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99078, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 99082);
		dasm_put(Dst, 99085);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 99087, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 99091, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 99095, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99099, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99103, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 99108, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 99113, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 99116, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 99120, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 99124, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 99128, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99132, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99136, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 99140);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 99143, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 99147, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 99151, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99155, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99159, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 99163, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 99167, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
					if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
						if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 99175);
						} else {
		dasm_put(Dst, 99178);
						}
					}
			do {
				if (!((op2_info) & MAY_BE_GUARD)
				 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 99181, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 99184, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 99187, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 99191, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 99195, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 99199, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 99204, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 99208, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 99212, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 99216, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 99220, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99224, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 99228, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 99231, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 99234, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 99237, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 99241, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 99245, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 99249, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 99254, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 99258, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 99262, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 99266, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 99270, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99274, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 99278, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 99282, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 99285, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 99288, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 99292, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 99296, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 99300, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 99305, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 99309, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 99313, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 99317, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 99321, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99325, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 99329, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 99332, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 99335, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 99338, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 99342, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 99346, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 99350, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 99355, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 99359, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 99363, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 99367, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 99371, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99375, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 99379, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 99382, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 99385);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 99387, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 99390, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 99393, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 99396, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 99399, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 99402, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 99405, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 99408, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 99411, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99414, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 99417, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 99420, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 99423, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 99426, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 99430, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 99434, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 99438, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 99443, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 99447, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 99451, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 99455, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 99459, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99463, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 99467, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 99470, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 99473, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 99476, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 99480, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 99484, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 99488, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 99493, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 99497, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 99501, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 99505, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 99509, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99513, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 99517, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 99521, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 99524, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 99527, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 99531, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 99535, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 99539, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 99544, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 99548, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 99552, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 99556, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 99560, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99564, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 99568, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 99571);
					}
		dasm_put(Dst, 99574);
				}
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 99576, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 99580, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 99584, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99588, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99592, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 99597, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 99602, (ZREG_X15));
			} else {
		dasm_put(Dst, 99606, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 99612, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 99616, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 99620, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99624, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99628, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 99633, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 99638, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 99641, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 99645, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 99649, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 99653, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99657, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99661, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 99665);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 99668, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 99672, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 99676, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99680, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99684, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 99688, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 99692);
					}
		dasm_put(Dst, 99694, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 99697, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 99700, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 99704, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 99708, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 99712, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99716, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 99720, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 99724);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 99727, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 99730, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 99733, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 99737, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 99741, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 99745, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 99750, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 99754, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 99758, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 99762, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 99766, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 99770, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 99774, (ZREG_X15));
			}
				}
				if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 99777);
				}
		dasm_put(Dst, 99780);
			}
			}
#line 11718 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!op1_avoid_refcounting) {
			//|	FREE_OP opline->op1_type, opline->op1, op1_info, 0, opline, ZREG_TMP1, ZREG_TMP2
				if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
				if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (0) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 99782, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 99786, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 99790, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 99794, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 99798, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 99803, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 99808, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 99811, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 99815, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 99819, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 99823, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 99827, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 99831, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 99835);
			dasm_put(Dst, 99838);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 99840, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 99844, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 99848, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 99852, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 99856, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 99861, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 99866, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 99869, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 99873, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 99877, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 99881, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 99885, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 99889, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 99893);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 99896, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 99900, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 99904, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 99908, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 99912, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 99916, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 99920, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 99928);
							} else {
			dasm_put(Dst, 99931);
							}
						}
				do {
					if (!((op1_info) & MAY_BE_GUARD)
					 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 99934, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 99937, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 99940, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 99944, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 99948, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 99952, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 99957, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 99961, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 99965, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 99969, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 99973, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 99977, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 99981, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 99984, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 99987, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 99990, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 99994, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 99998, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 100002, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 100007, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 100011, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 100015, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 100019, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 100023, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100027, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 100031, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 100035, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 100038, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 100041, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 100045, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 100049, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 100053, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 100058, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 100062, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 100066, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 100070, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 100074, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100078, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 100082, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 100085, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 100088, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 100091, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 100095, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 100099, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 100103, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 100108, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 100112, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 100116, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 100120, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 100124, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100128, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 100132, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 100135, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 100138);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 100140, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 100143, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 100146, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 100149, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 100152, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 100155, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 100158, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 100161, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 100164, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100167, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 100170, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 100173, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 100176, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 100179, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 100183, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 100187, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 100191, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 100196, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 100200, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 100204, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 100208, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 100212, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100216, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 100220, (ZREG_X15));
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 100223, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 100226, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 100229, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 100233, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 100237, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 100241, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 100246, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 100250, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 100254, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 100258, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 100262, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100266, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 100270, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 100274, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 100277, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 100280, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 100284, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 100288, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 100292, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 100297, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 100301, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 100305, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 100309, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 100313, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100317, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 100321, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 100324);
						}
			dasm_put(Dst, 100327);
					}
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 100329, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 100333, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 100337, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100341, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 100345, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 100350, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 100355, (ZREG_X15));
				} else {
			dasm_put(Dst, 100359, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 100365, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 100369, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 100373, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100377, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 100381, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 100386, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 100391, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 100394, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 100398, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 100402, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 100406, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100410, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 100414, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 100418);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 100421, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 100425, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 100429, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100433, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 100437, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 100441, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 100445);
						}
			dasm_put(Dst, 100447, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 100450, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 100453, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 100457, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 100461, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 100465, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100469, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 100473, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 100477);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 100480, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 100483, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 100486, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 100490, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 100494, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 100498, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 100503, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 100507, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 100511, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 100515, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 100519, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 100523, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 100527, (ZREG_X15));
				}
					}
					if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 100530);
					}
			dasm_put(Dst, 100533);
				}
				}
#line 11720 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (may_throw) {
			if (!zend_jit_check_exception_undef_result(Dst, opline)) {
				return 0;
			}
		}
		if (!(opline->extended_value & ZEND_ISEMPTY)) {
			if (exit_addr) {
				if (smart_branch_opcode == ZEND_JMPNZ) {
					//|	b &exit_addr
					dasm_put(Dst, 100535, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 11730 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	b >8
					dasm_put(Dst, 100538);
#line 11732 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (smart_branch_opcode) {
				if (smart_branch_opcode == ZEND_JMPZ) {
					//|	b =>target_label2
					dasm_put(Dst, 100541, target_label2);
#line 11736 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else if (smart_branch_opcode == ZEND_JMPNZ) {
					//|	b =>target_label
					dasm_put(Dst, 100544, target_label);
#line 11738 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					ZEND_UNREACHABLE();
				}
			} else {
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
				dasm_put(Dst, 100547, ((uint32_t)(IS_TRUE)));
					} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
				dasm_put(Dst, 100550, ((uint32_t)(IS_TRUE) & 0xffff));
						if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
				dasm_put(Dst, 100553, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 100556, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 100559, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 100562, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 100565, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 100568, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 100571, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 100574, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 11743 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b >8
				dasm_put(Dst, 100578);
#line 11744 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			//|	NIY // TODO: support for empty()
				//ZEND_ASSERT(0);
			dasm_put(Dst, 100581);
#line 11747 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	//|9: // not found
	//|	FREE_OP opline->op2_type, opline->op2, op2_info, 0, opline, ZREG_TMP1, ZREG_TMP2
	dasm_put(Dst, 100583);
		if (opline->op2_type & (IS_VAR|IS_TMP_VAR)) {
			zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
		if ((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
			if ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if (0) {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 100585, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 100589, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 100593, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 100597, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 100601, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 100606, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 100611, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 100614, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 100618, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 100622, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 100626, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 100630, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 100634, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 100638);
	dasm_put(Dst, 100641);
				} else {
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 100643, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 100647, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 100651, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 100655, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 100659, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 100664, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_REFCOUNTED == 0) {
	dasm_put(Dst, 100669, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
	dasm_put(Dst, 100672, (ZREG_X15), IS_TYPE_REFCOUNTED);
		} else {
		if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
	dasm_put(Dst, 100676, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
		} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
	dasm_put(Dst, 100680, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
			if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
	dasm_put(Dst, 100684, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 100688, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
		}
	dasm_put(Dst, 100692, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 100696);
				}
			}
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 100699, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
		} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
	dasm_put(Dst, 100703, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 100707, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 100711, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 100715, (Z_REG(addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 100719, (Z_REG(addr)), (Z_OFFSET(addr)));
		}
	dasm_put(Dst, 100723, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
			if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op2_info)) {
				if (((op2_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op2_info)) {
					if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 100731);
					} else {
	dasm_put(Dst, 100734);
					}
				}
		do {
			if (!((op2_info) & MAY_BE_GUARD)
			 && has_concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				zend_uchar type = concrete_type((op2_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
				if (type == IS_STRING && !ZEND_DEBUG) {
		if (arm64_may_use_b(_efree)) {
	dasm_put(Dst, 100737, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else {
		if (((uintptr_t)(_efree)) == 0) {
	dasm_put(Dst, 100740, (ZREG_X15));
		} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
	dasm_put(Dst, 100743, (ZREG_X15), ((uint64_t)(_efree)));
		} else if (arm64_may_use_adr((void*)(_efree))) {
	dasm_put(Dst, 100747, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
		} else if (arm64_may_use_adrp((void*)(_efree))) {
	dasm_put(Dst, 100751, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
			if (((uintptr_t)(_efree)) & 0xfff) {
	dasm_put(Dst, 100755, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
			}
		} else if ((uintptr_t)(_efree) & 0xffff) {
	dasm_put(Dst, 100760, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
			if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 100764, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			}
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 100768, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
	dasm_put(Dst, 100772, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
			if (((uintptr_t)(_efree) >> 32) & 0xffff) {
	dasm_put(Dst, 100776, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 100780, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
		}
	dasm_put(Dst, 100784, (ZREG_X15));
		}
					break;
				} else if (type == IS_ARRAY) {
					if ((op2_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
						if (opline && ((op2_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 100787, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 100790, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 100793, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 100797, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 100801, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 100805, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 100810, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 100814, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 100818, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 100822, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 100826, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 100830, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 100834, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
						}
		if (arm64_may_use_b(zend_array_destroy)) {
	dasm_put(Dst, 100838, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else {
		if (((uintptr_t)(zend_array_destroy)) == 0) {
	dasm_put(Dst, 100841, (ZREG_X15));
		} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
	dasm_put(Dst, 100844, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
		} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
	dasm_put(Dst, 100848, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
	dasm_put(Dst, 100852, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
			if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
	dasm_put(Dst, 100856, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
	dasm_put(Dst, 100861, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 100865, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 100869, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
	dasm_put(Dst, 100873, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
			if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
	dasm_put(Dst, 100877, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 100881, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
		}
	dasm_put(Dst, 100885, (ZREG_X15));
		}
					} else {
		if (arm64_may_use_b(zend_jit_array_free)) {
	dasm_put(Dst, 100888, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else {
		if (((uintptr_t)(zend_jit_array_free)) == 0) {
	dasm_put(Dst, 100891, (ZREG_X15));
		} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
	dasm_put(Dst, 100894, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
		} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 100898, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
	dasm_put(Dst, 100902, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
			if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
	dasm_put(Dst, 100906, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
	dasm_put(Dst, 100911, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 100915, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 100919, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
	dasm_put(Dst, 100923, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
	dasm_put(Dst, 100927, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 100931, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
		}
	dasm_put(Dst, 100935, (ZREG_X15));
		}
					}
					break;
				} else if (type == IS_OBJECT) {
					if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 100938, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 100941);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 100943, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 100946, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 100949, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 100952, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 100955, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 100958, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 100961, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 100964, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 100967, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 100970, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 100973, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
					}
		if (arm64_may_use_b(zend_objects_store_del)) {
	dasm_put(Dst, 100976, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else {
		if (((uintptr_t)(zend_objects_store_del)) == 0) {
	dasm_put(Dst, 100979, (ZREG_X15));
		} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
	dasm_put(Dst, 100982, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
		} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 100986, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
	dasm_put(Dst, 100990, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
			if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
	dasm_put(Dst, 100994, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
	dasm_put(Dst, 100999, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 101003, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 101007, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
	dasm_put(Dst, 101011, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
			if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
	dasm_put(Dst, 101015, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101019, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
		}
	dasm_put(Dst, 101023, (ZREG_X15));
		}
					break;
				}
			}
			if (opline) {
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 101026, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 101029, (ZREG_X15));
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 101032, (ZREG_X15), ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 101036, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 101040, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 101044, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 101049, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 101053, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 101057, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 101061, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 101065, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101069, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 101073, (ZREG_X15), Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
			}
		if (arm64_may_use_b(rc_dtor_func)) {
	dasm_put(Dst, 101077, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else {
		if (((uintptr_t)(rc_dtor_func)) == 0) {
	dasm_put(Dst, 101080, (ZREG_X15));
		} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
	dasm_put(Dst, 101083, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
		} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
	dasm_put(Dst, 101087, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
		} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
	dasm_put(Dst, 101091, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
			if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
	dasm_put(Dst, 101095, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
			}
		} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
	dasm_put(Dst, 101100, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 101104, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			}
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 101108, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
	dasm_put(Dst, 101112, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
			if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
	dasm_put(Dst, 101116, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101120, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
		}
	dasm_put(Dst, 101124, (ZREG_X15));
		}
		} while(0);
				if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
	dasm_put(Dst, 101127);
				}
	dasm_put(Dst, 101130);
			}
			if (0 && (((op2_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op2_info) && ((op2_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
				if ((op2_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
					zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 101132, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 101136, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 101140, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101144, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 101148, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 101153, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 101158, (ZREG_X15));
		} else {
	dasm_put(Dst, 101162, (ZREG_X15), IS_REFERENCE);
		}
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
	dasm_put(Dst, 101168, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
	dasm_put(Dst, 101172, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
	dasm_put(Dst, 101176, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101180, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 101184, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 101189, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
		}
		if (IS_TYPE_COLLECTABLE == 0) {
	dasm_put(Dst, 101194, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
	dasm_put(Dst, 101197, (ZREG_X15), IS_TYPE_COLLECTABLE);
		} else {
		if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
	dasm_put(Dst, 101201, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
		} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
	dasm_put(Dst, 101205, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
			if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
	dasm_put(Dst, 101209, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101213, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
		}
	dasm_put(Dst, 101217, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 101221);
		ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 101224, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
		} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
	dasm_put(Dst, 101228, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 101232, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101236, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 101240, (Z_REG(ref_addr)), (ZREG_X16));
		} else {
	dasm_put(Dst, 101244, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
		}
	dasm_put(Dst, 101248);
				}
	dasm_put(Dst, 101250, (ZREG_X15));
		if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
	dasm_put(Dst, 101253, (ZREG_X15));
		} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
	dasm_put(Dst, 101256, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
		} else {
		if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
	dasm_put(Dst, 101260, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
		} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
	dasm_put(Dst, 101264, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
			if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
	dasm_put(Dst, 101268, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101272, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 101276, (ZREG_X15), (ZREG_X16));
		}
	dasm_put(Dst, 101280);
		if (arm64_may_use_b(gc_possible_root)) {
	dasm_put(Dst, 101283, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else {
		if (((uintptr_t)(gc_possible_root)) == 0) {
	dasm_put(Dst, 101286, (ZREG_X15));
		} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
	dasm_put(Dst, 101289, (ZREG_X15), ((uint64_t)(gc_possible_root)));
		} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
	dasm_put(Dst, 101293, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
		} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
	dasm_put(Dst, 101297, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
			if (((uintptr_t)(gc_possible_root)) & 0xfff) {
	dasm_put(Dst, 101301, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
			}
		} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
	dasm_put(Dst, 101306, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 101310, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			}
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 101314, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
	dasm_put(Dst, 101318, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
			if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
	dasm_put(Dst, 101322, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 101326, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
		}
	dasm_put(Dst, 101330, (ZREG_X15));
		}
			}
			if (0 && ((op2_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
	dasm_put(Dst, 101333);
			}
	dasm_put(Dst, 101336);
		}
		}
#line 11752 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (!op1_avoid_refcounting) {
		//|	FREE_OP opline->op1_type, opline->op1, op1_info, 0, opline, ZREG_TMP1, ZREG_TMP2
			if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 101338, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 101342, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 101346, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101350, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 101354, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 101359, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 101364, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 101367, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 101371, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 101375, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 101379, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101383, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 101387, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 101391);
		dasm_put(Dst, 101394);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 101396, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 101400, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 101404, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101408, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 101412, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 101417, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 101422, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 101425, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 101429, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 101433, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 101437, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101441, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 101445, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 101449);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 101452, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 101456, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 101460, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101464, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 101468, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 101472, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 101476, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 101484);
						} else {
		dasm_put(Dst, 101487);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 101490, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 101493, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 101496, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 101500, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 101504, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 101508, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 101513, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 101517, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 101521, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 101525, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 101529, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101533, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 101537, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 101540, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 101543, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 101546, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 101550, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 101554, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 101558, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 101563, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 101567, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 101571, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 101575, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 101579, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101583, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 101587, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 101591, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 101594, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 101597, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 101601, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 101605, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 101609, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 101614, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 101618, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 101622, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 101626, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 101630, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101634, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 101638, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 101641, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 101644, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 101647, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 101651, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 101655, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 101659, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 101664, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 101668, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 101672, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 101676, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 101680, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101684, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 101688, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 101691, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 101694);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 101696, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 101699, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 101702, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 101705, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 101708, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 101711, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 101714, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 101717, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 101720, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101723, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 101726, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 101729, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 101732, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 101735, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 101739, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 101743, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 101747, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 101752, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 101756, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 101760, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 101764, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 101768, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101772, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 101776, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 101779, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 101782, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 101785, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 101789, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 101793, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 101797, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 101802, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 101806, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 101810, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 101814, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 101818, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101822, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 101826, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 101830, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 101833, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 101836, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 101840, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 101844, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 101848, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 101853, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 101857, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 101861, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 101865, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 101869, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101873, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 101877, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 101880);
					}
		dasm_put(Dst, 101883);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 101885, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 101889, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 101893, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101897, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 101901, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 101906, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 101911, (ZREG_X15));
			} else {
		dasm_put(Dst, 101915, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 101921, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 101925, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 101929, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101933, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 101937, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 101942, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 101947, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 101950, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 101954, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 101958, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 101962, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101966, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 101970, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 101974);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 101977, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 101981, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 101985, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 101989, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 101993, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 101997, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 102001);
					}
		dasm_put(Dst, 102003, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 102006, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 102009, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 102013, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 102017, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 102021, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102025, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 102029, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 102033);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 102036, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 102039, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 102042, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 102046, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 102050, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 102054, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 102059, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 102063, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 102067, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 102071, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 102075, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102079, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102083, (ZREG_X15));
			}
				}
				if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 102086);
				}
		dasm_put(Dst, 102089);
			}
			}
#line 11754 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (may_throw) {
		if (!zend_jit_check_exception_undef_result(Dst, opline)) {
			return 0;
		}
	}
	if (!(opline->extended_value & ZEND_ISEMPTY)) {
		if (exit_addr) {
			if (smart_branch_opcode == ZEND_JMPZ) {
				//|	b &exit_addr
				dasm_put(Dst, 102091, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 11764 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (smart_branch_opcode) {
			if (smart_branch_opcode == ZEND_JMPZ) {
				//|	b =>target_label
				dasm_put(Dst, 102094, target_label);
#line 11768 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (smart_branch_opcode == ZEND_JMPNZ) {
			} else {
				ZEND_UNREACHABLE();
			}
		} else {
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
			dasm_put(Dst, 102097, ((uint32_t)(IS_FALSE)));
				} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
			dasm_put(Dst, 102100, ((uint32_t)(IS_FALSE) & 0xffff));
					if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
			dasm_put(Dst, 102103, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 102106, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 102109, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 102112, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 102115, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 102118, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 102121, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 102124, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 11774 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		//|	NIY // TODO: support for empty()
			//ZEND_ASSERT(0);
		dasm_put(Dst, 102128);
#line 11777 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|8:
	dasm_put(Dst, 102130);
#line 11780 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_bind_global(dasm_State **Dst, const zend_op *opline, uint32_t op1_info)
{
	zend_jit_addr op1_addr = OP1_ADDR();
	zend_string *varname = Z_STR_P(RT_CONSTANT(opline, opline->op2));

	//|	// idx = (uint32_t)(uintptr_t)CACHED_PTR(opline->extended_value) - 1;
	//|	ldr FCARG2x, EX->run_time_cache
	//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, FCARG2x, opline->extended_value, TMP1
	dasm_put(Dst, 102132, Dt1(->run_time_cache));
		if (((uintptr_t)(opline->extended_value)) > LDR_STR_PIMM64) {
		if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
	dasm_put(Dst, 102135, ((uint32_t)(opline->extended_value)));
		} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
	dasm_put(Dst, 102138, ((uint32_t)(opline->extended_value) & 0xffff));
			if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
	dasm_put(Dst, 102141, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 102144, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
		}
	dasm_put(Dst, 102147);
		} else {
	dasm_put(Dst, 102149, (opline->extended_value));
		}
#line 11792 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	sub REG0, REG0, #1
	//|	// if (EXPECTED(idx < EG(symbol_table).nNumUsed * sizeof(Bucket)))
	//|	MEM_LOAD_32_ZTS ldr, REG1w, executor_globals, symbol_table.nNumUsed, REG1
	dasm_put(Dst, 102152);
		if (((uintptr_t)(&executor_globals.symbol_table.nNumUsed)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.symbol_table.nNumUsed))) {
	dasm_put(Dst, 102154, (unsigned int)((ptrdiff_t)(&executor_globals.symbol_table.nNumUsed)), (unsigned int)(((ptrdiff_t)(&executor_globals.symbol_table.nNumUsed))>>32));
		} else if (((uintptr_t)(&executor_globals.symbol_table.nNumUsed)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.symbol_table.nNumUsed))) {
	dasm_put(Dst, 102158, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.symbol_table.nNumUsed))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.symbol_table.nNumUsed)))))>>32), (((uintptr_t)(&executor_globals.symbol_table.nNumUsed)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.symbol_table.nNumUsed)) == 0) {
	dasm_put(Dst, 102163);
		} else if (((uintptr_t)(&executor_globals.symbol_table.nNumUsed)) <= MOVZ_IMM) {
	dasm_put(Dst, 102165, ((uint64_t)(&executor_globals.symbol_table.nNumUsed)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.symbol_table.nNumUsed))) {
	dasm_put(Dst, 102168, (unsigned int)((ptrdiff_t)(&executor_globals.symbol_table.nNumUsed)), (unsigned int)(((ptrdiff_t)(&executor_globals.symbol_table.nNumUsed))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.symbol_table.nNumUsed))) {
	dasm_put(Dst, 102171, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.symbol_table.nNumUsed))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.symbol_table.nNumUsed)))))>>32));
			if (((uintptr_t)(&executor_globals.symbol_table.nNumUsed)) & 0xfff) {
	dasm_put(Dst, 102174, (((uintptr_t)(&executor_globals.symbol_table.nNumUsed)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.symbol_table.nNumUsed) & 0xffff) {
	dasm_put(Dst, 102177, ((uintptr_t)(&executor_globals.symbol_table.nNumUsed) & 0xffff));
			if (((uintptr_t)(&executor_globals.symbol_table.nNumUsed) >> 16) & 0xffff) {
	dasm_put(Dst, 102180, (((uintptr_t)(&executor_globals.symbol_table.nNumUsed) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.symbol_table.nNumUsed) >> 32) & 0xffff) {
	dasm_put(Dst, 102183, (((uintptr_t)(&executor_globals.symbol_table.nNumUsed) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.symbol_table.nNumUsed) >> 16) & 0xffff) {
	dasm_put(Dst, 102186, (((uintptr_t)(&executor_globals.symbol_table.nNumUsed) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.symbol_table.nNumUsed) >> 32) & 0xffff) {
	dasm_put(Dst, 102189, (((uintptr_t)(&executor_globals.symbol_table.nNumUsed) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 102192, (((uintptr_t)(&executor_globals.symbol_table.nNumUsed) >> 32) & 0xffff));
		}
	dasm_put(Dst, 102195);
		}
#line 11795 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	cmp REG0, REG1, lsl #5
	//|	bhs >9
	//|	// Bucket *p = (Bucket*)((char*)EG(symbol_table).arData + idx);
	//|	MEM_LOAD_64_ZTS ldr, TMP1, executor_globals, symbol_table.arData, REG1
	dasm_put(Dst, 102197);
		if (((uintptr_t)(&executor_globals.symbol_table.arData)) > MOVZ_IMM && arm64_may_use_adr((void*)(&executor_globals.symbol_table.arData))) {
	dasm_put(Dst, 102201, (unsigned int)((ptrdiff_t)(&executor_globals.symbol_table.arData)), (unsigned int)(((ptrdiff_t)(&executor_globals.symbol_table.arData))>>32));
		} else if (((uintptr_t)(&executor_globals.symbol_table.arData)) > MOVZ_IMM && arm64_may_use_adrp((void*)(&executor_globals.symbol_table.arData))) {
	dasm_put(Dst, 102205, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.symbol_table.arData))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.symbol_table.arData)))))>>32), (((uintptr_t)(&executor_globals.symbol_table.arData)) & 0xfff));
		} else {
		if (((uintptr_t)(&executor_globals.symbol_table.arData)) == 0) {
	dasm_put(Dst, 102210);
		} else if (((uintptr_t)(&executor_globals.symbol_table.arData)) <= MOVZ_IMM) {
	dasm_put(Dst, 102212, ((uint64_t)(&executor_globals.symbol_table.arData)));
		} else if (arm64_may_use_adr((void*)(&executor_globals.symbol_table.arData))) {
	dasm_put(Dst, 102215, (unsigned int)((ptrdiff_t)(&executor_globals.symbol_table.arData)), (unsigned int)(((ptrdiff_t)(&executor_globals.symbol_table.arData))>>32));
		} else if (arm64_may_use_adrp((void*)(&executor_globals.symbol_table.arData))) {
	dasm_put(Dst, 102218, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.symbol_table.arData))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.symbol_table.arData)))))>>32));
			if (((uintptr_t)(&executor_globals.symbol_table.arData)) & 0xfff) {
	dasm_put(Dst, 102221, (((uintptr_t)(&executor_globals.symbol_table.arData)) & 0xfff));
			}
		} else if ((uintptr_t)(&executor_globals.symbol_table.arData) & 0xffff) {
	dasm_put(Dst, 102224, ((uintptr_t)(&executor_globals.symbol_table.arData) & 0xffff));
			if (((uintptr_t)(&executor_globals.symbol_table.arData) >> 16) & 0xffff) {
	dasm_put(Dst, 102227, (((uintptr_t)(&executor_globals.symbol_table.arData) >> 16) & 0xffff));
			}
			if (((uintptr_t)(&executor_globals.symbol_table.arData) >> 32) & 0xffff) {
	dasm_put(Dst, 102230, (((uintptr_t)(&executor_globals.symbol_table.arData) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(&executor_globals.symbol_table.arData) >> 16) & 0xffff) {
	dasm_put(Dst, 102233, (((uintptr_t)(&executor_globals.symbol_table.arData) >> 16) & 0xffff));
			if (((uintptr_t)(&executor_globals.symbol_table.arData) >> 32) & 0xffff) {
	dasm_put(Dst, 102236, (((uintptr_t)(&executor_globals.symbol_table.arData) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 102239, (((uintptr_t)(&executor_globals.symbol_table.arData) >> 32) & 0xffff));
		}
	dasm_put(Dst, 102242);
		}
#line 11799 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	add REG0, REG0, TMP1
	//|	IF_NOT_Z_TYPE REG0, IS_REFERENCE, >9, TMP1w
	dasm_put(Dst, 102244, offsetof(zval, u1.v.type));
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 102248);
		} else {
	dasm_put(Dst, 102251, IS_REFERENCE);
		}
#line 11801 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// (EXPECTED(p->key == varname))
	//|	ldr TMP1, [REG0, #offsetof(Bucket, key)]
	//|	LOAD_ADDR TMP2, varname
	dasm_put(Dst, 102256, offsetof(Bucket, key));
		if (((uintptr_t)(varname)) == 0) {
	dasm_put(Dst, 102259);
		} else if (((uintptr_t)(varname)) <= MOVZ_IMM) {
	dasm_put(Dst, 102261, ((uint64_t)(varname)));
		} else if (arm64_may_use_adr((void*)(varname))) {
	dasm_put(Dst, 102264, (unsigned int)((ptrdiff_t)(varname)), (unsigned int)(((ptrdiff_t)(varname))>>32));
		} else if (arm64_may_use_adrp((void*)(varname))) {
	dasm_put(Dst, 102267, (unsigned int)((ptrdiff_t)((((uintptr_t)(varname))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(varname)))))>>32));
			if (((uintptr_t)(varname)) & 0xfff) {
	dasm_put(Dst, 102270, (((uintptr_t)(varname)) & 0xfff));
			}
		} else if ((uintptr_t)(varname) & 0xffff) {
	dasm_put(Dst, 102273, ((uintptr_t)(varname) & 0xffff));
			if (((uintptr_t)(varname) >> 16) & 0xffff) {
	dasm_put(Dst, 102276, (((uintptr_t)(varname) >> 16) & 0xffff));
			}
			if (((uintptr_t)(varname) >> 32) & 0xffff) {
	dasm_put(Dst, 102279, (((uintptr_t)(varname) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(varname) >> 16) & 0xffff) {
	dasm_put(Dst, 102282, (((uintptr_t)(varname) >> 16) & 0xffff));
			if (((uintptr_t)(varname) >> 32) & 0xffff) {
	dasm_put(Dst, 102285, (((uintptr_t)(varname) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 102288, (((uintptr_t)(varname) >> 32) & 0xffff));
		}
#line 11804 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	cmp TMP1, TMP2
	//|	bne >9
	//|	GET_Z_PTR REG0, REG0
	//|	GC_ADDREF REG0, TMP1w
	//|1:
	dasm_put(Dst, 102291);
#line 11809 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF)) {
		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - (MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
			//|	// if (UNEXPECTED(Z_REFCOUNTED_P(variable_ptr)))
			//|	IF_ZVAL_REFCOUNTED op1_addr, >2, ZREG_TMP1, ZREG_TMP2
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 102300, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 102304, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 102308, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 102312, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 102316, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 102321, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 102326, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 102329, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 102333, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 102337, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 102341, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 102345, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 102349, (ZREG_X15), (ZREG_X16));
				}
#line 11813 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|.cold_code
			dasm_put(Dst, 102353);
#line 11814 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|2:
			dasm_put(Dst, 102356);
#line 11815 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	// zend_refcounted *garbage = Z_COUNTED_P(variable_ptr);
		//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 102358, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 102361, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 102364, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102367, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 102370, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 102373, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
#line 11818 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	// ZVAL_REF(variable_ptr, ref)
		//|	SET_ZVAL_PTR op1_addr, REG0, TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 102377, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 102380, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 102383, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102386, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 102389, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 102392, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
#line 11820 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO op1_addr, IS_REFERENCE_EX, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_REFERENCE_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 102396, ((uint32_t)(IS_REFERENCE_EX)));
			} else if (((uint32_t)(IS_REFERENCE_EX) & 0xffff)) {
		dasm_put(Dst, 102399, ((uint32_t)(IS_REFERENCE_EX) & 0xffff));
				if ((((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 102402, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102405, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 102408, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 102411, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 102414, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102417, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 102420, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 102423, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
#line 11821 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	// if (GC_DELREF(garbage) == 0)
		//|	GC_DELREF FCARG1x, TMP1w
		dasm_put(Dst, 102427);
#line 11823 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) {
			//|	bne >3
			dasm_put(Dst, 102431);
#line 11825 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	bne >5
			dasm_put(Dst, 102434);
#line 11827 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	ZVAL_DTOR_FUNC op1_info, opline, TMP1
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 102437, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 102440);
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 102442, ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 102445, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 102448, (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 102451, (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 102454, ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 102457, (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 102460, (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 102463, (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 102466, (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102469, (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102472);
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 102474, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 102477);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 102479, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 102482, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 102485, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 102488, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 102491, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 102494, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 102497, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 102500, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 102503, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102506, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102509, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 102512, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 102515);
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 102517, ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 102520, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 102523, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 102526, (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 102529, ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 102532, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 102535, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 102538, (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 102541, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102544, (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102547);
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 102549, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 102552);
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 102554, ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 102557, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 102560, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 102563, (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 102566, ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 102569, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 102572, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 102575, (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 102578, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102581, (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102584);
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 102586, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 102589);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 102591, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 102594, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 102597, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 102600, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 102603, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 102606, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 102609, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 102612, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 102615, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102618, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102621, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 102624, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 102627);
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 102629, ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 102632, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 102635, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 102638, (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 102641, ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 102644, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 102647, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 102650, (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 102653, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102656, (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102659);
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 102661, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 102664);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 102666, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 102669, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 102672, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 102675, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 102678, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 102681, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 102684, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 102687, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 102690, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102693, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102696, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 102699, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 102702);
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 102704, ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 102707, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 102710, (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 102713, (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 102716, ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 102719, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 102722, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 102725, (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 102728, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102731, (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 102734);
			}
			} while(0);
#line 11829 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b >5
		dasm_put(Dst, 102736);
#line 11830 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) {
			//|3:
			//|	// GC_ZVAL_CHECK_POSSIBLE_ROOT(variable_ptr)
			//|	IF_GC_MAY_NOT_LEAK FCARG1x, >5, TMP1w, TMP2w
			dasm_put(Dst, 102739);
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 102742);
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 102744, (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 102747, ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 102750, ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 102753, (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 102756, (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 102759);
				}
#line 11834 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL gc_possible_root, REG0
			dasm_put(Dst, 102761);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 102764, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 102767);
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 102769, ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 102772, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 102775, (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 102778, (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 102781, ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 102784, (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 102787, (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 102790, (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 102793, (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 102796, (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 102799);
				}
#line 11835 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >5
			dasm_put(Dst, 102801);
#line 11836 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - (MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
			//|.code
			dasm_put(Dst, 102804);
#line 11839 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF) - (MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
		//|	// ZVAL_REF(variable_ptr, ref)
		//|	SET_ZVAL_PTR op1_addr, REG0, TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 102805, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 102808, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 102811, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102814, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 102817, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 102820, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
#line 11845 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO op1_addr, IS_REFERENCE_EX, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_REFERENCE_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 102824, ((uint32_t)(IS_REFERENCE_EX)));
			} else if (((uint32_t)(IS_REFERENCE_EX) & 0xffff)) {
		dasm_put(Dst, 102827, ((uint32_t)(IS_REFERENCE_EX) & 0xffff));
				if ((((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 102830, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102833, (((uint32_t)(IS_REFERENCE_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 102836, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 102839, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 102842, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102845, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 102848, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 102851, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
#line 11846 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|5:
	dasm_put(Dst, 102855);
#line 11848 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//END of handler

	//|.cold_code
	dasm_put(Dst, 102857);
#line 11851 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|9:
	//|	LOAD_ADDR FCARG1x, (ptrdiff_t)varname
	dasm_put(Dst, 102858);
		if (((uintptr_t)((ptrdiff_t)varname)) == 0) {
	dasm_put(Dst, 102860);
		} else if (((uintptr_t)((ptrdiff_t)varname)) <= MOVZ_IMM) {
	dasm_put(Dst, 102862, ((uint64_t)((ptrdiff_t)varname)));
		} else if (arm64_may_use_adr((void*)((ptrdiff_t)varname))) {
	dasm_put(Dst, 102865, (unsigned int)((ptrdiff_t)((ptrdiff_t)varname)), (unsigned int)(((ptrdiff_t)((ptrdiff_t)varname))>>32));
		} else if (arm64_may_use_adrp((void*)((ptrdiff_t)varname))) {
	dasm_put(Dst, 102868, (unsigned int)((ptrdiff_t)((((uintptr_t)((ptrdiff_t)varname))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((ptrdiff_t)varname)))))>>32));
			if (((uintptr_t)((ptrdiff_t)varname)) & 0xfff) {
	dasm_put(Dst, 102871, (((uintptr_t)((ptrdiff_t)varname)) & 0xfff));
			}
		} else if ((uintptr_t)((ptrdiff_t)varname) & 0xffff) {
	dasm_put(Dst, 102874, ((uintptr_t)((ptrdiff_t)varname) & 0xffff));
			if (((uintptr_t)((ptrdiff_t)varname) >> 16) & 0xffff) {
	dasm_put(Dst, 102877, (((uintptr_t)((ptrdiff_t)varname) >> 16) & 0xffff));
			}
			if (((uintptr_t)((ptrdiff_t)varname) >> 32) & 0xffff) {
	dasm_put(Dst, 102880, (((uintptr_t)((ptrdiff_t)varname) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)((ptrdiff_t)varname) >> 16) & 0xffff) {
	dasm_put(Dst, 102883, (((uintptr_t)((ptrdiff_t)varname) >> 16) & 0xffff));
			if (((uintptr_t)((ptrdiff_t)varname) >> 32) & 0xffff) {
	dasm_put(Dst, 102886, (((uintptr_t)((ptrdiff_t)varname) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 102889, (((uintptr_t)((ptrdiff_t)varname) >> 32) & 0xffff));
		}
#line 11853 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (opline->extended_value) {
		//|	ADD_SUB_64_WITH_CONST_32 add, FCARG2x, FCARG2x, opline->extended_value, TMP1
			if (opline->extended_value == 0) {
		dasm_put(Dst, 102892);
			} else if (arm64_may_encode_imm12((int64_t)(opline->extended_value))) {
		dasm_put(Dst, 102894, opline->extended_value);
			} else {
			if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
		dasm_put(Dst, 102897, ((uint32_t)(opline->extended_value)));
			} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
		dasm_put(Dst, 102900, ((uint32_t)(opline->extended_value) & 0xffff));
				if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
		dasm_put(Dst, 102903, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 102906, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
		dasm_put(Dst, 102909);
			}
#line 11855 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	EXT_CALL zend_jit_fetch_global_helper, REG0
		if (arm64_may_use_b(zend_jit_fetch_global_helper)) {
	dasm_put(Dst, 102911, (unsigned int)((ptrdiff_t)(zend_jit_fetch_global_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_global_helper))>>32));
		} else {
		if (((uintptr_t)(zend_jit_fetch_global_helper)) == 0) {
	dasm_put(Dst, 102914);
		} else if (((uintptr_t)(zend_jit_fetch_global_helper)) <= MOVZ_IMM) {
	dasm_put(Dst, 102916, ((uint64_t)(zend_jit_fetch_global_helper)));
		} else if (arm64_may_use_adr((void*)(zend_jit_fetch_global_helper))) {
	dasm_put(Dst, 102919, (unsigned int)((ptrdiff_t)(zend_jit_fetch_global_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_global_helper))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_global_helper))) {
	dasm_put(Dst, 102922, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_global_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_global_helper)))))>>32));
			if (((uintptr_t)(zend_jit_fetch_global_helper)) & 0xfff) {
	dasm_put(Dst, 102925, (((uintptr_t)(zend_jit_fetch_global_helper)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_fetch_global_helper) & 0xffff) {
	dasm_put(Dst, 102928, ((uintptr_t)(zend_jit_fetch_global_helper) & 0xffff));
			if (((uintptr_t)(zend_jit_fetch_global_helper) >> 16) & 0xffff) {
	dasm_put(Dst, 102931, (((uintptr_t)(zend_jit_fetch_global_helper) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_fetch_global_helper) >> 32) & 0xffff) {
	dasm_put(Dst, 102934, (((uintptr_t)(zend_jit_fetch_global_helper) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_fetch_global_helper) >> 16) & 0xffff) {
	dasm_put(Dst, 102937, (((uintptr_t)(zend_jit_fetch_global_helper) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_fetch_global_helper) >> 32) & 0xffff) {
	dasm_put(Dst, 102940, (((uintptr_t)(zend_jit_fetch_global_helper) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 102943, (((uintptr_t)(zend_jit_fetch_global_helper) >> 32) & 0xffff));
		}
	dasm_put(Dst, 102946);
		}
#line 11857 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	mov REG0, RETVALx
	//|	b <1
	//|.code
	dasm_put(Dst, 102948);
#line 11860 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_verify_arg_type(dasm_State **Dst, const zend_op *opline, zend_arg_info *arg_info, bool check_exception)
{
	zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);
	bool in_cold = 0;
	uint32_t type_mask = ZEND_TYPE_PURE_MASK(arg_info->type) & MAY_BE_ANY;
	zend_reg tmp_reg = (type_mask == 0 || is_power_of_two(type_mask)) ? ZREG_FCARG1 : ZREG_REG0;

	if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
	 && JIT_G(current_frame)
	 && JIT_G(current_frame)->prev) {
		zend_jit_trace_stack *stack = JIT_G(current_frame)->stack;
		uint8_t type = STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var));

		if (type != IS_UNKNOWN && (type_mask & (1u << type))) {
			return 1;
		}
	}

	if (ZEND_ARG_SEND_MODE(arg_info)) {
		if (opline->opcode == ZEND_RECV_INIT) {
			//|	LOAD_ZVAL_ADDR Rx(tmp_reg), res_addr
				if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
			dasm_put(Dst, 102952, (tmp_reg));
				} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 102955, (tmp_reg), ((uint64_t)(Z_ZV(res_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 102959, (tmp_reg), (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 102963, (tmp_reg), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
			dasm_put(Dst, 102967, (tmp_reg), (tmp_reg), (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
			dasm_put(Dst, 102972, (tmp_reg), ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 102976, (tmp_reg), (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 102980, (tmp_reg), (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 102984, (tmp_reg), (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 102988, (tmp_reg), (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 102992, (tmp_reg), (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(res_addr)) {
				if (Z_OFFSET(res_addr) == 0) {
			dasm_put(Dst, 102996, (tmp_reg), (Z_REG(res_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
			dasm_put(Dst, 103000, (tmp_reg), (Z_REG(res_addr)), Z_OFFSET(res_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 103005, (tmp_reg), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 103009, (tmp_reg), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 103013, (tmp_reg), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103017, (tmp_reg), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103021, (tmp_reg), (Z_REG(res_addr)), (tmp_reg));
				}
					} else {
						if (Z_REG(res_addr) == ZREG_RSP) {
			dasm_put(Dst, 103026, (tmp_reg));
						} else {
			dasm_put(Dst, 103029, (tmp_reg), (Z_REG(res_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 11885 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ZVAL_DEREF Rx(tmp_reg), MAY_BE_REF, TMP1w
				if (MAY_BE_REF & MAY_BE_REF) {
			dasm_put(Dst, 103033, (tmp_reg), offsetof(zval, u1.v.type));
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 103037);
				} else {
			dasm_put(Dst, 103040, IS_REFERENCE);
				}
			dasm_put(Dst, 103045, (tmp_reg), (tmp_reg), (tmp_reg), (tmp_reg), offsetof(zend_reference, val));
				}
#line 11886 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			res_addr = ZEND_ADDR_MEM_ZVAL(tmp_reg, 0);
		} else {
			//|	GET_ZVAL_PTR Rx(tmp_reg), res_addr, TMP1
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 103054, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 103057, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 103060, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103063, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103066, (tmp_reg), (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 103070, (tmp_reg), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
#line 11889 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			res_addr = ZEND_ADDR_MEM_ZVAL(tmp_reg, offsetof(zend_reference, val));
		}
	}

	if (type_mask != 0) {
		if (is_power_of_two(type_mask)) {
			uint32_t type_code = concrete_type(type_mask);
			//|	IF_NOT_ZVAL_TYPE res_addr, type_code, >1, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 103075, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 103079, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 103083, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103087, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103091, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 103096, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)));
				}
				if (type_code == 0) {
			dasm_put(Dst, 103101, (ZREG_X15));
				} else {
			dasm_put(Dst, 103105, (ZREG_X15), type_code);
				}
#line 11897 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	mov REG2w, #1
			//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, REG1w, Rx(Z_REG(res_addr)), Z_OFFSET(res_addr)+offsetof(zval, u1.v.type), TMP1
			dasm_put(Dst, 103111);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 103113, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 103116, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 103119, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103122, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103125, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 103128, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)));
				}
#line 11900 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	lsl REG2w, REG2w, REG1w
			//|	TST_32_WITH_CONST REG2w, type_mask, TMP1w
			dasm_put(Dst, 103132);
				if (type_mask == 0) {
			dasm_put(Dst, 103134);
				} else if (logical_immediate_p((uint32_t)type_mask, 32)) {
			dasm_put(Dst, 103136, type_mask);
				} else {
				if (((uint32_t)(type_mask)) <= MOVZ_IMM) {
			dasm_put(Dst, 103139, ((uint32_t)(type_mask)));
				} else if (((uint32_t)(type_mask) & 0xffff)) {
			dasm_put(Dst, 103142, ((uint32_t)(type_mask) & 0xffff));
					if ((((uint32_t)(type_mask) >> 16) & 0xffff)) {
			dasm_put(Dst, 103145, (((uint32_t)(type_mask) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103148, (((uint32_t)(type_mask) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103151);
				}
#line 11902 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	beq >1
			dasm_put(Dst, 103153);
#line 11903 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		//|.cold_code
		dasm_put(Dst, 103156);
#line 11906 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 103157);
#line 11907 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		in_cold = 1;
	}

	if (Z_REG(res_addr) != ZREG_FCARG1 || Z_OFFSET(res_addr) != 0) {
		//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
			if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
		dasm_put(Dst, 103159);
			} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 103161, ((uint64_t)(Z_ZV(res_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
		dasm_put(Dst, 103164, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
		dasm_put(Dst, 103167, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
		dasm_put(Dst, 103170, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
		dasm_put(Dst, 103173, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 103176, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 103179, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 103182, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 103185, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 103188, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(res_addr)) {
			if (Z_OFFSET(res_addr) == 0) {
		dasm_put(Dst, 103191, (Z_REG(res_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
		dasm_put(Dst, 103194, (Z_REG(res_addr)), Z_OFFSET(res_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 103198, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 103201, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 103204, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 103207, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 103210, (Z_REG(res_addr)));
			}
				} else {
					if (Z_REG(res_addr) == ZREG_RSP) {
		dasm_put(Dst, 103213);
					} else {
		dasm_put(Dst, 103215, (Z_REG(res_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 11913 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 103218, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 103221);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 103223, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 103226, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 103229, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 103232, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 103235, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 103238, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 103241, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 103244, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 103247, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 103250, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 103253, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 11916 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	ADDR_STORE EX->opline, opline, REG0
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 103256);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 103258, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 103261, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 103264, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 103267, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 103270, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 103273, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 103276, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 103279, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 103282, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 103285, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 103288, Dt1(->opline));
#line 11918 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	LOAD_ADDR FCARG2x, (ptrdiff_t)arg_info
		if (((uintptr_t)((ptrdiff_t)arg_info)) == 0) {
	dasm_put(Dst, 103291);
		} else if (((uintptr_t)((ptrdiff_t)arg_info)) <= MOVZ_IMM) {
	dasm_put(Dst, 103293, ((uint64_t)((ptrdiff_t)arg_info)));
		} else if (arm64_may_use_adr((void*)((ptrdiff_t)arg_info))) {
	dasm_put(Dst, 103296, (unsigned int)((ptrdiff_t)((ptrdiff_t)arg_info)), (unsigned int)(((ptrdiff_t)((ptrdiff_t)arg_info))>>32));
		} else if (arm64_may_use_adrp((void*)((ptrdiff_t)arg_info))) {
	dasm_put(Dst, 103299, (unsigned int)((ptrdiff_t)((((uintptr_t)((ptrdiff_t)arg_info))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((ptrdiff_t)arg_info)))))>>32));
			if (((uintptr_t)((ptrdiff_t)arg_info)) & 0xfff) {
	dasm_put(Dst, 103302, (((uintptr_t)((ptrdiff_t)arg_info)) & 0xfff));
			}
		} else if ((uintptr_t)((ptrdiff_t)arg_info) & 0xffff) {
	dasm_put(Dst, 103305, ((uintptr_t)((ptrdiff_t)arg_info) & 0xffff));
			if (((uintptr_t)((ptrdiff_t)arg_info) >> 16) & 0xffff) {
	dasm_put(Dst, 103308, (((uintptr_t)((ptrdiff_t)arg_info) >> 16) & 0xffff));
			}
			if (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff) {
	dasm_put(Dst, 103311, (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)((ptrdiff_t)arg_info) >> 16) & 0xffff) {
	dasm_put(Dst, 103314, (((uintptr_t)((ptrdiff_t)arg_info) >> 16) & 0xffff));
			if (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff) {
	dasm_put(Dst, 103317, (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 103320, (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff));
		}
#line 11920 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_CALL zend_jit_verify_arg_slow, REG0
		if (arm64_may_use_b(zend_jit_verify_arg_slow)) {
	dasm_put(Dst, 103323, (unsigned int)((ptrdiff_t)(zend_jit_verify_arg_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_verify_arg_slow))>>32));
		} else {
		if (((uintptr_t)(zend_jit_verify_arg_slow)) == 0) {
	dasm_put(Dst, 103326);
		} else if (((uintptr_t)(zend_jit_verify_arg_slow)) <= MOVZ_IMM) {
	dasm_put(Dst, 103328, ((uint64_t)(zend_jit_verify_arg_slow)));
		} else if (arm64_may_use_adr((void*)(zend_jit_verify_arg_slow))) {
	dasm_put(Dst, 103331, (unsigned int)((ptrdiff_t)(zend_jit_verify_arg_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_verify_arg_slow))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_verify_arg_slow))) {
	dasm_put(Dst, 103334, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_verify_arg_slow))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_verify_arg_slow)))))>>32));
			if (((uintptr_t)(zend_jit_verify_arg_slow)) & 0xfff) {
	dasm_put(Dst, 103337, (((uintptr_t)(zend_jit_verify_arg_slow)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_verify_arg_slow) & 0xffff) {
	dasm_put(Dst, 103340, ((uintptr_t)(zend_jit_verify_arg_slow) & 0xffff));
			if (((uintptr_t)(zend_jit_verify_arg_slow) >> 16) & 0xffff) {
	dasm_put(Dst, 103343, (((uintptr_t)(zend_jit_verify_arg_slow) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_verify_arg_slow) >> 32) & 0xffff) {
	dasm_put(Dst, 103346, (((uintptr_t)(zend_jit_verify_arg_slow) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_verify_arg_slow) >> 16) & 0xffff) {
	dasm_put(Dst, 103349, (((uintptr_t)(zend_jit_verify_arg_slow) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_verify_arg_slow) >> 32) & 0xffff) {
	dasm_put(Dst, 103352, (((uintptr_t)(zend_jit_verify_arg_slow) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 103355, (((uintptr_t)(zend_jit_verify_arg_slow) >> 32) & 0xffff));
		}
	dasm_put(Dst, 103358);
		}
#line 11921 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (check_exception) {
		//|	GET_LOW_8BITS REG0w, RETVALw
		dasm_put(Dst, 103360);
#line 11924 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (in_cold) {
			//|	cbnz REG0w, >1
			//|	b ->exception_handler
			//|.code
			dasm_put(Dst, 103362);
#line 11928 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 103367);
#line 11929 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	cbz REG0w, ->exception_handler
			dasm_put(Dst, 103369);
#line 11931 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (in_cold) {
		//|	b >1
		//|.code
		dasm_put(Dst, 103372);
#line 11935 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 103375);
#line 11936 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_recv(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array)
{
	uint32_t arg_num = opline->op1.num;
	zend_arg_info *arg_info = NULL;

	if (op_array->fn_flags & ZEND_ACC_HAS_TYPE_HINTS) {
		if (EXPECTED(arg_num <= op_array->num_args)) {
			arg_info = &op_array->arg_info[arg_num-1];
		} else if (UNEXPECTED(op_array->fn_flags & ZEND_ACC_VARIADIC)) {
			arg_info = &op_array->arg_info[op_array->num_args];
		}
		if (arg_info && !ZEND_TYPE_IS_SET(arg_info->type)) {
			arg_info = NULL;
		}
	}

	if (arg_info || (opline+1)->opcode != ZEND_RECV) {
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
			if (!JIT_G(current_frame) ||
			    TRACE_FRAME_NUM_ARGS(JIT_G(current_frame)) < 0 ||
			    arg_num > TRACE_FRAME_NUM_ARGS(JIT_G(current_frame))) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}
				//|	ldr TMP1w, EX->This.u2.num_args
				//|	CMP_32_WITH_CONST TMP1w, arg_num, TMP2w
				dasm_put(Dst, 103377, Dt1(->This.u2.num_args));
					if (arg_num == 0) {
				dasm_put(Dst, 103380);
					} else if (arm64_may_encode_imm12((int64_t)(arg_num))) {
				dasm_put(Dst, 103382, arg_num);
					} else if (arm64_may_encode_imm12((int64_t)(-arg_num))) {
				dasm_put(Dst, 103385, -arg_num);
					} else {
					if (((uint32_t)(arg_num)) <= MOVZ_IMM) {
				dasm_put(Dst, 103388, ((uint32_t)(arg_num)));
					} else if (((uint32_t)(arg_num) & 0xffff)) {
				dasm_put(Dst, 103391, ((uint32_t)(arg_num) & 0xffff));
						if ((((uint32_t)(arg_num) >> 16) & 0xffff)) {
				dasm_put(Dst, 103394, (((uint32_t)(arg_num) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 103397, (((uint32_t)(arg_num) >> 16) & 0xffff));
					}
				dasm_put(Dst, 103400);
					}
#line 11970 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	blo &exit_addr
				dasm_put(Dst, 103402, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 11971 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			//|	ldr TMP1w, EX->This.u2.num_args
			//|	CMP_32_WITH_CONST TMP1w, arg_num, TMP2w
			dasm_put(Dst, 103405, Dt1(->This.u2.num_args));
				if (arg_num == 0) {
			dasm_put(Dst, 103408);
				} else if (arm64_may_encode_imm12((int64_t)(arg_num))) {
			dasm_put(Dst, 103410, arg_num);
				} else if (arm64_may_encode_imm12((int64_t)(-arg_num))) {
			dasm_put(Dst, 103413, -arg_num);
				} else {
				if (((uint32_t)(arg_num)) <= MOVZ_IMM) {
			dasm_put(Dst, 103416, ((uint32_t)(arg_num)));
				} else if (((uint32_t)(arg_num) & 0xffff)) {
			dasm_put(Dst, 103419, ((uint32_t)(arg_num) & 0xffff));
					if ((((uint32_t)(arg_num) >> 16) & 0xffff)) {
			dasm_put(Dst, 103422, (((uint32_t)(arg_num) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103425, (((uint32_t)(arg_num) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103428);
				}
#line 11975 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	blo >1
			//|.cold_code
			dasm_put(Dst, 103430);
#line 11977 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 103433);
#line 11978 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 103435, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 103438);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 103440, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 103443, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 103446, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 103449, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 103452, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 103455, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 103458, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 103461, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 103464, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 103467, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 103470, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 11980 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ADDR_STORE EX->opline, opline, REG0
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 103473);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 103475, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 103478, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 103481, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 103484, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 103487, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 103490, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 103493, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 103496, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 103499, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 103502, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 103505, Dt1(->opline));
#line 11982 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	mov FCARG1x, FP
			//|	EXT_CALL zend_missing_arg_error, REG0
			dasm_put(Dst, 103508);
				if (arm64_may_use_b(zend_missing_arg_error)) {
			dasm_put(Dst, 103510, (unsigned int)((ptrdiff_t)(zend_missing_arg_error)), (unsigned int)(((ptrdiff_t)(zend_missing_arg_error))>>32));
				} else {
				if (((uintptr_t)(zend_missing_arg_error)) == 0) {
			dasm_put(Dst, 103513);
				} else if (((uintptr_t)(zend_missing_arg_error)) <= MOVZ_IMM) {
			dasm_put(Dst, 103515, ((uint64_t)(zend_missing_arg_error)));
				} else if (arm64_may_use_adr((void*)(zend_missing_arg_error))) {
			dasm_put(Dst, 103518, (unsigned int)((ptrdiff_t)(zend_missing_arg_error)), (unsigned int)(((ptrdiff_t)(zend_missing_arg_error))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_missing_arg_error))) {
			dasm_put(Dst, 103521, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_missing_arg_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_missing_arg_error)))))>>32));
					if (((uintptr_t)(zend_missing_arg_error)) & 0xfff) {
			dasm_put(Dst, 103524, (((uintptr_t)(zend_missing_arg_error)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_missing_arg_error) & 0xffff) {
			dasm_put(Dst, 103527, ((uintptr_t)(zend_missing_arg_error) & 0xffff));
					if (((uintptr_t)(zend_missing_arg_error) >> 16) & 0xffff) {
			dasm_put(Dst, 103530, (((uintptr_t)(zend_missing_arg_error) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_missing_arg_error) >> 32) & 0xffff) {
			dasm_put(Dst, 103533, (((uintptr_t)(zend_missing_arg_error) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_missing_arg_error) >> 16) & 0xffff) {
			dasm_put(Dst, 103536, (((uintptr_t)(zend_missing_arg_error) >> 16) & 0xffff));
					if (((uintptr_t)(zend_missing_arg_error) >> 32) & 0xffff) {
			dasm_put(Dst, 103539, (((uintptr_t)(zend_missing_arg_error) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103542, (((uintptr_t)(zend_missing_arg_error) >> 32) & 0xffff));
				}
			dasm_put(Dst, 103545);
				}
#line 11985 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b ->exception_handler
			//|.code
			dasm_put(Dst, 103547);
#line 11987 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (arg_info) {
		if (!zend_jit_verify_arg_type(Dst, opline, arg_info, 1)) {
			return 0;
		}
	}

	if (JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE) {
		if ((opline+1)->opcode != ZEND_RECV && (opline+1)->opcode != ZEND_RECV_INIT) {
			//|	LOAD_IP_ADDR (opline + 1)
				if (GCC_GLOBAL_REGS) {
				if (((uintptr_t)((opline + 1))) == 0) {
			dasm_put(Dst, 103550);
				} else if (((uintptr_t)((opline + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 103552, ((uint64_t)((opline + 1))));
				} else if (arm64_may_use_adr((void*)((opline + 1)))) {
			dasm_put(Dst, 103555, (unsigned int)((ptrdiff_t)((opline + 1))), (unsigned int)(((ptrdiff_t)((opline + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((opline + 1)))) {
			dasm_put(Dst, 103558, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline + 1))))))>>32));
					if (((uintptr_t)((opline + 1))) & 0xfff) {
			dasm_put(Dst, 103561, (((uintptr_t)((opline + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((opline + 1)) & 0xffff) {
			dasm_put(Dst, 103564, ((uintptr_t)((opline + 1)) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 103567, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 103570, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 103573, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 103576, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103579, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
				}
				} else {
				if (((uintptr_t)((opline + 1))) == 0) {
			dasm_put(Dst, 103582);
				} else if (((uintptr_t)((opline + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 103584, ((uint64_t)((opline + 1))));
				} else if (arm64_may_use_adr((void*)((opline + 1)))) {
			dasm_put(Dst, 103587, (unsigned int)((ptrdiff_t)((opline + 1))), (unsigned int)(((ptrdiff_t)((opline + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((opline + 1)))) {
			dasm_put(Dst, 103590, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline + 1))))))>>32));
					if (((uintptr_t)((opline + 1))) & 0xfff) {
			dasm_put(Dst, 103593, (((uintptr_t)((opline + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((opline + 1)) & 0xffff) {
			dasm_put(Dst, 103596, ((uintptr_t)((opline + 1)) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 103599, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 103602, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 103605, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 103608, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103611, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 103614, Dt1(->opline));
				}
#line 11999 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			zend_jit_set_last_valid_opline(opline + 1);
		}
	}

	return 1;
}

static int zend_jit_recv_init(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, bool is_last, int may_throw)
{
	uint32_t arg_num = opline->op1.num;
	zval *zv = RT_CONSTANT(opline, opline->op2);
	zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

	if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
	 && JIT_G(current_frame)
	 && TRACE_FRAME_NUM_ARGS(JIT_G(current_frame)) >= 0) {
		if (arg_num > TRACE_FRAME_NUM_ARGS(JIT_G(current_frame))) {
			//|	ZVAL_COPY_CONST res_addr, -1, -1, zv, ZREG_REG0, ZREG_TMP1, ZREG_FPR0
				if (Z_TYPE_P(zv) > IS_TRUE) {
					if (Z_TYPE_P(zv) == IS_DOUBLE) {
						zend_reg dst_reg = (Z_MODE(res_addr) == IS_REG) ? Z_REG(res_addr) : ZREG_V0;
				if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adr((void*)(zv))) {
			dasm_put(Dst, 103617, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32), (dst_reg-ZREG_V0), (ZREG_X8));
				} else if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adrp((void*)(zv))) {
			dasm_put(Dst, 103624, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32), (dst_reg-ZREG_V0), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
				} else {
				if (((uintptr_t)(zv)) == 0) {
			dasm_put(Dst, 103632, (ZREG_X8));
				} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
			dasm_put(Dst, 103635, (ZREG_X8), ((uint64_t)(zv)));
				} else if (arm64_may_use_adr((void*)(zv))) {
			dasm_put(Dst, 103639, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
				} else if (arm64_may_use_adrp((void*)(zv))) {
			dasm_put(Dst, 103643, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
					if (((uintptr_t)(zv)) & 0xfff) {
			dasm_put(Dst, 103647, (ZREG_X8), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
					}
				} else if ((uintptr_t)(zv) & 0xffff) {
			dasm_put(Dst, 103652, (ZREG_X8), ((uintptr_t)(zv) & 0xffff));
					if (((uintptr_t)(zv) >> 16) & 0xffff) {
			dasm_put(Dst, 103656, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zv) >> 32) & 0xffff) {
			dasm_put(Dst, 103660, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
			dasm_put(Dst, 103664, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
					if (((uintptr_t)(zv) >> 32) & 0xffff) {
			dasm_put(Dst, 103668, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103672, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			dasm_put(Dst, 103676, (dst_reg-ZREG_V0), (ZREG_X8));
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (dst_reg != Z_REG(res_addr)) {
			dasm_put(Dst, 103680, (Z_REG(res_addr)-ZREG_V0), (dst_reg-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 103684, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 103688, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 103692, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103696, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103700, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 103705, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
					} else if (Z_TYPE_P(zv) == IS_LONG && -1 == MAY_BE_DOUBLE) {
						zend_reg dst_reg = (Z_MODE(res_addr) == IS_REG) ? Z_REG(res_addr) : ZREG_V0;
				if (Z_LVAL_P(zv) == 0) {
			dasm_put(Dst, 103710, (dst_reg-ZREG_V0));
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 103713, (ZREG_X8));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 103716, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 103720, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 103724, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 103728, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 103732, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 103736, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 103740, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 103744, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 103748, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 103752, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 103756, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103760, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			dasm_put(Dst, 103764, (dst_reg-ZREG_V0), (ZREG_X8));
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (dst_reg != Z_REG(res_addr)) {
			dasm_put(Dst, 103768, (Z_REG(res_addr)-ZREG_V0), (dst_reg-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 103772, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 103776, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 103780, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103784, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103788, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 103793, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
					} else {
				if (Z_LVAL_P(zv) == 0) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 103798, (Z_REG(res_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 103801, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 103805, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 103809, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103813, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103817, (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 103821, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
				} else {
				if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
			dasm_put(Dst, 103825, (ZREG_X8));
				} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 103828, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
				} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 103832, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
				} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
			dasm_put(Dst, 103836, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 103840, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 103844, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 103848, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 103852, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 103856, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 103860, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 103864, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
			dasm_put(Dst, 103868, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103872, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 103876, (Z_REG(res_addr)), (ZREG_X8));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 103880, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 103884, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 103888, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103892, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103896, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 103901, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
				}
					}
				}
				if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if (-1 == MAY_BE_DOUBLE) {
						if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 103906, (ZREG_X8), ((uint32_t)(IS_DOUBLE)));
				} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
			dasm_put(Dst, 103910, (ZREG_X8), ((uint32_t)(IS_DOUBLE) & 0xffff));
					if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 103914, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103918, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 103922, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 103926, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 103930, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103934, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103938, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 103943, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
						}
					} else if (((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (1<<Z_TYPE_P(zv))) || (-1 & (MAY_BE_STRING|MAY_BE_ARRAY)) != 0) {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(Z_TYPE_INFO_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 103948, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv))));
				} else if (((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff)) {
			dasm_put(Dst, 103952, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff));
					if ((((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff)) {
			dasm_put(Dst, 103956, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103960, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 103964, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 103968, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 103972, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 103976, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 103980, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 103985, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
					}
				}
#line 12017 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_REFCOUNTED_P(zv)) {
				//|	ADDREF_CONST zv, REG0, TMP1
					if (((uintptr_t)(Z_PTR_P(zv))) == 0) {
				dasm_put(Dst, 103990);
					} else if (((uintptr_t)(Z_PTR_P(zv))) <= MOVZ_IMM) {
				dasm_put(Dst, 103992, ((uint64_t)(Z_PTR_P(zv))));
					} else if (arm64_may_use_adr((void*)(Z_PTR_P(zv)))) {
				dasm_put(Dst, 103995, (unsigned int)((ptrdiff_t)(Z_PTR_P(zv))), (unsigned int)(((ptrdiff_t)(Z_PTR_P(zv)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_PTR_P(zv)))) {
				dasm_put(Dst, 103998, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv))))))>>32));
						if (((uintptr_t)(Z_PTR_P(zv))) & 0xfff) {
				dasm_put(Dst, 104001, (((uintptr_t)(Z_PTR_P(zv))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_PTR_P(zv)) & 0xffff) {
				dasm_put(Dst, 104004, ((uintptr_t)(Z_PTR_P(zv)) & 0xffff));
						if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
				dasm_put(Dst, 104007, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
				dasm_put(Dst, 104010, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
				dasm_put(Dst, 104013, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
				dasm_put(Dst, 104016, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 104019, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 104022);
#line 12019 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	} else {
		if (JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE ||
		    (op_array->fn_flags & ZEND_ACC_HAS_TYPE_HINTS)) {
			//|	ldr TMP1w, EX->This.u2.num_args
			//|	CMP_32_WITH_CONST TMP1w, arg_num, TMP2w
			dasm_put(Dst, 104026, Dt1(->This.u2.num_args));
				if (arg_num == 0) {
			dasm_put(Dst, 104029);
				} else if (arm64_may_encode_imm12((int64_t)(arg_num))) {
			dasm_put(Dst, 104031, arg_num);
				} else if (arm64_may_encode_imm12((int64_t)(-arg_num))) {
			dasm_put(Dst, 104034, -arg_num);
				} else {
				if (((uint32_t)(arg_num)) <= MOVZ_IMM) {
			dasm_put(Dst, 104037, ((uint32_t)(arg_num)));
				} else if (((uint32_t)(arg_num) & 0xffff)) {
			dasm_put(Dst, 104040, ((uint32_t)(arg_num) & 0xffff));
					if ((((uint32_t)(arg_num) >> 16) & 0xffff)) {
			dasm_put(Dst, 104043, (((uint32_t)(arg_num) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 104046, (((uint32_t)(arg_num) >> 16) & 0xffff));
				}
			dasm_put(Dst, 104049);
				}
#line 12026 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bhs >5
			dasm_put(Dst, 104051);
#line 12027 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	ZVAL_COPY_CONST res_addr, -1, -1, zv, ZREG_REG0, ZREG_TMP1, ZREG_FPR0
			if (Z_TYPE_P(zv) > IS_TRUE) {
				if (Z_TYPE_P(zv) == IS_DOUBLE) {
					zend_reg dst_reg = (Z_MODE(res_addr) == IS_REG) ? Z_REG(res_addr) : ZREG_V0;
			if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adr((void*)(zv))) {
		dasm_put(Dst, 104054, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32), (dst_reg-ZREG_V0), (ZREG_X8));
			} else if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adrp((void*)(zv))) {
		dasm_put(Dst, 104061, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32), (dst_reg-ZREG_V0), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
			} else {
			if (((uintptr_t)(zv)) == 0) {
		dasm_put(Dst, 104069, (ZREG_X8));
			} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
		dasm_put(Dst, 104072, (ZREG_X8), ((uint64_t)(zv)));
			} else if (arm64_may_use_adr((void*)(zv))) {
		dasm_put(Dst, 104076, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
			} else if (arm64_may_use_adrp((void*)(zv))) {
		dasm_put(Dst, 104080, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
				if (((uintptr_t)(zv)) & 0xfff) {
		dasm_put(Dst, 104084, (ZREG_X8), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
				}
			} else if ((uintptr_t)(zv) & 0xffff) {
		dasm_put(Dst, 104089, (ZREG_X8), ((uintptr_t)(zv) & 0xffff));
				if (((uintptr_t)(zv) >> 16) & 0xffff) {
		dasm_put(Dst, 104093, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zv) >> 32) & 0xffff) {
		dasm_put(Dst, 104097, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
		dasm_put(Dst, 104101, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
				if (((uintptr_t)(zv) >> 32) & 0xffff) {
		dasm_put(Dst, 104105, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104109, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
			}
		dasm_put(Dst, 104113, (dst_reg-ZREG_V0), (ZREG_X8));
			}
			if (Z_MODE(res_addr) == IS_REG) {
				if (dst_reg != Z_REG(res_addr)) {
		dasm_put(Dst, 104117, (Z_REG(res_addr)-ZREG_V0), (dst_reg-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 104121, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 104125, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104129, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104133, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104137, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 104142, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
				} else if (Z_TYPE_P(zv) == IS_LONG && -1 == MAY_BE_DOUBLE) {
					zend_reg dst_reg = (Z_MODE(res_addr) == IS_REG) ? Z_REG(res_addr) : ZREG_V0;
			if (Z_LVAL_P(zv) == 0) {
		dasm_put(Dst, 104147, (dst_reg-ZREG_V0));
			} else {
			if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
		dasm_put(Dst, 104150, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 104153, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
			} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 104157, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
			} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
		dasm_put(Dst, 104161, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 104165, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 104169, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 104173, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 104177, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 104181, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 104185, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 104189, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 104193, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104197, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
			}
		dasm_put(Dst, 104201, (dst_reg-ZREG_V0), (ZREG_X8));
			}
			if (Z_MODE(res_addr) == IS_REG) {
				if (dst_reg != Z_REG(res_addr)) {
		dasm_put(Dst, 104205, (Z_REG(res_addr)-ZREG_V0), (dst_reg-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 104209, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 104213, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104217, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104221, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104225, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 104230, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
				} else {
			if (Z_LVAL_P(zv) == 0) {
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 104235, (Z_REG(res_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 104238, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 104242, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104246, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104250, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104254, (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 104258, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
			} else {
			if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
		dasm_put(Dst, 104262, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 104265, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
			} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 104269, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
			} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
		dasm_put(Dst, 104273, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 104277, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 104281, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 104285, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 104289, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 104293, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 104297, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 104301, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 104305, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104309, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
			}
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 104313, (Z_REG(res_addr)), (ZREG_X8));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 104317, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 104321, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104325, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104329, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104333, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 104338, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
			}
				}
			}
			if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
				if (-1 == MAY_BE_DOUBLE) {
					if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 104343, (ZREG_X8), ((uint32_t)(IS_DOUBLE)));
			} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
		dasm_put(Dst, 104347, (ZREG_X8), ((uint32_t)(IS_DOUBLE) & 0xffff));
				if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 104351, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104355, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 104359, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 104363, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104367, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104371, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104375, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 104380, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
					}
				} else if (((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (1<<Z_TYPE_P(zv))) || (-1 & (MAY_BE_STRING|MAY_BE_ARRAY)) != 0) {
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(Z_TYPE_INFO_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 104385, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv))));
			} else if (((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff)) {
		dasm_put(Dst, 104389, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff));
				if ((((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104393, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104397, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 104401, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 104405, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104409, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104413, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104417, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 104422, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
				}
			}
#line 12029 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_REFCOUNTED_P(zv)) {
			//|	ADDREF_CONST zv, REG0, TMP1
				if (((uintptr_t)(Z_PTR_P(zv))) == 0) {
			dasm_put(Dst, 104427);
				} else if (((uintptr_t)(Z_PTR_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 104429, ((uint64_t)(Z_PTR_P(zv))));
				} else if (arm64_may_use_adr((void*)(Z_PTR_P(zv)))) {
			dasm_put(Dst, 104432, (unsigned int)((ptrdiff_t)(Z_PTR_P(zv))), (unsigned int)(((ptrdiff_t)(Z_PTR_P(zv)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_PTR_P(zv)))) {
			dasm_put(Dst, 104435, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv))))))>>32));
					if (((uintptr_t)(Z_PTR_P(zv))) & 0xfff) {
			dasm_put(Dst, 104438, (((uintptr_t)(Z_PTR_P(zv))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_PTR_P(zv)) & 0xffff) {
			dasm_put(Dst, 104441, ((uintptr_t)(Z_PTR_P(zv)) & 0xffff));
					if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 104444, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 104447, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 104450, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 104453, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 104456, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 104459);
#line 12031 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (Z_CONSTANT_P(zv)) {
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 104463, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 104466);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 104468, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 104471, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 104474, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 104477, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 104480, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 104483, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 104486, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 104489, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 104492, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 104495, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 104498, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 12037 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	ADDR_STORE EX->opline, opline, REG0
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 104501);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 104503, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 104506, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 104509, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 104512, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 104515, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 104518, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 104521, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 104524, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 104527, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 104530, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 104533, Dt1(->opline));
#line 12039 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	LOAD_ZVAL_ADDR FCARG1x, res_addr
			if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
		dasm_put(Dst, 104536);
			} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 104538, ((uint64_t)(Z_ZV(res_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
		dasm_put(Dst, 104541, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
		dasm_put(Dst, 104544, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
		dasm_put(Dst, 104547, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
		dasm_put(Dst, 104550, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 104553, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 104556, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 104559, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 104562, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104565, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(res_addr)) {
			if (Z_OFFSET(res_addr) == 0) {
		dasm_put(Dst, 104568, (Z_REG(res_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
		dasm_put(Dst, 104571, (Z_REG(res_addr)), Z_OFFSET(res_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 104575, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 104578, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104581, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104584, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104587, (Z_REG(res_addr)));
			}
				} else {
					if (Z_REG(res_addr) == ZREG_RSP) {
		dasm_put(Dst, 104590);
					} else {
		dasm_put(Dst, 104592, (Z_REG(res_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 12041 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr REG0, EX->func
		//|	ldr FCARG2x, [REG0, #offsetof(zend_op_array, scope)]
		//|	EXT_CALL zval_update_constant_ex, REG0
		dasm_put(Dst, 104595, Dt1(->func), offsetof(zend_op_array, scope));
			if (arm64_may_use_b(zval_update_constant_ex)) {
		dasm_put(Dst, 104600, (unsigned int)((ptrdiff_t)(zval_update_constant_ex)), (unsigned int)(((ptrdiff_t)(zval_update_constant_ex))>>32));
			} else {
			if (((uintptr_t)(zval_update_constant_ex)) == 0) {
		dasm_put(Dst, 104603);
			} else if (((uintptr_t)(zval_update_constant_ex)) <= MOVZ_IMM) {
		dasm_put(Dst, 104605, ((uint64_t)(zval_update_constant_ex)));
			} else if (arm64_may_use_adr((void*)(zval_update_constant_ex))) {
		dasm_put(Dst, 104608, (unsigned int)((ptrdiff_t)(zval_update_constant_ex)), (unsigned int)(((ptrdiff_t)(zval_update_constant_ex))>>32));
			} else if (arm64_may_use_adrp((void*)(zval_update_constant_ex))) {
		dasm_put(Dst, 104611, (unsigned int)((ptrdiff_t)((((uintptr_t)(zval_update_constant_ex))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zval_update_constant_ex)))))>>32));
				if (((uintptr_t)(zval_update_constant_ex)) & 0xfff) {
		dasm_put(Dst, 104614, (((uintptr_t)(zval_update_constant_ex)) & 0xfff));
				}
			} else if ((uintptr_t)(zval_update_constant_ex) & 0xffff) {
		dasm_put(Dst, 104617, ((uintptr_t)(zval_update_constant_ex) & 0xffff));
				if (((uintptr_t)(zval_update_constant_ex) >> 16) & 0xffff) {
		dasm_put(Dst, 104620, (((uintptr_t)(zval_update_constant_ex) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zval_update_constant_ex) >> 32) & 0xffff) {
		dasm_put(Dst, 104623, (((uintptr_t)(zval_update_constant_ex) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zval_update_constant_ex) >> 16) & 0xffff) {
		dasm_put(Dst, 104626, (((uintptr_t)(zval_update_constant_ex) >> 16) & 0xffff));
				if (((uintptr_t)(zval_update_constant_ex) >> 32) & 0xffff) {
		dasm_put(Dst, 104629, (((uintptr_t)(zval_update_constant_ex) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104632, (((uintptr_t)(zval_update_constant_ex) >> 32) & 0xffff));
			}
		dasm_put(Dst, 104635);
			}
#line 12044 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cbnz RETVALw, >1
		//|.cold_code
		dasm_put(Dst, 104637);
#line 12046 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		//|	ZVAL_PTR_DTOR res_addr, MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN, 1, 0, opline, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 104640);
			if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 104642, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 104646, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104650, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104654, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104658, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 104663, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 104668, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 104671, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 104675, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 104679, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 104683, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104687, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104691, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 104695);
		dasm_put(Dst, 104698);
					} else {
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 104700, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 104704, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104708, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104712, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104716, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 104721, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 104726, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 104729, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 104733, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 104737, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 104741, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104745, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104749, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 104753);
					}
				}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 104756, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 104760, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 104764, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104768, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 104772, (Z_REG(res_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 104776, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
		dasm_put(Dst, 104780, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & MAY_BE_GUARD) || RC_MAY_BE_1(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) {
					if (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & MAY_BE_GUARD) || RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN)) {
						if (1 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 104788);
						} else {
		dasm_put(Dst, 104791);
						}
					}
			do {
				if (!((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & MAY_BE_GUARD)
				 && has_concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 104794, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 104797, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 104800, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 104804, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 104808, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 104812, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 104817, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 104821, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 104825, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 104829, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 104833, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104837, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 104841, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 104844, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 104847, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 104850, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 104854, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 104858, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 104862, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 104867, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 104871, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 104875, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 104879, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 104883, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104887, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 104891, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 104895, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 104898, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 104901, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 104905, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 104909, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 104913, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 104918, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 104922, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 104926, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 104930, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 104934, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104938, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 104942, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 104945, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 104948, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 104951, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 104955, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 104959, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 104963, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 104968, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 104972, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 104976, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 104980, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 104984, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 104988, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 104992, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 104995, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 104998);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 105000, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 105003, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 105006, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 105009, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 105012, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 105015, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 105018, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 105021, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 105024, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105027, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 105030, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 105033, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 105036, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 105039, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 105043, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 105047, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 105051, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 105056, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 105060, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 105064, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 105068, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 105072, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105076, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 105080, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 105083, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 105086, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 105089, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 105093, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 105097, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 105101, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 105106, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 105110, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 105114, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 105118, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 105122, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105126, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 105130, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 105134, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 105137, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 105140, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 105144, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 105148, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 105152, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 105157, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 105161, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 105165, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 105169, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 105173, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105177, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 105181, (ZREG_X15));
			}
			} while(0);
					if (1 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 105184);
					}
		dasm_put(Dst, 105187);
				}
				if (1 && (((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & MAY_BE_GUARD) || (RC_MAY_BE_N(MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 105189, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 105193, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 105197, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105201, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 105205, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 105210, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 105215, (ZREG_X15));
			} else {
		dasm_put(Dst, 105219, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 105225, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 105229, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 105233, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105237, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 105241, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 105246, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 105251, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 105254, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 105258, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 105262, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 105266, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105270, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 105274, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 105278);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 105281, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 105285, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 105289, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105293, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 105297, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 105301, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 105305);
					}
		dasm_put(Dst, 105307, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 105310, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 105313, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 105317, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 105321, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 105325, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105329, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 105333, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 105337);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 105340, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 105343, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 105346, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 105350, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 105354, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 105358, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 105363, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 105367, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 105371, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 105375, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 105379, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105383, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 105387, (ZREG_X15));
			}
				}
				if (0 && ((MAY_BE_ANY|MAY_BE_RC1|MAY_BE_RCN) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 105390);
				}
		dasm_put(Dst, 105393);
			}
#line 12048 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO res_addr, IS_UNDEF, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_UNDEF)) <= MOVZ_IMM) {
		dasm_put(Dst, 105395, ((uint32_t)(IS_UNDEF)));
			} else if (((uint32_t)(IS_UNDEF) & 0xffff)) {
		dasm_put(Dst, 105398, ((uint32_t)(IS_UNDEF) & 0xffff));
				if ((((uint32_t)(IS_UNDEF) >> 16) & 0xffff)) {
		dasm_put(Dst, 105401, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105404, (((uint32_t)(IS_UNDEF) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 105407, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 105410, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 105413, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105416, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 105419, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 105422, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 12049 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b ->exception_handler
		//|.code
		dasm_put(Dst, 105426);
#line 12051 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|5:
	dasm_put(Dst, 105429);
#line 12054 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (op_array->fn_flags & ZEND_ACC_HAS_TYPE_HINTS) {
		do {
			zend_arg_info *arg_info;

			if (arg_num <= op_array->num_args) {
				arg_info = &op_array->arg_info[arg_num-1];
			} else if (op_array->fn_flags & ZEND_ACC_VARIADIC) {
				arg_info = &op_array->arg_info[op_array->num_args];
			} else {
				break;
			}
			if (!ZEND_TYPE_IS_SET(arg_info->type)) {
				break;
			}
			if (!zend_jit_verify_arg_type(Dst, opline, arg_info, may_throw)) {
				return 0;
			}
		} while (0);
	}

	if (JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE) {
		if (is_last) {
			//|	LOAD_IP_ADDR (opline + 1)
				if (GCC_GLOBAL_REGS) {
				if (((uintptr_t)((opline + 1))) == 0) {
			dasm_put(Dst, 105431);
				} else if (((uintptr_t)((opline + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 105433, ((uint64_t)((opline + 1))));
				} else if (arm64_may_use_adr((void*)((opline + 1)))) {
			dasm_put(Dst, 105436, (unsigned int)((ptrdiff_t)((opline + 1))), (unsigned int)(((ptrdiff_t)((opline + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((opline + 1)))) {
			dasm_put(Dst, 105439, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline + 1))))))>>32));
					if (((uintptr_t)((opline + 1))) & 0xfff) {
			dasm_put(Dst, 105442, (((uintptr_t)((opline + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((opline + 1)) & 0xffff) {
			dasm_put(Dst, 105445, ((uintptr_t)((opline + 1)) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 105448, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 105451, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 105454, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 105457, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 105460, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
				}
				} else {
				if (((uintptr_t)((opline + 1))) == 0) {
			dasm_put(Dst, 105463);
				} else if (((uintptr_t)((opline + 1))) <= MOVZ_IMM) {
			dasm_put(Dst, 105465, ((uint64_t)((opline + 1))));
				} else if (arm64_may_use_adr((void*)((opline + 1)))) {
			dasm_put(Dst, 105468, (unsigned int)((ptrdiff_t)((opline + 1))), (unsigned int)(((ptrdiff_t)((opline + 1)))>>32));
				} else if (arm64_may_use_adrp((void*)((opline + 1)))) {
			dasm_put(Dst, 105471, (unsigned int)((ptrdiff_t)((((uintptr_t)((opline + 1)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((opline + 1))))))>>32));
					if (((uintptr_t)((opline + 1))) & 0xfff) {
			dasm_put(Dst, 105474, (((uintptr_t)((opline + 1))) & 0xfff));
					}
				} else if ((uintptr_t)((opline + 1)) & 0xffff) {
			dasm_put(Dst, 105477, ((uintptr_t)((opline + 1)) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 105480, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					}
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 105483, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)((opline + 1)) >> 16) & 0xffff) {
			dasm_put(Dst, 105486, (((uintptr_t)((opline + 1)) >> 16) & 0xffff));
					if (((uintptr_t)((opline + 1)) >> 32) & 0xffff) {
			dasm_put(Dst, 105489, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 105492, (((uintptr_t)((opline + 1)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 105495, Dt1(->opline));
				}
#line 12078 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			zend_jit_set_last_valid_opline(opline + 1);
		}
	}
	return 1;
}

static int zend_jit_class_guard(dasm_State **Dst, const zend_op *opline, zend_class_entry *ce)
{
	int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);
	const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

	if (!exit_addr) {
		return 0;
	}

	//|	LOAD_ADDR TMP1, ((ptrdiff_t)ce)
		if (((uintptr_t)(((ptrdiff_t)ce))) == 0) {
	dasm_put(Dst, 105498);
		} else if (((uintptr_t)(((ptrdiff_t)ce))) <= MOVZ_IMM) {
	dasm_put(Dst, 105500, ((uint64_t)(((ptrdiff_t)ce))));
		} else if (arm64_may_use_adr((void*)(((ptrdiff_t)ce)))) {
	dasm_put(Dst, 105503, (unsigned int)((ptrdiff_t)(((ptrdiff_t)ce))), (unsigned int)(((ptrdiff_t)(((ptrdiff_t)ce)))>>32));
		} else if (arm64_may_use_adrp((void*)(((ptrdiff_t)ce)))) {
	dasm_put(Dst, 105506, (unsigned int)((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)ce)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(((ptrdiff_t)ce))))))>>32));
			if (((uintptr_t)(((ptrdiff_t)ce))) & 0xfff) {
	dasm_put(Dst, 105509, (((uintptr_t)(((ptrdiff_t)ce))) & 0xfff));
			}
		} else if ((uintptr_t)(((ptrdiff_t)ce)) & 0xffff) {
	dasm_put(Dst, 105512, ((uintptr_t)(((ptrdiff_t)ce)) & 0xffff));
			if (((uintptr_t)(((ptrdiff_t)ce)) >> 16) & 0xffff) {
	dasm_put(Dst, 105515, (((uintptr_t)(((ptrdiff_t)ce)) >> 16) & 0xffff));
			}
			if (((uintptr_t)(((ptrdiff_t)ce)) >> 32) & 0xffff) {
	dasm_put(Dst, 105518, (((uintptr_t)(((ptrdiff_t)ce)) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(((ptrdiff_t)ce)) >> 16) & 0xffff) {
	dasm_put(Dst, 105521, (((uintptr_t)(((ptrdiff_t)ce)) >> 16) & 0xffff));
			if (((uintptr_t)(((ptrdiff_t)ce)) >> 32) & 0xffff) {
	dasm_put(Dst, 105524, (((uintptr_t)(((ptrdiff_t)ce)) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 105527, (((uintptr_t)(((ptrdiff_t)ce)) >> 32) & 0xffff));
		}
#line 12094 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldr TMP2, [FCARG1x, #offsetof(zend_object, ce)]
	//|	cmp TMP2, TMP1
	//|	bne &exit_addr
	dasm_put(Dst, 105530, offsetof(zend_object, ce), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 12097 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_fetch_obj(dasm_State          **Dst,
                              const zend_op        *opline,
                              const zend_op_array  *op_array,
                              zend_ssa             *ssa,
                              const zend_ssa_op    *ssa_op,
                              uint32_t              op1_info,
                              zend_jit_addr         op1_addr,
                              bool                  op1_indirect,
                              zend_class_entry     *ce,
                              bool                  ce_is_instanceof,
                              bool                  on_this,
                              bool                  delayed_fetch_this,
                              bool                  op1_avoid_refcounting,
                              zend_class_entry     *trace_ce,
                              uint8_t               prop_type,
                              int                   may_throw)
{
	zval *member;
	zend_property_info *prop_info;
	bool may_be_dynamic = 1;
	zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);
	zend_jit_addr this_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, offsetof(zend_execute_data, This));
	zend_jit_addr prop_addr;
	uint32_t res_info = RES_INFO();
	bool type_loaded = 0;

	ZEND_ASSERT(opline->op2_type == IS_CONST);
	ZEND_ASSERT(op1_info & MAY_BE_OBJECT);

	member = RT_CONSTANT(opline, opline->op2);
	ZEND_ASSERT(Z_TYPE_P(member) == IS_STRING && Z_STRVAL_P(member)[0] != '\0');
	prop_info = zend_get_known_property_info(op_array, ce, Z_STR_P(member), on_this, op_array->filename);

	if (on_this) {
		//|	GET_ZVAL_PTR FCARG1x, this_addr, TMP1
			ZEND_ASSERT(Z_MODE(this_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(this_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(this_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 105536, ((uint32_t)(Z_OFFSET(this_addr))));
			} else if (((uint32_t)(Z_OFFSET(this_addr)) & 0xffff)) {
		dasm_put(Dst, 105539, ((uint32_t)(Z_OFFSET(this_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 105542, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105545, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 105548, (Z_REG(this_addr)));
			} else {
		dasm_put(Dst, 105551, (Z_REG(this_addr)), (Z_OFFSET(this_addr)));
			}
#line 12136 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if (opline->op1_type == IS_VAR
		 && opline->opcode == ZEND_FETCH_OBJ_W
		 && (op1_info & MAY_BE_INDIRECT)
		 && Z_REG(op1_addr) == ZREG_FP) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 105555);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 105557, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 105560, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 105563, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 105566, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 105569, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 105572, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 105575, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 105578, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 105581, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 105584, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 105587, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 105590, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 105594, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 105597, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 105600, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 105603, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 105606, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 105609);
						} else {
			dasm_put(Dst, 105611, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 12142 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	IF_NOT_Z_TYPE FCARG1x, IS_INDIRECT, >1, TMP1w
			dasm_put(Dst, 105614, offsetof(zval, u1.v.type));
				if (IS_INDIRECT == 0) {
			dasm_put(Dst, 105617);
				} else {
			dasm_put(Dst, 105620, IS_INDIRECT);
				}
#line 12143 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_Z_PTR FCARG1x, FCARG1x
			//|1:
			dasm_put(Dst, 105625);
#line 12145 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		}
		if (op1_info & MAY_BE_REF) {
			if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 105628);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 105630, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 105633, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 105636, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 105639, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 105642, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 105645, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 105648, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 105651, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 105654, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 105657, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 105660, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 105663, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 105667, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 105670, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 105673, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 105676, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 105679, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 105682);
							} else {
				dasm_put(Dst, 105684, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12150 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
				if (op1_info & MAY_BE_REF) {
			dasm_put(Dst, 105687, offsetof(zval, u1.v.type));
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 105690);
				} else {
			dasm_put(Dst, 105693, IS_REFERENCE);
				}
			dasm_put(Dst, 105698, offsetof(zend_reference, val));
				}
#line 12152 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		}
		if (op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY)- MAY_BE_OBJECT)) {
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, &exit_addr, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 105703, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 105707, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 105711, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 105715, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 105719, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 105724, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_OBJECT == 0) {
				dasm_put(Dst, 105729, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					} else {
				dasm_put(Dst, 105733, (ZREG_X15), IS_OBJECT, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					}
#line 12163 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, >7, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 105739, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 105743, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 105747, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 105751, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 105755, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 105760, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_OBJECT == 0) {
				dasm_put(Dst, 105765, (ZREG_X15));
					} else {
				dasm_put(Dst, 105769, (ZREG_X15), IS_OBJECT);
					}
#line 12165 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 105775, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 105778, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 105781, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105784, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 105787, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 105790, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
#line 12168 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (!prop_info && trace_ce && (trace_ce->ce_flags & ZEND_ACC_IMMUTABLE)) {
		prop_info = zend_get_known_property_info(op_array, trace_ce, Z_STR_P(member), on_this, op_array->filename);
		if (prop_info) {
			ce = trace_ce;
			ce_is_instanceof = 0;
			if (!(op1_info & MAY_BE_CLASS_GUARD)) {
				if (on_this && JIT_G(current_frame)
				 && TRACE_FRAME_IS_THIS_CLASS_CHECKED(JIT_G(current_frame))) {
					ZEND_ASSERT(JIT_G(current_frame)->ce == ce);
				} else if (zend_jit_class_guard(Dst, opline, ce)) {
					if (on_this && JIT_G(current_frame)) {
						JIT_G(current_frame)->ce = ce;
						TRACE_FRAME_SET_THIS_CLASS_CHECKED(JIT_G(current_frame));
					}
				} else {
					return 0;
				}
				if (ssa->var_info && ssa_op->op1_use >= 0) {
					ssa->var_info[ssa_op->op1_use].type |= MAY_BE_CLASS_GUARD;
					ssa->var_info[ssa_op->op1_use].ce = ce;
					ssa->var_info[ssa_op->op1_use].is_instanceof = ce_is_instanceof;
				}
			}
		}
	}

	if (!prop_info) {
		//|	ldr REG0, EX->run_time_cache
		//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG2, REG0, (opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS), TMP1
		dasm_put(Dst, 105794, Dt1(->run_time_cache));
			if (((uintptr_t)((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS))) > LDR_STR_PIMM64) {
			if (((uint32_t)((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS))) <= MOVZ_IMM) {
		dasm_put(Dst, 105797, ((uint32_t)((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS))));
			} else if (((uint32_t)((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)) & 0xffff)) {
		dasm_put(Dst, 105800, ((uint32_t)((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)) & 0xffff));
				if ((((uint32_t)((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)) >> 16) & 0xffff)) {
		dasm_put(Dst, 105803, (((uint32_t)((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105806, (((uint32_t)((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 105809);
			} else {
		dasm_put(Dst, 105811, ((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)));
			}
#line 12199 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr TMP1, [FCARG1x, #offsetof(zend_object, ce)]
		//|	cmp REG2, TMP1
		//|	bne >5
		//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, REG0, ((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*)), TMP1
		dasm_put(Dst, 105814, offsetof(zend_object, ce));
			if (((uintptr_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*)))) > LDR_STR_PIMM64) {
			if (((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*)))) <= MOVZ_IMM) {
		dasm_put(Dst, 105820, ((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*)))));
			} else if (((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*))) & 0xffff)) {
		dasm_put(Dst, 105823, ((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*))) & 0xffff));
				if ((((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*))) >> 16) & 0xffff)) {
		dasm_put(Dst, 105826, (((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 105829, (((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 105832);
			} else {
		dasm_put(Dst, 105834, (((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*))));
			}
#line 12203 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		may_be_dynamic = zend_may_be_dynamic_property(ce, Z_STR_P(member), opline->op1_type == IS_UNUSED, op_array);
		if (may_be_dynamic) {
			//|	tst REG0, REG0
			dasm_put(Dst, 105837);
#line 12206 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->opcode == ZEND_FETCH_OBJ_W) {
				//|	blt >5
				dasm_put(Dst, 105839);
#line 12208 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	blt >8 // dynamic property
				dasm_put(Dst, 105842);
#line 12210 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|	add TMP1, FCARG1x, REG0
		//|	ldr REG2w, [TMP1, #offsetof(zval,u1.type_info)]
		//|	IF_UNDEF REG2w, >5
		//|	mov FCARG1x, TMP1
		dasm_put(Dst, 105845, offsetof(zval,u1.type_info));
#line 12216 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		type_loaded = 1;
		prop_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		if (opline->opcode == ZEND_FETCH_OBJ_W
		 && (!ce ||	ce_is_instanceof || (ce->ce_flags & (ZEND_ACC_HAS_TYPE_HINTS|ZEND_ACC_TRAIT)))) {
			uint32_t flags = opline->extended_value & ZEND_FETCH_OBJ_FLAGS;

			//|	ldr REG0, EX->run_time_cache
			//|	MEM_ACCESS_64_WITH_UOFFSET ldr, FCARG2x, REG0, ((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2), TMP1
			dasm_put(Dst, 105852, Dt1(->run_time_cache));
				if (((uintptr_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2))) > LDR_STR_PIMM64) {
				if (((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2))) <= MOVZ_IMM) {
			dasm_put(Dst, 105855, ((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2))));
				} else if (((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2)) & 0xffff)) {
			dasm_put(Dst, 105858, ((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2)) & 0xffff));
					if ((((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2)) >> 16) & 0xffff)) {
			dasm_put(Dst, 105861, (((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 105864, (((uint32_t)(((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 105867);
				} else {
			dasm_put(Dst, 105869, (((opline->extended_value & ~ZEND_FETCH_OBJ_FLAGS)  + sizeof(void*) * 2)));
				}
#line 12224 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cbnz FCARG2x, >1
			//|.cold_code
			dasm_put(Dst, 105872);
#line 12226 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	ldr TMP1w, [FCARG2x, #offsetof(zend_property_info, flags)]
			//|	tst TMP1w, #ZEND_ACC_READONLY
			dasm_put(Dst, 105875, offsetof(zend_property_info, flags), ZEND_ACC_READONLY);
#line 12229 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (flags) {
				//|	beq >3
				dasm_put(Dst, 105881);
#line 12231 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	beq >4
				dasm_put(Dst, 105884);
#line 12233 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	IF_NOT_TYPE REG2w, IS_OBJECT_EX, >2
				if (IS_OBJECT_EX == 0) {
			dasm_put(Dst, 105887);
				} else {
			dasm_put(Dst, 105890, IS_OBJECT_EX);
				}
#line 12235 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_Z_PTR REG2, FCARG1x
			//|	GC_ADDREF REG2, TMP1w
			//|	SET_ZVAL_PTR res_addr, REG2, TMP1
			dasm_put(Dst, 105895);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 105900, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 105903, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 105906, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 105909, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 105912, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 105915, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
#line 12238 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_OBJECT_EX, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_OBJECT_EX)) <= MOVZ_IMM) {
			dasm_put(Dst, 105919, ((uint32_t)(IS_OBJECT_EX)));
				} else if (((uint32_t)(IS_OBJECT_EX) & 0xffff)) {
			dasm_put(Dst, 105922, ((uint32_t)(IS_OBJECT_EX) & 0xffff));
					if ((((uint32_t)(IS_OBJECT_EX) >> 16) & 0xffff)) {
			dasm_put(Dst, 105925, (((uint32_t)(IS_OBJECT_EX) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 105928, (((uint32_t)(IS_OBJECT_EX) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 105931, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 105934, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 105937, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 105940, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 105943, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 105946, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 12239 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >9
			//|2:
			//|	mov FCARG1x, FCARG2x
			//|	SET_EX_OPLINE opline, REG0
			dasm_put(Dst, 105950);
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 105955, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 105958);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 105960, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 105963, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 105966, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 105969, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 105972, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 105975, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 105978, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 105981, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 105984, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 105987, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 105990, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 12243 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_readonly_property_modification_error, REG0
				if (arm64_may_use_b(zend_readonly_property_modification_error)) {
			dasm_put(Dst, 105993, (unsigned int)((ptrdiff_t)(zend_readonly_property_modification_error)), (unsigned int)(((ptrdiff_t)(zend_readonly_property_modification_error))>>32));
				} else {
				if (((uintptr_t)(zend_readonly_property_modification_error)) == 0) {
			dasm_put(Dst, 105996);
				} else if (((uintptr_t)(zend_readonly_property_modification_error)) <= MOVZ_IMM) {
			dasm_put(Dst, 105998, ((uint64_t)(zend_readonly_property_modification_error)));
				} else if (arm64_may_use_adr((void*)(zend_readonly_property_modification_error))) {
			dasm_put(Dst, 106001, (unsigned int)((ptrdiff_t)(zend_readonly_property_modification_error)), (unsigned int)(((ptrdiff_t)(zend_readonly_property_modification_error))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_readonly_property_modification_error))) {
			dasm_put(Dst, 106004, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_readonly_property_modification_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_readonly_property_modification_error)))))>>32));
					if (((uintptr_t)(zend_readonly_property_modification_error)) & 0xfff) {
			dasm_put(Dst, 106007, (((uintptr_t)(zend_readonly_property_modification_error)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_readonly_property_modification_error) & 0xffff) {
			dasm_put(Dst, 106010, ((uintptr_t)(zend_readonly_property_modification_error) & 0xffff));
					if (((uintptr_t)(zend_readonly_property_modification_error) >> 16) & 0xffff) {
			dasm_put(Dst, 106013, (((uintptr_t)(zend_readonly_property_modification_error) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff) {
			dasm_put(Dst, 106016, (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_readonly_property_modification_error) >> 16) & 0xffff) {
			dasm_put(Dst, 106019, (((uintptr_t)(zend_readonly_property_modification_error) >> 16) & 0xffff));
					if (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff) {
			dasm_put(Dst, 106022, (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106025, (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff));
				}
			dasm_put(Dst, 106028);
				}
#line 12244 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO res_addr, _IS_ERROR, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(_IS_ERROR)) <= MOVZ_IMM) {
			dasm_put(Dst, 106030, ((uint32_t)(_IS_ERROR)));
				} else if (((uint32_t)(_IS_ERROR) & 0xffff)) {
			dasm_put(Dst, 106033, ((uint32_t)(_IS_ERROR) & 0xffff));
					if ((((uint32_t)(_IS_ERROR) >> 16) & 0xffff)) {
			dasm_put(Dst, 106036, (((uint32_t)(_IS_ERROR) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106039, (((uint32_t)(_IS_ERROR) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 106042, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 106045, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 106048, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106051, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 106054, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 106057, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 12245 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >9
			//|3:
			dasm_put(Dst, 106061);
#line 12247 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (flags == ZEND_FETCH_DIM_WRITE) {
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 106065, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 106068);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 106070, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 106073, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 106076, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 106079, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 106082, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 106085, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 106088, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 106091, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 106094, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 106097, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 106100, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 12249 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_check_array_promotion, REG0
					if (arm64_may_use_b(zend_jit_check_array_promotion)) {
				dasm_put(Dst, 106103, (unsigned int)((ptrdiff_t)(zend_jit_check_array_promotion)), (unsigned int)(((ptrdiff_t)(zend_jit_check_array_promotion))>>32));
					} else {
					if (((uintptr_t)(zend_jit_check_array_promotion)) == 0) {
				dasm_put(Dst, 106106);
					} else if (((uintptr_t)(zend_jit_check_array_promotion)) <= MOVZ_IMM) {
				dasm_put(Dst, 106108, ((uint64_t)(zend_jit_check_array_promotion)));
					} else if (arm64_may_use_adr((void*)(zend_jit_check_array_promotion))) {
				dasm_put(Dst, 106111, (unsigned int)((ptrdiff_t)(zend_jit_check_array_promotion)), (unsigned int)(((ptrdiff_t)(zend_jit_check_array_promotion))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_check_array_promotion))) {
				dasm_put(Dst, 106114, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_check_array_promotion))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_check_array_promotion)))))>>32));
						if (((uintptr_t)(zend_jit_check_array_promotion)) & 0xfff) {
				dasm_put(Dst, 106117, (((uintptr_t)(zend_jit_check_array_promotion)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_check_array_promotion) & 0xffff) {
				dasm_put(Dst, 106120, ((uintptr_t)(zend_jit_check_array_promotion) & 0xffff));
						if (((uintptr_t)(zend_jit_check_array_promotion) >> 16) & 0xffff) {
				dasm_put(Dst, 106123, (((uintptr_t)(zend_jit_check_array_promotion) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff) {
				dasm_put(Dst, 106126, (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_check_array_promotion) >> 16) & 0xffff) {
				dasm_put(Dst, 106129, (((uintptr_t)(zend_jit_check_array_promotion) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff) {
				dasm_put(Dst, 106132, (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 106135, (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff));
					}
				dasm_put(Dst, 106138);
					}
#line 12250 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b >9
				dasm_put(Dst, 106140);
#line 12251 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (flags == ZEND_FETCH_REF) {
				//|	LOAD_ZVAL_ADDR CARG3, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 106143);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 106145, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 106148, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 106151, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 106154, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 106157, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 106160, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 106163, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 106166, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 106169, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 106172, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 106175, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 106178, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 106182, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 106185, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 106188, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 106191, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 106194, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 106197);
							} else {
				dasm_put(Dst, 106199, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12253 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_create_typed_ref, REG0
					if (arm64_may_use_b(zend_jit_create_typed_ref)) {
				dasm_put(Dst, 106202, (unsigned int)((ptrdiff_t)(zend_jit_create_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_create_typed_ref))>>32));
					} else {
					if (((uintptr_t)(zend_jit_create_typed_ref)) == 0) {
				dasm_put(Dst, 106205);
					} else if (((uintptr_t)(zend_jit_create_typed_ref)) <= MOVZ_IMM) {
				dasm_put(Dst, 106207, ((uint64_t)(zend_jit_create_typed_ref)));
					} else if (arm64_may_use_adr((void*)(zend_jit_create_typed_ref))) {
				dasm_put(Dst, 106210, (unsigned int)((ptrdiff_t)(zend_jit_create_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_create_typed_ref))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_create_typed_ref))) {
				dasm_put(Dst, 106213, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_create_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_create_typed_ref)))))>>32));
						if (((uintptr_t)(zend_jit_create_typed_ref)) & 0xfff) {
				dasm_put(Dst, 106216, (((uintptr_t)(zend_jit_create_typed_ref)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_create_typed_ref) & 0xffff) {
				dasm_put(Dst, 106219, ((uintptr_t)(zend_jit_create_typed_ref) & 0xffff));
						if (((uintptr_t)(zend_jit_create_typed_ref) >> 16) & 0xffff) {
				dasm_put(Dst, 106222, (((uintptr_t)(zend_jit_create_typed_ref) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff) {
				dasm_put(Dst, 106225, (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_create_typed_ref) >> 16) & 0xffff) {
				dasm_put(Dst, 106228, (((uintptr_t)(zend_jit_create_typed_ref) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff) {
				dasm_put(Dst, 106231, (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 106234, (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff));
					}
				dasm_put(Dst, 106237);
					}
#line 12254 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b >9
				dasm_put(Dst, 106239);
#line 12255 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				ZEND_ASSERT(flags == 0);
			}
			//|.code
			dasm_put(Dst, 106242);
#line 12259 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|4:
			dasm_put(Dst, 106243);
#line 12260 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		prop_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, prop_info->offset);
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
			if (opline->opcode == ZEND_FETCH_OBJ_W || !(res_info & MAY_BE_GUARD) || !JIT_G(current_frame)) {
				/* perform IS_UNDEF check only after result type guard (during deoptimization) */
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}
				type_loaded = 1;
				//|	MEM_ACCESS_32_WITH_UOFFSET ldr, REG2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.type_info)), TMP1
					if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.type_info)))) > LDR_STR_PIMM32) {
					if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))) <= MOVZ_IMM) {
				dasm_put(Dst, 106245, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))));
					} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff)) {
				dasm_put(Dst, 106248, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff));
						if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff)) {
				dasm_put(Dst, 106251, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 106254, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 106257);
					} else {
				dasm_put(Dst, 106259, ((prop_info->offset + offsetof(zval,u1.type_info))));
					}
#line 12274 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	IF_UNDEF REG2w, &exit_addr
				dasm_put(Dst, 106262, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 12275 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			type_loaded = 1;
			//|	MEM_ACCESS_32_WITH_UOFFSET ldr, REG2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.type_info)), TMP1
				if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.type_info)))) > LDR_STR_PIMM32) {
				if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))) <= MOVZ_IMM) {
			dasm_put(Dst, 106265, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))));
				} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff)) {
			dasm_put(Dst, 106268, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff));
					if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff)) {
			dasm_put(Dst, 106271, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106274, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 106277);
				} else {
			dasm_put(Dst, 106279, ((prop_info->offset + offsetof(zval,u1.type_info))));
				}
#line 12279 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	IF_UNDEF REG2w, >5
			dasm_put(Dst, 106282);
#line 12280 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (opline->opcode == ZEND_FETCH_OBJ_W && (prop_info->flags & ZEND_ACC_READONLY)) {
			if (!type_loaded) {
				type_loaded = 1;
				//|	MEM_ACCESS_32_WITH_UOFFSET ldr, REG2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.type_info)), TMP1
					if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.type_info)))) > LDR_STR_PIMM32) {
					if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))) <= MOVZ_IMM) {
				dasm_put(Dst, 106285, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))));
					} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff)) {
				dasm_put(Dst, 106288, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff));
						if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff)) {
				dasm_put(Dst, 106291, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 106294, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 106297);
					} else {
				dasm_put(Dst, 106299, ((prop_info->offset + offsetof(zval,u1.type_info))));
					}
#line 12285 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	IF_NOT_TYPE REG2w, IS_OBJECT_EX, >4
				if (IS_OBJECT_EX == 0) {
			dasm_put(Dst, 106302);
				} else {
			dasm_put(Dst, 106305, IS_OBJECT_EX);
				}
#line 12287 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_ZVAL_PTR REG2, prop_addr, TMP1
				ZEND_ASSERT(Z_MODE(prop_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(prop_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 106310, ((uint32_t)(Z_OFFSET(prop_addr))));
				} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
			dasm_put(Dst, 106313, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 106316, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106319, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 106322, (Z_REG(prop_addr)));
				} else {
			dasm_put(Dst, 106325, (Z_REG(prop_addr)), (Z_OFFSET(prop_addr)));
				}
#line 12288 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GC_ADDREF REG2, TMP1w
			//|	SET_ZVAL_PTR res_addr, REG2, TMP1
			dasm_put(Dst, 106329);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 106333, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 106336, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 106339, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106342, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 106345, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 106348, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
#line 12290 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_OBJECT_EX, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_OBJECT_EX)) <= MOVZ_IMM) {
			dasm_put(Dst, 106352, ((uint32_t)(IS_OBJECT_EX)));
				} else if (((uint32_t)(IS_OBJECT_EX) & 0xffff)) {
			dasm_put(Dst, 106355, ((uint32_t)(IS_OBJECT_EX) & 0xffff));
					if ((((uint32_t)(IS_OBJECT_EX) >> 16) & 0xffff)) {
			dasm_put(Dst, 106358, (((uint32_t)(IS_OBJECT_EX) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106361, (((uint32_t)(IS_OBJECT_EX) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 106364, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 106367, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 106370, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106373, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 106376, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 106379, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 12291 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >9
			//|.cold_code
			dasm_put(Dst, 106383);
#line 12293 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|4:
			//|	LOAD_ADDR FCARG1x, prop_info
			dasm_put(Dst, 106386);
				if (((uintptr_t)(prop_info)) == 0) {
			dasm_put(Dst, 106388);
				} else if (((uintptr_t)(prop_info)) <= MOVZ_IMM) {
			dasm_put(Dst, 106390, ((uint64_t)(prop_info)));
				} else if (arm64_may_use_adr((void*)(prop_info))) {
			dasm_put(Dst, 106393, (unsigned int)((ptrdiff_t)(prop_info)), (unsigned int)(((ptrdiff_t)(prop_info))>>32));
				} else if (arm64_may_use_adrp((void*)(prop_info))) {
			dasm_put(Dst, 106396, (unsigned int)((ptrdiff_t)((((uintptr_t)(prop_info))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(prop_info)))))>>32));
					if (((uintptr_t)(prop_info)) & 0xfff) {
			dasm_put(Dst, 106399, (((uintptr_t)(prop_info)) & 0xfff));
					}
				} else if ((uintptr_t)(prop_info) & 0xffff) {
			dasm_put(Dst, 106402, ((uintptr_t)(prop_info) & 0xffff));
					if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
			dasm_put(Dst, 106405, (((uintptr_t)(prop_info) >> 16) & 0xffff));
					}
					if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
			dasm_put(Dst, 106408, (((uintptr_t)(prop_info) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
			dasm_put(Dst, 106411, (((uintptr_t)(prop_info) >> 16) & 0xffff));
					if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
			dasm_put(Dst, 106414, (((uintptr_t)(prop_info) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106417, (((uintptr_t)(prop_info) >> 32) & 0xffff));
				}
#line 12295 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 106420, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 106423);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 106425, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 106428, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 106431, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 106434, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 106437, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 106440, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 106443, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 106446, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 106449, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106452, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 106455, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 12296 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_readonly_property_modification_error, REG0
				if (arm64_may_use_b(zend_readonly_property_modification_error)) {
			dasm_put(Dst, 106458, (unsigned int)((ptrdiff_t)(zend_readonly_property_modification_error)), (unsigned int)(((ptrdiff_t)(zend_readonly_property_modification_error))>>32));
				} else {
				if (((uintptr_t)(zend_readonly_property_modification_error)) == 0) {
			dasm_put(Dst, 106461);
				} else if (((uintptr_t)(zend_readonly_property_modification_error)) <= MOVZ_IMM) {
			dasm_put(Dst, 106463, ((uint64_t)(zend_readonly_property_modification_error)));
				} else if (arm64_may_use_adr((void*)(zend_readonly_property_modification_error))) {
			dasm_put(Dst, 106466, (unsigned int)((ptrdiff_t)(zend_readonly_property_modification_error)), (unsigned int)(((ptrdiff_t)(zend_readonly_property_modification_error))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_readonly_property_modification_error))) {
			dasm_put(Dst, 106469, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_readonly_property_modification_error))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_readonly_property_modification_error)))))>>32));
					if (((uintptr_t)(zend_readonly_property_modification_error)) & 0xfff) {
			dasm_put(Dst, 106472, (((uintptr_t)(zend_readonly_property_modification_error)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_readonly_property_modification_error) & 0xffff) {
			dasm_put(Dst, 106475, ((uintptr_t)(zend_readonly_property_modification_error) & 0xffff));
					if (((uintptr_t)(zend_readonly_property_modification_error) >> 16) & 0xffff) {
			dasm_put(Dst, 106478, (((uintptr_t)(zend_readonly_property_modification_error) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff) {
			dasm_put(Dst, 106481, (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_readonly_property_modification_error) >> 16) & 0xffff) {
			dasm_put(Dst, 106484, (((uintptr_t)(zend_readonly_property_modification_error) >> 16) & 0xffff));
					if (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff) {
			dasm_put(Dst, 106487, (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106490, (((uintptr_t)(zend_readonly_property_modification_error) >> 32) & 0xffff));
				}
			dasm_put(Dst, 106493);
				}
#line 12297 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO res_addr, _IS_ERROR, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(_IS_ERROR)) <= MOVZ_IMM) {
			dasm_put(Dst, 106495, ((uint32_t)(_IS_ERROR)));
				} else if (((uint32_t)(_IS_ERROR) & 0xffff)) {
			dasm_put(Dst, 106498, ((uint32_t)(_IS_ERROR) & 0xffff));
					if ((((uint32_t)(_IS_ERROR) >> 16) & 0xffff)) {
			dasm_put(Dst, 106501, (((uint32_t)(_IS_ERROR) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106504, (((uint32_t)(_IS_ERROR) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 106507, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 106510, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 106513, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106516, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 106519, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 106522, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 12298 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >9
			//|.code
			dasm_put(Dst, 106526);
#line 12300 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (opline->opcode == ZEND_FETCH_OBJ_W
		 && (opline->extended_value & ZEND_FETCH_OBJ_FLAGS)
		 && ZEND_TYPE_IS_SET(prop_info->type)) {
			uint32_t flags = opline->extended_value & ZEND_FETCH_OBJ_FLAGS;

			if (flags == ZEND_FETCH_DIM_WRITE) {
				if ((ZEND_TYPE_FULL_MASK(prop_info->type) & MAY_BE_ARRAY) == 0) {
					if (!type_loaded) {
						type_loaded = 1;
						//|	MEM_ACCESS_32_WITH_UOFFSET ldr, REG2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.type_info)), TMP1
							if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.type_info)))) > LDR_STR_PIMM32) {
							if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))) <= MOVZ_IMM) {
						dasm_put(Dst, 106529, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))));
							} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff)) {
						dasm_put(Dst, 106532, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff));
								if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff)) {
						dasm_put(Dst, 106535, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 106538, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
							}
						dasm_put(Dst, 106541);
							} else {
						dasm_put(Dst, 106543, ((prop_info->offset + offsetof(zval,u1.type_info))));
							}
#line 12311 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	cmp REG2w, #IS_FALSE
					//|	ble >1
					//|.cold_code
					dasm_put(Dst, 106546, IS_FALSE);
#line 12315 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					dasm_put(Dst, 106551);
#line 12316 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (Z_REG(prop_addr) != ZREG_FCARG1 || Z_OFFSET(prop_addr) != 0) {
						//|	LOAD_ZVAL_ADDR FCARG1x, prop_addr
							if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
							if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
						dasm_put(Dst, 106553);
							} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 106555, ((uint64_t)(Z_ZV(prop_addr))));
							} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
						dasm_put(Dst, 106558, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
							} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
						dasm_put(Dst, 106561, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
								if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
						dasm_put(Dst, 106564, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
								}
							} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
						dasm_put(Dst, 106567, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
								if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
						dasm_put(Dst, 106570, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
								}
								if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
						dasm_put(Dst, 106573, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
						dasm_put(Dst, 106576, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
								if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
						dasm_put(Dst, 106579, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 106582, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
							}
							} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
								if (Z_OFFSET(prop_addr)) {
							if (Z_OFFSET(prop_addr) == 0) {
						dasm_put(Dst, 106585, (Z_REG(prop_addr)));
							} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
						dasm_put(Dst, 106588, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
							} else {
							if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
						dasm_put(Dst, 106592, ((uint32_t)(Z_OFFSET(prop_addr))));
							} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
						dasm_put(Dst, 106595, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
						dasm_put(Dst, 106598, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 106601, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 106604, (Z_REG(prop_addr)));
							}
								} else {
									if (Z_REG(prop_addr) == ZREG_RSP) {
						dasm_put(Dst, 106607);
									} else {
						dasm_put(Dst, 106609, (Z_REG(prop_addr)));
									}
								}
							} else {
								ZEND_UNREACHABLE();
							}
#line 12318 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	LOAD_ADDR FCARG2x, prop_info
						if (((uintptr_t)(prop_info)) == 0) {
					dasm_put(Dst, 106612);
						} else if (((uintptr_t)(prop_info)) <= MOVZ_IMM) {
					dasm_put(Dst, 106614, ((uint64_t)(prop_info)));
						} else if (arm64_may_use_adr((void*)(prop_info))) {
					dasm_put(Dst, 106617, (unsigned int)((ptrdiff_t)(prop_info)), (unsigned int)(((ptrdiff_t)(prop_info))>>32));
						} else if (arm64_may_use_adrp((void*)(prop_info))) {
					dasm_put(Dst, 106620, (unsigned int)((ptrdiff_t)((((uintptr_t)(prop_info))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(prop_info)))))>>32));
							if (((uintptr_t)(prop_info)) & 0xfff) {
					dasm_put(Dst, 106623, (((uintptr_t)(prop_info)) & 0xfff));
							}
						} else if ((uintptr_t)(prop_info) & 0xffff) {
					dasm_put(Dst, 106626, ((uintptr_t)(prop_info) & 0xffff));
							if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
					dasm_put(Dst, 106629, (((uintptr_t)(prop_info) >> 16) & 0xffff));
							}
							if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
					dasm_put(Dst, 106632, (((uintptr_t)(prop_info) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
					dasm_put(Dst, 106635, (((uintptr_t)(prop_info) >> 16) & 0xffff));
							if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
					dasm_put(Dst, 106638, (((uintptr_t)(prop_info) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 106641, (((uintptr_t)(prop_info) >> 32) & 0xffff));
						}
#line 12320 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	SET_EX_OPLINE opline, REG0
						if (opline == last_valid_opline) {
							zend_jit_use_last_valid_opline();
						if (GCC_GLOBAL_REGS) {
					dasm_put(Dst, 106644, Dt1(->opline));
						}
						} else {
						if (((uintptr_t)(opline)) == 0) {
					dasm_put(Dst, 106647);
						} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
					dasm_put(Dst, 106649, ((uint64_t)(opline)));
						} else if (arm64_may_use_adr((void*)(opline))) {
					dasm_put(Dst, 106652, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
						} else if (arm64_may_use_adrp((void*)(opline))) {
					dasm_put(Dst, 106655, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
							if (((uintptr_t)(opline)) & 0xfff) {
					dasm_put(Dst, 106658, (((uintptr_t)(opline)) & 0xfff));
							}
						} else if ((uintptr_t)(opline) & 0xffff) {
					dasm_put(Dst, 106661, ((uintptr_t)(opline) & 0xffff));
							if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 106664, (((uintptr_t)(opline) >> 16) & 0xffff));
							}
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 106667, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
					dasm_put(Dst, 106670, (((uintptr_t)(opline) >> 16) & 0xffff));
							if (((uintptr_t)(opline) >> 32) & 0xffff) {
					dasm_put(Dst, 106673, (((uintptr_t)(opline) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 106676, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					dasm_put(Dst, 106679, Dt1(->opline));
							if (!GCC_GLOBAL_REGS) {
								zend_jit_reset_last_valid_opline();
							}
						}
#line 12321 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_check_array_promotion, REG0
						if (arm64_may_use_b(zend_jit_check_array_promotion)) {
					dasm_put(Dst, 106682, (unsigned int)((ptrdiff_t)(zend_jit_check_array_promotion)), (unsigned int)(((ptrdiff_t)(zend_jit_check_array_promotion))>>32));
						} else {
						if (((uintptr_t)(zend_jit_check_array_promotion)) == 0) {
					dasm_put(Dst, 106685);
						} else if (((uintptr_t)(zend_jit_check_array_promotion)) <= MOVZ_IMM) {
					dasm_put(Dst, 106687, ((uint64_t)(zend_jit_check_array_promotion)));
						} else if (arm64_may_use_adr((void*)(zend_jit_check_array_promotion))) {
					dasm_put(Dst, 106690, (unsigned int)((ptrdiff_t)(zend_jit_check_array_promotion)), (unsigned int)(((ptrdiff_t)(zend_jit_check_array_promotion))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_check_array_promotion))) {
					dasm_put(Dst, 106693, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_check_array_promotion))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_check_array_promotion)))))>>32));
							if (((uintptr_t)(zend_jit_check_array_promotion)) & 0xfff) {
					dasm_put(Dst, 106696, (((uintptr_t)(zend_jit_check_array_promotion)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_check_array_promotion) & 0xffff) {
					dasm_put(Dst, 106699, ((uintptr_t)(zend_jit_check_array_promotion) & 0xffff));
							if (((uintptr_t)(zend_jit_check_array_promotion) >> 16) & 0xffff) {
					dasm_put(Dst, 106702, (((uintptr_t)(zend_jit_check_array_promotion) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff) {
					dasm_put(Dst, 106705, (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_check_array_promotion) >> 16) & 0xffff) {
					dasm_put(Dst, 106708, (((uintptr_t)(zend_jit_check_array_promotion) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff) {
					dasm_put(Dst, 106711, (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 106714, (((uintptr_t)(zend_jit_check_array_promotion) >> 32) & 0xffff));
						}
					dasm_put(Dst, 106717);
						}
#line 12322 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	b >9
					//|.code
					dasm_put(Dst, 106719);
#line 12324 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else if (flags == ZEND_FETCH_REF) {
				if (!type_loaded) {
					type_loaded = 1;
					//|	MEM_ACCESS_32_WITH_UOFFSET ldr, REG2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.type_info)), TMP1
						if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.type_info)))) > LDR_STR_PIMM32) {
						if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))) <= MOVZ_IMM) {
					dasm_put(Dst, 106722, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))));
						} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff)) {
					dasm_put(Dst, 106725, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff));
							if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff)) {
					dasm_put(Dst, 106728, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 106731, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
						}
					dasm_put(Dst, 106734);
						} else {
					dasm_put(Dst, 106736, ((prop_info->offset + offsetof(zval,u1.type_info))));
						}
#line 12329 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	GET_LOW_8BITS TMP1w, REG2w
				//|	IF_TYPE TMP1w, IS_REFERENCE, >1
				dasm_put(Dst, 106739);
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 106741);
					} else {
				dasm_put(Dst, 106744, IS_REFERENCE);
					}
#line 12332 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (ce && ce->ce_flags & ZEND_ACC_IMMUTABLE) {
					//|	LOAD_ADDR FCARG2x, prop_info
						if (((uintptr_t)(prop_info)) == 0) {
					dasm_put(Dst, 106749);
						} else if (((uintptr_t)(prop_info)) <= MOVZ_IMM) {
					dasm_put(Dst, 106751, ((uint64_t)(prop_info)));
						} else if (arm64_may_use_adr((void*)(prop_info))) {
					dasm_put(Dst, 106754, (unsigned int)((ptrdiff_t)(prop_info)), (unsigned int)(((ptrdiff_t)(prop_info))>>32));
						} else if (arm64_may_use_adrp((void*)(prop_info))) {
					dasm_put(Dst, 106757, (unsigned int)((ptrdiff_t)((((uintptr_t)(prop_info))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(prop_info)))))>>32));
							if (((uintptr_t)(prop_info)) & 0xfff) {
					dasm_put(Dst, 106760, (((uintptr_t)(prop_info)) & 0xfff));
							}
						} else if ((uintptr_t)(prop_info) & 0xffff) {
					dasm_put(Dst, 106763, ((uintptr_t)(prop_info) & 0xffff));
							if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
					dasm_put(Dst, 106766, (((uintptr_t)(prop_info) >> 16) & 0xffff));
							}
							if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
					dasm_put(Dst, 106769, (((uintptr_t)(prop_info) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
					dasm_put(Dst, 106772, (((uintptr_t)(prop_info) >> 16) & 0xffff));
							if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
					dasm_put(Dst, 106775, (((uintptr_t)(prop_info) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 106778, (((uintptr_t)(prop_info) >> 32) & 0xffff));
						}
#line 12334 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					int prop_info_offset =
						(((prop_info->offset - (sizeof(zend_object) - sizeof(zval))) / sizeof(zval)) * sizeof(void*));

					//|	ldr REG0, [FCARG1x, #offsetof(zend_object, ce)]
					//|	ldr	REG0, [REG0, #offsetof(zend_class_entry, properties_info_table)]
					//|	MEM_ACCESS_64_WITH_UOFFSET ldr, FCARG2x, REG0, prop_info_offset, TMP1
					dasm_put(Dst, 106781, offsetof(zend_object, ce), offsetof(zend_class_entry, properties_info_table));
						if (((uintptr_t)(prop_info_offset)) > LDR_STR_PIMM64) {
						if (((uint32_t)(prop_info_offset)) <= MOVZ_IMM) {
					dasm_put(Dst, 106786, ((uint32_t)(prop_info_offset)));
						} else if (((uint32_t)(prop_info_offset) & 0xffff)) {
					dasm_put(Dst, 106789, ((uint32_t)(prop_info_offset) & 0xffff));
							if ((((uint32_t)(prop_info_offset) >> 16) & 0xffff)) {
					dasm_put(Dst, 106792, (((uint32_t)(prop_info_offset) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 106795, (((uint32_t)(prop_info_offset) >> 16) & 0xffff));
						}
					dasm_put(Dst, 106798);
						} else {
					dasm_put(Dst, 106800, (prop_info_offset));
						}
#line 12341 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (Z_REG(prop_addr) != ZREG_FCARG1 || Z_OFFSET(prop_addr) != 0) {
					//|	LOAD_ZVAL_ADDR FCARG1x, prop_addr
						if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
					dasm_put(Dst, 106803);
						} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 106805, ((uint64_t)(Z_ZV(prop_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
					dasm_put(Dst, 106808, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
					dasm_put(Dst, 106811, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
					dasm_put(Dst, 106814, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
					dasm_put(Dst, 106817, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 106820, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 106823, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 106826, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 106829, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 106832, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(prop_addr)) {
						if (Z_OFFSET(prop_addr) == 0) {
					dasm_put(Dst, 106835, (Z_REG(prop_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
					dasm_put(Dst, 106838, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 106842, ((uint32_t)(Z_OFFSET(prop_addr))));
						} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
					dasm_put(Dst, 106845, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 106848, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 106851, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 106854, (Z_REG(prop_addr)));
						}
							} else {
								if (Z_REG(prop_addr) == ZREG_RSP) {
					dasm_put(Dst, 106857);
								} else {
					dasm_put(Dst, 106859, (Z_REG(prop_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 12344 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	LOAD_ZVAL_ADDR CARG3, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 106862);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 106864, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 106867, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 106870, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 106873, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 106876, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 106879, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 106882, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 106885, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 106888, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 106891, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 106894, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 106897, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 106901, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 106904, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 106907, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 106910, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 106913, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 106916);
							} else {
				dasm_put(Dst, 106918, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12346 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_create_typed_ref, REG0
					if (arm64_may_use_b(zend_jit_create_typed_ref)) {
				dasm_put(Dst, 106921, (unsigned int)((ptrdiff_t)(zend_jit_create_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_create_typed_ref))>>32));
					} else {
					if (((uintptr_t)(zend_jit_create_typed_ref)) == 0) {
				dasm_put(Dst, 106924);
					} else if (((uintptr_t)(zend_jit_create_typed_ref)) <= MOVZ_IMM) {
				dasm_put(Dst, 106926, ((uint64_t)(zend_jit_create_typed_ref)));
					} else if (arm64_may_use_adr((void*)(zend_jit_create_typed_ref))) {
				dasm_put(Dst, 106929, (unsigned int)((ptrdiff_t)(zend_jit_create_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_create_typed_ref))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_create_typed_ref))) {
				dasm_put(Dst, 106932, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_create_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_create_typed_ref)))))>>32));
						if (((uintptr_t)(zend_jit_create_typed_ref)) & 0xfff) {
				dasm_put(Dst, 106935, (((uintptr_t)(zend_jit_create_typed_ref)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_create_typed_ref) & 0xffff) {
				dasm_put(Dst, 106938, ((uintptr_t)(zend_jit_create_typed_ref) & 0xffff));
						if (((uintptr_t)(zend_jit_create_typed_ref) >> 16) & 0xffff) {
				dasm_put(Dst, 106941, (((uintptr_t)(zend_jit_create_typed_ref) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff) {
				dasm_put(Dst, 106944, (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_create_typed_ref) >> 16) & 0xffff) {
				dasm_put(Dst, 106947, (((uintptr_t)(zend_jit_create_typed_ref) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff) {
				dasm_put(Dst, 106950, (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 106953, (((uintptr_t)(zend_jit_create_typed_ref) >> 32) & 0xffff));
					}
				dasm_put(Dst, 106956);
					}
#line 12347 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b >9
				//|1:
				dasm_put(Dst, 106958);
#line 12349 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				ZEND_UNREACHABLE();
			}
		}
	}
	if (opline->opcode == ZEND_FETCH_OBJ_W) {
		if (Z_REG(prop_addr) != ZREG_FCARG1 || Z_OFFSET(prop_addr) != 0) {
			//|	LOAD_ZVAL_ADDR FCARG1x, prop_addr
				if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
			dasm_put(Dst, 106962);
				} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 106964, ((uint64_t)(Z_ZV(prop_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 106967, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 106970, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
			dasm_put(Dst, 106973, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
			dasm_put(Dst, 106976, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 106979, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 106982, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 106985, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 106988, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 106991, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(prop_addr)) {
				if (Z_OFFSET(prop_addr) == 0) {
			dasm_put(Dst, 106994, (Z_REG(prop_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
			dasm_put(Dst, 106997, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107001, ((uint32_t)(Z_OFFSET(prop_addr))));
				} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
			dasm_put(Dst, 107004, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107007, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107010, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107013, (Z_REG(prop_addr)));
				}
					} else {
						if (Z_REG(prop_addr) == ZREG_RSP) {
			dasm_put(Dst, 107016);
						} else {
			dasm_put(Dst, 107018, (Z_REG(prop_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 12357 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_ZVAL_PTR res_addr, FCARG1x, TMP1
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 107021, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 107024, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 107027, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 107030, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 107033, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 107036, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
#line 12359 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO res_addr, IS_INDIRECT, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_INDIRECT)) <= MOVZ_IMM) {
		dasm_put(Dst, 107040, ((uint32_t)(IS_INDIRECT)));
			} else if (((uint32_t)(IS_INDIRECT) & 0xffff)) {
		dasm_put(Dst, 107043, ((uint32_t)(IS_INDIRECT) & 0xffff));
				if ((((uint32_t)(IS_INDIRECT) >> 16) & 0xffff)) {
		dasm_put(Dst, 107046, (((uint32_t)(IS_INDIRECT) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 107049, (((uint32_t)(IS_INDIRECT) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 107052, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 107055, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 107058, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 107061, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 107064, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 107067, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 12360 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE && prop_info) {
			ssa->var_info[ssa_op->result_def].indirect_reference = 1;
		}
	} else {
		bool result_avoid_refcounting = 0;

		if ((res_info & MAY_BE_GUARD) && JIT_G(current_frame) && prop_info) {
			uint32_t flags = 0;
			uint32_t old_info;
			zend_jit_trace_stack *stack = JIT_G(current_frame)->stack;
			int32_t exit_point;
			const void *exit_addr;
			uint32_t type;
			zend_jit_addr val_addr = prop_addr;

			if ((opline->op1_type & (IS_VAR|IS_TMP_VAR))
			 && !delayed_fetch_this
			 && !op1_avoid_refcounting) {
				flags = ZEND_JIT_EXIT_FREE_OP1;
			}

			if ((opline->result_type & (IS_VAR|IS_TMP_VAR))
			 && !(flags & ZEND_JIT_EXIT_FREE_OP1)
			 && (res_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))
			 && (ssa_op+1)->op1_use == ssa_op->result_def
			 && zend_jit_may_avoid_refcounting(opline+1, res_info)) {
				result_avoid_refcounting = 1;
				ssa->var_info[ssa_op->result_def].avoid_refcounting = 1;
			}

			type = concrete_type(res_info);

			if (prop_type != IS_UNKNOWN
			 && prop_type != IS_UNDEF
			 && prop_type != IS_REFERENCE
			 && (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_OBJECT) {
				exit_point = zend_jit_trace_get_exit_point(opline, 0);
				exit_addr = zend_jit_trace_get_exit_addr(exit_point);
				if (!exit_addr) {
					return 0;
				}
			} else {
				val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);
				//|	LOAD_ZVAL_ADDR REG0, prop_addr
					if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
				dasm_put(Dst, 107071);
					} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 107073, ((uint64_t)(Z_ZV(prop_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
				dasm_put(Dst, 107076, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
				dasm_put(Dst, 107079, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
				dasm_put(Dst, 107082, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
				dasm_put(Dst, 107085, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 107088, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 107091, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 107094, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 107097, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 107100, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(prop_addr)) {
					if (Z_OFFSET(prop_addr) == 0) {
				dasm_put(Dst, 107103, (Z_REG(prop_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
				dasm_put(Dst, 107106, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 107110, ((uint32_t)(Z_OFFSET(prop_addr))));
					} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
				dasm_put(Dst, 107113, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 107116, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 107119, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 107122, (Z_REG(prop_addr)));
					}
						} else {
							if (Z_REG(prop_addr) == ZREG_RSP) {
				dasm_put(Dst, 107125);
							} else {
				dasm_put(Dst, 107127, (Z_REG(prop_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12404 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op1_avoid_refcounting) {
					SET_STACK_REG(JIT_G(current_frame)->stack,
						EX_VAR_TO_NUM(opline->op1.var), ZREG_NONE);
				}
				old_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var));
				SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_UNKNOWN, 1);
				SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->result.var), ZREG_ZVAL_COPY_GPR0);
				exit_point = zend_jit_trace_get_exit_point(opline+1, flags);
				SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var), old_info);
				exit_addr = zend_jit_trace_get_exit_addr(exit_point);
				if (!exit_addr) {
					return 0;
				}

				if (!type_loaded) {
					type_loaded = 1;
					//|	MEM_ACCESS_32_WITH_UOFFSET ldr, REG2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.type_info)), TMP1
						if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.type_info)))) > LDR_STR_PIMM32) {
						if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))) <= MOVZ_IMM) {
					dasm_put(Dst, 107130, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info)))));
						} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff)) {
					dasm_put(Dst, 107133, ((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) & 0xffff));
							if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff)) {
					dasm_put(Dst, 107136, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 107139, (((uint32_t)((prop_info->offset + offsetof(zval,u1.type_info))) >> 16) & 0xffff));
						}
					dasm_put(Dst, 107142);
						} else {
					dasm_put(Dst, 107144, ((prop_info->offset + offsetof(zval,u1.type_info))));
						}
#line 12421 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	// ZVAL_DEREF()
				//|	GET_LOW_8BITS TMP1w, REG2w
				//|	IF_NOT_TYPE TMP1w, IS_REFERENCE, >1
				dasm_put(Dst, 107147);
					if (IS_REFERENCE == 0) {
				dasm_put(Dst, 107149);
					} else {
				dasm_put(Dst, 107152, IS_REFERENCE);
					}
#line 12425 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	GET_Z_PTR REG0, REG0
				//|	add REG0, REG0, #offsetof(zend_reference, val)
				//|	GET_ZVAL_TYPE_INFO REG2w, val_addr, TMP1
				dasm_put(Dst, 107157, offsetof(zend_reference, val));
					ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 107161, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 107164, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 107167, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 107170, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 107173, (Z_REG(val_addr)));
					} else {
				dasm_put(Dst, 107176, (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
					}
#line 12428 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			res_info &= ~MAY_BE_GUARD;
			ssa->var_info[ssa_op->result_def].type &= ~MAY_BE_GUARD;
			if (type < IS_STRING) {
				//|1:
				dasm_put(Dst, 107180);
#line 12433 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (type_loaded) {
					//|	IF_NOT_TYPE REG2w, type, &exit_addr
						if (type == 0) {
					dasm_put(Dst, 107182, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						} else {
					dasm_put(Dst, 107185, type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						}
#line 12435 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	IF_NOT_ZVAL_TYPE val_addr, type, &exit_addr, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 107190, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 107194, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 107198, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 107202, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 107206, (ZREG_X15), (Z_REG(val_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 107211, (ZREG_X15), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval, u1.v.type)));
						}
						if (type == 0) {
					dasm_put(Dst, 107216, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						} else {
					dasm_put(Dst, 107220, (ZREG_X15), type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
						}
#line 12437 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				if (!type_loaded) {
					type_loaded = 1;
					//|	GET_ZVAL_TYPE_INFO REG2w, val_addr, TMP1
						ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 107226, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 107229, ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 107232, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 107235, (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 107238, (Z_REG(val_addr)));
						} else {
					dasm_put(Dst, 107241, (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
						}
#line 12442 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|1:
				//|	GET_LOW_8BITS TMP1w, REG2w
				//|	IF_NOT_TYPE TMP1w, type, &exit_addr
				dasm_put(Dst, 107245);
					if (type == 0) {
				dasm_put(Dst, 107248, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					} else {
				dasm_put(Dst, 107251, type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					}
#line 12446 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	// ZVAL_COPY
			//|	ZVAL_COPY_VALUE_V res_addr, -1, val_addr, res_info, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_FPR0
				if (res_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((res_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(val_addr) == IS_REG) {
							if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 107256, (Z_REG(res_addr)), (Z_REG(val_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107260, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 107264, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107268, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107272, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107276, (Z_REG(val_addr)), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 107281, (Z_REG(val_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
							}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 107286, (Z_REG(res_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 107289, (Z_REG(res_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 107292, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 107296, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 107300, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 107304, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 107308, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 107312, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 107316, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 107320, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 107324, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 107328, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 107332, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107336, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107340, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 107344, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107348, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107352, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107356, (Z_REG(res_addr)), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 107361, (Z_REG(res_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (Z_REG(res_addr) != Z_REG(val_addr)) {
			dasm_put(Dst, 107366, (Z_REG(res_addr)), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 107370, (ZREG_X9));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 107373, (ZREG_X9));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 107376, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 107380, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 107384, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 107388, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 107392, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 107396, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 107400, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 107404, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 107408, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 107412, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 107416, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107420, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107424, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 107428, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107432, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107436, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107440, (ZREG_X9), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 107445, (ZREG_X9), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (ZREG_X9 != Z_REG(val_addr)) {
			dasm_put(Dst, 107450, (ZREG_X9), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 107454, (Z_REG(res_addr)), (ZREG_X9));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107458, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 107462, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107466, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107470, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107474, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 107479, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					} else if ((res_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(val_addr) == IS_REG) {
				if (Z_MODE(res_addr) == IS_REG) {
					if (Z_REG(val_addr) != Z_REG(res_addr)) {
			dasm_put(Dst, 107484, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107488, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 107492, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107496, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107500, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107504, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 107509, (Z_REG(val_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						} else if (Z_MODE(res_addr) == IS_REG) {
				if (Z_MODE(val_addr) != IS_REG || Z_REG(res_addr) != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 107514, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 107521, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 107529, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107532, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 107536, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 107540, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 107544, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 107549, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 107553, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 107557, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 107561, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 107565, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107569, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 107573, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107577, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 107581, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107585, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107589, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107593, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 107598, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 107603, (Z_REG(res_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 107607, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 107614, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 107622, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107625, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 107629, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 107633, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 107637, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 107642, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 107646, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 107650, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 107654, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 107658, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107662, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 107666, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107670, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 107674, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107678, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107682, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107686, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 107691, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 107696, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(res_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(res_addr)) {
			dasm_put(Dst, 107700, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107704, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 107708, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107712, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107716, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107720, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 107725, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(res_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107730, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 107734, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107738, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107742, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107746, (ZREG_X9), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 107751, (ZREG_X9), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 107756, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 107760, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 107764, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107768, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 107772, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 107777, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
					}
				}
#line 12449 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (type < IS_STRING) {
				if (Z_REG(res_addr) != ZREG_FP ||
				    JIT_G(current_frame) == NULL ||
				    STACK_MEM_TYPE(JIT_G(current_frame)->stack, EX_VAR_TO_NUM(Z_OFFSET(res_addr))) != type) {
					//|	SET_ZVAL_TYPE_INFO res_addr, type, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(type)) <= MOVZ_IMM) {
					dasm_put(Dst, 107782, ((uint32_t)(type)));
						} else if (((uint32_t)(type) & 0xffff)) {
					dasm_put(Dst, 107785, ((uint32_t)(type) & 0xffff));
							if ((((uint32_t)(type) >> 16) & 0xffff)) {
					dasm_put(Dst, 107788, (((uint32_t)(type) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 107791, (((uint32_t)(type) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 107794, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 107797, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 107800, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 107803, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 107806, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 107809, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 12454 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG2w, TMP1
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 107813, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 107816, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 107819, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 107822, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 107825, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 107828, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 12457 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (!result_avoid_refcounting) {
					//|	TRY_ADDREF res_info, REG2w, REG1, TMP1w
						if (res_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
							if (res_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
					dasm_put(Dst, 107832);
						} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
					dasm_put(Dst, 107834, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
						} else {
						if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
					dasm_put(Dst, 107837, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
						} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
					dasm_put(Dst, 107840, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
							if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
					dasm_put(Dst, 107843, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 107846, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 107849);
						}
					dasm_put(Dst, 107851);
							}
					dasm_put(Dst, 107854);
						}
#line 12459 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
		} else {
			if (!zend_jit_zval_copy_deref(Dst, res_addr, prop_addr, ZREG_REG2)) {
				return 0;
			}
		}
	}

	if (op1_avoid_refcounting) {
		SET_STACK_REG(JIT_G(current_frame)->stack,
			EX_VAR_TO_NUM(opline->op1.var), ZREG_NONE);
	}

	//|.cold_code
	dasm_put(Dst, 107859);
#line 12474 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE || !prop_info) {
		//|5:
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 107860);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 107862, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 107865);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 107867, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 107870, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 107873, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 107876, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 107879, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 107882, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 107885, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 107888, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 107891, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 107894, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 107897, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 12478 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->opcode == ZEND_FETCH_OBJ_W) {
			//|	EXT_CALL zend_jit_fetch_obj_w_slow, REG0
				if (arm64_may_use_b(zend_jit_fetch_obj_w_slow)) {
			dasm_put(Dst, 107900, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_w_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_w_slow))>>32));
				} else {
				if (((uintptr_t)(zend_jit_fetch_obj_w_slow)) == 0) {
			dasm_put(Dst, 107903);
				} else if (((uintptr_t)(zend_jit_fetch_obj_w_slow)) <= MOVZ_IMM) {
			dasm_put(Dst, 107905, ((uint64_t)(zend_jit_fetch_obj_w_slow)));
				} else if (arm64_may_use_adr((void*)(zend_jit_fetch_obj_w_slow))) {
			dasm_put(Dst, 107908, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_w_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_w_slow))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_obj_w_slow))) {
			dasm_put(Dst, 107911, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_w_slow))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_w_slow)))))>>32));
					if (((uintptr_t)(zend_jit_fetch_obj_w_slow)) & 0xfff) {
			dasm_put(Dst, 107914, (((uintptr_t)(zend_jit_fetch_obj_w_slow)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_fetch_obj_w_slow) & 0xffff) {
			dasm_put(Dst, 107917, ((uintptr_t)(zend_jit_fetch_obj_w_slow) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_w_slow) >> 16) & 0xffff) {
			dasm_put(Dst, 107920, (((uintptr_t)(zend_jit_fetch_obj_w_slow) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_fetch_obj_w_slow) >> 32) & 0xffff) {
			dasm_put(Dst, 107923, (((uintptr_t)(zend_jit_fetch_obj_w_slow) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_fetch_obj_w_slow) >> 16) & 0xffff) {
			dasm_put(Dst, 107926, (((uintptr_t)(zend_jit_fetch_obj_w_slow) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_w_slow) >> 32) & 0xffff) {
			dasm_put(Dst, 107929, (((uintptr_t)(zend_jit_fetch_obj_w_slow) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107932, (((uintptr_t)(zend_jit_fetch_obj_w_slow) >> 32) & 0xffff));
				}
			dasm_put(Dst, 107935);
				}
#line 12480 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (opline->opcode != ZEND_FETCH_OBJ_IS) {
			//|	EXT_CALL zend_jit_fetch_obj_r_slow, REG0
				if (arm64_may_use_b(zend_jit_fetch_obj_r_slow)) {
			dasm_put(Dst, 107937, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_r_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_r_slow))>>32));
				} else {
				if (((uintptr_t)(zend_jit_fetch_obj_r_slow)) == 0) {
			dasm_put(Dst, 107940);
				} else if (((uintptr_t)(zend_jit_fetch_obj_r_slow)) <= MOVZ_IMM) {
			dasm_put(Dst, 107942, ((uint64_t)(zend_jit_fetch_obj_r_slow)));
				} else if (arm64_may_use_adr((void*)(zend_jit_fetch_obj_r_slow))) {
			dasm_put(Dst, 107945, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_r_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_r_slow))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_obj_r_slow))) {
			dasm_put(Dst, 107948, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_r_slow))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_r_slow)))))>>32));
					if (((uintptr_t)(zend_jit_fetch_obj_r_slow)) & 0xfff) {
			dasm_put(Dst, 107951, (((uintptr_t)(zend_jit_fetch_obj_r_slow)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_fetch_obj_r_slow) & 0xffff) {
			dasm_put(Dst, 107954, ((uintptr_t)(zend_jit_fetch_obj_r_slow) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_r_slow) >> 16) & 0xffff) {
			dasm_put(Dst, 107957, (((uintptr_t)(zend_jit_fetch_obj_r_slow) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_fetch_obj_r_slow) >> 32) & 0xffff) {
			dasm_put(Dst, 107960, (((uintptr_t)(zend_jit_fetch_obj_r_slow) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_fetch_obj_r_slow) >> 16) & 0xffff) {
			dasm_put(Dst, 107963, (((uintptr_t)(zend_jit_fetch_obj_r_slow) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_r_slow) >> 32) & 0xffff) {
			dasm_put(Dst, 107966, (((uintptr_t)(zend_jit_fetch_obj_r_slow) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 107969, (((uintptr_t)(zend_jit_fetch_obj_r_slow) >> 32) & 0xffff));
				}
			dasm_put(Dst, 107972);
				}
#line 12482 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	EXT_CALL zend_jit_fetch_obj_is_slow, REG0
				if (arm64_may_use_b(zend_jit_fetch_obj_is_slow)) {
			dasm_put(Dst, 107974, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_is_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_is_slow))>>32));
				} else {
				if (((uintptr_t)(zend_jit_fetch_obj_is_slow)) == 0) {
			dasm_put(Dst, 107977);
				} else if (((uintptr_t)(zend_jit_fetch_obj_is_slow)) <= MOVZ_IMM) {
			dasm_put(Dst, 107979, ((uint64_t)(zend_jit_fetch_obj_is_slow)));
				} else if (arm64_may_use_adr((void*)(zend_jit_fetch_obj_is_slow))) {
			dasm_put(Dst, 107982, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_is_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_is_slow))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_obj_is_slow))) {
			dasm_put(Dst, 107985, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_is_slow))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_is_slow)))))>>32));
					if (((uintptr_t)(zend_jit_fetch_obj_is_slow)) & 0xfff) {
			dasm_put(Dst, 107988, (((uintptr_t)(zend_jit_fetch_obj_is_slow)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_fetch_obj_is_slow) & 0xffff) {
			dasm_put(Dst, 107991, ((uintptr_t)(zend_jit_fetch_obj_is_slow) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_is_slow) >> 16) & 0xffff) {
			dasm_put(Dst, 107994, (((uintptr_t)(zend_jit_fetch_obj_is_slow) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_fetch_obj_is_slow) >> 32) & 0xffff) {
			dasm_put(Dst, 107997, (((uintptr_t)(zend_jit_fetch_obj_is_slow) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_fetch_obj_is_slow) >> 16) & 0xffff) {
			dasm_put(Dst, 108000, (((uintptr_t)(zend_jit_fetch_obj_is_slow) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_is_slow) >> 32) & 0xffff) {
			dasm_put(Dst, 108003, (((uintptr_t)(zend_jit_fetch_obj_is_slow) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108006, (((uintptr_t)(zend_jit_fetch_obj_is_slow) >> 32) & 0xffff));
				}
			dasm_put(Dst, 108009);
				}
#line 12484 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	b >9
		dasm_put(Dst, 108011);
#line 12486 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if ((op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF)- MAY_BE_OBJECT)) && JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE) {
		//|7:
		dasm_put(Dst, 108014);
#line 12490 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->opcode != ZEND_FETCH_OBJ_IS) {
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 108016, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 108019);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 108021, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 108024, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 108027, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 108030, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 108033, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 108036, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 108039, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 108042, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 108045, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108048, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 108051, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 12492 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->opcode != ZEND_FETCH_OBJ_W
			 && (op1_info & MAY_BE_UNDEF)) {
				zend_jit_addr orig_op1_addr = OP1_ADDR();

				if (op1_info & MAY_BE_ANY) {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 108054, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 108058, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 108062, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 108066, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 108070, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 108075, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_UNDEF == 0) {
					dasm_put(Dst, 108080, (ZREG_X15));
						} else {
					dasm_put(Dst, 108084, (ZREG_X15), IS_UNDEF);
						}
#line 12498 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
					if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
				dasm_put(Dst, 108090, ((uint32_t)(opline->op1.var)));
					} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
				dasm_put(Dst, 108093, ((uint32_t)(opline->op1.var) & 0xffff));
						if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
				dasm_put(Dst, 108096, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108099, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
					}
#line 12500 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_undefined_op_helper, REG0
					if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
				dasm_put(Dst, 108102, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
				dasm_put(Dst, 108105);
					} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 108107, ((uint64_t)(zend_jit_undefined_op_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 108110, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 108113, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
						if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
				dasm_put(Dst, 108116, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
				dasm_put(Dst, 108119, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 108122, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 108125, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 108128, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 108131, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108134, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 108137);
					}
#line 12501 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	LOAD_ZVAL_ADDR FCARG1x, orig_op1_addr
				dasm_put(Dst, 108139);
					if (Z_MODE(orig_op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(orig_op1_addr))) == 0) {
				dasm_put(Dst, 108141);
					} else if (((uintptr_t)(Z_ZV(orig_op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 108143, ((uint64_t)(Z_ZV(orig_op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(orig_op1_addr)))) {
				dasm_put(Dst, 108146, (unsigned int)((ptrdiff_t)(Z_ZV(orig_op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(orig_op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(orig_op1_addr)))) {
				dasm_put(Dst, 108149, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(orig_op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(orig_op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(orig_op1_addr))) & 0xfff) {
				dasm_put(Dst, 108152, (((uintptr_t)(Z_ZV(orig_op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(orig_op1_addr)) & 0xffff) {
				dasm_put(Dst, 108155, ((uintptr_t)(Z_ZV(orig_op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 108158, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 108161, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 108164, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 108167, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108170, (((uintptr_t)(Z_ZV(orig_op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(orig_op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(orig_op1_addr)) {
					if (Z_OFFSET(orig_op1_addr) == 0) {
				dasm_put(Dst, 108173, (Z_REG(orig_op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(orig_op1_addr)))) {
				dasm_put(Dst, 108176, (Z_REG(orig_op1_addr)), Z_OFFSET(orig_op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(orig_op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 108180, ((uint32_t)(Z_OFFSET(orig_op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(orig_op1_addr)) & 0xffff)) {
				dasm_put(Dst, 108183, ((uint32_t)(Z_OFFSET(orig_op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(orig_op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 108186, (((uint32_t)(Z_OFFSET(orig_op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108189, (((uint32_t)(Z_OFFSET(orig_op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 108192, (Z_REG(orig_op1_addr)));
					}
						} else {
							if (Z_REG(orig_op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 108195);
							} else {
				dasm_put(Dst, 108197, (Z_REG(orig_op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12503 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 108200);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 108202, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 108205, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 108208, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 108211, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 108214, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 108217, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 108220, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 108223, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 108226, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108229, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 108232, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 108235, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 108239, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 108242, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 108245, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108248, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 108251, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 108254);
							} else {
				dasm_put(Dst, 108256, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12505 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ADDR FCARG2x, Z_STRVAL_P(member)
				if (((uintptr_t)(Z_STRVAL_P(member))) == 0) {
			dasm_put(Dst, 108259);
				} else if (((uintptr_t)(Z_STRVAL_P(member))) <= MOVZ_IMM) {
			dasm_put(Dst, 108261, ((uint64_t)(Z_STRVAL_P(member))));
				} else if (arm64_may_use_adr((void*)(Z_STRVAL_P(member)))) {
			dasm_put(Dst, 108264, (unsigned int)((ptrdiff_t)(Z_STRVAL_P(member))), (unsigned int)(((ptrdiff_t)(Z_STRVAL_P(member)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_STRVAL_P(member)))) {
			dasm_put(Dst, 108267, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_STRVAL_P(member)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_STRVAL_P(member))))))>>32));
					if (((uintptr_t)(Z_STRVAL_P(member))) & 0xfff) {
			dasm_put(Dst, 108270, (((uintptr_t)(Z_STRVAL_P(member))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_STRVAL_P(member)) & 0xffff) {
			dasm_put(Dst, 108273, ((uintptr_t)(Z_STRVAL_P(member)) & 0xffff));
					if (((uintptr_t)(Z_STRVAL_P(member)) >> 16) & 0xffff) {
			dasm_put(Dst, 108276, (((uintptr_t)(Z_STRVAL_P(member)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_STRVAL_P(member)) >> 32) & 0xffff) {
			dasm_put(Dst, 108279, (((uintptr_t)(Z_STRVAL_P(member)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_STRVAL_P(member)) >> 16) & 0xffff) {
			dasm_put(Dst, 108282, (((uintptr_t)(Z_STRVAL_P(member)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_STRVAL_P(member)) >> 32) & 0xffff) {
			dasm_put(Dst, 108285, (((uintptr_t)(Z_STRVAL_P(member)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108288, (((uintptr_t)(Z_STRVAL_P(member)) >> 32) & 0xffff));
				}
#line 12507 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->opcode == ZEND_FETCH_OBJ_W) {
				//|	EXT_CALL zend_jit_invalid_property_write, REG0
					if (arm64_may_use_b(zend_jit_invalid_property_write)) {
				dasm_put(Dst, 108291, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_write)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_write))>>32));
					} else {
					if (((uintptr_t)(zend_jit_invalid_property_write)) == 0) {
				dasm_put(Dst, 108294);
					} else if (((uintptr_t)(zend_jit_invalid_property_write)) <= MOVZ_IMM) {
				dasm_put(Dst, 108296, ((uint64_t)(zend_jit_invalid_property_write)));
					} else if (arm64_may_use_adr((void*)(zend_jit_invalid_property_write))) {
				dasm_put(Dst, 108299, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_write)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_write))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_invalid_property_write))) {
				dasm_put(Dst, 108302, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_write))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_write)))))>>32));
						if (((uintptr_t)(zend_jit_invalid_property_write)) & 0xfff) {
				dasm_put(Dst, 108305, (((uintptr_t)(zend_jit_invalid_property_write)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_invalid_property_write) & 0xffff) {
				dasm_put(Dst, 108308, ((uintptr_t)(zend_jit_invalid_property_write) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_property_write) >> 16) & 0xffff) {
				dasm_put(Dst, 108311, (((uintptr_t)(zend_jit_invalid_property_write) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_invalid_property_write) >> 32) & 0xffff) {
				dasm_put(Dst, 108314, (((uintptr_t)(zend_jit_invalid_property_write) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_invalid_property_write) >> 16) & 0xffff) {
				dasm_put(Dst, 108317, (((uintptr_t)(zend_jit_invalid_property_write) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_property_write) >> 32) & 0xffff) {
				dasm_put(Dst, 108320, (((uintptr_t)(zend_jit_invalid_property_write) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108323, (((uintptr_t)(zend_jit_invalid_property_write) >> 32) & 0xffff));
					}
				dasm_put(Dst, 108326);
					}
#line 12509 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_TYPE_INFO res_addr, _IS_ERROR, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(_IS_ERROR)) <= MOVZ_IMM) {
				dasm_put(Dst, 108328, ((uint32_t)(_IS_ERROR)));
					} else if (((uint32_t)(_IS_ERROR) & 0xffff)) {
				dasm_put(Dst, 108331, ((uint32_t)(_IS_ERROR) & 0xffff));
						if ((((uint32_t)(_IS_ERROR) >> 16) & 0xffff)) {
				dasm_put(Dst, 108334, (((uint32_t)(_IS_ERROR) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108337, (((uint32_t)(_IS_ERROR) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 108340, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 108343, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 108346, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108349, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 108352, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 108355, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 12510 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	EXT_CALL zend_jit_invalid_property_read, REG0
					if (arm64_may_use_b(zend_jit_invalid_property_read)) {
				dasm_put(Dst, 108359, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_read)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_read))>>32));
					} else {
					if (((uintptr_t)(zend_jit_invalid_property_read)) == 0) {
				dasm_put(Dst, 108362);
					} else if (((uintptr_t)(zend_jit_invalid_property_read)) <= MOVZ_IMM) {
				dasm_put(Dst, 108364, ((uint64_t)(zend_jit_invalid_property_read)));
					} else if (arm64_may_use_adr((void*)(zend_jit_invalid_property_read))) {
				dasm_put(Dst, 108367, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_read)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_read))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_invalid_property_read))) {
				dasm_put(Dst, 108370, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_read))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_read)))))>>32));
						if (((uintptr_t)(zend_jit_invalid_property_read)) & 0xfff) {
				dasm_put(Dst, 108373, (((uintptr_t)(zend_jit_invalid_property_read)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_invalid_property_read) & 0xffff) {
				dasm_put(Dst, 108376, ((uintptr_t)(zend_jit_invalid_property_read) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_property_read) >> 16) & 0xffff) {
				dasm_put(Dst, 108379, (((uintptr_t)(zend_jit_invalid_property_read) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_invalid_property_read) >> 32) & 0xffff) {
				dasm_put(Dst, 108382, (((uintptr_t)(zend_jit_invalid_property_read) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_invalid_property_read) >> 16) & 0xffff) {
				dasm_put(Dst, 108385, (((uintptr_t)(zend_jit_invalid_property_read) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_property_read) >> 32) & 0xffff) {
				dasm_put(Dst, 108388, (((uintptr_t)(zend_jit_invalid_property_read) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108391, (((uintptr_t)(zend_jit_invalid_property_read) >> 32) & 0xffff));
					}
				dasm_put(Dst, 108394);
					}
#line 12512 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_NULL, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
				dasm_put(Dst, 108396, ((uint32_t)(IS_NULL)));
					} else if (((uint32_t)(IS_NULL) & 0xffff)) {
				dasm_put(Dst, 108399, ((uint32_t)(IS_NULL) & 0xffff));
						if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
				dasm_put(Dst, 108402, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108405, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 108408, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 108411, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 108414, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 108417, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 108420, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 108423, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 12513 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	b >9
			dasm_put(Dst, 108427);
#line 12515 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_NULL, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 108430, ((uint32_t)(IS_NULL)));
				} else if (((uint32_t)(IS_NULL) & 0xffff)) {
			dasm_put(Dst, 108433, ((uint32_t)(IS_NULL) & 0xffff));
					if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
			dasm_put(Dst, 108436, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108439, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 108442, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 108445, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 108448, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108451, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 108454, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 108457, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 12517 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >9
			dasm_put(Dst, 108461);
#line 12518 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (!prop_info
	 && may_be_dynamic
	 && opline->opcode != ZEND_FETCH_OBJ_W) {
		//|8:
		//|	mov FCARG2x, REG0
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 108464);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 108467, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 108470);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 108472, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 108475, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 108478, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 108481, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 108484, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 108487, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 108490, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 108493, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 108496, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 108499, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 108502, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 12527 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->opcode != ZEND_FETCH_OBJ_IS) {
			//|	EXT_CALL zend_jit_fetch_obj_r_dynamic, REG0
				if (arm64_may_use_b(zend_jit_fetch_obj_r_dynamic)) {
			dasm_put(Dst, 108505, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_r_dynamic)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_r_dynamic))>>32));
				} else {
				if (((uintptr_t)(zend_jit_fetch_obj_r_dynamic)) == 0) {
			dasm_put(Dst, 108508);
				} else if (((uintptr_t)(zend_jit_fetch_obj_r_dynamic)) <= MOVZ_IMM) {
			dasm_put(Dst, 108510, ((uint64_t)(zend_jit_fetch_obj_r_dynamic)));
				} else if (arm64_may_use_adr((void*)(zend_jit_fetch_obj_r_dynamic))) {
			dasm_put(Dst, 108513, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_r_dynamic)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_r_dynamic))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_obj_r_dynamic))) {
			dasm_put(Dst, 108516, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_r_dynamic))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_r_dynamic)))))>>32));
					if (((uintptr_t)(zend_jit_fetch_obj_r_dynamic)) & 0xfff) {
			dasm_put(Dst, 108519, (((uintptr_t)(zend_jit_fetch_obj_r_dynamic)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_fetch_obj_r_dynamic) & 0xffff) {
			dasm_put(Dst, 108522, ((uintptr_t)(zend_jit_fetch_obj_r_dynamic) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_r_dynamic) >> 16) & 0xffff) {
			dasm_put(Dst, 108525, (((uintptr_t)(zend_jit_fetch_obj_r_dynamic) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_fetch_obj_r_dynamic) >> 32) & 0xffff) {
			dasm_put(Dst, 108528, (((uintptr_t)(zend_jit_fetch_obj_r_dynamic) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_fetch_obj_r_dynamic) >> 16) & 0xffff) {
			dasm_put(Dst, 108531, (((uintptr_t)(zend_jit_fetch_obj_r_dynamic) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_r_dynamic) >> 32) & 0xffff) {
			dasm_put(Dst, 108534, (((uintptr_t)(zend_jit_fetch_obj_r_dynamic) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108537, (((uintptr_t)(zend_jit_fetch_obj_r_dynamic) >> 32) & 0xffff));
				}
			dasm_put(Dst, 108540);
				}
#line 12529 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	EXT_CALL zend_jit_fetch_obj_is_dynamic, REG0
				if (arm64_may_use_b(zend_jit_fetch_obj_is_dynamic)) {
			dasm_put(Dst, 108542, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_is_dynamic)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_is_dynamic))>>32));
				} else {
				if (((uintptr_t)(zend_jit_fetch_obj_is_dynamic)) == 0) {
			dasm_put(Dst, 108545);
				} else if (((uintptr_t)(zend_jit_fetch_obj_is_dynamic)) <= MOVZ_IMM) {
			dasm_put(Dst, 108547, ((uint64_t)(zend_jit_fetch_obj_is_dynamic)));
				} else if (arm64_may_use_adr((void*)(zend_jit_fetch_obj_is_dynamic))) {
			dasm_put(Dst, 108550, (unsigned int)((ptrdiff_t)(zend_jit_fetch_obj_is_dynamic)), (unsigned int)(((ptrdiff_t)(zend_jit_fetch_obj_is_dynamic))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_fetch_obj_is_dynamic))) {
			dasm_put(Dst, 108553, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_is_dynamic))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_fetch_obj_is_dynamic)))))>>32));
					if (((uintptr_t)(zend_jit_fetch_obj_is_dynamic)) & 0xfff) {
			dasm_put(Dst, 108556, (((uintptr_t)(zend_jit_fetch_obj_is_dynamic)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_fetch_obj_is_dynamic) & 0xffff) {
			dasm_put(Dst, 108559, ((uintptr_t)(zend_jit_fetch_obj_is_dynamic) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_is_dynamic) >> 16) & 0xffff) {
			dasm_put(Dst, 108562, (((uintptr_t)(zend_jit_fetch_obj_is_dynamic) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_fetch_obj_is_dynamic) >> 32) & 0xffff) {
			dasm_put(Dst, 108565, (((uintptr_t)(zend_jit_fetch_obj_is_dynamic) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_fetch_obj_is_dynamic) >> 16) & 0xffff) {
			dasm_put(Dst, 108568, (((uintptr_t)(zend_jit_fetch_obj_is_dynamic) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_fetch_obj_is_dynamic) >> 32) & 0xffff) {
			dasm_put(Dst, 108571, (((uintptr_t)(zend_jit_fetch_obj_is_dynamic) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108574, (((uintptr_t)(zend_jit_fetch_obj_is_dynamic) >> 32) & 0xffff));
				}
			dasm_put(Dst, 108577);
				}
#line 12531 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	b >9
		dasm_put(Dst, 108579);
#line 12533 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|.code;
	dasm_put(Dst, 108582);
#line 12536 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|9: // END
	dasm_put(Dst, 108583);
#line 12537 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (opline->op1_type != IS_UNUSED && !delayed_fetch_this && !op1_indirect) {
		if (opline->op1_type == IS_VAR
		 && opline->opcode == ZEND_FETCH_OBJ_W
		 && (op1_info & MAY_BE_RC1)) {
			zend_jit_addr orig_op1_addr = OP1_ADDR();

			//|	IF_NOT_ZVAL_REFCOUNTED orig_op1_addr, >1, ZREG_TMP1, ZREG_TMP2
				ZEND_ASSERT(Z_MODE(orig_op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(orig_op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(orig_op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 108585, (ZREG_X16), ((uint32_t)(Z_OFFSET(orig_op1_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(orig_op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 108589, (ZREG_X16), ((uint32_t)(Z_OFFSET(orig_op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(orig_op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 108593, (ZREG_X16), (((uint32_t)(Z_OFFSET(orig_op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108597, (ZREG_X16), (((uint32_t)(Z_OFFSET(orig_op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 108601, (ZREG_X15), (Z_REG(orig_op1_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 108606, (ZREG_X15), (Z_REG(orig_op1_addr)), (Z_OFFSET(orig_op1_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 108611, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 108614, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 108618, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 108622, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 108626, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108630, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 108634, (ZREG_X15), (ZREG_X16));
				}
#line 12544 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_ZVAL_PTR FCARG1x, orig_op1_addr, TMP1
			dasm_put(Dst, 108638);
				ZEND_ASSERT(Z_MODE(orig_op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(orig_op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(orig_op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 108641, ((uint32_t)(Z_OFFSET(orig_op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(orig_op1_addr)) & 0xffff)) {
			dasm_put(Dst, 108644, ((uint32_t)(Z_OFFSET(orig_op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(orig_op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 108647, (((uint32_t)(Z_OFFSET(orig_op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108650, (((uint32_t)(Z_OFFSET(orig_op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 108653, (Z_REG(orig_op1_addr)));
				} else {
			dasm_put(Dst, 108656, (Z_REG(orig_op1_addr)), (Z_OFFSET(orig_op1_addr)));
				}
#line 12545 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GC_DELREF FCARG1x, TMP1w
			//|	bne >1
			//|	SET_EX_OPLINE opline, REG0
			dasm_put(Dst, 108660);
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 108666, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 108669);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 108671, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 108674, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 108677, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 108680, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 108683, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 108686, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 108689, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 108692, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 108695, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108698, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 108701, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 12548 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_extract_helper, REG0
				if (arm64_may_use_b(zend_jit_extract_helper)) {
			dasm_put(Dst, 108704, (unsigned int)((ptrdiff_t)(zend_jit_extract_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_extract_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_extract_helper)) == 0) {
			dasm_put(Dst, 108707);
				} else if (((uintptr_t)(zend_jit_extract_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 108709, ((uint64_t)(zend_jit_extract_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_extract_helper))) {
			dasm_put(Dst, 108712, (unsigned int)((ptrdiff_t)(zend_jit_extract_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_extract_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_extract_helper))) {
			dasm_put(Dst, 108715, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_extract_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_extract_helper)))))>>32));
					if (((uintptr_t)(zend_jit_extract_helper)) & 0xfff) {
			dasm_put(Dst, 108718, (((uintptr_t)(zend_jit_extract_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_extract_helper) & 0xffff) {
			dasm_put(Dst, 108721, ((uintptr_t)(zend_jit_extract_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_extract_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 108724, (((uintptr_t)(zend_jit_extract_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_extract_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 108727, (((uintptr_t)(zend_jit_extract_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_extract_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 108730, (((uintptr_t)(zend_jit_extract_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_extract_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 108733, (((uintptr_t)(zend_jit_extract_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108736, (((uintptr_t)(zend_jit_extract_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 108739);
				}
#line 12549 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 108741);
#line 12550 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (!op1_avoid_refcounting) {
			if (on_this) {
				op1_info &= ~MAY_BE_RC1;
			}
			//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
				if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
				if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (1) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 108743, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 108747, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 108751, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108755, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 108759, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 108764, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 108769, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 108772, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 108776, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 108780, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 108784, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108788, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 108792, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 108796);
			dasm_put(Dst, 108799);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 108801, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 108805, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 108809, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108813, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 108817, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 108822, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 108827, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 108830, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 108834, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 108838, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 108842, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108846, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 108850, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 108854);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 108857, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 108861, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 108865, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108869, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 108873, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 108877, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 108881, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 108889);
							} else {
			dasm_put(Dst, 108892);
							}
						}
				do {
					if (!((op1_info) & MAY_BE_GUARD)
					 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 108895, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 108898, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 108901, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 108905, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 108909, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 108913, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 108918, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 108922, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 108926, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 108930, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 108934, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108938, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 108942, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 108945, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 108948, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 108951, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 108955, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 108959, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 108963, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 108968, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 108972, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 108976, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 108980, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 108984, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 108988, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 108992, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 108996, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 108999, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 109002, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 109006, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 109010, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 109014, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 109019, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 109023, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 109027, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 109031, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 109035, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109039, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 109043, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 109046, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 109049, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 109052, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 109056, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 109060, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 109064, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 109069, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 109073, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 109077, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 109081, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 109085, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109089, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 109093, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 109096, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 109099);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 109101, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 109104, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 109107, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 109110, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 109113, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 109116, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 109119, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 109122, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 109125, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109128, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 109131, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 109134, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 109137, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 109140, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 109144, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 109148, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 109152, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 109157, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 109161, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 109165, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 109169, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 109173, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109177, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 109181, (ZREG_X15));
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 109184, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 109187, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 109190, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 109194, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 109198, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 109202, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 109207, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 109211, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 109215, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 109219, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 109223, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109227, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 109231, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 109235, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 109238, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 109241, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 109245, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 109249, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 109253, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 109258, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 109262, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 109266, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 109270, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 109274, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109278, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 109282, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 109285);
						}
			dasm_put(Dst, 109288);
					}
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 109290, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 109294, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 109298, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109302, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 109306, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 109311, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 109316, (ZREG_X15));
				} else {
			dasm_put(Dst, 109320, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 109326, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 109330, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 109334, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109338, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 109342, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 109347, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 109352, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 109355, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 109359, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 109363, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 109367, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109371, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 109375, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 109379);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 109382, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 109386, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 109390, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109394, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 109398, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 109402, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 109406);
						}
			dasm_put(Dst, 109408, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 109411, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 109414, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 109418, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 109422, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 109426, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109430, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 109434, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 109438);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 109441, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 109444, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 109447, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 109451, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 109455, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 109459, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 109464, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 109468, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 109472, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 109476, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 109480, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109484, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 109488, (ZREG_X15));
				}
					}
					if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 109491);
					}
			dasm_put(Dst, 109494);
				}
				}
#line 12555 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
	 && prop_info
	 && (opline->opcode != ZEND_FETCH_OBJ_W ||
	     !(opline->extended_value & ZEND_FETCH_OBJ_FLAGS) ||
	     !ZEND_TYPE_IS_SET(prop_info->type))
	 && (!(opline->op1_type & (IS_VAR|IS_TMP_VAR)) || on_this || op1_indirect)) {
		may_throw = 0;
	}

	if (may_throw) {
		if (!zend_jit_check_exception(Dst)) {
			return 0;
		}
	}

	return 1;
}

static int zend_jit_incdec_obj(dasm_State          **Dst,
                               const zend_op        *opline,
                               const zend_op_array  *op_array,
                               zend_ssa             *ssa,
                               const zend_ssa_op    *ssa_op,
                               uint32_t              op1_info,
                               zend_jit_addr         op1_addr,
                               bool                  op1_indirect,
                               zend_class_entry     *ce,
                               bool                  ce_is_instanceof,
                               bool                  on_this,
                               bool                  delayed_fetch_this,
                               zend_class_entry     *trace_ce,
                               uint8_t               prop_type)
{
	zval *member;
	zend_string *name;
	zend_property_info *prop_info;
	zend_jit_addr this_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, offsetof(zend_execute_data, This));
	zend_jit_addr res_addr = 0;
	zend_jit_addr prop_addr;
	bool needs_slow_path = 0;
	bool use_prop_guard = 0;
	bool may_throw = 0;
	uint32_t res_info = (opline->result_type != IS_UNDEF) ? RES_INFO() : 0;

	ZEND_ASSERT(opline->op2_type == IS_CONST);
	ZEND_ASSERT(op1_info & MAY_BE_OBJECT);

	if (opline->result_type != IS_UNUSED) {
		res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);
	}

	member = RT_CONSTANT(opline, opline->op2);
	ZEND_ASSERT(Z_TYPE_P(member) == IS_STRING && Z_STRVAL_P(member)[0] != '\0');
	name = Z_STR_P(member);
	prop_info = zend_get_known_property_info(op_array, ce, name, on_this, op_array->filename);

	if (on_this) {
		//|	GET_ZVAL_PTR FCARG1x, this_addr, TMP1
			ZEND_ASSERT(Z_MODE(this_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(this_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(this_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 109496, ((uint32_t)(Z_OFFSET(this_addr))));
			} else if (((uint32_t)(Z_OFFSET(this_addr)) & 0xffff)) {
		dasm_put(Dst, 109499, ((uint32_t)(Z_OFFSET(this_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 109502, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 109505, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 109508, (Z_REG(this_addr)));
			} else {
		dasm_put(Dst, 109511, (Z_REG(this_addr)), (Z_OFFSET(this_addr)));
			}
#line 12616 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if (opline->op1_type == IS_VAR
		 && (op1_info & MAY_BE_INDIRECT)
		 && Z_REG(op1_addr) == ZREG_FP) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 109515);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 109517, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 109520, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 109523, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 109526, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 109529, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 109532, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 109535, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 109538, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 109541, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109544, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 109547, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 109550, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 109554, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 109557, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 109560, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109563, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 109566, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 109569);
						} else {
			dasm_put(Dst, 109571, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 12621 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	IF_NOT_Z_TYPE FCARG1x, IS_INDIRECT, >1, TMP1w
			dasm_put(Dst, 109574, offsetof(zval, u1.v.type));
				if (IS_INDIRECT == 0) {
			dasm_put(Dst, 109577);
				} else {
			dasm_put(Dst, 109580, IS_INDIRECT);
				}
#line 12622 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_Z_PTR FCARG1x, FCARG1x
			//|1:
			dasm_put(Dst, 109585);
#line 12624 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		}
		if (op1_info & MAY_BE_REF) {
			if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 109588);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 109590, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 109593, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 109596, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 109599, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 109602, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 109605, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 109608, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 109611, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 109614, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 109617, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 109620, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 109623, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 109627, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 109630, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 109633, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 109636, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 109639, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 109642);
							} else {
				dasm_put(Dst, 109644, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12629 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
				if (op1_info & MAY_BE_REF) {
			dasm_put(Dst, 109647, offsetof(zval, u1.v.type));
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 109650);
				} else {
			dasm_put(Dst, 109653, IS_REFERENCE);
				}
			dasm_put(Dst, 109658, offsetof(zend_reference, val));
				}
#line 12631 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		}
		if (op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY)- MAY_BE_OBJECT)) {
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, &exit_addr, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 109663, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 109667, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 109671, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 109675, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 109679, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 109684, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_OBJECT == 0) {
				dasm_put(Dst, 109689, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					} else {
				dasm_put(Dst, 109693, (ZREG_X15), IS_OBJECT, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					}
#line 12642 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, >1, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 109699, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 109703, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 109707, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 109711, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 109715, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 109720, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_OBJECT == 0) {
				dasm_put(Dst, 109725, (ZREG_X15));
					} else {
				dasm_put(Dst, 109729, (ZREG_X15), IS_OBJECT);
					}
#line 12644 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|.cold_code
				dasm_put(Dst, 109735);
#line 12645 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	SET_EX_OPLINE opline, REG0
				dasm_put(Dst, 109736);
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 109738, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 109741);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 109743, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 109746, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 109749, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 109752, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 109755, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 109758, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 109761, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 109764, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 109767, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 109770, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 109773, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 12647 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
					//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
					dasm_put(Dst, 109776);
						} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 109778, ((uint64_t)(Z_ZV(op1_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 109781, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 109784, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
					dasm_put(Dst, 109787, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
					dasm_put(Dst, 109790, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 109793, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 109796, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 109799, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 109802, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 109805, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(op1_addr)) {
						if (Z_OFFSET(op1_addr) == 0) {
					dasm_put(Dst, 109808, (Z_REG(op1_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
					dasm_put(Dst, 109811, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 109815, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 109818, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 109821, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 109824, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 109827, (Z_REG(op1_addr)));
						}
							} else {
								if (Z_REG(op1_addr) == ZREG_RSP) {
					dasm_put(Dst, 109830);
								} else {
					dasm_put(Dst, 109832, (Z_REG(op1_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 12649 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	LOAD_ADDR FCARG2x, ZSTR_VAL(name)
					if (((uintptr_t)(ZSTR_VAL(name))) == 0) {
				dasm_put(Dst, 109835);
					} else if (((uintptr_t)(ZSTR_VAL(name))) <= MOVZ_IMM) {
				dasm_put(Dst, 109837, ((uint64_t)(ZSTR_VAL(name))));
					} else if (arm64_may_use_adr((void*)(ZSTR_VAL(name)))) {
				dasm_put(Dst, 109840, (unsigned int)((ptrdiff_t)(ZSTR_VAL(name))), (unsigned int)(((ptrdiff_t)(ZSTR_VAL(name)))>>32));
					} else if (arm64_may_use_adrp((void*)(ZSTR_VAL(name)))) {
				dasm_put(Dst, 109843, (unsigned int)((ptrdiff_t)((((uintptr_t)(ZSTR_VAL(name)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(ZSTR_VAL(name))))))>>32));
						if (((uintptr_t)(ZSTR_VAL(name))) & 0xfff) {
				dasm_put(Dst, 109846, (((uintptr_t)(ZSTR_VAL(name))) & 0xfff));
						}
					} else if ((uintptr_t)(ZSTR_VAL(name)) & 0xffff) {
				dasm_put(Dst, 109849, ((uintptr_t)(ZSTR_VAL(name)) & 0xffff));
						if (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff) {
				dasm_put(Dst, 109852, (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff) {
				dasm_put(Dst, 109855, (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff) {
				dasm_put(Dst, 109858, (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff));
						if (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff) {
				dasm_put(Dst, 109861, (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 109864, (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff));
					}
#line 12651 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_invalid_property_incdec, REG0
					if (arm64_may_use_b(zend_jit_invalid_property_incdec)) {
				dasm_put(Dst, 109867, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_incdec)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_incdec))>>32));
					} else {
					if (((uintptr_t)(zend_jit_invalid_property_incdec)) == 0) {
				dasm_put(Dst, 109870);
					} else if (((uintptr_t)(zend_jit_invalid_property_incdec)) <= MOVZ_IMM) {
				dasm_put(Dst, 109872, ((uint64_t)(zend_jit_invalid_property_incdec)));
					} else if (arm64_may_use_adr((void*)(zend_jit_invalid_property_incdec))) {
				dasm_put(Dst, 109875, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_incdec)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_incdec))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_invalid_property_incdec))) {
				dasm_put(Dst, 109878, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_incdec))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_incdec)))))>>32));
						if (((uintptr_t)(zend_jit_invalid_property_incdec)) & 0xfff) {
				dasm_put(Dst, 109881, (((uintptr_t)(zend_jit_invalid_property_incdec)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_invalid_property_incdec) & 0xffff) {
				dasm_put(Dst, 109884, ((uintptr_t)(zend_jit_invalid_property_incdec) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_property_incdec) >> 16) & 0xffff) {
				dasm_put(Dst, 109887, (((uintptr_t)(zend_jit_invalid_property_incdec) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_invalid_property_incdec) >> 32) & 0xffff) {
				dasm_put(Dst, 109890, (((uintptr_t)(zend_jit_invalid_property_incdec) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_invalid_property_incdec) >> 16) & 0xffff) {
				dasm_put(Dst, 109893, (((uintptr_t)(zend_jit_invalid_property_incdec) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_property_incdec) >> 32) & 0xffff) {
				dasm_put(Dst, 109896, (((uintptr_t)(zend_jit_invalid_property_incdec) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 109899, (((uintptr_t)(zend_jit_invalid_property_incdec) >> 32) & 0xffff));
					}
				dasm_put(Dst, 109902);
					}
#line 12652 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	b ->exception_handler
				//|.code
				dasm_put(Dst, 109904);
#line 12654 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 109907, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 109910, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 109913, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 109916, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 109919, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 109922, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
#line 12657 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (!prop_info && trace_ce && (trace_ce->ce_flags & ZEND_ACC_IMMUTABLE)) {
		prop_info = zend_get_known_property_info(op_array, trace_ce, name, on_this, op_array->filename);
		if (prop_info) {
			ce = trace_ce;
			ce_is_instanceof = 0;
			if (!(op1_info & MAY_BE_CLASS_GUARD)) {
				if (on_this && JIT_G(current_frame)
				 && TRACE_FRAME_IS_THIS_CLASS_CHECKED(JIT_G(current_frame))) {
					ZEND_ASSERT(JIT_G(current_frame)->ce == ce);
				} else if (zend_jit_class_guard(Dst, opline, ce)) {
					if (on_this && JIT_G(current_frame)) {
						JIT_G(current_frame)->ce = ce;
						TRACE_FRAME_SET_THIS_CLASS_CHECKED(JIT_G(current_frame));
					}
				} else {
					return 0;
				}
				if (ssa->var_info && ssa_op->op1_use >= 0) {
					ssa->var_info[ssa_op->op1_use].type |= MAY_BE_CLASS_GUARD;
					ssa->var_info[ssa_op->op1_use].ce = ce;
					ssa->var_info[ssa_op->op1_use].is_instanceof = ce_is_instanceof;
				}
				if (ssa->var_info && ssa_op->op1_def >= 0) {
					ssa->var_info[ssa_op->op1_def].type |= MAY_BE_CLASS_GUARD;
					ssa->var_info[ssa_op->op1_def].ce = ce;
					ssa->var_info[ssa_op->op1_def].is_instanceof = ce_is_instanceof;
				}
			}
		}
	}

	use_prop_guard = (prop_type != IS_UNKNOWN
		&& prop_type != IS_UNDEF
		&& prop_type != IS_REFERENCE
		&& (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_OBJECT);

	if (!prop_info) {
		needs_slow_path = 1;

		//|	ldr REG0, EX->run_time_cache
		//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG2, REG0, opline->extended_value, TMP1
		dasm_put(Dst, 109926, Dt1(->run_time_cache));
			if (((uintptr_t)(opline->extended_value)) > LDR_STR_PIMM64) {
			if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
		dasm_put(Dst, 109929, ((uint32_t)(opline->extended_value)));
			} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
		dasm_put(Dst, 109932, ((uint32_t)(opline->extended_value) & 0xffff));
				if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
		dasm_put(Dst, 109935, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 109938, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
		dasm_put(Dst, 109941);
			} else {
		dasm_put(Dst, 109943, (opline->extended_value));
			}
#line 12700 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr TMP1, [FCARG1x, #offsetof(zend_object, ce)]
		//|	cmp REG2, TMP1
		//|	bne >7
		dasm_put(Dst, 109946, offsetof(zend_object, ce));
#line 12703 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!ce || ce_is_instanceof || (ce->ce_flags & (ZEND_ACC_HAS_TYPE_HINTS|ZEND_ACC_TRAIT))) {
			//|	MEM_ACCESS_64_WITH_UOFFSET ldr, TMP1, REG0, (opline->extended_value + sizeof(void*) * 2), TMP1
				if (((uintptr_t)((opline->extended_value + sizeof(void*) * 2))) > LDR_STR_PIMM64) {
				if (((uint32_t)((opline->extended_value + sizeof(void*) * 2))) <= MOVZ_IMM) {
			dasm_put(Dst, 109952, ((uint32_t)((opline->extended_value + sizeof(void*) * 2))));
				} else if (((uint32_t)((opline->extended_value + sizeof(void*) * 2)) & 0xffff)) {
			dasm_put(Dst, 109955, ((uint32_t)((opline->extended_value + sizeof(void*) * 2)) & 0xffff));
					if ((((uint32_t)((opline->extended_value + sizeof(void*) * 2)) >> 16) & 0xffff)) {
			dasm_put(Dst, 109958, (((uint32_t)((opline->extended_value + sizeof(void*) * 2)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 109961, (((uint32_t)((opline->extended_value + sizeof(void*) * 2)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 109964);
				} else {
			dasm_put(Dst, 109966, ((opline->extended_value + sizeof(void*) * 2)));
				}
#line 12705 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cbnz TMP1, >7
			dasm_put(Dst, 109969);
#line 12706 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, REG0, (opline->extended_value + sizeof(void*)), TMP1
			if (((uintptr_t)((opline->extended_value + sizeof(void*)))) > LDR_STR_PIMM64) {
			if (((uint32_t)((opline->extended_value + sizeof(void*)))) <= MOVZ_IMM) {
		dasm_put(Dst, 109972, ((uint32_t)((opline->extended_value + sizeof(void*)))));
			} else if (((uint32_t)((opline->extended_value + sizeof(void*))) & 0xffff)) {
		dasm_put(Dst, 109975, ((uint32_t)((opline->extended_value + sizeof(void*))) & 0xffff));
				if ((((uint32_t)((opline->extended_value + sizeof(void*))) >> 16) & 0xffff)) {
		dasm_put(Dst, 109978, (((uint32_t)((opline->extended_value + sizeof(void*))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 109981, (((uint32_t)((opline->extended_value + sizeof(void*))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 109984);
			} else {
		dasm_put(Dst, 109986, ((opline->extended_value + sizeof(void*))));
			}
#line 12708 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	tst REG0, REG0
		//|	blt >7
		//|	add TMP1, FCARG1x, REG0
		dasm_put(Dst, 109989);
#line 12711 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!use_prop_guard) {
			//|	ldrb TMP2w, [TMP1, #offsetof(zval,u1.v.type)]
			//|	IF_TYPE TMP2w , IS_UNDEF, >7
			dasm_put(Dst, 109994, offsetof(zval,u1.v.type));
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 109997);
				} else {
			dasm_put(Dst, 110000, IS_UNDEF);
				}
#line 12714 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	mov FCARG1x, TMP1
		dasm_put(Dst, 110005);
#line 12716 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		prop_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	} else {
		prop_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, prop_info->offset);
		if (ZEND_TYPE_IS_SET(prop_info->type) || !use_prop_guard) {
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}
				//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, TMP2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.v.type)), TMP1
					if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
					if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
				dasm_put(Dst, 110007, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))));
					} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff)) {
				dasm_put(Dst, 110010, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff));
						if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
				dasm_put(Dst, 110013, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110016, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 110019);
					} else {
				dasm_put(Dst, 110021, ((prop_info->offset + offsetof(zval,u1.v.type))));
					}
#line 12728 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	IF_TYPE TMP2w, IS_UNDEF, &exit_addr
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 110024, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					} else {
				dasm_put(Dst, 110027, IS_UNDEF, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					}
#line 12729 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, TMP2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.v.type)), TMP1
					if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
					if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
				dasm_put(Dst, 110032, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))));
					} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff)) {
				dasm_put(Dst, 110035, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff));
						if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
				dasm_put(Dst, 110038, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110041, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 110044);
					} else {
				dasm_put(Dst, 110046, ((prop_info->offset + offsetof(zval,u1.v.type))));
					}
#line 12731 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	IF_TYPE TMP2w, IS_UNDEF, >7
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 110049);
					} else {
				dasm_put(Dst, 110052, IS_UNDEF);
					}
#line 12732 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				needs_slow_path = 1;
			}
		}
		if (ZEND_TYPE_IS_SET(prop_info->type)) {
			may_throw = 1;
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 110057, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 110060);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 110062, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 110065, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 110068, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 110071, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 110074, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 110077, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 110080, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 110083, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 110086, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 110089, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 110092, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 12738 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (ce && ce->ce_flags & ZEND_ACC_IMMUTABLE) {
				//|	LOAD_ADDR FCARG2x, prop_info
					if (((uintptr_t)(prop_info)) == 0) {
				dasm_put(Dst, 110095);
					} else if (((uintptr_t)(prop_info)) <= MOVZ_IMM) {
				dasm_put(Dst, 110097, ((uint64_t)(prop_info)));
					} else if (arm64_may_use_adr((void*)(prop_info))) {
				dasm_put(Dst, 110100, (unsigned int)((ptrdiff_t)(prop_info)), (unsigned int)(((ptrdiff_t)(prop_info))>>32));
					} else if (arm64_may_use_adrp((void*)(prop_info))) {
				dasm_put(Dst, 110103, (unsigned int)((ptrdiff_t)((((uintptr_t)(prop_info))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(prop_info)))))>>32));
						if (((uintptr_t)(prop_info)) & 0xfff) {
				dasm_put(Dst, 110106, (((uintptr_t)(prop_info)) & 0xfff));
						}
					} else if ((uintptr_t)(prop_info) & 0xffff) {
				dasm_put(Dst, 110109, ((uintptr_t)(prop_info) & 0xffff));
						if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
				dasm_put(Dst, 110112, (((uintptr_t)(prop_info) >> 16) & 0xffff));
						}
						if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
				dasm_put(Dst, 110115, (((uintptr_t)(prop_info) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
				dasm_put(Dst, 110118, (((uintptr_t)(prop_info) >> 16) & 0xffff));
						if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
				dasm_put(Dst, 110121, (((uintptr_t)(prop_info) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110124, (((uintptr_t)(prop_info) >> 32) & 0xffff));
					}
#line 12740 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				int prop_info_offset =
					(((prop_info->offset - (sizeof(zend_object) - sizeof(zval))) / sizeof(zval)) * sizeof(void*));

				//|	ldr REG0, [FCARG1x, #offsetof(zend_object, ce)]
				//|	ldr	REG0, [REG0, #offsetof(zend_class_entry, properties_info_table)]
				//|	MEM_ACCESS_64_WITH_UOFFSET ldr, FCARG2x, REG0, prop_info_offset, TMP1
				dasm_put(Dst, 110127, offsetof(zend_object, ce), offsetof(zend_class_entry, properties_info_table));
					if (((uintptr_t)(prop_info_offset)) > LDR_STR_PIMM64) {
					if (((uint32_t)(prop_info_offset)) <= MOVZ_IMM) {
				dasm_put(Dst, 110132, ((uint32_t)(prop_info_offset)));
					} else if (((uint32_t)(prop_info_offset) & 0xffff)) {
				dasm_put(Dst, 110135, ((uint32_t)(prop_info_offset) & 0xffff));
						if ((((uint32_t)(prop_info_offset) >> 16) & 0xffff)) {
				dasm_put(Dst, 110138, (((uint32_t)(prop_info_offset) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110141, (((uint32_t)(prop_info_offset) >> 16) & 0xffff));
					}
				dasm_put(Dst, 110144);
					} else {
				dasm_put(Dst, 110146, (prop_info_offset));
					}
#line 12747 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ZVAL_ADDR FCARG1x, prop_addr
				if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
			dasm_put(Dst, 110149);
				} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 110151, ((uint64_t)(Z_ZV(prop_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 110154, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 110157, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
			dasm_put(Dst, 110160, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
			dasm_put(Dst, 110163, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 110166, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 110169, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 110172, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 110175, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 110178, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(prop_addr)) {
				if (Z_OFFSET(prop_addr) == 0) {
			dasm_put(Dst, 110181, (Z_REG(prop_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
			dasm_put(Dst, 110184, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 110188, ((uint32_t)(Z_OFFSET(prop_addr))));
				} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
			dasm_put(Dst, 110191, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 110194, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 110197, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 110200, (Z_REG(prop_addr)));
				}
					} else {
						if (Z_REG(prop_addr) == ZREG_RSP) {
			dasm_put(Dst, 110203);
						} else {
			dasm_put(Dst, 110205, (Z_REG(prop_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 12749 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->result_type == IS_UNUSED) {
				switch (opline->opcode) {
					case ZEND_PRE_INC_OBJ:
					case ZEND_POST_INC_OBJ:
						//|	EXT_CALL zend_jit_inc_typed_prop, REG0
							if (arm64_may_use_b(zend_jit_inc_typed_prop)) {
						dasm_put(Dst, 110208, (unsigned int)((ptrdiff_t)(zend_jit_inc_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_inc_typed_prop))>>32));
							} else {
							if (((uintptr_t)(zend_jit_inc_typed_prop)) == 0) {
						dasm_put(Dst, 110211);
							} else if (((uintptr_t)(zend_jit_inc_typed_prop)) <= MOVZ_IMM) {
						dasm_put(Dst, 110213, ((uint64_t)(zend_jit_inc_typed_prop)));
							} else if (arm64_may_use_adr((void*)(zend_jit_inc_typed_prop))) {
						dasm_put(Dst, 110216, (unsigned int)((ptrdiff_t)(zend_jit_inc_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_inc_typed_prop))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_inc_typed_prop))) {
						dasm_put(Dst, 110219, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_inc_typed_prop))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_inc_typed_prop)))))>>32));
								if (((uintptr_t)(zend_jit_inc_typed_prop)) & 0xfff) {
						dasm_put(Dst, 110222, (((uintptr_t)(zend_jit_inc_typed_prop)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_inc_typed_prop) & 0xffff) {
						dasm_put(Dst, 110225, ((uintptr_t)(zend_jit_inc_typed_prop) & 0xffff));
								if (((uintptr_t)(zend_jit_inc_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110228, (((uintptr_t)(zend_jit_inc_typed_prop) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_inc_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110231, (((uintptr_t)(zend_jit_inc_typed_prop) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_inc_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110234, (((uintptr_t)(zend_jit_inc_typed_prop) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_inc_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110237, (((uintptr_t)(zend_jit_inc_typed_prop) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 110240, (((uintptr_t)(zend_jit_inc_typed_prop) >> 32) & 0xffff));
							}
						dasm_put(Dst, 110243);
							}
#line 12754 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						break;
					case ZEND_PRE_DEC_OBJ:
					case ZEND_POST_DEC_OBJ:
						//|	EXT_CALL zend_jit_dec_typed_prop, REG0
							if (arm64_may_use_b(zend_jit_dec_typed_prop)) {
						dasm_put(Dst, 110245, (unsigned int)((ptrdiff_t)(zend_jit_dec_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_dec_typed_prop))>>32));
							} else {
							if (((uintptr_t)(zend_jit_dec_typed_prop)) == 0) {
						dasm_put(Dst, 110248);
							} else if (((uintptr_t)(zend_jit_dec_typed_prop)) <= MOVZ_IMM) {
						dasm_put(Dst, 110250, ((uint64_t)(zend_jit_dec_typed_prop)));
							} else if (arm64_may_use_adr((void*)(zend_jit_dec_typed_prop))) {
						dasm_put(Dst, 110253, (unsigned int)((ptrdiff_t)(zend_jit_dec_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_dec_typed_prop))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_dec_typed_prop))) {
						dasm_put(Dst, 110256, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_dec_typed_prop))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_dec_typed_prop)))))>>32));
								if (((uintptr_t)(zend_jit_dec_typed_prop)) & 0xfff) {
						dasm_put(Dst, 110259, (((uintptr_t)(zend_jit_dec_typed_prop)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_dec_typed_prop) & 0xffff) {
						dasm_put(Dst, 110262, ((uintptr_t)(zend_jit_dec_typed_prop) & 0xffff));
								if (((uintptr_t)(zend_jit_dec_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110265, (((uintptr_t)(zend_jit_dec_typed_prop) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_dec_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110268, (((uintptr_t)(zend_jit_dec_typed_prop) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_dec_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110271, (((uintptr_t)(zend_jit_dec_typed_prop) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_dec_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110274, (((uintptr_t)(zend_jit_dec_typed_prop) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 110277, (((uintptr_t)(zend_jit_dec_typed_prop) >> 32) & 0xffff));
							}
						dasm_put(Dst, 110280);
							}
#line 12758 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						break;
					default:
						ZEND_UNREACHABLE();
				}
			} else {
				//|	LOAD_ZVAL_ADDR CARG3, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 110282);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 110284, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 110287, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 110290, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 110293, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 110296, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 110299, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 110302, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 110305, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 110308, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110311, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 110314, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 110317, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 110321, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 110324, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 110327, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110330, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 110333, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 110336);
							} else {
				dasm_put(Dst, 110338, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12764 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				switch (opline->opcode) {
					case ZEND_PRE_INC_OBJ:
						//|	EXT_CALL zend_jit_pre_inc_typed_prop, REG0
							if (arm64_may_use_b(zend_jit_pre_inc_typed_prop)) {
						dasm_put(Dst, 110341, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc_typed_prop))>>32));
							} else {
							if (((uintptr_t)(zend_jit_pre_inc_typed_prop)) == 0) {
						dasm_put(Dst, 110344);
							} else if (((uintptr_t)(zend_jit_pre_inc_typed_prop)) <= MOVZ_IMM) {
						dasm_put(Dst, 110346, ((uint64_t)(zend_jit_pre_inc_typed_prop)));
							} else if (arm64_may_use_adr((void*)(zend_jit_pre_inc_typed_prop))) {
						dasm_put(Dst, 110349, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc_typed_prop))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_pre_inc_typed_prop))) {
						dasm_put(Dst, 110352, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc_typed_prop))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc_typed_prop)))))>>32));
								if (((uintptr_t)(zend_jit_pre_inc_typed_prop)) & 0xfff) {
						dasm_put(Dst, 110355, (((uintptr_t)(zend_jit_pre_inc_typed_prop)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_pre_inc_typed_prop) & 0xffff) {
						dasm_put(Dst, 110358, ((uintptr_t)(zend_jit_pre_inc_typed_prop) & 0xffff));
								if (((uintptr_t)(zend_jit_pre_inc_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110361, (((uintptr_t)(zend_jit_pre_inc_typed_prop) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_pre_inc_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110364, (((uintptr_t)(zend_jit_pre_inc_typed_prop) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_pre_inc_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110367, (((uintptr_t)(zend_jit_pre_inc_typed_prop) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_pre_inc_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110370, (((uintptr_t)(zend_jit_pre_inc_typed_prop) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 110373, (((uintptr_t)(zend_jit_pre_inc_typed_prop) >> 32) & 0xffff));
							}
						dasm_put(Dst, 110376);
							}
#line 12767 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						break;
					case ZEND_PRE_DEC_OBJ:
						//|	EXT_CALL zend_jit_pre_dec_typed_prop, REG0
							if (arm64_may_use_b(zend_jit_pre_dec_typed_prop)) {
						dasm_put(Dst, 110378, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec_typed_prop))>>32));
							} else {
							if (((uintptr_t)(zend_jit_pre_dec_typed_prop)) == 0) {
						dasm_put(Dst, 110381);
							} else if (((uintptr_t)(zend_jit_pre_dec_typed_prop)) <= MOVZ_IMM) {
						dasm_put(Dst, 110383, ((uint64_t)(zend_jit_pre_dec_typed_prop)));
							} else if (arm64_may_use_adr((void*)(zend_jit_pre_dec_typed_prop))) {
						dasm_put(Dst, 110386, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec_typed_prop))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_pre_dec_typed_prop))) {
						dasm_put(Dst, 110389, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec_typed_prop))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec_typed_prop)))))>>32));
								if (((uintptr_t)(zend_jit_pre_dec_typed_prop)) & 0xfff) {
						dasm_put(Dst, 110392, (((uintptr_t)(zend_jit_pre_dec_typed_prop)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_pre_dec_typed_prop) & 0xffff) {
						dasm_put(Dst, 110395, ((uintptr_t)(zend_jit_pre_dec_typed_prop) & 0xffff));
								if (((uintptr_t)(zend_jit_pre_dec_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110398, (((uintptr_t)(zend_jit_pre_dec_typed_prop) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_pre_dec_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110401, (((uintptr_t)(zend_jit_pre_dec_typed_prop) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_pre_dec_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110404, (((uintptr_t)(zend_jit_pre_dec_typed_prop) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_pre_dec_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110407, (((uintptr_t)(zend_jit_pre_dec_typed_prop) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 110410, (((uintptr_t)(zend_jit_pre_dec_typed_prop) >> 32) & 0xffff));
							}
						dasm_put(Dst, 110413);
							}
#line 12770 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						break;
					case ZEND_POST_INC_OBJ:
						//|	EXT_CALL zend_jit_post_inc_typed_prop, REG0
							if (arm64_may_use_b(zend_jit_post_inc_typed_prop)) {
						dasm_put(Dst, 110415, (unsigned int)((ptrdiff_t)(zend_jit_post_inc_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_post_inc_typed_prop))>>32));
							} else {
							if (((uintptr_t)(zend_jit_post_inc_typed_prop)) == 0) {
						dasm_put(Dst, 110418);
							} else if (((uintptr_t)(zend_jit_post_inc_typed_prop)) <= MOVZ_IMM) {
						dasm_put(Dst, 110420, ((uint64_t)(zend_jit_post_inc_typed_prop)));
							} else if (arm64_may_use_adr((void*)(zend_jit_post_inc_typed_prop))) {
						dasm_put(Dst, 110423, (unsigned int)((ptrdiff_t)(zend_jit_post_inc_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_post_inc_typed_prop))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_post_inc_typed_prop))) {
						dasm_put(Dst, 110426, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_post_inc_typed_prop))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_post_inc_typed_prop)))))>>32));
								if (((uintptr_t)(zend_jit_post_inc_typed_prop)) & 0xfff) {
						dasm_put(Dst, 110429, (((uintptr_t)(zend_jit_post_inc_typed_prop)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_post_inc_typed_prop) & 0xffff) {
						dasm_put(Dst, 110432, ((uintptr_t)(zend_jit_post_inc_typed_prop) & 0xffff));
								if (((uintptr_t)(zend_jit_post_inc_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110435, (((uintptr_t)(zend_jit_post_inc_typed_prop) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_post_inc_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110438, (((uintptr_t)(zend_jit_post_inc_typed_prop) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_post_inc_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110441, (((uintptr_t)(zend_jit_post_inc_typed_prop) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_post_inc_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110444, (((uintptr_t)(zend_jit_post_inc_typed_prop) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 110447, (((uintptr_t)(zend_jit_post_inc_typed_prop) >> 32) & 0xffff));
							}
						dasm_put(Dst, 110450);
							}
#line 12773 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						break;
					case ZEND_POST_DEC_OBJ:
						//|	EXT_CALL zend_jit_post_dec_typed_prop, REG0
							if (arm64_may_use_b(zend_jit_post_dec_typed_prop)) {
						dasm_put(Dst, 110452, (unsigned int)((ptrdiff_t)(zend_jit_post_dec_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_post_dec_typed_prop))>>32));
							} else {
							if (((uintptr_t)(zend_jit_post_dec_typed_prop)) == 0) {
						dasm_put(Dst, 110455);
							} else if (((uintptr_t)(zend_jit_post_dec_typed_prop)) <= MOVZ_IMM) {
						dasm_put(Dst, 110457, ((uint64_t)(zend_jit_post_dec_typed_prop)));
							} else if (arm64_may_use_adr((void*)(zend_jit_post_dec_typed_prop))) {
						dasm_put(Dst, 110460, (unsigned int)((ptrdiff_t)(zend_jit_post_dec_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_post_dec_typed_prop))>>32));
							} else if (arm64_may_use_adrp((void*)(zend_jit_post_dec_typed_prop))) {
						dasm_put(Dst, 110463, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_post_dec_typed_prop))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_post_dec_typed_prop)))))>>32));
								if (((uintptr_t)(zend_jit_post_dec_typed_prop)) & 0xfff) {
						dasm_put(Dst, 110466, (((uintptr_t)(zend_jit_post_dec_typed_prop)) & 0xfff));
								}
							} else if ((uintptr_t)(zend_jit_post_dec_typed_prop) & 0xffff) {
						dasm_put(Dst, 110469, ((uintptr_t)(zend_jit_post_dec_typed_prop) & 0xffff));
								if (((uintptr_t)(zend_jit_post_dec_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110472, (((uintptr_t)(zend_jit_post_dec_typed_prop) >> 16) & 0xffff));
								}
								if (((uintptr_t)(zend_jit_post_dec_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110475, (((uintptr_t)(zend_jit_post_dec_typed_prop) >> 32) & 0xffff));
								}
							} else if (((uintptr_t)(zend_jit_post_dec_typed_prop) >> 16) & 0xffff) {
						dasm_put(Dst, 110478, (((uintptr_t)(zend_jit_post_dec_typed_prop) >> 16) & 0xffff));
								if (((uintptr_t)(zend_jit_post_dec_typed_prop) >> 32) & 0xffff) {
						dasm_put(Dst, 110481, (((uintptr_t)(zend_jit_post_dec_typed_prop) >> 32) & 0xffff));
								}
							} else {
						dasm_put(Dst, 110484, (((uintptr_t)(zend_jit_post_dec_typed_prop) >> 32) & 0xffff));
							}
						dasm_put(Dst, 110487);
							}
#line 12776 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						break;
					default:
						ZEND_UNREACHABLE();
				}
			}
		}
	}

	if (!prop_info || !ZEND_TYPE_IS_SET(prop_info->type)) {
		uint32_t var_info = MAY_BE_ANY|MAY_BE_REF|MAY_BE_RC1|MAY_BE_RCN;
		zend_jit_addr var_addr = prop_addr;

		if (use_prop_guard) {
			int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);
			const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);
			if (!exit_addr) {
				return 0;
			}

			//|	IF_NOT_ZVAL_TYPE var_addr, prop_type, &exit_addr, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 110489, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 110493, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 110497, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 110501, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 110505, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 110510, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
				}
				if (prop_type == 0) {
			dasm_put(Dst, 110515, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				} else {
			dasm_put(Dst, 110519, (ZREG_X15), prop_type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				}
#line 12796 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			var_info = (1 << prop_type) | (var_info & ~(MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF));
		}

		if (var_info & MAY_BE_REF) {
			may_throw = 1;
			var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
			if (Z_REG(prop_addr) != ZREG_FCARG1 || Z_OFFSET(prop_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, prop_addr
					if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
				dasm_put(Dst, 110525);
					} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 110527, ((uint64_t)(Z_ZV(prop_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
				dasm_put(Dst, 110530, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
				dasm_put(Dst, 110533, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
				dasm_put(Dst, 110536, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
				dasm_put(Dst, 110539, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 110542, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 110545, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 110548, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 110551, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110554, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(prop_addr)) {
					if (Z_OFFSET(prop_addr) == 0) {
				dasm_put(Dst, 110557, (Z_REG(prop_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
				dasm_put(Dst, 110560, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 110564, ((uint32_t)(Z_OFFSET(prop_addr))));
					} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
				dasm_put(Dst, 110567, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 110570, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110573, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 110576, (Z_REG(prop_addr)));
					}
						} else {
							if (Z_REG(prop_addr) == ZREG_RSP) {
				dasm_put(Dst, 110579);
							} else {
				dasm_put(Dst, 110581, (Z_REG(prop_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12804 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	IF_NOT_ZVAL_TYPE var_addr, IS_REFERENCE, >2, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 110584, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 110588, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 110592, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 110596, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 110600, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 110605, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 110610, (ZREG_X15));
				} else {
			dasm_put(Dst, 110614, (ZREG_X15), IS_REFERENCE);
				}
#line 12806 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_ZVAL_PTR FCARG1x, var_addr, TMP1
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 110620, ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 110623, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 110626, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 110629, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 110632, (Z_REG(var_addr)));
				} else {
			dasm_put(Dst, 110635, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
#line 12807 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldr TMP1, [FCARG1x, #offsetof(zend_reference, sources.ptr)]
			//|	cbnz TMP1, >1
			//|	add FCARG1x, FCARG1x, #offsetof(zend_reference, val)
			//|.cold_code
			dasm_put(Dst, 110639, offsetof(zend_reference, sources.ptr), offsetof(zend_reference, val));
#line 12811 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 110646);
#line 12812 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline) {
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 110648, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 110651);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 110653, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 110656, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 110659, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 110662, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 110665, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 110668, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 110671, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 110674, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 110677, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110680, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 110683, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 12814 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline->result_type == IS_UNUSED) {
				//|	mov FCARG2x, xzr
				dasm_put(Dst, 110686);
#line 12817 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	LOAD_ZVAL_ADDR FCARG2x, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 110688);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 110690, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 110693, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 110696, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 110699, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 110702, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 110705, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 110708, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 110711, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 110714, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110717, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 110720, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 110723, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 110727, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 110730, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 110733, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110736, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 110739, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 110742);
							} else {
				dasm_put(Dst, 110744, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12819 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			switch (opline->opcode) {
				case ZEND_PRE_INC_OBJ:
					//|	EXT_CALL zend_jit_pre_inc_typed_ref, REG0
						if (arm64_may_use_b(zend_jit_pre_inc_typed_ref)) {
					dasm_put(Dst, 110747, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc_typed_ref))>>32));
						} else {
						if (((uintptr_t)(zend_jit_pre_inc_typed_ref)) == 0) {
					dasm_put(Dst, 110750);
						} else if (((uintptr_t)(zend_jit_pre_inc_typed_ref)) <= MOVZ_IMM) {
					dasm_put(Dst, 110752, ((uint64_t)(zend_jit_pre_inc_typed_ref)));
						} else if (arm64_may_use_adr((void*)(zend_jit_pre_inc_typed_ref))) {
					dasm_put(Dst, 110755, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc_typed_ref))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_pre_inc_typed_ref))) {
					dasm_put(Dst, 110758, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc_typed_ref)))))>>32));
							if (((uintptr_t)(zend_jit_pre_inc_typed_ref)) & 0xfff) {
					dasm_put(Dst, 110761, (((uintptr_t)(zend_jit_pre_inc_typed_ref)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_pre_inc_typed_ref) & 0xffff) {
					dasm_put(Dst, 110764, ((uintptr_t)(zend_jit_pre_inc_typed_ref) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 110767, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 110770, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 110773, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 110776, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 110779, (((uintptr_t)(zend_jit_pre_inc_typed_ref) >> 32) & 0xffff));
						}
					dasm_put(Dst, 110782);
						}
#line 12823 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_PRE_DEC_OBJ:
					//|	EXT_CALL zend_jit_pre_dec_typed_ref, REG0
						if (arm64_may_use_b(zend_jit_pre_dec_typed_ref)) {
					dasm_put(Dst, 110784, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec_typed_ref))>>32));
						} else {
						if (((uintptr_t)(zend_jit_pre_dec_typed_ref)) == 0) {
					dasm_put(Dst, 110787);
						} else if (((uintptr_t)(zend_jit_pre_dec_typed_ref)) <= MOVZ_IMM) {
					dasm_put(Dst, 110789, ((uint64_t)(zend_jit_pre_dec_typed_ref)));
						} else if (arm64_may_use_adr((void*)(zend_jit_pre_dec_typed_ref))) {
					dasm_put(Dst, 110792, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec_typed_ref))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_pre_dec_typed_ref))) {
					dasm_put(Dst, 110795, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec_typed_ref)))))>>32));
							if (((uintptr_t)(zend_jit_pre_dec_typed_ref)) & 0xfff) {
					dasm_put(Dst, 110798, (((uintptr_t)(zend_jit_pre_dec_typed_ref)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_pre_dec_typed_ref) & 0xffff) {
					dasm_put(Dst, 110801, ((uintptr_t)(zend_jit_pre_dec_typed_ref) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 110804, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 110807, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 110810, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 110813, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 110816, (((uintptr_t)(zend_jit_pre_dec_typed_ref) >> 32) & 0xffff));
						}
					dasm_put(Dst, 110819);
						}
#line 12826 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_POST_INC_OBJ:
					//|	EXT_CALL zend_jit_post_inc_typed_ref, REG0
						if (arm64_may_use_b(zend_jit_post_inc_typed_ref)) {
					dasm_put(Dst, 110821, (unsigned int)((ptrdiff_t)(zend_jit_post_inc_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_post_inc_typed_ref))>>32));
						} else {
						if (((uintptr_t)(zend_jit_post_inc_typed_ref)) == 0) {
					dasm_put(Dst, 110824);
						} else if (((uintptr_t)(zend_jit_post_inc_typed_ref)) <= MOVZ_IMM) {
					dasm_put(Dst, 110826, ((uint64_t)(zend_jit_post_inc_typed_ref)));
						} else if (arm64_may_use_adr((void*)(zend_jit_post_inc_typed_ref))) {
					dasm_put(Dst, 110829, (unsigned int)((ptrdiff_t)(zend_jit_post_inc_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_post_inc_typed_ref))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_post_inc_typed_ref))) {
					dasm_put(Dst, 110832, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_post_inc_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_post_inc_typed_ref)))))>>32));
							if (((uintptr_t)(zend_jit_post_inc_typed_ref)) & 0xfff) {
					dasm_put(Dst, 110835, (((uintptr_t)(zend_jit_post_inc_typed_ref)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_post_inc_typed_ref) & 0xffff) {
					dasm_put(Dst, 110838, ((uintptr_t)(zend_jit_post_inc_typed_ref) & 0xffff));
							if (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 110841, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 110844, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 110847, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 110850, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 110853, (((uintptr_t)(zend_jit_post_inc_typed_ref) >> 32) & 0xffff));
						}
					dasm_put(Dst, 110856);
						}
#line 12829 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				case ZEND_POST_DEC_OBJ:
					//|	EXT_CALL zend_jit_post_dec_typed_ref, REG0
						if (arm64_may_use_b(zend_jit_post_dec_typed_ref)) {
					dasm_put(Dst, 110858, (unsigned int)((ptrdiff_t)(zend_jit_post_dec_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_post_dec_typed_ref))>>32));
						} else {
						if (((uintptr_t)(zend_jit_post_dec_typed_ref)) == 0) {
					dasm_put(Dst, 110861);
						} else if (((uintptr_t)(zend_jit_post_dec_typed_ref)) <= MOVZ_IMM) {
					dasm_put(Dst, 110863, ((uint64_t)(zend_jit_post_dec_typed_ref)));
						} else if (arm64_may_use_adr((void*)(zend_jit_post_dec_typed_ref))) {
					dasm_put(Dst, 110866, (unsigned int)((ptrdiff_t)(zend_jit_post_dec_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_post_dec_typed_ref))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_post_dec_typed_ref))) {
					dasm_put(Dst, 110869, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_post_dec_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_post_dec_typed_ref)))))>>32));
							if (((uintptr_t)(zend_jit_post_dec_typed_ref)) & 0xfff) {
					dasm_put(Dst, 110872, (((uintptr_t)(zend_jit_post_dec_typed_ref)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_post_dec_typed_ref) & 0xffff) {
					dasm_put(Dst, 110875, ((uintptr_t)(zend_jit_post_dec_typed_ref) & 0xffff));
							if (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 110878, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 110881, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 16) & 0xffff) {
					dasm_put(Dst, 110884, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff) {
					dasm_put(Dst, 110887, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 110890, (((uintptr_t)(zend_jit_post_dec_typed_ref) >> 32) & 0xffff));
						}
					dasm_put(Dst, 110893);
						}
#line 12832 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					break;
				default:
					ZEND_UNREACHABLE();
			}
			//|	b >9
			//|.code
			dasm_put(Dst, 110895);
#line 12838 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|2:
			dasm_put(Dst, 110898);
#line 12839 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		if (var_info & MAY_BE_LONG) {
			if (var_info & (MAY_BE_ANY - MAY_BE_LONG)) {
				//|	IF_NOT_ZVAL_TYPE var_addr, IS_LONG, >2, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 110900, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 110904, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 110908, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 110912, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 110916, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 110921, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_LONG == 0) {
				dasm_put(Dst, 110926, (ZREG_X15));
					} else {
				dasm_put(Dst, 110930, (ZREG_X15), IS_LONG);
					}
#line 12844 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline->opcode == ZEND_POST_INC_OBJ || opline->opcode == ZEND_POST_DEC_OBJ) {
				if (opline->result_type != IS_UNUSED) {
					//|	ZVAL_COPY_VALUE res_addr, -1, var_addr, MAY_BE_LONG, ZREG_REG1, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
						if (MAY_BE_LONG & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
							if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
								if (Z_MODE(var_addr) == IS_REG) {
									if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(var_addr)) {
						if (Z_MODE(res_addr) == IS_REG) {
					dasm_put(Dst, 110936, (Z_REG(res_addr)), (Z_REG(var_addr)));
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 110940, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 110944, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 110948, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 110952, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 110956, (Z_REG(var_addr)), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 110961, (Z_REG(var_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
									}
								} else if (Z_MODE(res_addr) == IS_REG) {
						if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(var_addr)) == 0) {
					dasm_put(Dst, 110966, (Z_REG(res_addr)));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) == 0) {
					dasm_put(Dst, 110969, (Z_REG(res_addr)));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 110972, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 110976, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff) {
					dasm_put(Dst, 110980, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 110984, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 110988, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 110992, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 110996, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111000, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111004, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111008, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111012, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111016, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111020, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 111024, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111028, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111032, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111036, (Z_REG(res_addr)), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111041, (Z_REG(res_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						} else if (Z_MODE(var_addr) == IS_REG) {
							if (Z_REG(res_addr) != Z_REG(var_addr)) {
					dasm_put(Dst, 111046, (Z_REG(res_addr)), (Z_REG(var_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
								} else {
						if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(var_addr)) == 0) {
					dasm_put(Dst, 111050, (ZREG_X10));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) == 0) {
					dasm_put(Dst, 111053, (ZREG_X10));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 111056, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 111060, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff) {
					dasm_put(Dst, 111064, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 111068, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111072, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111076, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 111080, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111084, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111088, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111092, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111096, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111100, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111104, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 111108, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111112, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111116, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111120, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111125, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						} else if (Z_MODE(var_addr) == IS_REG) {
							if (ZREG_X10 != Z_REG(var_addr)) {
					dasm_put(Dst, 111130, (ZREG_X10), (Z_REG(var_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
						if (Z_MODE(res_addr) == IS_REG) {
					dasm_put(Dst, 111134, (Z_REG(res_addr)), (ZREG_X10));
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111138, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 111142, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111146, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111150, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111154, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111159, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								}
							} else if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
								if (Z_MODE(var_addr) == IS_REG) {
						if (Z_MODE(res_addr) == IS_REG) {
							if (Z_REG(var_addr) != Z_REG(res_addr)) {
					dasm_put(Dst, 111164, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111168, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 111172, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111176, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111180, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111184, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111189, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								} else if (Z_MODE(res_addr) == IS_REG) {
						if (Z_MODE(var_addr) != IS_REG || Z_REG(res_addr) != Z_REG(var_addr)) {
							if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111194, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111201, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
						} else {
						if (((uintptr_t)(Z_ZV(var_addr))) == 0) {
					dasm_put(Dst, 111209, (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111212, (ZREG_X15), ((uint64_t)(Z_ZV(var_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111216, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111220, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(var_addr))) & 0xfff) {
					dasm_put(Dst, 111224, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(var_addr)) & 0xffff) {
					dasm_put(Dst, 111229, (ZREG_X15), ((uintptr_t)(Z_ZV(var_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 111233, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 111237, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 111241, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 111245, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111249, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					dasm_put(Dst, 111253, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
						}
							} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111257, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 111261, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111265, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111269, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111273, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111278, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
							} else if (Z_MODE(var_addr) == IS_REG) {
					dasm_put(Dst, 111283, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
							} else {
								ZEND_UNREACHABLE();
							}
						}
								} else {
						if (Z_MODE(var_addr) != IS_REG || ZREG_V0 != Z_REG(var_addr)) {
							if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111287, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111294, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
						} else {
						if (((uintptr_t)(Z_ZV(var_addr))) == 0) {
					dasm_put(Dst, 111302, (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111305, (ZREG_X15), ((uint64_t)(Z_ZV(var_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111309, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111313, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(var_addr))) & 0xfff) {
					dasm_put(Dst, 111317, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(var_addr)) & 0xffff) {
					dasm_put(Dst, 111322, (ZREG_X15), ((uintptr_t)(Z_ZV(var_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 111326, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 111330, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 111334, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 111338, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111342, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					dasm_put(Dst, 111346, (ZREG_V0-ZREG_V0), (ZREG_X15));
						}
							} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111350, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 111354, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111358, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111362, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111366, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111371, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
							} else if (Z_MODE(var_addr) == IS_REG) {
					dasm_put(Dst, 111376, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
							} else {
								ZEND_UNREACHABLE();
							}
						}
						if (Z_MODE(res_addr) == IS_REG) {
							if (ZREG_V0 != Z_REG(res_addr)) {
					dasm_put(Dst, 111380, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111384, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 111388, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111392, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111396, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111400, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111405, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								}
							// Combine the following two branches.
							// } else if (!(MAY_BE_LONG & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
							} else {
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111410, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 111414, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111418, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111422, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111426, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111431, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111436, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 111440, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111444, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111448, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111452, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111457, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
							}
						}
						if ((MAY_BE_LONG & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
							!(MAY_BE_LONG & MAY_BE_GUARD) &&
							has_concrete_type(MAY_BE_LONG & MAY_BE_ANY)) {
							if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
								if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
									uint32_t type = concrete_type(MAY_BE_LONG);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(type)) <= MOVZ_IMM) {
					dasm_put(Dst, 111462, (ZREG_X15), ((uint32_t)(type)));
						} else if (((uint32_t)(type) & 0xffff)) {
					dasm_put(Dst, 111466, (ZREG_X15), ((uint32_t)(type) & 0xffff));
							if ((((uint32_t)(type) >> 16) & 0xffff)) {
					dasm_put(Dst, 111470, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111474, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 111478, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 111482, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111486, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111490, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111494, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 111499, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
								}
							}
						} else {
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 111504, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 111508, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111512, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111516, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111520, (ZREG_X9), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111525, (ZREG_X9), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
						}
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 111530, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 111534, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111538, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111542, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111546, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111551, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
						}
#line 12848 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (opline->opcode == ZEND_PRE_INC_OBJ || opline->opcode == ZEND_POST_INC_OBJ) {
				//|	LONG_ADD_SUB_WITH_IMM adds, var_addr, Z_L(1), TMP1, TMP2
					ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(Z_L(1))));
					if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uint32_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 111556, ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 111559, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 111562, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 111565, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 111568, (Z_REG(var_addr)), Z_L(1), (Z_REG(var_addr)));
						} else {
				dasm_put(Dst, 111575, (Z_REG(var_addr)), Z_OFFSET(var_addr), Z_L(1), (Z_REG(var_addr)), Z_OFFSET(var_addr));
						}
					} else if (Z_MODE(var_addr) == IS_REG) {
				dasm_put(Dst, 111584, (Z_REG(var_addr)), (Z_REG(var_addr)), Z_L(1));
					} else {
						ZEND_UNREACHABLE();
					}
#line 12852 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	LONG_ADD_SUB_WITH_IMM subs, var_addr, Z_L(1), TMP1, TMP2
					ZEND_ASSERT(arm64_may_encode_imm12((int64_t)(Z_L(1))));
					if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uint32_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 111589, ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 111592, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 111595, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 111598, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 111601, (Z_REG(var_addr)), Z_L(1), (Z_REG(var_addr)));
						} else {
				dasm_put(Dst, 111608, (Z_REG(var_addr)), Z_OFFSET(var_addr), Z_L(1), (Z_REG(var_addr)), Z_OFFSET(var_addr));
						}
					} else if (Z_MODE(var_addr) == IS_REG) {
				dasm_put(Dst, 111617, (Z_REG(var_addr)), (Z_REG(var_addr)), Z_L(1));
					} else {
						ZEND_UNREACHABLE();
					}
#line 12854 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	bvs	>3
			dasm_put(Dst, 111622);
#line 12856 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->opcode == ZEND_PRE_INC_OBJ || opline->opcode == ZEND_PRE_DEC_OBJ) {
				if (opline->result_type != IS_UNUSED) {
					//|	ZVAL_COPY_VALUE res_addr, -1, var_addr, MAY_BE_LONG, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
						if (MAY_BE_LONG & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
							if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
								if (Z_MODE(var_addr) == IS_REG) {
									if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(var_addr)) {
						if (Z_MODE(res_addr) == IS_REG) {
					dasm_put(Dst, 111625, (Z_REG(res_addr)), (Z_REG(var_addr)));
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111629, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 111633, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111637, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111641, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111645, (Z_REG(var_addr)), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111650, (Z_REG(var_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
									}
								} else if (Z_MODE(res_addr) == IS_REG) {
						if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(var_addr)) == 0) {
					dasm_put(Dst, 111655, (Z_REG(res_addr)));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) == 0) {
					dasm_put(Dst, 111658, (Z_REG(res_addr)));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 111661, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 111665, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff) {
					dasm_put(Dst, 111669, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 111673, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111677, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111681, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 111685, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111689, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111693, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111697, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111701, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111705, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111709, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 111713, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111717, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111721, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111725, (Z_REG(res_addr)), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111730, (Z_REG(res_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						} else if (Z_MODE(var_addr) == IS_REG) {
							if (Z_REG(res_addr) != Z_REG(var_addr)) {
					dasm_put(Dst, 111735, (Z_REG(res_addr)), (Z_REG(var_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
								} else {
						if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(var_addr)) == 0) {
					dasm_put(Dst, 111739, (ZREG_X10));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) == 0) {
					dasm_put(Dst, 111742, (ZREG_X10));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 111745, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 111749, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff) {
					dasm_put(Dst, 111753, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 111757, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111761, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111765, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 111769, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111773, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111777, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 111781, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 111785, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111789, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111793, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 111797, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111801, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111805, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111809, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111814, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						} else if (Z_MODE(var_addr) == IS_REG) {
							if (ZREG_X10 != Z_REG(var_addr)) {
					dasm_put(Dst, 111819, (ZREG_X10), (Z_REG(var_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
						if (Z_MODE(res_addr) == IS_REG) {
					dasm_put(Dst, 111823, (Z_REG(res_addr)), (ZREG_X10));
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111827, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 111831, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111835, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111839, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111843, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111848, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								}
							} else if ((MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
								if (Z_MODE(var_addr) == IS_REG) {
						if (Z_MODE(res_addr) == IS_REG) {
							if (Z_REG(var_addr) != Z_REG(res_addr)) {
					dasm_put(Dst, 111853, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111857, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 111861, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111865, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111869, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111873, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111878, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								} else if (Z_MODE(res_addr) == IS_REG) {
						if (Z_MODE(var_addr) != IS_REG || Z_REG(res_addr) != Z_REG(var_addr)) {
							if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111883, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111890, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
						} else {
						if (((uintptr_t)(Z_ZV(var_addr))) == 0) {
					dasm_put(Dst, 111898, (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111901, (ZREG_X15), ((uint64_t)(Z_ZV(var_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111905, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111909, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(var_addr))) & 0xfff) {
					dasm_put(Dst, 111913, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(var_addr)) & 0xffff) {
					dasm_put(Dst, 111918, (ZREG_X15), ((uintptr_t)(Z_ZV(var_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 111922, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 111926, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 111930, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 111934, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111938, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					dasm_put(Dst, 111942, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
						}
							} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111946, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 111950, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 111954, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 111958, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 111962, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 111967, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
							} else if (Z_MODE(var_addr) == IS_REG) {
					dasm_put(Dst, 111972, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
							} else {
								ZEND_UNREACHABLE();
							}
						}
								} else {
						if (Z_MODE(var_addr) != IS_REG || ZREG_V0 != Z_REG(var_addr)) {
							if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111976, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111983, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
						} else {
						if (((uintptr_t)(Z_ZV(var_addr))) == 0) {
					dasm_put(Dst, 111991, (ZREG_X15));
						} else if (((uintptr_t)(Z_ZV(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 111994, (ZREG_X15), ((uint64_t)(Z_ZV(var_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 111998, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
					dasm_put(Dst, 112002, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(var_addr))) & 0xfff) {
					dasm_put(Dst, 112006, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(var_addr)) & 0xffff) {
					dasm_put(Dst, 112011, (ZREG_X15), ((uintptr_t)(Z_ZV(var_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 112015, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 112019, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 112023, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 112027, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112031, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					dasm_put(Dst, 112035, (ZREG_V0-ZREG_V0), (ZREG_X15));
						}
							} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 112039, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 112043, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 112047, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112051, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 112055, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 112060, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
							} else if (Z_MODE(var_addr) == IS_REG) {
					dasm_put(Dst, 112065, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
							} else {
								ZEND_UNREACHABLE();
							}
						}
						if (Z_MODE(res_addr) == IS_REG) {
							if (ZREG_V0 != Z_REG(res_addr)) {
					dasm_put(Dst, 112069, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
							}
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 112073, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 112077, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 112081, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112085, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 112089, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 112094, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
								}
							// Combine the following two branches.
							// } else if (!(MAY_BE_LONG & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
							} else {
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 112099, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
					dasm_put(Dst, 112103, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 112107, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112111, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 112115, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 112120, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
						}
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 112125, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 112129, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 112133, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112137, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 112141, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 112146, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
							}
						}
						if ((MAY_BE_LONG & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
							!(MAY_BE_LONG & MAY_BE_GUARD) &&
							has_concrete_type(MAY_BE_LONG & MAY_BE_ANY)) {
							if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
								if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_LONG & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
									uint32_t type = concrete_type(MAY_BE_LONG);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(type)) <= MOVZ_IMM) {
					dasm_put(Dst, 112151, (ZREG_X15), ((uint32_t)(type)));
						} else if (((uint32_t)(type) & 0xffff)) {
					dasm_put(Dst, 112155, (ZREG_X15), ((uint32_t)(type) & 0xffff));
							if ((((uint32_t)(type) >> 16) & 0xffff)) {
					dasm_put(Dst, 112159, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112163, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 112167, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 112171, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 112175, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112179, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 112183, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
						} else {
					dasm_put(Dst, 112188, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
								}
							}
						} else {
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 112193, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 112197, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 112201, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112205, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 112209, (ZREG_X8), (Z_REG(var_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 112214, (ZREG_X8), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
						}
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 112219, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 112223, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 112227, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112231, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 112235, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 112240, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
						}
#line 12859 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			//|.cold_code
			dasm_put(Dst, 112245);
#line 12862 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (var_info & (MAY_BE_ANY - MAY_BE_LONG)) {
			if (var_info & (MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
				may_throw = 1;
			}
			if (var_info & MAY_BE_LONG) {
				//|2:
				dasm_put(Dst, 112246);
#line 12869 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (Z_REG(var_addr) != ZREG_FCARG1 || Z_OFFSET(var_addr) != 0) {
				var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
				//|	LOAD_ZVAL_ADDR FCARG1x, prop_addr
					if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
				dasm_put(Dst, 112248);
					} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112250, ((uint64_t)(Z_ZV(prop_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
				dasm_put(Dst, 112253, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
				dasm_put(Dst, 112256, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
				dasm_put(Dst, 112259, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
				dasm_put(Dst, 112262, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 112265, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 112268, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 112271, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 112274, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112277, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(prop_addr)) {
					if (Z_OFFSET(prop_addr) == 0) {
				dasm_put(Dst, 112280, (Z_REG(prop_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
				dasm_put(Dst, 112283, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112287, ((uint32_t)(Z_OFFSET(prop_addr))));
					} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
				dasm_put(Dst, 112290, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112293, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112296, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112299, (Z_REG(prop_addr)));
					}
						} else {
							if (Z_REG(prop_addr) == ZREG_RSP) {
				dasm_put(Dst, 112302);
							} else {
				dasm_put(Dst, 112304, (Z_REG(prop_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 12873 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline->opcode == ZEND_POST_INC_OBJ || opline->opcode == ZEND_POST_DEC_OBJ) {
				//|	ZVAL_COPY_VALUE res_addr, -1, var_addr, MAY_BE_ANY, ZREG_REG0, ZREG_REG2, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
					if (MAY_BE_ANY & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
						if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
							if (Z_MODE(var_addr) == IS_REG) {
								if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(var_addr)) {
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 112307, (Z_REG(res_addr)), (Z_REG(var_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112311, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 112315, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112319, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112323, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112327, (Z_REG(var_addr)), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 112332, (Z_REG(var_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
								}
							} else if (Z_MODE(res_addr) == IS_REG) {
					if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(var_addr)) == 0) {
				dasm_put(Dst, 112337, (Z_REG(res_addr)));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) == 0) {
				dasm_put(Dst, 112340, (Z_REG(res_addr)));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 112343, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 112347, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff) {
				dasm_put(Dst, 112351, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 112355, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 112359, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 112363, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 112367, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 112371, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 112375, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 112379, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 112383, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112387, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112391, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 112395, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112399, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112403, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112407, (Z_REG(res_addr)), (Z_REG(var_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 112412, (Z_REG(res_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
					}
					} else if (Z_MODE(var_addr) == IS_REG) {
						if (Z_REG(res_addr) != Z_REG(var_addr)) {
				dasm_put(Dst, 112417, (Z_REG(res_addr)), (Z_REG(var_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
							} else {
					if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
						if (Z_LVAL_P(Z_ZV(var_addr)) == 0) {
				dasm_put(Dst, 112421, (ZREG_X10));
						} else {
					if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) == 0) {
				dasm_put(Dst, 112424, (ZREG_X10));
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 112427, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))));
					} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr)))) <= MOVZ_IMM) {
				dasm_put(Dst, 112431, (ZREG_X10), (~((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))))));
					} else if ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff) {
				dasm_put(Dst, 112435, (ZREG_X10), ((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 112439, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
						}
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 112443, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 112447, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff) {
				dasm_put(Dst, 112451, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 16) & 0xffff));
						if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 112455, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
						}
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 112459, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff) {
				dasm_put(Dst, 112463, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 32) & 0xffff));
						if ((((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff)) {
				dasm_put(Dst, 112467, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112471, (ZREG_X10), (((uint64_t)(Z_LVAL_P(Z_ZV(var_addr))) >> 48) & 0xffff));
					}
						}
					} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112475, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 112479, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112483, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112487, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112491, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 112496, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
					}
					} else if (Z_MODE(var_addr) == IS_REG) {
						if (ZREG_X10 != Z_REG(var_addr)) {
				dasm_put(Dst, 112501, (ZREG_X10), (Z_REG(var_addr)));
						}
					} else {
						ZEND_UNREACHABLE();
					}
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 112505, (Z_REG(res_addr)), (ZREG_X10));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112509, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 112513, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112517, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112521, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112525, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 112530, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							}
						} else if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
							if (Z_MODE(var_addr) == IS_REG) {
					if (Z_MODE(res_addr) == IS_REG) {
						if (Z_REG(var_addr) != Z_REG(res_addr)) {
				dasm_put(Dst, 112535, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112539, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 112543, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112547, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112551, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112555, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 112560, (Z_REG(var_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							} else if (Z_MODE(res_addr) == IS_REG) {
					if (Z_MODE(var_addr) != IS_REG || Z_REG(res_addr) != Z_REG(var_addr)) {
						if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 112565, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 112572, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(var_addr))) == 0) {
				dasm_put(Dst, 112580, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112583, (ZREG_X15), ((uint64_t)(Z_ZV(var_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 112587, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 112591, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(var_addr))) & 0xfff) {
				dasm_put(Dst, 112595, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(var_addr)) & 0xffff) {
				dasm_put(Dst, 112600, (ZREG_X15), ((uintptr_t)(Z_ZV(var_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 112604, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 112608, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 112612, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 112616, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112620, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 112624, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112628, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 112632, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112636, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112640, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112644, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 112649, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
					}
						} else if (Z_MODE(var_addr) == IS_REG) {
				dasm_put(Dst, 112654, (Z_REG(res_addr)-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
							} else {
					if (Z_MODE(var_addr) != IS_REG || ZREG_V0 != Z_REG(var_addr)) {
						if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 112658, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(var_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 112665, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
					} else {
					if (((uintptr_t)(Z_ZV(var_addr))) == 0) {
				dasm_put(Dst, 112673, (ZREG_X15));
					} else if (((uintptr_t)(Z_ZV(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112676, (ZREG_X15), ((uint64_t)(Z_ZV(var_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 112680, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
				dasm_put(Dst, 112684, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(var_addr))) & 0xfff) {
				dasm_put(Dst, 112688, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(var_addr)) & 0xffff) {
				dasm_put(Dst, 112693, (ZREG_X15), ((uintptr_t)(Z_ZV(var_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 112697, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 112701, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 112705, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 112709, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112713, (ZREG_X15), (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
					}
				dasm_put(Dst, 112717, (ZREG_V0-ZREG_V0), (ZREG_X15));
					}
						} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
					if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112721, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 112725, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112729, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112733, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112737, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 112742, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
					}
						} else if (Z_MODE(var_addr) == IS_REG) {
				dasm_put(Dst, 112747, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)-ZREG_V0));
						} else {
							ZEND_UNREACHABLE();
						}
					}
					if (Z_MODE(res_addr) == IS_REG) {
						if (ZREG_V0 != Z_REG(res_addr)) {
				dasm_put(Dst, 112751, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
						}
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112755, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 112759, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112763, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112767, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112771, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 112776, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
							}
						// Combine the following two branches.
						// } else if (!(MAY_BE_ANY & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
						} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112781, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 112785, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112789, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112793, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112797, (ZREG_X10), (Z_REG(var_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 112802, (ZREG_X10), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
					}
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 112807, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 112811, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112815, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112819, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112823, (ZREG_X10), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 112828, (ZREG_X10), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
						}
					}
					if ((MAY_BE_ANY & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
						!(MAY_BE_ANY & MAY_BE_GUARD) &&
						has_concrete_type(MAY_BE_ANY & MAY_BE_ANY)) {
						if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
							if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
								uint32_t type = concrete_type(MAY_BE_ANY);
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(type)) <= MOVZ_IMM) {
				dasm_put(Dst, 112833, (ZREG_X15), ((uint32_t)(type)));
					} else if (((uint32_t)(type) & 0xffff)) {
				dasm_put(Dst, 112837, (ZREG_X15), ((uint32_t)(type) & 0xffff));
						if ((((uint32_t)(type) >> 16) & 0xffff)) {
				dasm_put(Dst, 112841, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112845, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 112849, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 112853, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112857, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112861, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112865, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
					} else {
				dasm_put(Dst, 112870, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
							}
						}
					} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 112875, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 112879, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112883, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112887, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112891, (ZREG_X8), (Z_REG(var_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 112896, (ZREG_X8), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
					}
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 112901, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 112905, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112909, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112913, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112917, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 112922, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
					}
#line 12876 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	TRY_ADDREF MAY_BE_ANY, REG0w, REG2, TMP1w
					if (MAY_BE_ANY & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
						if (MAY_BE_ANY & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
				dasm_put(Dst, 112927);
					} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
				dasm_put(Dst, 112929, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
					} else {
					if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
				dasm_put(Dst, 112932, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
					} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
				dasm_put(Dst, 112935, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
						if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
				dasm_put(Dst, 112938, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 112941, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 112944);
					}
				dasm_put(Dst, 112946);
						}
				dasm_put(Dst, 112949);
					}
#line 12877 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline->opcode == ZEND_PRE_INC_OBJ || opline->opcode == ZEND_POST_INC_OBJ) {
				if (opline->opcode == ZEND_PRE_INC_OBJ && opline->result_type != IS_UNUSED) {
					//|	LOAD_ZVAL_ADDR FCARG2x, res_addr
						if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
					dasm_put(Dst, 112954);
						} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 112956, ((uint64_t)(Z_ZV(res_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 112959, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 112962, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
					dasm_put(Dst, 112965, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
					dasm_put(Dst, 112968, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 112971, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 112974, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 112977, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 112980, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 112983, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(res_addr)) {
						if (Z_OFFSET(res_addr) == 0) {
					dasm_put(Dst, 112986, (Z_REG(res_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
					dasm_put(Dst, 112989, (Z_REG(res_addr)), Z_OFFSET(res_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 112993, ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 112996, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 112999, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113002, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 113005, (Z_REG(res_addr)));
						}
							} else {
								if (Z_REG(res_addr) == ZREG_RSP) {
					dasm_put(Dst, 113008);
								} else {
					dasm_put(Dst, 113010, (Z_REG(res_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 12881 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_pre_inc, REG0
						if (arm64_may_use_b(zend_jit_pre_inc)) {
					dasm_put(Dst, 113013, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc))>>32));
						} else {
						if (((uintptr_t)(zend_jit_pre_inc)) == 0) {
					dasm_put(Dst, 113016);
						} else if (((uintptr_t)(zend_jit_pre_inc)) <= MOVZ_IMM) {
					dasm_put(Dst, 113018, ((uint64_t)(zend_jit_pre_inc)));
						} else if (arm64_may_use_adr((void*)(zend_jit_pre_inc))) {
					dasm_put(Dst, 113021, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_pre_inc))) {
					dasm_put(Dst, 113024, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc)))))>>32));
							if (((uintptr_t)(zend_jit_pre_inc)) & 0xfff) {
					dasm_put(Dst, 113027, (((uintptr_t)(zend_jit_pre_inc)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_pre_inc) & 0xffff) {
					dasm_put(Dst, 113030, ((uintptr_t)(zend_jit_pre_inc) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_inc) >> 16) & 0xffff) {
					dasm_put(Dst, 113033, (((uintptr_t)(zend_jit_pre_inc) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff) {
					dasm_put(Dst, 113036, (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_pre_inc) >> 16) & 0xffff) {
					dasm_put(Dst, 113039, (((uintptr_t)(zend_jit_pre_inc) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff) {
					dasm_put(Dst, 113042, (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113045, (((uintptr_t)(zend_jit_pre_inc) >> 32) & 0xffff));
						}
					dasm_put(Dst, 113048);
						}
#line 12882 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL increment_function, REG0
						if (arm64_may_use_b(increment_function)) {
					dasm_put(Dst, 113050, (unsigned int)((ptrdiff_t)(increment_function)), (unsigned int)(((ptrdiff_t)(increment_function))>>32));
						} else {
						if (((uintptr_t)(increment_function)) == 0) {
					dasm_put(Dst, 113053);
						} else if (((uintptr_t)(increment_function)) <= MOVZ_IMM) {
					dasm_put(Dst, 113055, ((uint64_t)(increment_function)));
						} else if (arm64_may_use_adr((void*)(increment_function))) {
					dasm_put(Dst, 113058, (unsigned int)((ptrdiff_t)(increment_function)), (unsigned int)(((ptrdiff_t)(increment_function))>>32));
						} else if (arm64_may_use_adrp((void*)(increment_function))) {
					dasm_put(Dst, 113061, (unsigned int)((ptrdiff_t)((((uintptr_t)(increment_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(increment_function)))))>>32));
							if (((uintptr_t)(increment_function)) & 0xfff) {
					dasm_put(Dst, 113064, (((uintptr_t)(increment_function)) & 0xfff));
							}
						} else if ((uintptr_t)(increment_function) & 0xffff) {
					dasm_put(Dst, 113067, ((uintptr_t)(increment_function) & 0xffff));
							if (((uintptr_t)(increment_function) >> 16) & 0xffff) {
					dasm_put(Dst, 113070, (((uintptr_t)(increment_function) >> 16) & 0xffff));
							}
							if (((uintptr_t)(increment_function) >> 32) & 0xffff) {
					dasm_put(Dst, 113073, (((uintptr_t)(increment_function) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(increment_function) >> 16) & 0xffff) {
					dasm_put(Dst, 113076, (((uintptr_t)(increment_function) >> 16) & 0xffff));
							if (((uintptr_t)(increment_function) >> 32) & 0xffff) {
					dasm_put(Dst, 113079, (((uintptr_t)(increment_function) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113082, (((uintptr_t)(increment_function) >> 32) & 0xffff));
						}
					dasm_put(Dst, 113085);
						}
#line 12884 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				if (opline->opcode == ZEND_PRE_DEC_OBJ && opline->result_type != IS_UNUSED) {
					//|	LOAD_ZVAL_ADDR FCARG2x, res_addr
						if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
					dasm_put(Dst, 113087);
						} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 113089, ((uint64_t)(Z_ZV(res_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 113092, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
					dasm_put(Dst, 113095, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
					dasm_put(Dst, 113098, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
					dasm_put(Dst, 113101, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 113104, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 113107, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 113110, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 113113, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113116, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(res_addr)) {
						if (Z_OFFSET(res_addr) == 0) {
					dasm_put(Dst, 113119, (Z_REG(res_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
					dasm_put(Dst, 113122, (Z_REG(res_addr)), Z_OFFSET(res_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 113126, ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 113129, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 113132, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113135, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 113138, (Z_REG(res_addr)));
						}
							} else {
								if (Z_REG(res_addr) == ZREG_RSP) {
					dasm_put(Dst, 113141);
								} else {
					dasm_put(Dst, 113143, (Z_REG(res_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 12888 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_jit_pre_dec, REG0
						if (arm64_may_use_b(zend_jit_pre_dec)) {
					dasm_put(Dst, 113146, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec))>>32));
						} else {
						if (((uintptr_t)(zend_jit_pre_dec)) == 0) {
					dasm_put(Dst, 113149);
						} else if (((uintptr_t)(zend_jit_pre_dec)) <= MOVZ_IMM) {
					dasm_put(Dst, 113151, ((uint64_t)(zend_jit_pre_dec)));
						} else if (arm64_may_use_adr((void*)(zend_jit_pre_dec))) {
					dasm_put(Dst, 113154, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_pre_dec))) {
					dasm_put(Dst, 113157, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec)))))>>32));
							if (((uintptr_t)(zend_jit_pre_dec)) & 0xfff) {
					dasm_put(Dst, 113160, (((uintptr_t)(zend_jit_pre_dec)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_pre_dec) & 0xffff) {
					dasm_put(Dst, 113163, ((uintptr_t)(zend_jit_pre_dec) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_dec) >> 16) & 0xffff) {
					dasm_put(Dst, 113166, (((uintptr_t)(zend_jit_pre_dec) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff) {
					dasm_put(Dst, 113169, (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_pre_dec) >> 16) & 0xffff) {
					dasm_put(Dst, 113172, (((uintptr_t)(zend_jit_pre_dec) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff) {
					dasm_put(Dst, 113175, (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113178, (((uintptr_t)(zend_jit_pre_dec) >> 32) & 0xffff));
						}
					dasm_put(Dst, 113181);
						}
#line 12889 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL decrement_function, REG0
						if (arm64_may_use_b(decrement_function)) {
					dasm_put(Dst, 113183, (unsigned int)((ptrdiff_t)(decrement_function)), (unsigned int)(((ptrdiff_t)(decrement_function))>>32));
						} else {
						if (((uintptr_t)(decrement_function)) == 0) {
					dasm_put(Dst, 113186);
						} else if (((uintptr_t)(decrement_function)) <= MOVZ_IMM) {
					dasm_put(Dst, 113188, ((uint64_t)(decrement_function)));
						} else if (arm64_may_use_adr((void*)(decrement_function))) {
					dasm_put(Dst, 113191, (unsigned int)((ptrdiff_t)(decrement_function)), (unsigned int)(((ptrdiff_t)(decrement_function))>>32));
						} else if (arm64_may_use_adrp((void*)(decrement_function))) {
					dasm_put(Dst, 113194, (unsigned int)((ptrdiff_t)((((uintptr_t)(decrement_function))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(decrement_function)))))>>32));
							if (((uintptr_t)(decrement_function)) & 0xfff) {
					dasm_put(Dst, 113197, (((uintptr_t)(decrement_function)) & 0xfff));
							}
						} else if ((uintptr_t)(decrement_function) & 0xffff) {
					dasm_put(Dst, 113200, ((uintptr_t)(decrement_function) & 0xffff));
							if (((uintptr_t)(decrement_function) >> 16) & 0xffff) {
					dasm_put(Dst, 113203, (((uintptr_t)(decrement_function) >> 16) & 0xffff));
							}
							if (((uintptr_t)(decrement_function) >> 32) & 0xffff) {
					dasm_put(Dst, 113206, (((uintptr_t)(decrement_function) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(decrement_function) >> 16) & 0xffff) {
					dasm_put(Dst, 113209, (((uintptr_t)(decrement_function) >> 16) & 0xffff));
							if (((uintptr_t)(decrement_function) >> 32) & 0xffff) {
					dasm_put(Dst, 113212, (((uintptr_t)(decrement_function) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113215, (((uintptr_t)(decrement_function) >> 32) & 0xffff));
						}
					dasm_put(Dst, 113218);
						}
#line 12891 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (var_info & MAY_BE_LONG) {
				//|	b >4
				dasm_put(Dst, 113220);
#line 12895 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}

		if (var_info & MAY_BE_LONG) {
			//|3:
			dasm_put(Dst, 113223);
#line 12900 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (opline->opcode == ZEND_PRE_INC_OBJ || opline->opcode == ZEND_POST_INC_OBJ) {
				uint64_t val = 0x43e0000000000000;
				//|	LOAD_64BIT_VAL TMP2, val
					if (((uint64_t)(val)) == 0) {
				dasm_put(Dst, 113225);
					} else if (((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 113227, ((uint64_t)(val)));
					} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 113230, (~((uint64_t)(val))));
					} else if ((uint64_t)(val) & 0xffff) {
				dasm_put(Dst, 113233, ((uint64_t)(val) & 0xffff));
						if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 113236, (((uint64_t)(val) >> 16) & 0xffff));
						}
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 113239, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 113242, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 113245, (((uint64_t)(val) >> 16) & 0xffff));
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 113248, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 113251, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 113254, (((uint64_t)(val) >> 32) & 0xffff));
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 113257, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113260, (((uint64_t)(val) >> 48) & 0xffff));
					}
#line 12903 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_LVAL_FROM_REG var_addr, TMP2, TMP1
					if (Z_MODE(var_addr) == IS_REG) {
				dasm_put(Dst, 113263, (Z_REG(var_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 113266, ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 113269, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 113272, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113275, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 113278, (Z_REG(var_addr)));
					} else {
				dasm_put(Dst, 113281, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
					}
					}
#line 12904 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_TYPE_INFO var_addr, IS_DOUBLE, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 113285, ((uint32_t)(IS_DOUBLE)));
					} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
				dasm_put(Dst, 113288, ((uint32_t)(IS_DOUBLE) & 0xffff));
						if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 113291, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113294, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 113297, ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 113300, ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 113303, (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113306, (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 113309, (Z_REG(var_addr)));
					} else {
				dasm_put(Dst, 113312, (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
					}
#line 12905 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (opline->opcode == ZEND_PRE_INC_OBJ && opline->result_type != IS_UNUSED) {
					//|	SET_ZVAL_LVAL_FROM_REG res_addr, TMP2, TMP1
						if (Z_MODE(res_addr) == IS_REG) {
					dasm_put(Dst, 113316, (Z_REG(res_addr)));
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 113319, ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 113322, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 113325, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113328, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 113331, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 113334, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
#line 12907 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_DOUBLE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
					dasm_put(Dst, 113338, ((uint32_t)(IS_DOUBLE)));
						} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
					dasm_put(Dst, 113341, ((uint32_t)(IS_DOUBLE) & 0xffff));
							if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
					dasm_put(Dst, 113344, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113347, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 113350, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 113353, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 113356, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113359, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 113362, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 113365, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 12908 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			} else {
				uint64_t val = 0xc3e0000000000000;
				//|	LOAD_64BIT_VAL TMP2, val
					if (((uint64_t)(val)) == 0) {
				dasm_put(Dst, 113369);
					} else if (((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 113371, ((uint64_t)(val)));
					} else if (~((uint64_t)(val)) <= MOVZ_IMM) {
				dasm_put(Dst, 113374, (~((uint64_t)(val))));
					} else if ((uint64_t)(val) & 0xffff) {
				dasm_put(Dst, 113377, ((uint64_t)(val) & 0xffff));
						if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 113380, (((uint64_t)(val) >> 16) & 0xffff));
						}
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 113383, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 113386, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 16) & 0xffff) {
				dasm_put(Dst, 113389, (((uint64_t)(val) >> 16) & 0xffff));
						if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 113392, (((uint64_t)(val) >> 32) & 0xffff));
						}
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 113395, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else if (((uint64_t)(val) >> 32) & 0xffff) {
				dasm_put(Dst, 113398, (((uint64_t)(val) >> 32) & 0xffff));
						if ((((uint64_t)(val) >> 48) & 0xffff)) {
				dasm_put(Dst, 113401, (((uint64_t)(val) >> 48) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113404, (((uint64_t)(val) >> 48) & 0xffff));
					}
#line 12912 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_LVAL_FROM_REG var_addr, TMP2, TMP1
					if (Z_MODE(var_addr) == IS_REG) {
				dasm_put(Dst, 113407, (Z_REG(var_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 113410, ((uint32_t)(Z_OFFSET(var_addr))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
				dasm_put(Dst, 113413, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 113416, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113419, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 113422, (Z_REG(var_addr)));
					} else {
				dasm_put(Dst, 113425, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
					}
					}
#line 12913 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_TYPE_INFO var_addr, IS_DOUBLE, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
				dasm_put(Dst, 113429, ((uint32_t)(IS_DOUBLE)));
					} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
				dasm_put(Dst, 113432, ((uint32_t)(IS_DOUBLE) & 0xffff));
						if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
				dasm_put(Dst, 113435, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113438, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 113441, ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 113444, ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 113447, (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113450, (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 113453, (Z_REG(var_addr)));
					} else {
				dasm_put(Dst, 113456, (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
					}
#line 12914 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (opline->opcode == ZEND_PRE_DEC_OBJ && opline->result_type != IS_UNUSED) {
					//|	SET_ZVAL_LVAL_FROM_REG res_addr, TMP2, TMP1
						if (Z_MODE(res_addr) == IS_REG) {
					dasm_put(Dst, 113460, (Z_REG(res_addr)));
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 113463, ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 113466, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 113469, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113472, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 113475, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 113478, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
#line 12916 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_DOUBLE, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
					dasm_put(Dst, 113482, ((uint32_t)(IS_DOUBLE)));
						} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
					dasm_put(Dst, 113485, ((uint32_t)(IS_DOUBLE) & 0xffff));
							if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
					dasm_put(Dst, 113488, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113491, (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 113494, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 113497, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 113500, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 113503, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 113506, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 113509, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 12917 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
			if (opline->result_type != IS_UNUSED
			 && (opline->opcode == ZEND_PRE_INC_OBJ || opline->opcode == ZEND_PRE_DEC_OBJ)
			 && prop_info
			 && !ZEND_TYPE_IS_SET(prop_info->type)
			 && (res_info & MAY_BE_GUARD)
			 && (res_info & MAY_BE_LONG)) {
				zend_jit_trace_stack *stack = JIT_G(current_frame)->stack;
				uint32_t old_res_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var));
				int32_t exit_point;
				const void *exit_addr;

				SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_DOUBLE, 0);
				exit_point = zend_jit_trace_get_exit_point(opline + 1, 0);
				exit_addr = zend_jit_trace_get_exit_addr(exit_point);
				if (!exit_addr) {
					return 0;
				}
				SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var), old_res_info);
				ssa->var_info[ssa_op->result_def].type = res_info & ~MAY_BE_GUARD;
				//|	b &exit_addr
				//|.code
				dasm_put(Dst, 113513, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 12940 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	b >4
				//|.code
				dasm_put(Dst, 113516);
#line 12943 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|4:
				dasm_put(Dst, 113519);
#line 12944 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
	}

	if (needs_slow_path) {
		may_throw = 1;
		//|.cold_code
		dasm_put(Dst, 113521);
#line 12951 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|7:
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 113522);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 113524, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 113527);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 113529, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 113532, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 113535, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 113538, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 113541, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 113544, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 113547, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 113550, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 113553, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 113556, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 113559, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 12953 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	// value = zobj->handlers->write_property(zobj, name, value, CACHE_ADDR(opline->extended_value));
		//|	LOAD_ADDR FCARG2x, name
			if (((uintptr_t)(name)) == 0) {
		dasm_put(Dst, 113562);
			} else if (((uintptr_t)(name)) <= MOVZ_IMM) {
		dasm_put(Dst, 113564, ((uint64_t)(name)));
			} else if (arm64_may_use_adr((void*)(name))) {
		dasm_put(Dst, 113567, (unsigned int)((ptrdiff_t)(name)), (unsigned int)(((ptrdiff_t)(name))>>32));
			} else if (arm64_may_use_adrp((void*)(name))) {
		dasm_put(Dst, 113570, (unsigned int)((ptrdiff_t)((((uintptr_t)(name))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(name)))))>>32));
				if (((uintptr_t)(name)) & 0xfff) {
		dasm_put(Dst, 113573, (((uintptr_t)(name)) & 0xfff));
				}
			} else if ((uintptr_t)(name) & 0xffff) {
		dasm_put(Dst, 113576, ((uintptr_t)(name) & 0xffff));
				if (((uintptr_t)(name) >> 16) & 0xffff) {
		dasm_put(Dst, 113579, (((uintptr_t)(name) >> 16) & 0xffff));
				}
				if (((uintptr_t)(name) >> 32) & 0xffff) {
		dasm_put(Dst, 113582, (((uintptr_t)(name) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(name) >> 16) & 0xffff) {
		dasm_put(Dst, 113585, (((uintptr_t)(name) >> 16) & 0xffff));
				if (((uintptr_t)(name) >> 32) & 0xffff) {
		dasm_put(Dst, 113588, (((uintptr_t)(name) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 113591, (((uintptr_t)(name) >> 32) & 0xffff));
			}
#line 12955 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr CARG3, EX->run_time_cache
		//|	ADD_SUB_64_WITH_CONST_32 add, CARG3, CARG3, opline->extended_value, TMP1
		dasm_put(Dst, 113594, Dt1(->run_time_cache));
			if (opline->extended_value == 0) {
		dasm_put(Dst, 113597);
			} else if (arm64_may_encode_imm12((int64_t)(opline->extended_value))) {
		dasm_put(Dst, 113599, opline->extended_value);
			} else {
			if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
		dasm_put(Dst, 113602, ((uint32_t)(opline->extended_value)));
			} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
		dasm_put(Dst, 113605, ((uint32_t)(opline->extended_value) & 0xffff));
				if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
		dasm_put(Dst, 113608, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 113611, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
		dasm_put(Dst, 113614);
			}
#line 12957 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->result_type == IS_UNUSED) {
			//|	mov CARG4, xzr
			dasm_put(Dst, 113616);
#line 12959 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	LOAD_ZVAL_ADDR CARG4, res_addr
				if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
			dasm_put(Dst, 113618);
				} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 113620, ((uint64_t)(Z_ZV(res_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 113623, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 113626, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
			dasm_put(Dst, 113629, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
			dasm_put(Dst, 113632, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 113635, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 113638, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 113641, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 113644, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 113647, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(res_addr)) {
				if (Z_OFFSET(res_addr) == 0) {
			dasm_put(Dst, 113650, (Z_REG(res_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
			dasm_put(Dst, 113653, (Z_REG(res_addr)), Z_OFFSET(res_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 113657, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 113660, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 113663, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 113666, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 113669, (Z_REG(res_addr)));
				}
					} else {
						if (Z_REG(res_addr) == ZREG_RSP) {
			dasm_put(Dst, 113672);
						} else {
			dasm_put(Dst, 113674, (Z_REG(res_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 12961 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		switch (opline->opcode) {
			case ZEND_PRE_INC_OBJ:
				//|	EXT_CALL zend_jit_pre_inc_obj_helper, REG0
					if (arm64_may_use_b(zend_jit_pre_inc_obj_helper)) {
				dasm_put(Dst, 113677, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc_obj_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_pre_inc_obj_helper)) == 0) {
				dasm_put(Dst, 113680);
					} else if (((uintptr_t)(zend_jit_pre_inc_obj_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 113682, ((uint64_t)(zend_jit_pre_inc_obj_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_pre_inc_obj_helper))) {
				dasm_put(Dst, 113685, (unsigned int)((ptrdiff_t)(zend_jit_pre_inc_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_inc_obj_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_pre_inc_obj_helper))) {
				dasm_put(Dst, 113688, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc_obj_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_inc_obj_helper)))))>>32));
						if (((uintptr_t)(zend_jit_pre_inc_obj_helper)) & 0xfff) {
				dasm_put(Dst, 113691, (((uintptr_t)(zend_jit_pre_inc_obj_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_pre_inc_obj_helper) & 0xffff) {
				dasm_put(Dst, 113694, ((uintptr_t)(zend_jit_pre_inc_obj_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_pre_inc_obj_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 113697, (((uintptr_t)(zend_jit_pre_inc_obj_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_pre_inc_obj_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 113700, (((uintptr_t)(zend_jit_pre_inc_obj_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_pre_inc_obj_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 113703, (((uintptr_t)(zend_jit_pre_inc_obj_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_pre_inc_obj_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 113706, (((uintptr_t)(zend_jit_pre_inc_obj_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113709, (((uintptr_t)(zend_jit_pre_inc_obj_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 113712);
					}
#line 12966 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_PRE_DEC_OBJ:
				//|	EXT_CALL zend_jit_pre_dec_obj_helper, REG0
					if (arm64_may_use_b(zend_jit_pre_dec_obj_helper)) {
				dasm_put(Dst, 113714, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec_obj_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_pre_dec_obj_helper)) == 0) {
				dasm_put(Dst, 113717);
					} else if (((uintptr_t)(zend_jit_pre_dec_obj_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 113719, ((uint64_t)(zend_jit_pre_dec_obj_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_pre_dec_obj_helper))) {
				dasm_put(Dst, 113722, (unsigned int)((ptrdiff_t)(zend_jit_pre_dec_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_pre_dec_obj_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_pre_dec_obj_helper))) {
				dasm_put(Dst, 113725, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec_obj_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_pre_dec_obj_helper)))))>>32));
						if (((uintptr_t)(zend_jit_pre_dec_obj_helper)) & 0xfff) {
				dasm_put(Dst, 113728, (((uintptr_t)(zend_jit_pre_dec_obj_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_pre_dec_obj_helper) & 0xffff) {
				dasm_put(Dst, 113731, ((uintptr_t)(zend_jit_pre_dec_obj_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_pre_dec_obj_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 113734, (((uintptr_t)(zend_jit_pre_dec_obj_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_pre_dec_obj_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 113737, (((uintptr_t)(zend_jit_pre_dec_obj_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_pre_dec_obj_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 113740, (((uintptr_t)(zend_jit_pre_dec_obj_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_pre_dec_obj_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 113743, (((uintptr_t)(zend_jit_pre_dec_obj_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113746, (((uintptr_t)(zend_jit_pre_dec_obj_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 113749);
					}
#line 12969 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_POST_INC_OBJ:
				//|	EXT_CALL zend_jit_post_inc_obj_helper, REG0
					if (arm64_may_use_b(zend_jit_post_inc_obj_helper)) {
				dasm_put(Dst, 113751, (unsigned int)((ptrdiff_t)(zend_jit_post_inc_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_post_inc_obj_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_post_inc_obj_helper)) == 0) {
				dasm_put(Dst, 113754);
					} else if (((uintptr_t)(zend_jit_post_inc_obj_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 113756, ((uint64_t)(zend_jit_post_inc_obj_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_post_inc_obj_helper))) {
				dasm_put(Dst, 113759, (unsigned int)((ptrdiff_t)(zend_jit_post_inc_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_post_inc_obj_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_post_inc_obj_helper))) {
				dasm_put(Dst, 113762, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_post_inc_obj_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_post_inc_obj_helper)))))>>32));
						if (((uintptr_t)(zend_jit_post_inc_obj_helper)) & 0xfff) {
				dasm_put(Dst, 113765, (((uintptr_t)(zend_jit_post_inc_obj_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_post_inc_obj_helper) & 0xffff) {
				dasm_put(Dst, 113768, ((uintptr_t)(zend_jit_post_inc_obj_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_post_inc_obj_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 113771, (((uintptr_t)(zend_jit_post_inc_obj_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_post_inc_obj_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 113774, (((uintptr_t)(zend_jit_post_inc_obj_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_post_inc_obj_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 113777, (((uintptr_t)(zend_jit_post_inc_obj_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_post_inc_obj_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 113780, (((uintptr_t)(zend_jit_post_inc_obj_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113783, (((uintptr_t)(zend_jit_post_inc_obj_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 113786);
					}
#line 12972 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			case ZEND_POST_DEC_OBJ:
				//|	EXT_CALL zend_jit_post_dec_obj_helper, REG0
					if (arm64_may_use_b(zend_jit_post_dec_obj_helper)) {
				dasm_put(Dst, 113788, (unsigned int)((ptrdiff_t)(zend_jit_post_dec_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_post_dec_obj_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_post_dec_obj_helper)) == 0) {
				dasm_put(Dst, 113791);
					} else if (((uintptr_t)(zend_jit_post_dec_obj_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 113793, ((uint64_t)(zend_jit_post_dec_obj_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_post_dec_obj_helper))) {
				dasm_put(Dst, 113796, (unsigned int)((ptrdiff_t)(zend_jit_post_dec_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_post_dec_obj_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_post_dec_obj_helper))) {
				dasm_put(Dst, 113799, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_post_dec_obj_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_post_dec_obj_helper)))))>>32));
						if (((uintptr_t)(zend_jit_post_dec_obj_helper)) & 0xfff) {
				dasm_put(Dst, 113802, (((uintptr_t)(zend_jit_post_dec_obj_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_post_dec_obj_helper) & 0xffff) {
				dasm_put(Dst, 113805, ((uintptr_t)(zend_jit_post_dec_obj_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_post_dec_obj_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 113808, (((uintptr_t)(zend_jit_post_dec_obj_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_post_dec_obj_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 113811, (((uintptr_t)(zend_jit_post_dec_obj_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_post_dec_obj_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 113814, (((uintptr_t)(zend_jit_post_dec_obj_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_post_dec_obj_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 113817, (((uintptr_t)(zend_jit_post_dec_obj_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 113820, (((uintptr_t)(zend_jit_post_dec_obj_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 113823);
					}
#line 12975 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				break;
			default:
				ZEND_UNREACHABLE();
		}

		//|	b >9
		//|.code
		dasm_put(Dst, 113825);
#line 12982 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|9:
	dasm_put(Dst, 113828);
#line 12985 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (opline->op1_type != IS_UNUSED && !delayed_fetch_this && !op1_indirect) {
		if ((op1_info & MAY_HAVE_DTOR) && (op1_info & MAY_BE_RC1)) {
			may_throw = 1;
		}
		//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
			if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (1) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 113830, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 113834, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 113838, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 113842, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 113846, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 113851, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 113856, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 113859, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 113863, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 113867, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 113871, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 113875, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 113879, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 113883);
		dasm_put(Dst, 113886);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 113888, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 113892, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 113896, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 113900, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 113904, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 113909, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 113914, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 113917, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 113921, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 113925, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 113929, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 113933, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 113937, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 113941);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 113944, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 113948, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 113952, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 113956, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 113960, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 113964, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 113968, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 113976);
						} else {
		dasm_put(Dst, 113979);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 113982, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 113985, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 113988, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 113992, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 113996, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 114000, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 114005, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 114009, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 114013, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 114017, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 114021, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114025, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 114029, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 114032, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 114035, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 114038, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 114042, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 114046, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 114050, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 114055, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 114059, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 114063, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 114067, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 114071, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114075, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 114079, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 114083, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 114086, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 114089, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 114093, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 114097, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 114101, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 114106, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 114110, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 114114, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 114118, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 114122, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114126, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 114130, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 114133, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 114136, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 114139, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 114143, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 114147, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 114151, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 114156, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 114160, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 114164, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 114168, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 114172, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114176, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 114180, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 114183, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 114186);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 114188, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 114191, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 114194, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 114197, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 114200, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 114203, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 114206, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 114209, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 114212, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114215, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 114218, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 114221, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 114224, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 114227, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 114231, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 114235, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 114239, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 114244, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 114248, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 114252, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 114256, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 114260, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114264, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 114268, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 114271, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 114274, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 114277, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 114281, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 114285, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 114289, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 114294, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 114298, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 114302, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 114306, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 114310, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114314, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 114318, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 114322, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 114325, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 114328, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 114332, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 114336, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 114340, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 114345, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 114349, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 114353, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 114357, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 114361, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114365, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 114369, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 114372);
					}
		dasm_put(Dst, 114375);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 114377, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 114381, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 114385, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114389, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 114393, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 114398, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 114403, (ZREG_X15));
			} else {
		dasm_put(Dst, 114407, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 114413, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 114417, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 114421, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114425, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 114429, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 114434, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 114439, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 114442, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 114446, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 114450, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 114454, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114458, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 114462, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 114466);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 114469, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 114473, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 114477, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114481, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 114485, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 114489, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 114493);
					}
		dasm_put(Dst, 114495, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 114498, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 114501, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 114505, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 114509, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 114513, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114517, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 114521, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 114525);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 114528, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 114531, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 114534, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 114538, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 114542, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 114546, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 114551, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 114555, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 114559, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 114563, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 114567, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114571, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 114575, (ZREG_X15));
			}
				}
				if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 114578);
				}
		dasm_put(Dst, 114581);
			}
			}
#line 12990 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (may_throw) {
		if (!zend_jit_check_exception(Dst)) {
			return 0;
		}
	}

	return 1;
}

static int zend_jit_assign_obj_op(dasm_State          **Dst,
                                  const zend_op        *opline,
                                  const zend_op_array  *op_array,
                                  zend_ssa             *ssa,
                                  const zend_ssa_op    *ssa_op,
                                  uint32_t              op1_info,
                                  zend_jit_addr         op1_addr,
                                  uint32_t              val_info,
                                  zend_ssa_range       *val_range,
                                  bool                  op1_indirect,
                                  zend_class_entry     *ce,
                                  bool                  ce_is_instanceof,
                                  bool                  on_this,
                                  bool                  delayed_fetch_this,
                                  zend_class_entry     *trace_ce,
                                  uint8_t               prop_type)
{
	zval *member;
	zend_string *name;
	zend_property_info *prop_info;
	zend_jit_addr val_addr = OP1_DATA_ADDR();
	zend_jit_addr this_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, offsetof(zend_execute_data, This));
	zend_jit_addr prop_addr;
	bool needs_slow_path = 0;
	bool use_prop_guard = 0;
	bool may_throw = 0;
	binary_op_type binary_op = get_binary_op(opline->extended_value);

	ZEND_ASSERT(opline->op2_type == IS_CONST);
	ZEND_ASSERT(op1_info & MAY_BE_OBJECT);
	ZEND_ASSERT(opline->result_type == IS_UNUSED);

	member = RT_CONSTANT(opline, opline->op2);
	ZEND_ASSERT(Z_TYPE_P(member) == IS_STRING && Z_STRVAL_P(member)[0] != '\0');
	name = Z_STR_P(member);
	prop_info = zend_get_known_property_info(op_array, ce, name, on_this, op_array->filename);

	if (on_this) {
		//|	GET_ZVAL_PTR FCARG1x, this_addr, TMP1
			ZEND_ASSERT(Z_MODE(this_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(this_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(this_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 114583, ((uint32_t)(Z_OFFSET(this_addr))));
			} else if (((uint32_t)(Z_OFFSET(this_addr)) & 0xffff)) {
		dasm_put(Dst, 114586, ((uint32_t)(Z_OFFSET(this_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 114589, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 114592, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 114595, (Z_REG(this_addr)));
			} else {
		dasm_put(Dst, 114598, (Z_REG(this_addr)), (Z_OFFSET(this_addr)));
			}
#line 13040 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if (opline->op1_type == IS_VAR
		 && (op1_info & MAY_BE_INDIRECT)
		 && Z_REG(op1_addr) == ZREG_FP) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 114602);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 114604, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 114607, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 114610, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 114613, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 114616, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 114619, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 114622, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 114625, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 114628, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 114631, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 114634, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 114637, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 114641, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 114644, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 114647, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 114650, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 114653, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 114656);
						} else {
			dasm_put(Dst, 114658, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 13045 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	IF_NOT_Z_TYPE FCARG1x, IS_INDIRECT, >1, TMP1w
			dasm_put(Dst, 114661, offsetof(zval, u1.v.type));
				if (IS_INDIRECT == 0) {
			dasm_put(Dst, 114664);
				} else {
			dasm_put(Dst, 114667, IS_INDIRECT);
				}
#line 13046 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_Z_PTR FCARG1x, FCARG1x
			//|1:
			dasm_put(Dst, 114672);
#line 13048 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		}
		if (op1_info & MAY_BE_REF) {
			if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 114675);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 114677, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 114680, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 114683, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 114686, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 114689, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 114692, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 114695, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 114698, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 114701, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 114704, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 114707, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 114710, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 114714, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 114717, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 114720, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 114723, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 114726, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 114729);
							} else {
				dasm_put(Dst, 114731, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 13053 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
				if (op1_info & MAY_BE_REF) {
			dasm_put(Dst, 114734, offsetof(zval, u1.v.type));
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 114737);
				} else {
			dasm_put(Dst, 114740, IS_REFERENCE);
				}
			dasm_put(Dst, 114745, offsetof(zend_reference, val));
				}
#line 13055 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		}
		if (op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY)- MAY_BE_OBJECT)) {
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, &exit_addr, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 114750, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 114754, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 114758, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 114762, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 114766, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 114771, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_OBJECT == 0) {
				dasm_put(Dst, 114776, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					} else {
				dasm_put(Dst, 114780, (ZREG_X15), IS_OBJECT, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					}
#line 13066 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, >1, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 114786, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 114790, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 114794, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 114798, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 114802, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 114807, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_OBJECT == 0) {
				dasm_put(Dst, 114812, (ZREG_X15));
					} else {
				dasm_put(Dst, 114816, (ZREG_X15), IS_OBJECT);
					}
#line 13068 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|.cold_code
				dasm_put(Dst, 114822);
#line 13069 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	SET_EX_OPLINE opline, REG0
				dasm_put(Dst, 114823);
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 114825, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 114828);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 114830, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 114833, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 114836, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 114839, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 114842, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 114845, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 114848, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 114851, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 114854, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 114857, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 114860, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 13071 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
					//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
					dasm_put(Dst, 114863);
						} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 114865, ((uint64_t)(Z_ZV(op1_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 114868, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 114871, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
					dasm_put(Dst, 114874, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
					dasm_put(Dst, 114877, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 114880, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 114883, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 114886, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 114889, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 114892, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(op1_addr)) {
						if (Z_OFFSET(op1_addr) == 0) {
					dasm_put(Dst, 114895, (Z_REG(op1_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
					dasm_put(Dst, 114898, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 114902, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 114905, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 114908, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 114911, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 114914, (Z_REG(op1_addr)));
						}
							} else {
								if (Z_REG(op1_addr) == ZREG_RSP) {
					dasm_put(Dst, 114917);
								} else {
					dasm_put(Dst, 114919, (Z_REG(op1_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 13073 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	LOAD_ADDR FCARG2x, ZSTR_VAL(name)
					if (((uintptr_t)(ZSTR_VAL(name))) == 0) {
				dasm_put(Dst, 114922);
					} else if (((uintptr_t)(ZSTR_VAL(name))) <= MOVZ_IMM) {
				dasm_put(Dst, 114924, ((uint64_t)(ZSTR_VAL(name))));
					} else if (arm64_may_use_adr((void*)(ZSTR_VAL(name)))) {
				dasm_put(Dst, 114927, (unsigned int)((ptrdiff_t)(ZSTR_VAL(name))), (unsigned int)(((ptrdiff_t)(ZSTR_VAL(name)))>>32));
					} else if (arm64_may_use_adrp((void*)(ZSTR_VAL(name)))) {
				dasm_put(Dst, 114930, (unsigned int)((ptrdiff_t)((((uintptr_t)(ZSTR_VAL(name)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(ZSTR_VAL(name))))))>>32));
						if (((uintptr_t)(ZSTR_VAL(name))) & 0xfff) {
				dasm_put(Dst, 114933, (((uintptr_t)(ZSTR_VAL(name))) & 0xfff));
						}
					} else if ((uintptr_t)(ZSTR_VAL(name)) & 0xffff) {
				dasm_put(Dst, 114936, ((uintptr_t)(ZSTR_VAL(name)) & 0xffff));
						if (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff) {
				dasm_put(Dst, 114939, (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff) {
				dasm_put(Dst, 114942, (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff) {
				dasm_put(Dst, 114945, (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff));
						if (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff) {
				dasm_put(Dst, 114948, (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 114951, (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff));
					}
#line 13075 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op1_info & MAY_BE_UNDEF) {
					//|	EXT_CALL zend_jit_invalid_property_assign_op, REG0
						if (arm64_may_use_b(zend_jit_invalid_property_assign_op)) {
					dasm_put(Dst, 114954, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_assign_op)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_assign_op))>>32));
						} else {
						if (((uintptr_t)(zend_jit_invalid_property_assign_op)) == 0) {
					dasm_put(Dst, 114957);
						} else if (((uintptr_t)(zend_jit_invalid_property_assign_op)) <= MOVZ_IMM) {
					dasm_put(Dst, 114959, ((uint64_t)(zend_jit_invalid_property_assign_op)));
						} else if (arm64_may_use_adr((void*)(zend_jit_invalid_property_assign_op))) {
					dasm_put(Dst, 114962, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_assign_op)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_assign_op))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_invalid_property_assign_op))) {
					dasm_put(Dst, 114965, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_assign_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_assign_op)))))>>32));
							if (((uintptr_t)(zend_jit_invalid_property_assign_op)) & 0xfff) {
					dasm_put(Dst, 114968, (((uintptr_t)(zend_jit_invalid_property_assign_op)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_invalid_property_assign_op) & 0xffff) {
					dasm_put(Dst, 114971, ((uintptr_t)(zend_jit_invalid_property_assign_op) & 0xffff));
							if (((uintptr_t)(zend_jit_invalid_property_assign_op) >> 16) & 0xffff) {
					dasm_put(Dst, 114974, (((uintptr_t)(zend_jit_invalid_property_assign_op) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_invalid_property_assign_op) >> 32) & 0xffff) {
					dasm_put(Dst, 114977, (((uintptr_t)(zend_jit_invalid_property_assign_op) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_invalid_property_assign_op) >> 16) & 0xffff) {
					dasm_put(Dst, 114980, (((uintptr_t)(zend_jit_invalid_property_assign_op) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_invalid_property_assign_op) >> 32) & 0xffff) {
					dasm_put(Dst, 114983, (((uintptr_t)(zend_jit_invalid_property_assign_op) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 114986, (((uintptr_t)(zend_jit_invalid_property_assign_op) >> 32) & 0xffff));
						}
					dasm_put(Dst, 114989);
						}
#line 13077 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	EXT_CALL zend_jit_invalid_property_assign, REG0
						if (arm64_may_use_b(zend_jit_invalid_property_assign)) {
					dasm_put(Dst, 114991, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_assign)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_assign))>>32));
						} else {
						if (((uintptr_t)(zend_jit_invalid_property_assign)) == 0) {
					dasm_put(Dst, 114994);
						} else if (((uintptr_t)(zend_jit_invalid_property_assign)) <= MOVZ_IMM) {
					dasm_put(Dst, 114996, ((uint64_t)(zend_jit_invalid_property_assign)));
						} else if (arm64_may_use_adr((void*)(zend_jit_invalid_property_assign))) {
					dasm_put(Dst, 114999, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_assign)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_assign))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_jit_invalid_property_assign))) {
					dasm_put(Dst, 115002, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_assign))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_assign)))))>>32));
							if (((uintptr_t)(zend_jit_invalid_property_assign)) & 0xfff) {
					dasm_put(Dst, 115005, (((uintptr_t)(zend_jit_invalid_property_assign)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_jit_invalid_property_assign) & 0xffff) {
					dasm_put(Dst, 115008, ((uintptr_t)(zend_jit_invalid_property_assign) & 0xffff));
							if (((uintptr_t)(zend_jit_invalid_property_assign) >> 16) & 0xffff) {
					dasm_put(Dst, 115011, (((uintptr_t)(zend_jit_invalid_property_assign) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff) {
					dasm_put(Dst, 115014, (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_jit_invalid_property_assign) >> 16) & 0xffff) {
					dasm_put(Dst, 115017, (((uintptr_t)(zend_jit_invalid_property_assign) >> 16) & 0xffff));
							if (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff) {
					dasm_put(Dst, 115020, (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 115023, (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff));
						}
					dasm_put(Dst, 115026);
						}
#line 13079 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				may_throw = 1;
				if (((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR))
				 && (val_info & (MAY_BE_REF|MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					//|	b >8
					dasm_put(Dst, 115028);
#line 13084 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	b >9
					dasm_put(Dst, 115031);
#line 13086 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|.code
				dasm_put(Dst, 115034);
#line 13088 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 115035, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 115038, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 115041, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 115044, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 115047, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 115050, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
#line 13091 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (!prop_info && trace_ce && (trace_ce->ce_flags & ZEND_ACC_IMMUTABLE)) {
		prop_info = zend_get_known_property_info(op_array, trace_ce, name, on_this, op_array->filename);
		if (prop_info) {
			ce = trace_ce;
			ce_is_instanceof = 0;
			if (!(op1_info & MAY_BE_CLASS_GUARD)) {
				if (on_this && JIT_G(current_frame)
				 && TRACE_FRAME_IS_THIS_CLASS_CHECKED(JIT_G(current_frame))) {
					ZEND_ASSERT(JIT_G(current_frame)->ce == ce);
				} else if (zend_jit_class_guard(Dst, opline, ce)) {
					if (on_this && JIT_G(current_frame)) {
						JIT_G(current_frame)->ce = ce;
						TRACE_FRAME_SET_THIS_CLASS_CHECKED(JIT_G(current_frame));
					}
				} else {
					return 0;
				}
				if (ssa->var_info && ssa_op->op1_use >= 0) {
					ssa->var_info[ssa_op->op1_use].type |= MAY_BE_CLASS_GUARD;
					ssa->var_info[ssa_op->op1_use].ce = ce;
					ssa->var_info[ssa_op->op1_use].is_instanceof = ce_is_instanceof;
				}
				if (ssa->var_info && ssa_op->op1_def >= 0) {
					ssa->var_info[ssa_op->op1_def].type |= MAY_BE_CLASS_GUARD;
					ssa->var_info[ssa_op->op1_def].ce = ce;
					ssa->var_info[ssa_op->op1_def].is_instanceof = ce_is_instanceof;
				}
			}
		}
	}

	use_prop_guard = (prop_type != IS_UNKNOWN
		&& prop_type != IS_UNDEF
		&& prop_type != IS_REFERENCE
		&& (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_OBJECT);

	if (!prop_info) {
		needs_slow_path = 1;

		//|	ldr REG0, EX->run_time_cache
		//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG2, REG0, ((opline+1)->extended_value), TMP1
		dasm_put(Dst, 115054, Dt1(->run_time_cache));
			if (((uintptr_t)(((opline+1)->extended_value))) > LDR_STR_PIMM64) {
			if (((uint32_t)(((opline+1)->extended_value))) <= MOVZ_IMM) {
		dasm_put(Dst, 115057, ((uint32_t)(((opline+1)->extended_value))));
			} else if (((uint32_t)(((opline+1)->extended_value)) & 0xffff)) {
		dasm_put(Dst, 115060, ((uint32_t)(((opline+1)->extended_value)) & 0xffff));
				if ((((uint32_t)(((opline+1)->extended_value)) >> 16) & 0xffff)) {
		dasm_put(Dst, 115063, (((uint32_t)(((opline+1)->extended_value)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 115066, (((uint32_t)(((opline+1)->extended_value)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 115069);
			} else {
		dasm_put(Dst, 115071, (((opline+1)->extended_value)));
			}
#line 13134 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr TMP2, [FCARG1x, #offsetof(zend_object, ce)]
		//|	cmp REG2, TMP2
		//|	bne >7
		dasm_put(Dst, 115074, offsetof(zend_object, ce));
#line 13137 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!ce || ce_is_instanceof || (ce->ce_flags & (ZEND_ACC_HAS_TYPE_HINTS|ZEND_ACC_TRAIT))) {
			//|	MEM_ACCESS_64_WITH_UOFFSET ldr, TMP1, REG0, ((opline+1)->extended_value + sizeof(void*) * 2), TMP1
				if (((uintptr_t)(((opline+1)->extended_value + sizeof(void*) * 2))) > LDR_STR_PIMM64) {
				if (((uint32_t)(((opline+1)->extended_value + sizeof(void*) * 2))) <= MOVZ_IMM) {
			dasm_put(Dst, 115080, ((uint32_t)(((opline+1)->extended_value + sizeof(void*) * 2))));
				} else if (((uint32_t)(((opline+1)->extended_value + sizeof(void*) * 2)) & 0xffff)) {
			dasm_put(Dst, 115083, ((uint32_t)(((opline+1)->extended_value + sizeof(void*) * 2)) & 0xffff));
					if ((((uint32_t)(((opline+1)->extended_value + sizeof(void*) * 2)) >> 16) & 0xffff)) {
			dasm_put(Dst, 115086, (((uint32_t)(((opline+1)->extended_value + sizeof(void*) * 2)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115089, (((uint32_t)(((opline+1)->extended_value + sizeof(void*) * 2)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 115092);
				} else {
			dasm_put(Dst, 115094, (((opline+1)->extended_value + sizeof(void*) * 2)));
				}
#line 13139 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cbnz TMP1, >7
			dasm_put(Dst, 115097);
#line 13140 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, REG0, ((opline+1)->extended_value + sizeof(void*)), TMP1
			if (((uintptr_t)(((opline+1)->extended_value + sizeof(void*)))) > LDR_STR_PIMM64) {
			if (((uint32_t)(((opline+1)->extended_value + sizeof(void*)))) <= MOVZ_IMM) {
		dasm_put(Dst, 115100, ((uint32_t)(((opline+1)->extended_value + sizeof(void*)))));
			} else if (((uint32_t)(((opline+1)->extended_value + sizeof(void*))) & 0xffff)) {
		dasm_put(Dst, 115103, ((uint32_t)(((opline+1)->extended_value + sizeof(void*))) & 0xffff));
				if ((((uint32_t)(((opline+1)->extended_value + sizeof(void*))) >> 16) & 0xffff)) {
		dasm_put(Dst, 115106, (((uint32_t)(((opline+1)->extended_value + sizeof(void*))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 115109, (((uint32_t)(((opline+1)->extended_value + sizeof(void*))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 115112);
			} else {
		dasm_put(Dst, 115114, (((opline+1)->extended_value + sizeof(void*))));
			}
#line 13142 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	tst REG0, REG0
		//|	blt >7
		//|	add TMP1, FCARG1x, REG0
		dasm_put(Dst, 115117);
#line 13145 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!use_prop_guard) {
			//|	ldrb TMP2w, [TMP1, #offsetof(zval,u1.v.type)]
			//|	IF_TYPE TMP2w, IS_UNDEF, >7
			dasm_put(Dst, 115122, offsetof(zval,u1.v.type));
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 115125);
				} else {
			dasm_put(Dst, 115128, IS_UNDEF);
				}
#line 13148 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	mov FCARG1x, TMP1
		dasm_put(Dst, 115133);
#line 13150 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		prop_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	} else {
		prop_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, prop_info->offset);
		if (ZEND_TYPE_IS_SET(prop_info->type) || !use_prop_guard) {
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}
				//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, TMP2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.v.type)), TMP1
					if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
					if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
				dasm_put(Dst, 115135, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))));
					} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff)) {
				dasm_put(Dst, 115138, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff));
						if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
				dasm_put(Dst, 115141, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115144, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 115147);
					} else {
				dasm_put(Dst, 115149, ((prop_info->offset + offsetof(zval,u1.v.type))));
					}
#line 13162 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	IF_TYPE TMP2w, IS_UNDEF, &exit_addr
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 115152, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					} else {
				dasm_put(Dst, 115155, IS_UNDEF, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					}
#line 13163 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, TMP2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.v.type)), TMP1
					if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
					if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
				dasm_put(Dst, 115160, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))));
					} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff)) {
				dasm_put(Dst, 115163, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff));
						if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
				dasm_put(Dst, 115166, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115169, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 115172);
					} else {
				dasm_put(Dst, 115174, ((prop_info->offset + offsetof(zval,u1.v.type))));
					}
#line 13165 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	IF_TYPE TMP2w, IS_UNDEF, >7
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 115177);
					} else {
				dasm_put(Dst, 115180, IS_UNDEF);
					}
#line 13166 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				needs_slow_path = 1;
			}
		}
		if (ZEND_TYPE_IS_SET(prop_info->type)) {
			uint32_t info = val_info;

			may_throw = 1;

			if (opline) {
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 115185, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 115188);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 115190, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 115193, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 115196, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 115199, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 115202, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 115205, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 115208, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 115211, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 115214, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115217, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 115220, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 13176 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}

			//|	IF_ZVAL_TYPE prop_addr, IS_REFERENCE, >1, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(prop_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(prop_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(prop_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 115223, (ZREG_X15), ((uint32_t)(Z_OFFSET(prop_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(prop_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 115227, (ZREG_X15), ((uint32_t)(Z_OFFSET(prop_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(prop_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 115231, (ZREG_X15), (((uint32_t)(Z_OFFSET(prop_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115235, (ZREG_X15), (((uint32_t)(Z_OFFSET(prop_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 115239, (ZREG_X15), (Z_REG(prop_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 115244, (ZREG_X15), (Z_REG(prop_addr)), (Z_OFFSET(prop_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 115249, (ZREG_X15));
				} else {
			dasm_put(Dst, 115253, (ZREG_X15), IS_REFERENCE);
				}
#line 13179 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|.cold_code
			dasm_put(Dst, 115259);
#line 13180 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	GET_ZVAL_PTR FCARG1x, prop_addr, TMP1
			dasm_put(Dst, 115260);
				ZEND_ASSERT(Z_MODE(prop_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(prop_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 115262, ((uint32_t)(Z_OFFSET(prop_addr))));
				} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
			dasm_put(Dst, 115265, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 115268, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115271, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 115274, (Z_REG(prop_addr)));
				} else {
			dasm_put(Dst, 115277, (Z_REG(prop_addr)), (Z_OFFSET(prop_addr)));
				}
#line 13182 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_MODE(val_addr) != IS_MEM_ZVAL || Z_REG(val_addr) != ZREG_FCARG2 || Z_OFFSET(val_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG2x, val_addr
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
				dasm_put(Dst, 115281);
					} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 115283, ((uint64_t)(Z_ZV(val_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 115286, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 115289, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
				dasm_put(Dst, 115292, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
				dasm_put(Dst, 115295, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 115298, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 115301, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 115304, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 115307, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115310, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(val_addr)) {
					if (Z_OFFSET(val_addr) == 0) {
				dasm_put(Dst, 115313, (Z_REG(val_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
				dasm_put(Dst, 115316, (Z_REG(val_addr)), Z_OFFSET(val_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 115320, ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 115323, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 115326, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115329, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 115332, (Z_REG(val_addr)));
					}
						} else {
							if (Z_REG(val_addr) == ZREG_RSP) {
				dasm_put(Dst, 115335);
							} else {
				dasm_put(Dst, 115337, (Z_REG(val_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 13184 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ADDR CARG3, binary_op
				if (((uintptr_t)(binary_op)) == 0) {
			dasm_put(Dst, 115340);
				} else if (((uintptr_t)(binary_op)) <= MOVZ_IMM) {
			dasm_put(Dst, 115342, ((uint64_t)(binary_op)));
				} else if (arm64_may_use_adr((void*)(binary_op))) {
			dasm_put(Dst, 115345, (unsigned int)((ptrdiff_t)(binary_op)), (unsigned int)(((ptrdiff_t)(binary_op))>>32));
				} else if (arm64_may_use_adrp((void*)(binary_op))) {
			dasm_put(Dst, 115348, (unsigned int)((ptrdiff_t)((((uintptr_t)(binary_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(binary_op)))))>>32));
					if (((uintptr_t)(binary_op)) & 0xfff) {
			dasm_put(Dst, 115351, (((uintptr_t)(binary_op)) & 0xfff));
					}
				} else if ((uintptr_t)(binary_op) & 0xffff) {
			dasm_put(Dst, 115354, ((uintptr_t)(binary_op) & 0xffff));
					if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
			dasm_put(Dst, 115357, (((uintptr_t)(binary_op) >> 16) & 0xffff));
					}
					if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
			dasm_put(Dst, 115360, (((uintptr_t)(binary_op) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
			dasm_put(Dst, 115363, (((uintptr_t)(binary_op) >> 16) & 0xffff));
					if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
			dasm_put(Dst, 115366, (((uintptr_t)(binary_op) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115369, (((uintptr_t)(binary_op) >> 32) & 0xffff));
				}
#line 13186 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if ((opline->op2_type & (IS_TMP_VAR|IS_VAR))
			 && (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				//|	EXT_CALL zend_jit_assign_op_to_typed_ref_tmp, REG0
					if (arm64_may_use_b(zend_jit_assign_op_to_typed_ref_tmp)) {
				dasm_put(Dst, 115372, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp))>>32));
					} else {
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) == 0) {
				dasm_put(Dst, 115375);
					} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) <= MOVZ_IMM) {
				dasm_put(Dst, 115377, ((uint64_t)(zend_jit_assign_op_to_typed_ref_tmp)));
					} else if (arm64_may_use_adr((void*)(zend_jit_assign_op_to_typed_ref_tmp))) {
				dasm_put(Dst, 115380, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_assign_op_to_typed_ref_tmp))) {
				dasm_put(Dst, 115383, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)))))>>32));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) & 0xfff) {
				dasm_put(Dst, 115386, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) & 0xffff) {
				dasm_put(Dst, 115389, ((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) & 0xffff));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff) {
				dasm_put(Dst, 115392, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff) {
				dasm_put(Dst, 115395, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff) {
				dasm_put(Dst, 115398, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff) {
				dasm_put(Dst, 115401, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115404, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
					}
				dasm_put(Dst, 115407);
					}
#line 13189 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	EXT_CALL zend_jit_assign_op_to_typed_ref, REG0
					if (arm64_may_use_b(zend_jit_assign_op_to_typed_ref)) {
				dasm_put(Dst, 115409, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref))>>32));
					} else {
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) == 0) {
				dasm_put(Dst, 115412);
					} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) <= MOVZ_IMM) {
				dasm_put(Dst, 115414, ((uint64_t)(zend_jit_assign_op_to_typed_ref)));
					} else if (arm64_may_use_adr((void*)(zend_jit_assign_op_to_typed_ref))) {
				dasm_put(Dst, 115417, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_assign_op_to_typed_ref))) {
				dasm_put(Dst, 115420, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref)))))>>32));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) & 0xfff) {
				dasm_put(Dst, 115423, (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_assign_op_to_typed_ref) & 0xffff) {
				dasm_put(Dst, 115426, ((uintptr_t)(zend_jit_assign_op_to_typed_ref) & 0xffff));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff) {
				dasm_put(Dst, 115429, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff) {
				dasm_put(Dst, 115432, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff) {
				dasm_put(Dst, 115435, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff) {
				dasm_put(Dst, 115438, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115441, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
					}
				dasm_put(Dst, 115444);
					}
#line 13191 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	b >9
			//|.code
			dasm_put(Dst, 115446);
#line 13194 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

			//|	// value = zend_assign_to_typed_prop(prop_info, property_val, value EXECUTE_DATA_CC);

			if (ce && ce->ce_flags & ZEND_ACC_IMMUTABLE) {
				//|	LOAD_ADDR FCARG2x, prop_info
					if (((uintptr_t)(prop_info)) == 0) {
				dasm_put(Dst, 115449);
					} else if (((uintptr_t)(prop_info)) <= MOVZ_IMM) {
				dasm_put(Dst, 115451, ((uint64_t)(prop_info)));
					} else if (arm64_may_use_adr((void*)(prop_info))) {
				dasm_put(Dst, 115454, (unsigned int)((ptrdiff_t)(prop_info)), (unsigned int)(((ptrdiff_t)(prop_info))>>32));
					} else if (arm64_may_use_adrp((void*)(prop_info))) {
				dasm_put(Dst, 115457, (unsigned int)((ptrdiff_t)((((uintptr_t)(prop_info))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(prop_info)))))>>32));
						if (((uintptr_t)(prop_info)) & 0xfff) {
				dasm_put(Dst, 115460, (((uintptr_t)(prop_info)) & 0xfff));
						}
					} else if ((uintptr_t)(prop_info) & 0xffff) {
				dasm_put(Dst, 115463, ((uintptr_t)(prop_info) & 0xffff));
						if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
				dasm_put(Dst, 115466, (((uintptr_t)(prop_info) >> 16) & 0xffff));
						}
						if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
				dasm_put(Dst, 115469, (((uintptr_t)(prop_info) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
				dasm_put(Dst, 115472, (((uintptr_t)(prop_info) >> 16) & 0xffff));
						if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
				dasm_put(Dst, 115475, (((uintptr_t)(prop_info) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115478, (((uintptr_t)(prop_info) >> 32) & 0xffff));
					}
#line 13199 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				int prop_info_offset =
					(((prop_info->offset - (sizeof(zend_object) - sizeof(zval))) / sizeof(zval)) * sizeof(void*));

				//|	ldr REG0, [FCARG1x, #offsetof(zend_object, ce)]
				//|	ldr	REG0, [REG0, #offsetof(zend_class_entry, properties_info_table)]
				//|	MEM_ACCESS_64_WITH_UOFFSET ldr, FCARG2x, REG0, prop_info_offset, TMP1
				dasm_put(Dst, 115481, offsetof(zend_object, ce), offsetof(zend_class_entry, properties_info_table));
					if (((uintptr_t)(prop_info_offset)) > LDR_STR_PIMM64) {
					if (((uint32_t)(prop_info_offset)) <= MOVZ_IMM) {
				dasm_put(Dst, 115486, ((uint32_t)(prop_info_offset)));
					} else if (((uint32_t)(prop_info_offset) & 0xffff)) {
				dasm_put(Dst, 115489, ((uint32_t)(prop_info_offset) & 0xffff));
						if ((((uint32_t)(prop_info_offset) >> 16) & 0xffff)) {
				dasm_put(Dst, 115492, (((uint32_t)(prop_info_offset) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 115495, (((uint32_t)(prop_info_offset) >> 16) & 0xffff));
					}
				dasm_put(Dst, 115498);
					} else {
				dasm_put(Dst, 115500, (prop_info_offset));
					}
#line 13206 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ZVAL_ADDR FCARG1x, prop_addr
				if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
			dasm_put(Dst, 115503);
				} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 115505, ((uint64_t)(Z_ZV(prop_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 115508, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 115511, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
			dasm_put(Dst, 115514, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
			dasm_put(Dst, 115517, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 115520, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 115523, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 115526, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 115529, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115532, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(prop_addr)) {
				if (Z_OFFSET(prop_addr) == 0) {
			dasm_put(Dst, 115535, (Z_REG(prop_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
			dasm_put(Dst, 115538, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 115542, ((uint32_t)(Z_OFFSET(prop_addr))));
				} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
			dasm_put(Dst, 115545, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 115548, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115551, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 115554, (Z_REG(prop_addr)));
				}
					} else {
						if (Z_REG(prop_addr) == ZREG_RSP) {
			dasm_put(Dst, 115557);
						} else {
			dasm_put(Dst, 115559, (Z_REG(prop_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 13208 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_ZVAL_ADDR CARG3, val_addr
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 115562);
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 115564, ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 115567, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 115570, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 115573, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 115576, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 115579, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 115582, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 115585, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 115588, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115591, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(val_addr)) {
				if (Z_OFFSET(val_addr) == 0) {
			dasm_put(Dst, 115594, (Z_REG(val_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
			dasm_put(Dst, 115597, (Z_REG(val_addr)), Z_OFFSET(val_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 115601, ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 115604, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 115607, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115610, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 115613, (Z_REG(val_addr)));
				}
					} else {
						if (Z_REG(val_addr) == ZREG_RSP) {
			dasm_put(Dst, 115616);
						} else {
			dasm_put(Dst, 115618, (Z_REG(val_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 13209 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_ADDR CARG4, binary_op
				if (((uintptr_t)(binary_op)) == 0) {
			dasm_put(Dst, 115621);
				} else if (((uintptr_t)(binary_op)) <= MOVZ_IMM) {
			dasm_put(Dst, 115623, ((uint64_t)(binary_op)));
				} else if (arm64_may_use_adr((void*)(binary_op))) {
			dasm_put(Dst, 115626, (unsigned int)((ptrdiff_t)(binary_op)), (unsigned int)(((ptrdiff_t)(binary_op))>>32));
				} else if (arm64_may_use_adrp((void*)(binary_op))) {
			dasm_put(Dst, 115629, (unsigned int)((ptrdiff_t)((((uintptr_t)(binary_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(binary_op)))))>>32));
					if (((uintptr_t)(binary_op)) & 0xfff) {
			dasm_put(Dst, 115632, (((uintptr_t)(binary_op)) & 0xfff));
					}
				} else if ((uintptr_t)(binary_op) & 0xffff) {
			dasm_put(Dst, 115635, ((uintptr_t)(binary_op) & 0xffff));
					if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
			dasm_put(Dst, 115638, (((uintptr_t)(binary_op) >> 16) & 0xffff));
					}
					if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
			dasm_put(Dst, 115641, (((uintptr_t)(binary_op) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
			dasm_put(Dst, 115644, (((uintptr_t)(binary_op) >> 16) & 0xffff));
					if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
			dasm_put(Dst, 115647, (((uintptr_t)(binary_op) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115650, (((uintptr_t)(binary_op) >> 32) & 0xffff));
				}
#line 13210 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

			//|	EXT_CALL zend_jit_assign_op_to_typed_prop, REG0
				if (arm64_may_use_b(zend_jit_assign_op_to_typed_prop)) {
			dasm_put(Dst, 115653, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_prop))>>32));
				} else {
				if (((uintptr_t)(zend_jit_assign_op_to_typed_prop)) == 0) {
			dasm_put(Dst, 115656);
				} else if (((uintptr_t)(zend_jit_assign_op_to_typed_prop)) <= MOVZ_IMM) {
			dasm_put(Dst, 115658, ((uint64_t)(zend_jit_assign_op_to_typed_prop)));
				} else if (arm64_may_use_adr((void*)(zend_jit_assign_op_to_typed_prop))) {
			dasm_put(Dst, 115661, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_prop))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_assign_op_to_typed_prop))) {
			dasm_put(Dst, 115664, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_prop))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_prop)))))>>32));
					if (((uintptr_t)(zend_jit_assign_op_to_typed_prop)) & 0xfff) {
			dasm_put(Dst, 115667, (((uintptr_t)(zend_jit_assign_op_to_typed_prop)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_assign_op_to_typed_prop) & 0xffff) {
			dasm_put(Dst, 115670, ((uintptr_t)(zend_jit_assign_op_to_typed_prop) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_op_to_typed_prop) >> 16) & 0xffff) {
			dasm_put(Dst, 115673, (((uintptr_t)(zend_jit_assign_op_to_typed_prop) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_assign_op_to_typed_prop) >> 32) & 0xffff) {
			dasm_put(Dst, 115676, (((uintptr_t)(zend_jit_assign_op_to_typed_prop) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_assign_op_to_typed_prop) >> 16) & 0xffff) {
			dasm_put(Dst, 115679, (((uintptr_t)(zend_jit_assign_op_to_typed_prop) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_op_to_typed_prop) >> 32) & 0xffff) {
			dasm_put(Dst, 115682, (((uintptr_t)(zend_jit_assign_op_to_typed_prop) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115685, (((uintptr_t)(zend_jit_assign_op_to_typed_prop) >> 32) & 0xffff));
				}
			dasm_put(Dst, 115688);
				}
#line 13212 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

			if (info & (MAY_BE_REF|MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
				info |= MAY_BE_RC1|MAY_BE_RCN;
			}

			//|	FREE_OP (opline+1)->op1_type, (opline+1)->op1, info, 0, NULL, ZREG_TMP1, ZREG_TMP2
				if ((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, (opline+1)->op1.var);
				if ((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (0) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 115690, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 115694, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 115698, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115702, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 115706, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 115711, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 115716, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 115719, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 115723, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 115727, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 115731, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115735, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 115739, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 115743);
			dasm_put(Dst, 115746);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 115748, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 115752, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 115756, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115760, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 115764, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 115769, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 115774, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 115777, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 115781, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 115785, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 115789, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115793, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 115797, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 115801);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 115804, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 115808, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 115812, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115816, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 115820, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 115824, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 115828, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((info) & MAY_BE_GUARD) || RC_MAY_BE_1(info)) {
						if (((info) & MAY_BE_GUARD) || RC_MAY_BE_N(info)) {
							if (0 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 115836);
							} else {
			dasm_put(Dst, 115839);
							}
						}
				do {
					if (!((info) & MAY_BE_GUARD)
					 && has_concrete_type((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 115842, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 115845, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 115848, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 115852, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 115856, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 115860, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 115865, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 115869, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 115873, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 115877, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 115881, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115885, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 115889, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (NULL && ((info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 115892, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 115895, (ZREG_X15));
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 115898, (ZREG_X15), ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 115902, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 115906, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 115910, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 115915, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 115919, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 115923, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 115927, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 115931, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115935, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 115939, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 115943, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 115946, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 115949, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 115953, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 115957, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 115961, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 115966, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 115970, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 115974, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 115978, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 115982, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 115986, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 115990, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 115993, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 115996, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 115999, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 116003, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 116007, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 116011, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 116016, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 116020, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 116024, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 116028, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 116032, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116036, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 116040, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (NULL) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 116043, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 116046);
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 116048, ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 116051, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 116054, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 116057, (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 116060, ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 116063, (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 116066, (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 116069, (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 116072, (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116075, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 116078, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 116081, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 116084, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 116087, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 116091, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 116095, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 116099, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 116104, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 116108, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 116112, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 116116, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 116120, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116124, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 116128, (ZREG_X15));
				}
							break;
						}
					}
					if (NULL) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 116131, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 116134, (ZREG_X15));
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 116137, (ZREG_X15), ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 116141, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 116145, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 116149, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 116154, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 116158, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 116162, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 116166, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 116170, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116174, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 116178, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 116182, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 116185, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 116188, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 116192, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 116196, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 116200, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 116205, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 116209, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 116213, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 116217, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 116221, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116225, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 116229, (ZREG_X15));
				}
				} while(0);
						if (0 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 116232);
						}
			dasm_put(Dst, 116235);
					}
					if (0 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 116237, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 116241, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 116245, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116249, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116253, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 116258, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 116263, (ZREG_X15));
				} else {
			dasm_put(Dst, 116267, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 116273, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 116277, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 116281, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116285, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116289, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 116294, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 116299, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 116302, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 116306, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 116310, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 116314, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116318, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116322, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 116326);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 116329, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 116333, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 116337, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116341, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116345, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 116349, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 116353);
						}
			dasm_put(Dst, 116355, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 116358, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 116361, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 116365, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 116369, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 116373, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116377, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116381, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 116385);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 116388, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 116391, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 116394, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 116398, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 116402, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 116406, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 116411, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 116415, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 116419, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 116423, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 116427, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116431, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 116435, (ZREG_X15));
				}
					}
					if (0 && ((info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 116438);
					}
			dasm_put(Dst, 116441);
				}
				}
#line 13218 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (!prop_info || !ZEND_TYPE_IS_SET(prop_info->type)) {
		zend_jit_addr var_addr = prop_addr;
		uint32_t var_info = MAY_BE_ANY|MAY_BE_REF|MAY_BE_RC1|MAY_BE_RCN;
		uint32_t var_def_info = MAY_BE_ANY|MAY_BE_REF|MAY_BE_RC1|MAY_BE_RCN;

		if (use_prop_guard) {
			int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);
			const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);
			if (!exit_addr) {
				return 0;
			}

			//|	IF_NOT_ZVAL_TYPE var_addr, prop_type, &exit_addr, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 116443, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 116447, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 116451, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116455, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116459, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 116464, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
				}
				if (prop_type == 0) {
			dasm_put(Dst, 116469, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				} else {
			dasm_put(Dst, 116473, (ZREG_X15), prop_type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				}
#line 13234 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			var_info = (1 << prop_type) | (var_info & ~(MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF));
		}

		if (var_info & MAY_BE_REF) {
			may_throw = 1;
			var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);
			//|	LOAD_ZVAL_ADDR REG0, prop_addr
				if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
			dasm_put(Dst, 116479);
				} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 116481, ((uint64_t)(Z_ZV(prop_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 116484, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 116487, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
			dasm_put(Dst, 116490, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
			dasm_put(Dst, 116493, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 116496, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 116499, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 116502, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 116505, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116508, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(prop_addr)) {
				if (Z_OFFSET(prop_addr) == 0) {
			dasm_put(Dst, 116511, (Z_REG(prop_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
			dasm_put(Dst, 116514, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 116518, ((uint32_t)(Z_OFFSET(prop_addr))));
				} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
			dasm_put(Dst, 116521, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 116524, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116527, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116530, (Z_REG(prop_addr)));
				}
					} else {
						if (Z_REG(prop_addr) == ZREG_RSP) {
			dasm_put(Dst, 116533);
						} else {
			dasm_put(Dst, 116535, (Z_REG(prop_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 13241 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	IF_NOT_ZVAL_TYPE var_addr, IS_REFERENCE, >2, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 116538, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 116542, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 116546, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116550, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116554, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 116559, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 116564, (ZREG_X15));
				} else {
			dasm_put(Dst, 116568, (ZREG_X15), IS_REFERENCE);
				}
#line 13242 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_ZVAL_PTR FCARG1x, var_addr, TMP1
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 116574, ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 116577, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 116580, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116583, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 116586, (Z_REG(var_addr)));
				} else {
			dasm_put(Dst, 116589, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
#line 13243 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldr TMP1, [FCARG1x, #offsetof(zend_reference, sources.ptr)]
			//|	cbnz TMP1, >1
			//|	add REG0, FCARG1x, #offsetof(zend_reference, val)
			//|.cold_code
			dasm_put(Dst, 116593, offsetof(zend_reference, sources.ptr), offsetof(zend_reference, val));
#line 13247 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			dasm_put(Dst, 116600);
#line 13248 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (Z_MODE(val_addr) != IS_MEM_ZVAL || Z_REG(val_addr) != ZREG_FCARG2 || Z_OFFSET(val_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG2x, val_addr
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
				dasm_put(Dst, 116602);
					} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 116604, ((uint64_t)(Z_ZV(val_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 116607, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
				dasm_put(Dst, 116610, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
				dasm_put(Dst, 116613, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
				dasm_put(Dst, 116616, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 116619, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 116622, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 116625, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 116628, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 116631, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(val_addr)) {
					if (Z_OFFSET(val_addr) == 0) {
				dasm_put(Dst, 116634, (Z_REG(val_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
				dasm_put(Dst, 116637, (Z_REG(val_addr)), Z_OFFSET(val_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 116641, ((uint32_t)(Z_OFFSET(val_addr))));
					} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
				dasm_put(Dst, 116644, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 116647, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 116650, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 116653, (Z_REG(val_addr)));
					}
						} else {
							if (Z_REG(val_addr) == ZREG_RSP) {
				dasm_put(Dst, 116656);
							} else {
				dasm_put(Dst, 116658, (Z_REG(val_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 13250 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			if (opline) {
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 116661, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 116664);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 116666, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 116669, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 116672, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 116675, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 116678, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 116681, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 116684, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 116687, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 116690, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 116693, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 116696, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 13253 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ADDR CARG3, binary_op
				if (((uintptr_t)(binary_op)) == 0) {
			dasm_put(Dst, 116699);
				} else if (((uintptr_t)(binary_op)) <= MOVZ_IMM) {
			dasm_put(Dst, 116701, ((uint64_t)(binary_op)));
				} else if (arm64_may_use_adr((void*)(binary_op))) {
			dasm_put(Dst, 116704, (unsigned int)((ptrdiff_t)(binary_op)), (unsigned int)(((ptrdiff_t)(binary_op))>>32));
				} else if (arm64_may_use_adrp((void*)(binary_op))) {
			dasm_put(Dst, 116707, (unsigned int)((ptrdiff_t)((((uintptr_t)(binary_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(binary_op)))))>>32));
					if (((uintptr_t)(binary_op)) & 0xfff) {
			dasm_put(Dst, 116710, (((uintptr_t)(binary_op)) & 0xfff));
					}
				} else if ((uintptr_t)(binary_op) & 0xffff) {
			dasm_put(Dst, 116713, ((uintptr_t)(binary_op) & 0xffff));
					if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
			dasm_put(Dst, 116716, (((uintptr_t)(binary_op) >> 16) & 0xffff));
					}
					if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
			dasm_put(Dst, 116719, (((uintptr_t)(binary_op) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
			dasm_put(Dst, 116722, (((uintptr_t)(binary_op) >> 16) & 0xffff));
					if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
			dasm_put(Dst, 116725, (((uintptr_t)(binary_op) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 116728, (((uintptr_t)(binary_op) >> 32) & 0xffff));
				}
#line 13255 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (((opline+1)->op1_type & (IS_TMP_VAR|IS_VAR))
			 && (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				//|	EXT_CALL zend_jit_assign_op_to_typed_ref_tmp, REG0
					if (arm64_may_use_b(zend_jit_assign_op_to_typed_ref_tmp)) {
				dasm_put(Dst, 116731, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp))>>32));
					} else {
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) == 0) {
				dasm_put(Dst, 116734);
					} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) <= MOVZ_IMM) {
				dasm_put(Dst, 116736, ((uint64_t)(zend_jit_assign_op_to_typed_ref_tmp)));
					} else if (arm64_may_use_adr((void*)(zend_jit_assign_op_to_typed_ref_tmp))) {
				dasm_put(Dst, 116739, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref_tmp))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_assign_op_to_typed_ref_tmp))) {
				dasm_put(Dst, 116742, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)))))>>32));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) & 0xfff) {
				dasm_put(Dst, 116745, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) & 0xffff) {
				dasm_put(Dst, 116748, ((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) & 0xffff));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff) {
				dasm_put(Dst, 116751, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff) {
				dasm_put(Dst, 116754, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff) {
				dasm_put(Dst, 116757, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff) {
				dasm_put(Dst, 116760, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 116763, (((uintptr_t)(zend_jit_assign_op_to_typed_ref_tmp) >> 32) & 0xffff));
					}
				dasm_put(Dst, 116766);
					}
#line 13258 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	EXT_CALL zend_jit_assign_op_to_typed_ref, REG0
					if (arm64_may_use_b(zend_jit_assign_op_to_typed_ref)) {
				dasm_put(Dst, 116768, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref))>>32));
					} else {
					if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) == 0) {
				dasm_put(Dst, 116771);
					} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) <= MOVZ_IMM) {
				dasm_put(Dst, 116773, ((uint64_t)(zend_jit_assign_op_to_typed_ref)));
					} else if (arm64_may_use_adr((void*)(zend_jit_assign_op_to_typed_ref))) {
				dasm_put(Dst, 116776, (unsigned int)((ptrdiff_t)(zend_jit_assign_op_to_typed_ref)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_op_to_typed_ref))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_assign_op_to_typed_ref))) {
				dasm_put(Dst, 116779, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_op_to_typed_ref)))))>>32));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) & 0xfff) {
				dasm_put(Dst, 116782, (((uintptr_t)(zend_jit_assign_op_to_typed_ref)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_assign_op_to_typed_ref) & 0xffff) {
				dasm_put(Dst, 116785, ((uintptr_t)(zend_jit_assign_op_to_typed_ref) & 0xffff));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff) {
				dasm_put(Dst, 116788, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff) {
				dasm_put(Dst, 116791, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff) {
				dasm_put(Dst, 116794, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff) {
				dasm_put(Dst, 116797, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 116800, (((uintptr_t)(zend_jit_assign_op_to_typed_ref) >> 32) & 0xffff));
					}
				dasm_put(Dst, 116803);
					}
#line 13260 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	b >9
			//|.code
			dasm_put(Dst, 116805);
#line 13263 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|2:
			dasm_put(Dst, 116808);
#line 13264 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		switch (opline->extended_value) {
			case ZEND_ADD:
			case ZEND_SUB:
			case ZEND_MUL:
				if ((var_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) ||
			    (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (opline->extended_value != ZEND_ADD ||
					    (var_info & MAY_BE_ANY) != MAY_BE_ARRAY ||
					    (val_info & MAY_BE_ANY) == MAY_BE_ARRAY) {
						may_throw = 1;
					}
				}
				if (!zend_jit_math_helper(Dst, opline, opline->extended_value, IS_CV, opline->op1, var_addr, var_info, (opline+1)->op1_type, (opline+1)->op1, val_addr, val_info, 0, var_addr, var_def_info, var_info,
						1 /* may overflow */, 0)) {
					return 0;
				}
				break;
			case ZEND_BW_OR:
			case ZEND_BW_AND:
			case ZEND_BW_XOR:
				may_throw = 1;
				if ((var_info & (MAY_BE_STRING|MAY_BE_DOUBLE|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) ||
				    (val_info & (MAY_BE_STRING|MAY_BE_DOUBLE|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if ((var_info & MAY_BE_ANY) != MAY_BE_STRING ||
					    (val_info & MAY_BE_ANY) != MAY_BE_STRING) {
						may_throw = 1;
					}
				}
				goto long_math;
			case ZEND_SL:
			case ZEND_SR:
				if ((var_info & (MAY_BE_STRING|MAY_BE_DOUBLE|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) ||
				    (val_info & (MAY_BE_STRING|MAY_BE_DOUBLE|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					may_throw = 1;
				}
				if ((opline+1)->op1_type != IS_CONST ||
				    Z_TYPE_P(RT_CONSTANT((opline+1), (opline+1)->op1)) != IS_LONG ||
				    Z_LVAL_P(RT_CONSTANT((opline+1), (opline+1)->op1)) < 0) {
					may_throw = 1;
				}
				goto long_math;
			case ZEND_MOD:
				if ((var_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) ||
				    (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (opline->extended_value != ZEND_ADD ||
					    (var_info & MAY_BE_ANY) != MAY_BE_ARRAY ||
					    (val_info & MAY_BE_ANY) == MAY_BE_ARRAY) {
						may_throw = 1;
					}
				}
				if ((opline+1)->op1_type != IS_CONST ||
				    Z_TYPE_P(RT_CONSTANT((opline+1), (opline+1)->op1)) != IS_LONG ||
				    Z_LVAL_P(RT_CONSTANT((opline+1), (opline+1)->op1)) == 0) {
					may_throw = 1;
				}
long_math:
				if (!zend_jit_long_math_helper(Dst, opline, opline->extended_value,
						IS_CV, opline->op1, var_addr, var_info, NULL,
						(opline+1)->op1_type, (opline+1)->op1, val_addr, val_info,
						val_range,
						0, var_addr, var_def_info, var_info, 0)) {
					return 0;
				}
				break;
			case ZEND_CONCAT:
				may_throw = 1;
				if (!zend_jit_concat_helper(Dst, opline, IS_CV, opline->op1, var_addr, var_info, (opline+1)->op1_type, (opline+1)->op1, val_addr, val_info, var_addr,
						0)) {
					return 0;
				}
				break;
			default:
				ZEND_UNREACHABLE();
		}
	}

	if (needs_slow_path) {
		may_throw = 1;
		//|.cold_code
		dasm_put(Dst, 116810);
#line 13345 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|7:
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 116811);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 116813, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 116816);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 116818, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 116821, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 116824, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 116827, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 116830, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 116833, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 116836, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 116839, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 116842, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 116845, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 116848, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 13347 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	// value = zobj->handlers->write_property(zobj, name, value, CACHE_ADDR(opline->extended_value));
		//|	LOAD_ADDR FCARG2x, name
			if (((uintptr_t)(name)) == 0) {
		dasm_put(Dst, 116851);
			} else if (((uintptr_t)(name)) <= MOVZ_IMM) {
		dasm_put(Dst, 116853, ((uint64_t)(name)));
			} else if (arm64_may_use_adr((void*)(name))) {
		dasm_put(Dst, 116856, (unsigned int)((ptrdiff_t)(name)), (unsigned int)(((ptrdiff_t)(name))>>32));
			} else if (arm64_may_use_adrp((void*)(name))) {
		dasm_put(Dst, 116859, (unsigned int)((ptrdiff_t)((((uintptr_t)(name))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(name)))))>>32));
				if (((uintptr_t)(name)) & 0xfff) {
		dasm_put(Dst, 116862, (((uintptr_t)(name)) & 0xfff));
				}
			} else if ((uintptr_t)(name) & 0xffff) {
		dasm_put(Dst, 116865, ((uintptr_t)(name) & 0xffff));
				if (((uintptr_t)(name) >> 16) & 0xffff) {
		dasm_put(Dst, 116868, (((uintptr_t)(name) >> 16) & 0xffff));
				}
				if (((uintptr_t)(name) >> 32) & 0xffff) {
		dasm_put(Dst, 116871, (((uintptr_t)(name) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(name) >> 16) & 0xffff) {
		dasm_put(Dst, 116874, (((uintptr_t)(name) >> 16) & 0xffff));
				if (((uintptr_t)(name) >> 32) & 0xffff) {
		dasm_put(Dst, 116877, (((uintptr_t)(name) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 116880, (((uintptr_t)(name) >> 32) & 0xffff));
			}
#line 13349 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_ZVAL_ADDR CARG3, val_addr
			if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
		dasm_put(Dst, 116883);
			} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 116885, ((uint64_t)(Z_ZV(val_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 116888, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 116891, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
		dasm_put(Dst, 116894, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
		dasm_put(Dst, 116897, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 116900, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 116903, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 116906, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 116909, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 116912, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(val_addr)) {
			if (Z_OFFSET(val_addr) == 0) {
		dasm_put(Dst, 116915, (Z_REG(val_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
		dasm_put(Dst, 116918, (Z_REG(val_addr)), Z_OFFSET(val_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 116922, ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 116925, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 116928, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 116931, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 116934, (Z_REG(val_addr)));
			}
				} else {
					if (Z_REG(val_addr) == ZREG_RSP) {
		dasm_put(Dst, 116937);
					} else {
		dasm_put(Dst, 116939, (Z_REG(val_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 13350 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr CARG4, EX->run_time_cache
		//|	ADD_SUB_64_WITH_CONST_32 add, CARG4, CARG4, (opline+1)->extended_value, TMP1
		dasm_put(Dst, 116942, Dt1(->run_time_cache));
			if ((opline+1)->extended_value == 0) {
		dasm_put(Dst, 116945);
			} else if (arm64_may_encode_imm12((int64_t)((opline+1)->extended_value))) {
		dasm_put(Dst, 116947, (opline+1)->extended_value);
			} else {
			if (((uint32_t)((opline+1)->extended_value)) <= MOVZ_IMM) {
		dasm_put(Dst, 116950, ((uint32_t)((opline+1)->extended_value)));
			} else if (((uint32_t)((opline+1)->extended_value) & 0xffff)) {
		dasm_put(Dst, 116953, ((uint32_t)((opline+1)->extended_value) & 0xffff));
				if ((((uint32_t)((opline+1)->extended_value) >> 16) & 0xffff)) {
		dasm_put(Dst, 116956, (((uint32_t)((opline+1)->extended_value) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 116959, (((uint32_t)((opline+1)->extended_value) >> 16) & 0xffff));
			}
		dasm_put(Dst, 116962);
			}
#line 13352 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_ADDR CARG5, binary_op
			if (((uintptr_t)(binary_op)) == 0) {
		dasm_put(Dst, 116964);
			} else if (((uintptr_t)(binary_op)) <= MOVZ_IMM) {
		dasm_put(Dst, 116966, ((uint64_t)(binary_op)));
			} else if (arm64_may_use_adr((void*)(binary_op))) {
		dasm_put(Dst, 116969, (unsigned int)((ptrdiff_t)(binary_op)), (unsigned int)(((ptrdiff_t)(binary_op))>>32));
			} else if (arm64_may_use_adrp((void*)(binary_op))) {
		dasm_put(Dst, 116972, (unsigned int)((ptrdiff_t)((((uintptr_t)(binary_op))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(binary_op)))))>>32));
				if (((uintptr_t)(binary_op)) & 0xfff) {
		dasm_put(Dst, 116975, (((uintptr_t)(binary_op)) & 0xfff));
				}
			} else if ((uintptr_t)(binary_op) & 0xffff) {
		dasm_put(Dst, 116978, ((uintptr_t)(binary_op) & 0xffff));
				if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
		dasm_put(Dst, 116981, (((uintptr_t)(binary_op) >> 16) & 0xffff));
				}
				if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
		dasm_put(Dst, 116984, (((uintptr_t)(binary_op) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(binary_op) >> 16) & 0xffff) {
		dasm_put(Dst, 116987, (((uintptr_t)(binary_op) >> 16) & 0xffff));
				if (((uintptr_t)(binary_op) >> 32) & 0xffff) {
		dasm_put(Dst, 116990, (((uintptr_t)(binary_op) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 116993, (((uintptr_t)(binary_op) >> 32) & 0xffff));
			}
#line 13353 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_assign_obj_op_helper, REG0
			if (arm64_may_use_b(zend_jit_assign_obj_op_helper)) {
		dasm_put(Dst, 116996, (unsigned int)((ptrdiff_t)(zend_jit_assign_obj_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_obj_op_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_assign_obj_op_helper)) == 0) {
		dasm_put(Dst, 116999);
			} else if (((uintptr_t)(zend_jit_assign_obj_op_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 117001, ((uint64_t)(zend_jit_assign_obj_op_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_assign_obj_op_helper))) {
		dasm_put(Dst, 117004, (unsigned int)((ptrdiff_t)(zend_jit_assign_obj_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_obj_op_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_assign_obj_op_helper))) {
		dasm_put(Dst, 117007, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_obj_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_obj_op_helper)))))>>32));
				if (((uintptr_t)(zend_jit_assign_obj_op_helper)) & 0xfff) {
		dasm_put(Dst, 117010, (((uintptr_t)(zend_jit_assign_obj_op_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_assign_obj_op_helper) & 0xffff) {
		dasm_put(Dst, 117013, ((uintptr_t)(zend_jit_assign_obj_op_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_obj_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 117016, (((uintptr_t)(zend_jit_assign_obj_op_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_assign_obj_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 117019, (((uintptr_t)(zend_jit_assign_obj_op_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_assign_obj_op_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 117022, (((uintptr_t)(zend_jit_assign_obj_op_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_obj_op_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 117025, (((uintptr_t)(zend_jit_assign_obj_op_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117028, (((uintptr_t)(zend_jit_assign_obj_op_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117031);
			}
#line 13354 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		if (val_info & (MAY_BE_REF|MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
			val_info |= MAY_BE_RC1|MAY_BE_RCN;
		}

		//|8:
		//|	// FREE_OP_DATA();
		//|	FREE_OP (opline+1)->op1_type, (opline+1)->op1, val_info, 0, opline, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 117033);
			if ((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, (opline+1)->op1.var);
			if ((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((val_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 117035, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 117039, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 117043, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117047, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117051, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 117056, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 117061, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 117064, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 117068, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 117072, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 117076, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117080, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117084, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 117088);
		dasm_put(Dst, 117091);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 117093, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 117097, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 117101, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117105, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117109, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 117114, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 117119, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 117122, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 117126, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 117130, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 117134, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117138, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117142, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 117146);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 117149, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 117153, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 117157, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117161, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117165, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 117169, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 117173, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((val_info) & MAY_BE_GUARD) || RC_MAY_BE_1(val_info)) {
					if (((val_info) & MAY_BE_GUARD) || RC_MAY_BE_N(val_info)) {
						if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 117181);
						} else {
		dasm_put(Dst, 117184);
						}
					}
			do {
				if (!((val_info) & MAY_BE_GUARD)
				 && has_concrete_type((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 117187, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 117190, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 117193, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 117197, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 117201, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 117205, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 117210, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 117214, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 117218, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 117222, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 117226, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117230, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117234, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((val_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((val_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 117237, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 117240, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 117243, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 117247, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 117251, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 117255, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 117260, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 117264, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 117268, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 117272, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 117276, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117280, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117284, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 117288, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 117291, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 117294, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 117298, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 117302, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 117306, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 117311, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 117315, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 117319, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 117323, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 117327, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117331, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117335, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 117338, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 117341, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 117344, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 117348, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 117352, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 117356, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 117361, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 117365, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 117369, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 117373, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 117377, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117381, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117385, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 117388, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 117391);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 117393, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 117396, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 117399, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 117402, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 117405, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 117408, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 117411, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 117414, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 117417, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117420, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117423, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 117426, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 117429, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 117432, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 117436, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 117440, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 117444, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 117449, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 117453, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 117457, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 117461, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 117465, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117469, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117473, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 117476, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 117479, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 117482, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 117486, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 117490, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 117494, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 117499, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 117503, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 117507, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 117511, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 117515, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117519, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117523, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 117527, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 117530, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 117533, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 117537, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 117541, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 117545, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 117550, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 117554, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 117558, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 117562, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 117566, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117570, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117574, (ZREG_X15));
			}
			} while(0);
					if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 117577);
					}
		dasm_put(Dst, 117580);
				}
				if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((val_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 117582, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 117586, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 117590, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117594, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117598, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 117603, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 117608, (ZREG_X15));
			} else {
		dasm_put(Dst, 117612, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 117618, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 117622, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 117626, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117630, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117634, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 117639, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 117644, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 117647, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 117651, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 117655, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 117659, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117663, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117667, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 117671);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 117674, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 117678, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 117682, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117686, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117690, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 117694, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 117698);
					}
		dasm_put(Dst, 117700, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 117703, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 117706, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 117710, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 117714, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 117718, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117722, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117726, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 117730);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 117733, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 117736, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 117739, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 117743, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 117747, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 117751, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 117756, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 117760, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 117764, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 117768, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 117772, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117776, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117780, (ZREG_X15));
			}
				}
				if (0 && ((val_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 117783);
				}
		dasm_put(Dst, 117786);
			}
			}
#line 13362 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b >9
		//|.code
		dasm_put(Dst, 117788);
#line 13364 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|9:
	dasm_put(Dst, 117791);
#line 13367 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (opline->op1_type != IS_UNUSED && !delayed_fetch_this && !op1_indirect) {
		if ((op1_info & MAY_HAVE_DTOR) && (op1_info & MAY_BE_RC1)) {
			may_throw = 1;
		}
		//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
			if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (1) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 117793, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 117797, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 117801, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117805, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117809, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 117814, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 117819, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 117822, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 117826, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 117830, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 117834, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117838, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117842, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 117846);
		dasm_put(Dst, 117849);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 117851, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 117855, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 117859, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117863, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117867, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 117872, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 117877, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 117880, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 117884, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 117888, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 117892, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117896, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117900, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 117904);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 117907, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 117911, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 117915, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117919, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 117923, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 117927, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 117931, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 117939);
						} else {
		dasm_put(Dst, 117942);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 117945, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 117948, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 117951, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 117955, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 117959, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 117963, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 117968, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 117972, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 117976, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 117980, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 117984, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 117988, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 117992, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 117995, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 117998, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 118001, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 118005, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 118009, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 118013, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 118018, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 118022, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 118026, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 118030, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 118034, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118038, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 118042, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 118046, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 118049, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 118052, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 118056, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 118060, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 118064, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 118069, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 118073, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 118077, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 118081, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 118085, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118089, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 118093, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 118096, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 118099, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 118102, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 118106, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 118110, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 118114, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 118119, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 118123, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 118127, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 118131, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 118135, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118139, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 118143, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 118146, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 118149);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 118151, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 118154, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 118157, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 118160, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 118163, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 118166, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 118169, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 118172, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 118175, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118178, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 118181, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 118184, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 118187, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 118190, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 118194, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 118198, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 118202, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 118207, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 118211, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 118215, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 118219, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 118223, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118227, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 118231, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 118234, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 118237, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 118240, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 118244, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 118248, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 118252, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 118257, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 118261, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 118265, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 118269, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 118273, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118277, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 118281, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 118285, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 118288, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 118291, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 118295, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 118299, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 118303, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 118308, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 118312, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 118316, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 118320, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 118324, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118328, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 118332, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 118335);
					}
		dasm_put(Dst, 118338);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 118340, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 118344, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 118348, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118352, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 118356, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 118361, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 118366, (ZREG_X15));
			} else {
		dasm_put(Dst, 118370, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 118376, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 118380, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 118384, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118388, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 118392, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 118397, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 118402, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 118405, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 118409, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 118413, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 118417, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118421, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 118425, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 118429);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 118432, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 118436, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 118440, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118444, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 118448, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 118452, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 118456);
					}
		dasm_put(Dst, 118458, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 118461, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 118464, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 118468, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 118472, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 118476, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118480, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 118484, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 118488);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 118491, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 118494, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 118497, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 118501, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 118505, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 118509, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 118514, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 118518, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 118522, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 118526, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 118530, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118534, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 118538, (ZREG_X15));
			}
				}
				if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 118541);
				}
		dasm_put(Dst, 118544);
			}
			}
#line 13372 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (may_throw) {
		if (!zend_jit_check_exception(Dst)) {
			return 0;
		}
	}

	return 1;
}

static int zend_jit_assign_obj(dasm_State          **Dst,
                               const zend_op        *opline,
                               const zend_op_array  *op_array,
                               zend_ssa             *ssa,
                               const zend_ssa_op    *ssa_op,
                               uint32_t              op1_info,
                               zend_jit_addr         op1_addr,
                               uint32_t              val_info,
                               bool                  op1_indirect,
                               zend_class_entry     *ce,
                               bool                  ce_is_instanceof,
                               bool                  on_this,
                               bool                  delayed_fetch_this,
                               zend_class_entry     *trace_ce,
                               uint8_t               prop_type,
                               int                   may_throw)
{
	zval *member;
	zend_string *name;
	zend_property_info *prop_info;
	zend_jit_addr val_addr = OP1_DATA_ADDR();
	zend_jit_addr res_addr = 0;
	zend_jit_addr this_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, offsetof(zend_execute_data, This));
	zend_jit_addr prop_addr;
	bool needs_slow_path = 0;
	bool needs_val_dtor = 0;

	if (RETURN_VALUE_USED(opline)) {
		res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);
	}

	ZEND_ASSERT(opline->op2_type == IS_CONST);
	ZEND_ASSERT(op1_info & MAY_BE_OBJECT);

	member = RT_CONSTANT(opline, opline->op2);
	ZEND_ASSERT(Z_TYPE_P(member) == IS_STRING && Z_STRVAL_P(member)[0] != '\0');
	name = Z_STR_P(member);
	prop_info = zend_get_known_property_info(op_array, ce, name, on_this, op_array->filename);

	if (on_this) {
		//|	GET_ZVAL_PTR FCARG1x, this_addr, TMP1
			ZEND_ASSERT(Z_MODE(this_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(this_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(this_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 118546, ((uint32_t)(Z_OFFSET(this_addr))));
			} else if (((uint32_t)(Z_OFFSET(this_addr)) & 0xffff)) {
		dasm_put(Dst, 118549, ((uint32_t)(Z_OFFSET(this_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 118552, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 118555, (((uint32_t)(Z_OFFSET(this_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 118558, (Z_REG(this_addr)));
			} else {
		dasm_put(Dst, 118561, (Z_REG(this_addr)), (Z_OFFSET(this_addr)));
			}
#line 13424 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		if (opline->op1_type == IS_VAR
		 && (op1_info & MAY_BE_INDIRECT)
		 && Z_REG(op1_addr) == ZREG_FP) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 118565);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 118567, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 118570, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 118573, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 118576, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 118579, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 118582, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 118585, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 118588, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 118591, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 118594, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 118597, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 118600, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 118604, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 118607, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 118610, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 118613, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 118616, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 118619);
						} else {
			dasm_put(Dst, 118621, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 13429 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	IF_NOT_Z_TYPE FCARG1x, IS_INDIRECT, >1, TMP1w
			dasm_put(Dst, 118624, offsetof(zval, u1.v.type));
				if (IS_INDIRECT == 0) {
			dasm_put(Dst, 118627);
				} else {
			dasm_put(Dst, 118630, IS_INDIRECT);
				}
#line 13430 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	GET_Z_PTR FCARG1x, FCARG1x
			//|1:
			dasm_put(Dst, 118635);
#line 13432 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		}
		if (op1_info & MAY_BE_REF) {
			if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
				//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
					if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
				dasm_put(Dst, 118638);
					} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 118640, ((uint64_t)(Z_ZV(op1_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 118643, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
				dasm_put(Dst, 118646, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
				dasm_put(Dst, 118649, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
				dasm_put(Dst, 118652, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 118655, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 118658, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 118661, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 118664, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 118667, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(op1_addr)) {
					if (Z_OFFSET(op1_addr) == 0) {
				dasm_put(Dst, 118670, (Z_REG(op1_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
				dasm_put(Dst, 118673, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 118677, ((uint32_t)(Z_OFFSET(op1_addr))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
				dasm_put(Dst, 118680, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 118683, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 118686, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 118689, (Z_REG(op1_addr)));
					}
						} else {
							if (Z_REG(op1_addr) == ZREG_RSP) {
				dasm_put(Dst, 118692);
							} else {
				dasm_put(Dst, 118694, (Z_REG(op1_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 13437 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
				if (op1_info & MAY_BE_REF) {
			dasm_put(Dst, 118697, offsetof(zval, u1.v.type));
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 118700);
				} else {
			dasm_put(Dst, 118703, IS_REFERENCE);
				}
			dasm_put(Dst, 118708, offsetof(zend_reference, val));
				}
#line 13439 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		}
		if (op1_info & ((MAY_BE_UNDEF|MAY_BE_ANY)- MAY_BE_OBJECT)) {
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, &exit_addr, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 118713, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 118717, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 118721, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 118725, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 118729, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 118734, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_OBJECT == 0) {
				dasm_put(Dst, 118739, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					} else {
				dasm_put(Dst, 118743, (ZREG_X15), IS_OBJECT, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					}
#line 13450 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	IF_NOT_ZVAL_TYPE op1_addr, IS_OBJECT, >1, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 118749, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 118753, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 118757, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 118761, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 118765, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 118770, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_OBJECT == 0) {
				dasm_put(Dst, 118775, (ZREG_X15));
					} else {
				dasm_put(Dst, 118779, (ZREG_X15), IS_OBJECT);
					}
#line 13452 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|.cold_code
				dasm_put(Dst, 118785);
#line 13453 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|1:
				//|	SET_EX_OPLINE opline, REG0
				dasm_put(Dst, 118786);
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 118788, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 118791);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 118793, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 118796, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 118799, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 118802, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 118805, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 118808, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 118811, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 118814, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 118817, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 118820, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 118823, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 13455 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
					//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
					dasm_put(Dst, 118826);
						} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 118828, ((uint64_t)(Z_ZV(op1_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 118831, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 118834, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
					dasm_put(Dst, 118837, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
					dasm_put(Dst, 118840, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 118843, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 118846, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 118849, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 118852, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 118855, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(op1_addr)) {
						if (Z_OFFSET(op1_addr) == 0) {
					dasm_put(Dst, 118858, (Z_REG(op1_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
					dasm_put(Dst, 118861, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 118865, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 118868, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 118871, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 118874, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 118877, (Z_REG(op1_addr)));
						}
							} else {
								if (Z_REG(op1_addr) == ZREG_RSP) {
					dasm_put(Dst, 118880);
								} else {
					dasm_put(Dst, 118882, (Z_REG(op1_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 13457 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	LOAD_ADDR FCARG2x, ZSTR_VAL(name)
					if (((uintptr_t)(ZSTR_VAL(name))) == 0) {
				dasm_put(Dst, 118885);
					} else if (((uintptr_t)(ZSTR_VAL(name))) <= MOVZ_IMM) {
				dasm_put(Dst, 118887, ((uint64_t)(ZSTR_VAL(name))));
					} else if (arm64_may_use_adr((void*)(ZSTR_VAL(name)))) {
				dasm_put(Dst, 118890, (unsigned int)((ptrdiff_t)(ZSTR_VAL(name))), (unsigned int)(((ptrdiff_t)(ZSTR_VAL(name)))>>32));
					} else if (arm64_may_use_adrp((void*)(ZSTR_VAL(name)))) {
				dasm_put(Dst, 118893, (unsigned int)((ptrdiff_t)((((uintptr_t)(ZSTR_VAL(name)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(ZSTR_VAL(name))))))>>32));
						if (((uintptr_t)(ZSTR_VAL(name))) & 0xfff) {
				dasm_put(Dst, 118896, (((uintptr_t)(ZSTR_VAL(name))) & 0xfff));
						}
					} else if ((uintptr_t)(ZSTR_VAL(name)) & 0xffff) {
				dasm_put(Dst, 118899, ((uintptr_t)(ZSTR_VAL(name)) & 0xffff));
						if (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff) {
				dasm_put(Dst, 118902, (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff) {
				dasm_put(Dst, 118905, (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff) {
				dasm_put(Dst, 118908, (((uintptr_t)(ZSTR_VAL(name)) >> 16) & 0xffff));
						if (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff) {
				dasm_put(Dst, 118911, (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 118914, (((uintptr_t)(ZSTR_VAL(name)) >> 32) & 0xffff));
					}
#line 13459 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_invalid_property_assign, REG0
					if (arm64_may_use_b(zend_jit_invalid_property_assign)) {
				dasm_put(Dst, 118917, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_assign)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_assign))>>32));
					} else {
					if (((uintptr_t)(zend_jit_invalid_property_assign)) == 0) {
				dasm_put(Dst, 118920);
					} else if (((uintptr_t)(zend_jit_invalid_property_assign)) <= MOVZ_IMM) {
				dasm_put(Dst, 118922, ((uint64_t)(zend_jit_invalid_property_assign)));
					} else if (arm64_may_use_adr((void*)(zend_jit_invalid_property_assign))) {
				dasm_put(Dst, 118925, (unsigned int)((ptrdiff_t)(zend_jit_invalid_property_assign)), (unsigned int)(((ptrdiff_t)(zend_jit_invalid_property_assign))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_invalid_property_assign))) {
				dasm_put(Dst, 118928, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_assign))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_invalid_property_assign)))))>>32));
						if (((uintptr_t)(zend_jit_invalid_property_assign)) & 0xfff) {
				dasm_put(Dst, 118931, (((uintptr_t)(zend_jit_invalid_property_assign)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_invalid_property_assign) & 0xffff) {
				dasm_put(Dst, 118934, ((uintptr_t)(zend_jit_invalid_property_assign) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_property_assign) >> 16) & 0xffff) {
				dasm_put(Dst, 118937, (((uintptr_t)(zend_jit_invalid_property_assign) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff) {
				dasm_put(Dst, 118940, (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_invalid_property_assign) >> 16) & 0xffff) {
				dasm_put(Dst, 118943, (((uintptr_t)(zend_jit_invalid_property_assign) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff) {
				dasm_put(Dst, 118946, (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 118949, (((uintptr_t)(zend_jit_invalid_property_assign) >> 32) & 0xffff));
					}
				dasm_put(Dst, 118952);
					}
#line 13460 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (RETURN_VALUE_USED(opline)) {
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_NULL, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_NULL)) <= MOVZ_IMM) {
					dasm_put(Dst, 118954, ((uint32_t)(IS_NULL)));
						} else if (((uint32_t)(IS_NULL) & 0xffff)) {
					dasm_put(Dst, 118957, ((uint32_t)(IS_NULL) & 0xffff));
							if ((((uint32_t)(IS_NULL) >> 16) & 0xffff)) {
					dasm_put(Dst, 118960, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 118963, (((uint32_t)(IS_NULL) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 118966, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 118969, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 118972, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 118975, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 118978, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 118981, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 13462 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR))
				 && (val_info & (MAY_BE_REF|MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					needs_val_dtor = 1;
					//|	b >7
					dasm_put(Dst, 118985);
#line 13467 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	b >9
					dasm_put(Dst, 118988);
#line 13469 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|.code
				dasm_put(Dst, 118991);
#line 13471 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 118992, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 118995, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 118998, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 119001, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 119004, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 119007, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
#line 13474 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (!prop_info && trace_ce && (trace_ce->ce_flags & ZEND_ACC_IMMUTABLE)) {
		prop_info = zend_get_known_property_info(op_array, trace_ce, name, on_this, op_array->filename);
		if (prop_info) {
			ce = trace_ce;
			ce_is_instanceof = 0;
			if (!(op1_info & MAY_BE_CLASS_GUARD)) {
				if (on_this && JIT_G(current_frame)
				 && TRACE_FRAME_IS_THIS_CLASS_CHECKED(JIT_G(current_frame))) {
					ZEND_ASSERT(JIT_G(current_frame)->ce == ce);
				} else if (zend_jit_class_guard(Dst, opline, ce)) {
					if (on_this && JIT_G(current_frame)) {
						JIT_G(current_frame)->ce = ce;
						TRACE_FRAME_SET_THIS_CLASS_CHECKED(JIT_G(current_frame));
					}
				} else {
					return 0;
				}
				if (ssa->var_info && ssa_op->op1_use >= 0) {
					ssa->var_info[ssa_op->op1_use].type |= MAY_BE_CLASS_GUARD;
					ssa->var_info[ssa_op->op1_use].ce = ce;
					ssa->var_info[ssa_op->op1_use].is_instanceof = ce_is_instanceof;
				}
				if (ssa->var_info && ssa_op->op1_def >= 0) {
					ssa->var_info[ssa_op->op1_def].type |= MAY_BE_CLASS_GUARD;
					ssa->var_info[ssa_op->op1_def].ce = ce;
					ssa->var_info[ssa_op->op1_def].is_instanceof = ce_is_instanceof;
				}
			}
		}
	}

	if (!prop_info) {
		needs_slow_path = 1;

		//|	ldr REG0, EX->run_time_cache
		//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG2, REG0, opline->extended_value, TMP1
		dasm_put(Dst, 119011, Dt1(->run_time_cache));
			if (((uintptr_t)(opline->extended_value)) > LDR_STR_PIMM64) {
			if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
		dasm_put(Dst, 119014, ((uint32_t)(opline->extended_value)));
			} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
		dasm_put(Dst, 119017, ((uint32_t)(opline->extended_value) & 0xffff));
				if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
		dasm_put(Dst, 119020, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 119023, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
		dasm_put(Dst, 119026);
			} else {
		dasm_put(Dst, 119028, (opline->extended_value));
			}
#line 13512 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr TMP1, [FCARG1x, #offsetof(zend_object, ce)]
		//|	cmp REG2, TMP1
		//|	bne >5
		dasm_put(Dst, 119031, offsetof(zend_object, ce));
#line 13515 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!ce || ce_is_instanceof || (ce->ce_flags & (ZEND_ACC_HAS_TYPE_HINTS|ZEND_ACC_TRAIT))) {
			//|	MEM_ACCESS_64_WITH_UOFFSET ldr, FCARG2x, REG0, (opline->extended_value + sizeof(void*) * 2), TMP1
				if (((uintptr_t)((opline->extended_value + sizeof(void*) * 2))) > LDR_STR_PIMM64) {
				if (((uint32_t)((opline->extended_value + sizeof(void*) * 2))) <= MOVZ_IMM) {
			dasm_put(Dst, 119037, ((uint32_t)((opline->extended_value + sizeof(void*) * 2))));
				} else if (((uint32_t)((opline->extended_value + sizeof(void*) * 2)) & 0xffff)) {
			dasm_put(Dst, 119040, ((uint32_t)((opline->extended_value + sizeof(void*) * 2)) & 0xffff));
					if ((((uint32_t)((opline->extended_value + sizeof(void*) * 2)) >> 16) & 0xffff)) {
			dasm_put(Dst, 119043, (((uint32_t)((opline->extended_value + sizeof(void*) * 2)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119046, (((uint32_t)((opline->extended_value + sizeof(void*) * 2)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 119049);
				} else {
			dasm_put(Dst, 119051, ((opline->extended_value + sizeof(void*) * 2)));
				}
#line 13517 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, REG0, (opline->extended_value + sizeof(void*)), TMP1
			if (((uintptr_t)((opline->extended_value + sizeof(void*)))) > LDR_STR_PIMM64) {
			if (((uint32_t)((opline->extended_value + sizeof(void*)))) <= MOVZ_IMM) {
		dasm_put(Dst, 119054, ((uint32_t)((opline->extended_value + sizeof(void*)))));
			} else if (((uint32_t)((opline->extended_value + sizeof(void*))) & 0xffff)) {
		dasm_put(Dst, 119057, ((uint32_t)((opline->extended_value + sizeof(void*))) & 0xffff));
				if ((((uint32_t)((opline->extended_value + sizeof(void*))) >> 16) & 0xffff)) {
		dasm_put(Dst, 119060, (((uint32_t)((opline->extended_value + sizeof(void*))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 119063, (((uint32_t)((opline->extended_value + sizeof(void*))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 119066);
			} else {
		dasm_put(Dst, 119068, ((opline->extended_value + sizeof(void*))));
			}
#line 13519 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	tst REG0, REG0
		//|	blt >5
		//|	add TMP2, FCARG1x, REG0
		//|	ldrb TMP1w, [TMP2, #offsetof(zval,u1.v.type)]
		//|	IF_TYPE TMP1w, IS_UNDEF, >5
		dasm_put(Dst, 119071, offsetof(zval,u1.v.type));
			if (IS_UNDEF == 0) {
		dasm_put(Dst, 119078);
			} else {
		dasm_put(Dst, 119081, IS_UNDEF);
			}
#line 13524 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	mov FCARG1x, TMP2
		dasm_put(Dst, 119086);
#line 13525 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		prop_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		if (!ce || ce_is_instanceof || (ce->ce_flags & (ZEND_ACC_HAS_TYPE_HINTS|ZEND_ACC_TRAIT))) {
			//|	cbnz FCARG2x, >1
			//|.cold_code
			dasm_put(Dst, 119088);
#line 13529 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	// value = zend_assign_to_typed_prop(prop_info, property_val, value EXECUTE_DATA_CC);
			//|	SET_EX_OPLINE opline, REG0
			dasm_put(Dst, 119091);
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 119093, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 119096);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 119098, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 119101, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 119104, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 119107, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 119110, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 119113, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 119116, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 119119, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 119122, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119125, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 119128, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 13532 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_ZVAL_ADDR CARG3, val_addr
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 119131);
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 119133, ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 119136, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 119139, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 119142, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 119145, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 119148, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 119151, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 119154, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 119157, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119160, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(val_addr)) {
				if (Z_OFFSET(val_addr) == 0) {
			dasm_put(Dst, 119163, (Z_REG(val_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
			dasm_put(Dst, 119166, (Z_REG(val_addr)), Z_OFFSET(val_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 119170, ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 119173, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 119176, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119179, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 119182, (Z_REG(val_addr)));
				}
					} else {
						if (Z_REG(val_addr) == ZREG_RSP) {
			dasm_put(Dst, 119185);
						} else {
			dasm_put(Dst, 119187, (Z_REG(val_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 13533 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (RETURN_VALUE_USED(opline)) {
				//|	LOAD_ZVAL_ADDR CARG4, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 119190);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 119192, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 119195, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 119198, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 119201, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 119204, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 119207, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 119210, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 119213, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 119216, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119219, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 119222, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 119225, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 119229, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 119232, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 119235, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119238, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 119241, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 119244);
							} else {
				dasm_put(Dst, 119246, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 13535 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	mov CARG4, xzr
				dasm_put(Dst, 119249);
#line 13537 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}

			//|	EXT_CALL zend_jit_assign_to_typed_prop, REG0
				if (arm64_may_use_b(zend_jit_assign_to_typed_prop)) {
			dasm_put(Dst, 119251, (unsigned int)((ptrdiff_t)(zend_jit_assign_to_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_to_typed_prop))>>32));
				} else {
				if (((uintptr_t)(zend_jit_assign_to_typed_prop)) == 0) {
			dasm_put(Dst, 119254);
				} else if (((uintptr_t)(zend_jit_assign_to_typed_prop)) <= MOVZ_IMM) {
			dasm_put(Dst, 119256, ((uint64_t)(zend_jit_assign_to_typed_prop)));
				} else if (arm64_may_use_adr((void*)(zend_jit_assign_to_typed_prop))) {
			dasm_put(Dst, 119259, (unsigned int)((ptrdiff_t)(zend_jit_assign_to_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_to_typed_prop))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_assign_to_typed_prop))) {
			dasm_put(Dst, 119262, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_to_typed_prop))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_to_typed_prop)))))>>32));
					if (((uintptr_t)(zend_jit_assign_to_typed_prop)) & 0xfff) {
			dasm_put(Dst, 119265, (((uintptr_t)(zend_jit_assign_to_typed_prop)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_assign_to_typed_prop) & 0xffff) {
			dasm_put(Dst, 119268, ((uintptr_t)(zend_jit_assign_to_typed_prop) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 16) & 0xffff) {
			dasm_put(Dst, 119271, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff) {
			dasm_put(Dst, 119274, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 16) & 0xffff) {
			dasm_put(Dst, 119277, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff) {
			dasm_put(Dst, 119280, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119283, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff));
				}
			dasm_put(Dst, 119286);
				}
#line 13540 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

			if ((opline+1)->op1_type == IS_CONST) {
				//|	// TODO: ???
				//|	// if (Z_TYPE_P(value) == orig_type) {
				//|	// CACHE_PTR_EX(cache_slot + 2, NULL);
			}

			if (((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR))
			 && (val_info & (MAY_BE_REF|MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				//|	b >7
				dasm_put(Dst, 119288);
#line 13550 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	b >9
				dasm_put(Dst, 119291);
#line 13552 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|.code
			dasm_put(Dst, 119294);
#line 13554 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		prop_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, prop_info->offset);
		if (!ce || ce_is_instanceof || !(ce->ce_flags & ZEND_ACC_IMMUTABLE) || ce->__get || ce->__set || (prop_info->flags & ZEND_ACC_READONLY)) {
			// Undefined property with magic __get()/__set()
			if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}
				//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, TMP2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.v.type)), TMP1
					if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
					if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
				dasm_put(Dst, 119295, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))));
					} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff)) {
				dasm_put(Dst, 119298, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff));
						if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
				dasm_put(Dst, 119301, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119304, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 119307);
					} else {
				dasm_put(Dst, 119309, ((prop_info->offset + offsetof(zval,u1.v.type))));
					}
#line 13567 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	IF_TYPE TMP2w, IS_UNDEF, &exit_addr
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 119312, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					} else {
				dasm_put(Dst, 119315, IS_UNDEF, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
					}
#line 13568 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, TMP2w, FCARG1x, (prop_info->offset + offsetof(zval,u1.v.type)), TMP1
					if (((uintptr_t)((prop_info->offset + offsetof(zval,u1.v.type)))) > LDRB_STRB_PIMM) {
					if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))) <= MOVZ_IMM) {
				dasm_put(Dst, 119320, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type)))));
					} else if (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff)) {
				dasm_put(Dst, 119323, ((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) & 0xffff));
						if ((((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff)) {
				dasm_put(Dst, 119326, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119329, (((uint32_t)((prop_info->offset + offsetof(zval,u1.v.type))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 119332);
					} else {
				dasm_put(Dst, 119334, ((prop_info->offset + offsetof(zval,u1.v.type))));
					}
#line 13570 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	IF_TYPE TMP2w, IS_UNDEF, >5
					if (IS_UNDEF == 0) {
				dasm_put(Dst, 119337);
					} else {
				dasm_put(Dst, 119340, IS_UNDEF);
					}
#line 13571 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				needs_slow_path = 1;
			}
		}
		if (ZEND_TYPE_IS_SET(prop_info->type)) {
			uint32_t info = val_info;

			//|	// value = zend_assign_to_typed_prop(prop_info, property_val, value EXECUTE_DATA_CC);
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 119345, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 119348);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 119350, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 119353, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 119356, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 119359, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 119362, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 119365, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 119368, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 119371, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 119374, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119377, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 119380, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 13579 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (ce && ce->ce_flags & ZEND_ACC_IMMUTABLE) {
				//|	LOAD_ADDR FCARG2x, prop_info
					if (((uintptr_t)(prop_info)) == 0) {
				dasm_put(Dst, 119383);
					} else if (((uintptr_t)(prop_info)) <= MOVZ_IMM) {
				dasm_put(Dst, 119385, ((uint64_t)(prop_info)));
					} else if (arm64_may_use_adr((void*)(prop_info))) {
				dasm_put(Dst, 119388, (unsigned int)((ptrdiff_t)(prop_info)), (unsigned int)(((ptrdiff_t)(prop_info))>>32));
					} else if (arm64_may_use_adrp((void*)(prop_info))) {
				dasm_put(Dst, 119391, (unsigned int)((ptrdiff_t)((((uintptr_t)(prop_info))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(prop_info)))))>>32));
						if (((uintptr_t)(prop_info)) & 0xfff) {
				dasm_put(Dst, 119394, (((uintptr_t)(prop_info)) & 0xfff));
						}
					} else if ((uintptr_t)(prop_info) & 0xffff) {
				dasm_put(Dst, 119397, ((uintptr_t)(prop_info) & 0xffff));
						if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
				dasm_put(Dst, 119400, (((uintptr_t)(prop_info) >> 16) & 0xffff));
						}
						if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
				dasm_put(Dst, 119403, (((uintptr_t)(prop_info) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(prop_info) >> 16) & 0xffff) {
				dasm_put(Dst, 119406, (((uintptr_t)(prop_info) >> 16) & 0xffff));
						if (((uintptr_t)(prop_info) >> 32) & 0xffff) {
				dasm_put(Dst, 119409, (((uintptr_t)(prop_info) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119412, (((uintptr_t)(prop_info) >> 32) & 0xffff));
					}
#line 13581 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				int prop_info_offset =
					(((prop_info->offset - (sizeof(zend_object) - sizeof(zval))) / sizeof(zval)) * sizeof(void*));

				//|	ldr REG0, [FCARG1x, #offsetof(zend_object, ce)]
				//|	ldr	REG0, [REG0, #offsetof(zend_class_entry, properties_info_table)]
				//|	MEM_ACCESS_64_WITH_UOFFSET ldr, FCARG2x, REG0, prop_info_offset, TMP1
				dasm_put(Dst, 119415, offsetof(zend_object, ce), offsetof(zend_class_entry, properties_info_table));
					if (((uintptr_t)(prop_info_offset)) > LDR_STR_PIMM64) {
					if (((uint32_t)(prop_info_offset)) <= MOVZ_IMM) {
				dasm_put(Dst, 119420, ((uint32_t)(prop_info_offset)));
					} else if (((uint32_t)(prop_info_offset) & 0xffff)) {
				dasm_put(Dst, 119423, ((uint32_t)(prop_info_offset) & 0xffff));
						if ((((uint32_t)(prop_info_offset) >> 16) & 0xffff)) {
				dasm_put(Dst, 119426, (((uint32_t)(prop_info_offset) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119429, (((uint32_t)(prop_info_offset) >> 16) & 0xffff));
					}
				dasm_put(Dst, 119432);
					} else {
				dasm_put(Dst, 119434, (prop_info_offset));
					}
#line 13588 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	LOAD_ZVAL_ADDR FCARG1x, prop_addr
				if (Z_MODE(prop_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(prop_addr))) == 0) {
			dasm_put(Dst, 119437);
				} else if (((uintptr_t)(Z_ZV(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 119439, ((uint64_t)(Z_ZV(prop_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 119442, (unsigned int)((ptrdiff_t)(Z_ZV(prop_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(prop_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(prop_addr)))) {
			dasm_put(Dst, 119445, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(prop_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff) {
			dasm_put(Dst, 119448, (((uintptr_t)(Z_ZV(prop_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff) {
			dasm_put(Dst, 119451, ((uintptr_t)(Z_ZV(prop_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 119454, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 119457, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 119460, (((uintptr_t)(Z_ZV(prop_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 119463, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119466, (((uintptr_t)(Z_ZV(prop_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(prop_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(prop_addr)) {
				if (Z_OFFSET(prop_addr) == 0) {
			dasm_put(Dst, 119469, (Z_REG(prop_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(prop_addr)))) {
			dasm_put(Dst, 119472, (Z_REG(prop_addr)), Z_OFFSET(prop_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(prop_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 119476, ((uint32_t)(Z_OFFSET(prop_addr))));
				} else if (((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff)) {
			dasm_put(Dst, 119479, ((uint32_t)(Z_OFFSET(prop_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 119482, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119485, (((uint32_t)(Z_OFFSET(prop_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 119488, (Z_REG(prop_addr)));
				}
					} else {
						if (Z_REG(prop_addr) == ZREG_RSP) {
			dasm_put(Dst, 119491);
						} else {
			dasm_put(Dst, 119493, (Z_REG(prop_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 13590 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_ZVAL_ADDR CARG3, val_addr
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 119496);
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 119498, ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 119501, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 119504, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 119507, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 119510, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 119513, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 119516, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 119519, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 119522, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119525, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(val_addr)) {
				if (Z_OFFSET(val_addr) == 0) {
			dasm_put(Dst, 119528, (Z_REG(val_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
			dasm_put(Dst, 119531, (Z_REG(val_addr)), Z_OFFSET(val_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 119535, ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 119538, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 119541, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119544, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 119547, (Z_REG(val_addr)));
				}
					} else {
						if (Z_REG(val_addr) == ZREG_RSP) {
			dasm_put(Dst, 119550);
						} else {
			dasm_put(Dst, 119552, (Z_REG(val_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 13591 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (RETURN_VALUE_USED(opline)) {
				//|	LOAD_ZVAL_ADDR CARG4, res_addr
					if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
					if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
				dasm_put(Dst, 119555);
					} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 119557, ((uint64_t)(Z_ZV(res_addr))));
					} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 119560, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
					} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
				dasm_put(Dst, 119563, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
						if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
				dasm_put(Dst, 119566, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
						}
					} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
				dasm_put(Dst, 119569, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 119572, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 119575, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
				dasm_put(Dst, 119578, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
						if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
				dasm_put(Dst, 119581, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119584, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
					} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
						if (Z_OFFSET(res_addr)) {
					if (Z_OFFSET(res_addr) == 0) {
				dasm_put(Dst, 119587, (Z_REG(res_addr)));
					} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
				dasm_put(Dst, 119590, (Z_REG(res_addr)), Z_OFFSET(res_addr));
					} else {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 119594, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 119597, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 119600, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 119603, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 119606, (Z_REG(res_addr)));
					}
						} else {
							if (Z_REG(res_addr) == ZREG_RSP) {
				dasm_put(Dst, 119609);
							} else {
				dasm_put(Dst, 119611, (Z_REG(res_addr)));
							}
						}
					} else {
						ZEND_UNREACHABLE();
					}
#line 13593 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	mov CARG4, xzr
				dasm_put(Dst, 119614);
#line 13595 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}

			//|	EXT_CALL zend_jit_assign_to_typed_prop, REG0
				if (arm64_may_use_b(zend_jit_assign_to_typed_prop)) {
			dasm_put(Dst, 119616, (unsigned int)((ptrdiff_t)(zend_jit_assign_to_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_to_typed_prop))>>32));
				} else {
				if (((uintptr_t)(zend_jit_assign_to_typed_prop)) == 0) {
			dasm_put(Dst, 119619);
				} else if (((uintptr_t)(zend_jit_assign_to_typed_prop)) <= MOVZ_IMM) {
			dasm_put(Dst, 119621, ((uint64_t)(zend_jit_assign_to_typed_prop)));
				} else if (arm64_may_use_adr((void*)(zend_jit_assign_to_typed_prop))) {
			dasm_put(Dst, 119624, (unsigned int)((ptrdiff_t)(zend_jit_assign_to_typed_prop)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_to_typed_prop))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_assign_to_typed_prop))) {
			dasm_put(Dst, 119627, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_to_typed_prop))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_to_typed_prop)))))>>32));
					if (((uintptr_t)(zend_jit_assign_to_typed_prop)) & 0xfff) {
			dasm_put(Dst, 119630, (((uintptr_t)(zend_jit_assign_to_typed_prop)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_assign_to_typed_prop) & 0xffff) {
			dasm_put(Dst, 119633, ((uintptr_t)(zend_jit_assign_to_typed_prop) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 16) & 0xffff) {
			dasm_put(Dst, 119636, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff) {
			dasm_put(Dst, 119639, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 16) & 0xffff) {
			dasm_put(Dst, 119642, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff) {
			dasm_put(Dst, 119645, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119648, (((uintptr_t)(zend_jit_assign_to_typed_prop) >> 32) & 0xffff));
				}
			dasm_put(Dst, 119651);
				}
#line 13598 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

			if (info & (MAY_BE_REF|MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
				info |= MAY_BE_RC1|MAY_BE_RCN;
			}

			//|	FREE_OP (opline+1)->op1_type, (opline+1)->op1, info, 0, NULL, ZREG_TMP1, ZREG_TMP2
				if ((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR)) {
					zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, (opline+1)->op1.var);
				if ((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (0) {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 119653, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 119657, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 119661, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119665, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 119669, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 119674, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 119679, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 119682, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 119686, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 119690, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 119694, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119698, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 119702, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 119706);
			dasm_put(Dst, 119709);
						} else {
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 119711, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 119715, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 119719, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119723, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 119727, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 119732, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 119737, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 119740, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 119744, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 119748, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 119752, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119756, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 119760, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 119764);
						}
					}
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 119767, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
				} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
			dasm_put(Dst, 119771, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 119775, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119779, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 119783, (Z_REG(addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 119787, (Z_REG(addr)), (Z_OFFSET(addr)));
				}
			dasm_put(Dst, 119791, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((info) & MAY_BE_GUARD) || RC_MAY_BE_1(info)) {
						if (((info) & MAY_BE_GUARD) || RC_MAY_BE_N(info)) {
							if (0 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 119799);
							} else {
			dasm_put(Dst, 119802);
							}
						}
				do {
					if (!((info) & MAY_BE_GUARD)
					 && has_concrete_type((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 119805, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 119808, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 119811, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 119815, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 119819, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 119823, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 119828, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 119832, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 119836, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 119840, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 119844, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119848, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 119852, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (NULL && ((info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 119855, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 119858, (ZREG_X15));
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 119861, (ZREG_X15), ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 119865, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 119869, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 119873, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 119878, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 119882, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 119886, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 119890, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 119894, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119898, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 119902, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 119906, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 119909, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 119912, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 119916, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 119920, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 119924, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 119929, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 119933, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 119937, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 119941, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 119945, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119949, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 119953, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 119956, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 119959, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 119962, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 119966, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 119970, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 119974, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 119979, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 119983, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 119987, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 119991, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 119995, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 119999, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 120003, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (NULL) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 120006, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 120009);
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 120011, ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 120014, (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 120017, (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 120020, (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 120023, ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 120026, (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 120029, (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 120032, (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 120035, (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120038, (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 120041, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 120044, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 120047, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 120050, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 120054, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 120058, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 120062, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 120067, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 120071, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 120075, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 120079, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 120083, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120087, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 120091, (ZREG_X15));
				}
							break;
						}
					}
					if (NULL) {
				if (NULL == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 120094, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(NULL)) == 0) {
			dasm_put(Dst, 120097, (ZREG_X15));
				} else if (((uintptr_t)(NULL)) <= MOVZ_IMM) {
			dasm_put(Dst, 120100, (ZREG_X15), ((uint64_t)(NULL)));
				} else if (arm64_may_use_adr((void*)(NULL))) {
			dasm_put(Dst, 120104, (ZREG_X15), (unsigned int)((ptrdiff_t)(NULL)), (unsigned int)(((ptrdiff_t)(NULL))>>32));
				} else if (arm64_may_use_adrp((void*)(NULL))) {
			dasm_put(Dst, 120108, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(NULL))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(NULL)))))>>32));
					if (((uintptr_t)(NULL)) & 0xfff) {
			dasm_put(Dst, 120112, (ZREG_X15), (ZREG_X15), (((uintptr_t)(NULL)) & 0xfff));
					}
				} else if ((uintptr_t)(NULL) & 0xffff) {
			dasm_put(Dst, 120117, (ZREG_X15), ((uintptr_t)(NULL) & 0xffff));
					if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 120121, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					}
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 120125, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(NULL) >> 16) & 0xffff) {
			dasm_put(Dst, 120129, (ZREG_X15), (((uintptr_t)(NULL) >> 16) & 0xffff));
					if (((uintptr_t)(NULL) >> 32) & 0xffff) {
			dasm_put(Dst, 120133, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120137, (ZREG_X15), (((uintptr_t)(NULL) >> 32) & 0xffff));
				}
			dasm_put(Dst, 120141, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 120145, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 120148, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 120151, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 120155, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 120159, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 120163, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 120168, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 120172, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 120176, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 120180, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 120184, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120188, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 120192, (ZREG_X15));
				}
				} while(0);
						if (0 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 120195);
						}
			dasm_put(Dst, 120198);
					}
					if (0 && (((info) & MAY_BE_GUARD) || (RC_MAY_BE_N(info) && ((info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 120200, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 120204, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 120208, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120212, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 120216, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 120221, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 120226, (ZREG_X15));
				} else {
			dasm_put(Dst, 120230, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 120236, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 120240, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 120244, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120248, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 120252, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 120257, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 120262, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 120265, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 120269, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 120273, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 120277, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120281, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 120285, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 120289);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 120292, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 120296, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 120300, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120304, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 120308, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 120312, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 120316);
						}
			dasm_put(Dst, 120318, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 120321, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 120324, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 120328, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 120332, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 120336, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120340, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 120344, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 120348);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 120351, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 120354, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 120357, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 120361, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 120365, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 120369, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 120374, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 120378, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 120382, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 120386, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 120390, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120394, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 120398, (ZREG_X15));
				}
					}
					if (0 && ((info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 120401);
					}
			dasm_put(Dst, 120404);
				}
				}
#line 13604 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (!prop_info || !ZEND_TYPE_IS_SET(prop_info->type)) {
		// value = zend_assign_to_variable(property_val, value, OP_DATA_TYPE, EX_USES_STRICT_TYPES());
		if (opline->result_type == IS_UNUSED) {
			if (!zend_jit_assign_to_variable_call(Dst, opline, prop_addr, prop_addr, -1, -1, (opline+1)->op1_type, val_addr, val_info, res_addr, 0)) {
				return 0;
			}
		} else {
			if (!zend_jit_assign_to_variable(Dst, opline, prop_addr, prop_addr, -1, -1, (opline+1)->op1_type, val_addr, val_info, res_addr, 0)) {
				return 0;
			}
		}
	}

	if (needs_slow_path) {
		//|.cold_code
		dasm_put(Dst, 120406);
#line 13622 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|5:
		//|	SET_EX_OPLINE opline, REG0
		dasm_put(Dst, 120407);
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 120409, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 120412);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 120414, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 120417, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 120420, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 120423, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 120426, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 120429, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 120432, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 120435, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 120438, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120441, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 120444, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 13624 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	// value = zobj->handlers->write_property(zobj, name, value, CACHE_ADDR(opline->extended_value));
		//|	LOAD_ADDR FCARG2x, name
			if (((uintptr_t)(name)) == 0) {
		dasm_put(Dst, 120447);
			} else if (((uintptr_t)(name)) <= MOVZ_IMM) {
		dasm_put(Dst, 120449, ((uint64_t)(name)));
			} else if (arm64_may_use_adr((void*)(name))) {
		dasm_put(Dst, 120452, (unsigned int)((ptrdiff_t)(name)), (unsigned int)(((ptrdiff_t)(name))>>32));
			} else if (arm64_may_use_adrp((void*)(name))) {
		dasm_put(Dst, 120455, (unsigned int)((ptrdiff_t)((((uintptr_t)(name))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(name)))))>>32));
				if (((uintptr_t)(name)) & 0xfff) {
		dasm_put(Dst, 120458, (((uintptr_t)(name)) & 0xfff));
				}
			} else if ((uintptr_t)(name) & 0xffff) {
		dasm_put(Dst, 120461, ((uintptr_t)(name) & 0xffff));
				if (((uintptr_t)(name) >> 16) & 0xffff) {
		dasm_put(Dst, 120464, (((uintptr_t)(name) >> 16) & 0xffff));
				}
				if (((uintptr_t)(name) >> 32) & 0xffff) {
		dasm_put(Dst, 120467, (((uintptr_t)(name) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(name) >> 16) & 0xffff) {
		dasm_put(Dst, 120470, (((uintptr_t)(name) >> 16) & 0xffff));
				if (((uintptr_t)(name) >> 32) & 0xffff) {
		dasm_put(Dst, 120473, (((uintptr_t)(name) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120476, (((uintptr_t)(name) >> 32) & 0xffff));
			}
#line 13626 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		//|	LOAD_ZVAL_ADDR CARG3, val_addr
			if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
		dasm_put(Dst, 120479);
			} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 120481, ((uint64_t)(Z_ZV(val_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 120484, (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
		dasm_put(Dst, 120487, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
		dasm_put(Dst, 120490, (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
		dasm_put(Dst, 120493, ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 120496, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 120499, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 120502, (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 120505, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120508, (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(val_addr)) {
			if (Z_OFFSET(val_addr) == 0) {
		dasm_put(Dst, 120511, (Z_REG(val_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(val_addr)))) {
		dasm_put(Dst, 120514, (Z_REG(val_addr)), Z_OFFSET(val_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 120518, ((uint32_t)(Z_OFFSET(val_addr))));
			} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
		dasm_put(Dst, 120521, ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 120524, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120527, (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 120530, (Z_REG(val_addr)));
			}
				} else {
					if (Z_REG(val_addr) == ZREG_RSP) {
		dasm_put(Dst, 120533);
					} else {
		dasm_put(Dst, 120535, (Z_REG(val_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 13628 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr CARG4, EX->run_time_cache
		//|	ADD_SUB_64_WITH_CONST_32 add, CARG4, CARG4, opline->extended_value, TMP1
		dasm_put(Dst, 120538, Dt1(->run_time_cache));
			if (opline->extended_value == 0) {
		dasm_put(Dst, 120541);
			} else if (arm64_may_encode_imm12((int64_t)(opline->extended_value))) {
		dasm_put(Dst, 120543, opline->extended_value);
			} else {
			if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
		dasm_put(Dst, 120546, ((uint32_t)(opline->extended_value)));
			} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
		dasm_put(Dst, 120549, ((uint32_t)(opline->extended_value) & 0xffff));
				if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
		dasm_put(Dst, 120552, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120555, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
		dasm_put(Dst, 120558);
			}
#line 13630 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (RETURN_VALUE_USED(opline)) {
			//|	LOAD_ZVAL_ADDR CARG5, res_addr
				if (Z_MODE(res_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(res_addr))) == 0) {
			dasm_put(Dst, 120560);
				} else if (((uintptr_t)(Z_ZV(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 120562, ((uint64_t)(Z_ZV(res_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 120565, (unsigned int)((ptrdiff_t)(Z_ZV(res_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(res_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(res_addr)))) {
			dasm_put(Dst, 120568, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(res_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(res_addr))) & 0xfff) {
			dasm_put(Dst, 120571, (((uintptr_t)(Z_ZV(res_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(res_addr)) & 0xffff) {
			dasm_put(Dst, 120574, ((uintptr_t)(Z_ZV(res_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 120577, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 120580, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 120583, (((uintptr_t)(Z_ZV(res_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 120586, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120589, (((uintptr_t)(Z_ZV(res_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(res_addr)) {
				if (Z_OFFSET(res_addr) == 0) {
			dasm_put(Dst, 120592, (Z_REG(res_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(res_addr)))) {
			dasm_put(Dst, 120595, (Z_REG(res_addr)), Z_OFFSET(res_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 120599, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 120602, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 120605, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 120608, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 120611, (Z_REG(res_addr)));
				}
					} else {
						if (Z_REG(res_addr) == ZREG_RSP) {
			dasm_put(Dst, 120614);
						} else {
			dasm_put(Dst, 120616, (Z_REG(res_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 13632 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	mov CARG5, xzr
			dasm_put(Dst, 120619);
#line 13634 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		//|	EXT_CALL zend_jit_assign_obj_helper, REG0
			if (arm64_may_use_b(zend_jit_assign_obj_helper)) {
		dasm_put(Dst, 120621, (unsigned int)((ptrdiff_t)(zend_jit_assign_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_obj_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_assign_obj_helper)) == 0) {
		dasm_put(Dst, 120624);
			} else if (((uintptr_t)(zend_jit_assign_obj_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 120626, ((uint64_t)(zend_jit_assign_obj_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_assign_obj_helper))) {
		dasm_put(Dst, 120629, (unsigned int)((ptrdiff_t)(zend_jit_assign_obj_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_assign_obj_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_assign_obj_helper))) {
		dasm_put(Dst, 120632, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_assign_obj_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_assign_obj_helper)))))>>32));
				if (((uintptr_t)(zend_jit_assign_obj_helper)) & 0xfff) {
		dasm_put(Dst, 120635, (((uintptr_t)(zend_jit_assign_obj_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_assign_obj_helper) & 0xffff) {
		dasm_put(Dst, 120638, ((uintptr_t)(zend_jit_assign_obj_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_obj_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 120641, (((uintptr_t)(zend_jit_assign_obj_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_assign_obj_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 120644, (((uintptr_t)(zend_jit_assign_obj_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_assign_obj_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 120647, (((uintptr_t)(zend_jit_assign_obj_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_assign_obj_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 120650, (((uintptr_t)(zend_jit_assign_obj_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120653, (((uintptr_t)(zend_jit_assign_obj_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 120656);
			}
#line 13637 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		if (val_info & (MAY_BE_REF|MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
			val_info |= MAY_BE_RC1|MAY_BE_RCN;
		}

		//|7:
		//|	// FREE_OP_DATA();
		//|	FREE_OP (opline+1)->op1_type, (opline+1)->op1, val_info, 0, opline, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 120658);
			if ((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, (opline+1)->op1.var);
			if ((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((val_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 120660, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 120664, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 120668, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120672, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 120676, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 120681, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 120686, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 120689, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 120693, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 120697, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 120701, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120705, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 120709, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 120713);
		dasm_put(Dst, 120716);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 120718, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 120722, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 120726, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120730, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 120734, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 120739, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 120744, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 120747, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 120751, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 120755, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 120759, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120763, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 120767, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 120771);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 120774, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 120778, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 120782, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120786, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 120790, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 120794, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 120798, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((val_info) & MAY_BE_GUARD) || RC_MAY_BE_1(val_info)) {
					if (((val_info) & MAY_BE_GUARD) || RC_MAY_BE_N(val_info)) {
						if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 120806);
						} else {
		dasm_put(Dst, 120809);
						}
					}
			do {
				if (!((val_info) & MAY_BE_GUARD)
				 && has_concrete_type((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 120812, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 120815, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 120818, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 120822, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 120826, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 120830, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 120835, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 120839, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 120843, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 120847, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 120851, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120855, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 120859, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((val_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((val_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 120862, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 120865, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 120868, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 120872, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 120876, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 120880, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 120885, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 120889, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 120893, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 120897, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 120901, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120905, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 120909, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 120913, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 120916, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 120919, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 120923, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 120927, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 120931, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 120936, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 120940, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 120944, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 120948, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 120952, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 120956, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 120960, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 120963, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 120966, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 120969, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 120973, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 120977, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 120981, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 120986, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 120990, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 120994, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 120998, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 121002, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121006, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121010, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 121013, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 121016);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 121018, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 121021, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 121024, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 121027, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 121030, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 121033, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 121036, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 121039, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 121042, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121045, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121048, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 121051, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 121054, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 121057, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 121061, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 121065, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 121069, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 121074, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 121078, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 121082, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 121086, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 121090, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121094, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121098, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 121101, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 121104, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 121107, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 121111, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 121115, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 121119, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 121124, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 121128, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 121132, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 121136, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 121140, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121144, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121148, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 121152, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 121155, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 121158, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 121162, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 121166, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 121170, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 121175, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 121179, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 121183, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 121187, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 121191, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121195, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121199, (ZREG_X15));
			}
			} while(0);
					if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 121202);
					}
		dasm_put(Dst, 121205);
				}
				if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((val_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 121207, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 121211, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 121215, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121219, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121223, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 121228, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 121233, (ZREG_X15));
			} else {
		dasm_put(Dst, 121237, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 121243, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 121247, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 121251, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121255, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121259, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 121264, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 121269, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 121272, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 121276, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 121280, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 121284, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121288, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121292, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 121296);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 121299, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 121303, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 121307, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121311, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121315, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 121319, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 121323);
					}
		dasm_put(Dst, 121325, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 121328, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 121331, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 121335, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 121339, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 121343, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121347, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121351, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 121355);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 121358, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 121361, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 121364, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 121368, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 121372, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 121376, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 121381, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 121385, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 121389, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 121393, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 121397, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121401, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121405, (ZREG_X15));
			}
				}
				if (0 && ((val_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 121408);
				}
		dasm_put(Dst, 121411);
			}
			}
#line 13645 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b >9
		//|.code
		dasm_put(Dst, 121413);
#line 13647 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (needs_val_dtor) {
		//|.cold_code
		dasm_put(Dst, 121416);
#line 13649 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|7:
		//|	// FREE_OP_DATA();
		//|	FREE_OP (opline+1)->op1_type, (opline+1)->op1, val_info, 0, opline, ZREG_TMP1, ZREG_TMP2
		dasm_put(Dst, 121417);
			if ((opline+1)->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, (opline+1)->op1.var);
			if ((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((val_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 121419, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 121423, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 121427, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121431, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121435, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 121440, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 121445, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 121448, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 121452, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 121456, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 121460, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121464, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121468, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 121472);
		dasm_put(Dst, 121475);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 121477, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 121481, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 121485, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121489, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121493, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 121498, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 121503, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 121506, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 121510, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 121514, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 121518, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121522, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121526, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 121530);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 121533, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 121537, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 121541, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121545, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121549, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 121553, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 121557, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((val_info) & MAY_BE_GUARD) || RC_MAY_BE_1(val_info)) {
					if (((val_info) & MAY_BE_GUARD) || RC_MAY_BE_N(val_info)) {
						if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 121565);
						} else {
		dasm_put(Dst, 121568);
						}
					}
			do {
				if (!((val_info) & MAY_BE_GUARD)
				 && has_concrete_type((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((val_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 121571, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 121574, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 121577, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 121581, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 121585, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 121589, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 121594, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 121598, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 121602, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 121606, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 121610, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121614, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121618, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((val_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((val_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 121621, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 121624, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 121627, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 121631, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 121635, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 121639, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 121644, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 121648, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 121652, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 121656, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 121660, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121664, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121668, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 121672, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 121675, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 121678, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 121682, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 121686, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 121690, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 121695, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 121699, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 121703, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 121707, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 121711, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121715, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121719, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 121722, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 121725, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 121728, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 121732, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 121736, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 121740, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 121745, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 121749, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 121753, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 121757, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 121761, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121765, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121769, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 121772, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 121775);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 121777, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 121780, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 121783, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 121786, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 121789, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 121792, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 121795, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 121798, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 121801, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121804, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121807, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 121810, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 121813, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 121816, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 121820, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 121824, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 121828, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 121833, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 121837, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 121841, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 121845, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 121849, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121853, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121857, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 121860, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 121863, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 121866, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 121870, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 121874, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 121878, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 121883, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 121887, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 121891, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 121895, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 121899, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121903, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121907, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 121911, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 121914, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 121917, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 121921, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 121925, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 121929, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 121934, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 121938, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 121942, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 121946, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 121950, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121954, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 121958, (ZREG_X15));
			}
			} while(0);
					if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 121961);
					}
		dasm_put(Dst, 121964);
				}
				if (0 && (((val_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(val_info) && ((val_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((val_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 121966, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 121970, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 121974, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 121978, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 121982, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 121987, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 121992, (ZREG_X15));
			} else {
		dasm_put(Dst, 121996, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 122002, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 122006, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 122010, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122014, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122018, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 122023, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 122028, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 122031, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 122035, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 122039, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 122043, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122047, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122051, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 122055);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 122058, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 122062, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 122066, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122070, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122074, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 122078, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 122082);
					}
		dasm_put(Dst, 122084, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 122087, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 122090, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 122094, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 122098, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 122102, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122106, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122110, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 122114);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 122117, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 122120, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 122123, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 122127, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 122131, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 122135, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 122140, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 122144, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 122148, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 122152, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 122156, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122160, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122164, (ZREG_X15));
			}
				}
				if (0 && ((val_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 122167);
				}
		dasm_put(Dst, 122170);
			}
			}
#line 13652 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	b >9
		//|.code
		dasm_put(Dst, 122172);
#line 13654 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|9:
	dasm_put(Dst, 122175);
#line 13657 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (opline->op1_type != IS_UNUSED && !delayed_fetch_this && !op1_indirect) {
		//|	FREE_OP opline->op1_type, opline->op1, op1_info, 1, opline, ZREG_TMP1, ZREG_TMP2
			if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (1) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 122177, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 122181, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 122185, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122189, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122193, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 122198, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 122203, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 122206, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 122210, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 122214, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 122218, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122222, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122226, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 122230);
		dasm_put(Dst, 122233);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 122235, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 122239, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 122243, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122247, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122251, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 122256, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 122261, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 122264, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 122268, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 122272, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 122276, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122280, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122284, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 122288);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 122291, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 122295, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 122299, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122303, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122307, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 122311, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 122315, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 122323);
						} else {
		dasm_put(Dst, 122326);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 122329, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 122332, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 122335, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 122339, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 122343, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 122347, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 122352, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 122356, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 122360, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 122364, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 122368, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122372, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122376, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 122379, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 122382, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 122385, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 122389, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 122393, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 122397, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 122402, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 122406, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 122410, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 122414, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 122418, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122422, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122426, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 122430, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 122433, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 122436, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 122440, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 122444, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 122448, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 122453, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 122457, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 122461, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 122465, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 122469, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122473, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122477, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 122480, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 122483, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 122486, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 122490, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 122494, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 122498, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 122503, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 122507, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 122511, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 122515, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 122519, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122523, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122527, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 122530, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 122533);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 122535, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 122538, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 122541, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 122544, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 122547, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 122550, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 122553, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 122556, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 122559, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122562, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122565, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 122568, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 122571, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 122574, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 122578, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 122582, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 122586, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 122591, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 122595, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 122599, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 122603, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 122607, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122611, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122615, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 122618, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 122621, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 122624, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 122628, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 122632, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 122636, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 122641, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 122645, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 122649, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 122653, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 122657, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122661, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122665, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 122669, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 122672, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 122675, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 122679, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 122683, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 122687, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 122692, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 122696, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 122700, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 122704, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 122708, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122712, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122716, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 122719);
					}
		dasm_put(Dst, 122722);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 122724, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 122728, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 122732, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122736, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122740, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 122745, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 122750, (ZREG_X15));
			} else {
		dasm_put(Dst, 122754, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 122760, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 122764, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 122768, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122772, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122776, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 122781, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 122786, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 122789, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 122793, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 122797, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 122801, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122805, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122809, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 122813);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 122816, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 122820, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 122824, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122828, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122832, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 122836, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 122840);
					}
		dasm_put(Dst, 122842, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 122845, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 122848, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 122852, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 122856, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 122860, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122864, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 122868, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 122872);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 122875, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 122878, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 122881, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 122885, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 122889, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 122893, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 122898, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 122902, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 122906, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 122910, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 122914, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 122918, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 122922, (ZREG_X15));
			}
				}
				if (1 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 122925);
				}
		dasm_put(Dst, 122928);
			}
			}
#line 13659 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (may_throw) {
		if (!zend_jit_check_exception(Dst)) {
			return 0;
		}
	}

	return 1;
}

static int zend_jit_free(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, int may_throw)
{
	zend_jit_addr op1_addr = OP1_ADDR();

	if (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF)) {
		if (may_throw) {
			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 122930, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 122933);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 122935, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 122938, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 122941, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 122944, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 122947, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 122950, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 122953, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 122956, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 122959, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 122962, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 122965, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 13677 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (opline->opcode == ZEND_FE_FREE && (op1_info & (MAY_BE_OBJECT|MAY_BE_REF))) {
			if (op1_info & MAY_BE_ARRAY) {
				//|	IF_ZVAL_TYPE op1_addr, IS_ARRAY, >7, ZREG_TMP1
					ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
					if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
				dasm_put(Dst, 122968, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
					} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
				dasm_put(Dst, 122972, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
				dasm_put(Dst, 122976, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 122980, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 122984, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
					} else {
				dasm_put(Dst, 122989, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
					}
					if (IS_ARRAY == 0) {
				dasm_put(Dst, 122994, (ZREG_X15));
					} else {
				dasm_put(Dst, 122998, (ZREG_X15), IS_ARRAY);
					}
#line 13681 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|	MEM_ACCESS_32_WITH_UOFFSET ldr, FCARG1w, FP, (opline->op1.var + offsetof(zval, u2.fe_iter_idx)), TMP1
				if (((uintptr_t)((opline->op1.var + offsetof(zval, u2.fe_iter_idx)))) > LDR_STR_PIMM32) {
				if (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_iter_idx)))) <= MOVZ_IMM) {
			dasm_put(Dst, 123004, ((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_iter_idx)))));
				} else if (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_iter_idx))) & 0xffff)) {
			dasm_put(Dst, 123007, ((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_iter_idx))) & 0xffff));
					if ((((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_iter_idx))) >> 16) & 0xffff)) {
			dasm_put(Dst, 123010, (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_iter_idx))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 123013, (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_iter_idx))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 123016);
				} else {
			dasm_put(Dst, 123018, ((opline->op1.var + offsetof(zval, u2.fe_iter_idx))));
				}
#line 13683 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	mvn TMP1w, wzr // TODO: DynAsm fails loading #-1
			//|	cmp FCARG1w, TMP1w
			//|	beq >7
			//|	EXT_CALL zend_hash_iterator_del, REG0
			dasm_put(Dst, 123021);
				if (arm64_may_use_b(zend_hash_iterator_del)) {
			dasm_put(Dst, 123026, (unsigned int)((ptrdiff_t)(zend_hash_iterator_del)), (unsigned int)(((ptrdiff_t)(zend_hash_iterator_del))>>32));
				} else {
				if (((uintptr_t)(zend_hash_iterator_del)) == 0) {
			dasm_put(Dst, 123029);
				} else if (((uintptr_t)(zend_hash_iterator_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 123031, ((uint64_t)(zend_hash_iterator_del)));
				} else if (arm64_may_use_adr((void*)(zend_hash_iterator_del))) {
			dasm_put(Dst, 123034, (unsigned int)((ptrdiff_t)(zend_hash_iterator_del)), (unsigned int)(((ptrdiff_t)(zend_hash_iterator_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_hash_iterator_del))) {
			dasm_put(Dst, 123037, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_iterator_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_iterator_del)))))>>32));
					if (((uintptr_t)(zend_hash_iterator_del)) & 0xfff) {
			dasm_put(Dst, 123040, (((uintptr_t)(zend_hash_iterator_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_hash_iterator_del) & 0xffff) {
			dasm_put(Dst, 123043, ((uintptr_t)(zend_hash_iterator_del) & 0xffff));
					if (((uintptr_t)(zend_hash_iterator_del) >> 16) & 0xffff) {
			dasm_put(Dst, 123046, (((uintptr_t)(zend_hash_iterator_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_hash_iterator_del) >> 32) & 0xffff) {
			dasm_put(Dst, 123049, (((uintptr_t)(zend_hash_iterator_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_hash_iterator_del) >> 16) & 0xffff) {
			dasm_put(Dst, 123052, (((uintptr_t)(zend_hash_iterator_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_hash_iterator_del) >> 32) & 0xffff) {
			dasm_put(Dst, 123055, (((uintptr_t)(zend_hash_iterator_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 123058, (((uintptr_t)(zend_hash_iterator_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 123061);
				}
#line 13687 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|7:
			dasm_put(Dst, 123063);
#line 13688 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	ZVAL_PTR_DTOR op1_addr, op1_info, 0, 0, opline, ZREG_TMP1, ZREG_TMP2
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 123065, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 123069, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 123073, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123077, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123081, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 123086, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 123091, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 123094, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 123098, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 123102, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 123106, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123110, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123114, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 123118);
		dasm_put(Dst, 123121);
					} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 123123, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 123127, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 123131, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123135, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123139, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 123144, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 123149, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 123152, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 123156, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 123160, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 123164, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123168, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123172, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 123176);
					}
				}
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 123179, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 123183, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 123187, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123191, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123195, (Z_REG(op1_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 123199, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
		dasm_put(Dst, 123203, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 123211);
						} else {
		dasm_put(Dst, 123214);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 123217, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 123220, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 123223, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 123227, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 123231, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 123235, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 123240, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 123244, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 123248, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 123252, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 123256, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123260, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 123264, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 123267, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 123270, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 123273, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 123277, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 123281, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 123285, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 123290, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 123294, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 123298, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 123302, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 123306, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123310, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 123314, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 123318, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 123321, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 123324, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 123328, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 123332, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 123336, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 123341, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 123345, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 123349, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 123353, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 123357, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123361, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 123365, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 123368, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 123371, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 123374, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 123378, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 123382, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 123386, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 123391, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 123395, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 123399, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 123403, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 123407, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123411, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 123415, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 123418, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 123421);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 123423, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 123426, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 123429, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 123432, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 123435, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 123438, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 123441, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 123444, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 123447, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123450, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 123453, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 123456, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 123459, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 123462, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 123466, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 123470, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 123474, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 123479, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 123483, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 123487, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 123491, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 123495, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123499, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 123503, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 123506, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 123509, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 123512, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 123516, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 123520, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 123524, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 123529, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 123533, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 123537, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 123541, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 123545, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123549, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 123553, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 123557, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 123560, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 123563, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 123567, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 123571, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 123575, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 123580, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 123584, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 123588, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 123592, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 123596, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123600, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 123604, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 123607);
					}
		dasm_put(Dst, 123610);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 123612, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 123616, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 123620, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123624, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123628, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 123633, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 123638, (ZREG_X15));
			} else {
		dasm_put(Dst, 123642, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 123648, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 123652, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 123656, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123660, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123664, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 123669, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 123674, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 123677, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 123681, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 123685, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 123689, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123693, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123697, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 123701);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 123704, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 123708, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 123712, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123716, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123720, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 123724, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 123728);
					}
		dasm_put(Dst, 123730, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 123733, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 123736, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 123740, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 123744, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 123748, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123752, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 123756, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 123760);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 123763, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 123766, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 123769, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 123773, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 123777, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 123781, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 123786, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 123790, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 123794, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 123798, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 123802, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123806, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 123810, (ZREG_X15));
			}
				}
				if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 123813);
				}
		dasm_put(Dst, 123816);
			}
#line 13690 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (may_throw) {
			if (!zend_jit_check_exception(Dst)) {
				return 0;
			}
		}
	}
	return 1;
}

static int zend_jit_echo(dasm_State **Dst, const zend_op *opline, uint32_t op1_info)
{
	if (opline->op1_type == IS_CONST) {
		zval *zv;
		size_t len;

		zv = RT_CONSTANT(opline, opline->op1);
		ZEND_ASSERT(Z_TYPE_P(zv) == IS_STRING);
		len = Z_STRLEN_P(zv);

		if (len > 0) {
			const char *str = Z_STRVAL_P(zv);

			//|	SET_EX_OPLINE opline, REG0
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 123818, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 123821);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 123823, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 123826, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 123829, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 123832, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 123835, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 123838, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 123841, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 123844, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 123847, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 123850, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 123853, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 13713 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_ADDR CARG1, str
				if (((uintptr_t)(str)) == 0) {
			dasm_put(Dst, 123856);
				} else if (((uintptr_t)(str)) <= MOVZ_IMM) {
			dasm_put(Dst, 123858, ((uint64_t)(str)));
				} else if (arm64_may_use_adr((void*)(str))) {
			dasm_put(Dst, 123861, (unsigned int)((ptrdiff_t)(str)), (unsigned int)(((ptrdiff_t)(str))>>32));
				} else if (arm64_may_use_adrp((void*)(str))) {
			dasm_put(Dst, 123864, (unsigned int)((ptrdiff_t)((((uintptr_t)(str))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(str)))))>>32));
					if (((uintptr_t)(str)) & 0xfff) {
			dasm_put(Dst, 123867, (((uintptr_t)(str)) & 0xfff));
					}
				} else if ((uintptr_t)(str) & 0xffff) {
			dasm_put(Dst, 123870, ((uintptr_t)(str) & 0xffff));
					if (((uintptr_t)(str) >> 16) & 0xffff) {
			dasm_put(Dst, 123873, (((uintptr_t)(str) >> 16) & 0xffff));
					}
					if (((uintptr_t)(str) >> 32) & 0xffff) {
			dasm_put(Dst, 123876, (((uintptr_t)(str) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(str) >> 16) & 0xffff) {
			dasm_put(Dst, 123879, (((uintptr_t)(str) >> 16) & 0xffff));
					if (((uintptr_t)(str) >> 32) & 0xffff) {
			dasm_put(Dst, 123882, (((uintptr_t)(str) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 123885, (((uintptr_t)(str) >> 32) & 0xffff));
				}
#line 13714 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_64BIT_VAL CARG2, len
				if (((uint64_t)(len)) == 0) {
			dasm_put(Dst, 123888);
				} else if (((uint64_t)(len)) <= MOVZ_IMM) {
			dasm_put(Dst, 123890, ((uint64_t)(len)));
				} else if (~((uint64_t)(len)) <= MOVZ_IMM) {
			dasm_put(Dst, 123893, (~((uint64_t)(len))));
				} else if ((uint64_t)(len) & 0xffff) {
			dasm_put(Dst, 123896, ((uint64_t)(len) & 0xffff));
					if (((uint64_t)(len) >> 16) & 0xffff) {
			dasm_put(Dst, 123899, (((uint64_t)(len) >> 16) & 0xffff));
					}
					if (((uint64_t)(len) >> 32) & 0xffff) {
			dasm_put(Dst, 123902, (((uint64_t)(len) >> 32) & 0xffff));
					}
					if ((((uint64_t)(len) >> 48) & 0xffff)) {
			dasm_put(Dst, 123905, (((uint64_t)(len) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(len) >> 16) & 0xffff) {
			dasm_put(Dst, 123908, (((uint64_t)(len) >> 16) & 0xffff));
					if (((uint64_t)(len) >> 32) & 0xffff) {
			dasm_put(Dst, 123911, (((uint64_t)(len) >> 32) & 0xffff));
					}
					if ((((uint64_t)(len) >> 48) & 0xffff)) {
			dasm_put(Dst, 123914, (((uint64_t)(len) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(len) >> 32) & 0xffff) {
			dasm_put(Dst, 123917, (((uint64_t)(len) >> 32) & 0xffff));
					if ((((uint64_t)(len) >> 48) & 0xffff)) {
			dasm_put(Dst, 123920, (((uint64_t)(len) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 123923, (((uint64_t)(len) >> 48) & 0xffff));
				}
#line 13715 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_write, REG0
				if (arm64_may_use_b(zend_write)) {
			dasm_put(Dst, 123926, (unsigned int)((ptrdiff_t)(zend_write)), (unsigned int)(((ptrdiff_t)(zend_write))>>32));
				} else {
				if (((uintptr_t)(zend_write)) == 0) {
			dasm_put(Dst, 123929);
				} else if (((uintptr_t)(zend_write)) <= MOVZ_IMM) {
			dasm_put(Dst, 123931, ((uint64_t)(zend_write)));
				} else if (arm64_may_use_adr((void*)(zend_write))) {
			dasm_put(Dst, 123934, (unsigned int)((ptrdiff_t)(zend_write)), (unsigned int)(((ptrdiff_t)(zend_write))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_write))) {
			dasm_put(Dst, 123937, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_write))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_write)))))>>32));
					if (((uintptr_t)(zend_write)) & 0xfff) {
			dasm_put(Dst, 123940, (((uintptr_t)(zend_write)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_write) & 0xffff) {
			dasm_put(Dst, 123943, ((uintptr_t)(zend_write) & 0xffff));
					if (((uintptr_t)(zend_write) >> 16) & 0xffff) {
			dasm_put(Dst, 123946, (((uintptr_t)(zend_write) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_write) >> 32) & 0xffff) {
			dasm_put(Dst, 123949, (((uintptr_t)(zend_write) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_write) >> 16) & 0xffff) {
			dasm_put(Dst, 123952, (((uintptr_t)(zend_write) >> 16) & 0xffff));
					if (((uintptr_t)(zend_write) >> 32) & 0xffff) {
			dasm_put(Dst, 123955, (((uintptr_t)(zend_write) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 123958, (((uintptr_t)(zend_write) >> 32) & 0xffff));
				}
			dasm_put(Dst, 123961);
				}
#line 13716 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!zend_jit_check_exception(Dst)) {
				return 0;
			}
		}
	} else {
		zend_jit_addr op1_addr = OP1_ADDR();

		ZEND_ASSERT((op1_info & (MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_STRING);

		//|	SET_EX_OPLINE opline, REG0
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 123963, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 123966);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 123968, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 123971, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 123974, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 123977, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 123980, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 123983, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 123986, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 123989, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 123992, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 123995, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 123998, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 13726 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_ZVAL_PTR REG0, op1_addr, TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 124001, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 124004, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 124007, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 124010, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 124013, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 124016, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
#line 13727 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	add CARG1, REG0, #offsetof(zend_string, val)
		//|	ldr CARG2, [REG0, #offsetof(zend_string, len)]
		//|	EXT_CALL zend_write, REG0
		dasm_put(Dst, 124020, offsetof(zend_string, val), offsetof(zend_string, len));
			if (arm64_may_use_b(zend_write)) {
		dasm_put(Dst, 124025, (unsigned int)((ptrdiff_t)(zend_write)), (unsigned int)(((ptrdiff_t)(zend_write))>>32));
			} else {
			if (((uintptr_t)(zend_write)) == 0) {
		dasm_put(Dst, 124028);
			} else if (((uintptr_t)(zend_write)) <= MOVZ_IMM) {
		dasm_put(Dst, 124030, ((uint64_t)(zend_write)));
			} else if (arm64_may_use_adr((void*)(zend_write))) {
		dasm_put(Dst, 124033, (unsigned int)((ptrdiff_t)(zend_write)), (unsigned int)(((ptrdiff_t)(zend_write))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_write))) {
		dasm_put(Dst, 124036, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_write))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_write)))))>>32));
				if (((uintptr_t)(zend_write)) & 0xfff) {
		dasm_put(Dst, 124039, (((uintptr_t)(zend_write)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_write) & 0xffff) {
		dasm_put(Dst, 124042, ((uintptr_t)(zend_write) & 0xffff));
				if (((uintptr_t)(zend_write) >> 16) & 0xffff) {
		dasm_put(Dst, 124045, (((uintptr_t)(zend_write) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_write) >> 32) & 0xffff) {
		dasm_put(Dst, 124048, (((uintptr_t)(zend_write) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_write) >> 16) & 0xffff) {
		dasm_put(Dst, 124051, (((uintptr_t)(zend_write) >> 16) & 0xffff));
				if (((uintptr_t)(zend_write) >> 32) & 0xffff) {
		dasm_put(Dst, 124054, (((uintptr_t)(zend_write) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 124057, (((uintptr_t)(zend_write) >> 32) & 0xffff));
			}
		dasm_put(Dst, 124060);
			}
#line 13730 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
			//|	ZVAL_PTR_DTOR op1_addr, op1_info, 0, 0, opline, ZREG_TMP1, ZREG_TMP2
				if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
					if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						if (0) {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 124062, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 124066, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 124070, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124074, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124078, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 124083, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 124088, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 124091, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 124095, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 124099, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 124103, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124107, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124111, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 124115);
			dasm_put(Dst, 124118);
						} else {
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 124120, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 124124, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 124128, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124132, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124136, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 124141, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_REFCOUNTED == 0) {
			dasm_put(Dst, 124146, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
			dasm_put(Dst, 124149, (ZREG_X15), IS_TYPE_REFCOUNTED);
				} else {
				if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
			dasm_put(Dst, 124153, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
				} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
			dasm_put(Dst, 124157, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
					if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
			dasm_put(Dst, 124161, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124165, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124169, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 124173);
						}
					}
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 124176, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 124180, (ZREG_X16), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 124184, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124188, (ZREG_X16), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124192, (Z_REG(op1_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 124196, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
			dasm_put(Dst, 124200, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
						if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
							if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 124208);
							} else {
			dasm_put(Dst, 124211);
							}
						}
				do {
					if (!((op1_info) & MAY_BE_GUARD)
					 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
						zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
						if (type == IS_STRING && !ZEND_DEBUG) {
				if (arm64_may_use_b(_efree)) {
			dasm_put(Dst, 124214, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else {
				if (((uintptr_t)(_efree)) == 0) {
			dasm_put(Dst, 124217, (ZREG_X15));
				} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
			dasm_put(Dst, 124220, (ZREG_X15), ((uint64_t)(_efree)));
				} else if (arm64_may_use_adr((void*)(_efree))) {
			dasm_put(Dst, 124224, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
				} else if (arm64_may_use_adrp((void*)(_efree))) {
			dasm_put(Dst, 124228, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
					if (((uintptr_t)(_efree)) & 0xfff) {
			dasm_put(Dst, 124232, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
					}
				} else if ((uintptr_t)(_efree) & 0xffff) {
			dasm_put(Dst, 124237, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
					if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 124241, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					}
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 124245, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
			dasm_put(Dst, 124249, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
					if (((uintptr_t)(_efree) >> 32) & 0xffff) {
			dasm_put(Dst, 124253, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124257, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			dasm_put(Dst, 124261, (ZREG_X15));
				}
							break;
						} else if (type == IS_ARRAY) {
							if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
								if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 124264, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 124267, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 124270, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 124274, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 124278, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 124282, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 124287, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 124291, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 124295, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 124299, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 124303, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124307, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 124311, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
								}
				if (arm64_may_use_b(zend_array_destroy)) {
			dasm_put(Dst, 124315, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else {
				if (((uintptr_t)(zend_array_destroy)) == 0) {
			dasm_put(Dst, 124318, (ZREG_X15));
				} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
			dasm_put(Dst, 124321, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
				} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
			dasm_put(Dst, 124325, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
			dasm_put(Dst, 124329, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
					if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
			dasm_put(Dst, 124333, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
			dasm_put(Dst, 124338, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 124342, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 124346, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
			dasm_put(Dst, 124350, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
					if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
			dasm_put(Dst, 124354, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124358, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			dasm_put(Dst, 124362, (ZREG_X15));
				}
							} else {
				if (arm64_may_use_b(zend_jit_array_free)) {
			dasm_put(Dst, 124365, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else {
				if (((uintptr_t)(zend_jit_array_free)) == 0) {
			dasm_put(Dst, 124368, (ZREG_X15));
				} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
			dasm_put(Dst, 124371, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
				} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 124375, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
			dasm_put(Dst, 124379, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
					if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
			dasm_put(Dst, 124383, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
			dasm_put(Dst, 124388, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 124392, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 124396, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
			dasm_put(Dst, 124400, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
			dasm_put(Dst, 124404, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124408, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			dasm_put(Dst, 124412, (ZREG_X15));
				}
							}
							break;
						} else if (type == IS_OBJECT) {
							if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 124415, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 124418);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 124420, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 124423, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 124426, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 124429, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 124432, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 124435, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 124438, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 124441, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 124444, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124447, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 124450, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
							}
				if (arm64_may_use_b(zend_objects_store_del)) {
			dasm_put(Dst, 124453, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else {
				if (((uintptr_t)(zend_objects_store_del)) == 0) {
			dasm_put(Dst, 124456, (ZREG_X15));
				} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
			dasm_put(Dst, 124459, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
				} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 124463, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
			dasm_put(Dst, 124467, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
					if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
			dasm_put(Dst, 124471, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
			dasm_put(Dst, 124476, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 124480, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 124484, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
			dasm_put(Dst, 124488, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
					if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
			dasm_put(Dst, 124492, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124496, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			dasm_put(Dst, 124500, (ZREG_X15));
				}
							break;
						}
					}
					if (opline) {
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 124503, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 124506, (ZREG_X15));
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 124509, (ZREG_X15), ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 124513, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 124517, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 124521, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 124526, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 124530, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 124534, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 124538, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 124542, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124546, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 124550, (ZREG_X15), Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
					}
				if (arm64_may_use_b(rc_dtor_func)) {
			dasm_put(Dst, 124554, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else {
				if (((uintptr_t)(rc_dtor_func)) == 0) {
			dasm_put(Dst, 124557, (ZREG_X15));
				} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
			dasm_put(Dst, 124560, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
				} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
			dasm_put(Dst, 124564, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
				} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
			dasm_put(Dst, 124568, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
					if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
			dasm_put(Dst, 124572, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
					}
				} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
			dasm_put(Dst, 124577, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 124581, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					}
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 124585, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
			dasm_put(Dst, 124589, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
					if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
			dasm_put(Dst, 124593, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124597, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			dasm_put(Dst, 124601, (ZREG_X15));
				}
				} while(0);
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
			dasm_put(Dst, 124604);
						}
			dasm_put(Dst, 124607);
					}
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
						if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
							zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 124609, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 124613, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 124617, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124621, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124625, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 124630, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_REFERENCE == 0) {
			dasm_put(Dst, 124635, (ZREG_X15));
				} else {
			dasm_put(Dst, 124639, (ZREG_X15), IS_REFERENCE);
				}
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
			dasm_put(Dst, 124645, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
			dasm_put(Dst, 124649, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
			dasm_put(Dst, 124653, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124657, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124661, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 124666, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
				}
				if (IS_TYPE_COLLECTABLE == 0) {
			dasm_put(Dst, 124671, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
			dasm_put(Dst, 124674, (ZREG_X15), IS_TYPE_COLLECTABLE);
				} else {
				if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
			dasm_put(Dst, 124678, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
				} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
			dasm_put(Dst, 124682, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
					if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
			dasm_put(Dst, 124686, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124690, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124694, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 124698);
				ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 124701, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
				} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
			dasm_put(Dst, 124705, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 124709, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124713, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124717, (Z_REG(ref_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 124721, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
				}
			dasm_put(Dst, 124725);
						}
			dasm_put(Dst, 124727, (ZREG_X15));
				if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
			dasm_put(Dst, 124730, (ZREG_X15));
				} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
			dasm_put(Dst, 124733, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
				} else {
				if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
			dasm_put(Dst, 124737, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
				} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
			dasm_put(Dst, 124741, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
					if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
			dasm_put(Dst, 124745, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124749, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124753, (ZREG_X15), (ZREG_X16));
				}
			dasm_put(Dst, 124757);
				if (arm64_may_use_b(gc_possible_root)) {
			dasm_put(Dst, 124760, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else {
				if (((uintptr_t)(gc_possible_root)) == 0) {
			dasm_put(Dst, 124763, (ZREG_X15));
				} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
			dasm_put(Dst, 124766, (ZREG_X15), ((uint64_t)(gc_possible_root)));
				} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
			dasm_put(Dst, 124770, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
				} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
			dasm_put(Dst, 124774, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
					if (((uintptr_t)(gc_possible_root)) & 0xfff) {
			dasm_put(Dst, 124778, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
					}
				} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
			dasm_put(Dst, 124783, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 124787, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					}
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 124791, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
			dasm_put(Dst, 124795, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
					if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
			dasm_put(Dst, 124799, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124803, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			dasm_put(Dst, 124807, (ZREG_X15));
				}
					}
					if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
			dasm_put(Dst, 124810);
					}
			dasm_put(Dst, 124813);
				}
#line 13732 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		if (!zend_jit_check_exception(Dst)) {
			return 0;
		}
	}
	return 1;
}

static int zend_jit_strlen(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr, zend_jit_addr res_addr)
{
	if (opline->op1_type == IS_CONST) {
		zval *zv;
		size_t len;

		zv = RT_CONSTANT(opline, opline->op1);
		ZEND_ASSERT(Z_TYPE_P(zv) == IS_STRING);
		len = Z_STRLEN_P(zv);

		//|	SET_ZVAL_LVAL res_addr, len, TMP1, TMP2
			if (len == 0) {
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 124815, (Z_REG(res_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 124818, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 124821, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 124824, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 124827, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 124830, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 124833, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
			} else {
			if (((uint64_t)(len)) == 0) {
		dasm_put(Dst, 124837);
			} else if (((uint64_t)(len)) <= MOVZ_IMM) {
		dasm_put(Dst, 124839, ((uint64_t)(len)));
			} else if (~((uint64_t)(len)) <= MOVZ_IMM) {
		dasm_put(Dst, 124842, (~((uint64_t)(len))));
			} else if ((uint64_t)(len) & 0xffff) {
		dasm_put(Dst, 124845, ((uint64_t)(len) & 0xffff));
				if (((uint64_t)(len) >> 16) & 0xffff) {
		dasm_put(Dst, 124848, (((uint64_t)(len) >> 16) & 0xffff));
				}
				if (((uint64_t)(len) >> 32) & 0xffff) {
		dasm_put(Dst, 124851, (((uint64_t)(len) >> 32) & 0xffff));
				}
				if ((((uint64_t)(len) >> 48) & 0xffff)) {
		dasm_put(Dst, 124854, (((uint64_t)(len) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(len) >> 16) & 0xffff) {
		dasm_put(Dst, 124857, (((uint64_t)(len) >> 16) & 0xffff));
				if (((uint64_t)(len) >> 32) & 0xffff) {
		dasm_put(Dst, 124860, (((uint64_t)(len) >> 32) & 0xffff));
				}
				if ((((uint64_t)(len) >> 48) & 0xffff)) {
		dasm_put(Dst, 124863, (((uint64_t)(len) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(len) >> 32) & 0xffff) {
		dasm_put(Dst, 124866, (((uint64_t)(len) >> 32) & 0xffff));
				if ((((uint64_t)(len) >> 48) & 0xffff)) {
		dasm_put(Dst, 124869, (((uint64_t)(len) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 124872, (((uint64_t)(len) >> 48) & 0xffff));
			}
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 124875, (Z_REG(res_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 124878, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 124881, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 124884, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 124887, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 124890, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 124893, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
			}
#line 13751 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_LONG, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
			dasm_put(Dst, 124897, ((uint32_t)(IS_LONG)));
				} else if (((uint32_t)(IS_LONG) & 0xffff)) {
			dasm_put(Dst, 124900, ((uint32_t)(IS_LONG) & 0xffff));
					if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
			dasm_put(Dst, 124903, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124906, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 124909, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 124912, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 124915, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124918, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124921, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 124924, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 13753 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, MAY_BE_LONG)) {
			return 0;
		}
	} else {
		ZEND_ASSERT((op1_info & (MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_STRING);

		if (Z_MODE(res_addr) == IS_REG) {
			//|	GET_ZVAL_PTR Rx(Z_REG(res_addr)), op1_addr, TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 124928, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 124931, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 124934, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124937, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124940, (Z_REG(res_addr)), (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 124944, (Z_REG(res_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 13761 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldr Rx(Z_REG(res_addr)), [Rx(Z_REG(res_addr)), #offsetof(zend_string, len)]
			dasm_put(Dst, 124949, (Z_REG(res_addr)), (Z_REG(res_addr)), offsetof(zend_string, len));
#line 13762 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, MAY_BE_LONG)) {
				return 0;
			}
		} else {
			//|	GET_ZVAL_PTR REG0, op1_addr, TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 124954, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 124957, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 124960, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124963, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124966, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 124969, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 13767 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	ldr REG0, [REG0, #offsetof(zend_string, len)]
			//|	SET_ZVAL_LVAL_FROM_REG res_addr, REG0, TMP1
			dasm_put(Dst, 124973, offsetof(zend_string, len));
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 124976, (Z_REG(res_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 124979, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 124982, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 124985, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 124988, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 124991, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 124994, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
#line 13769 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_LONG, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
			dasm_put(Dst, 124998, ((uint32_t)(IS_LONG)));
				} else if (((uint32_t)(IS_LONG) & 0xffff)) {
			dasm_put(Dst, 125001, ((uint32_t)(IS_LONG) & 0xffff));
					if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
			dasm_put(Dst, 125004, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 125007, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 125010, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 125013, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 125016, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 125019, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 125022, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 125025, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 13770 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	FREE_OP opline->op1_type, opline->op1, op1_info, 0, opline, ZREG_TMP1, ZREG_TMP2
			if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 125029, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 125033, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 125037, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125041, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125045, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 125050, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 125055, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 125058, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 125062, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 125066, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 125070, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125074, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125078, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 125082);
		dasm_put(Dst, 125085);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 125087, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 125091, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 125095, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125099, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125103, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 125108, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 125113, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 125116, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 125120, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 125124, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 125128, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125132, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125136, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 125140);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 125143, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 125147, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 125151, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125155, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125159, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 125163, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 125167, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 125175);
						} else {
		dasm_put(Dst, 125178);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 125181, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 125184, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 125187, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 125191, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 125195, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 125199, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 125204, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 125208, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 125212, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 125216, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 125220, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125224, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 125228, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 125231, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 125234, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 125237, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 125241, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 125245, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 125249, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 125254, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 125258, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 125262, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 125266, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 125270, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125274, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 125278, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 125282, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 125285, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 125288, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 125292, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 125296, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 125300, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 125305, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 125309, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 125313, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 125317, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 125321, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125325, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 125329, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 125332, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 125335, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 125338, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 125342, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 125346, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 125350, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 125355, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 125359, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 125363, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 125367, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 125371, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125375, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 125379, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 125382, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 125385);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 125387, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 125390, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 125393, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 125396, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 125399, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 125402, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 125405, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 125408, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 125411, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125414, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 125417, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 125420, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 125423, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 125426, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 125430, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 125434, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 125438, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 125443, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 125447, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 125451, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 125455, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 125459, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125463, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 125467, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 125470, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 125473, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 125476, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 125480, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 125484, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 125488, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 125493, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 125497, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 125501, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 125505, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 125509, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125513, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 125517, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 125521, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 125524, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 125527, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 125531, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 125535, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 125539, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 125544, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 125548, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 125552, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 125556, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 125560, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125564, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 125568, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 125571);
					}
		dasm_put(Dst, 125574);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 125576, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 125580, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 125584, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125588, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125592, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 125597, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 125602, (ZREG_X15));
			} else {
		dasm_put(Dst, 125606, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 125612, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 125616, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 125620, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125624, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125628, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 125633, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 125638, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 125641, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 125645, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 125649, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 125653, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125657, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125661, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 125665);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 125668, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 125672, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 125676, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125680, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125684, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 125688, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 125692);
					}
		dasm_put(Dst, 125694, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 125697, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 125700, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 125704, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 125708, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 125712, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125716, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125720, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 125724);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 125727, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 125730, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 125733, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 125737, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 125741, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 125745, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 125750, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 125754, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 125758, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 125762, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 125766, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125770, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 125774, (ZREG_X15));
			}
				}
				if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 125777);
				}
		dasm_put(Dst, 125780);
			}
			}
#line 13772 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	return 1;
}

static int zend_jit_count(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr, zend_jit_addr res_addr, int may_throw)
{
	if (opline->op1_type == IS_CONST) {
		zval *zv;
		zend_long count;

		zv = RT_CONSTANT(opline, opline->op1);
		ZEND_ASSERT(Z_TYPE_P(zv) == IS_ARRAY);
		count = zend_hash_num_elements(Z_ARRVAL_P(zv));

		//|	SET_ZVAL_LVAL res_addr, count, TMP1, TMP2
			if (count == 0) {
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 125782, (Z_REG(res_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 125785, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 125788, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 125791, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125794, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125797, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 125800, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
			} else {
			if (((uint64_t)(count)) == 0) {
		dasm_put(Dst, 125804);
			} else if (((uint64_t)(count)) <= MOVZ_IMM) {
		dasm_put(Dst, 125806, ((uint64_t)(count)));
			} else if (~((uint64_t)(count)) <= MOVZ_IMM) {
		dasm_put(Dst, 125809, (~((uint64_t)(count))));
			} else if ((uint64_t)(count) & 0xffff) {
		dasm_put(Dst, 125812, ((uint64_t)(count) & 0xffff));
				if (((uint64_t)(count) >> 16) & 0xffff) {
		dasm_put(Dst, 125815, (((uint64_t)(count) >> 16) & 0xffff));
				}
				if (((uint64_t)(count) >> 32) & 0xffff) {
		dasm_put(Dst, 125818, (((uint64_t)(count) >> 32) & 0xffff));
				}
				if ((((uint64_t)(count) >> 48) & 0xffff)) {
		dasm_put(Dst, 125821, (((uint64_t)(count) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(count) >> 16) & 0xffff) {
		dasm_put(Dst, 125824, (((uint64_t)(count) >> 16) & 0xffff));
				if (((uint64_t)(count) >> 32) & 0xffff) {
		dasm_put(Dst, 125827, (((uint64_t)(count) >> 32) & 0xffff));
				}
				if ((((uint64_t)(count) >> 48) & 0xffff)) {
		dasm_put(Dst, 125830, (((uint64_t)(count) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(count) >> 32) & 0xffff) {
		dasm_put(Dst, 125833, (((uint64_t)(count) >> 32) & 0xffff));
				if ((((uint64_t)(count) >> 48) & 0xffff)) {
		dasm_put(Dst, 125836, (((uint64_t)(count) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125839, (((uint64_t)(count) >> 48) & 0xffff));
			}
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 125842, (Z_REG(res_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 125845, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 125848, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 125851, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 125854, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 125857, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 125860, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
			}
#line 13787 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_LONG, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
			dasm_put(Dst, 125864, ((uint32_t)(IS_LONG)));
				} else if (((uint32_t)(IS_LONG) & 0xffff)) {
			dasm_put(Dst, 125867, ((uint32_t)(IS_LONG) & 0xffff));
					if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
			dasm_put(Dst, 125870, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 125873, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 125876, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 125879, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 125882, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 125885, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 125888, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 125891, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 13789 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, MAY_BE_LONG)) {
			return 0;
		}
	} else {
		ZEND_ASSERT((op1_info & (MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_ARRAY);
		// Note: See the implementation of ZEND_COUNT in Zend/zend_vm_def.h - arrays do not contain IS_UNDEF starting in php 8.1+.

		if (Z_MODE(res_addr) == IS_REG) {
			//|	GET_ZVAL_PTR Rx(Z_REG(res_addr)), op1_addr, TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 125895, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 125898, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 125901, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 125904, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 125907, (Z_REG(res_addr)), (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 125911, (Z_REG(res_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 13798 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			// Sign-extend the 32-bit value to a potentially 64-bit zend_long
			//|	ldr Rw(Z_REG(res_addr)), [Rx(Z_REG(res_addr)), #offsetof(HashTable, nNumOfElements)]
			dasm_put(Dst, 125916, (Z_REG(res_addr)), (Z_REG(res_addr)), offsetof(HashTable, nNumOfElements));
#line 13800 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, MAY_BE_LONG)) {
				return 0;
			}
		} else {
			//|	GET_ZVAL_PTR REG0, op1_addr, TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 125921, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 125924, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 125927, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 125930, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 125933, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 125936, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
				}
#line 13805 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			// Sign-extend the 32-bit value to a potentially 64-bit zend_long
			//|	ldr REG0w, [REG0, #offsetof(HashTable, nNumOfElements)]
			//|	SET_ZVAL_LVAL_FROM_REG res_addr, REG0, TMP1
			dasm_put(Dst, 125940, offsetof(HashTable, nNumOfElements));
				if (Z_MODE(res_addr) == IS_REG) {
			dasm_put(Dst, 125943, (Z_REG(res_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 125946, ((uint32_t)(Z_OFFSET(res_addr))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
			dasm_put(Dst, 125949, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 125952, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 125955, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 125958, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 125961, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
				}
				}
#line 13808 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_LONG, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
			dasm_put(Dst, 125965, ((uint32_t)(IS_LONG)));
				} else if (((uint32_t)(IS_LONG) & 0xffff)) {
			dasm_put(Dst, 125968, ((uint32_t)(IS_LONG) & 0xffff));
					if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
			dasm_put(Dst, 125971, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 125974, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 125977, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 125980, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 125983, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 125986, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 125989, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 125992, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 13809 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	FREE_OP opline->op1_type, opline->op1, op1_info, 0, opline, ZREG_TMP1, ZREG_TMP2
			if (opline->op1_type & (IS_VAR|IS_TMP_VAR)) {
				zend_jit_addr addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);
			if ((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF|MAY_BE_GUARD)) {
				if ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					if (0) {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 125996, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 126000, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 126004, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126008, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126012, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 126017, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 126022, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 126025, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 126029, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 126033, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 126037, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126041, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126045, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 126049);
		dasm_put(Dst, 126052);
					} else {
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 126054, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 126058, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 126062, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126066, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126070, (ZREG_X15), (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 126075, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_REFCOUNTED == 0) {
		dasm_put(Dst, 126080, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_REFCOUNTED, 32)) {
		dasm_put(Dst, 126083, (ZREG_X15), IS_TYPE_REFCOUNTED);
			} else {
			if (((uint32_t)(IS_TYPE_REFCOUNTED)) <= MOVZ_IMM) {
		dasm_put(Dst, 126087, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED)));
			} else if (((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff)) {
		dasm_put(Dst, 126091, (ZREG_X16), ((uint32_t)(IS_TYPE_REFCOUNTED) & 0xffff));
				if ((((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff)) {
		dasm_put(Dst, 126095, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126099, (ZREG_X16), (((uint32_t)(IS_TYPE_REFCOUNTED) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126103, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 126107);
					}
				}
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 126110, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr))));
			} else if (((uint32_t)(Z_OFFSET(addr)) & 0xffff)) {
		dasm_put(Dst, 126114, (ZREG_X16), ((uint32_t)(Z_OFFSET(addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 126118, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126122, (ZREG_X16), (((uint32_t)(Z_OFFSET(addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126126, (Z_REG(addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 126130, (Z_REG(addr)), (Z_OFFSET(addr)));
			}
		dasm_put(Dst, 126134, (ZREG_X15), (ZREG_X15), (ZREG_X15), (ZREG_X15));
				if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_1(op1_info)) {
					if (((op1_info) & MAY_BE_GUARD) || RC_MAY_BE_N(op1_info)) {
						if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 126142);
						} else {
		dasm_put(Dst, 126145);
						}
					}
			do {
				if (!((op1_info) & MAY_BE_GUARD)
				 && has_concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
					zend_uchar type = concrete_type((op1_info) & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE));
					if (type == IS_STRING && !ZEND_DEBUG) {
			if (arm64_may_use_b(_efree)) {
		dasm_put(Dst, 126148, (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else {
			if (((uintptr_t)(_efree)) == 0) {
		dasm_put(Dst, 126151, (ZREG_X15));
			} else if (((uintptr_t)(_efree)) <= MOVZ_IMM) {
		dasm_put(Dst, 126154, (ZREG_X15), ((uint64_t)(_efree)));
			} else if (arm64_may_use_adr((void*)(_efree))) {
		dasm_put(Dst, 126158, (ZREG_X15), (unsigned int)((ptrdiff_t)(_efree)), (unsigned int)(((ptrdiff_t)(_efree))>>32));
			} else if (arm64_may_use_adrp((void*)(_efree))) {
		dasm_put(Dst, 126162, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(_efree))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(_efree)))))>>32));
				if (((uintptr_t)(_efree)) & 0xfff) {
		dasm_put(Dst, 126166, (ZREG_X15), (ZREG_X15), (((uintptr_t)(_efree)) & 0xfff));
				}
			} else if ((uintptr_t)(_efree) & 0xffff) {
		dasm_put(Dst, 126171, (ZREG_X15), ((uintptr_t)(_efree) & 0xffff));
				if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 126175, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				}
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 126179, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(_efree) >> 16) & 0xffff) {
		dasm_put(Dst, 126183, (ZREG_X15), (((uintptr_t)(_efree) >> 16) & 0xffff));
				if (((uintptr_t)(_efree) >> 32) & 0xffff) {
		dasm_put(Dst, 126187, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126191, (ZREG_X15), (((uintptr_t)(_efree) >> 32) & 0xffff));
			}
		dasm_put(Dst, 126195, (ZREG_X15));
			}
						break;
					} else if (type == IS_ARRAY) {
						if ((op1_info) & (MAY_BE_ARRAY_KEY_STRING|MAY_BE_ARRAY_OF_STRING|MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF)) {
							if (opline && ((op1_info) & (MAY_BE_ARRAY_OF_ARRAY|MAY_BE_ARRAY_OF_OBJECT|MAY_BE_ARRAY_OF_RESOURCE|MAY_BE_ARRAY_OF_REF))) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 126198, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 126201, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 126204, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 126208, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 126212, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 126216, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 126221, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 126225, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 126229, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 126233, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 126237, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126241, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 126245, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
							}
			if (arm64_may_use_b(zend_array_destroy)) {
		dasm_put(Dst, 126249, (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else {
			if (((uintptr_t)(zend_array_destroy)) == 0) {
		dasm_put(Dst, 126252, (ZREG_X15));
			} else if (((uintptr_t)(zend_array_destroy)) <= MOVZ_IMM) {
		dasm_put(Dst, 126255, (ZREG_X15), ((uint64_t)(zend_array_destroy)));
			} else if (arm64_may_use_adr((void*)(zend_array_destroy))) {
		dasm_put(Dst, 126259, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_array_destroy)), (unsigned int)(((ptrdiff_t)(zend_array_destroy))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_array_destroy))) {
		dasm_put(Dst, 126263, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_array_destroy))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_array_destroy)))))>>32));
				if (((uintptr_t)(zend_array_destroy)) & 0xfff) {
		dasm_put(Dst, 126267, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_array_destroy)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_array_destroy) & 0xffff) {
		dasm_put(Dst, 126272, (ZREG_X15), ((uintptr_t)(zend_array_destroy) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 126276, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 126280, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff) {
		dasm_put(Dst, 126284, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 16) & 0xffff));
				if (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff) {
		dasm_put(Dst, 126288, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126292, (ZREG_X15), (((uintptr_t)(zend_array_destroy) >> 32) & 0xffff));
			}
		dasm_put(Dst, 126296, (ZREG_X15));
			}
						} else {
			if (arm64_may_use_b(zend_jit_array_free)) {
		dasm_put(Dst, 126299, (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else {
			if (((uintptr_t)(zend_jit_array_free)) == 0) {
		dasm_put(Dst, 126302, (ZREG_X15));
			} else if (((uintptr_t)(zend_jit_array_free)) <= MOVZ_IMM) {
		dasm_put(Dst, 126305, (ZREG_X15), ((uint64_t)(zend_jit_array_free)));
			} else if (arm64_may_use_adr((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 126309, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_jit_array_free)), (unsigned int)(((ptrdiff_t)(zend_jit_array_free))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_array_free))) {
		dasm_put(Dst, 126313, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_array_free))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_array_free)))))>>32));
				if (((uintptr_t)(zend_jit_array_free)) & 0xfff) {
		dasm_put(Dst, 126317, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_jit_array_free)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_array_free) & 0xffff) {
		dasm_put(Dst, 126322, (ZREG_X15), ((uintptr_t)(zend_jit_array_free) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 126326, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 126330, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff) {
		dasm_put(Dst, 126334, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff) {
		dasm_put(Dst, 126338, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126342, (ZREG_X15), (((uintptr_t)(zend_jit_array_free) >> 32) & 0xffff));
			}
		dasm_put(Dst, 126346, (ZREG_X15));
			}
						}
						break;
					} else if (type == IS_OBJECT) {
						if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 126349, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 126352);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 126354, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 126357, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 126360, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 126363, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 126366, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 126369, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 126372, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 126375, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 126378, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126381, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 126384, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
						}
			if (arm64_may_use_b(zend_objects_store_del)) {
		dasm_put(Dst, 126387, (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else {
			if (((uintptr_t)(zend_objects_store_del)) == 0) {
		dasm_put(Dst, 126390, (ZREG_X15));
			} else if (((uintptr_t)(zend_objects_store_del)) <= MOVZ_IMM) {
		dasm_put(Dst, 126393, (ZREG_X15), ((uint64_t)(zend_objects_store_del)));
			} else if (arm64_may_use_adr((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 126397, (ZREG_X15), (unsigned int)((ptrdiff_t)(zend_objects_store_del)), (unsigned int)(((ptrdiff_t)(zend_objects_store_del))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_objects_store_del))) {
		dasm_put(Dst, 126401, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_objects_store_del))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_objects_store_del)))))>>32));
				if (((uintptr_t)(zend_objects_store_del)) & 0xfff) {
		dasm_put(Dst, 126405, (ZREG_X15), (ZREG_X15), (((uintptr_t)(zend_objects_store_del)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_objects_store_del) & 0xffff) {
		dasm_put(Dst, 126410, (ZREG_X15), ((uintptr_t)(zend_objects_store_del) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 126414, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 126418, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff) {
		dasm_put(Dst, 126422, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 16) & 0xffff));
				if (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff) {
		dasm_put(Dst, 126426, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126430, (ZREG_X15), (((uintptr_t)(zend_objects_store_del) >> 32) & 0xffff));
			}
		dasm_put(Dst, 126434, (ZREG_X15));
			}
						break;
					}
				}
				if (opline) {
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 126437, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 126440, (ZREG_X15));
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 126443, (ZREG_X15), ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 126447, (ZREG_X15), (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 126451, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 126455, (ZREG_X15), (ZREG_X15), (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 126460, (ZREG_X15), ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 126464, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 126468, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 126472, (ZREG_X15), (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 126476, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126480, (ZREG_X15), (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 126484, (ZREG_X15), Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
				}
			if (arm64_may_use_b(rc_dtor_func)) {
		dasm_put(Dst, 126488, (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else {
			if (((uintptr_t)(rc_dtor_func)) == 0) {
		dasm_put(Dst, 126491, (ZREG_X15));
			} else if (((uintptr_t)(rc_dtor_func)) <= MOVZ_IMM) {
		dasm_put(Dst, 126494, (ZREG_X15), ((uint64_t)(rc_dtor_func)));
			} else if (arm64_may_use_adr((void*)(rc_dtor_func))) {
		dasm_put(Dst, 126498, (ZREG_X15), (unsigned int)((ptrdiff_t)(rc_dtor_func)), (unsigned int)(((ptrdiff_t)(rc_dtor_func))>>32));
			} else if (arm64_may_use_adrp((void*)(rc_dtor_func))) {
		dasm_put(Dst, 126502, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(rc_dtor_func))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(rc_dtor_func)))))>>32));
				if (((uintptr_t)(rc_dtor_func)) & 0xfff) {
		dasm_put(Dst, 126506, (ZREG_X15), (ZREG_X15), (((uintptr_t)(rc_dtor_func)) & 0xfff));
				}
			} else if ((uintptr_t)(rc_dtor_func) & 0xffff) {
		dasm_put(Dst, 126511, (ZREG_X15), ((uintptr_t)(rc_dtor_func) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 126515, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				}
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 126519, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff) {
		dasm_put(Dst, 126523, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 16) & 0xffff));
				if (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff) {
		dasm_put(Dst, 126527, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126531, (ZREG_X15), (((uintptr_t)(rc_dtor_func) >> 32) & 0xffff));
			}
		dasm_put(Dst, 126535, (ZREG_X15));
			}
			} while(0);
					if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
		dasm_put(Dst, 126538);
					}
		dasm_put(Dst, 126541);
				}
				if (0 && (((op1_info) & MAY_BE_GUARD) || (RC_MAY_BE_N(op1_info) && ((op1_info) & (MAY_BE_REF|MAY_BE_ARRAY|MAY_BE_OBJECT)) != 0))) {
					if ((op1_info) & (MAY_BE_REF|MAY_BE_GUARD)) {
						zend_jit_addr ref_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
			ZEND_ASSERT(Z_MODE(addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 126543, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 126547, (ZREG_X15), ((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 126551, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126555, (ZREG_X15), (((uint32_t)(Z_OFFSET(addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126559, (ZREG_X15), (Z_REG(addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 126564, (ZREG_X15), (Z_REG(addr)), (Z_OFFSET(addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 126569, (ZREG_X15));
			} else {
		dasm_put(Dst, 126573, (ZREG_X15), IS_REFERENCE);
			}
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))) <= MOVZ_IMM) {
		dasm_put(Dst, 126579, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff)) {
		dasm_put(Dst, 126583, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff)) {
		dasm_put(Dst, 126587, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126591, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126595, (ZREG_X15), (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 126600, (ZREG_X15), (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)+offsetof(zval, u1.v.type_flags)));
			}
			if (IS_TYPE_COLLECTABLE == 0) {
		dasm_put(Dst, 126605, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)IS_TYPE_COLLECTABLE, 32)) {
		dasm_put(Dst, 126608, (ZREG_X15), IS_TYPE_COLLECTABLE);
			} else {
			if (((uint32_t)(IS_TYPE_COLLECTABLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 126612, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE)));
			} else if (((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff)) {
		dasm_put(Dst, 126616, (ZREG_X16), ((uint32_t)(IS_TYPE_COLLECTABLE) & 0xffff));
				if ((((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 126620, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126624, (ZREG_X16), (((uint32_t)(IS_TYPE_COLLECTABLE) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126628, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 126632);
			ZEND_ASSERT(Z_MODE(ref_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(ref_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(ref_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 126635, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr))));
			} else if (((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff)) {
		dasm_put(Dst, 126639, (ZREG_X16), ((uint32_t)(Z_OFFSET(ref_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 126643, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126647, (ZREG_X16), (((uint32_t)(Z_OFFSET(ref_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126651, (Z_REG(ref_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 126655, (Z_REG(ref_addr)), (Z_OFFSET(ref_addr)));
			}
		dasm_put(Dst, 126659);
					}
		dasm_put(Dst, 126661, (ZREG_X15));
			if ((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)) == 0) {
		dasm_put(Dst, 126664, (ZREG_X15));
			} else if (logical_immediate_p((uint32_t)(GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)), 32)) {
		dasm_put(Dst, 126667, (ZREG_X15), (GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)));
			} else {
			if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))) <= MOVZ_IMM) {
		dasm_put(Dst, 126671, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT)))));
			} else if (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff)) {
		dasm_put(Dst, 126675, (ZREG_X16), ((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) & 0xffff));
				if ((((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff)) {
		dasm_put(Dst, 126679, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126683, (ZREG_X16), (((uint32_t)((GC_INFO_MASK | (GC_NOT_COLLECTABLE << GC_FLAGS_SHIFT))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 126687, (ZREG_X15), (ZREG_X16));
			}
		dasm_put(Dst, 126691);
			if (arm64_may_use_b(gc_possible_root)) {
		dasm_put(Dst, 126694, (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else {
			if (((uintptr_t)(gc_possible_root)) == 0) {
		dasm_put(Dst, 126697, (ZREG_X15));
			} else if (((uintptr_t)(gc_possible_root)) <= MOVZ_IMM) {
		dasm_put(Dst, 126700, (ZREG_X15), ((uint64_t)(gc_possible_root)));
			} else if (arm64_may_use_adr((void*)(gc_possible_root))) {
		dasm_put(Dst, 126704, (ZREG_X15), (unsigned int)((ptrdiff_t)(gc_possible_root)), (unsigned int)(((ptrdiff_t)(gc_possible_root))>>32));
			} else if (arm64_may_use_adrp((void*)(gc_possible_root))) {
		dasm_put(Dst, 126708, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(gc_possible_root))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(gc_possible_root)))))>>32));
				if (((uintptr_t)(gc_possible_root)) & 0xfff) {
		dasm_put(Dst, 126712, (ZREG_X15), (ZREG_X15), (((uintptr_t)(gc_possible_root)) & 0xfff));
				}
			} else if ((uintptr_t)(gc_possible_root) & 0xffff) {
		dasm_put(Dst, 126717, (ZREG_X15), ((uintptr_t)(gc_possible_root) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 126721, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				}
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 126725, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(gc_possible_root) >> 16) & 0xffff) {
		dasm_put(Dst, 126729, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 16) & 0xffff));
				if (((uintptr_t)(gc_possible_root) >> 32) & 0xffff) {
		dasm_put(Dst, 126733, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 126737, (ZREG_X15), (((uintptr_t)(gc_possible_root) >> 32) & 0xffff));
			}
		dasm_put(Dst, 126741, (ZREG_X15));
			}
				}
				if (0 && ((op1_info) & ((MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_INDIRECT|MAY_BE_GUARD)-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) != 0) {
		dasm_put(Dst, 126744);
				}
		dasm_put(Dst, 126747);
			}
			}
#line 13811 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (may_throw) {
		return zend_jit_check_exception(Dst);
	}
	return 1;
}

static int zend_jit_load_this(dasm_State **Dst, uint32_t var)
{
	zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, var);

	//|	ldr FCARG1x, EX->This.value.ptr
	//|	SET_ZVAL_PTR var_addr, FCARG1x, TMP1
	dasm_put(Dst, 126749, Dt1(->This.value.ptr));
		ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 126752, ((uint32_t)(Z_OFFSET(var_addr))));
		} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
	dasm_put(Dst, 126755, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 126758, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 126761, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 126764, (Z_REG(var_addr)));
		} else {
	dasm_put(Dst, 126767, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
		}
#line 13825 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	SET_ZVAL_TYPE_INFO var_addr, IS_OBJECT_EX, TMP1w, TMP2
		ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
		if (((uint32_t)(IS_OBJECT_EX)) <= MOVZ_IMM) {
	dasm_put(Dst, 126771, ((uint32_t)(IS_OBJECT_EX)));
		} else if (((uint32_t)(IS_OBJECT_EX) & 0xffff)) {
	dasm_put(Dst, 126774, ((uint32_t)(IS_OBJECT_EX) & 0xffff));
			if ((((uint32_t)(IS_OBJECT_EX) >> 16) & 0xffff)) {
	dasm_put(Dst, 126777, (((uint32_t)(IS_OBJECT_EX) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 126780, (((uint32_t)(IS_OBJECT_EX) >> 16) & 0xffff));
		}
		if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
		if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
	dasm_put(Dst, 126783, ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
		} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
	dasm_put(Dst, 126786, ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
	dasm_put(Dst, 126789, (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 126792, (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 126795, (Z_REG(var_addr)));
		} else {
	dasm_put(Dst, 126798, (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
		}
#line 13826 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	GC_ADDREF FCARG1x, TMP1w
	dasm_put(Dst, 126802);
#line 13827 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_fetch_this(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, bool check_only)
{
	if (!op_array->scope ||
			(op_array->fn_flags & ZEND_ACC_STATIC) ||
			((op_array->fn_flags & (ZEND_ACC_CLOSURE|ZEND_ACC_IMMUTABLE)) == ZEND_ACC_CLOSURE)) {
		if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
			if (!JIT_G(current_frame) ||
			    !TRACE_FRAME_IS_THIS_CHECKED(JIT_G(current_frame))) {

				int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_TO_VM);
				const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

				if (!exit_addr) {
					return 0;
				}

				//|	ldrb TMP1w, EX->This.u1.v.type
				//|	cmp TMP1w, #IS_OBJECT
				//|	bne &exit_addr
				dasm_put(Dst, 126806, Dt1(->This.u1.v.type), IS_OBJECT, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 13849 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

				if (JIT_G(current_frame)) {
					TRACE_FRAME_SET_THIS_CHECKED(JIT_G(current_frame));
				}
			}
		} else {

			//|	ldrb TMP1w, EX->This.u1.v.type
			//|	cmp TMP1w, #IS_OBJECT
			//|	bne >1
			//|.cold_code
			dasm_put(Dst, 126813, Dt1(->This.u1.v.type), IS_OBJECT);
#line 13860 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|1:
			//|	SET_EX_OPLINE opline, REG0
			dasm_put(Dst, 126820);
				if (opline == last_valid_opline) {
					zend_jit_use_last_valid_opline();
				if (GCC_GLOBAL_REGS) {
			dasm_put(Dst, 126822, Dt1(->opline));
				}
				} else {
				if (((uintptr_t)(opline)) == 0) {
			dasm_put(Dst, 126825);
				} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
			dasm_put(Dst, 126827, ((uint64_t)(opline)));
				} else if (arm64_may_use_adr((void*)(opline))) {
			dasm_put(Dst, 126830, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
				} else if (arm64_may_use_adrp((void*)(opline))) {
			dasm_put(Dst, 126833, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
					if (((uintptr_t)(opline)) & 0xfff) {
			dasm_put(Dst, 126836, (((uintptr_t)(opline)) & 0xfff));
					}
				} else if ((uintptr_t)(opline) & 0xffff) {
			dasm_put(Dst, 126839, ((uintptr_t)(opline) & 0xffff));
					if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 126842, (((uintptr_t)(opline) >> 16) & 0xffff));
					}
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 126845, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
			dasm_put(Dst, 126848, (((uintptr_t)(opline) >> 16) & 0xffff));
					if (((uintptr_t)(opline) >> 32) & 0xffff) {
			dasm_put(Dst, 126851, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 126854, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			dasm_put(Dst, 126857, Dt1(->opline));
					if (!GCC_GLOBAL_REGS) {
						zend_jit_reset_last_valid_opline();
					}
				}
#line 13862 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b ->invalid_this
			//|.code
			dasm_put(Dst, 126860);
#line 13864 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (!check_only) {
		if (!zend_jit_load_this(Dst, opline->result.var)) {
			return 0;
		}
	}
	return 1;
}

static int zend_jit_hash_jmp(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, zend_ssa *ssa, HashTable *jumptable, int default_b, const void *default_label, const zend_op *next_opline, zend_jit_trace_info *trace_info)
{
	uint32_t count;
	Bucket *p;
	const zend_op *target;
	int b;
	int32_t exit_point;
	const void *exit_addr;

	if (default_label) {
		//|	cbz REG0, &default_label
		dasm_put(Dst, 126863, (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)(((ptrdiff_t)(default_label))>>32));
#line 13886 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else if (next_opline) {
		//|	cbz REG0, >3
		dasm_put(Dst, 126866);
#line 13888 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	cbz REG0, =>default_b
		dasm_put(Dst, 126869, default_b);
#line 13890 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	LOAD_ADDR FCARG1x, jumptable
		if (((uintptr_t)(jumptable)) == 0) {
	dasm_put(Dst, 126872);
		} else if (((uintptr_t)(jumptable)) <= MOVZ_IMM) {
	dasm_put(Dst, 126874, ((uint64_t)(jumptable)));
		} else if (arm64_may_use_adr((void*)(jumptable))) {
	dasm_put(Dst, 126877, (unsigned int)((ptrdiff_t)(jumptable)), (unsigned int)(((ptrdiff_t)(jumptable))>>32));
		} else if (arm64_may_use_adrp((void*)(jumptable))) {
	dasm_put(Dst, 126880, (unsigned int)((ptrdiff_t)((((uintptr_t)(jumptable))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(jumptable)))))>>32));
			if (((uintptr_t)(jumptable)) & 0xfff) {
	dasm_put(Dst, 126883, (((uintptr_t)(jumptable)) & 0xfff));
			}
		} else if ((uintptr_t)(jumptable) & 0xffff) {
	dasm_put(Dst, 126886, ((uintptr_t)(jumptable) & 0xffff));
			if (((uintptr_t)(jumptable) >> 16) & 0xffff) {
	dasm_put(Dst, 126889, (((uintptr_t)(jumptable) >> 16) & 0xffff));
			}
			if (((uintptr_t)(jumptable) >> 32) & 0xffff) {
	dasm_put(Dst, 126892, (((uintptr_t)(jumptable) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(jumptable) >> 16) & 0xffff) {
	dasm_put(Dst, 126895, (((uintptr_t)(jumptable) >> 16) & 0xffff));
			if (((uintptr_t)(jumptable) >> 32) & 0xffff) {
	dasm_put(Dst, 126898, (((uintptr_t)(jumptable) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 126901, (((uintptr_t)(jumptable) >> 32) & 0xffff));
		}
#line 13892 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	ldr TMP1, [FCARG1x, #offsetof(HashTable, arData)]
	//|	sub REG0, REG0, TMP1
	dasm_put(Dst, 126904, offsetof(HashTable, arData));
#line 13894 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (HT_IS_PACKED(jumptable)) {
		//|	mov FCARG1x, #(sizeof(zval) / sizeof(void*))
		dasm_put(Dst, 126908, (sizeof(zval) / sizeof(void*)));
#line 13896 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}	else {
		//|	mov FCARG1x, #(sizeof(Bucket) / sizeof(void*))
		dasm_put(Dst, 126911, (sizeof(Bucket) / sizeof(void*)));
#line 13898 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|	sdiv REG0, REG0, FCARG1x
	//|	adr FCARG1x, >4
	//|	ldr TMP1, [FCARG1x, REG0]
	//|	br TMP1
	dasm_put(Dst, 126914);
#line 13903 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	//|.jmp_table
	dasm_put(Dst, 126920);
#line 13905 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|.align 8
	//|4:
	dasm_put(Dst, 126921);
#line 13907 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (trace_info) {
		trace_info->jmp_table_size += zend_hash_num_elements(jumptable);
	}

	count = jumptable->nNumUsed;
	p = jumptable->arData;
	do {
		if (Z_TYPE(p->val) == IS_UNDEF) {
			if (default_label) {
				//|	.addr &default_label
				dasm_put(Dst, 126924, (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)((unsigned long long)((ptrdiff_t)(default_label))>>32));
#line 13917 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (next_opline) {
				//|	.addr >3
				dasm_put(Dst, 126927);
#line 13919 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	.addr =>default_b
				dasm_put(Dst, 126929, default_b);
#line 13921 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			target = ZEND_OFFSET_TO_OPLINE(opline, Z_LVAL(p->val));
			if (!next_opline) {
				b = ssa->cfg.map[target - op_array->opcodes];
				//|	.addr =>b
				dasm_put(Dst, 126931, b);
#line 13927 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (next_opline == target) {
				//|	.addr >3
				dasm_put(Dst, 126933);
#line 13929 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				exit_point = zend_jit_trace_get_exit_point(target, 0);
				exit_addr = zend_jit_trace_get_exit_addr(exit_point);
				if (!exit_addr) {
					return 0;
				}
				//|	.addr &exit_addr
				dasm_put(Dst, 126935, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)((unsigned long long)((ptrdiff_t)(exit_addr))>>32));
#line 13936 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		}
		if (HT_IS_PACKED(jumptable)) {
			p = (Bucket*)(((zval*)p)+1);
		} else {
			p++;
		}
		count--;
	} while (count);
	//|.code
	dasm_put(Dst, 126938);
#line 13946 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_switch(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, zend_ssa *ssa, zend_jit_trace_rec *trace, zend_jit_trace_info *trace_info)
{
	HashTable *jumptable = Z_ARRVAL_P(RT_CONSTANT(opline, opline->op2));
	const zend_op *next_opline = NULL;

	if (trace) {
		ZEND_ASSERT(trace->op == ZEND_JIT_TRACE_VM || trace->op == ZEND_JIT_TRACE_END);
		ZEND_ASSERT(trace->opline != NULL);
		next_opline = trace->opline;
	}

	if (opline->op1_type == IS_CONST) {
		zval *zv = RT_CONSTANT(opline, opline->op1);
		zval *jump_zv = NULL;
		int b;

		if (opline->opcode == ZEND_SWITCH_LONG) {
			if (Z_TYPE_P(zv) == IS_LONG) {
				jump_zv = zend_hash_index_find(jumptable, Z_LVAL_P(zv));
			}
		} else if (opline->opcode == ZEND_SWITCH_STRING) {
			if (Z_TYPE_P(zv) == IS_STRING) {
				jump_zv = zend_hash_find_known_hash(jumptable, Z_STR_P(zv));
			}
		} else if (opline->opcode == ZEND_MATCH) {
			if (Z_TYPE_P(zv) == IS_LONG) {
				jump_zv = zend_hash_index_find(jumptable, Z_LVAL_P(zv));
			} else if (Z_TYPE_P(zv) == IS_STRING) {
				jump_zv = zend_hash_find_known_hash(jumptable, Z_STR_P(zv));
			}
		} else {
			ZEND_UNREACHABLE();
		}
		if (next_opline) {
			const zend_op *target;

			if (jump_zv != NULL) {
				target = ZEND_OFFSET_TO_OPLINE(opline, Z_LVAL_P(jump_zv));
			} else {
				target = ZEND_OFFSET_TO_OPLINE(opline, opline->extended_value);
			}
			ZEND_ASSERT(target == next_opline);
		} else {
			if (jump_zv != NULL) {
				b = ssa->cfg.map[ZEND_OFFSET_TO_OPLINE(opline, Z_LVAL_P(jump_zv)) - op_array->opcodes];
			} else {
				b = ssa->cfg.map[ZEND_OFFSET_TO_OPLINE(opline, opline->extended_value) - op_array->opcodes];
			}
			//|	b =>b
			dasm_put(Dst, 126939, b);
#line 13999 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		zend_ssa_op *ssa_op = &ssa->ops[opline - op_array->opcodes];
		uint32_t op1_info = OP1_INFO();
		zend_jit_addr op1_addr = OP1_ADDR();
		const zend_op *default_opline = ZEND_OFFSET_TO_OPLINE(opline, opline->extended_value);
		const zend_op *target;
		int default_b = next_opline ? -1 : ssa->cfg.map[default_opline - op_array->opcodes];
		int b;
		int32_t exit_point;
		const void *fallback_label = NULL;
		const void *default_label = NULL;
		const void *exit_addr;

		if (next_opline) {
			if (next_opline != opline + 1) {
				exit_point = zend_jit_trace_get_exit_point(opline + 1, 0);
				fallback_label = zend_jit_trace_get_exit_addr(exit_point);
				if (!fallback_label) {
					return 0;
				}
			}
			if (next_opline != default_opline) {
				exit_point = zend_jit_trace_get_exit_point(default_opline, 0);
				default_label = zend_jit_trace_get_exit_addr(exit_point);
				if (!default_label) {
					return 0;
				}
			}
		}

		if (opline->opcode == ZEND_SWITCH_LONG) {
			if (op1_info & MAY_BE_LONG) {
				if (op1_info & MAY_BE_REF) {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 126942, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 126946, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 126950, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 126954, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 126958, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 126963, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_LONG == 0) {
					dasm_put(Dst, 126968, (ZREG_X15));
						} else {
					dasm_put(Dst, 126972, (ZREG_X15), IS_LONG);
						}
#line 14034 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GET_ZVAL_LVAL ZREG_FCARG2, op1_addr, TMP1
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
					dasm_put(Dst, 126978, (ZREG_FCARG2));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
					dasm_put(Dst, 126981, (ZREG_FCARG2));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 126984, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 126988, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
					dasm_put(Dst, 126992, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 126996, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 127000, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 127004, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 127008, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 127012, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 127016, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 127020, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 127024, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127028, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 127032, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 127035, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 127038, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127041, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 127044, (ZREG_FCARG2), (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 127048, (ZREG_FCARG2), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
						} else if (Z_MODE(op1_addr) == IS_REG) {
							if (ZREG_FCARG2 != Z_REG(op1_addr)) {
					dasm_put(Dst, 127053, (ZREG_FCARG2), (Z_REG(op1_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 14035 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|.cold_code
					dasm_put(Dst, 127057);
#line 14036 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					//|	// ZVAL_DEREF(op)
					dasm_put(Dst, 127058);
#line 14038 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (fallback_label) {
						//|	IF_NOT_ZVAL_TYPE op1_addr, IS_REFERENCE, &fallback_label, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 127060, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 127064, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 127068, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 127072, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 127076, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 127081, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_REFERENCE == 0) {
						dasm_put(Dst, 127086, (ZREG_X15), (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
							} else {
						dasm_put(Dst, 127090, (ZREG_X15), IS_REFERENCE, (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
							}
#line 14040 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	IF_NOT_ZVAL_TYPE op1_addr, IS_REFERENCE, >3, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 127096, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 127100, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 127104, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 127108, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 127112, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 127117, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_REFERENCE == 0) {
						dasm_put(Dst, 127122, (ZREG_X15));
							} else {
						dasm_put(Dst, 127126, (ZREG_X15), IS_REFERENCE);
							}
#line 14042 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	GET_ZVAL_PTR FCARG2x, op1_addr, TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 127132, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 127135, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 127138, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127141, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 127144, (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 127147, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
#line 14044 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (fallback_label) {
						//|	add TMP1, FCARG2x, #offsetof(zend_reference, val)
						//|	IF_NOT_Z_TYPE TMP1, IS_LONG, &fallback_label, TMP2w
						dasm_put(Dst, 127151, offsetof(zend_reference, val), offsetof(zval, u1.v.type));
							if (IS_LONG == 0) {
						dasm_put(Dst, 127156, (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
							} else {
						dasm_put(Dst, 127159, IS_LONG, (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
							}
#line 14047 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	add TMP1, FCARG2x, #offsetof(zend_reference, val)
						//|	IF_NOT_Z_TYPE TMP1, IS_LONG, >3, TMP2w
						dasm_put(Dst, 127164, offsetof(zend_reference, val), offsetof(zval, u1.v.type));
							if (IS_LONG == 0) {
						dasm_put(Dst, 127169);
							} else {
						dasm_put(Dst, 127172, IS_LONG);
							}
#line 14050 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	ldr FCARG2x, [FCARG2x, #offsetof(zend_reference, val.value.lval)]
					//|	b >2
					//|.code
					dasm_put(Dst, 127177, offsetof(zend_reference, val.value.lval));
#line 14054 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|2:
					dasm_put(Dst, 127182);
#line 14055 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG)) {
						if (fallback_label) {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, &fallback_label, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 127184, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 127188, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 127192, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 127196, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 127200, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 127205, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_LONG == 0) {
							dasm_put(Dst, 127210, (ZREG_X15), (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
								} else {
							dasm_put(Dst, 127214, (ZREG_X15), IS_LONG, (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
								}
#line 14059 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >3, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 127220, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 127224, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 127228, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 127232, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 127236, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 127241, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_LONG == 0) {
							dasm_put(Dst, 127246, (ZREG_X15));
								} else {
							dasm_put(Dst, 127250, (ZREG_X15), IS_LONG);
								}
#line 14061 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					//|	GET_ZVAL_LVAL ZREG_FCARG2, op1_addr, TMP1
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
					dasm_put(Dst, 127256, (ZREG_FCARG2));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
					dasm_put(Dst, 127259, (ZREG_FCARG2));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 127262, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 127266, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
					dasm_put(Dst, 127270, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 127274, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 127278, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 127282, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 127286, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 127290, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 127294, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 127298, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 127302, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127306, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 127310, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 127313, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 127316, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127319, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 127322, (ZREG_FCARG2), (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 127326, (ZREG_FCARG2), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
						} else if (Z_MODE(op1_addr) == IS_REG) {
							if (ZREG_FCARG2 != Z_REG(op1_addr)) {
					dasm_put(Dst, 127331, (ZREG_FCARG2), (Z_REG(op1_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 14064 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (HT_IS_PACKED(jumptable)) {
					uint32_t count = jumptable->nNumUsed;
					zval *zv = jumptable->arPacked;

					//|	CMP_64_WITH_CONST_32 FCARG2x, jumptable->nNumUsed, TMP1
						if (jumptable->nNumUsed == 0) {
					dasm_put(Dst, 127335);
						} else if (arm64_may_encode_imm12((int64_t)(jumptable->nNumUsed))) {
					dasm_put(Dst, 127337, jumptable->nNumUsed);
						} else if (arm64_may_encode_imm12((int64_t)(-jumptable->nNumUsed))) {
					dasm_put(Dst, 127340, -jumptable->nNumUsed);
						} else {
						if (((uint32_t)(jumptable->nNumUsed)) <= MOVZ_IMM) {
					dasm_put(Dst, 127343, ((uint32_t)(jumptable->nNumUsed)));
						} else if (((uint32_t)(jumptable->nNumUsed) & 0xffff)) {
					dasm_put(Dst, 127346, ((uint32_t)(jumptable->nNumUsed) & 0xffff));
							if ((((uint32_t)(jumptable->nNumUsed) >> 16) & 0xffff)) {
					dasm_put(Dst, 127349, (((uint32_t)(jumptable->nNumUsed) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127352, (((uint32_t)(jumptable->nNumUsed) >> 16) & 0xffff));
						}
					dasm_put(Dst, 127355);
						}
#line 14070 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (default_label) {
						//|	bhs &default_label
						dasm_put(Dst, 127357, (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)(((ptrdiff_t)(default_label))>>32));
#line 14072 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (next_opline) {
						//|	bhs >3
						dasm_put(Dst, 127360);
#line 14074 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	bhs =>default_b
						dasm_put(Dst, 127363, default_b);
#line 14076 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	adr REG0, >4
					//|	ldr TMP1, [REG0, FCARG2x, lsl #3]
					//|	br TMP1
					dasm_put(Dst, 127366);
#line 14080 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

					//|.jmp_table
					dasm_put(Dst, 127371);
#line 14082 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|.align 8
					//|4:
					dasm_put(Dst, 127372);
#line 14084 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (trace_info) {
						trace_info->jmp_table_size += count;
					}
					do {
						if (Z_TYPE_P(zv) == IS_UNDEF) {
							if (default_label) {
								//|	.addr &default_label
								dasm_put(Dst, 127375, (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)((unsigned long long)((ptrdiff_t)(default_label))>>32));
#line 14091 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							} else if (next_opline) {
								//|	.addr >3
								dasm_put(Dst, 127378);
#line 14093 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							} else {
								//|	.addr =>default_b
								dasm_put(Dst, 127380, default_b);
#line 14095 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							}
						} else {
							target = ZEND_OFFSET_TO_OPLINE(opline, Z_LVAL_P(zv));
							if (!next_opline) {
								b = ssa->cfg.map[target - op_array->opcodes];
								//|	.addr =>b
								dasm_put(Dst, 127382, b);
#line 14101 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							} else if (next_opline == target) {
								//|	.addr >3
								dasm_put(Dst, 127384);
#line 14103 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							} else {
								exit_point = zend_jit_trace_get_exit_point(target, 0);
								exit_addr = zend_jit_trace_get_exit_addr(exit_point);
								if (!exit_addr) {
									return 0;
								}
								//|	.addr &exit_addr
								dasm_put(Dst, 127386, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)((unsigned long long)((ptrdiff_t)(exit_addr))>>32));
#line 14110 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
							}
						}
						zv++;
						count--;
					} while (count);
					//|.code
					dasm_put(Dst, 127389);
#line 14116 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|3:
					dasm_put(Dst, 127390);
#line 14117 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					//|	LOAD_ADDR FCARG1x, jumptable
						if (((uintptr_t)(jumptable)) == 0) {
					dasm_put(Dst, 127392);
						} else if (((uintptr_t)(jumptable)) <= MOVZ_IMM) {
					dasm_put(Dst, 127394, ((uint64_t)(jumptable)));
						} else if (arm64_may_use_adr((void*)(jumptable))) {
					dasm_put(Dst, 127397, (unsigned int)((ptrdiff_t)(jumptable)), (unsigned int)(((ptrdiff_t)(jumptable))>>32));
						} else if (arm64_may_use_adrp((void*)(jumptable))) {
					dasm_put(Dst, 127400, (unsigned int)((ptrdiff_t)((((uintptr_t)(jumptable))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(jumptable)))))>>32));
							if (((uintptr_t)(jumptable)) & 0xfff) {
					dasm_put(Dst, 127403, (((uintptr_t)(jumptable)) & 0xfff));
							}
						} else if ((uintptr_t)(jumptable) & 0xffff) {
					dasm_put(Dst, 127406, ((uintptr_t)(jumptable) & 0xffff));
							if (((uintptr_t)(jumptable) >> 16) & 0xffff) {
					dasm_put(Dst, 127409, (((uintptr_t)(jumptable) >> 16) & 0xffff));
							}
							if (((uintptr_t)(jumptable) >> 32) & 0xffff) {
					dasm_put(Dst, 127412, (((uintptr_t)(jumptable) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(jumptable) >> 16) & 0xffff) {
					dasm_put(Dst, 127415, (((uintptr_t)(jumptable) >> 16) & 0xffff));
							if (((uintptr_t)(jumptable) >> 32) & 0xffff) {
					dasm_put(Dst, 127418, (((uintptr_t)(jumptable) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127421, (((uintptr_t)(jumptable) >> 32) & 0xffff));
						}
#line 14119 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_hash_index_find, REG0
						if (arm64_may_use_b(zend_hash_index_find)) {
					dasm_put(Dst, 127424, (unsigned int)((ptrdiff_t)(zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(zend_hash_index_find))>>32));
						} else {
						if (((uintptr_t)(zend_hash_index_find)) == 0) {
					dasm_put(Dst, 127427);
						} else if (((uintptr_t)(zend_hash_index_find)) <= MOVZ_IMM) {
					dasm_put(Dst, 127429, ((uint64_t)(zend_hash_index_find)));
						} else if (arm64_may_use_adr((void*)(zend_hash_index_find))) {
					dasm_put(Dst, 127432, (unsigned int)((ptrdiff_t)(zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(zend_hash_index_find))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_hash_index_find))) {
					dasm_put(Dst, 127435, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_index_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_index_find)))))>>32));
							if (((uintptr_t)(zend_hash_index_find)) & 0xfff) {
					dasm_put(Dst, 127438, (((uintptr_t)(zend_hash_index_find)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_hash_index_find) & 0xffff) {
					dasm_put(Dst, 127441, ((uintptr_t)(zend_hash_index_find) & 0xffff));
							if (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff) {
					dasm_put(Dst, 127444, (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff) {
					dasm_put(Dst, 127447, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff) {
					dasm_put(Dst, 127450, (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff));
							if (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff) {
					dasm_put(Dst, 127453, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127456, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
						}
					dasm_put(Dst, 127459);
						}
#line 14120 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	mov REG0, RETVALx
					dasm_put(Dst, 127461);
#line 14121 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (!zend_jit_hash_jmp(Dst, opline, op_array, ssa, jumptable, default_b, default_label, next_opline, trace_info)) {
						return 0;
					}
					//|3:
					dasm_put(Dst, 127463);
#line 14125 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
			}
		} else if (opline->opcode == ZEND_SWITCH_STRING) {
			if (op1_info & MAY_BE_STRING) {
				if (op1_info & MAY_BE_REF) {
					//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, >1, ZREG_TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
						if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
					dasm_put(Dst, 127465, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
					dasm_put(Dst, 127469, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
					dasm_put(Dst, 127473, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127477, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 127481, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
						} else {
					dasm_put(Dst, 127486, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
						}
						if (IS_STRING == 0) {
					dasm_put(Dst, 127491, (ZREG_X15));
						} else {
					dasm_put(Dst, 127495, (ZREG_X15), IS_STRING);
						}
#line 14131 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	GET_ZVAL_PTR FCARG2x, op1_addr, TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 127501, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 127504, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 127507, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127510, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 127513, (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 127516, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
#line 14132 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|.cold_code
					dasm_put(Dst, 127520);
#line 14133 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|1:
					//|	// ZVAL_DEREF(op)
					dasm_put(Dst, 127521);
#line 14135 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (fallback_label) {
						//|	IF_NOT_ZVAL_TYPE op1_addr, IS_REFERENCE, &fallback_label, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 127523, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 127527, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 127531, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 127535, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 127539, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 127544, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_REFERENCE == 0) {
						dasm_put(Dst, 127549, (ZREG_X15), (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
							} else {
						dasm_put(Dst, 127553, (ZREG_X15), IS_REFERENCE, (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
							}
#line 14137 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	IF_NOT_ZVAL_TYPE op1_addr, IS_REFERENCE, >3, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 127559, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 127563, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 127567, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 127571, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 127575, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 127580, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_REFERENCE == 0) {
						dasm_put(Dst, 127585, (ZREG_X15));
							} else {
						dasm_put(Dst, 127589, (ZREG_X15), IS_REFERENCE);
							}
#line 14139 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	GET_ZVAL_PTR FCARG2x, op1_addr, TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 127595, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 127598, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 127601, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127604, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 127607, (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 127610, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
#line 14141 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (fallback_label) {
						//|	add TMP1, FCARG2x, #offsetof(zend_reference, val)
						//|	IF_NOT_Z_TYPE TMP1, IS_STRING, &fallback_label, TMP2w
						dasm_put(Dst, 127614, offsetof(zend_reference, val), offsetof(zval, u1.v.type));
							if (IS_STRING == 0) {
						dasm_put(Dst, 127619, (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
							} else {
						dasm_put(Dst, 127622, IS_STRING, (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
							}
#line 14144 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	add TMP1, FCARG2x, #offsetof(zend_reference, val)
						//|	IF_NOT_Z_TYPE TMP1, IS_STRING, >3, TMP2w
						dasm_put(Dst, 127627, offsetof(zend_reference, val), offsetof(zval, u1.v.type));
							if (IS_STRING == 0) {
						dasm_put(Dst, 127632);
							} else {
						dasm_put(Dst, 127635, IS_STRING);
							}
#line 14147 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
					//|	ldr FCARG2x, [FCARG2x, #offsetof(zend_reference, val.value.ptr)]
					//|	b >2
					//|.code
					dasm_put(Dst, 127640, offsetof(zend_reference, val.value.ptr));
#line 14151 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|2:
					dasm_put(Dst, 127645);
#line 14152 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				} else {
					if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_STRING)) {
						if (fallback_label) {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, &fallback_label, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 127647, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 127651, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 127655, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 127659, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 127663, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 127668, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_STRING == 0) {
							dasm_put(Dst, 127673, (ZREG_X15), (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
								} else {
							dasm_put(Dst, 127677, (ZREG_X15), IS_STRING, (unsigned int)((ptrdiff_t)(fallback_label)), (unsigned int)(((ptrdiff_t)(fallback_label))>>32));
								}
#line 14156 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, >3, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 127683, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 127687, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 127691, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 127695, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 127699, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 127704, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_STRING == 0) {
							dasm_put(Dst, 127709, (ZREG_X15));
								} else {
							dasm_put(Dst, 127713, (ZREG_X15), IS_STRING);
								}
#line 14158 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					//|	GET_ZVAL_PTR FCARG2x, op1_addr, TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 127719, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 127722, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 127725, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127728, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 127731, (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 127734, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
#line 14161 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|	LOAD_ADDR FCARG1x, jumptable
					if (((uintptr_t)(jumptable)) == 0) {
				dasm_put(Dst, 127738);
					} else if (((uintptr_t)(jumptable)) <= MOVZ_IMM) {
				dasm_put(Dst, 127740, ((uint64_t)(jumptable)));
					} else if (arm64_may_use_adr((void*)(jumptable))) {
				dasm_put(Dst, 127743, (unsigned int)((ptrdiff_t)(jumptable)), (unsigned int)(((ptrdiff_t)(jumptable))>>32));
					} else if (arm64_may_use_adrp((void*)(jumptable))) {
				dasm_put(Dst, 127746, (unsigned int)((ptrdiff_t)((((uintptr_t)(jumptable))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(jumptable)))))>>32));
						if (((uintptr_t)(jumptable)) & 0xfff) {
				dasm_put(Dst, 127749, (((uintptr_t)(jumptable)) & 0xfff));
						}
					} else if ((uintptr_t)(jumptable) & 0xffff) {
				dasm_put(Dst, 127752, ((uintptr_t)(jumptable) & 0xffff));
						if (((uintptr_t)(jumptable) >> 16) & 0xffff) {
				dasm_put(Dst, 127755, (((uintptr_t)(jumptable) >> 16) & 0xffff));
						}
						if (((uintptr_t)(jumptable) >> 32) & 0xffff) {
				dasm_put(Dst, 127758, (((uintptr_t)(jumptable) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(jumptable) >> 16) & 0xffff) {
				dasm_put(Dst, 127761, (((uintptr_t)(jumptable) >> 16) & 0xffff));
						if (((uintptr_t)(jumptable) >> 32) & 0xffff) {
				dasm_put(Dst, 127764, (((uintptr_t)(jumptable) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 127767, (((uintptr_t)(jumptable) >> 32) & 0xffff));
					}
#line 14163 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_hash_find, REG0
					if (arm64_may_use_b(zend_hash_find)) {
				dasm_put(Dst, 127770, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
					} else {
					if (((uintptr_t)(zend_hash_find)) == 0) {
				dasm_put(Dst, 127773);
					} else if (((uintptr_t)(zend_hash_find)) <= MOVZ_IMM) {
				dasm_put(Dst, 127775, ((uint64_t)(zend_hash_find)));
					} else if (arm64_may_use_adr((void*)(zend_hash_find))) {
				dasm_put(Dst, 127778, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_hash_find))) {
				dasm_put(Dst, 127781, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_find)))))>>32));
						if (((uintptr_t)(zend_hash_find)) & 0xfff) {
				dasm_put(Dst, 127784, (((uintptr_t)(zend_hash_find)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_hash_find) & 0xffff) {
				dasm_put(Dst, 127787, ((uintptr_t)(zend_hash_find) & 0xffff));
						if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
				dasm_put(Dst, 127790, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
				dasm_put(Dst, 127793, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
				dasm_put(Dst, 127796, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
						if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
				dasm_put(Dst, 127799, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 127802, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
					}
				dasm_put(Dst, 127805);
					}
#line 14164 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	mov REG0, RETVALx
				dasm_put(Dst, 127807);
#line 14165 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (!zend_jit_hash_jmp(Dst, opline, op_array, ssa, jumptable, default_b, default_label, next_opline, trace_info)) {
					return 0;
				}
				//|3:
				dasm_put(Dst, 127809);
#line 14169 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (opline->opcode == ZEND_MATCH) {
			if (op1_info & (MAY_BE_LONG|MAY_BE_STRING)) {
				if (op1_info & MAY_BE_REF) {
					//|	LOAD_ZVAL_ADDR FCARG2x, op1_addr
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
						if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
					dasm_put(Dst, 127811);
						} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 127813, ((uint64_t)(Z_ZV(op1_addr))));
						} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 127816, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
						} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
					dasm_put(Dst, 127819, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
							if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
					dasm_put(Dst, 127822, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
							}
						} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
					dasm_put(Dst, 127825, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 127828, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							}
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 127831, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
					dasm_put(Dst, 127834, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
							if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
					dasm_put(Dst, 127837, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127840, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
						}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
							if (Z_OFFSET(op1_addr)) {
						if (Z_OFFSET(op1_addr) == 0) {
					dasm_put(Dst, 127843, (Z_REG(op1_addr)));
						} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
					dasm_put(Dst, 127846, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
						} else {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 127850, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 127853, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 127856, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 127859, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 127862, (Z_REG(op1_addr)));
						}
							} else {
								if (Z_REG(op1_addr) == ZREG_RSP) {
					dasm_put(Dst, 127865);
								} else {
					dasm_put(Dst, 127867, (Z_REG(op1_addr)));
								}
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 14174 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	ZVAL_DEREF FCARG2x, op1_info, TMP1w
						if (op1_info & MAY_BE_REF) {
					dasm_put(Dst, 127870, offsetof(zval, u1.v.type));
						if (IS_REFERENCE == 0) {
					dasm_put(Dst, 127873);
						} else {
					dasm_put(Dst, 127876, IS_REFERENCE);
						}
					dasm_put(Dst, 127881, offsetof(zend_reference, val));
						}
#line 14175 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG2, 0);
				}
				//|	LOAD_ADDR FCARG1x, jumptable
					if (((uintptr_t)(jumptable)) == 0) {
				dasm_put(Dst, 127886);
					} else if (((uintptr_t)(jumptable)) <= MOVZ_IMM) {
				dasm_put(Dst, 127888, ((uint64_t)(jumptable)));
					} else if (arm64_may_use_adr((void*)(jumptable))) {
				dasm_put(Dst, 127891, (unsigned int)((ptrdiff_t)(jumptable)), (unsigned int)(((ptrdiff_t)(jumptable))>>32));
					} else if (arm64_may_use_adrp((void*)(jumptable))) {
				dasm_put(Dst, 127894, (unsigned int)((ptrdiff_t)((((uintptr_t)(jumptable))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(jumptable)))))>>32));
						if (((uintptr_t)(jumptable)) & 0xfff) {
				dasm_put(Dst, 127897, (((uintptr_t)(jumptable)) & 0xfff));
						}
					} else if ((uintptr_t)(jumptable) & 0xffff) {
				dasm_put(Dst, 127900, ((uintptr_t)(jumptable) & 0xffff));
						if (((uintptr_t)(jumptable) >> 16) & 0xffff) {
				dasm_put(Dst, 127903, (((uintptr_t)(jumptable) >> 16) & 0xffff));
						}
						if (((uintptr_t)(jumptable) >> 32) & 0xffff) {
				dasm_put(Dst, 127906, (((uintptr_t)(jumptable) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(jumptable) >> 16) & 0xffff) {
				dasm_put(Dst, 127909, (((uintptr_t)(jumptable) >> 16) & 0xffff));
						if (((uintptr_t)(jumptable) >> 32) & 0xffff) {
				dasm_put(Dst, 127912, (((uintptr_t)(jumptable) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 127915, (((uintptr_t)(jumptable) >> 32) & 0xffff));
					}
#line 14178 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op1_info & MAY_BE_LONG) {
					if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-MAY_BE_LONG)) {
						if (op1_info & MAY_BE_STRING) {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >5, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 127918, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 127922, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 127926, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 127930, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 127934, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 127939, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_LONG == 0) {
							dasm_put(Dst, 127944, (ZREG_X15));
								} else {
							dasm_put(Dst, 127948, (ZREG_X15), IS_LONG);
								}
#line 14182 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else if (op1_info & MAY_BE_UNDEF) {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >6, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 127954, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 127958, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 127962, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 127966, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 127970, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 127975, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_LONG == 0) {
							dasm_put(Dst, 127980, (ZREG_X15));
								} else {
							dasm_put(Dst, 127984, (ZREG_X15), IS_LONG);
								}
#line 14184 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else if (default_label) {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, &default_label, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 127990, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 127994, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 127998, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 128002, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 128006, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 128011, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_LONG == 0) {
							dasm_put(Dst, 128016, (ZREG_X15), (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)(((ptrdiff_t)(default_label))>>32));
								} else {
							dasm_put(Dst, 128020, (ZREG_X15), IS_LONG, (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)(((ptrdiff_t)(default_label))>>32));
								}
#line 14186 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else if (next_opline) {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, >3, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 128026, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 128030, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 128034, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 128038, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 128042, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 128047, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_LONG == 0) {
							dasm_put(Dst, 128052, (ZREG_X15));
								} else {
							dasm_put(Dst, 128056, (ZREG_X15), IS_LONG);
								}
#line 14188 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_LONG, =>default_b, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 128062, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 128066, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 128070, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 128074, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 128078, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 128083, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_LONG == 0) {
							dasm_put(Dst, 128088, (ZREG_X15), default_b);
								} else {
							dasm_put(Dst, 128092, (ZREG_X15), IS_LONG, default_b);
								}
#line 14190 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					//|	GET_ZVAL_LVAL ZREG_FCARG2, op1_addr, TMP1
						if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
							if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
					dasm_put(Dst, 128098, (ZREG_FCARG2));
							} else {
						if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
					dasm_put(Dst, 128101, (ZREG_FCARG2));
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 128104, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
						} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
					dasm_put(Dst, 128108, (ZREG_FCARG2), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
						} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
					dasm_put(Dst, 128112, (ZREG_FCARG2), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 128116, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
							}
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 128120, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 128124, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
					dasm_put(Dst, 128128, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
							if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 128132, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
							}
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 128136, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
							}
						} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
					dasm_put(Dst, 128140, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
							if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
					dasm_put(Dst, 128144, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
							}
						} else {
					dasm_put(Dst, 128148, (ZREG_FCARG2), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
						}
							}
						} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 128152, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 128155, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 128158, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 128161, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 128164, (ZREG_FCARG2), (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 128168, (ZREG_FCARG2), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
						} else if (Z_MODE(op1_addr) == IS_REG) {
							if (ZREG_FCARG2 != Z_REG(op1_addr)) {
					dasm_put(Dst, 128173, (ZREG_FCARG2), (Z_REG(op1_addr)));
							}
						} else {
							ZEND_UNREACHABLE();
						}
#line 14193 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_hash_index_find, REG0
						if (arm64_may_use_b(zend_hash_index_find)) {
					dasm_put(Dst, 128177, (unsigned int)((ptrdiff_t)(zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(zend_hash_index_find))>>32));
						} else {
						if (((uintptr_t)(zend_hash_index_find)) == 0) {
					dasm_put(Dst, 128180);
						} else if (((uintptr_t)(zend_hash_index_find)) <= MOVZ_IMM) {
					dasm_put(Dst, 128182, ((uint64_t)(zend_hash_index_find)));
						} else if (arm64_may_use_adr((void*)(zend_hash_index_find))) {
					dasm_put(Dst, 128185, (unsigned int)((ptrdiff_t)(zend_hash_index_find)), (unsigned int)(((ptrdiff_t)(zend_hash_index_find))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_hash_index_find))) {
					dasm_put(Dst, 128188, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_index_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_index_find)))))>>32));
							if (((uintptr_t)(zend_hash_index_find)) & 0xfff) {
					dasm_put(Dst, 128191, (((uintptr_t)(zend_hash_index_find)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_hash_index_find) & 0xffff) {
					dasm_put(Dst, 128194, ((uintptr_t)(zend_hash_index_find) & 0xffff));
							if (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff) {
					dasm_put(Dst, 128197, (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff) {
					dasm_put(Dst, 128200, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff) {
					dasm_put(Dst, 128203, (((uintptr_t)(zend_hash_index_find) >> 16) & 0xffff));
							if (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff) {
					dasm_put(Dst, 128206, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 128209, (((uintptr_t)(zend_hash_index_find) >> 32) & 0xffff));
						}
					dasm_put(Dst, 128212);
						}
#line 14194 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	mov REG0, RETVALx
					dasm_put(Dst, 128214);
#line 14195 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (op1_info & MAY_BE_STRING) {
						//|	b >2
						dasm_put(Dst, 128216);
#line 14197 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				if (op1_info & MAY_BE_STRING) {
					//|5:
					dasm_put(Dst, 128219);
#line 14201 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (op1_info & ((MAY_BE_ANY|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_STRING))) {
						if (op1_info & MAY_BE_UNDEF) {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, >6, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 128221, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 128225, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 128229, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 128233, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 128237, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 128242, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_STRING == 0) {
							dasm_put(Dst, 128247, (ZREG_X15));
								} else {
							dasm_put(Dst, 128251, (ZREG_X15), IS_STRING);
								}
#line 14204 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else if (default_label) {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, &default_label, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 128257, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 128261, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 128265, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 128269, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 128273, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 128278, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_STRING == 0) {
							dasm_put(Dst, 128283, (ZREG_X15), (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)(((ptrdiff_t)(default_label))>>32));
								} else {
							dasm_put(Dst, 128287, (ZREG_X15), IS_STRING, (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)(((ptrdiff_t)(default_label))>>32));
								}
#line 14206 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else if (next_opline) {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, >3, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 128293, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 128297, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 128301, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 128305, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 128309, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 128314, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_STRING == 0) {
							dasm_put(Dst, 128319, (ZREG_X15));
								} else {
							dasm_put(Dst, 128323, (ZREG_X15), IS_STRING);
								}
#line 14208 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						} else {
							//|	IF_NOT_ZVAL_TYPE op1_addr, IS_STRING, =>default_b, ZREG_TMP1
								ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
								if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
								if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
							dasm_put(Dst, 128329, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
								} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
							dasm_put(Dst, 128333, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
									if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
							dasm_put(Dst, 128337, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
									}
								} else {
							dasm_put(Dst, 128341, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							dasm_put(Dst, 128345, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
								} else {
							dasm_put(Dst, 128350, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
								}
								if (IS_STRING == 0) {
							dasm_put(Dst, 128355, (ZREG_X15), default_b);
								} else {
							dasm_put(Dst, 128359, (ZREG_X15), IS_STRING, default_b);
								}
#line 14210 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
						}
					}
					//|	GET_ZVAL_PTR FCARG2x, op1_addr, TMP1
						ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 128365, ((uint32_t)(Z_OFFSET(op1_addr))));
						} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
					dasm_put(Dst, 128368, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 128371, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 128374, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 128377, (Z_REG(op1_addr)));
						} else {
					dasm_put(Dst, 128380, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
						}
#line 14213 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	EXT_CALL zend_hash_find, REG0
						if (arm64_may_use_b(zend_hash_find)) {
					dasm_put(Dst, 128384, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
						} else {
						if (((uintptr_t)(zend_hash_find)) == 0) {
					dasm_put(Dst, 128387);
						} else if (((uintptr_t)(zend_hash_find)) <= MOVZ_IMM) {
					dasm_put(Dst, 128389, ((uint64_t)(zend_hash_find)));
						} else if (arm64_may_use_adr((void*)(zend_hash_find))) {
					dasm_put(Dst, 128392, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
						} else if (arm64_may_use_adrp((void*)(zend_hash_find))) {
					dasm_put(Dst, 128395, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_find)))))>>32));
							if (((uintptr_t)(zend_hash_find)) & 0xfff) {
					dasm_put(Dst, 128398, (((uintptr_t)(zend_hash_find)) & 0xfff));
							}
						} else if ((uintptr_t)(zend_hash_find) & 0xffff) {
					dasm_put(Dst, 128401, ((uintptr_t)(zend_hash_find) & 0xffff));
							if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
					dasm_put(Dst, 128404, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
							}
							if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
					dasm_put(Dst, 128407, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
							}
						} else if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
					dasm_put(Dst, 128410, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
							if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
					dasm_put(Dst, 128413, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
							}
						} else {
					dasm_put(Dst, 128416, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
						}
					dasm_put(Dst, 128419);
						}
#line 14214 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	mov REG0, RETVALx
					dasm_put(Dst, 128421);
#line 14215 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				//|2:
				dasm_put(Dst, 128423);
#line 14217 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (!zend_jit_hash_jmp(Dst, opline, op_array, ssa, jumptable, default_b, default_label, next_opline, trace_info)) {
					return 0;
				}
			}
			if (op1_info & MAY_BE_UNDEF) {
				//|6:
				dasm_put(Dst, 128425);
#line 14223 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (op1_info & (MAY_BE_ANY-(MAY_BE_LONG|MAY_BE_STRING))) {
					if (default_label) {
						//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, &default_label, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 128427, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 128431, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 128435, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 128439, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 128443, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 128448, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_UNDEF == 0) {
						dasm_put(Dst, 128453, (ZREG_X15), (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)(((ptrdiff_t)(default_label))>>32));
							} else {
						dasm_put(Dst, 128457, (ZREG_X15), IS_UNDEF, (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)(((ptrdiff_t)(default_label))>>32));
							}
#line 14226 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else if (next_opline) {
						//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, >3, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 128463, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 128467, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 128471, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 128475, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 128479, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 128484, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_UNDEF == 0) {
						dasm_put(Dst, 128489, (ZREG_X15));
							} else {
						dasm_put(Dst, 128493, (ZREG_X15), IS_UNDEF);
							}
#line 14228 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					} else {
						//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, =>default_b, ZREG_TMP1
							ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
							if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
							if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
						dasm_put(Dst, 128499, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
							} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
						dasm_put(Dst, 128503, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
								if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
						dasm_put(Dst, 128507, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
								}
							} else {
						dasm_put(Dst, 128511, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
							}
						dasm_put(Dst, 128515, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
							} else {
						dasm_put(Dst, 128520, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
							}
							if (IS_UNDEF == 0) {
						dasm_put(Dst, 128525, (ZREG_X15), default_b);
							} else {
						dasm_put(Dst, 128529, (ZREG_X15), IS_UNDEF, default_b);
							}
#line 14230 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				//|	// zend_error(E_WARNING, "Undefined variable $%s", ZSTR_VAL(CV_DEF_OF(EX_VAR_TO_NUM(opline->op1.var))));
				//|	SET_EX_OPLINE opline, REG0
					if (opline == last_valid_opline) {
						zend_jit_use_last_valid_opline();
					if (GCC_GLOBAL_REGS) {
				dasm_put(Dst, 128535, Dt1(->opline));
					}
					} else {
					if (((uintptr_t)(opline)) == 0) {
				dasm_put(Dst, 128538);
					} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
				dasm_put(Dst, 128540, ((uint64_t)(opline)));
					} else if (arm64_may_use_adr((void*)(opline))) {
				dasm_put(Dst, 128543, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
					} else if (arm64_may_use_adrp((void*)(opline))) {
				dasm_put(Dst, 128546, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
						if (((uintptr_t)(opline)) & 0xfff) {
				dasm_put(Dst, 128549, (((uintptr_t)(opline)) & 0xfff));
						}
					} else if ((uintptr_t)(opline) & 0xffff) {
				dasm_put(Dst, 128552, ((uintptr_t)(opline) & 0xffff));
						if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 128555, (((uintptr_t)(opline) >> 16) & 0xffff));
						}
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 128558, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
				dasm_put(Dst, 128561, (((uintptr_t)(opline) >> 16) & 0xffff));
						if (((uintptr_t)(opline) >> 32) & 0xffff) {
				dasm_put(Dst, 128564, (((uintptr_t)(opline) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 128567, (((uintptr_t)(opline) >> 32) & 0xffff));
					}
				dasm_put(Dst, 128570, Dt1(->opline));
						if (!GCC_GLOBAL_REGS) {
							zend_jit_reset_last_valid_opline();
						}
					}
#line 14234 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	LOAD_32BIT_VAL FCARG1w, opline->op1.var
					if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
				dasm_put(Dst, 128573, ((uint32_t)(opline->op1.var)));
					} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
				dasm_put(Dst, 128576, ((uint32_t)(opline->op1.var) & 0xffff));
						if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
				dasm_put(Dst, 128579, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 128582, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
					}
#line 14235 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	EXT_CALL zend_jit_undefined_op_helper, REG0
					if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
				dasm_put(Dst, 128585, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else {
					if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
				dasm_put(Dst, 128588);
					} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
				dasm_put(Dst, 128590, ((uint64_t)(zend_jit_undefined_op_helper)));
					} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 128593, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
					} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
				dasm_put(Dst, 128596, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
						if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
				dasm_put(Dst, 128599, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
						}
					} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
				dasm_put(Dst, 128602, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 128605, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						}
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 128608, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
				dasm_put(Dst, 128611, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
						if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
				dasm_put(Dst, 128614, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
						}
					} else {
				dasm_put(Dst, 128617, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				dasm_put(Dst, 128620);
					}
#line 14236 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				if (!zend_jit_check_exception_undef_result(Dst, opline)) {
					return 0;
				}
			}
			if (default_label) {
				//|	b &default_label
				dasm_put(Dst, 128622, (unsigned int)((ptrdiff_t)(default_label)), (unsigned int)(((ptrdiff_t)(default_label))>>32));
#line 14242 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (next_opline) {
				//|	b >3
				dasm_put(Dst, 128625);
#line 14244 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	b =>default_b
				dasm_put(Dst, 128628, default_b);
#line 14246 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|3:
			dasm_put(Dst, 128631);
#line 14248 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			ZEND_UNREACHABLE();
		}
	}
	return 1;
}

static bool zend_jit_verify_return_type(dasm_State **Dst, const zend_op *opline, const zend_op_array *op_array, uint32_t op1_info)
{
	zend_arg_info *arg_info = &op_array->arg_info[-1];
	ZEND_ASSERT(ZEND_TYPE_IS_SET(arg_info->type));
	zend_jit_addr op1_addr = OP1_ADDR();
	bool needs_slow_check = 1;
	bool slow_check_in_cold = 1;
	uint32_t type_mask = ZEND_TYPE_PURE_MASK(arg_info->type) & MAY_BE_ANY;

	if (type_mask == 0) {
		slow_check_in_cold = 0;
	} else {
		if (((op1_info & MAY_BE_ANY) & type_mask) == 0) {
			slow_check_in_cold = 0;
		} else if (((op1_info & MAY_BE_ANY) | type_mask) == type_mask) {
			needs_slow_check = 0;
		} else if (is_power_of_two(type_mask)) {
			uint32_t type_code = concrete_type(type_mask);
			//|	IF_NOT_ZVAL_TYPE op1_addr, type_code, >6, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 128633, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 128637, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 128641, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 128645, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 128649, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 128654, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (type_code == 0) {
			dasm_put(Dst, 128659, (ZREG_X15));
				} else {
			dasm_put(Dst, 128663, (ZREG_X15), type_code);
				}
#line 14274 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	mov REG2w, #1
			//|	GET_ZVAL_TYPE REG1w, op1_addr, TMP1
			dasm_put(Dst, 128669);
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 128671, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 128674, ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 128677, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 128680, (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 128683, (Z_REG(op1_addr)));
				} else {
			dasm_put(Dst, 128686, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.v.type)));
				}
#line 14277 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	lsl REG2w, REG2w, REG1w
			//|	TST_32_WITH_CONST REG2w, type_mask, TMP1w
			dasm_put(Dst, 128690);
				if (type_mask == 0) {
			dasm_put(Dst, 128692);
				} else if (logical_immediate_p((uint32_t)type_mask, 32)) {
			dasm_put(Dst, 128694, type_mask);
				} else {
				if (((uint32_t)(type_mask)) <= MOVZ_IMM) {
			dasm_put(Dst, 128697, ((uint32_t)(type_mask)));
				} else if (((uint32_t)(type_mask) & 0xffff)) {
			dasm_put(Dst, 128700, ((uint32_t)(type_mask) & 0xffff));
					if ((((uint32_t)(type_mask) >> 16) & 0xffff)) {
			dasm_put(Dst, 128703, (((uint32_t)(type_mask) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 128706, (((uint32_t)(type_mask) >> 16) & 0xffff));
				}
			dasm_put(Dst, 128709);
				}
#line 14279 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	beq >6
			dasm_put(Dst, 128711);
#line 14280 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	if (needs_slow_check) {
		if (slow_check_in_cold) {
			//|.cold_code
			dasm_put(Dst, 128714);
#line 14285 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|6:
			dasm_put(Dst, 128715);
#line 14286 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	SET_EX_OPLINE opline, REG1
			if (opline == last_valid_opline) {
				zend_jit_use_last_valid_opline();
			if (GCC_GLOBAL_REGS) {
		dasm_put(Dst, 128717, Dt1(->opline));
			}
			} else {
			if (((uintptr_t)(opline)) == 0) {
		dasm_put(Dst, 128720);
			} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
		dasm_put(Dst, 128722, ((uint64_t)(opline)));
			} else if (arm64_may_use_adr((void*)(opline))) {
		dasm_put(Dst, 128725, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
			} else if (arm64_may_use_adrp((void*)(opline))) {
		dasm_put(Dst, 128728, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
				if (((uintptr_t)(opline)) & 0xfff) {
		dasm_put(Dst, 128731, (((uintptr_t)(opline)) & 0xfff));
				}
			} else if ((uintptr_t)(opline) & 0xffff) {
		dasm_put(Dst, 128734, ((uintptr_t)(opline) & 0xffff));
				if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 128737, (((uintptr_t)(opline) >> 16) & 0xffff));
				}
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 128740, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
		dasm_put(Dst, 128743, (((uintptr_t)(opline) >> 16) & 0xffff));
				if (((uintptr_t)(opline) >> 32) & 0xffff) {
		dasm_put(Dst, 128746, (((uintptr_t)(opline) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 128749, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		dasm_put(Dst, 128752, Dt1(->opline));
				if (!GCC_GLOBAL_REGS) {
					zend_jit_reset_last_valid_opline();
				}
			}
#line 14288 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (op1_info & MAY_BE_UNDEF) {
			//|	IF_NOT_ZVAL_TYPE op1_addr, IS_UNDEF, >7, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 128755, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 128759, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 128763, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 128767, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 128771, (ZREG_X15), (Z_REG(op1_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 128776, (ZREG_X15), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)));
				}
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 128781, (ZREG_X15));
				} else {
			dasm_put(Dst, 128785, (ZREG_X15), IS_UNDEF);
				}
#line 14290 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	LOAD_32BIT_VAL FCARG1x, opline->op1.var
				if (((uint32_t)(opline->op1.var)) <= MOVZ_IMM) {
			dasm_put(Dst, 128791, ((uint32_t)(opline->op1.var)));
				} else if (((uint32_t)(opline->op1.var) & 0xffff)) {
			dasm_put(Dst, 128794, ((uint32_t)(opline->op1.var) & 0xffff));
					if ((((uint32_t)(opline->op1.var) >> 16) & 0xffff)) {
			dasm_put(Dst, 128797, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 128800, (((uint32_t)(opline->op1.var) >> 16) & 0xffff));
				}
#line 14291 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	EXT_CALL zend_jit_undefined_op_helper, REG0
				if (arm64_may_use_b(zend_jit_undefined_op_helper)) {
			dasm_put(Dst, 128803, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else {
				if (((uintptr_t)(zend_jit_undefined_op_helper)) == 0) {
			dasm_put(Dst, 128806);
				} else if (((uintptr_t)(zend_jit_undefined_op_helper)) <= MOVZ_IMM) {
			dasm_put(Dst, 128808, ((uint64_t)(zend_jit_undefined_op_helper)));
				} else if (arm64_may_use_adr((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 128811, (unsigned int)((ptrdiff_t)(zend_jit_undefined_op_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_undefined_op_helper))>>32));
				} else if (arm64_may_use_adrp((void*)(zend_jit_undefined_op_helper))) {
			dasm_put(Dst, 128814, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_undefined_op_helper)))))>>32));
					if (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff) {
			dasm_put(Dst, 128817, (((uintptr_t)(zend_jit_undefined_op_helper)) & 0xfff));
					}
				} else if ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff) {
			dasm_put(Dst, 128820, ((uintptr_t)(zend_jit_undefined_op_helper) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 128823, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					}
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 128826, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff) {
			dasm_put(Dst, 128829, (((uintptr_t)(zend_jit_undefined_op_helper) >> 16) & 0xffff));
					if (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff) {
			dasm_put(Dst, 128832, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 128835, (((uintptr_t)(zend_jit_undefined_op_helper) >> 32) & 0xffff));
				}
			dasm_put(Dst, 128838);
				}
#line 14292 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	cbz RETVALx, ->exception_handler
			//|	LOAD_ADDR_ZTS FCARG1x, executor_globals, uninitialized_zval
			dasm_put(Dst, 128840);
				if (((uintptr_t)(&executor_globals.uninitialized_zval)) == 0) {
			dasm_put(Dst, 128843);
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval)) <= MOVZ_IMM) {
			dasm_put(Dst, 128845, ((uint64_t)(&executor_globals.uninitialized_zval)));
				} else if (arm64_may_use_adr((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 128848, (unsigned int)((ptrdiff_t)(&executor_globals.uninitialized_zval)), (unsigned int)(((ptrdiff_t)(&executor_globals.uninitialized_zval))>>32));
				} else if (arm64_may_use_adrp((void*)(&executor_globals.uninitialized_zval))) {
			dasm_put(Dst, 128851, (unsigned int)((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(&executor_globals.uninitialized_zval)))))>>32));
					if (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff) {
			dasm_put(Dst, 128854, (((uintptr_t)(&executor_globals.uninitialized_zval)) & 0xfff));
					}
				} else if ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff) {
			dasm_put(Dst, 128857, ((uintptr_t)(&executor_globals.uninitialized_zval) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 128860, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					}
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 128863, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff) {
			dasm_put(Dst, 128866, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 16) & 0xffff));
					if (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff) {
			dasm_put(Dst, 128869, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 128872, (((uintptr_t)(&executor_globals.uninitialized_zval) >> 32) & 0xffff));
				}
#line 14294 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	b >8
			dasm_put(Dst, 128875);
#line 14295 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|7:
		//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
		dasm_put(Dst, 128878);
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 128880);
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 128882, ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 128885, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 128888, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 128891, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 128894, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 128897, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 128900, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 128903, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 128906, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 128909, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
				if (Z_OFFSET(op1_addr)) {
			if (Z_OFFSET(op1_addr) == 0) {
		dasm_put(Dst, 128912, (Z_REG(op1_addr)));
			} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
		dasm_put(Dst, 128915, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
			} else {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 128919, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 128922, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 128925, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 128928, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 128931, (Z_REG(op1_addr)));
			}
				} else {
					if (Z_REG(op1_addr) == ZREG_RSP) {
		dasm_put(Dst, 128934);
					} else {
		dasm_put(Dst, 128936, (Z_REG(op1_addr)));
					}
				}
			} else {
				ZEND_UNREACHABLE();
			}
#line 14298 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|8:
		//|	ldr FCARG2x, EX->func
		//|	LOAD_ADDR CARG3, (ptrdiff_t)arg_info
		dasm_put(Dst, 128939, Dt1(->func));
			if (((uintptr_t)((ptrdiff_t)arg_info)) == 0) {
		dasm_put(Dst, 128943);
			} else if (((uintptr_t)((ptrdiff_t)arg_info)) <= MOVZ_IMM) {
		dasm_put(Dst, 128945, ((uint64_t)((ptrdiff_t)arg_info)));
			} else if (arm64_may_use_adr((void*)((ptrdiff_t)arg_info))) {
		dasm_put(Dst, 128948, (unsigned int)((ptrdiff_t)((ptrdiff_t)arg_info)), (unsigned int)(((ptrdiff_t)((ptrdiff_t)arg_info))>>32));
			} else if (arm64_may_use_adrp((void*)((ptrdiff_t)arg_info))) {
		dasm_put(Dst, 128951, (unsigned int)((ptrdiff_t)((((uintptr_t)((ptrdiff_t)arg_info))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)((ptrdiff_t)arg_info)))))>>32));
				if (((uintptr_t)((ptrdiff_t)arg_info)) & 0xfff) {
		dasm_put(Dst, 128954, (((uintptr_t)((ptrdiff_t)arg_info)) & 0xfff));
				}
			} else if ((uintptr_t)((ptrdiff_t)arg_info) & 0xffff) {
		dasm_put(Dst, 128957, ((uintptr_t)((ptrdiff_t)arg_info) & 0xffff));
				if (((uintptr_t)((ptrdiff_t)arg_info) >> 16) & 0xffff) {
		dasm_put(Dst, 128960, (((uintptr_t)((ptrdiff_t)arg_info) >> 16) & 0xffff));
				}
				if (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff) {
		dasm_put(Dst, 128963, (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)((ptrdiff_t)arg_info) >> 16) & 0xffff) {
		dasm_put(Dst, 128966, (((uintptr_t)((ptrdiff_t)arg_info) >> 16) & 0xffff));
				if (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff) {
		dasm_put(Dst, 128969, (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 128972, (((uintptr_t)((ptrdiff_t)arg_info) >> 32) & 0xffff));
			}
#line 14301 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	ldr REG0, EX->run_time_cache
		//|	ADD_SUB_64_WITH_CONST_32 add, CARG4, REG0, opline->op2.num, TMP1
		dasm_put(Dst, 128975, Dt1(->run_time_cache));
			if (opline->op2.num == 0) {
		dasm_put(Dst, 128978);
			} else if (arm64_may_encode_imm12((int64_t)(opline->op2.num))) {
		dasm_put(Dst, 128980, opline->op2.num);
			} else {
			if (((uint32_t)(opline->op2.num)) <= MOVZ_IMM) {
		dasm_put(Dst, 128983, ((uint32_t)(opline->op2.num)));
			} else if (((uint32_t)(opline->op2.num) & 0xffff)) {
		dasm_put(Dst, 128986, ((uint32_t)(opline->op2.num) & 0xffff));
				if ((((uint32_t)(opline->op2.num) >> 16) & 0xffff)) {
		dasm_put(Dst, 128989, (((uint32_t)(opline->op2.num) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 128992, (((uint32_t)(opline->op2.num) >> 16) & 0xffff));
			}
		dasm_put(Dst, 128995);
			}
#line 14303 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_verify_return_slow, REG0
			if (arm64_may_use_b(zend_jit_verify_return_slow)) {
		dasm_put(Dst, 128997, (unsigned int)((ptrdiff_t)(zend_jit_verify_return_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_verify_return_slow))>>32));
			} else {
			if (((uintptr_t)(zend_jit_verify_return_slow)) == 0) {
		dasm_put(Dst, 129000);
			} else if (((uintptr_t)(zend_jit_verify_return_slow)) <= MOVZ_IMM) {
		dasm_put(Dst, 129002, ((uint64_t)(zend_jit_verify_return_slow)));
			} else if (arm64_may_use_adr((void*)(zend_jit_verify_return_slow))) {
		dasm_put(Dst, 129005, (unsigned int)((ptrdiff_t)(zend_jit_verify_return_slow)), (unsigned int)(((ptrdiff_t)(zend_jit_verify_return_slow))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_verify_return_slow))) {
		dasm_put(Dst, 129008, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_verify_return_slow))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_verify_return_slow)))))>>32));
				if (((uintptr_t)(zend_jit_verify_return_slow)) & 0xfff) {
		dasm_put(Dst, 129011, (((uintptr_t)(zend_jit_verify_return_slow)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_verify_return_slow) & 0xffff) {
		dasm_put(Dst, 129014, ((uintptr_t)(zend_jit_verify_return_slow) & 0xffff));
				if (((uintptr_t)(zend_jit_verify_return_slow) >> 16) & 0xffff) {
		dasm_put(Dst, 129017, (((uintptr_t)(zend_jit_verify_return_slow) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_verify_return_slow) >> 32) & 0xffff) {
		dasm_put(Dst, 129020, (((uintptr_t)(zend_jit_verify_return_slow) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_verify_return_slow) >> 16) & 0xffff) {
		dasm_put(Dst, 129023, (((uintptr_t)(zend_jit_verify_return_slow) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_verify_return_slow) >> 32) & 0xffff) {
		dasm_put(Dst, 129026, (((uintptr_t)(zend_jit_verify_return_slow) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129029, (((uintptr_t)(zend_jit_verify_return_slow) >> 32) & 0xffff));
			}
		dasm_put(Dst, 129032);
			}
#line 14304 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!zend_jit_check_exception(Dst)) {
			return 0;
		}
		if (slow_check_in_cold) {
			//|	b >9
			//|.code
			dasm_put(Dst, 129034);
#line 14310 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	//|9:
	dasm_put(Dst, 129037);
#line 14313 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_isset_isempty_cv(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr,  zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2, const void *exit_addr)
{
	zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

	// TODO: support for empty() ???
	ZEND_ASSERT(!(opline->extended_value & ZEND_ISEMPTY));

	if (op1_info & MAY_BE_REF) {
		if (Z_MODE(op1_addr) != IS_MEM_ZVAL || Z_REG(op1_addr) != ZREG_FCARG1 || Z_OFFSET(op1_addr) != 0) {
			//|	LOAD_ZVAL_ADDR FCARG1x, op1_addr
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
			dasm_put(Dst, 129039);
				} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 129041, ((uint64_t)(Z_ZV(op1_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 129044, (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
			dasm_put(Dst, 129047, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
			dasm_put(Dst, 129050, (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
			dasm_put(Dst, 129053, ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 129056, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 129059, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 129062, (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 129065, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129068, (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(op1_addr)) {
				if (Z_OFFSET(op1_addr) == 0) {
			dasm_put(Dst, 129071, (Z_REG(op1_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(op1_addr)))) {
			dasm_put(Dst, 129074, (Z_REG(op1_addr)), Z_OFFSET(op1_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 129078, ((uint32_t)(Z_OFFSET(op1_addr))));
				} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
			dasm_put(Dst, 129081, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 129084, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129087, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 129090, (Z_REG(op1_addr)));
				}
					} else {
						if (Z_REG(op1_addr) == ZREG_RSP) {
			dasm_put(Dst, 129093);
						} else {
			dasm_put(Dst, 129095, (Z_REG(op1_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 14326 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
		}
		//|	ZVAL_DEREF FCARG1x, op1_info, TMP1w
			if (op1_info & MAY_BE_REF) {
		dasm_put(Dst, 129098, offsetof(zval, u1.v.type));
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 129101);
			} else {
		dasm_put(Dst, 129104, IS_REFERENCE);
			}
		dasm_put(Dst, 129109, offsetof(zend_reference, val));
			}
#line 14329 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|1:
		dasm_put(Dst, 129114);
#line 14330 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (!(op1_info & (MAY_BE_UNDEF|MAY_BE_NULL))) {
		if (exit_addr) {
			ZEND_ASSERT(smart_branch_opcode == ZEND_JMPZ);
		} else if (smart_branch_opcode) {
			if (smart_branch_opcode == ZEND_JMPNZ) {
				//|	b =>target_label
				dasm_put(Dst, 129116, target_label);
#line 14338 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_TRUE, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_TRUE)) <= MOVZ_IMM) {
			dasm_put(Dst, 129119, ((uint32_t)(IS_TRUE)));
				} else if (((uint32_t)(IS_TRUE) & 0xffff)) {
			dasm_put(Dst, 129122, ((uint32_t)(IS_TRUE) & 0xffff));
					if ((((uint32_t)(IS_TRUE) >> 16) & 0xffff)) {
			dasm_put(Dst, 129125, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129128, (((uint32_t)(IS_TRUE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 129131, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 129134, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 129137, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129140, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 129143, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 129146, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 14341 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (!(op1_info & (MAY_BE_ANY - MAY_BE_NULL))) {
		if (exit_addr) {
			ZEND_ASSERT(smart_branch_opcode == ZEND_JMPNZ);
		} else if (smart_branch_opcode) {
			if (smart_branch_opcode != ZEND_JMPNZ) {
				//|	b =>target_label
				dasm_put(Dst, 129150, target_label);
#line 14348 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			//|	SET_ZVAL_TYPE_INFO res_addr, IS_FALSE, TMP1w, TMP2
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(IS_FALSE)) <= MOVZ_IMM) {
			dasm_put(Dst, 129153, ((uint32_t)(IS_FALSE)));
				} else if (((uint32_t)(IS_FALSE) & 0xffff)) {
			dasm_put(Dst, 129156, ((uint32_t)(IS_FALSE) & 0xffff));
					if ((((uint32_t)(IS_FALSE) >> 16) & 0xffff)) {
			dasm_put(Dst, 129159, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129162, (((uint32_t)(IS_FALSE) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 129165, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 129168, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 129171, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129174, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 129177, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 129180, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 14351 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
		//|	MEM_ACCESS_8_WITH_UOFFSET ldrb, TMP1w, Rx(Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)), TMP1
			if (((uintptr_t)((Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)))) > LDRB_STRB_PIMM) {
			if (((uint32_t)((Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)))) <= MOVZ_IMM) {
		dasm_put(Dst, 129184, ((uint32_t)((Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type)))));
			} else if (((uint32_t)((Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) & 0xffff)) {
		dasm_put(Dst, 129187, ((uint32_t)((Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) & 0xffff));
				if ((((uint32_t)((Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) >> 16) & 0xffff)) {
		dasm_put(Dst, 129190, (((uint32_t)((Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129193, (((uint32_t)((Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129196, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 129199, (Z_REG(op1_addr)), ((Z_OFFSET(op1_addr)+offsetof(zval, u1.v.type))));
			}
#line 14355 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	cmp TMP1w, #IS_NULL
		dasm_put(Dst, 129203, IS_NULL);
#line 14356 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (exit_addr) {
			if (smart_branch_opcode == ZEND_JMPNZ) {
				//|	bgt &exit_addr
				dasm_put(Dst, 129206, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 14359 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	ble &exit_addr
				dasm_put(Dst, 129209, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 14361 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else if (smart_branch_opcode) {
			if (smart_branch_opcode == ZEND_JMPZ) {
				//|	ble =>target_label
				dasm_put(Dst, 129212, target_label);
#line 14365 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (smart_branch_opcode == ZEND_JMPNZ) {
				//|	bgt =>target_label
				dasm_put(Dst, 129215, target_label);
#line 14367 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				ZEND_UNREACHABLE();
			}
		} else {
			//|	cset REG0w, gt
			//|	add REG0w, REG0w, #IS_FALSE
			//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
			dasm_put(Dst, 129218, IS_FALSE);
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 129222, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 129225, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 129228, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129231, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 129234, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 129237, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 14374 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	return 1;
}

static int zend_jit_fe_reset(dasm_State **Dst, const zend_op *opline, uint32_t op1_info)
{
	zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

	if (opline->op1_type == IS_CONST) {
		zval *zv = RT_CONSTANT(opline, opline->op1);

		//|	ZVAL_COPY_CONST res_addr, MAY_BE_ANY, MAY_BE_ANY, zv, ZREG_REG0, ZREG_TMP1, ZREG_FPR0
			if (Z_TYPE_P(zv) > IS_TRUE) {
				if (Z_TYPE_P(zv) == IS_DOUBLE) {
					zend_reg dst_reg = (Z_MODE(res_addr) == IS_REG) ? Z_REG(res_addr) : ZREG_V0;
			if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adr((void*)(zv))) {
		dasm_put(Dst, 129241, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32), (dst_reg-ZREG_V0), (ZREG_X8));
			} else if (((uintptr_t)(zv)) > MOVZ_IMM && arm64_may_use_adrp((void*)(zv))) {
		dasm_put(Dst, 129248, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32), (dst_reg-ZREG_V0), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
			} else {
			if (((uintptr_t)(zv)) == 0) {
		dasm_put(Dst, 129256, (ZREG_X8));
			} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
		dasm_put(Dst, 129259, (ZREG_X8), ((uint64_t)(zv)));
			} else if (arm64_may_use_adr((void*)(zv))) {
		dasm_put(Dst, 129263, (ZREG_X8), (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
			} else if (arm64_may_use_adrp((void*)(zv))) {
		dasm_put(Dst, 129267, (ZREG_X8), (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
				if (((uintptr_t)(zv)) & 0xfff) {
		dasm_put(Dst, 129271, (ZREG_X8), (ZREG_X8), (((uintptr_t)(zv)) & 0xfff));
				}
			} else if ((uintptr_t)(zv) & 0xffff) {
		dasm_put(Dst, 129276, (ZREG_X8), ((uintptr_t)(zv) & 0xffff));
				if (((uintptr_t)(zv) >> 16) & 0xffff) {
		dasm_put(Dst, 129280, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zv) >> 32) & 0xffff) {
		dasm_put(Dst, 129284, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
		dasm_put(Dst, 129288, (ZREG_X8), (((uintptr_t)(zv) >> 16) & 0xffff));
				if (((uintptr_t)(zv) >> 32) & 0xffff) {
		dasm_put(Dst, 129292, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129296, (ZREG_X8), (((uintptr_t)(zv) >> 32) & 0xffff));
			}
		dasm_put(Dst, 129300, (dst_reg-ZREG_V0), (ZREG_X8));
			}
			if (Z_MODE(res_addr) == IS_REG) {
				if (dst_reg != Z_REG(res_addr)) {
		dasm_put(Dst, 129304, (Z_REG(res_addr)-ZREG_V0), (dst_reg-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 129308, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 129312, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129316, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129320, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129324, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 129329, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
				} else if (Z_TYPE_P(zv) == IS_LONG && MAY_BE_ANY == MAY_BE_DOUBLE) {
					zend_reg dst_reg = (Z_MODE(res_addr) == IS_REG) ? Z_REG(res_addr) : ZREG_V0;
			if (Z_LVAL_P(zv) == 0) {
		dasm_put(Dst, 129334, (dst_reg-ZREG_V0));
			} else {
			if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
		dasm_put(Dst, 129337, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 129340, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
			} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 129344, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
			} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
		dasm_put(Dst, 129348, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 129352, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 129356, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 129360, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 129364, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 129368, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 129372, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 129376, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 129380, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129384, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
			}
		dasm_put(Dst, 129388, (dst_reg-ZREG_V0), (ZREG_X8));
			}
			if (Z_MODE(res_addr) == IS_REG) {
				if (dst_reg != Z_REG(res_addr)) {
		dasm_put(Dst, 129392, (Z_REG(res_addr)-ZREG_V0), (dst_reg-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 129396, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 129400, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129404, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129408, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129412, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 129417, (dst_reg-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
				} else {
			if (Z_LVAL_P(zv) == 0) {
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 129422, (Z_REG(res_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 129425, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 129429, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129433, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129437, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129441, (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 129445, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
			} else {
			if (((uint64_t)(Z_LVAL_P(zv))) == 0) {
		dasm_put(Dst, 129449, (ZREG_X8));
			} else if (((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 129452, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv))));
			} else if (~((uint64_t)(Z_LVAL_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 129456, (ZREG_X8), (~((uint64_t)(Z_LVAL_P(zv)))));
			} else if ((uint64_t)(Z_LVAL_P(zv)) & 0xffff) {
		dasm_put(Dst, 129460, (ZREG_X8), ((uint64_t)(Z_LVAL_P(zv)) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 129464, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 129468, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 129472, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff) {
		dasm_put(Dst, 129476, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 129480, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 129484, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff) {
		dasm_put(Dst, 129488, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff)) {
		dasm_put(Dst, 129492, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129496, (ZREG_X8), (((uint64_t)(Z_LVAL_P(zv)) >> 48) & 0xffff));
			}
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 129500, (Z_REG(res_addr)), (ZREG_X8));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 129504, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 129508, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129512, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129516, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129520, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 129525, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
			}
				}
			}
			if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
				if (MAY_BE_ANY == MAY_BE_DOUBLE) {
					if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != MAY_BE_DOUBLE) {
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_DOUBLE)) <= MOVZ_IMM) {
		dasm_put(Dst, 129530, (ZREG_X8), ((uint32_t)(IS_DOUBLE)));
			} else if (((uint32_t)(IS_DOUBLE) & 0xffff)) {
		dasm_put(Dst, 129534, (ZREG_X8), ((uint32_t)(IS_DOUBLE) & 0xffff));
				if ((((uint32_t)(IS_DOUBLE) >> 16) & 0xffff)) {
		dasm_put(Dst, 129538, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129542, (ZREG_X8), (((uint32_t)(IS_DOUBLE) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 129546, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 129550, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129554, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129558, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129562, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 129567, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
					}
				} else if (((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (1<<Z_TYPE_P(zv))) || (MAY_BE_ANY & (MAY_BE_STRING|MAY_BE_ARRAY)) != 0) {
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(Z_TYPE_INFO_P(zv))) <= MOVZ_IMM) {
		dasm_put(Dst, 129572, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv))));
			} else if (((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff)) {
		dasm_put(Dst, 129576, (ZREG_X8), ((uint32_t)(Z_TYPE_INFO_P(zv)) & 0xffff));
				if ((((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129580, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129584, (ZREG_X8), (((uint32_t)(Z_TYPE_INFO_P(zv)) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 129588, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 129592, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129596, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129600, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129604, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 129609, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
				}
			}
#line 14388 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (Z_REFCOUNTED_P(zv)) {
			//|	ADDREF_CONST zv, REG0, TMP1
				if (((uintptr_t)(Z_PTR_P(zv))) == 0) {
			dasm_put(Dst, 129614);
				} else if (((uintptr_t)(Z_PTR_P(zv))) <= MOVZ_IMM) {
			dasm_put(Dst, 129616, ((uint64_t)(Z_PTR_P(zv))));
				} else if (arm64_may_use_adr((void*)(Z_PTR_P(zv)))) {
			dasm_put(Dst, 129619, (unsigned int)((ptrdiff_t)(Z_PTR_P(zv))), (unsigned int)(((ptrdiff_t)(Z_PTR_P(zv)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_PTR_P(zv)))) {
			dasm_put(Dst, 129622, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_PTR_P(zv))))))>>32));
					if (((uintptr_t)(Z_PTR_P(zv))) & 0xfff) {
			dasm_put(Dst, 129625, (((uintptr_t)(Z_PTR_P(zv))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_PTR_P(zv)) & 0xffff) {
			dasm_put(Dst, 129628, ((uintptr_t)(Z_PTR_P(zv)) & 0xffff));
					if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 129631, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 129634, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff) {
			dasm_put(Dst, 129637, (((uintptr_t)(Z_PTR_P(zv)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff) {
			dasm_put(Dst, 129640, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 129643, (((uintptr_t)(Z_PTR_P(zv)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 129646);
#line 14390 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		zend_jit_addr op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);

		//|	// ZVAL_COPY(res, value);
		//|	ZVAL_COPY_VALUE res_addr, -1, op1_addr, op1_info, ZREG_REG0, ZREG_FCARG1, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (op1_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(op1_addr) == IS_REG) {
						if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_addr)) {
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 129650, (Z_REG(res_addr)), (Z_REG(op1_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 129654, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 129658, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129662, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129666, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129670, (Z_REG(op1_addr)), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 129675, (Z_REG(op1_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
						}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 129680, (Z_REG(res_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 129683, (Z_REG(res_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 129686, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 129690, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 129694, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 129698, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 129702, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 129706, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 129710, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 129714, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 129718, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 129722, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 129726, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129730, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 129734, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 129738, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129742, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129746, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129750, (Z_REG(res_addr)), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 129755, (Z_REG(res_addr)), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (Z_REG(res_addr) != Z_REG(op1_addr)) {
		dasm_put(Dst, 129760, (Z_REG(res_addr)), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(op1_addr)) == 0) {
		dasm_put(Dst, 129764, (ZREG_FCARG1));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) == 0) {
		dasm_put(Dst, 129767, (ZREG_FCARG1));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 129770, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 129774, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff) {
		dasm_put(Dst, 129778, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 129782, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 129786, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 129790, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 129794, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 129798, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 129802, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 129806, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 129810, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129814, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(op1_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 129818, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 129822, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129826, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129830, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129834, (ZREG_FCARG1), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 129839, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			} else if (Z_MODE(op1_addr) == IS_REG) {
				if (ZREG_FCARG1 != Z_REG(op1_addr)) {
		dasm_put(Dst, 129844, (ZREG_FCARG1), (Z_REG(op1_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 129848, (Z_REG(res_addr)), (ZREG_FCARG1));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 129852, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 129856, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129860, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129864, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129868, (ZREG_FCARG1), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 129873, (ZREG_FCARG1), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(op1_addr) == IS_REG) {
			if (Z_MODE(res_addr) == IS_REG) {
				if (Z_REG(op1_addr) != Z_REG(res_addr)) {
		dasm_put(Dst, 129878, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 129882, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 129886, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129890, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129894, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129898, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 129903, (Z_REG(op1_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(op1_addr) != IS_REG || Z_REG(res_addr) != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 129908, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 129915, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 129923, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 129926, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 129930, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 129934, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 129938, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 129943, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 129947, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 129951, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 129955, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 129959, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129963, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 129967, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 129971, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 129975, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 129979, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 129983, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 129987, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 129992, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 129997, (Z_REG(res_addr)-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(op1_addr) != IS_REG || ZREG_V0 != Z_REG(op1_addr)) {
				if (Z_MODE(op1_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 130001, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 130008, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(op1_addr))) == 0) {
		dasm_put(Dst, 130016, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 130019, (ZREG_X15), ((uint64_t)(Z_ZV(op1_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 130023, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(op1_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(op1_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(op1_addr)))) {
		dasm_put(Dst, 130027, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(op1_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff) {
		dasm_put(Dst, 130031, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff) {
		dasm_put(Dst, 130036, (ZREG_X15), ((uintptr_t)(Z_ZV(op1_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 130040, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 130044, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 130048, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 130052, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130056, (ZREG_X15), (((uintptr_t)(Z_ZV(op1_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 130060, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(op1_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 130064, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 130068, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 130072, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130076, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130080, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 130085, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
				} else if (Z_MODE(op1_addr) == IS_REG) {
		dasm_put(Dst, 130090, (ZREG_V0-ZREG_V0), (Z_REG(op1_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(res_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(res_addr)) {
		dasm_put(Dst, 130094, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 130098, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 130102, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 130106, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130110, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130114, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 130119, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(op1_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 130124, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 130128, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 130132, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130136, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130140, (ZREG_FCARG1), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 130145, (ZREG_FCARG1), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 130150, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 130154, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 130158, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130162, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130166, (ZREG_FCARG1), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 130171, (ZREG_FCARG1), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
				}
			}
			if ((op1_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(op1_info & MAY_BE_GUARD) &&
				has_concrete_type(op1_info & MAY_BE_ANY)) {
				if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(op1_info);
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 130176, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 130180, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 130184, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130188, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 130192, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 130196, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 130200, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130204, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130208, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 130213, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 130218, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 130222, (ZREG_X15), ((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 130226, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130230, (ZREG_X15), (((uint32_t)(Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130234, (ZREG_X8), (Z_REG(op1_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 130239, (ZREG_X8), (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 130244, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 130248, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 130252, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 130256, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 130260, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 130265, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
			}
#line 14396 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op1_type == IS_CV) {
			//|	TRY_ADDREF op1_info, REG0w, FCARG1x, TMP1w
				if (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
					if (op1_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
			dasm_put(Dst, 130270);
				} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
			dasm_put(Dst, 130272, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
				} else {
				if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
			dasm_put(Dst, 130275, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
				} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
			dasm_put(Dst, 130278, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
					if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
			dasm_put(Dst, 130281, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 130284, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 130287);
				}
			dasm_put(Dst, 130289);
					}
			dasm_put(Dst, 130292);
				}
#line 14398 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	//|	// Z_FE_POS_P(res) = 0;
	//|	MEM_ACCESS_32_WITH_UOFFSET str, wzr, FP, (opline->result.var + offsetof(zval, u2.fe_pos)), TMP1
		if (((uintptr_t)((opline->result.var + offsetof(zval, u2.fe_pos)))) > LDR_STR_PIMM32) {
		if (((uint32_t)((opline->result.var + offsetof(zval, u2.fe_pos)))) <= MOVZ_IMM) {
	dasm_put(Dst, 130297, ((uint32_t)((opline->result.var + offsetof(zval, u2.fe_pos)))));
		} else if (((uint32_t)((opline->result.var + offsetof(zval, u2.fe_pos))) & 0xffff)) {
	dasm_put(Dst, 130300, ((uint32_t)((opline->result.var + offsetof(zval, u2.fe_pos))) & 0xffff));
			if ((((uint32_t)((opline->result.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff)) {
	dasm_put(Dst, 130303, (((uint32_t)((opline->result.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 130306, (((uint32_t)((opline->result.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 130309);
		} else {
	dasm_put(Dst, 130311, ((opline->result.var + offsetof(zval, u2.fe_pos))));
		}
#line 14402 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static int zend_jit_fe_fetch(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, uint32_t op2_info, unsigned int target_label, zend_uchar exit_opcode, const void *exit_addr)
{
	zend_jit_addr op1_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op1.var);

	if (!MAY_BE_HASH(op1_info) && !MAY_BE_PACKED(op1_info)) {
		/* empty array */
		if (exit_addr) {
			if (exit_opcode == ZEND_JMP) {
				//|	b &exit_addr
				dasm_put(Dst, 130314, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 14415 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			//|	b =>target_label
			dasm_put(Dst, 130317, target_label);
#line 14418 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		return 1;
	}

	//|	// array = EX_VAR(opline->op1.var);
	//|	// fe_ht = Z_ARRVAL_P(array);
	//|	GET_ZVAL_PTR FCARG1x, op1_addr, TMP1
		ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
		if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
	dasm_put(Dst, 130320, ((uint32_t)(Z_OFFSET(op1_addr))));
		} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
	dasm_put(Dst, 130323, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
	dasm_put(Dst, 130326, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 130329, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 130332, (Z_REG(op1_addr)));
		} else {
	dasm_put(Dst, 130335, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
		}
#line 14425 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (op1_info & MAY_BE_PACKED_GUARD) {
		int32_t exit_point = zend_jit_trace_get_exit_point(opline, ZEND_JIT_EXIT_PACKED_GUARD);
		const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

		if (!exit_addr) {
			return 0;
		}
		if (op1_info & MAY_BE_ARRAY_PACKED) {
			//|	ldr TMP1w, [FCARG1x, #offsetof(zend_array, u.flags)]
			//|	TST_32_WITH_CONST TMP1w, HASH_FLAG_PACKED, TMP2w
			dasm_put(Dst, 130339, offsetof(zend_array, u.flags));
				if (HASH_FLAG_PACKED == 0) {
			dasm_put(Dst, 130342);
				} else if (logical_immediate_p((uint32_t)HASH_FLAG_PACKED, 32)) {
			dasm_put(Dst, 130344, HASH_FLAG_PACKED);
				} else {
				if (((uint32_t)(HASH_FLAG_PACKED)) <= MOVZ_IMM) {
			dasm_put(Dst, 130347, ((uint32_t)(HASH_FLAG_PACKED)));
				} else if (((uint32_t)(HASH_FLAG_PACKED) & 0xffff)) {
			dasm_put(Dst, 130350, ((uint32_t)(HASH_FLAG_PACKED) & 0xffff));
					if ((((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff)) {
			dasm_put(Dst, 130353, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 130356, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 130359);
				}
#line 14436 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	beq &exit_addr
			dasm_put(Dst, 130361, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 14437 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	ldr TMP1w, [FCARG1x, #offsetof(zend_array, u.flags)]
			//|	TST_32_WITH_CONST TMP1w, HASH_FLAG_PACKED, TMP2w
			dasm_put(Dst, 130364, offsetof(zend_array, u.flags));
				if (HASH_FLAG_PACKED == 0) {
			dasm_put(Dst, 130367);
				} else if (logical_immediate_p((uint32_t)HASH_FLAG_PACKED, 32)) {
			dasm_put(Dst, 130369, HASH_FLAG_PACKED);
				} else {
				if (((uint32_t)(HASH_FLAG_PACKED)) <= MOVZ_IMM) {
			dasm_put(Dst, 130372, ((uint32_t)(HASH_FLAG_PACKED)));
				} else if (((uint32_t)(HASH_FLAG_PACKED) & 0xffff)) {
			dasm_put(Dst, 130375, ((uint32_t)(HASH_FLAG_PACKED) & 0xffff));
					if ((((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff)) {
			dasm_put(Dst, 130378, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 130381, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 130384);
				}
#line 14440 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne &exit_addr
			dasm_put(Dst, 130386, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 14441 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	//|	// pos = Z_FE_POS_P(array);
	//|	MEM_ACCESS_32_WITH_UOFFSET ldr, REG0w, FP, (opline->op1.var + offsetof(zval, u2.fe_pos)), TMP1
		if (((uintptr_t)((opline->op1.var + offsetof(zval, u2.fe_pos)))) > LDR_STR_PIMM32) {
		if (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos)))) <= MOVZ_IMM) {
	dasm_put(Dst, 130389, ((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos)))));
		} else if (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) & 0xffff)) {
	dasm_put(Dst, 130392, ((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) & 0xffff));
			if ((((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff)) {
	dasm_put(Dst, 130395, (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 130398, (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff));
		}
	dasm_put(Dst, 130401);
		} else {
	dasm_put(Dst, 130403, ((opline->op1.var + offsetof(zval, u2.fe_pos))));
		}
#line 14446 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if (MAY_BE_HASH(op1_info)) {
		if (MAY_BE_PACKED(op1_info)) {
			//|	ldr TMP1w, [FCARG1x, #offsetof(zend_array, u.flags)]
			//|	TST_32_WITH_CONST TMP1w, HASH_FLAG_PACKED, TMP2w
			dasm_put(Dst, 130406, offsetof(zend_array, u.flags));
				if (HASH_FLAG_PACKED == 0) {
			dasm_put(Dst, 130409);
				} else if (logical_immediate_p((uint32_t)HASH_FLAG_PACKED, 32)) {
			dasm_put(Dst, 130411, HASH_FLAG_PACKED);
				} else {
				if (((uint32_t)(HASH_FLAG_PACKED)) <= MOVZ_IMM) {
			dasm_put(Dst, 130414, ((uint32_t)(HASH_FLAG_PACKED)));
				} else if (((uint32_t)(HASH_FLAG_PACKED) & 0xffff)) {
			dasm_put(Dst, 130417, ((uint32_t)(HASH_FLAG_PACKED) & 0xffff));
					if ((((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff)) {
			dasm_put(Dst, 130420, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 130423, (((uint32_t)(HASH_FLAG_PACKED) >> 16) & 0xffff));
				}
			dasm_put(Dst, 130426);
				}
#line 14451 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	bne >2
			dasm_put(Dst, 130428);
#line 14452 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	// p = fe_ht->arData + pos;
			ZEND_ASSERT(sizeof(Bucket) == 32);
		//|	mov FCARG2w, REG0w
		//|	ldr TMP1, [FCARG1x, #offsetof(zend_array, arData)]
		//|	add FCARG2x, TMP1, FCARG2x, lsl #5
		//|1:
		//|	// if (UNEXPECTED(pos >= fe_ht->nNumUsed)) {
		//|	ldr TMP1w, [FCARG1x, #offsetof(zend_array, nNumUsed)]
		//|	cmp TMP1w, REG0w
		//|	// ZEND_VM_SET_RELATIVE_OPCODE(opline, opline->extended_value);
		//|	// ZEND_VM_CONTINUE();
		dasm_put(Dst, 130431, offsetof(zend_array, arData), offsetof(zend_array, nNumUsed));
#line 14464 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (exit_addr) {
			if (exit_opcode == ZEND_JMP) {
				//|	bls &exit_addr
				dasm_put(Dst, 130440, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 14467 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	bls >3
				dasm_put(Dst, 130443);
#line 14469 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			//|	bls =>target_label
			dasm_put(Dst, 130446, target_label);
#line 14472 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	// pos++;
		//|	add REG0w, REG0w, #1
		//|	// value_type = Z_TYPE_INFO_P(value);
		//|	// if (EXPECTED(value_type != IS_UNDEF)) {
		dasm_put(Dst, 130449);
#line 14477 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!exit_addr || exit_opcode == ZEND_JMP) {
			//|	IF_NOT_Z_TYPE FCARG2x, IS_UNDEF, >3, TMP1w
			dasm_put(Dst, 130451, offsetof(zval, u1.v.type));
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 130454);
				} else {
			dasm_put(Dst, 130457, IS_UNDEF);
				}
#line 14479 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	IF_NOT_Z_TYPE FCARG2x, IS_UNDEF, &exit_addr, TMP1w
			dasm_put(Dst, 130462, offsetof(zval, u1.v.type));
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 130465, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				} else {
			dasm_put(Dst, 130468, IS_UNDEF, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				}
#line 14481 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	// p++;
		//|	add FCARG2x, FCARG2x, #sizeof(Bucket)
		//|	b <1
		dasm_put(Dst, 130473, sizeof(Bucket));
#line 14485 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (MAY_BE_PACKED(op1_info)) {
			//|2:
			dasm_put(Dst, 130478);
#line 14487 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	if (MAY_BE_PACKED(op1_info)) {
		//|	// p = fe_ht->arPacked + pos;
			ZEND_ASSERT(sizeof(zval) == 16);
		//|	mov FCARG2w, REG0w
		//|	ldr TMP1, [FCARG1x, #offsetof(zend_array, arPacked)]
		//|	add FCARG2x, TMP1, FCARG2x, lsl #4
		//|1:
		//|	// if (UNEXPECTED(pos >= fe_ht->nNumUsed)) {
		//|	ldr TMP1w, [FCARG1x, #offsetof(zend_array, nNumUsed)]
		//|	cmp TMP1w, REG0w
		//|	// ZEND_VM_SET_RELATIVE_OPCODE(opline, opline->extended_value);
		//|	// ZEND_VM_CONTINUE();
		dasm_put(Dst, 130480, offsetof(zend_array, arPacked), offsetof(zend_array, nNumUsed));
#line 14501 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (exit_addr) {
			if (exit_opcode == ZEND_JMP) {
				//|	bls &exit_addr
				dasm_put(Dst, 130489, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 14504 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else {
				//|	bls >4
				dasm_put(Dst, 130492);
#line 14506 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
		} else {
			//|	bls =>target_label
			dasm_put(Dst, 130495, target_label);
#line 14509 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	// pos++;
		//|	add REG0w, REG0w, #1
		//|	// value_type = Z_TYPE_INFO_P(value);
		//|	// if (EXPECTED(value_type != IS_UNDEF)) {
		dasm_put(Dst, 130498);
#line 14514 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (!exit_addr || exit_opcode == ZEND_JMP) {
			//|	IF_NOT_Z_TYPE FCARG2x, IS_UNDEF, >4, TMP1w
			dasm_put(Dst, 130500, offsetof(zval, u1.v.type));
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 130503);
				} else {
			dasm_put(Dst, 130506, IS_UNDEF);
				}
#line 14516 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	IF_NOT_Z_TYPE FCARG2x, IS_UNDEF, &exit_addr, TMP1w
			dasm_put(Dst, 130511, offsetof(zval, u1.v.type));
				if (IS_UNDEF == 0) {
			dasm_put(Dst, 130514, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				} else {
			dasm_put(Dst, 130517, IS_UNDEF, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				}
#line 14518 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	// p++;
		//|	add FCARG2x, FCARG2x, #sizeof(zval)
		//|	b <1
		dasm_put(Dst, 130522, sizeof(zval));
#line 14522 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	if (!exit_addr || exit_opcode == ZEND_JMP) {
		zend_jit_addr val_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG2, 0);
		zend_jit_addr var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->op2.var);
		uint32_t val_info;

		if (RETURN_VALUE_USED(opline)) {
			zend_jit_addr res_addr = RES_ADDR();

			if (MAY_BE_HASH(op1_info)) {
				//|3:
				//|	// Z_FE_POS_P(array) = pos + 1;
				//|	MEM_ACCESS_32_WITH_UOFFSET str, REG0w, FP, (opline->op1.var + offsetof(zval, u2.fe_pos)), TMP1
				dasm_put(Dst, 130527);
					if (((uintptr_t)((opline->op1.var + offsetof(zval, u2.fe_pos)))) > LDR_STR_PIMM32) {
					if (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos)))) <= MOVZ_IMM) {
				dasm_put(Dst, 130529, ((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos)))));
					} else if (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) & 0xffff)) {
				dasm_put(Dst, 130532, ((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) & 0xffff));
						if ((((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff)) {
				dasm_put(Dst, 130535, (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 130538, (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 130541);
					} else {
				dasm_put(Dst, 130543, ((opline->op1.var + offsetof(zval, u2.fe_pos))));
					}
#line 14536 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

				if ((op1_info & MAY_BE_ARRAY_KEY_LONG)
				 && (op1_info & MAY_BE_ARRAY_KEY_STRING)) {
					//|	// if (!p->key) {
					//|	ldr REG0, [FCARG2x, #offsetof(Bucket, key)]
					//|	cbz REG0, >2
					dasm_put(Dst, 130546, offsetof(Bucket, key));
#line 14542 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				}
				if (op1_info & MAY_BE_ARRAY_KEY_STRING) {
					//|	// ZVAL_STR_COPY(EX_VAR(opline->result.var), p->key);
					//|	ldr REG0, [FCARG2x, #offsetof(Bucket, key)]
					//|	SET_ZVAL_PTR res_addr, REG0, TMP1
					dasm_put(Dst, 130551, offsetof(Bucket, key));
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 130554, ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 130557, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 130560, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 130563, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 130566, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 130569, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
#line 14547 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	ldr TMP1w, [REG0, #offsetof(zend_refcounted, gc.u.type_info)]
					//|	TST_32_WITH_CONST TMP1w, IS_STR_INTERNED, TMP2w
					dasm_put(Dst, 130573, offsetof(zend_refcounted, gc.u.type_info));
						if (IS_STR_INTERNED == 0) {
					dasm_put(Dst, 130576);
						} else if (logical_immediate_p((uint32_t)IS_STR_INTERNED, 32)) {
					dasm_put(Dst, 130578, IS_STR_INTERNED);
						} else {
						if (((uint32_t)(IS_STR_INTERNED)) <= MOVZ_IMM) {
					dasm_put(Dst, 130581, ((uint32_t)(IS_STR_INTERNED)));
						} else if (((uint32_t)(IS_STR_INTERNED) & 0xffff)) {
					dasm_put(Dst, 130584, ((uint32_t)(IS_STR_INTERNED) & 0xffff));
							if ((((uint32_t)(IS_STR_INTERNED) >> 16) & 0xffff)) {
					dasm_put(Dst, 130587, (((uint32_t)(IS_STR_INTERNED) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 130590, (((uint32_t)(IS_STR_INTERNED) >> 16) & 0xffff));
						}
					dasm_put(Dst, 130593);
						}
#line 14549 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	beq >1
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_STRING, TMP1w, TMP2
					dasm_put(Dst, 130595);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_STRING)) <= MOVZ_IMM) {
					dasm_put(Dst, 130598, ((uint32_t)(IS_STRING)));
						} else if (((uint32_t)(IS_STRING) & 0xffff)) {
					dasm_put(Dst, 130601, ((uint32_t)(IS_STRING) & 0xffff));
							if ((((uint32_t)(IS_STRING) >> 16) & 0xffff)) {
					dasm_put(Dst, 130604, (((uint32_t)(IS_STRING) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 130607, (((uint32_t)(IS_STRING) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 130610, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 130613, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 130616, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 130619, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 130622, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 130625, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 14551 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	b >3
					//|1:
					//|	GC_ADDREF REG0, TMP1w
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_STRING_EX, TMP1w, TMP2
					dasm_put(Dst, 130629);
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_STRING_EX)) <= MOVZ_IMM) {
					dasm_put(Dst, 130636, ((uint32_t)(IS_STRING_EX)));
						} else if (((uint32_t)(IS_STRING_EX) & 0xffff)) {
					dasm_put(Dst, 130639, ((uint32_t)(IS_STRING_EX) & 0xffff));
							if ((((uint32_t)(IS_STRING_EX) >> 16) & 0xffff)) {
					dasm_put(Dst, 130642, (((uint32_t)(IS_STRING_EX) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 130645, (((uint32_t)(IS_STRING_EX) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 130648, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 130651, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 130654, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 130657, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 130660, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 130663, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 14555 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

					if ((op1_info & MAY_BE_ARRAY_KEY_LONG) || MAY_BE_PACKED(op1_info)) {
					    //|	b >3
						//|2:
						dasm_put(Dst, 130667);
#line 14559 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
				if (op1_info & MAY_BE_ARRAY_KEY_LONG) {
					//|	// ZVAL_LONG(EX_VAR(opline->result.var), p->h);
					//|	ldr REG0, [FCARG2x, #offsetof(Bucket, h)]
					//|	SET_ZVAL_LVAL_FROM_REG res_addr, REG0, TMP1
					dasm_put(Dst, 130671, offsetof(Bucket, h));
						if (Z_MODE(res_addr) == IS_REG) {
					dasm_put(Dst, 130674, (Z_REG(res_addr)));
						} else {
							ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
						if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
					dasm_put(Dst, 130677, ((uint32_t)(Z_OFFSET(res_addr))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
					dasm_put(Dst, 130680, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
					dasm_put(Dst, 130683, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 130686, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 130689, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 130692, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
						}
						}
#line 14565 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					//|	SET_ZVAL_TYPE_INFO res_addr, IS_LONG, TMP1w, TMP2
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
						if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
					dasm_put(Dst, 130696, ((uint32_t)(IS_LONG)));
						} else if (((uint32_t)(IS_LONG) & 0xffff)) {
					dasm_put(Dst, 130699, ((uint32_t)(IS_LONG) & 0xffff));
							if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
					dasm_put(Dst, 130702, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 130705, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
						}
						if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
						if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
					dasm_put(Dst, 130708, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
						} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
					dasm_put(Dst, 130711, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
							if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
					dasm_put(Dst, 130714, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
							}
						} else {
					dasm_put(Dst, 130717, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					dasm_put(Dst, 130720, (Z_REG(res_addr)));
						} else {
					dasm_put(Dst, 130723, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
						}
#line 14566 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					if (MAY_BE_PACKED(op1_info)) {
					    //|	b >3
					    dasm_put(Dst, 130727);
#line 14568 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
					}
				}
			}
			if (MAY_BE_PACKED(op1_info)) {
				//|4:
				//|	// Z_FE_POS_P(array) = pos + 1;
				//|	MEM_ACCESS_32_WITH_UOFFSET str, REG0w, FP, (opline->op1.var + offsetof(zval, u2.fe_pos)), TMP1
				dasm_put(Dst, 130730);
					if (((uintptr_t)((opline->op1.var + offsetof(zval, u2.fe_pos)))) > LDR_STR_PIMM32) {
					if (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos)))) <= MOVZ_IMM) {
				dasm_put(Dst, 130732, ((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos)))));
					} else if (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) & 0xffff)) {
				dasm_put(Dst, 130735, ((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) & 0xffff));
						if ((((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff)) {
				dasm_put(Dst, 130738, (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 130741, (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff));
					}
				dasm_put(Dst, 130744);
					} else {
				dasm_put(Dst, 130746, ((opline->op1.var + offsetof(zval, u2.fe_pos))));
					}
#line 14575 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	sub REG0w, REG0w, #1
				//|	SET_ZVAL_LVAL_FROM_REG res_addr, REG0, TMP1
				dasm_put(Dst, 130749);
					if (Z_MODE(res_addr) == IS_REG) {
				dasm_put(Dst, 130751, (Z_REG(res_addr)));
					} else {
						ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
					if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
				dasm_put(Dst, 130754, ((uint32_t)(Z_OFFSET(res_addr))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
				dasm_put(Dst, 130757, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
				dasm_put(Dst, 130760, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 130763, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 130766, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 130769, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
					}
					}
#line 14577 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
				//|	SET_ZVAL_TYPE_INFO res_addr, IS_LONG, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(IS_LONG)) <= MOVZ_IMM) {
				dasm_put(Dst, 130773, ((uint32_t)(IS_LONG)));
					} else if (((uint32_t)(IS_LONG) & 0xffff)) {
				dasm_put(Dst, 130776, ((uint32_t)(IS_LONG) & 0xffff));
						if ((((uint32_t)(IS_LONG) >> 16) & 0xffff)) {
				dasm_put(Dst, 130779, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 130782, (((uint32_t)(IS_LONG) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 130785, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 130788, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 130791, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 130794, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 130797, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 130800, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 14578 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			}
			//|3:
			dasm_put(Dst, 130804);
#line 14580 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|3:
			//|4:
			//|	// Z_FE_POS_P(array) = pos + 1;
			//|	MEM_ACCESS_32_WITH_UOFFSET str, REG0w, FP, (opline->op1.var + offsetof(zval, u2.fe_pos)), TMP1
			dasm_put(Dst, 130806);
				if (((uintptr_t)((opline->op1.var + offsetof(zval, u2.fe_pos)))) > LDR_STR_PIMM32) {
				if (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos)))) <= MOVZ_IMM) {
			dasm_put(Dst, 130809, ((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos)))));
				} else if (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) & 0xffff)) {
			dasm_put(Dst, 130812, ((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) & 0xffff));
					if ((((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff)) {
			dasm_put(Dst, 130815, (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 130818, (((uint32_t)((opline->op1.var + offsetof(zval, u2.fe_pos))) >> 16) & 0xffff));
				}
			dasm_put(Dst, 130821);
				} else {
			dasm_put(Dst, 130823, ((opline->op1.var + offsetof(zval, u2.fe_pos))));
				}
#line 14585 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}

		val_info = ((op1_info & MAY_BE_ARRAY_OF_ANY) >> MAY_BE_ARRAY_SHIFT);
		if (val_info & MAY_BE_ARRAY) {
			val_info |= MAY_BE_ARRAY_KEY_ANY | MAY_BE_ARRAY_OF_ANY | MAY_BE_ARRAY_OF_REF;
		}
		if (op1_info & MAY_BE_ARRAY_OF_REF) {
			val_info |= MAY_BE_REF | MAY_BE_RC1 | MAY_BE_RCN | MAY_BE_ANY |
				MAY_BE_ARRAY_KEY_ANY | MAY_BE_ARRAY_OF_ANY | MAY_BE_ARRAY_OF_REF;
		} else if (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
			val_info |= MAY_BE_RC1 | MAY_BE_RCN;
		}

		if (opline->op2_type == IS_CV) {
			//|	// zend_assign_to_variable(variable_ptr, value, IS_CV, EX_USES_STRICT_TYPES());
			if (!zend_jit_assign_to_variable(Dst, opline, var_addr, var_addr, op2_info, -1, IS_CV, val_addr, val_info, 0, 1)) {
				return 0;
			}
		} else {
			//|	// ZVAL_COPY(res, value);
			//|	ZVAL_COPY_VALUE var_addr, -1, val_addr, val_info, ZREG_REG0, ZREG_FCARG1, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
				if (val_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
					if ((val_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
						if (Z_MODE(val_addr) == IS_REG) {
							if (Z_MODE(var_addr) != IS_REG || Z_REG(var_addr) != Z_REG(val_addr)) {
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 130826, (Z_REG(var_addr)), (Z_REG(val_addr)));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 130830, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 130834, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 130838, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 130842, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 130846, (Z_REG(val_addr)), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 130851, (Z_REG(val_addr)), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
							}
						} else if (Z_MODE(var_addr) == IS_REG) {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 130856, (Z_REG(var_addr)));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 130859, (Z_REG(var_addr)));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 130862, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 130866, (Z_REG(var_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 130870, (Z_REG(var_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 130874, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 130878, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 130882, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 130886, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 130890, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 130894, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 130898, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 130902, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 130906, (Z_REG(var_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 130910, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 130914, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 130918, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 130922, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 130926, (Z_REG(var_addr)), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 130931, (Z_REG(var_addr)), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (Z_REG(var_addr) != Z_REG(val_addr)) {
			dasm_put(Dst, 130936, (Z_REG(var_addr)), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
						} else {
				if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
					if (Z_LVAL_P(Z_ZV(val_addr)) == 0) {
			dasm_put(Dst, 130940, (ZREG_FCARG1));
					} else {
				if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) == 0) {
			dasm_put(Dst, 130943, (ZREG_FCARG1));
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 130946, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))));
				} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr)))) <= MOVZ_IMM) {
			dasm_put(Dst, 130950, (ZREG_FCARG1), (~((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))))));
				} else if ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff) {
			dasm_put(Dst, 130954, (ZREG_FCARG1), ((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 130958, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					}
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 130962, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 130966, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff) {
			dasm_put(Dst, 130970, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 16) & 0xffff));
					if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 130974, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					}
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 130978, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else if (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff) {
			dasm_put(Dst, 130982, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 32) & 0xffff));
					if ((((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff)) {
			dasm_put(Dst, 130986, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
					}
				} else {
			dasm_put(Dst, 130990, (ZREG_FCARG1), (((uint64_t)(Z_LVAL_P(Z_ZV(val_addr))) >> 48) & 0xffff));
				}
					}
				} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 130994, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 130998, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131002, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131006, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131010, (ZREG_FCARG1), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131015, (ZREG_FCARG1), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				} else if (Z_MODE(val_addr) == IS_REG) {
					if (ZREG_FCARG1 != Z_REG(val_addr)) {
			dasm_put(Dst, 131020, (ZREG_FCARG1), (Z_REG(val_addr)));
					}
				} else {
					ZEND_UNREACHABLE();
				}
				if (Z_MODE(var_addr) == IS_REG) {
			dasm_put(Dst, 131024, (Z_REG(var_addr)), (ZREG_FCARG1));
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 131028, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 131032, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131036, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131040, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131044, (ZREG_FCARG1), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131049, (ZREG_FCARG1), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						}
					} else if ((val_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
						if (Z_MODE(val_addr) == IS_REG) {
				if (Z_MODE(var_addr) == IS_REG) {
					if (Z_REG(val_addr) != Z_REG(var_addr)) {
			dasm_put(Dst, 131054, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 131058, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 131062, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131066, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131070, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131074, (Z_REG(val_addr)-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131079, (Z_REG(val_addr)-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						} else if (Z_MODE(var_addr) == IS_REG) {
				if (Z_MODE(val_addr) != IS_REG || Z_REG(var_addr) != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 131084, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 131091, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (Z_REG(var_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 131099, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 131102, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 131106, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 131110, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 131114, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 131119, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 131123, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 131127, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 131131, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 131135, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131139, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 131143, (Z_REG(var_addr)-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 131147, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 131151, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131155, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131159, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131163, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131168, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 131173, (Z_REG(var_addr)-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
						} else {
				if (Z_MODE(val_addr) != IS_REG || ZREG_V0 != Z_REG(val_addr)) {
					if (Z_MODE(val_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 131177, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 131184, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
				} else {
				if (((uintptr_t)(Z_ZV(val_addr))) == 0) {
			dasm_put(Dst, 131192, (ZREG_X15));
				} else if (((uintptr_t)(Z_ZV(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 131195, (ZREG_X15), ((uint64_t)(Z_ZV(val_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 131199, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(val_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(val_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(val_addr)))) {
			dasm_put(Dst, 131203, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(val_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(val_addr))) & 0xfff) {
			dasm_put(Dst, 131207, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(val_addr)) & 0xffff) {
			dasm_put(Dst, 131212, (ZREG_X15), ((uintptr_t)(Z_ZV(val_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 131216, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 131220, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 131224, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 131228, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131232, (ZREG_X15), (((uintptr_t)(Z_ZV(val_addr)) >> 32) & 0xffff));
				}
			dasm_put(Dst, 131236, (ZREG_V0-ZREG_V0), (ZREG_X15));
				}
					} else if (Z_MODE(val_addr) == IS_MEM_ZVAL) {
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 131240, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 131244, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131248, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131252, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131256, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131261, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
					} else if (Z_MODE(val_addr) == IS_REG) {
			dasm_put(Dst, 131266, (ZREG_V0-ZREG_V0), (Z_REG(val_addr)-ZREG_V0));
					} else {
						ZEND_UNREACHABLE();
					}
				}
				if (Z_MODE(var_addr) == IS_REG) {
					if (ZREG_V0 != Z_REG(var_addr)) {
			dasm_put(Dst, 131270, (Z_REG(var_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
					}
				} else {
					ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 131274, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 131278, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131282, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131286, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131290, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131295, (ZREG_V0-ZREG_V0), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
				}
						}
					// Combine the following two branches.
					// } else if (!(val_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
					} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(val_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 131300, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)) & 0xffff)) {
			dasm_put(Dst, 131304, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131308, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131312, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131316, (ZREG_FCARG1), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131321, (ZREG_FCARG1), (Z_REG(val_addr)), (Z_OFFSET(val_addr)));
				}
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 131326, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 131330, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131334, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131338, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131342, (ZREG_FCARG1), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131347, (ZREG_FCARG1), (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
					}
				}
				if ((val_info & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
					!(val_info & MAY_BE_GUARD) &&
					has_concrete_type(val_info & MAY_BE_ANY)) {
					if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
						if ((-1 & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (val_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
							uint32_t type = concrete_type(val_info);
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uint32_t)(type)) <= MOVZ_IMM) {
			dasm_put(Dst, 131352, (ZREG_X15), ((uint32_t)(type)));
				} else if (((uint32_t)(type) & 0xffff)) {
			dasm_put(Dst, 131356, (ZREG_X15), ((uint32_t)(type) & 0xffff));
					if ((((uint32_t)(type) >> 16) & 0xffff)) {
			dasm_put(Dst, 131360, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131364, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 131368, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 131372, (ZREG_X16), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131376, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131380, (ZREG_X16), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131384, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X16));
				} else {
			dasm_put(Dst, 131389, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
						}
					}
				} else {
				ZEND_ASSERT(Z_MODE(val_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 131394, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 131398, (ZREG_X15), ((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131402, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131406, (ZREG_X15), (((uint32_t)(Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131410, (ZREG_X8), (Z_REG(val_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131415, (ZREG_X8), (Z_REG(val_addr)), (Z_OFFSET(val_addr)+offsetof(zval,u1.type_info)));
				}
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 131420, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 131424, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131428, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131432, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131436, (ZREG_X8), (Z_REG(var_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131441, (ZREG_X8), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval,u1.type_info)));
				}
				}
#line 14606 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	TRY_ADDREF val_info, REG0w, FCARG1x, TMP1w
				if (val_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
					if (val_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
			dasm_put(Dst, 131446);
				} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
			dasm_put(Dst, 131448, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
				} else {
				if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
			dasm_put(Dst, 131451, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
				} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
			dasm_put(Dst, 131454, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
					if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131457, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131460, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131463);
				}
			dasm_put(Dst, 131465);
					}
			dasm_put(Dst, 131468);
				}
#line 14607 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		//|3:
        //|4:
        dasm_put(Dst, 131473);
#line 14611 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_fetch_constant(dasm_State          **Dst,
                                   const zend_op        *opline,
                                   const zend_op_array  *op_array,
                                   zend_ssa             *ssa,
                                   const zend_ssa_op    *ssa_op,
                                   zend_jit_addr         res_addr)
{
	zval *zv = RT_CONSTANT(opline, opline->op2) + 1;
	zend_jit_addr const_addr = ZEND_ADDR_MEM_ZVAL(ZREG_REG0, 0);
	uint32_t res_info = RES_INFO();

	//|	// c = CACHED_PTR(opline->extended_value);
	//|	ldr FCARG1x, EX->run_time_cache
	//|	MEM_ACCESS_64_WITH_UOFFSET ldr, REG0, FCARG1x, opline->extended_value, TMP1
	dasm_put(Dst, 131476, Dt1(->run_time_cache));
		if (((uintptr_t)(opline->extended_value)) > LDR_STR_PIMM64) {
		if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
	dasm_put(Dst, 131479, ((uint32_t)(opline->extended_value)));
		} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
	dasm_put(Dst, 131482, ((uint32_t)(opline->extended_value) & 0xffff));
			if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
	dasm_put(Dst, 131485, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 131488, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
		}
	dasm_put(Dst, 131491);
		} else {
	dasm_put(Dst, 131493, (opline->extended_value));
		}
#line 14630 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// if (c != NULL)
	//|	cbz REG0, >9
	dasm_put(Dst, 131496);
#line 14632 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (!zend_jit_is_persistent_constant(zv, opline->op1.num)) {
		//|	// if (!IS_SPECIAL_CACHE_VAL(c))
			ZEND_ASSERT(CACHE_SPECIAL == 1);
		//|	TST_64_WITH_ONE REG0
		//|	bne >9
		dasm_put(Dst, 131499);
#line 14637 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	//|8:
	dasm_put(Dst, 131503);
#line 14639 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	if ((res_info & MAY_BE_GUARD) && JIT_G(current_frame)) {
		zend_jit_trace_stack *stack = JIT_G(current_frame)->stack;
		uint32_t old_info = STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var));
		int32_t exit_point;
		const void *exit_addr = NULL;

		SET_STACK_TYPE(stack, EX_VAR_TO_NUM(opline->result.var), IS_UNKNOWN, 1);
		SET_STACK_REG(stack, EX_VAR_TO_NUM(opline->result.var), ZREG_ZVAL_COPY_GPR0);
		exit_point = zend_jit_trace_get_exit_point(opline+1, 0);
		SET_STACK_INFO(stack, EX_VAR_TO_NUM(opline->result.var), old_info);
		exit_addr = zend_jit_trace_get_exit_addr(exit_point);
		if (!exit_addr) {
			return 0;
		}
		res_info &= ~MAY_BE_GUARD;
		ssa->var_info[ssa_op->result_def].type &= ~MAY_BE_GUARD;

		uint32_t type = concrete_type(res_info);

		if (type < IS_STRING) {
			//|	IF_NOT_ZVAL_TYPE const_addr, type, &exit_addr, ZREG_TMP1
				ZEND_ASSERT(Z_MODE(const_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(const_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
				if (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
			dasm_put(Dst, 131505, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval, u1.v.type))));
				} else if (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
			dasm_put(Dst, 131509, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval, u1.v.type)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131513, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131517, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131521, (ZREG_X15), (Z_REG(const_addr)), (ZREG_X15));
				} else {
			dasm_put(Dst, 131526, (ZREG_X15), (Z_REG(const_addr)), (Z_OFFSET(const_addr)+offsetof(zval, u1.v.type)));
				}
				if (type == 0) {
			dasm_put(Dst, 131531, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				} else {
			dasm_put(Dst, 131535, (ZREG_X15), type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				}
#line 14661 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	GET_ZVAL_TYPE_INFO REG2w, const_addr, TMP1
				ZEND_ASSERT(Z_MODE(const_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 131541, ((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 131544, ((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 131547, (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 131550, (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 131553, (Z_REG(const_addr)));
				} else {
			dasm_put(Dst, 131556, (Z_REG(const_addr)), (Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)));
				}
#line 14663 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	IF_NOT_TYPE REG2w, type, &exit_addr
				if (type == 0) {
			dasm_put(Dst, 131560, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				} else {
			dasm_put(Dst, 131563, type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
				}
#line 14664 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	ZVAL_COPY_VALUE_V res_addr, -1, const_addr, res_info, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_FPR0
			if (res_info & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((res_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(const_addr) == IS_REG) {
						if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(const_addr)) {
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 131568, (Z_REG(res_addr)), (Z_REG(const_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 131572, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 131576, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 131580, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131584, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 131588, (Z_REG(const_addr)), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 131593, (Z_REG(const_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
						}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(const_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(const_addr)) == 0) {
		dasm_put(Dst, 131598, (Z_REG(res_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) == 0) {
		dasm_put(Dst, 131601, (Z_REG(res_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 131604, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 131608, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) & 0xffff) {
		dasm_put(Dst, 131612, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 131616, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 131620, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 131624, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 131628, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 131632, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 131636, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 131640, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 131644, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131648, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(const_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 131652, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 131656, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 131660, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131664, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 131668, (Z_REG(res_addr)), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 131673, (Z_REG(res_addr)), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
			} else if (Z_MODE(const_addr) == IS_REG) {
				if (Z_REG(res_addr) != Z_REG(const_addr)) {
		dasm_put(Dst, 131678, (Z_REG(res_addr)), (Z_REG(const_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(const_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(const_addr)) == 0) {
		dasm_put(Dst, 131682, (ZREG_X9));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) == 0) {
		dasm_put(Dst, 131685, (ZREG_X9));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 131688, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 131692, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) & 0xffff) {
		dasm_put(Dst, 131696, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 131700, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 131704, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 131708, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 131712, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 131716, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 131720, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 131724, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 131728, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131732, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(const_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 131736, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 131740, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 131744, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131748, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 131752, (ZREG_X9), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 131757, (ZREG_X9), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
			} else if (Z_MODE(const_addr) == IS_REG) {
				if (ZREG_X9 != Z_REG(const_addr)) {
		dasm_put(Dst, 131762, (ZREG_X9), (Z_REG(const_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 131766, (Z_REG(res_addr)), (ZREG_X9));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 131770, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 131774, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 131778, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131782, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 131786, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 131791, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				} else if ((res_info & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(const_addr) == IS_REG) {
			if (Z_MODE(res_addr) == IS_REG) {
				if (Z_REG(const_addr) != Z_REG(res_addr)) {
		dasm_put(Dst, 131796, (Z_REG(res_addr)-ZREG_V0), (Z_REG(const_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 131800, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 131804, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 131808, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131812, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 131816, (Z_REG(const_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 131821, (Z_REG(const_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(const_addr) != IS_REG || Z_REG(res_addr) != Z_REG(const_addr)) {
				if (Z_MODE(const_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(const_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 131826, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(const_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(const_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(const_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 131833, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(const_addr))) == 0) {
		dasm_put(Dst, 131841, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 131844, (ZREG_X15), ((uint64_t)(Z_ZV(const_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 131848, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(const_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(const_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 131852, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(const_addr))) & 0xfff) {
		dasm_put(Dst, 131856, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(const_addr)) & 0xffff) {
		dasm_put(Dst, 131861, (ZREG_X15), ((uintptr_t)(Z_ZV(const_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 131865, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 131869, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 131873, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 131877, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131881, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 131885, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(const_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 131889, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 131893, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 131897, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131901, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 131905, (Z_REG(res_addr)-ZREG_V0), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 131910, (Z_REG(res_addr)-ZREG_V0), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
				} else if (Z_MODE(const_addr) == IS_REG) {
		dasm_put(Dst, 131915, (Z_REG(res_addr)-ZREG_V0), (Z_REG(const_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(const_addr) != IS_REG || ZREG_V0 != Z_REG(const_addr)) {
				if (Z_MODE(const_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(const_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 131919, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(const_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(const_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(const_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 131926, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(const_addr))) == 0) {
		dasm_put(Dst, 131934, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 131937, (ZREG_X15), ((uint64_t)(Z_ZV(const_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 131941, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(const_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(const_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 131945, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(const_addr))) & 0xfff) {
		dasm_put(Dst, 131949, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(const_addr)) & 0xffff) {
		dasm_put(Dst, 131954, (ZREG_X15), ((uintptr_t)(Z_ZV(const_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 131958, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 131962, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 131966, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 131970, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131974, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 131978, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(const_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 131982, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 131986, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 131990, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 131994, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 131998, (ZREG_V0-ZREG_V0), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132003, (ZREG_V0-ZREG_V0), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
				} else if (Z_MODE(const_addr) == IS_REG) {
		dasm_put(Dst, 132008, (ZREG_V0-ZREG_V0), (Z_REG(const_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(res_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(res_addr)) {
		dasm_put(Dst, 132012, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132016, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 132020, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132024, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132028, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132032, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132037, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(res_info & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(const_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132042, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 132046, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132050, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132054, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132058, (ZREG_X9), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132063, (ZREG_X9), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132068, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 132072, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132076, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132080, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132084, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132089, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
				}
			}
#line 14666 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (type < IS_STRING) {
			if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
				//|	SET_ZVAL_TYPE_INFO res_addr, type, TMP1w, TMP2
					ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
					if (((uint32_t)(type)) <= MOVZ_IMM) {
				dasm_put(Dst, 132094, ((uint32_t)(type)));
					} else if (((uint32_t)(type) & 0xffff)) {
				dasm_put(Dst, 132097, ((uint32_t)(type) & 0xffff));
						if ((((uint32_t)(type) >> 16) & 0xffff)) {
				dasm_put(Dst, 132100, (((uint32_t)(type) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 132103, (((uint32_t)(type) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
					if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
				dasm_put(Dst, 132106, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
					} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
				dasm_put(Dst, 132109, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
						if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
				dasm_put(Dst, 132112, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
						}
					} else {
				dasm_put(Dst, 132115, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				dasm_put(Dst, 132118, (Z_REG(res_addr)));
					} else {
				dasm_put(Dst, 132121, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
					}
#line 14669 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			} else if (!zend_jit_store_var_if_necessary(Dst, opline->result.var, res_addr, res_info)) {
				return 0;
			}
		} else {
			//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG2w, TMP1
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 132125, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 132128, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 132131, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 132134, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 132137, (Z_REG(res_addr)));
				} else {
			dasm_put(Dst, 132140, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
				}
#line 14674 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	TRY_ADDREF res_info, REG2w, REG1, TMP1w
				if (res_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
					if (res_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
			dasm_put(Dst, 132144);
				} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
			dasm_put(Dst, 132146, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
				} else {
				if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
			dasm_put(Dst, 132149, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
				} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
			dasm_put(Dst, 132152, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
					if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
			dasm_put(Dst, 132155, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 132158, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 132161);
				}
			dasm_put(Dst, 132163);
					}
			dasm_put(Dst, 132166);
				}
#line 14675 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else {
		//|	ZVAL_COPY_VALUE res_addr, MAY_BE_ANY, const_addr, MAY_BE_ANY, ZREG_REG0, ZREG_REG1, ZREG_TMP1, ZREG_TMP2, ZREG_FPR0
			if (MAY_BE_ANY & (MAY_BE_ANY-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE))) {
				if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_LONG) {
					if (Z_MODE(const_addr) == IS_REG) {
						if (Z_MODE(res_addr) != IS_REG || Z_REG(res_addr) != Z_REG(const_addr)) {
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 132171, (Z_REG(res_addr)), (Z_REG(const_addr)));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132175, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 132179, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132183, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132187, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132191, (Z_REG(const_addr)), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132196, (Z_REG(const_addr)), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
						}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(const_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(const_addr)) == 0) {
		dasm_put(Dst, 132201, (Z_REG(res_addr)));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) == 0) {
		dasm_put(Dst, 132204, (Z_REG(res_addr)));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 132207, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 132211, (Z_REG(res_addr)), (~((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) & 0xffff) {
		dasm_put(Dst, 132215, (Z_REG(res_addr)), ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 132219, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 132223, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 132227, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 132231, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 132235, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 132239, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 132243, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 132247, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132251, (Z_REG(res_addr)), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(const_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132255, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 132259, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132263, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132267, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132271, (Z_REG(res_addr)), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132276, (Z_REG(res_addr)), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
			} else if (Z_MODE(const_addr) == IS_REG) {
				if (Z_REG(res_addr) != Z_REG(const_addr)) {
		dasm_put(Dst, 132281, (Z_REG(res_addr)), (Z_REG(const_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
					} else {
			if (Z_MODE(const_addr) == IS_CONST_ZVAL) {
				if (Z_LVAL_P(Z_ZV(const_addr)) == 0) {
		dasm_put(Dst, 132285, (ZREG_X9));
				} else {
			if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) == 0) {
		dasm_put(Dst, 132288, (ZREG_X9));
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 132291, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))));
			} else if (~((uint64_t)(Z_LVAL_P(Z_ZV(const_addr)))) <= MOVZ_IMM) {
		dasm_put(Dst, 132295, (ZREG_X9), (~((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))))));
			} else if ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) & 0xffff) {
		dasm_put(Dst, 132299, (ZREG_X9), ((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 132303, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff));
				}
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 132307, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 132311, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff) {
		dasm_put(Dst, 132315, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 16) & 0xffff));
				if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 132319, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				}
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 132323, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff) {
		dasm_put(Dst, 132327, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 32) & 0xffff));
				if ((((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff)) {
		dasm_put(Dst, 132331, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132335, (ZREG_X9), (((uint64_t)(Z_LVAL_P(Z_ZV(const_addr))) >> 48) & 0xffff));
			}
				}
			} else if (Z_MODE(const_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132339, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 132343, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132347, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132351, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132355, (ZREG_X9), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132360, (ZREG_X9), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
			} else if (Z_MODE(const_addr) == IS_REG) {
				if (ZREG_X9 != Z_REG(const_addr)) {
		dasm_put(Dst, 132365, (ZREG_X9), (Z_REG(const_addr)));
				}
			} else {
				ZEND_UNREACHABLE();
			}
			if (Z_MODE(res_addr) == IS_REG) {
		dasm_put(Dst, 132369, (Z_REG(res_addr)), (ZREG_X9));
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132373, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 132377, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132381, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132385, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132389, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132394, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				} else if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_GUARD)) == MAY_BE_DOUBLE) {
					if (Z_MODE(const_addr) == IS_REG) {
			if (Z_MODE(res_addr) == IS_REG) {
				if (Z_REG(const_addr) != Z_REG(res_addr)) {
		dasm_put(Dst, 132399, (Z_REG(res_addr)-ZREG_V0), (Z_REG(const_addr)-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132403, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 132407, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132411, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132415, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132419, (Z_REG(const_addr)-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132424, (Z_REG(const_addr)-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					} else if (Z_MODE(res_addr) == IS_REG) {
			if (Z_MODE(const_addr) != IS_REG || Z_REG(res_addr) != Z_REG(const_addr)) {
				if (Z_MODE(const_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(const_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 132429, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(const_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(const_addr)))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(const_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 132436, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr))))))>>32), (Z_REG(res_addr)-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(const_addr))) == 0) {
		dasm_put(Dst, 132444, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132447, (ZREG_X15), ((uint64_t)(Z_ZV(const_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 132451, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(const_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(const_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 132455, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(const_addr))) & 0xfff) {
		dasm_put(Dst, 132459, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(const_addr)) & 0xffff) {
		dasm_put(Dst, 132464, (ZREG_X15), ((uintptr_t)(Z_ZV(const_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 132468, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 132472, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 132476, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 132480, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132484, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 132488, (Z_REG(res_addr)-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(const_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132492, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 132496, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132500, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132504, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132508, (Z_REG(res_addr)-ZREG_V0), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132513, (Z_REG(res_addr)-ZREG_V0), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
				} else if (Z_MODE(const_addr) == IS_REG) {
		dasm_put(Dst, 132518, (Z_REG(res_addr)-ZREG_V0), (Z_REG(const_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
					} else {
			if (Z_MODE(const_addr) != IS_REG || ZREG_V0 != Z_REG(const_addr)) {
				if (Z_MODE(const_addr) == IS_CONST_ZVAL) {
			if (((uintptr_t)(Z_ZV(const_addr))) > MOVZ_IMM && arm64_may_use_adr((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 132522, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(const_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(const_addr)))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(const_addr))) > MOVZ_IMM && arm64_may_use_adrp((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 132529, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr))))))>>32), (ZREG_V0-ZREG_V0), (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr))) & 0xfff));
			} else {
			if (((uintptr_t)(Z_ZV(const_addr))) == 0) {
		dasm_put(Dst, 132537, (ZREG_X15));
			} else if (((uintptr_t)(Z_ZV(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132540, (ZREG_X15), ((uint64_t)(Z_ZV(const_addr))));
			} else if (arm64_may_use_adr((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 132544, (ZREG_X15), (unsigned int)((ptrdiff_t)(Z_ZV(const_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(const_addr)))>>32));
			} else if (arm64_may_use_adrp((void*)(Z_ZV(const_addr)))) {
		dasm_put(Dst, 132548, (ZREG_X15), (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(const_addr))))))>>32));
				if (((uintptr_t)(Z_ZV(const_addr))) & 0xfff) {
		dasm_put(Dst, 132552, (ZREG_X15), (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr))) & 0xfff));
				}
			} else if ((uintptr_t)(Z_ZV(const_addr)) & 0xffff) {
		dasm_put(Dst, 132557, (ZREG_X15), ((uintptr_t)(Z_ZV(const_addr)) & 0xffff));
				if (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 132561, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff));
				}
				if (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 132565, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff) {
		dasm_put(Dst, 132569, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 16) & 0xffff));
				if (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff) {
		dasm_put(Dst, 132573, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132577, (ZREG_X15), (((uintptr_t)(Z_ZV(const_addr)) >> 32) & 0xffff));
			}
		dasm_put(Dst, 132581, (ZREG_V0-ZREG_V0), (ZREG_X15));
			}
				} else if (Z_MODE(const_addr) == IS_MEM_ZVAL) {
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132585, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 132589, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132593, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132597, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132601, (ZREG_V0-ZREG_V0), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132606, (ZREG_V0-ZREG_V0), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
				} else if (Z_MODE(const_addr) == IS_REG) {
		dasm_put(Dst, 132611, (ZREG_V0-ZREG_V0), (Z_REG(const_addr)-ZREG_V0));
				} else {
					ZEND_UNREACHABLE();
				}
			}
			if (Z_MODE(res_addr) == IS_REG) {
				if (ZREG_V0 != Z_REG(res_addr)) {
		dasm_put(Dst, 132615, (Z_REG(res_addr)-ZREG_V0), (ZREG_V0-ZREG_V0));
				}
			} else {
				ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132619, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 132623, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132627, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132631, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132635, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132640, (ZREG_V0-ZREG_V0), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
			}
					}
				// Combine the following two branches.
				// } else if (!(MAY_BE_ANY & (MAY_BE_DOUBLE|MAY_BE_GUARD))) {
				} else {
			ZEND_ASSERT(Z_MODE(const_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(const_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(const_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132645, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)) & 0xffff)) {
		dasm_put(Dst, 132649, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132653, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132657, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132661, (ZREG_X9), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132666, (ZREG_X9), (Z_REG(const_addr)), (Z_OFFSET(const_addr)));
			}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132671, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 132675, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132679, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132683, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132687, (ZREG_X9), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132692, (ZREG_X9), (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
				}
			}
			if ((MAY_BE_ANY & (MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)) &&
				!(MAY_BE_ANY & MAY_BE_GUARD) &&
				has_concrete_type(MAY_BE_ANY & MAY_BE_ANY)) {
				if (Z_MODE(res_addr) == IS_MEM_ZVAL) {
					if ((MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD)) != (MAY_BE_ANY & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_GUARD))) {
						uint32_t type = concrete_type(MAY_BE_ANY);
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(type)) <= MOVZ_IMM) {
		dasm_put(Dst, 132697, (ZREG_X15), ((uint32_t)(type)));
			} else if (((uint32_t)(type) & 0xffff)) {
		dasm_put(Dst, 132701, (ZREG_X15), ((uint32_t)(type) & 0xffff));
				if ((((uint32_t)(type) >> 16) & 0xffff)) {
		dasm_put(Dst, 132705, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132709, (ZREG_X15), (((uint32_t)(type) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 132713, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 132717, (ZREG_X16), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132721, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132725, (ZREG_X16), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132729, (ZREG_X15), (Z_REG(res_addr)), (ZREG_X16));
			} else {
		dasm_put(Dst, 132734, (ZREG_X15), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
					}
				}
			} else {
			ZEND_ASSERT(Z_MODE(const_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 132739, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 132743, (ZREG_X15), ((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132747, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132751, (ZREG_X15), (((uint32_t)(Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132755, (ZREG_X8), (Z_REG(const_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132760, (ZREG_X8), (Z_REG(const_addr)), (Z_OFFSET(const_addr)+offsetof(zval,u1.type_info)));
			}
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 132765, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 132769, (ZREG_X15), ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132773, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132777, (ZREG_X15), (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132781, (ZREG_X8), (Z_REG(res_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 132786, (ZREG_X8), (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
			}
#line 14678 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	TRY_ADDREF MAY_BE_ANY, REG0w, REG1, TMP1w
			if (MAY_BE_ANY & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
				if (MAY_BE_ANY & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
			if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
		dasm_put(Dst, 132791);
			} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
		dasm_put(Dst, 132793, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
			} else {
			if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
		dasm_put(Dst, 132796, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
			} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
		dasm_put(Dst, 132799, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
				if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132802, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132805, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132808);
			}
		dasm_put(Dst, 132810);
				}
		dasm_put(Dst, 132813);
			}
#line 14679 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	//|.cold_code
	dasm_put(Dst, 132818);
#line 14682 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|9:
	//|	// SAVE_OPLINE();
	//|	SET_EX_OPLINE opline, REG0
	dasm_put(Dst, 132819);
		if (opline == last_valid_opline) {
			zend_jit_use_last_valid_opline();
		if (GCC_GLOBAL_REGS) {
	dasm_put(Dst, 132821, Dt1(->opline));
		}
		} else {
		if (((uintptr_t)(opline)) == 0) {
	dasm_put(Dst, 132824);
		} else if (((uintptr_t)(opline)) <= MOVZ_IMM) {
	dasm_put(Dst, 132826, ((uint64_t)(opline)));
		} else if (arm64_may_use_adr((void*)(opline))) {
	dasm_put(Dst, 132829, (unsigned int)((ptrdiff_t)(opline)), (unsigned int)(((ptrdiff_t)(opline))>>32));
		} else if (arm64_may_use_adrp((void*)(opline))) {
	dasm_put(Dst, 132832, (unsigned int)((ptrdiff_t)((((uintptr_t)(opline))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(opline)))))>>32));
			if (((uintptr_t)(opline)) & 0xfff) {
	dasm_put(Dst, 132835, (((uintptr_t)(opline)) & 0xfff));
			}
		} else if ((uintptr_t)(opline) & 0xffff) {
	dasm_put(Dst, 132838, ((uintptr_t)(opline) & 0xffff));
			if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 132841, (((uintptr_t)(opline) >> 16) & 0xffff));
			}
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 132844, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(opline) >> 16) & 0xffff) {
	dasm_put(Dst, 132847, (((uintptr_t)(opline) >> 16) & 0xffff));
			if (((uintptr_t)(opline) >> 32) & 0xffff) {
	dasm_put(Dst, 132850, (((uintptr_t)(opline) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 132853, (((uintptr_t)(opline) >> 32) & 0xffff));
		}
	dasm_put(Dst, 132856, Dt1(->opline));
			if (!GCC_GLOBAL_REGS) {
				zend_jit_reset_last_valid_opline();
			}
		}
#line 14685 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	// zend_quick_get_constant(RT_CONSTANT(opline, opline->op2) + 1, opline->op1.num OPLINE_CC EXECUTE_DATA_CC);
	//|	LOAD_ADDR FCARG1x, zv
		if (((uintptr_t)(zv)) == 0) {
	dasm_put(Dst, 132859);
		} else if (((uintptr_t)(zv)) <= MOVZ_IMM) {
	dasm_put(Dst, 132861, ((uint64_t)(zv)));
		} else if (arm64_may_use_adr((void*)(zv))) {
	dasm_put(Dst, 132864, (unsigned int)((ptrdiff_t)(zv)), (unsigned int)(((ptrdiff_t)(zv))>>32));
		} else if (arm64_may_use_adrp((void*)(zv))) {
	dasm_put(Dst, 132867, (unsigned int)((ptrdiff_t)((((uintptr_t)(zv))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zv)))))>>32));
			if (((uintptr_t)(zv)) & 0xfff) {
	dasm_put(Dst, 132870, (((uintptr_t)(zv)) & 0xfff));
			}
		} else if ((uintptr_t)(zv) & 0xffff) {
	dasm_put(Dst, 132873, ((uintptr_t)(zv) & 0xffff));
			if (((uintptr_t)(zv) >> 16) & 0xffff) {
	dasm_put(Dst, 132876, (((uintptr_t)(zv) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zv) >> 32) & 0xffff) {
	dasm_put(Dst, 132879, (((uintptr_t)(zv) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zv) >> 16) & 0xffff) {
	dasm_put(Dst, 132882, (((uintptr_t)(zv) >> 16) & 0xffff));
			if (((uintptr_t)(zv) >> 32) & 0xffff) {
	dasm_put(Dst, 132885, (((uintptr_t)(zv) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 132888, (((uintptr_t)(zv) >> 32) & 0xffff));
		}
#line 14687 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	LOAD_32BIT_VAL FCARG2w, opline->op1.num
		if (((uint32_t)(opline->op1.num)) <= MOVZ_IMM) {
	dasm_put(Dst, 132891, ((uint32_t)(opline->op1.num)));
		} else if (((uint32_t)(opline->op1.num) & 0xffff)) {
	dasm_put(Dst, 132894, ((uint32_t)(opline->op1.num) & 0xffff));
			if ((((uint32_t)(opline->op1.num) >> 16) & 0xffff)) {
	dasm_put(Dst, 132897, (((uint32_t)(opline->op1.num) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 132900, (((uint32_t)(opline->op1.num) >> 16) & 0xffff));
		}
#line 14688 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	EXT_CALL zend_jit_get_constant, REG0
		if (arm64_may_use_b(zend_jit_get_constant)) {
	dasm_put(Dst, 132903, (unsigned int)((ptrdiff_t)(zend_jit_get_constant)), (unsigned int)(((ptrdiff_t)(zend_jit_get_constant))>>32));
		} else {
		if (((uintptr_t)(zend_jit_get_constant)) == 0) {
	dasm_put(Dst, 132906);
		} else if (((uintptr_t)(zend_jit_get_constant)) <= MOVZ_IMM) {
	dasm_put(Dst, 132908, ((uint64_t)(zend_jit_get_constant)));
		} else if (arm64_may_use_adr((void*)(zend_jit_get_constant))) {
	dasm_put(Dst, 132911, (unsigned int)((ptrdiff_t)(zend_jit_get_constant)), (unsigned int)(((ptrdiff_t)(zend_jit_get_constant))>>32));
		} else if (arm64_may_use_adrp((void*)(zend_jit_get_constant))) {
	dasm_put(Dst, 132914, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_get_constant))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_get_constant)))))>>32));
			if (((uintptr_t)(zend_jit_get_constant)) & 0xfff) {
	dasm_put(Dst, 132917, (((uintptr_t)(zend_jit_get_constant)) & 0xfff));
			}
		} else if ((uintptr_t)(zend_jit_get_constant) & 0xffff) {
	dasm_put(Dst, 132920, ((uintptr_t)(zend_jit_get_constant) & 0xffff));
			if (((uintptr_t)(zend_jit_get_constant) >> 16) & 0xffff) {
	dasm_put(Dst, 132923, (((uintptr_t)(zend_jit_get_constant) >> 16) & 0xffff));
			}
			if (((uintptr_t)(zend_jit_get_constant) >> 32) & 0xffff) {
	dasm_put(Dst, 132926, (((uintptr_t)(zend_jit_get_constant) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(zend_jit_get_constant) >> 16) & 0xffff) {
	dasm_put(Dst, 132929, (((uintptr_t)(zend_jit_get_constant) >> 16) & 0xffff));
			if (((uintptr_t)(zend_jit_get_constant) >> 32) & 0xffff) {
	dasm_put(Dst, 132932, (((uintptr_t)(zend_jit_get_constant) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 132935, (((uintptr_t)(zend_jit_get_constant) >> 32) & 0xffff));
		}
	dasm_put(Dst, 132938);
		}
#line 14689 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	//|	mov REG0, RETVALx
	//|	// ZEND_VM_NEXT_OPCODE_CHECK_EXCEPTION();
	//|	cbnz REG0, <8
	//|	b ->exception_handler
	//|.code
	dasm_put(Dst, 132940);
#line 14694 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	return 1;
}

static int zend_jit_in_array(dasm_State **Dst, const zend_op *opline, uint32_t op1_info, zend_jit_addr op1_addr,  zend_uchar smart_branch_opcode, uint32_t target_label, uint32_t target_label2, const void *exit_addr)
{
	HashTable *ht = Z_ARRVAL_P(RT_CONSTANT(opline, opline->op2));
	zend_jit_addr res_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FP, opline->result.var);

	ZEND_ASSERT(opline->op1_type != IS_VAR && opline->op1_type != IS_TMP_VAR);
	ZEND_ASSERT((op1_info & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF)) == MAY_BE_STRING);

	//|	// result = zend_hash_find_ex(ht, Z_STR_P(op1), OP1_TYPE == IS_CONST);
	//|	LOAD_ADDR FCARG1x, ht
		if (((uintptr_t)(ht)) == 0) {
	dasm_put(Dst, 132946);
		} else if (((uintptr_t)(ht)) <= MOVZ_IMM) {
	dasm_put(Dst, 132948, ((uint64_t)(ht)));
		} else if (arm64_may_use_adr((void*)(ht))) {
	dasm_put(Dst, 132951, (unsigned int)((ptrdiff_t)(ht)), (unsigned int)(((ptrdiff_t)(ht))>>32));
		} else if (arm64_may_use_adrp((void*)(ht))) {
	dasm_put(Dst, 132954, (unsigned int)((ptrdiff_t)((((uintptr_t)(ht))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(ht)))))>>32));
			if (((uintptr_t)(ht)) & 0xfff) {
	dasm_put(Dst, 132957, (((uintptr_t)(ht)) & 0xfff));
			}
		} else if ((uintptr_t)(ht) & 0xffff) {
	dasm_put(Dst, 132960, ((uintptr_t)(ht) & 0xffff));
			if (((uintptr_t)(ht) >> 16) & 0xffff) {
	dasm_put(Dst, 132963, (((uintptr_t)(ht) >> 16) & 0xffff));
			}
			if (((uintptr_t)(ht) >> 32) & 0xffff) {
	dasm_put(Dst, 132966, (((uintptr_t)(ht) >> 32) & 0xffff));
			}
		} else if (((uintptr_t)(ht) >> 16) & 0xffff) {
	dasm_put(Dst, 132969, (((uintptr_t)(ht) >> 16) & 0xffff));
			if (((uintptr_t)(ht) >> 32) & 0xffff) {
	dasm_put(Dst, 132972, (((uintptr_t)(ht) >> 32) & 0xffff));
			}
		} else {
	dasm_put(Dst, 132975, (((uintptr_t)(ht) >> 32) & 0xffff));
		}
#line 14707 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	if (opline->op1_type != IS_CONST) {
		//|	GET_ZVAL_PTR FCARG2x, op1_addr, TMP1
			ZEND_ASSERT(Z_MODE(op1_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op1_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op1_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 132978, ((uint32_t)(Z_OFFSET(op1_addr))));
			} else if (((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff)) {
		dasm_put(Dst, 132981, ((uint32_t)(Z_OFFSET(op1_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 132984, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 132987, (((uint32_t)(Z_OFFSET(op1_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 132990, (Z_REG(op1_addr)));
			} else {
		dasm_put(Dst, 132993, (Z_REG(op1_addr)), (Z_OFFSET(op1_addr)));
			}
#line 14709 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_hash_find, REG0
			if (arm64_may_use_b(zend_hash_find)) {
		dasm_put(Dst, 132997, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
			} else {
			if (((uintptr_t)(zend_hash_find)) == 0) {
		dasm_put(Dst, 133000);
			} else if (((uintptr_t)(zend_hash_find)) <= MOVZ_IMM) {
		dasm_put(Dst, 133002, ((uint64_t)(zend_hash_find)));
			} else if (arm64_may_use_adr((void*)(zend_hash_find))) {
		dasm_put(Dst, 133005, (unsigned int)((ptrdiff_t)(zend_hash_find)), (unsigned int)(((ptrdiff_t)(zend_hash_find))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_hash_find))) {
		dasm_put(Dst, 133008, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_find))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_find)))))>>32));
				if (((uintptr_t)(zend_hash_find)) & 0xfff) {
		dasm_put(Dst, 133011, (((uintptr_t)(zend_hash_find)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_hash_find) & 0xffff) {
		dasm_put(Dst, 133014, ((uintptr_t)(zend_hash_find) & 0xffff));
				if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
		dasm_put(Dst, 133017, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
		dasm_put(Dst, 133020, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_hash_find) >> 16) & 0xffff) {
		dasm_put(Dst, 133023, (((uintptr_t)(zend_hash_find) >> 16) & 0xffff));
				if (((uintptr_t)(zend_hash_find) >> 32) & 0xffff) {
		dasm_put(Dst, 133026, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133029, (((uintptr_t)(zend_hash_find) >> 32) & 0xffff));
			}
		dasm_put(Dst, 133032);
			}
#line 14710 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		zend_string *str = Z_STR_P(RT_CONSTANT(opline, opline->op1));
		//|	LOAD_ADDR FCARG2x, str
			if (((uintptr_t)(str)) == 0) {
		dasm_put(Dst, 133034);
			} else if (((uintptr_t)(str)) <= MOVZ_IMM) {
		dasm_put(Dst, 133036, ((uint64_t)(str)));
			} else if (arm64_may_use_adr((void*)(str))) {
		dasm_put(Dst, 133039, (unsigned int)((ptrdiff_t)(str)), (unsigned int)(((ptrdiff_t)(str))>>32));
			} else if (arm64_may_use_adrp((void*)(str))) {
		dasm_put(Dst, 133042, (unsigned int)((ptrdiff_t)((((uintptr_t)(str))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(str)))))>>32));
				if (((uintptr_t)(str)) & 0xfff) {
		dasm_put(Dst, 133045, (((uintptr_t)(str)) & 0xfff));
				}
			} else if ((uintptr_t)(str) & 0xffff) {
		dasm_put(Dst, 133048, ((uintptr_t)(str) & 0xffff));
				if (((uintptr_t)(str) >> 16) & 0xffff) {
		dasm_put(Dst, 133051, (((uintptr_t)(str) >> 16) & 0xffff));
				}
				if (((uintptr_t)(str) >> 32) & 0xffff) {
		dasm_put(Dst, 133054, (((uintptr_t)(str) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(str) >> 16) & 0xffff) {
		dasm_put(Dst, 133057, (((uintptr_t)(str) >> 16) & 0xffff));
				if (((uintptr_t)(str) >> 32) & 0xffff) {
		dasm_put(Dst, 133060, (((uintptr_t)(str) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133063, (((uintptr_t)(str) >> 32) & 0xffff));
			}
#line 14713 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_hash_find_known_hash, REG0
			if (arm64_may_use_b(zend_hash_find_known_hash)) {
		dasm_put(Dst, 133066, (unsigned int)((ptrdiff_t)(zend_hash_find_known_hash)), (unsigned int)(((ptrdiff_t)(zend_hash_find_known_hash))>>32));
			} else {
			if (((uintptr_t)(zend_hash_find_known_hash)) == 0) {
		dasm_put(Dst, 133069);
			} else if (((uintptr_t)(zend_hash_find_known_hash)) <= MOVZ_IMM) {
		dasm_put(Dst, 133071, ((uint64_t)(zend_hash_find_known_hash)));
			} else if (arm64_may_use_adr((void*)(zend_hash_find_known_hash))) {
		dasm_put(Dst, 133074, (unsigned int)((ptrdiff_t)(zend_hash_find_known_hash)), (unsigned int)(((ptrdiff_t)(zend_hash_find_known_hash))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_hash_find_known_hash))) {
		dasm_put(Dst, 133077, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_hash_find_known_hash))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_hash_find_known_hash)))))>>32));
				if (((uintptr_t)(zend_hash_find_known_hash)) & 0xfff) {
		dasm_put(Dst, 133080, (((uintptr_t)(zend_hash_find_known_hash)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_hash_find_known_hash) & 0xffff) {
		dasm_put(Dst, 133083, ((uintptr_t)(zend_hash_find_known_hash) & 0xffff));
				if (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff) {
		dasm_put(Dst, 133086, (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff) {
		dasm_put(Dst, 133089, (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff) {
		dasm_put(Dst, 133092, (((uintptr_t)(zend_hash_find_known_hash) >> 16) & 0xffff));
				if (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff) {
		dasm_put(Dst, 133095, (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133098, (((uintptr_t)(zend_hash_find_known_hash) >> 32) & 0xffff));
			}
		dasm_put(Dst, 133101);
			}
#line 14714 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (exit_addr) {
		if (smart_branch_opcode == ZEND_JMPZ) {
			//|	cbz RETVALx, &exit_addr
			dasm_put(Dst, 133103, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 14718 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			//|	cbnz RETVALx, &exit_addr
			dasm_put(Dst, 133106, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
#line 14720 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	} else if (smart_branch_opcode) {
		if (smart_branch_opcode == ZEND_JMPZ) {
			//|	cbz RETVALx, =>target_label
			dasm_put(Dst, 133109, target_label);
#line 14724 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if (smart_branch_opcode == ZEND_JMPNZ) {
			//|	cbnz RETVALx, =>target_label
			dasm_put(Dst, 133112, target_label);
#line 14726 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else {
			ZEND_UNREACHABLE();
		}
	} else {
		//|	tst RETVALx, RETVALx
		//|	cset REG0w, ne
		//|	add REG0w, REG0w, #IS_FALSE
		//|	SET_ZVAL_TYPE_INFO_FROM_REG res_addr, REG0w, TMP1
		dasm_put(Dst, 133115, IS_FALSE);
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 133120, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 133123, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 133126, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133129, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133132, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 133135, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 14734 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static int zend_jit_rope(dasm_State **Dst, const zend_op *opline, uint32_t op2_info)
{
	uint32_t offset;

	offset = (opline->opcode == ZEND_ROPE_INIT) ?
		opline->result.var :
		opline->op1.var + opline->extended_value * sizeof(zend_string*);

	if (opline->op2_type == IS_CONST) {
		zval *zv = RT_CONSTANT(opline, opline->op2);
		zend_string *str;

		ZEND_ASSERT(Z_TYPE_P(zv) == IS_STRING);
		str = Z_STR_P(zv);
		//|	LOAD_ADDR REG0, str
			if (((uintptr_t)(str)) == 0) {
		dasm_put(Dst, 133139);
			} else if (((uintptr_t)(str)) <= MOVZ_IMM) {
		dasm_put(Dst, 133141, ((uint64_t)(str)));
			} else if (arm64_may_use_adr((void*)(str))) {
		dasm_put(Dst, 133144, (unsigned int)((ptrdiff_t)(str)), (unsigned int)(((ptrdiff_t)(str))>>32));
			} else if (arm64_may_use_adrp((void*)(str))) {
		dasm_put(Dst, 133147, (unsigned int)((ptrdiff_t)((((uintptr_t)(str))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(str)))))>>32));
				if (((uintptr_t)(str)) & 0xfff) {
		dasm_put(Dst, 133150, (((uintptr_t)(str)) & 0xfff));
				}
			} else if ((uintptr_t)(str) & 0xffff) {
		dasm_put(Dst, 133153, ((uintptr_t)(str) & 0xffff));
				if (((uintptr_t)(str) >> 16) & 0xffff) {
		dasm_put(Dst, 133156, (((uintptr_t)(str) >> 16) & 0xffff));
				}
				if (((uintptr_t)(str) >> 32) & 0xffff) {
		dasm_put(Dst, 133159, (((uintptr_t)(str) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(str) >> 16) & 0xffff) {
		dasm_put(Dst, 133162, (((uintptr_t)(str) >> 16) & 0xffff));
				if (((uintptr_t)(str) >> 32) & 0xffff) {
		dasm_put(Dst, 133165, (((uintptr_t)(str) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133168, (((uintptr_t)(str) >> 32) & 0xffff));
			}
#line 14754 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	MEM_ACCESS_64_WITH_UOFFSET str, REG0, FP, offset, TMP1
			if (((uintptr_t)(offset)) > LDR_STR_PIMM64) {
			if (((uint32_t)(offset)) <= MOVZ_IMM) {
		dasm_put(Dst, 133171, ((uint32_t)(offset)));
			} else if (((uint32_t)(offset) & 0xffff)) {
		dasm_put(Dst, 133174, ((uint32_t)(offset) & 0xffff));
				if ((((uint32_t)(offset) >> 16) & 0xffff)) {
		dasm_put(Dst, 133177, (((uint32_t)(offset) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133180, (((uint32_t)(offset) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133183);
			} else {
		dasm_put(Dst, 133185, (offset));
			}
#line 14755 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		zend_jit_addr op2_addr = OP2_ADDR();

		ZEND_ASSERT((op2_info & (MAY_BE_UNDEF|MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_STRING);

		//|	GET_ZVAL_PTR REG1, op2_addr, TMP1
			ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(op2_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(op2_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 133188, ((uint32_t)(Z_OFFSET(op2_addr))));
			} else if (((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff)) {
		dasm_put(Dst, 133191, ((uint32_t)(Z_OFFSET(op2_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 133194, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133197, (((uint32_t)(Z_OFFSET(op2_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133200, (Z_REG(op2_addr)));
			} else {
		dasm_put(Dst, 133203, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)));
			}
#line 14761 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	MEM_ACCESS_64_WITH_UOFFSET str, REG1, FP, offset, TMP1
			if (((uintptr_t)(offset)) > LDR_STR_PIMM64) {
			if (((uint32_t)(offset)) <= MOVZ_IMM) {
		dasm_put(Dst, 133207, ((uint32_t)(offset)));
			} else if (((uint32_t)(offset) & 0xffff)) {
		dasm_put(Dst, 133210, ((uint32_t)(offset) & 0xffff));
				if ((((uint32_t)(offset) >> 16) & 0xffff)) {
		dasm_put(Dst, 133213, (((uint32_t)(offset) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133216, (((uint32_t)(offset) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133219);
			} else {
		dasm_put(Dst, 133221, (offset));
			}
#line 14762 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		if (opline->op2_type == IS_CV) {
			//|	GET_ZVAL_TYPE_INFO REG0w, op2_addr, TMP1
				ZEND_ASSERT(Z_MODE(op2_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(op2_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
				if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
			dasm_put(Dst, 133224, ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval,u1.type_info))));
				} else if (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
			dasm_put(Dst, 133227, ((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval,u1.type_info)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
			dasm_put(Dst, 133230, (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 133233, (((uint32_t)(Z_OFFSET(op2_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 133236, (Z_REG(op2_addr)));
				} else {
			dasm_put(Dst, 133239, (Z_REG(op2_addr)), (Z_OFFSET(op2_addr)+offsetof(zval,u1.type_info)));
				}
#line 14764 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
			//|	TRY_ADDREF op2_info, REG0w, REG1, TMP1w
				if (op2_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)) {
					if (op2_info & (MAY_BE_ANY-(MAY_BE_OBJECT|MAY_BE_RESOURCE))) {
				if ((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT) == 0) {
			dasm_put(Dst, 133243);
				} else if (logical_immediate_p((uint32_t)(IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT), 32)) {
			dasm_put(Dst, 133245, (IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT));
				} else {
				if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))) <= MOVZ_IMM) {
			dasm_put(Dst, 133248, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT))));
				} else if (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff)) {
			dasm_put(Dst, 133251, ((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) & 0xffff));
					if ((((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff)) {
			dasm_put(Dst, 133254, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 133257, (((uint32_t)((IS_TYPE_REFCOUNTED << Z_TYPE_FLAGS_SHIFT)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 133260);
				}
			dasm_put(Dst, 133262);
					}
			dasm_put(Dst, 133265);
				}
#line 14765 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}

	if (opline->opcode == ZEND_ROPE_END) {
		zend_jit_addr res_addr = RES_ADDR();

		//|	ADD_SUB_64_WITH_CONST add, FCARG1x, FP, opline->op1.var, TMP1
			if (opline->op1.var == 0) {
		dasm_put(Dst, 133270);
			} else if (arm64_may_encode_imm12((int64_t)(opline->op1.var))) {
		dasm_put(Dst, 133272, opline->op1.var);
			} else {
			if (((uint64_t)(opline->op1.var)) == 0) {
		dasm_put(Dst, 133275);
			} else if (((uint64_t)(opline->op1.var)) <= MOVZ_IMM) {
		dasm_put(Dst, 133277, ((uint64_t)(opline->op1.var)));
			} else if (~((uint64_t)(opline->op1.var)) <= MOVZ_IMM) {
		dasm_put(Dst, 133280, (~((uint64_t)(opline->op1.var))));
			} else if ((uint64_t)(opline->op1.var) & 0xffff) {
		dasm_put(Dst, 133283, ((uint64_t)(opline->op1.var) & 0xffff));
				if (((uint64_t)(opline->op1.var) >> 16) & 0xffff) {
		dasm_put(Dst, 133286, (((uint64_t)(opline->op1.var) >> 16) & 0xffff));
				}
				if (((uint64_t)(opline->op1.var) >> 32) & 0xffff) {
		dasm_put(Dst, 133289, (((uint64_t)(opline->op1.var) >> 32) & 0xffff));
				}
				if ((((uint64_t)(opline->op1.var) >> 48) & 0xffff)) {
		dasm_put(Dst, 133292, (((uint64_t)(opline->op1.var) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(opline->op1.var) >> 16) & 0xffff) {
		dasm_put(Dst, 133295, (((uint64_t)(opline->op1.var) >> 16) & 0xffff));
				if (((uint64_t)(opline->op1.var) >> 32) & 0xffff) {
		dasm_put(Dst, 133298, (((uint64_t)(opline->op1.var) >> 32) & 0xffff));
				}
				if ((((uint64_t)(opline->op1.var) >> 48) & 0xffff)) {
		dasm_put(Dst, 133301, (((uint64_t)(opline->op1.var) >> 48) & 0xffff));
				}
			} else if (((uint64_t)(opline->op1.var) >> 32) & 0xffff) {
		dasm_put(Dst, 133304, (((uint64_t)(opline->op1.var) >> 32) & 0xffff));
				if ((((uint64_t)(opline->op1.var) >> 48) & 0xffff)) {
		dasm_put(Dst, 133307, (((uint64_t)(opline->op1.var) >> 48) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133310, (((uint64_t)(opline->op1.var) >> 48) & 0xffff));
			}
		dasm_put(Dst, 133313);
			}
#line 14772 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	LOAD_32BIT_VAL FCARG2w, opline->extended_value
			if (((uint32_t)(opline->extended_value)) <= MOVZ_IMM) {
		dasm_put(Dst, 133315, ((uint32_t)(opline->extended_value)));
			} else if (((uint32_t)(opline->extended_value) & 0xffff)) {
		dasm_put(Dst, 133318, ((uint32_t)(opline->extended_value) & 0xffff));
				if ((((uint32_t)(opline->extended_value) >> 16) & 0xffff)) {
		dasm_put(Dst, 133321, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133324, (((uint32_t)(opline->extended_value) >> 16) & 0xffff));
			}
#line 14773 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	EXT_CALL zend_jit_rope_end, TMP1
			if (arm64_may_use_b(zend_jit_rope_end)) {
		dasm_put(Dst, 133327, (unsigned int)((ptrdiff_t)(zend_jit_rope_end)), (unsigned int)(((ptrdiff_t)(zend_jit_rope_end))>>32));
			} else {
			if (((uintptr_t)(zend_jit_rope_end)) == 0) {
		dasm_put(Dst, 133330);
			} else if (((uintptr_t)(zend_jit_rope_end)) <= MOVZ_IMM) {
		dasm_put(Dst, 133332, ((uint64_t)(zend_jit_rope_end)));
			} else if (arm64_may_use_adr((void*)(zend_jit_rope_end))) {
		dasm_put(Dst, 133335, (unsigned int)((ptrdiff_t)(zend_jit_rope_end)), (unsigned int)(((ptrdiff_t)(zend_jit_rope_end))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_rope_end))) {
		dasm_put(Dst, 133338, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_rope_end))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_rope_end)))))>>32));
				if (((uintptr_t)(zend_jit_rope_end)) & 0xfff) {
		dasm_put(Dst, 133341, (((uintptr_t)(zend_jit_rope_end)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_rope_end) & 0xffff) {
		dasm_put(Dst, 133344, ((uintptr_t)(zend_jit_rope_end) & 0xffff));
				if (((uintptr_t)(zend_jit_rope_end) >> 16) & 0xffff) {
		dasm_put(Dst, 133347, (((uintptr_t)(zend_jit_rope_end) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_rope_end) >> 32) & 0xffff) {
		dasm_put(Dst, 133350, (((uintptr_t)(zend_jit_rope_end) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_rope_end) >> 16) & 0xffff) {
		dasm_put(Dst, 133353, (((uintptr_t)(zend_jit_rope_end) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_rope_end) >> 32) & 0xffff) {
		dasm_put(Dst, 133356, (((uintptr_t)(zend_jit_rope_end) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133359, (((uintptr_t)(zend_jit_rope_end) >> 32) & 0xffff));
			}
		dasm_put(Dst, 133362);
			}
#line 14774 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_PTR res_addr, RETVALx, TMP1
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(res_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(res_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 133364, ((uint32_t)(Z_OFFSET(res_addr))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)) & 0xffff)) {
		dasm_put(Dst, 133367, ((uint32_t)(Z_OFFSET(res_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 133370, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133373, (((uint32_t)(Z_OFFSET(res_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133376, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 133379, (Z_REG(res_addr)), (Z_OFFSET(res_addr)));
			}
#line 14775 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	SET_ZVAL_TYPE_INFO res_addr, IS_STRING_EX, TMP1w, TMP2
			ZEND_ASSERT(Z_MODE(res_addr) == IS_MEM_ZVAL);
			if (((uint32_t)(IS_STRING_EX)) <= MOVZ_IMM) {
		dasm_put(Dst, 133383, ((uint32_t)(IS_STRING_EX)));
			} else if (((uint32_t)(IS_STRING_EX) & 0xffff)) {
		dasm_put(Dst, 133386, ((uint32_t)(IS_STRING_EX) & 0xffff));
				if ((((uint32_t)(IS_STRING_EX) >> 16) & 0xffff)) {
		dasm_put(Dst, 133389, (((uint32_t)(IS_STRING_EX) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133392, (((uint32_t)(IS_STRING_EX) >> 16) & 0xffff));
			}
			if (((uintptr_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) > LDR_STR_PIMM32) {
			if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))) <= MOVZ_IMM) {
		dasm_put(Dst, 133395, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info))));
			} else if (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff)) {
		dasm_put(Dst, 133398, ((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff)) {
		dasm_put(Dst, 133401, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133404, (((uint32_t)(Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133407, (Z_REG(res_addr)));
			} else {
		dasm_put(Dst, 133410, (Z_REG(res_addr)), (Z_OFFSET(res_addr)+offsetof(zval,u1.type_info)));
			}
#line 14776 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}

	return 1;
}

static bool zend_jit_noref_guard(dasm_State **Dst, const zend_op *opline, zend_jit_addr var_addr)
{
	int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);
	const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

	if (!exit_addr) {
		return 0;
	}
	//|	IF_ZVAL_TYPE var_addr, IS_REFERENCE, &exit_addr, ZREG_TMP1
		ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
		if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
		if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
	dasm_put(Dst, 133414, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
		} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
	dasm_put(Dst, 133418, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
			if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
	dasm_put(Dst, 133422, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		} else {
	dasm_put(Dst, 133426, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
		}
	dasm_put(Dst, 133430, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
		} else {
	dasm_put(Dst, 133435, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
		}
		if (IS_REFERENCE == 0) {
	dasm_put(Dst, 133440, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
		} else {
	dasm_put(Dst, 133444, (ZREG_X15), IS_REFERENCE, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
		}
#line 14790 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

	return 1;
}

static bool zend_jit_fetch_reference(dasm_State **Dst, const zend_op *opline, uint8_t var_type, uint32_t *var_info_ptr, zend_jit_addr *var_addr_ptr, bool add_ref_guard, bool add_type_guard)
{
	zend_jit_addr var_addr = *var_addr_ptr;
	uint32_t var_info = *var_info_ptr;
	const void *exit_addr = NULL;

	if (add_ref_guard || add_type_guard) {
		int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);

		exit_addr = zend_jit_trace_get_exit_addr(exit_point);
		if (!exit_addr) {
			return 0;
		}
	}

	if (add_ref_guard) {
		//|	IF_NOT_ZVAL_TYPE var_addr, IS_REFERENCE, &exit_addr, ZREG_TMP1
			ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 133450, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 133454, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 133458, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133462, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133466, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 133471, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_REFERENCE == 0) {
		dasm_put(Dst, 133476, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			} else {
		dasm_put(Dst, 133480, (ZREG_X15), IS_REFERENCE, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			}
#line 14811 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	}
	if (opline->opcode == ZEND_INIT_METHOD_CALL && opline->op1_type == IS_VAR) {
		/* Hack: Convert reference to regular value to simplify JIT code for INIT_METHOD_CALL */
		if (Z_REG(var_addr) != ZREG_FCARG1 || Z_OFFSET(var_addr) != 0) {
			//|	LOAD_ZVAL_ADDR FCARG1x, var_addr
				if (Z_MODE(var_addr) == IS_CONST_ZVAL) {
				if (((uintptr_t)(Z_ZV(var_addr))) == 0) {
			dasm_put(Dst, 133486);
				} else if (((uintptr_t)(Z_ZV(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 133488, ((uint64_t)(Z_ZV(var_addr))));
				} else if (arm64_may_use_adr((void*)(Z_ZV(var_addr)))) {
			dasm_put(Dst, 133491, (unsigned int)((ptrdiff_t)(Z_ZV(var_addr))), (unsigned int)(((ptrdiff_t)(Z_ZV(var_addr)))>>32));
				} else if (arm64_may_use_adrp((void*)(Z_ZV(var_addr)))) {
			dasm_put(Dst, 133494, (unsigned int)((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr)))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(Z_ZV(var_addr))))))>>32));
					if (((uintptr_t)(Z_ZV(var_addr))) & 0xfff) {
			dasm_put(Dst, 133497, (((uintptr_t)(Z_ZV(var_addr))) & 0xfff));
					}
				} else if ((uintptr_t)(Z_ZV(var_addr)) & 0xffff) {
			dasm_put(Dst, 133500, ((uintptr_t)(Z_ZV(var_addr)) & 0xffff));
					if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 133503, (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
					}
					if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 133506, (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
					}
				} else if (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff) {
			dasm_put(Dst, 133509, (((uintptr_t)(Z_ZV(var_addr)) >> 16) & 0xffff));
					if (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff) {
			dasm_put(Dst, 133512, (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
					}
				} else {
			dasm_put(Dst, 133515, (((uintptr_t)(Z_ZV(var_addr)) >> 32) & 0xffff));
				}
				} else if (Z_MODE(var_addr) == IS_MEM_ZVAL) {
					if (Z_OFFSET(var_addr)) {
				if (Z_OFFSET(var_addr) == 0) {
			dasm_put(Dst, 133518, (Z_REG(var_addr)));
				} else if (arm64_may_encode_imm12((int64_t)(Z_OFFSET(var_addr)))) {
			dasm_put(Dst, 133521, (Z_REG(var_addr)), Z_OFFSET(var_addr));
				} else {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 133525, ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 133528, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 133531, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 133534, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 133537, (Z_REG(var_addr)));
				}
					} else {
						if (Z_REG(var_addr) == ZREG_RSP) {
			dasm_put(Dst, 133540);
						} else {
			dasm_put(Dst, 133542, (Z_REG(var_addr)));
						}
					}
				} else {
					ZEND_UNREACHABLE();
				}
#line 14816 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
		//|	EXT_CALL zend_jit_unref_helper, REG0
			if (arm64_may_use_b(zend_jit_unref_helper)) {
		dasm_put(Dst, 133545, (unsigned int)((ptrdiff_t)(zend_jit_unref_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_unref_helper))>>32));
			} else {
			if (((uintptr_t)(zend_jit_unref_helper)) == 0) {
		dasm_put(Dst, 133548);
			} else if (((uintptr_t)(zend_jit_unref_helper)) <= MOVZ_IMM) {
		dasm_put(Dst, 133550, ((uint64_t)(zend_jit_unref_helper)));
			} else if (arm64_may_use_adr((void*)(zend_jit_unref_helper))) {
		dasm_put(Dst, 133553, (unsigned int)((ptrdiff_t)(zend_jit_unref_helper)), (unsigned int)(((ptrdiff_t)(zend_jit_unref_helper))>>32));
			} else if (arm64_may_use_adrp((void*)(zend_jit_unref_helper))) {
		dasm_put(Dst, 133556, (unsigned int)((ptrdiff_t)((((uintptr_t)(zend_jit_unref_helper))))), (unsigned int)(((ptrdiff_t)((((uintptr_t)(zend_jit_unref_helper)))))>>32));
				if (((uintptr_t)(zend_jit_unref_helper)) & 0xfff) {
		dasm_put(Dst, 133559, (((uintptr_t)(zend_jit_unref_helper)) & 0xfff));
				}
			} else if ((uintptr_t)(zend_jit_unref_helper) & 0xffff) {
		dasm_put(Dst, 133562, ((uintptr_t)(zend_jit_unref_helper) & 0xffff));
				if (((uintptr_t)(zend_jit_unref_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 133565, (((uintptr_t)(zend_jit_unref_helper) >> 16) & 0xffff));
				}
				if (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 133568, (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff));
				}
			} else if (((uintptr_t)(zend_jit_unref_helper) >> 16) & 0xffff) {
		dasm_put(Dst, 133571, (((uintptr_t)(zend_jit_unref_helper) >> 16) & 0xffff));
				if (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff) {
		dasm_put(Dst, 133574, (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133577, (((uintptr_t)(zend_jit_unref_helper) >> 32) & 0xffff));
			}
		dasm_put(Dst, 133580);
			}
#line 14818 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		//|	GET_ZVAL_PTR FCARG1x, var_addr, TMP1
			ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 133582, ((uint32_t)(Z_OFFSET(var_addr))));
			} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
		dasm_put(Dst, 133585, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 133588, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133591, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133594, (Z_REG(var_addr)));
			} else {
		dasm_put(Dst, 133597, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
			}
#line 14820 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, offsetof(zend_reference, val));
		*var_addr_ptr = var_addr;
	}

	if (var_type != IS_UNKNOWN) {
		var_type &= ~(IS_TRACE_REFERENCE|IS_TRACE_INDIRECT|IS_TRACE_PACKED);
	}
	if (add_type_guard
	 && var_type != IS_UNKNOWN
	 && (var_info & (MAY_BE_ANY|MAY_BE_UNDEF)) != (1 << var_type)) {
		//|	IF_NOT_ZVAL_TYPE var_addr, var_type, &exit_addr, ZREG_TMP1
			ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 133601, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 133605, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 133609, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133613, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133617, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 133622, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
			}
			if (var_type == 0) {
		dasm_put(Dst, 133627, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			} else {
		dasm_put(Dst, 133631, (ZREG_X15), var_type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			}
#line 14831 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		ZEND_ASSERT(var_info & (1 << var_type));
		if (var_type < IS_STRING) {
			var_info = (1 << var_type);
		} else if (var_type != IS_ARRAY) {
			var_info = (1 << var_type) | (var_info & (MAY_BE_RC1|MAY_BE_RCN));
		} else {
			var_info = MAY_BE_ARRAY | (var_info & (MAY_BE_ARRAY_OF_ANY|MAY_BE_ARRAY_OF_REF|MAY_BE_ARRAY_KEY_ANY|MAY_BE_RC1|MAY_BE_RCN));
		}

		*var_info_ptr = var_info;
	} else {
		var_info &= ~MAY_BE_REF;
		*var_info_ptr = var_info;
	}
	*var_info_ptr |= MAY_BE_GUARD; /* prevent generation of specialized zval dtor */

	return 1;
}

static bool zend_jit_fetch_indirect_var(dasm_State **Dst, const zend_op *opline, uint8_t var_type, uint32_t *var_info_ptr, zend_jit_addr *var_addr_ptr, bool add_indirect_guard)
{
	zend_jit_addr var_addr = *var_addr_ptr;
	uint32_t var_info = *var_info_ptr;
	int32_t exit_point;
	const void *exit_addr;

	if (add_indirect_guard) {
		int32_t exit_point = zend_jit_trace_get_exit_point(opline, 0);
		const void *exit_addr = zend_jit_trace_get_exit_addr(exit_point);

		if (!exit_addr) {
			return 0;
		}
		//|	IF_NOT_ZVAL_TYPE var_addr, IS_INDIRECT, &exit_addr, ZREG_TMP1
			ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) > LDRB_STRB_PIMM) {
			if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))) <= MOVZ_IMM) {
		dasm_put(Dst, 133637, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type))));
			} else if (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff)) {
		dasm_put(Dst, 133641, (ZREG_X15), ((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff)) {
		dasm_put(Dst, 133645, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133649, (ZREG_X15), (((uint32_t)(Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133653, (ZREG_X15), (Z_REG(var_addr)), (ZREG_X15));
			} else {
		dasm_put(Dst, 133658, (ZREG_X15), (Z_REG(var_addr)), (Z_OFFSET(var_addr)+offsetof(zval, u1.v.type)));
			}
			if (IS_INDIRECT == 0) {
		dasm_put(Dst, 133663, (ZREG_X15), (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			} else {
		dasm_put(Dst, 133667, (ZREG_X15), IS_INDIRECT, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			}
#line 14866 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		//|	GET_ZVAL_PTR FCARG1x, var_addr, TMP1
			ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
			if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
			if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
		dasm_put(Dst, 133673, ((uint32_t)(Z_OFFSET(var_addr))));
			} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
		dasm_put(Dst, 133676, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
				if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
		dasm_put(Dst, 133679, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			} else {
		dasm_put(Dst, 133682, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
			}
		dasm_put(Dst, 133685, (Z_REG(var_addr)));
			} else {
		dasm_put(Dst, 133688, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
			}
#line 14867 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
	} else {
		/* May be already loaded into FCARG1a or RAX by previous FETCH_OBJ_W/DIM_W */
		if (opline->op1_type != IS_VAR ||
				(opline-1)->result_type != IS_VAR  ||
				(opline-1)->result.var != opline->op1.var ||
				(opline-1)->op1_type == IS_VAR ||
				(opline-1)->op2_type == IS_VAR ||
				(opline-1)->op2_type == IS_TMP_VAR) {
			//|	GET_ZVAL_PTR FCARG1x, var_addr, TMP1
				ZEND_ASSERT(Z_MODE(var_addr) == IS_MEM_ZVAL);
				if (((uintptr_t)(Z_OFFSET(var_addr))) > LDR_STR_PIMM64) {
				if (((uint32_t)(Z_OFFSET(var_addr))) <= MOVZ_IMM) {
			dasm_put(Dst, 133692, ((uint32_t)(Z_OFFSET(var_addr))));
				} else if (((uint32_t)(Z_OFFSET(var_addr)) & 0xffff)) {
			dasm_put(Dst, 133695, ((uint32_t)(Z_OFFSET(var_addr)) & 0xffff));
					if ((((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff)) {
			dasm_put(Dst, 133698, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
					}
				} else {
			dasm_put(Dst, 133701, (((uint32_t)(Z_OFFSET(var_addr)) >> 16) & 0xffff));
				}
			dasm_put(Dst, 133704, (Z_REG(var_addr)));
				} else {
			dasm_put(Dst, 133707, (Z_REG(var_addr)), (Z_OFFSET(var_addr)));
				}
#line 14876 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		} else if ((opline-1)->opcode == ZEND_FETCH_DIM_W || (opline-1)->opcode == ZEND_FETCH_DIM_RW) {
			//|	mov FCARG1x, REG0
			dasm_put(Dst, 133711);
#line 14878 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"
		}
	}
	*var_info_ptr &= ~MAY_BE_INDIRECT;
	var_addr = ZEND_ADDR_MEM_ZVAL(ZREG_FCARG1, 0);
	*var_addr_ptr = var_addr;

	if (var_type != IS_UNKNOWN) {
		var_type &= ~(IS_TRACE_INDIRECT|IS_TRACE_PACKED);
	}
	if (!(var_type & IS_TRACE_REFERENCE)
	 && var_type != IS_UNKNOWN
	 && (var_info & (MAY_BE_ANY|MAY_BE_UNDEF)) != (1 << var_type)) {
		exit_point = zend_jit_trace_get_exit_point(opline, 0);
		exit_addr = zend_jit_trace_get_exit_addr(exit_point);

		if (!exit_addr) {
			return 0;
		}

		//|	IF_NOT_Z_TYPE FCARG1x, var_type, &exit_addr, TMP1w
		dasm_put(Dst, 133713, offsetof(zval, u1.v.type));
			if (var_type == 0) {
		dasm_put(Dst, 133716, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			} else {
		dasm_put(Dst, 133719, var_type, (unsigned int)((ptrdiff_t)(exit_addr)), (unsigned int)(((ptrdiff_t)(exit_addr))>>32));
			}
#line 14898 "/build/php8.2-8.2.25/ext/opcache/jit/zend_jit_arm64.dasc"

		//var_info = zend_jit_trace_type_to_info_ex(var_type, var_info);
		ZEND_ASSERT(var_info & (1 << var_type));
		if (var_type < IS_STRING) {
			var_info = (1 << var_type);
		} else if (var_type != IS_ARRAY) {
			var_info = (1 << var_type) | (var_info & (MAY_BE_RC1|MAY_BE_RCN));
		} else {
			var_info = MAY_BE_ARRAY | (var_info & (MAY_BE_ARRAY_OF_ANY|MAY_BE_ARRAY_OF_REF|MAY_BE_ARRAY_KEY_ANY|MAY_BE_RC1|MAY_BE_RCN));
		}

		*var_info_ptr = var_info;
	}

	return 1;
}

static bool zend_jit_may_reuse_reg(const zend_op *opline, const zend_ssa_op *ssa_op, zend_ssa *ssa, int def_var, int use_var)
{
	if ((ssa->var_info[def_var].type & ~MAY_BE_GUARD) != (ssa->var_info[use_var].type & ~MAY_BE_GUARD)) {
		return 0;
	}

	switch (opline->opcode) {
		case ZEND_QM_ASSIGN:
		case ZEND_SEND_VAR:
		case ZEND_ASSIGN:
		case ZEND_PRE_INC:
		case ZEND_PRE_DEC:
		case ZEND_POST_INC:
		case ZEND_POST_DEC:
			return 1;
		case ZEND_ADD:
		case ZEND_SUB:
		case ZEND_MUL:
		case ZEND_BW_OR:
		case ZEND_BW_AND:
		case ZEND_BW_XOR:
		case ZEND_SL:
		case ZEND_SR:
			if (def_var == ssa_op->result_def &&
			    use_var == ssa_op->op1_use) {
				return 1;
			}
			break;
		default:
			break;
	}
	return 0;
}

static bool zend_jit_opline_supports_reg(const zend_op_array *op_array, zend_ssa *ssa, const zend_op *opline, const zend_ssa_op *ssa_op, zend_jit_trace_rec *trace)
{
	uint32_t op1_info, op2_info;

	switch (opline->opcode) {
		case ZEND_SEND_VAR:
		case ZEND_SEND_VAL:
		case ZEND_SEND_VAL_EX:
			return (opline->op2_type != IS_CONST);
		case ZEND_QM_ASSIGN:
		case ZEND_IS_SMALLER:
		case ZEND_IS_SMALLER_OR_EQUAL:
		case ZEND_IS_EQUAL:
		case ZEND_IS_NOT_EQUAL:
		case ZEND_IS_IDENTICAL:
		case ZEND_IS_NOT_IDENTICAL:
		case ZEND_CASE:
			return 1;
		case ZEND_RETURN:
			return (op_array->type != ZEND_EVAL_CODE && op_array->function_name);
		case ZEND_ASSIGN:
			op1_info = OP1_INFO();
			op2_info = OP2_INFO();
			return
				opline->op1_type == IS_CV &&
				!(op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_RESOURCE|MAY_BE_OBJECT|MAY_BE_REF)) &&
				!(op2_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE)));
		case ZEND_ADD:
		case ZEND_SUB:
		case ZEND_MUL:
			op1_info = OP1_INFO();
			op2_info = OP2_INFO();
			return !((op1_info | op2_info) & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF) - (MAY_BE_LONG|MAY_BE_DOUBLE)));
		case ZEND_BW_OR:
		case ZEND_BW_AND:
		case ZEND_BW_XOR:
		case ZEND_SL:
		case ZEND_SR:
		case ZEND_MOD:
			op1_info = OP1_INFO();
			op2_info = OP2_INFO();
			return !((op1_info | op2_info) & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF) - MAY_BE_LONG));
		case ZEND_PRE_INC:
		case ZEND_PRE_DEC:
		case ZEND_POST_INC:
		case ZEND_POST_DEC:
			op1_info = OP1_INFO();
			op2_info = OP1_DEF_INFO();
			return opline->op1_type == IS_CV
				&& !(op1_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF) - MAY_BE_LONG))
				&& (op2_info & MAY_BE_LONG);
		case ZEND_STRLEN:
			op1_info = OP1_INFO();
			return (opline->op1_type & (IS_CV|IS_CONST))
				&& (op1_info & (MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)) == MAY_BE_STRING;
		case ZEND_COUNT:
			op1_info = OP1_INFO();
			return (opline->op1_type & (IS_CV|IS_CONST))
				&& (op1_info & (MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)) == MAY_BE_ARRAY;
		case ZEND_JMPZ:
		case ZEND_JMPNZ:
			if (JIT_G(trigger) != ZEND_JIT_ON_HOT_TRACE) {
				if (!ssa->cfg.map) {
					return 0;
				}
				if (opline > op_array->opcodes + ssa->cfg.blocks[ssa->cfg.map[opline-op_array->opcodes]].start &&
				    ((opline-1)->result_type & (IS_SMART_BRANCH_JMPZ|IS_SMART_BRANCH_JMPNZ)) != 0) {
					return 0;
				}
			}
			ZEND_FALLTHROUGH;
		case ZEND_BOOL:
		case ZEND_BOOL_NOT:
		case ZEND_JMPZ_EX:
		case ZEND_JMPNZ_EX:
			return 1;
		case ZEND_FETCH_CONSTANT:
			return 1;
		case ZEND_FETCH_DIM_R:
			op1_info = OP1_INFO();
			op2_info = OP2_INFO();
			if (trace
			 && trace->op1_type != IS_UNKNOWN
			 && (trace->op1_type & ~(IS_TRACE_REFERENCE|IS_TRACE_INDIRECT|IS_TRACE_PACKED)) == IS_ARRAY) {
				op1_info &= ~((MAY_BE_ANY|MAY_BE_UNDEF) - MAY_BE_ARRAY);
			}
			return ((op1_info & (MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_ARRAY) &&
				(!(opline->op1_type & (IS_TMP_VAR|IS_VAR)) || !(op1_info & MAY_BE_RC1)) &&
					(((op2_info & (MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_LONG) ||
					 (((op2_info & (MAY_BE_ANY|MAY_BE_UNDEF)) == MAY_BE_STRING) &&
						 (!(opline->op2_type & (IS_TMP_VAR|IS_VAR)) || !(op2_info & MAY_BE_RC1))));
	}
	return 0;
}

static bool zend_jit_var_supports_reg(zend_ssa *ssa, int var)
{
	if (ssa->vars[var].no_val) {
		/* we don't need the value */
		return 0;
	}

	if (!(JIT_G(opt_flags) & ZEND_JIT_REG_ALLOC_GLOBAL)) {
		/* Disable global register allocation,
		 * register allocation for SSA variables connected through Phi functions
		 */
		if (ssa->vars[var].definition_phi) {
			return 0;
		}
		if (ssa->vars[var].phi_use_chain) {
			zend_ssa_phi *phi = ssa->vars[var].phi_use_chain;
			do {
				if (!ssa->vars[phi->ssa_var].no_val) {
					return 0;
				}
				phi = zend_ssa_next_use_phi(ssa, var, phi);
			} while (phi);
		}
	}

	if (((ssa->var_info[var].type & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF)) != MAY_BE_DOUBLE) &&
	    ((ssa->var_info[var].type & (MAY_BE_ANY|MAY_BE_UNDEF|MAY_BE_REF)) != MAY_BE_LONG)) {
	    /* bad type */
		return 0;
	}

	return 1;
}

static bool zend_jit_may_be_in_reg(const zend_op_array *op_array, zend_ssa *ssa, int var)
{
	if (!zend_jit_var_supports_reg(ssa, var)) {
		return 0;
	}

	if (ssa->vars[var].definition >= 0) {
		uint32_t def = ssa->vars[var].definition;
		if (!zend_jit_opline_supports_reg(op_array, ssa, op_array->opcodes + def, ssa->ops + def, NULL)) {
			return 0;
		}
	}

	if (ssa->vars[var].use_chain >= 0) {
		int use = ssa->vars[var].use_chain;

		do {
			if (!zend_ssa_is_no_val_use(op_array->opcodes + use, ssa->ops + use, var) &&
			    !zend_jit_opline_supports_reg(op_array, ssa, op_array->opcodes + use, ssa->ops + use, NULL)) {
				return 0;
			}
			use = zend_ssa_next_use(ssa->ops, var, use);
		} while (use >= 0);
	}

	return 1;
}

static zend_regset zend_jit_get_def_scratch_regset(const zend_op *opline, const zend_ssa_op *ssa_op, const zend_op_array *op_array, zend_ssa *ssa, int current_var, bool last_use)
{
	uint32_t op1_info, op2_info;

	switch (opline->opcode) {
		case ZEND_FETCH_DIM_R:
			op1_info = OP1_INFO();
			op2_info = OP2_INFO();
			if (((opline->op1_type & (IS_TMP_VAR|IS_VAR)) &&
			     (op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE))) ||
			    ((opline->op2_type & (IS_TMP_VAR|IS_VAR)) &&
			     (op2_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE)))) {
				return ZEND_REGSET(ZREG_FCARG1);
			}
			break;
		default:
			break;
	}

	return ZEND_REGSET_EMPTY;
}

static zend_regset zend_jit_get_scratch_regset(const zend_op *opline, const zend_ssa_op *ssa_op, const zend_op_array *op_array, zend_ssa *ssa, int current_var, bool last_use)
{
	uint32_t op1_info, op2_info, res_info;
	zend_regset regset = ZEND_REGSET_SCRATCH;

	switch (opline->opcode) {
		case ZEND_NOP:
		case ZEND_OP_DATA:
		case ZEND_JMP:
		case ZEND_RETURN:
			regset = ZEND_REGSET_EMPTY;
			break;
		case ZEND_QM_ASSIGN:
			if (ssa_op->op1_def == current_var ||
			    ssa_op->result_def == current_var) {
				regset = ZEND_REGSET_EMPTY;
				break;
			}
			/* break missing intentionally */
		case ZEND_SEND_VAL:
		case ZEND_SEND_VAL_EX:
			if (opline->op2_type == IS_CONST) {
				break;
			}
			if (ssa_op->op1_use == current_var) {
				regset = ZEND_REGSET(ZREG_REG0);
				break;
			}
			op1_info = OP1_INFO();
			if (!(op1_info & MAY_BE_UNDEF)) {
				if ((op1_info & (MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_DOUBLE) {
					regset = ZEND_REGSET(ZREG_FPR0);
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_LONG) {
					regset = ZEND_REGSET(ZREG_REG0);
				} else {
					regset = ZEND_REGSET_UNION(ZEND_REGSET(ZREG_REG0), ZEND_REGSET(ZREG_REG2));
				}
			}
			break;
		case ZEND_SEND_VAR:
			if (opline->op2_type == IS_CONST) {
				break;
			}
			if (ssa_op->op1_use == current_var ||
			    ssa_op->op1_def == current_var) {
				regset = ZEND_REGSET_EMPTY;
				break;
			}
			op1_info = OP1_INFO();
			if (!(op1_info & MAY_BE_UNDEF)) {
				if ((op1_info & (MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_DOUBLE) {
					regset = ZEND_REGSET(ZREG_FPR0);
				} else if ((op1_info & (MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_LONG) {
				} else {
					regset = ZEND_REGSET_UNION(ZEND_REGSET(ZREG_REG0), ZEND_REGSET(ZREG_REG2));
					if (op1_info & MAY_BE_REF) {
						ZEND_REGSET_INCL(regset, ZREG_REG1);
					}
				}
			}
			break;
		case ZEND_ASSIGN:
			if (ssa_op->op2_use == current_var ||
			    ssa_op->op2_def == current_var ||
			    ssa_op->op1_def == current_var ||
			    ssa_op->result_def == current_var) {
				regset = ZEND_REGSET_EMPTY;
				break;
			}
			op1_info = OP1_INFO();
			op2_info = OP2_INFO();
			if (opline->op1_type == IS_CV
			 && !(op2_info & MAY_BE_UNDEF)
			 && !(op1_info & (MAY_BE_STRING|MAY_BE_ARRAY|MAY_BE_OBJECT|MAY_BE_RESOURCE|MAY_BE_REF))) {
				if ((op2_info & (MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_DOUBLE) {
					regset = ZEND_REGSET(ZREG_FPR0);
				} else if ((op2_info & (MAY_BE_ANY|MAY_BE_REF)) == MAY_BE_LONG) {
					regset = ZEND_REGSET(ZREG_REG0);
				} else {
					regset = ZEND_REGSET_UNION(ZEND_REGSET(ZREG_REG0), ZEND_REGSET(ZREG_REG2));
				}
			}
			break;
		case ZEND_PRE_INC:
		case ZEND_PRE_DEC:
		case ZEND_POST_INC:
		case ZEND_POST_DEC:
			if (ssa_op->op1_use == current_var ||
			    ssa_op->op1_def == current_var ||
			    ssa_op->result_def == current_var) {
				regset = ZEND_REGSET_EMPTY;
				break;
			}
			op1_info = OP1_INFO();
			if (opline->op1_type == IS_CV
			 && (op1_info & MAY_BE_LONG)
			 && !(op1_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE)))) {
				regset = ZEND_REGSET_EMPTY;
				if (op1_info & MAY_BE_DOUBLE) {
					regset = ZEND_REGSET(ZREG_FPR0);
				}
				if (opline->result_type != IS_UNUSED && (op1_info & MAY_BE_LONG)) {
					ZEND_REGSET_INCL(regset, ZREG_REG1);
				}
			}
			break;
		case ZEND_ADD:
		case ZEND_SUB:
		case ZEND_MUL:
			op1_info = OP1_INFO();
			op2_info = OP2_INFO();
			if (!(op1_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))) &&
			    !(op2_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE)))) {

				regset = ZEND_REGSET_EMPTY;
				if ((op1_info & MAY_BE_LONG) && (op2_info & MAY_BE_LONG)) {
					if (ssa_op->result_def != current_var &&
					    (ssa_op->op1_use != current_var || !last_use)) {
						ZEND_REGSET_INCL(regset, ZREG_REG0);
					}
					res_info = RES_INFO();
					if (res_info & MAY_BE_DOUBLE) {
						ZEND_REGSET_INCL(regset, ZREG_REG0);
						ZEND_REGSET_INCL(regset, ZREG_FPR0);
						ZEND_REGSET_INCL(regset, ZREG_FPR1);
					} else if (res_info & MAY_BE_GUARD) {
						ZEND_REGSET_INCL(regset, ZREG_REG0);
					}
				}
				if ((op1_info & MAY_BE_LONG) && (op2_info & MAY_BE_DOUBLE)) {
					if (ssa_op->result_def != current_var) {
						ZEND_REGSET_INCL(regset, ZREG_FPR0);
					}
				}
				if ((op1_info & MAY_BE_DOUBLE) && (op2_info & MAY_BE_LONG)) {
					if (zend_is_commutative(opline->opcode)) {
						if (ssa_op->result_def != current_var) {
							ZEND_REGSET_INCL(regset, ZREG_FPR0);
						}
					} else {
						ZEND_REGSET_INCL(regset, ZREG_FPR0);
						if (ssa_op->result_def != current_var &&
						    (ssa_op->op1_use != current_var || !last_use)) {
							ZEND_REGSET_INCL(regset, ZREG_FPR1);
						}
					}
				}
				if ((op1_info & MAY_BE_DOUBLE) && (op2_info & MAY_BE_DOUBLE)) {
					if (ssa_op->result_def != current_var &&
					    (ssa_op->op1_use != current_var || !last_use) &&
					    (!zend_is_commutative(opline->opcode) || ssa_op->op2_use != current_var || !last_use)) {
						ZEND_REGSET_INCL(regset, ZREG_FPR0);
					}
				}
			}
			break;
		case ZEND_BW_OR:
		case ZEND_BW_AND:
		case ZEND_BW_XOR:
		case ZEND_SL:
		case ZEND_SR:
		case ZEND_MOD:
			op1_info = OP1_INFO();
			op2_info = OP2_INFO();
			if (!(op1_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)-MAY_BE_LONG)) &&
			    !(op2_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)-MAY_BE_LONG))) {
				regset = ZEND_REGSET_EMPTY;
				if (ssa_op->result_def != current_var &&
				    (ssa_op->op1_use != current_var || !last_use)) {
					ZEND_REGSET_INCL(regset, ZREG_REG0);
				}
			}
			break;
		case ZEND_IS_SMALLER:
		case ZEND_IS_SMALLER_OR_EQUAL:
		case ZEND_IS_EQUAL:
		case ZEND_IS_NOT_EQUAL:
		case ZEND_IS_IDENTICAL:
		case ZEND_IS_NOT_IDENTICAL:
		case ZEND_CASE:
			op1_info = OP1_INFO();
			op2_info = OP2_INFO();
			if (!(op1_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE))) &&
			    !(op2_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)-(MAY_BE_LONG|MAY_BE_DOUBLE)))) {
				regset = ZEND_REGSET_EMPTY;
				if (!(opline->result_type & (IS_SMART_BRANCH_JMPZ|IS_SMART_BRANCH_JMPNZ))) {
					ZEND_REGSET_INCL(regset, ZREG_REG0);
				}
				if ((op1_info & MAY_BE_LONG) && (op2_info & MAY_BE_LONG) &&
				    opline->op1_type != IS_CONST && opline->op2_type != IS_CONST) {
					if (ssa_op->op1_use != current_var &&
					    ssa_op->op2_use != current_var) {
						ZEND_REGSET_INCL(regset, ZREG_REG0);
					}
				}
				if ((op1_info & MAY_BE_LONG) && (op2_info & MAY_BE_DOUBLE)) {
					ZEND_REGSET_INCL(regset, ZREG_FPR0);
				}
				if ((op1_info & MAY_BE_DOUBLE) && (op2_info & MAY_BE_LONG)) {
					ZEND_REGSET_INCL(regset, ZREG_FPR0);
				}
				if ((op1_info & MAY_BE_DOUBLE) && (op2_info & MAY_BE_DOUBLE)) {
					if (ssa_op->op1_use != current_var &&
					    ssa_op->op2_use != current_var) {
						ZEND_REGSET_INCL(regset, ZREG_FPR0);
					}
				}
			}
			break;
		case ZEND_BOOL:
		case ZEND_BOOL_NOT:
		case ZEND_JMPZ:
		case ZEND_JMPNZ:
		case ZEND_JMPZ_EX:
		case ZEND_JMPNZ_EX:
			op1_info = OP1_INFO();
			if (!(op1_info & ((MAY_BE_ANY|MAY_BE_REF|MAY_BE_UNDEF)-(MAY_BE_NULL|MAY_BE_FALSE|MAY_BE_TRUE|MAY_BE_LONG|MAY_BE_DOUBLE)))) {
				regset = ZEND_REGSET_EMPTY;
				if (op1_info & MAY_BE_DOUBLE) {
					ZEND_REGSET_INCL(regset, ZREG_FPR0);
				}
				if (opline->opcode == ZEND_BOOL ||
				    opline->opcode == ZEND_BOOL_NOT ||
				    opline->opcode == ZEND_JMPZ_EX ||
				    opline->opcode == ZEND_JMPNZ_EX) {
					ZEND_REGSET_INCL(regset, ZREG_REG0);
				}
			}
			break;
		case ZEND_DO_UCALL:
		case ZEND_DO_FCALL:
		case ZEND_DO_FCALL_BY_NAME:
		case ZEND_INCLUDE_OR_EVAL:
		case ZEND_GENERATOR_CREATE:
		case ZEND_YIELD:
		case ZEND_YIELD_FROM:
			regset = ZEND_REGSET_UNION(ZEND_REGSET_GP, ZEND_REGSET_FP);
			break;
		default:
			break;
	}

	if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE) {
		if (ssa_op == ssa->ops
		 && JIT_G(current_trace)[ZEND_JIT_TRACE_START_REC_SIZE].op == ZEND_JIT_TRACE_INIT_CALL
		 && (JIT_G(current_trace)[ZEND_JIT_TRACE_START_REC_SIZE].info & ZEND_JIT_TRACE_FAKE_INIT_CALL)) {
			ZEND_REGSET_INCL(regset, ZREG_REG0);
			ZEND_REGSET_INCL(regset, ZREG_REG1);
		}
	}

	return regset;
}

static size_t dasm_venners_size = 0;
void **dasm_labels_veneers = NULL;

static int zend_jit_add_veneer(dasm_State *Dst, void *buffer, uint32_t ins, int *b, uint32_t *cp, ptrdiff_t offset)
{
	void *veneer;
	ptrdiff_t na;
	int n, m;

	/* try to reuse veneers for global labels */
	if ((ins >> 16) == DASM_REL_LG
	 && *(b-1) < 0
	 && dasm_labels_veneers[-*(b-1)]) {

		veneer = dasm_labels_veneers[-*(b-1)];
		na = (ptrdiff_t)veneer - (ptrdiff_t)cp + 4;
		n = (int)na;

		/* check if we can jump to veneer */
		if ((ptrdiff_t)n != na) {
			/* pass */
		} else if (!(ins & 0xf800)) {  /* B, BL */
			if ((n & 3) == 0 && ((n+0x08000000) >> 28) == 0) {
				return n;
			}
		} else if ((ins & 0x800)) {  /* B.cond, CBZ, CBNZ, LDR* literal */
			if ((n & 3) == 0 && ((n+0x00100000) >> 21) == 0) {
				return n;
			}
		} else if ((ins & 0x3000) == 0x2000) {  /* ADR */
			/* pass */
		} else if ((ins & 0x3000) == 0x3000) {  /* ADRP */
			/* pass */
		} else if ((ins & 0x1000)) {  /* TBZ, TBNZ */
			if ((n & 3) == 0 && ((n+0x00008000) >> 16) == 0) {
				return n;
			}
		}
	} else if (JIT_G(trigger) == ZEND_JIT_ON_HOT_TRACE
	 && (ins >> 16) == DASM_REL_A) {
		ptrdiff_t addr = (((ptrdiff_t)(*(b-1))) << 32) | (unsigned int)(*(b-2));

		if ((void*)addr >= dasm_buf && (void*)addr < dasm_end) {
			uint32_t exit_point = zend_jit_trace_find_exit_point((void*)addr);
			zend_jit_trace_info *t = zend_jit_get_current_trace_info();

			if (exit_point != (uint32_t)-1) {
				/* Use exit points table */

				ZEND_ASSERT(exit_point < t->exit_count);

				veneer = (char*)buffer + dasm_getpclabel(&Dst, 1) - (t->exit_count - exit_point) * 4;
				na = (ptrdiff_t)veneer - (ptrdiff_t)cp + 4;
				n = (int)na;

				/* check if we can jump to veneer */
				if ((ptrdiff_t)n != na) {
					ZEND_ASSERT(0);
					return 0;
				} else if (!(ins & 0xf800)) {  /* B, BL */
					if ((n & 3) != 0 || ((n+0x08000000) >> 28) != 0) {
						ZEND_ASSERT(0);
						return 0;
					}
				} else if ((ins & 0x800)) {  /* B.cond, CBZ, CBNZ, LDR* literal */
					if ((n & 3) != 0 || ((n+0x00100000) >> 21) != 0) {
						ZEND_ASSERT(0);
						return 0;
					}
				} else if ((ins & 0x3000) == 0x2000) {  /* ADR */
					ZEND_ASSERT(0);
					return 0;
				} else if ((ins & 0x3000) == 0x3000) {  /* ADRP */
					ZEND_ASSERT(0);
					return 0;
				} else if ((ins & 0x1000)) {  /* TBZ, TBNZ */
					if ((n & 3) != 0 || ((n+0x00008000) >> 16) != 0) {
						ZEND_ASSERT(0);
						return 0;
					}
				} else {
					ZEND_ASSERT(0);
					return 0;
				}
				return n;
			}
		}
	}

	veneer = (char*)buffer + (Dst->codesize + dasm_venners_size);

	if (veneer > dasm_end) {
		return 0; /* jit_buffer_size overflow */
	}

	na = (ptrdiff_t)veneer - (ptrdiff_t)cp + 4;
	n = (int)na;

	/* check if we can jump to veneer */
	if ((ptrdiff_t)n != na) {
		ZEND_ASSERT(0);
		return 0;
	} else if (!(ins & 0xf800)) {  /* B, BL */
		if ((n & 3) != 0 || ((n+0x08000000) >> 28) != 0) {
			ZEND_ASSERT(0);
			return 0;
		}
	} else if ((ins & 0x800)) {  /* B.cond, CBZ, CBNZ, LDR* literal */
		if ((n & 3) != 0 || ((n+0x00100000) >> 21) != 0) {
			ZEND_ASSERT(0);
			return 0;
		}
	} else if ((ins & 0x3000) == 0x2000) {  /* ADR */
		ZEND_ASSERT(0);
		return 0;
	} else if ((ins & 0x3000) == 0x3000) {  /* ADRP */
		ZEND_ASSERT(0);
		return 0;
	} else if ((ins & 0x1000)) {  /* TBZ, TBNZ */
		if ((n & 3) != 0 || ((n+0x00008000) >> 16) != 0) {
			ZEND_ASSERT(0);
			return 0;
		}
	} else if ((ins & 0x8000)) {  /* absolute */
		ZEND_ASSERT(0);
		return 0;
	} else {
		ZEND_ASSERT(0);
		return 0;
	}

	// TODO: support for long veneers (above 128MB) ???

	/* check if we can use B to jump from veneer */
	na = (ptrdiff_t)cp + offset - (ptrdiff_t)veneer - 4;
	m = (int)na;
	if ((ptrdiff_t)m != na) {
		ZEND_ASSERT(0);
		return 0;
	} else if ((m & 3) != 0 || ((m+0x08000000) >> 28) != 0) {
		ZEND_ASSERT(0);
		return 0;
	}

	/* generate B instruction */
	*(uint32_t*)veneer = 0x14000000 | ((m >> 2) & 0x03ffffff);
	dasm_venners_size += 4;

	if ((ins >> 16) == DASM_REL_LG
	 && *(b-1) < 0) {
		/* reuse this veneer for the future jumps to global label */
		dasm_labels_veneers[-*(b-1)] = veneer;
		/* Dst->globals[*(b-1)] = veneer; */

#ifdef HAVE_DISASM
	    if (JIT_G(debug) & ZEND_JIT_DEBUG_ASM) {
			const char *name = zend_jit_disasm_find_symbol((ptrdiff_t)cp + offset - 4, (int64_t *)(&offset));

			if (name && !offset) {
				if (strstr(name, "@veneer") == NULL) {
					char *new_name;

					zend_spprintf(&new_name, 0, "%s@veneer", name);
					zend_jit_disasm_add_symbol(new_name, (uint64_t)(uintptr_t)veneer, 4);
					efree(new_name);
				} else {
					zend_jit_disasm_add_symbol(name, (uint64_t)(uintptr_t)veneer, 4);
				}
			}
		}
#endif
	}

	return n;
}

/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * indent-tabs-mode: t
 * End:
 */
